#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>

#include <colm/pdarun.h>
#include <colm/debug.h>
#include <colm/bytecode.h>
#include <colm/config.h>
#include <colm/defs.h>
#include <colm/input.h>
#include <colm/tree.h>
#include <colm/program.h>
#include <colm/colm.h>

extern struct colm_sections colm_object;

#define parser_start 43
#define parser_first_final 43
#define parser_error 0
#define false 0
#define true 1

static long parser_entry_by_region[] = {
	0, 43, 252, 460, 460, 462, 464, 466, 
	466, 467, 469, 471, 471, 472, 474, 476, 
	476, 477, 489, 500, 500, 502, 503, 504, 
	504, 505, 518, 531, 531
};

static struct fsm_tables fsmTables_start =
{
	0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
	parser_entry_by_region,

	0,  0,  0,  0,  0,  0,  0,  0,
	28,

	parser_start,
	parser_first_final,
	parser_error,

	0,
	0
};

static void fsm_execute( struct pda_run *pdaRun, struct stream_impl *inputStream )
{
	pdaRun->start = pdaRun->p;
/*_resume:*/
	if ( pdaRun->fsm_cs == 0 )
		goto out;
	if ( pdaRun->p == pdaRun->pe )
		goto out_switch;
	--pdaRun->p;

	switch ( pdaRun->fsm_cs )
	{
tr1:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 110;
	goto out;
}
	goto st43;
tr2:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 107;
	goto out;
}
	goto st43;
tr5:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 74;
	goto out;
}
	goto st43;
tr65:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 75;
	goto out;
}
	goto st43;
tr66:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 101;
	goto out;
}
	goto st43;
tr67:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 104;
	goto out;
}
	goto st43;
tr69:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 76;
	goto out;
}
	goto st43;
tr70:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 86;
	goto out;
}
	goto st43;
tr71:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 87;
	goto out;
}
	goto st43;
tr72:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 90;
	goto out;
}
	goto st43;
tr73:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 105;
	goto out;
}
	goto st43;
tr74:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 95;
	goto out;
}
	goto st43;
tr76:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 84;
	goto out;
}
	goto st43;
tr77:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 81;
	goto out;
}
	goto st43;
tr83:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 91;
	goto out;
}
	goto st43;
tr84:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 103;
	goto out;
}
	goto st43;
tr86:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 78;
	goto out;
}
	goto st43;
tr87:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 79;
	goto out;
}
	goto st43;
tr88:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 102;
	goto out;
}
	goto st43;
tr107:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 88;
	goto out;
}
	goto st43;
tr109:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 89;
	goto out;
}
	goto st43;
tr110:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 77;
	goto out;
}
	goto st43;
tr111:
	{	pdaRun->matched_token = 109;
	goto out;
}
	goto st43;
tr112:
	{	pdaRun->matched_token = 100;
	goto out;
}
	goto st43;
tr113:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 94;
	goto out;
}
	goto st43;
tr114:
	{	pdaRun->matched_token = 106;
	goto out;
}
	goto st43;
tr115:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 85;
	goto out;
}
	goto st43;
tr116:
	{	pdaRun->matched_token = 73;
	goto out;
}
	goto st43;
tr117:
	{	pdaRun->matched_token = 82;
	goto out;
}
	goto st43;
tr118:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 83;
	goto out;
}
	goto st43;
tr119:
	{	pdaRun->matched_token = 96;
	goto out;
}
	goto st43;
tr120:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 98;
	goto out;
}
	goto st43;
tr121:
	{	pdaRun->matched_token = 92;
	goto out;
}
	goto st43;
tr122:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 93;
	goto out;
}
	goto st43;
tr123:
	{	pdaRun->matched_token = 97;
	goto out;
}
	goto st43;
tr124:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 99;
	goto out;
}
	goto st43;
tr125:
	{	pdaRun->toklen = pdaRun->tokend;
	switch( pdaRun->act ) {
	case 3:
	pdaRun->matched_token = 6;
	break;
	case 5:
	pdaRun->matched_token = 7;
	break;
	case 7:
	pdaRun->matched_token = 8;
	break;
	case 9:
	pdaRun->matched_token = 9;
	break;
	case 11:
	pdaRun->matched_token = 10;
	break;
	case 15:
	pdaRun->matched_token = 12;
	break;
	case 19:
	pdaRun->matched_token = 14;
	break;
	case 25:
	pdaRun->matched_token = 17;
	break;
	case 27:
	pdaRun->matched_token = 18;
	break;
	case 29:
	pdaRun->matched_token = 19;
	break;
	case 31:
	pdaRun->matched_token = 20;
	break;
	case 33:
	pdaRun->matched_token = 21;
	break;
	case 37:
	pdaRun->matched_token = 23;
	break;
	case 39:
	pdaRun->matched_token = 24;
	break;
	case 41:
	pdaRun->matched_token = 25;
	break;
	case 43:
	pdaRun->matched_token = 26;
	break;
	case 45:
	pdaRun->matched_token = 27;
	break;
	case 47:
	pdaRun->matched_token = 28;
	break;
	case 49:
	pdaRun->matched_token = 29;
	break;
	case 51:
	pdaRun->matched_token = 30;
	break;
	case 53:
	pdaRun->matched_token = 31;
	break;
	case 57:
	pdaRun->matched_token = 33;
	break;
	case 61:
	pdaRun->matched_token = 35;
	break;
	case 65:
	pdaRun->matched_token = 37;
	break;
	case 67:
	pdaRun->matched_token = 38;
	break;
	case 69:
	pdaRun->matched_token = 39;
	break;
	case 71:
	pdaRun->matched_token = 40;
	break;
	case 73:
	pdaRun->matched_token = 41;
	break;
	case 75:
	pdaRun->matched_token = 42;
	break;
	case 77:
	pdaRun->matched_token = 43;
	break;
	case 79:
	pdaRun->matched_token = 44;
	break;
	case 81:
	pdaRun->matched_token = 45;
	break;
	case 83:
	pdaRun->matched_token = 46;
	break;
	case 85:
	pdaRun->matched_token = 47;
	break;
	case 87:
	pdaRun->matched_token = 48;
	break;
	case 89:
	pdaRun->matched_token = 49;
	break;
	case 91:
	pdaRun->matched_token = 50;
	break;
	case 93:
	pdaRun->matched_token = 51;
	break;
	case 95:
	pdaRun->matched_token = 52;
	break;
	case 97:
	pdaRun->matched_token = 53;
	break;
	case 99:
	pdaRun->matched_token = 54;
	break;
	case 101:
	pdaRun->matched_token = 55;
	break;
	case 103:
	pdaRun->matched_token = 56;
	break;
	case 105:
	pdaRun->matched_token = 57;
	break;
	case 107:
	pdaRun->matched_token = 58;
	break;
	case 109:
	pdaRun->matched_token = 59;
	break;
	case 111:
	pdaRun->matched_token = 60;
	break;
	case 113:
	pdaRun->matched_token = 61;
	break;
	case 115:
	pdaRun->matched_token = 62;
	break;
	case 117:
	pdaRun->matched_token = 63;
	break;
	case 121:
	pdaRun->matched_token = 65;
	break;
	case 123:
	pdaRun->matched_token = 66;
	break;
	case 125:
	pdaRun->matched_token = 67;
	break;
	case 127:
	pdaRun->matched_token = 68;
	break;
	case 129:
	pdaRun->matched_token = 69;
	break;
	case 131:
	pdaRun->matched_token = 70;
	break;
	case 133:
	pdaRun->matched_token = 71;
	break;
	case 135:
	pdaRun->matched_token = 72;
	break;
	}
		goto skip_toklen;
}
	goto st43;
tr126:
	{	pdaRun->matched_token = 74;
	goto out;
}
	goto st43;
tr127:
	{	pdaRun->matched_token = 72;
	goto out;
}
	goto st43;
tr155:
	{	pdaRun->matched_token = 19;
	goto out;
}
	goto st43;
tr166:
	{	pdaRun->matched_token = 5;
	goto out;
}
	goto st43;
tr204:
	{	pdaRun->matched_token = 32;
	goto out;
}
	goto st43;
tr221:
	{	pdaRun->matched_token = 34;
	goto out;
}
	goto st43;
tr243:
	{	pdaRun->matched_token = 36;
	goto out;
}
	goto st43;
tr261:
	{	pdaRun->matched_token = 64;
	goto out;
}
	goto st43;
tr275:
	{	pdaRun->matched_token = 15;
	goto out;
}
	goto st43;
tr292:
	{	pdaRun->matched_token = 11;
	goto out;
}
	goto st43;
tr298:
	{	pdaRun->matched_token = 13;
	goto out;
}
	goto st43;
tr315:
	{	pdaRun->matched_token = 16;
	goto out;
}
	goto st43;
tr342:
	{	pdaRun->matched_token = 22;
	goto out;
}
	goto st43;
tr376:
	{	pdaRun->matched_token = 80;
	goto out;
}
	goto st43;
tr377:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 108;
	goto out;
}
	goto st43;
st43:
case 43:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out43;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 32: goto st44;
		case 33: goto st45;
		case 34: goto tr65;
		case 35: goto st1;
		case 36: goto tr66;
		case 37: goto tr67;
		case 38: goto st2;
		case 39: goto tr69;
		case 40: goto tr70;
		case 41: goto tr71;
		case 42: goto tr72;
		case 43: goto tr73;
		case 44: goto tr74;
		case 45: goto st46;
		case 46: goto tr76;
		case 47: goto tr77;
		case 58: goto st48;
		case 60: goto st49;
		case 61: goto st50;
		case 62: goto st51;
		case 63: goto tr83;
		case 64: goto tr84;
		case 91: goto tr86;
		case 93: goto tr87;
		case 94: goto tr88;
		case 96: goto st3;
		case 97: goto st54;
		case 98: goto st61;
		case 99: goto st67;
		case 100: goto st83;
		case 101: goto st89;
		case 102: goto st99;
		case 103: goto st104;
		case 105: goto st109;
		case 108: goto st121;
		case 109: goto st133;
		case 110: goto st149;
		case 112: goto st165;
		case 114: goto st191;
		case 115: goto st217;
		case 116: goto st233;
		case 119: goto st243;
		case 121: goto st247;
		case 123: goto tr107;
		case 124: goto st251;
		case 125: goto tr109;
		case 126: goto tr110;
	}
	if ( (*pdaRun->p) < 48 ) {
		if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
			goto st44;
	} else if ( (*pdaRun->p) > 57 ) {
		if ( (*pdaRun->p) > 90 ) {
			if ( 95 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
				goto tr85;
		} else if ( (*pdaRun->p) >= 65 )
			goto tr85;
	} else
		goto st47;
	goto st0;
st44:
case 44:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out44;
	if ( (*pdaRun->p) == 32 )
		goto st44;
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st44;
	goto tr111;
st45:
case 45:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out45;
	if ( (*pdaRun->p) == 61 )
		goto tr113;
	goto tr112;
st1:
case 1:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out1;
	if ( (*pdaRun->p) == 10 )
		goto tr1;
	goto st1;
st2:
case 2:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out2;
	if ( (*pdaRun->p) == 38 )
		goto tr2;
	goto st0;
st0:
	goto out0;
st46:
case 46:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out46;
	if ( (*pdaRun->p) == 62 )
		goto tr115;
	goto tr114;
st48:
case 48:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out48;
	if ( (*pdaRun->p) == 58 )
		goto tr118;
	goto tr117;
st49:
case 49:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out49;
	if ( (*pdaRun->p) == 61 )
		goto tr120;
	goto tr119;
st50:
case 50:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out50;
	if ( (*pdaRun->p) == 61 )
		goto tr122;
	goto tr121;
st51:
case 51:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out51;
	if ( (*pdaRun->p) == 61 )
		goto tr124;
	goto tr123;
st3:
case 3:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out3;
	switch( (*pdaRun->p) ) {
		case 32: goto st0;
		case 93: goto tr5;
	}
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st0;
	goto st53;
st53:
case 53:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out53;
	switch( (*pdaRun->p) ) {
		case 32: goto tr126;
		case 93: goto tr126;
	}
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto tr126;
	goto st53;
st54:
case 54:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out54;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto st55;
		case 108: goto st58;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
tr85:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 135;}
	goto st52;
tr132:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 57;}
	goto st52;
tr135:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 83;}
	goto st52;
tr139:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 105;}
	goto st52;
tr142:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 77;}
	goto st52;
tr146:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 99;}
	goto st52;
tr147:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 95;}
	goto st52;
tr152:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 85;}
	goto st52;
tr160:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 29;}
	goto st52;
tr163:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 115;}
	goto st52;
tr170:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 101;}
	goto st52;
tr176:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 53;}
	goto st52;
tr178:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 51;}
	goto st52;
tr179:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 5;}
	goto st52;
tr180:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 93;}
	goto st52;
tr184:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 73;}
	goto st52;
tr189:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 125;}
	goto st52;
tr190:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 43;}
	goto st52;
tr195:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 91;}
	goto st52;
tr196:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 45;}
	goto st52;
tr203:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 11;}
	goto st52;
tr206:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 103;}
	goto st52;
tr210:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 133;}
	goto st52;
tr212:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 69;}
	goto st52;
tr216:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 3;}
	goto st52;
tr217:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 127;}
	goto st52;
tr224:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 61;}
	goto st52;
tr228:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 113;}
	goto st52;
tr240:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 107;}
	goto st52;
tr242:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 109;}
	goto st52;
tr246:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 65;}
	goto st52;
tr248:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 31;}
	goto st52;
tr259:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 39;}
	goto st52;
tr260:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 87;}
	goto st52;
tr262:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 121;}
	goto st52;
tr268:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 131;}
	goto st52;
tr281:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 27;}
	goto st52;
tr284:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 25;}
	goto st52;
tr289:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 89;}
	goto st52;
tr294:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 15;}
	goto st52;
tr301:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 19;}
	goto st52;
tr302:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 67;}
	goto st52;
tr305:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 9;}
	goto st52;
tr307:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 71;}
	goto st52;
tr320:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 81;}
	goto st52;
tr323:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 41;}
	goto st52;
tr326:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 79;}
	goto st52;
tr330:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 33;}
	goto st52;
tr333:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 75;}
	goto st52;
tr336:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 129;}
	goto st52;
tr347:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 37;}
	goto st52;
tr351:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 117;}
	goto st52;
tr355:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 97;}
	goto st52;
tr361:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 7;}
	goto st52;
tr363:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 123;}
	goto st52;
tr367:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 111;}
	goto st52;
tr371:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 49;}
	goto st52;
tr375:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 47;}
	goto st52;
st52:
case 52:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out52;
	if ( (*pdaRun->p) == 95 )
		goto tr85;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr125;
st55:
case 55:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out55;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto st56;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st56:
case 56:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out56;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 117: goto st57;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st57:
case 57:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out57;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 109: goto tr132;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st58:
case 58:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out58;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 105: goto st59;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st59:
case 59:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out59;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st60;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st60:
case 60:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out60;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto tr135;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st61:
case 61:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out61;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st62;
		case 114: goto st64;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st62:
case 62:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out62;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st63;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st63:
case 63:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out63;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto tr139;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st64:
case 64:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out64;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st65;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st65:
case 65:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out65;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st66;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st66:
case 66:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out66;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 107: goto tr142;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st67:
case 67:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out67;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st68;
		case 111: goto st70;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st68:
case 68:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out68;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto st69;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st69:
case 69:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out69;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr146;
		case 116: goto tr147;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st70:
case 70:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out70;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 109: goto st71;
		case 110: goto st74;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st71:
case 71:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out71;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 109: goto st72;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st72:
case 72:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out72;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 105: goto st73;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st73:
case 73:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out73;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto tr152;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st74:
case 74:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out74;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto st75;
		case 116: goto st80;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st75:
case 75:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out75;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto st76;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr155;
st76:
case 76:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out76;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st77;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st77:
case 77:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out77;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 117: goto st78;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st78:
case 78:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out78;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto st79;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st79:
case 79:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out79;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto tr160;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st80:
case 80:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out80;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st81;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st81:
case 81:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out81;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 120: goto st82;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st82:
case 82:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out82;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto tr163;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st83:
case 83:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out83;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st84;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st84:
case 84:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out84;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 102: goto st85;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st85:
case 85:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out85;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st86;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr166;
st86:
case 86:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out86;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 117: goto st87;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st87:
case 87:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out87;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto st88;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st88:
case 88:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out88;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto tr170;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st89:
case 89:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out89;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto st90;
		case 110: goto st93;
		case 111: goto st94;
		case 120: goto st95;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st90:
case 90:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out90;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto st91;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st91:
case 91:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out91;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr176;
		case 105: goto st92;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st92:
case 92:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out92;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 102: goto tr178;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st93:
case 93:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out93;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 100: goto tr179;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st94:
case 94:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out94;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto tr180;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st95:
case 95:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out95;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 112: goto st96;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st96:
case 96:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out96;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st97;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st97:
case 97:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out97;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st98;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st98:
case 98:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out98;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto tr184;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st99:
case 99:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out99;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st100;
		case 111: goto st103;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st100:
case 100:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out100;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto st101;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st101:
case 101:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out101;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto st102;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st102:
case 102:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out102;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr189;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st103:
case 103:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out103;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto tr190;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st104:
case 104:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out104;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto st105;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st105:
case 105:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out105;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st106;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st106:
case 106:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out106;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 98: goto st107;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st107:
case 107:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out107;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st108;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st108:
case 108:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out108;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto tr195;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st109:
case 109:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out109;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 102: goto tr196;
		case 103: goto st110;
		case 110: goto st114;
		case 116: goto st119;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st110:
case 110:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out110;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 110: goto st111;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st111:
case 111:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out111;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st112;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st112:
case 112:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out112;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st113;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st113:
case 113:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out113;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr203;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st114:
case 114:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out114;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto st115;
		case 116: goto tr206;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr204;
st115:
case 115:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out115;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto st116;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st116:
case 116:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out116;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 117: goto st117;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st117:
case 117:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out117;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 100: goto st118;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st118:
case 118:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out118;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr210;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st119:
case 119:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out119;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st120;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st120:
case 120:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out120;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto tr212;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st121:
case 121:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out121;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st122;
		case 105: goto st124;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st122:
case 122:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out122;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 102: goto st123;
		case 120: goto tr216;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st123:
case 123:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out123;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto tr217;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st124:
case 124:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out124;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto st125;
		case 116: goto st129;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st125:
case 125:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out125;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto st126;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st126:
case 126:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out126;
	if ( (*pdaRun->p) == 95 )
		goto st127;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr221;
st127:
case 127:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out127;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st128;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st128:
case 128:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out128;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto tr224;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st129:
case 129:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out129;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st130;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st130:
case 130:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out130;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st131;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st131:
case 131:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out131;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st132;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st132:
case 132:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out132;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto tr228;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st133:
case 133:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out133;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st134;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st134:
case 134:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out134;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 107: goto st135;
		case 112: goto st144;
		case 116: goto st147;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st135:
case 135:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out135;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st136;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st136:
case 136:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out136;
	if ( (*pdaRun->p) == 95 )
		goto st137;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st137:
case 137:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out137;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto st138;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st138:
case 138:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out138;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st139;
		case 114: goto st142;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st139:
case 139:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out139;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 107: goto st140;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st140:
case 140:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out140;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st141;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st141:
case 141:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out141;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 110: goto tr240;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st142:
case 142:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out142;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st143;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st143:
case 143:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out143;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr242;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st144:
case 144:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out144;
	if ( (*pdaRun->p) == 95 )
		goto st145;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr243;
st145:
case 145:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out145;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st146;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st146:
case 146:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out146;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto tr246;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st147:
case 147:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out147;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto st148;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st148:
case 148:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out148;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 104: goto tr248;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st149:
case 149:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out149;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st150;
		case 101: goto st157;
		case 105: goto st158;
		case 111: goto st159;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st150:
case 150:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out150;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 109: goto st151;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st151:
case 151:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out151;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st152;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st152:
case 152:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out152;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto st153;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st153:
case 153:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out153;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 112: goto st154;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st154:
case 154:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out154;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st155;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st155:
case 155:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out155;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto st156;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st156:
case 156:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out156;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr259;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st157:
case 157:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out157;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 119: goto tr260;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st158:
case 158:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out158;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto tr262;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr261;
st159:
case 159:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out159;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 110: goto st160;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st160:
case 160:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out160;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st161;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st161:
case 161:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out161;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto st162;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st162:
case 162:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out162;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto st163;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st163:
case 163:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out163;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st164;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st164:
case 164:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out164;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto tr268;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st165:
case 165:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out165;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st166;
		case 114: goto st177;
		case 116: goto st190;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st166:
case 166:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out166;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st167;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st167:
case 167:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out167;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto st168;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st168:
case 168:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out168;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st169;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st169:
case 169:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out169;
	switch( (*pdaRun->p) ) {
		case 95: goto st170;
		case 114: goto tr132;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr275;
st170:
case 170:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out170;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto st171;
		case 116: goto st174;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st171:
case 171:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out171;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto st172;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st172:
case 172:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out172;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st173;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st173:
case 173:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out173;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 112: goto tr281;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st174:
case 174:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out174;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st175;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st175:
case 175:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out175;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st176;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st176:
case 176:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out176;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr284;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st177:
case 177:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out177;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st178;
		case 105: goto st181;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st178:
case 178:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out178;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st179;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st179:
case 179:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out179;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st180;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st180:
case 180:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out180;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 102: goto tr289;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st181:
case 181:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out181;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 110: goto st182;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st182:
case 182:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out182;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto st183;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st183:
case 183:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out183;
	switch( (*pdaRun->p) ) {
		case 95: goto st184;
		case 115: goto tr294;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr292;
st184:
case 184:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out184;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 120: goto st185;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st185:
case 185:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out185;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 109: goto st186;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st186:
case 186:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out186;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto st187;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st187:
case 187:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out187;
	if ( (*pdaRun->p) == 95 )
		goto st188;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr298;
st188:
case 188:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out188;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st189;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st189:
case 189:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out189;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto tr301;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st190:
case 190:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out190;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto tr302;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st191:
case 191:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out191;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st192;
		case 105: goto st214;
		case 108: goto tr305;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st192:
case 192:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out192;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 100: goto st193;
		case 102: goto tr307;
		case 106: goto st204;
		case 113: goto st207;
		case 116: goto st211;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st193:
case 193:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out193;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 117: goto st194;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st194:
case 194:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out194;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto st195;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st195:
case 195:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out195;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st196;
		case 116: goto st201;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st196:
case 196:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out196;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 102: goto st197;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr315;
st197:
case 197:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out197;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 105: goto st198;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st198:
case 198:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out198;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st199;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st199:
case 199:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out199;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto st200;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st200:
case 200:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out200;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto tr320;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st201:
case 201:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out201;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 105: goto st202;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st202:
case 202:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out202;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st203;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st203:
case 203:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out203;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 110: goto tr323;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st204:
case 204:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out204;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st205;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st205:
case 205:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out205;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto st206;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st206:
case 206:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out206;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto tr326;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st207:
case 207:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out207;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 117: goto st208;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st208:
case 208:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out208;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 105: goto st209;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st209:
case 209:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out209;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st210;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st210:
case 210:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out210;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr330;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st211:
case 211:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out211;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 117: goto st212;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st212:
case 212:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out212;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st213;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st213:
case 213:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out213;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 110: goto tr333;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st214:
case 214:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out214;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 103: goto st215;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st215:
case 215:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out215;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 104: goto st216;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st216:
case 216:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out216;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto tr336;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st217:
case 217:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out217;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st218;
		case 116: goto st225;
		case 119: goto st229;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st218:
case 218:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out218;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 110: goto st219;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st219:
case 219:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out219;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 100: goto st220;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st220:
case 220:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out220;
	if ( (*pdaRun->p) == 95 )
		goto st221;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr342;
st221:
case 221:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out221;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto st222;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st222:
case 222:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out222;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st223;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st223:
case 223:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out223;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st224;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st224:
case 224:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out224;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr347;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st225:
case 225:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out225;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st226;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st226:
case 226:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out226;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 117: goto st227;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st227:
case 227:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out227;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto st228;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st228:
case 228:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out228;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto tr351;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st229:
case 229:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out229;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 105: goto st230;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st230:
case 230:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out230;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto st231;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st231:
case 231:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out231;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto st232;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st232:
case 232:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out232;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 104: goto tr355;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st233:
case 233:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out233;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st234;
		case 114: goto st237;
		case 121: goto st239;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st234:
case 234:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out234;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 107: goto st235;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st235:
case 235:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out235;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st236;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st236:
case 236:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out236;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 110: goto tr361;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st237:
case 237:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out237;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 117: goto st238;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st238:
case 238:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out238;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr363;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st239:
case 239:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out239;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 112: goto st240;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st240:
case 240:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out240;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st241;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st241:
case 241:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out241;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 105: goto st242;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st242:
case 242:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out242;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 100: goto tr367;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st243:
case 243:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out243;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 104: goto st244;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st244:
case 244:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out244;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 105: goto st245;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st245:
case 245:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out245;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto st246;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st246:
case 246:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out246;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr371;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st247:
case 247:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out247;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 105: goto st248;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st248:
case 248:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out248;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st249;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st249:
case 249:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out249;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto st250;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st250:
case 250:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out250;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 100: goto tr375;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr127;
st251:
case 251:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out251;
	if ( (*pdaRun->p) == 124 )
		goto tr377;
	goto tr376;
st47:
case 47:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out47;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st47;
	goto tr116;
tr6:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 107;
	goto out;
}
	goto st252;
tr8:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 74;
	goto out;
}
	goto st252;
tr379:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 75;
	goto out;
}
	goto st252;
tr380:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 101;
	goto out;
}
	goto st252;
tr381:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 104;
	goto out;
}
	goto st252;
tr383:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 76;
	goto out;
}
	goto st252;
tr384:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 86;
	goto out;
}
	goto st252;
tr385:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 87;
	goto out;
}
	goto st252;
tr386:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 90;
	goto out;
}
	goto st252;
tr387:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 105;
	goto out;
}
	goto st252;
tr388:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 95;
	goto out;
}
	goto st252;
tr390:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 84;
	goto out;
}
	goto st252;
tr391:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 81;
	goto out;
}
	goto st252;
tr397:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 91;
	goto out;
}
	goto st252;
tr398:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 103;
	goto out;
}
	goto st252;
tr400:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 78;
	goto out;
}
	goto st252;
tr401:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 79;
	goto out;
}
	goto st252;
tr402:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 102;
	goto out;
}
	goto st252;
tr421:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 88;
	goto out;
}
	goto st252;
tr423:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 89;
	goto out;
}
	goto st252;
tr424:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 77;
	goto out;
}
	goto st252;
tr425:
	{	pdaRun->matched_token = 100;
	goto out;
}
	goto st252;
tr426:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 94;
	goto out;
}
	goto st252;
tr427:
	{	pdaRun->matched_token = 106;
	goto out;
}
	goto st252;
tr428:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 85;
	goto out;
}
	goto st252;
tr429:
	{	pdaRun->matched_token = 73;
	goto out;
}
	goto st252;
tr430:
	{	pdaRun->matched_token = 82;
	goto out;
}
	goto st252;
tr431:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 83;
	goto out;
}
	goto st252;
tr432:
	{	pdaRun->matched_token = 96;
	goto out;
}
	goto st252;
tr433:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 98;
	goto out;
}
	goto st252;
tr434:
	{	pdaRun->matched_token = 92;
	goto out;
}
	goto st252;
tr435:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 93;
	goto out;
}
	goto st252;
tr436:
	{	pdaRun->matched_token = 97;
	goto out;
}
	goto st252;
tr437:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 99;
	goto out;
}
	goto st252;
tr438:
	{	pdaRun->toklen = pdaRun->tokend;
	switch( pdaRun->act ) {
	case 4:
	pdaRun->matched_token = 6;
	break;
	case 6:
	pdaRun->matched_token = 7;
	break;
	case 8:
	pdaRun->matched_token = 8;
	break;
	case 10:
	pdaRun->matched_token = 9;
	break;
	case 12:
	pdaRun->matched_token = 10;
	break;
	case 16:
	pdaRun->matched_token = 12;
	break;
	case 20:
	pdaRun->matched_token = 14;
	break;
	case 26:
	pdaRun->matched_token = 17;
	break;
	case 28:
	pdaRun->matched_token = 18;
	break;
	case 30:
	pdaRun->matched_token = 19;
	break;
	case 32:
	pdaRun->matched_token = 20;
	break;
	case 34:
	pdaRun->matched_token = 21;
	break;
	case 38:
	pdaRun->matched_token = 23;
	break;
	case 40:
	pdaRun->matched_token = 24;
	break;
	case 42:
	pdaRun->matched_token = 25;
	break;
	case 44:
	pdaRun->matched_token = 26;
	break;
	case 46:
	pdaRun->matched_token = 27;
	break;
	case 48:
	pdaRun->matched_token = 28;
	break;
	case 50:
	pdaRun->matched_token = 29;
	break;
	case 52:
	pdaRun->matched_token = 30;
	break;
	case 54:
	pdaRun->matched_token = 31;
	break;
	case 58:
	pdaRun->matched_token = 33;
	break;
	case 62:
	pdaRun->matched_token = 35;
	break;
	case 66:
	pdaRun->matched_token = 37;
	break;
	case 68:
	pdaRun->matched_token = 38;
	break;
	case 70:
	pdaRun->matched_token = 39;
	break;
	case 72:
	pdaRun->matched_token = 40;
	break;
	case 74:
	pdaRun->matched_token = 41;
	break;
	case 76:
	pdaRun->matched_token = 42;
	break;
	case 78:
	pdaRun->matched_token = 43;
	break;
	case 80:
	pdaRun->matched_token = 44;
	break;
	case 82:
	pdaRun->matched_token = 45;
	break;
	case 84:
	pdaRun->matched_token = 46;
	break;
	case 86:
	pdaRun->matched_token = 47;
	break;
	case 88:
	pdaRun->matched_token = 48;
	break;
	case 90:
	pdaRun->matched_token = 49;
	break;
	case 92:
	pdaRun->matched_token = 50;
	break;
	case 94:
	pdaRun->matched_token = 51;
	break;
	case 96:
	pdaRun->matched_token = 52;
	break;
	case 98:
	pdaRun->matched_token = 53;
	break;
	case 100:
	pdaRun->matched_token = 54;
	break;
	case 102:
	pdaRun->matched_token = 55;
	break;
	case 104:
	pdaRun->matched_token = 56;
	break;
	case 106:
	pdaRun->matched_token = 57;
	break;
	case 108:
	pdaRun->matched_token = 58;
	break;
	case 110:
	pdaRun->matched_token = 59;
	break;
	case 112:
	pdaRun->matched_token = 60;
	break;
	case 114:
	pdaRun->matched_token = 61;
	break;
	case 116:
	pdaRun->matched_token = 62;
	break;
	case 118:
	pdaRun->matched_token = 63;
	break;
	case 122:
	pdaRun->matched_token = 65;
	break;
	case 124:
	pdaRun->matched_token = 66;
	break;
	case 126:
	pdaRun->matched_token = 67;
	break;
	case 128:
	pdaRun->matched_token = 68;
	break;
	case 130:
	pdaRun->matched_token = 69;
	break;
	case 132:
	pdaRun->matched_token = 70;
	break;
	case 134:
	pdaRun->matched_token = 71;
	break;
	case 136:
	pdaRun->matched_token = 72;
	break;
	}
		goto skip_toklen;
}
	goto st252;
tr439:
	{	pdaRun->matched_token = 74;
	goto out;
}
	goto st252;
tr440:
	{	pdaRun->matched_token = 72;
	goto out;
}
	goto st252;
tr468:
	{	pdaRun->matched_token = 19;
	goto out;
}
	goto st252;
tr479:
	{	pdaRun->matched_token = 5;
	goto out;
}
	goto st252;
tr517:
	{	pdaRun->matched_token = 32;
	goto out;
}
	goto st252;
tr534:
	{	pdaRun->matched_token = 34;
	goto out;
}
	goto st252;
tr556:
	{	pdaRun->matched_token = 36;
	goto out;
}
	goto st252;
tr574:
	{	pdaRun->matched_token = 64;
	goto out;
}
	goto st252;
tr588:
	{	pdaRun->matched_token = 15;
	goto out;
}
	goto st252;
tr605:
	{	pdaRun->matched_token = 11;
	goto out;
}
	goto st252;
tr611:
	{	pdaRun->matched_token = 13;
	goto out;
}
	goto st252;
tr628:
	{	pdaRun->matched_token = 16;
	goto out;
}
	goto st252;
tr655:
	{	pdaRun->matched_token = 22;
	goto out;
}
	goto st252;
tr689:
	{	pdaRun->matched_token = 80;
	goto out;
}
	goto st252;
tr690:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 108;
	goto out;
}
	goto st252;
st252:
case 252:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out252;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 33: goto st253;
		case 34: goto tr379;
		case 36: goto tr380;
		case 37: goto tr381;
		case 38: goto st4;
		case 39: goto tr383;
		case 40: goto tr384;
		case 41: goto tr385;
		case 42: goto tr386;
		case 43: goto tr387;
		case 44: goto tr388;
		case 45: goto st254;
		case 46: goto tr390;
		case 47: goto tr391;
		case 58: goto st256;
		case 60: goto st257;
		case 61: goto st258;
		case 62: goto st259;
		case 63: goto tr397;
		case 64: goto tr398;
		case 91: goto tr400;
		case 93: goto tr401;
		case 94: goto tr402;
		case 96: goto st5;
		case 97: goto st262;
		case 98: goto st269;
		case 99: goto st275;
		case 100: goto st291;
		case 101: goto st297;
		case 102: goto st307;
		case 103: goto st312;
		case 105: goto st317;
		case 108: goto st329;
		case 109: goto st341;
		case 110: goto st357;
		case 112: goto st373;
		case 114: goto st399;
		case 115: goto st425;
		case 116: goto st441;
		case 119: goto st451;
		case 121: goto st455;
		case 123: goto tr421;
		case 124: goto st459;
		case 125: goto tr423;
		case 126: goto tr424;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st255;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 95 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto st0;
st253:
case 253:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out253;
	if ( (*pdaRun->p) == 61 )
		goto tr426;
	goto tr425;
st4:
case 4:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out4;
	if ( (*pdaRun->p) == 38 )
		goto tr6;
	goto st0;
st254:
case 254:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out254;
	if ( (*pdaRun->p) == 62 )
		goto tr428;
	goto tr427;
st256:
case 256:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out256;
	if ( (*pdaRun->p) == 58 )
		goto tr431;
	goto tr430;
st257:
case 257:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out257;
	if ( (*pdaRun->p) == 61 )
		goto tr433;
	goto tr432;
st258:
case 258:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out258;
	if ( (*pdaRun->p) == 61 )
		goto tr435;
	goto tr434;
st259:
case 259:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out259;
	if ( (*pdaRun->p) == 61 )
		goto tr437;
	goto tr436;
st5:
case 5:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out5;
	switch( (*pdaRun->p) ) {
		case 32: goto st0;
		case 93: goto tr8;
	}
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st0;
	goto st261;
st261:
case 261:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out261;
	switch( (*pdaRun->p) ) {
		case 32: goto tr439;
		case 93: goto tr439;
	}
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto tr439;
	goto st261;
st262:
case 262:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out262;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 99: goto st263;
		case 108: goto st266;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
tr399:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 136;}
	goto st260;
tr445:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 58;}
	goto st260;
tr448:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 84;}
	goto st260;
tr452:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 106;}
	goto st260;
tr455:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 78;}
	goto st260;
tr459:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 100;}
	goto st260;
tr460:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 96;}
	goto st260;
tr465:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 86;}
	goto st260;
tr473:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 30;}
	goto st260;
tr476:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 116;}
	goto st260;
tr483:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 102;}
	goto st260;
tr489:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 54;}
	goto st260;
tr491:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 52;}
	goto st260;
tr492:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 6;}
	goto st260;
tr493:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 94;}
	goto st260;
tr497:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 74;}
	goto st260;
tr502:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 126;}
	goto st260;
tr503:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 44;}
	goto st260;
tr508:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 92;}
	goto st260;
tr509:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 46;}
	goto st260;
tr516:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 12;}
	goto st260;
tr519:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 104;}
	goto st260;
tr523:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 134;}
	goto st260;
tr525:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 70;}
	goto st260;
tr529:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 4;}
	goto st260;
tr530:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 128;}
	goto st260;
tr537:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 62;}
	goto st260;
tr541:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 114;}
	goto st260;
tr553:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 108;}
	goto st260;
tr555:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 110;}
	goto st260;
tr559:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 66;}
	goto st260;
tr561:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 32;}
	goto st260;
tr572:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 40;}
	goto st260;
tr573:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 88;}
	goto st260;
tr575:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 122;}
	goto st260;
tr581:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 132;}
	goto st260;
tr594:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 28;}
	goto st260;
tr597:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 26;}
	goto st260;
tr602:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 90;}
	goto st260;
tr607:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 16;}
	goto st260;
tr614:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 20;}
	goto st260;
tr615:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 68;}
	goto st260;
tr618:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 10;}
	goto st260;
tr620:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 72;}
	goto st260;
tr633:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 82;}
	goto st260;
tr636:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 42;}
	goto st260;
tr639:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 80;}
	goto st260;
tr643:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 34;}
	goto st260;
tr646:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 76;}
	goto st260;
tr649:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 130;}
	goto st260;
tr660:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 38;}
	goto st260;
tr664:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 118;}
	goto st260;
tr668:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 98;}
	goto st260;
tr674:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 8;}
	goto st260;
tr676:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 124;}
	goto st260;
tr680:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 112;}
	goto st260;
tr684:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 50;}
	goto st260;
tr688:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 48;}
	goto st260;
st260:
case 260:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out260;
	if ( (*pdaRun->p) == 95 )
		goto tr399;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr438;
st263:
case 263:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out263;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 99: goto st264;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st264:
case 264:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out264;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 117: goto st265;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st265:
case 265:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out265;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 109: goto tr445;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st266:
case 266:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out266;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 105: goto st267;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st267:
case 267:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out267;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 97: goto st268;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st268:
case 268:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out268;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 115: goto tr448;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st269:
case 269:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out269;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 111: goto st270;
		case 114: goto st272;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st270:
case 270:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out270;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 111: goto st271;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st271:
case 271:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out271;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 108: goto tr452;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st272:
case 272:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out272;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st273;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st273:
case 273:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out273;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 97: goto st274;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st274:
case 274:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out274;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 107: goto tr455;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st275:
case 275:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out275;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 97: goto st276;
		case 111: goto st278;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st276:
case 276:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out276;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 115: goto st277;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st277:
case 277:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out277;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto tr459;
		case 116: goto tr460;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st278:
case 278:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out278;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 109: goto st279;
		case 110: goto st282;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st279:
case 279:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out279;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 109: goto st280;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st280:
case 280:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out280;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 105: goto st281;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st281:
case 281:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out281;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 116: goto tr465;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st282:
case 282:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out282;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 115: goto st283;
		case 116: goto st288;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st283:
case 283:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out283;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 116: goto st284;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr468;
st284:
case 284:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out284;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 114: goto st285;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st285:
case 285:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out285;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 117: goto st286;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st286:
case 286:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out286;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 99: goto st287;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st287:
case 287:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out287;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 116: goto tr473;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st288:
case 288:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out288;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st289;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st289:
case 289:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out289;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 120: goto st290;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st290:
case 290:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out290;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 116: goto tr476;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st291:
case 291:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out291;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st292;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st292:
case 292:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out292;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 102: goto st293;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st293:
case 293:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out293;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 97: goto st294;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr479;
st294:
case 294:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out294;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 117: goto st295;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st295:
case 295:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out295;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 108: goto st296;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st296:
case 296:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out296;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 116: goto tr483;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st297:
case 297:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out297;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 108: goto st298;
		case 110: goto st301;
		case 111: goto st302;
		case 120: goto st303;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st298:
case 298:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out298;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 115: goto st299;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st299:
case 299:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out299;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto tr489;
		case 105: goto st300;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st300:
case 300:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out300;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 102: goto tr491;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st301:
case 301:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out301;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 100: goto tr492;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st302:
case 302:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out302;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 115: goto tr493;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st303:
case 303:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out303;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 112: goto st304;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st304:
case 304:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out304;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 111: goto st305;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st305:
case 305:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out305;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 114: goto st306;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st306:
case 306:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out306;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 116: goto tr497;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st307:
case 307:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out307;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 97: goto st308;
		case 111: goto st311;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st308:
case 308:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out308;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 108: goto st309;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st309:
case 309:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out309;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 115: goto st310;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st310:
case 310:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out310;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto tr502;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st311:
case 311:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out311;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 114: goto tr503;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st312:
case 312:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out312;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 108: goto st313;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st313:
case 313:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out313;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 111: goto st314;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st314:
case 314:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out314;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 98: goto st315;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st315:
case 315:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out315;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 97: goto st316;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st316:
case 316:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out316;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 108: goto tr508;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st317:
case 317:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out317;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 102: goto tr509;
		case 103: goto st318;
		case 110: goto st322;
		case 116: goto st327;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st318:
case 318:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out318;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 110: goto st319;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st319:
case 319:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out319;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 111: goto st320;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st320:
case 320:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out320;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 114: goto st321;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st321:
case 321:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out321;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto tr516;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st322:
case 322:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out322;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 99: goto st323;
		case 116: goto tr519;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr517;
st323:
case 323:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out323;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 108: goto st324;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st324:
case 324:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out324;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 117: goto st325;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st325:
case 325:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out325;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 100: goto st326;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st326:
case 326:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out326;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto tr523;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st327:
case 327:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out327;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st328;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st328:
case 328:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out328;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 114: goto tr525;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st329:
case 329:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out329;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st330;
		case 105: goto st332;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st330:
case 330:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out330;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 102: goto st331;
		case 120: goto tr529;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st331:
case 331:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out331;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 116: goto tr530;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st332:
case 332:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out332;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 115: goto st333;
		case 116: goto st337;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st333:
case 333:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out333;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 116: goto st334;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st334:
case 334:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out334;
	if ( (*pdaRun->p) == 95 )
		goto st335;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr534;
st335:
case 335:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out335;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st336;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st336:
case 336:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out336;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 108: goto tr537;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st337:
case 337:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out337;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st338;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st338:
case 338:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out338;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 114: goto st339;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st339:
case 339:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out339;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 97: goto st340;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st340:
case 340:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out340;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 108: goto tr541;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st341:
case 341:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out341;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 97: goto st342;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st342:
case 342:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out342;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 107: goto st343;
		case 112: goto st352;
		case 116: goto st355;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st343:
case 343:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out343;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st344;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st344:
case 344:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out344;
	if ( (*pdaRun->p) == 95 )
		goto st345;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st345:
case 345:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out345;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 116: goto st346;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st346:
case 346:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out346;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 111: goto st347;
		case 114: goto st350;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st347:
case 347:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out347;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 107: goto st348;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st348:
case 348:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out348;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st349;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st349:
case 349:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out349;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 110: goto tr553;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st350:
case 350:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out350;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st351;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st351:
case 351:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out351;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto tr555;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st352:
case 352:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out352;
	if ( (*pdaRun->p) == 95 )
		goto st353;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr556;
st353:
case 353:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out353;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st354;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st354:
case 354:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out354;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 108: goto tr559;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st355:
case 355:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out355;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 99: goto st356;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st356:
case 356:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out356;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 104: goto tr561;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st357:
case 357:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out357;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 97: goto st358;
		case 101: goto st365;
		case 105: goto st366;
		case 111: goto st367;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st358:
case 358:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out358;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 109: goto st359;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st359:
case 359:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out359;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st360;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st360:
case 360:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out360;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 115: goto st361;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st361:
case 361:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out361;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 112: goto st362;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st362:
case 362:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out362;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 97: goto st363;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st363:
case 363:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out363;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 99: goto st364;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st364:
case 364:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out364;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto tr572;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st365:
case 365:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out365;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 119: goto tr573;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st366:
case 366:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out366;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 108: goto tr575;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr574;
st367:
case 367:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out367;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 110: goto st368;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st368:
case 368:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out368;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 97: goto st369;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st369:
case 369:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out369;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 115: goto st370;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st370:
case 370:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out370;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 115: goto st371;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st371:
case 371:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out371;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 111: goto st372;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st372:
case 372:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out372;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 99: goto tr581;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st373:
case 373:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out373;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 97: goto st374;
		case 114: goto st385;
		case 116: goto st398;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st374:
case 374:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out374;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 114: goto st375;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st375:
case 375:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out375;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 115: goto st376;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st376:
case 376:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out376;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st377;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st377:
case 377:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out377;
	switch( (*pdaRun->p) ) {
		case 95: goto st378;
		case 114: goto tr445;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr588;
st378:
case 378:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out378;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 115: goto st379;
		case 116: goto st382;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st379:
case 379:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out379;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 116: goto st380;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st380:
case 380:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out380;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 111: goto st381;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st381:
case 381:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out381;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 112: goto tr594;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st382:
case 382:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out382;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 114: goto st383;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st383:
case 383:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out383;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st384;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st384:
case 384:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out384;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto tr597;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st385:
case 385:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out385;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st386;
		case 105: goto st389;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st386:
case 386:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out386;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st387;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st387:
case 387:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out387;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 111: goto st388;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st388:
case 388:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out388;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 102: goto tr602;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st389:
case 389:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out389;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 110: goto st390;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st390:
case 390:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out390;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 116: goto st391;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st391:
case 391:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out391;
	switch( (*pdaRun->p) ) {
		case 95: goto st392;
		case 115: goto tr607;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr605;
st392:
case 392:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out392;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 120: goto st393;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st393:
case 393:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out393;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 109: goto st394;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st394:
case 394:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out394;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 108: goto st395;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st395:
case 395:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out395;
	if ( (*pdaRun->p) == 95 )
		goto st396;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr611;
st396:
case 396:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out396;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 97: goto st397;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st397:
case 397:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out397;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 99: goto tr614;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st398:
case 398:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out398;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 114: goto tr615;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st399:
case 399:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out399;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st400;
		case 105: goto st422;
		case 108: goto tr618;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st400:
case 400:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out400;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 100: goto st401;
		case 102: goto tr620;
		case 106: goto st412;
		case 113: goto st415;
		case 116: goto st419;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st401:
case 401:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out401;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 117: goto st402;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st402:
case 402:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out402;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 99: goto st403;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st403:
case 403:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out403;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st404;
		case 116: goto st409;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st404:
case 404:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out404;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 102: goto st405;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr628;
st405:
case 405:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out405;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 105: goto st406;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st406:
case 406:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out406;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 114: goto st407;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st407:
case 407:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out407;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 115: goto st408;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st408:
case 408:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out408;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 116: goto tr633;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st409:
case 409:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out409;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 105: goto st410;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st410:
case 410:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out410;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 111: goto st411;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st411:
case 411:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out411;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 110: goto tr636;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st412:
case 412:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out412;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st413;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st413:
case 413:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out413;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 99: goto st414;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st414:
case 414:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out414;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 116: goto tr639;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st415:
case 415:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out415;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 117: goto st416;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st416:
case 416:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out416;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 105: goto st417;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st417:
case 417:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out417;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 114: goto st418;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st418:
case 418:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out418;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto tr643;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st419:
case 419:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out419;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 117: goto st420;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st420:
case 420:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out420;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 114: goto st421;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st421:
case 421:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out421;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 110: goto tr646;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st422:
case 422:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out422;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 103: goto st423;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st423:
case 423:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out423;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 104: goto st424;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st424:
case 424:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out424;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 116: goto tr649;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st425:
case 425:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out425;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st426;
		case 116: goto st433;
		case 119: goto st437;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st426:
case 426:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out426;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 110: goto st427;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st427:
case 427:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out427;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 100: goto st428;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st428:
case 428:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out428;
	if ( (*pdaRun->p) == 95 )
		goto st429;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr655;
st429:
case 429:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out429;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 116: goto st430;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st430:
case 430:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out430;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 114: goto st431;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st431:
case 431:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out431;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st432;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st432:
case 432:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out432;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto tr660;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st433:
case 433:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out433;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 114: goto st434;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st434:
case 434:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out434;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 117: goto st435;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st435:
case 435:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out435;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 99: goto st436;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st436:
case 436:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out436;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 116: goto tr664;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st437:
case 437:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out437;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 105: goto st438;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st438:
case 438:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out438;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 116: goto st439;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st439:
case 439:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out439;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 99: goto st440;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st440:
case 440:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out440;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 104: goto tr668;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st441:
case 441:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out441;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 111: goto st442;
		case 114: goto st445;
		case 121: goto st447;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st442:
case 442:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out442;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 107: goto st443;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st443:
case 443:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out443;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st444;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st444:
case 444:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out444;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 110: goto tr674;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st445:
case 445:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out445;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 117: goto st446;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st446:
case 446:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out446;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto tr676;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st447:
case 447:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out447;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 112: goto st448;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st448:
case 448:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out448;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st449;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st449:
case 449:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out449;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 105: goto st450;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st450:
case 450:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out450;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 100: goto tr680;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st451:
case 451:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out451;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 104: goto st452;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st452:
case 452:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out452;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 105: goto st453;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st453:
case 453:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out453;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 108: goto st454;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st454:
case 454:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out454;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto tr684;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st455:
case 455:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out455;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 105: goto st456;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st456:
case 456:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out456;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 101: goto st457;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st457:
case 457:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out457;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 108: goto st458;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st458:
case 458:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out458;
	switch( (*pdaRun->p) ) {
		case 95: goto tr399;
		case 100: goto tr688;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr399;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr399;
	} else
		goto tr399;
	goto tr440;
st459:
case 459:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out459;
	if ( (*pdaRun->p) == 124 )
		goto tr690;
	goto tr689;
st255:
case 255:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out255;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st255;
	goto tr429;
tr10:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 110;
	goto out;
}
	goto st460;
tr692:
	{	pdaRun->matched_token = 109;
	goto out;
}
	goto st460;
st460:
case 460:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out460;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 32: goto st461;
		case 35: goto st6;
	}
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st461;
	goto st0;
st461:
case 461:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out461;
	if ( (*pdaRun->p) == 32 )
		goto st461;
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st461;
	goto tr692;
st6:
case 6:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out6;
	if ( (*pdaRun->p) == 10 )
		goto tr10;
	goto st6;
tr12:
	{	pdaRun->toklen = pdaRun->tokend;
	switch( pdaRun->act ) {
	case 0: goto st0;
	case 221:
	pdaRun->matched_token = 115;
	break;
	}
		goto skip_toklen;
}
	goto st462;
tr693:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 112;
	goto out;
}
	goto st462;
tr694:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 111;
	goto out;
}
	goto st462;
tr695:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 113;
	goto out;
}
	goto st462;
tr697:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 114;
	goto out;
}
	goto st462;
tr698:
	{	pdaRun->matched_token = 115;
	goto out;
}
	goto st462;
st462:
	{pdaRun->act = 0;}
case 462:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out462;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 10: goto tr693;
		case 34: goto tr694;
		case 91: goto tr695;
		case 92: goto st7;
		case 93: goto tr697;
	}
	goto tr11;
st7:
case 7:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out7;
	goto tr11;
tr11:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 221;}
	goto st463;
st463:
case 463:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out463;
	switch( (*pdaRun->p) ) {
		case 10: goto tr698;
		case 34: goto tr698;
		case 92: goto st7;
	}
	if ( 91 <= (*pdaRun->p) && (*pdaRun->p) <= 93 )
		goto tr698;
	goto tr11;
tr14:
	{	pdaRun->toklen = pdaRun->tokend;
	switch( pdaRun->act ) {
	case 0: goto st0;
	case 222:
	pdaRun->matched_token = 115;
	break;
	}
		goto skip_toklen;
}
	goto st464;
tr699:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 112;
	goto out;
}
	goto st464;
tr700:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 111;
	goto out;
}
	goto st464;
tr701:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 113;
	goto out;
}
	goto st464;
tr703:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 114;
	goto out;
}
	goto st464;
tr704:
	{	pdaRun->matched_token = 115;
	goto out;
}
	goto st464;
st464:
	{pdaRun->act = 0;}
case 464:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out464;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 10: goto tr699;
		case 34: goto tr700;
		case 91: goto tr701;
		case 92: goto st8;
		case 93: goto tr703;
	}
	goto tr13;
st8:
case 8:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out8;
	goto tr13;
tr13:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 222;}
	goto st465;
st465:
case 465:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out465;
	switch( (*pdaRun->p) ) {
		case 10: goto tr704;
		case 34: goto tr704;
		case 92: goto st8;
	}
	if ( 91 <= (*pdaRun->p) && (*pdaRun->p) <= 93 )
		goto tr704;
	goto tr13;
tr705:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 168;
	goto out;
}
	goto st466;
st466:
case 466:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out466;
	{pdaRun->tokstart = pdaRun->p;}
	goto tr705;
tr16:
	{	pdaRun->toklen = pdaRun->tokend;
	switch( pdaRun->act ) {
	case 0: goto st0;
	case 227:
	pdaRun->matched_token = 118;
	break;
	}
		goto skip_toklen;
}
	goto st467;
tr706:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 117;
	goto out;
}
	goto st467;
tr707:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 116;
	goto out;
}
	goto st467;
tr709:
	{	pdaRun->matched_token = 118;
	goto out;
}
	goto st467;
st467:
	{pdaRun->act = 0;}
case 467:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out467;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 10: goto tr706;
		case 39: goto tr707;
		case 92: goto st9;
	}
	goto tr15;
st9:
case 9:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out9;
	goto tr15;
tr15:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 227;}
	goto st468;
st468:
case 468:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out468;
	switch( (*pdaRun->p) ) {
		case 10: goto tr709;
		case 39: goto tr709;
		case 92: goto st9;
	}
	goto tr15;
tr18:
	{	pdaRun->toklen = pdaRun->tokend;
	switch( pdaRun->act ) {
	case 0: goto st0;
	case 228:
	pdaRun->matched_token = 118;
	break;
	}
		goto skip_toklen;
}
	goto st469;
tr710:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 117;
	goto out;
}
	goto st469;
tr711:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 116;
	goto out;
}
	goto st469;
tr713:
	{	pdaRun->matched_token = 118;
	goto out;
}
	goto st469;
st469:
	{pdaRun->act = 0;}
case 469:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out469;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 10: goto tr710;
		case 39: goto tr711;
		case 92: goto st10;
	}
	goto tr17;
st10:
case 10:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out10;
	goto tr17;
tr17:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 228;}
	goto st470;
st470:
case 470:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out470;
	switch( (*pdaRun->p) ) {
		case 10: goto tr713;
		case 39: goto tr713;
		case 92: goto st10;
	}
	goto tr17;
tr714:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 169;
	goto out;
}
	goto st471;
st471:
case 471:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out471;
	{pdaRun->tokstart = pdaRun->p;}
	goto tr714;
tr716:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 119;
	goto out;
}
	goto st472;
tr717:
	{	pdaRun->matched_token = 120;
	goto out;
}
	goto st472;
st472:
case 472:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out472;
	{pdaRun->tokstart = pdaRun->p;}
	if ( (*pdaRun->p) == 10 )
		goto tr716;
	goto st473;
st473:
case 473:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out473;
	if ( (*pdaRun->p) == 10 )
		goto tr717;
	goto st473;
tr719:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 119;
	goto out;
}
	goto st474;
tr720:
	{	pdaRun->matched_token = 120;
	goto out;
}
	goto st474;
st474:
case 474:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out474;
	{pdaRun->tokstart = pdaRun->p;}
	if ( (*pdaRun->p) == 10 )
		goto tr719;
	goto st475;
st475:
case 475:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out475;
	if ( (*pdaRun->p) == 10 )
		goto tr720;
	goto st475;
tr721:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 170;
	goto out;
}
	goto st476;
st476:
case 476:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out476;
	{pdaRun->tokstart = pdaRun->p;}
	goto tr721;
tr23:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 145;
	goto out;
}
	goto st477;
tr26:
	{	pdaRun->toklen = pdaRun->tokend;
	pdaRun->matched_token = 122;
	goto skip_toklen;
}
	goto st477;
tr29:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 143;
	goto out;
}
	goto st477;
tr723:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 127;
	goto out;
}
	goto st477;
tr724:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 129;
	goto out;
}
	goto st477;
tr725:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 130;
	goto out;
}
	goto st477;
tr727:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 134;
	goto out;
}
	goto st477;
tr730:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 139;
	goto out;
}
	goto st477;
tr735:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 133;
	goto out;
}
	goto st477;
tr738:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 135;
	goto out;
}
	goto st477;
tr739:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 126;
	goto out;
}
	goto st477;
tr740:
	{	pdaRun->matched_token = 144;
	goto out;
}
	goto st477;
tr741:
	{	pdaRun->matched_token = 124;
	goto out;
}
	goto st477;
tr742:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 124;
	goto out;
}
	goto st477;
tr743:
	{	pdaRun->matched_token = 131;
	goto out;
}
	goto st477;
tr744:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 132;
	goto out;
}
	goto st477;
tr745:
	{	pdaRun->matched_token = 128;
	goto out;
}
	goto st477;
tr746:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 140;
	goto out;
}
	goto st477;
tr747:
	{	pdaRun->matched_token = 125;
	goto out;
}
	goto st477;
tr748:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 136;
	goto out;
}
	goto st477;
tr749:
	{	pdaRun->matched_token = 122;
	goto out;
}
	goto st477;
tr751:
	{	pdaRun->matched_token = 123;
	goto out;
}
	goto st477;
tr752:
	{	pdaRun->matched_token = 141;
	goto out;
}
	goto st477;
tr753:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 142;
	goto out;
}
	goto st477;
tr754:
	{	pdaRun->matched_token = 121;
	goto out;
}
	goto st477;
tr755:
	{	pdaRun->matched_token = 137;
	goto out;
}
	goto st477;
tr756:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 138;
	goto out;
}
	goto st477;
st477:
case 477:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out477;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 32: goto st478;
		case 34: goto st11;
		case 35: goto st13;
		case 38: goto tr723;
		case 39: goto st14;
		case 40: goto tr724;
		case 41: goto tr725;
		case 42: goto st480;
		case 43: goto tr727;
		case 45: goto st481;
		case 46: goto st482;
		case 47: goto tr730;
		case 48: goto tr731;
		case 58: goto st17;
		case 60: goto st18;
		case 63: goto tr735;
		case 91: goto st488;
		case 94: goto tr738;
		case 95: goto st487;
		case 124: goto tr739;
	}
	if ( (*pdaRun->p) < 49 ) {
		if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
			goto st478;
	} else if ( (*pdaRun->p) > 57 ) {
		if ( (*pdaRun->p) > 90 ) {
			if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
				goto st487;
		} else if ( (*pdaRun->p) >= 65 )
			goto st487;
	} else
		goto st484;
	goto st0;
st478:
case 478:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out478;
	if ( (*pdaRun->p) == 32 )
		goto st478;
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st478;
	goto tr740;
st11:
case 11:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out11;
	switch( (*pdaRun->p) ) {
		case 34: goto st479;
		case 92: goto st12;
	}
	goto st11;
st479:
case 479:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out479;
	if ( (*pdaRun->p) == 105 )
		goto tr742;
	goto tr741;
st12:
case 12:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out12;
	goto st11;
st13:
case 13:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out13;
	if ( (*pdaRun->p) == 10 )
		goto tr23;
	goto st13;
st14:
case 14:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out14;
	switch( (*pdaRun->p) ) {
		case 39: goto st479;
		case 92: goto st15;
	}
	goto st14;
st15:
case 15:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out15;
	goto st14;
st480:
case 480:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out480;
	if ( (*pdaRun->p) == 42 )
		goto tr744;
	goto tr743;
st481:
case 481:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out481;
	if ( (*pdaRun->p) == 45 )
		goto tr746;
	goto tr745;
st482:
case 482:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out482;
	if ( (*pdaRun->p) == 46 )
		goto tr748;
	goto tr747;
tr731:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st483;
st483:
case 483:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out483;
	if ( (*pdaRun->p) == 120 )
		goto st16;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st484;
	goto tr749;
st16:
case 16:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out16;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st485;
	} else if ( (*pdaRun->p) > 70 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 102 )
			goto st485;
	} else
		goto st485;
	goto tr26;
st485:
case 485:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out485;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st485;
	} else if ( (*pdaRun->p) > 70 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 102 )
			goto st485;
	} else
		goto st485;
	goto tr751;
st484:
case 484:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out484;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st484;
	goto tr749;
st17:
case 17:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out17;
	if ( (*pdaRun->p) == 62 )
		goto st486;
	goto st0;
st486:
case 486:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out486;
	if ( (*pdaRun->p) == 62 )
		goto tr753;
	goto tr752;
st18:
case 18:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out18;
	if ( (*pdaRun->p) == 58 )
		goto tr29;
	goto st0;
st488:
case 488:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out488;
	if ( (*pdaRun->p) == 94 )
		goto tr756;
	goto tr755;
st487:
case 487:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out487;
	if ( (*pdaRun->p) == 95 )
		goto st487;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st487;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st487;
	} else
		goto st487;
	goto tr754;
tr35:
	{	pdaRun->toklen = pdaRun->tokend;
	pdaRun->matched_token = 122;
	goto skip_toklen;
}
	goto st489;
tr38:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 143;
	goto out;
}
	goto st489;
tr757:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 127;
	goto out;
}
	goto st489;
tr758:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 129;
	goto out;
}
	goto st489;
tr759:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 130;
	goto out;
}
	goto st489;
tr761:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 134;
	goto out;
}
	goto st489;
tr764:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 139;
	goto out;
}
	goto st489;
tr769:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 133;
	goto out;
}
	goto st489;
tr772:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 135;
	goto out;
}
	goto st489;
tr773:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 126;
	goto out;
}
	goto st489;
tr774:
	{	pdaRun->matched_token = 124;
	goto out;
}
	goto st489;
tr775:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 124;
	goto out;
}
	goto st489;
tr776:
	{	pdaRun->matched_token = 131;
	goto out;
}
	goto st489;
tr777:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 132;
	goto out;
}
	goto st489;
tr778:
	{	pdaRun->matched_token = 128;
	goto out;
}
	goto st489;
tr779:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 140;
	goto out;
}
	goto st489;
tr780:
	{	pdaRun->matched_token = 125;
	goto out;
}
	goto st489;
tr781:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 136;
	goto out;
}
	goto st489;
tr782:
	{	pdaRun->matched_token = 122;
	goto out;
}
	goto st489;
tr784:
	{	pdaRun->matched_token = 123;
	goto out;
}
	goto st489;
tr785:
	{	pdaRun->matched_token = 141;
	goto out;
}
	goto st489;
tr786:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 142;
	goto out;
}
	goto st489;
tr787:
	{	pdaRun->matched_token = 121;
	goto out;
}
	goto st489;
tr788:
	{	pdaRun->matched_token = 137;
	goto out;
}
	goto st489;
tr789:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 138;
	goto out;
}
	goto st489;
st489:
case 489:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out489;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 34: goto st19;
		case 38: goto tr757;
		case 39: goto st21;
		case 40: goto tr758;
		case 41: goto tr759;
		case 42: goto st491;
		case 43: goto tr761;
		case 45: goto st492;
		case 46: goto st493;
		case 47: goto tr764;
		case 48: goto tr765;
		case 58: goto st24;
		case 60: goto st25;
		case 63: goto tr769;
		case 91: goto st499;
		case 94: goto tr772;
		case 95: goto st498;
		case 124: goto tr773;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 49 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st495;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st498;
	} else
		goto st498;
	goto st0;
st19:
case 19:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out19;
	switch( (*pdaRun->p) ) {
		case 34: goto st490;
		case 92: goto st20;
	}
	goto st19;
st490:
case 490:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out490;
	if ( (*pdaRun->p) == 105 )
		goto tr775;
	goto tr774;
st20:
case 20:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out20;
	goto st19;
st21:
case 21:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out21;
	switch( (*pdaRun->p) ) {
		case 39: goto st490;
		case 92: goto st22;
	}
	goto st21;
st22:
case 22:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out22;
	goto st21;
st491:
case 491:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out491;
	if ( (*pdaRun->p) == 42 )
		goto tr777;
	goto tr776;
st492:
case 492:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out492;
	if ( (*pdaRun->p) == 45 )
		goto tr779;
	goto tr778;
st493:
case 493:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out493;
	if ( (*pdaRun->p) == 46 )
		goto tr781;
	goto tr780;
tr765:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st494;
st494:
case 494:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out494;
	if ( (*pdaRun->p) == 120 )
		goto st23;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st495;
	goto tr782;
st23:
case 23:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out23;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st496;
	} else if ( (*pdaRun->p) > 70 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 102 )
			goto st496;
	} else
		goto st496;
	goto tr35;
st496:
case 496:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out496;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st496;
	} else if ( (*pdaRun->p) > 70 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 102 )
			goto st496;
	} else
		goto st496;
	goto tr784;
st495:
case 495:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out495;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st495;
	goto tr782;
st24:
case 24:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out24;
	if ( (*pdaRun->p) == 62 )
		goto st497;
	goto st0;
st497:
case 497:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out497;
	if ( (*pdaRun->p) == 62 )
		goto tr786;
	goto tr785;
st25:
case 25:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out25;
	if ( (*pdaRun->p) == 58 )
		goto tr38;
	goto st0;
st499:
case 499:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out499;
	if ( (*pdaRun->p) == 94 )
		goto tr789;
	goto tr788;
st498:
case 498:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out498;
	if ( (*pdaRun->p) == 95 )
		goto st498;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st498;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st498;
	} else
		goto st498;
	goto tr787;
tr40:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 145;
	goto out;
}
	goto st500;
tr791:
	{	pdaRun->matched_token = 144;
	goto out;
}
	goto st500;
st500:
case 500:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out500;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 32: goto st501;
		case 35: goto st26;
	}
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st501;
	goto st0;
st501:
case 501:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out501;
	if ( (*pdaRun->p) == 32 )
		goto st501;
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st501;
	goto tr791;
st26:
case 26:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out26;
	if ( (*pdaRun->p) == 10 )
		goto tr40;
	goto st26;
tr41:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 147;
	goto out;
}
	goto st502;
tr792:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 146;
	goto out;
}
	goto st502;
tr794:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 148;
	goto out;
}
	goto st502;
st502:
case 502:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out502;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 45: goto tr792;
		case 92: goto st27;
		case 93: goto tr794;
	}
	goto tr41;
st27:
case 27:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out27;
	goto tr41;
tr42:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 147;
	goto out;
}
	goto st503;
tr795:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 146;
	goto out;
}
	goto st503;
tr797:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 148;
	goto out;
}
	goto st503;
st503:
case 503:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out503;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 45: goto tr795;
		case 92: goto st28;
		case 93: goto tr797;
	}
	goto tr42;
st28:
case 28:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out28;
	goto tr42;
tr798:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 171;
	goto out;
}
	goto st504;
st504:
case 504:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out504;
	{pdaRun->tokstart = pdaRun->p;}
	goto tr798;
tr46:
	{	pdaRun->toklen = pdaRun->tokend;
	pdaRun->matched_token = 160;
	goto skip_toklen;
}
	goto st505;
tr51:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 152;
	goto out;
}
	goto st505;
tr799:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 160;
	goto out;
}
	goto st505;
tr807:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 149;
	goto out;
}
	goto st505;
tr808:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 150;
	goto out;
}
	goto st505;
tr809:
	{	pdaRun->matched_token = 153;
	goto out;
}
	goto st505;
tr810:
	{	pdaRun->matched_token = 160;
	goto out;
}
	goto st505;
tr811:
	{	pdaRun->matched_token = 154;
	goto out;
}
	goto st505;
tr812:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 154;
	goto out;
}
	goto st505;
tr813:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 155;
	goto out;
}
	goto st505;
tr816:
	{	pdaRun->matched_token = 158;
	goto out;
}
	goto st505;
tr817:
	{	pdaRun->matched_token = 156;
	goto out;
}
	goto st505;
tr820:
	{	pdaRun->matched_token = 159;
	goto out;
}
	goto st505;
tr821:
	{	pdaRun->matched_token = 157;
	goto out;
}
	goto st505;
tr822:
	{	pdaRun->matched_token = 151;
	goto out;
}
	goto st505;
st505:
case 505:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out505;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 32: goto st506;
		case 34: goto tr801;
		case 36: goto st509;
		case 39: goto tr803;
		case 47: goto tr804;
		case 64: goto st514;
		case 95: goto st517;
		case 123: goto tr807;
		case 125: goto tr808;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
			goto st506;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st517;
	} else
		goto st517;
	goto tr799;
st506:
case 506:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out506;
	if ( (*pdaRun->p) == 32 )
		goto st506;
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st506;
	goto tr809;
tr801:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st507;
st507:
case 507:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out507;
	switch( (*pdaRun->p) ) {
		case 34: goto st508;
		case 92: goto st30;
	}
	goto st29;
st508:
case 508:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out508;
	if ( (*pdaRun->p) == 105 )
		goto tr812;
	goto tr811;
st30:
case 30:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out30;
	goto st29;
st29:
case 29:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out29;
	switch( (*pdaRun->p) ) {
		case 34: goto st508;
		case 92: goto st30;
	}
	goto st29;
st509:
case 509:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out509;
	switch( (*pdaRun->p) ) {
		case 36: goto tr813;
		case 95: goto st511;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 49 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st510;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st511;
	} else
		goto st511;
	goto tr810;
st511:
case 511:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out511;
	if ( (*pdaRun->p) == 95 )
		goto st511;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st511;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st511;
	} else
		goto st511;
	goto tr817;
st510:
case 510:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out510;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st510;
	goto tr816;
tr803:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st512;
st512:
case 512:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out512;
	switch( (*pdaRun->p) ) {
		case 39: goto st508;
		case 92: goto st32;
	}
	goto st31;
st32:
case 32:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out32;
	goto st31;
st31:
case 31:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out31;
	switch( (*pdaRun->p) ) {
		case 39: goto st508;
		case 92: goto st32;
	}
	goto st31;
tr804:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st513;
st513:
case 513:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out513;
	switch( (*pdaRun->p) ) {
		case 42: goto st33;
		case 47: goto st35;
	}
	goto tr810;
st33:
case 33:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out33;
	if ( (*pdaRun->p) == 42 )
		goto st34;
	goto st33;
st34:
case 34:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out34;
	switch( (*pdaRun->p) ) {
		case 42: goto st34;
		case 47: goto tr51;
	}
	goto st33;
st35:
case 35:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out35;
	if ( (*pdaRun->p) == 10 )
		goto tr51;
	goto st35;
st514:
case 514:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out514;
	if ( (*pdaRun->p) == 95 )
		goto st516;
	if ( (*pdaRun->p) < 65 ) {
		if ( 49 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st515;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st516;
	} else
		goto st516;
	goto tr810;
st516:
case 516:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out516;
	if ( (*pdaRun->p) == 95 )
		goto st516;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st516;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st516;
	} else
		goto st516;
	goto tr821;
st515:
case 515:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out515;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st515;
	goto tr820;
st517:
case 517:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out517;
	if ( (*pdaRun->p) == 95 )
		goto st517;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st517;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st517;
	} else
		goto st517;
	goto tr822;
tr56:
	{	pdaRun->toklen = pdaRun->tokend;
	pdaRun->matched_token = 160;
	goto skip_toklen;
}
	goto st518;
tr61:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 152;
	goto out;
}
	goto st518;
tr823:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 160;
	goto out;
}
	goto st518;
tr831:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 149;
	goto out;
}
	goto st518;
tr832:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 150;
	goto out;
}
	goto st518;
tr833:
	{	pdaRun->matched_token = 153;
	goto out;
}
	goto st518;
tr834:
	{	pdaRun->matched_token = 160;
	goto out;
}
	goto st518;
tr835:
	{	pdaRun->matched_token = 154;
	goto out;
}
	goto st518;
tr836:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 154;
	goto out;
}
	goto st518;
tr837:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 155;
	goto out;
}
	goto st518;
tr840:
	{	pdaRun->matched_token = 158;
	goto out;
}
	goto st518;
tr841:
	{	pdaRun->matched_token = 156;
	goto out;
}
	goto st518;
tr844:
	{	pdaRun->matched_token = 159;
	goto out;
}
	goto st518;
tr845:
	{	pdaRun->matched_token = 157;
	goto out;
}
	goto st518;
tr846:
	{	pdaRun->matched_token = 151;
	goto out;
}
	goto st518;
st518:
case 518:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out518;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 32: goto st519;
		case 34: goto tr825;
		case 36: goto st522;
		case 39: goto tr827;
		case 47: goto tr828;
		case 64: goto st527;
		case 95: goto st530;
		case 123: goto tr831;
		case 125: goto tr832;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
			goto st519;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st530;
	} else
		goto st530;
	goto tr823;
st519:
case 519:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out519;
	if ( (*pdaRun->p) == 32 )
		goto st519;
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st519;
	goto tr833;
tr825:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st520;
st520:
case 520:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out520;
	switch( (*pdaRun->p) ) {
		case 34: goto st521;
		case 92: goto st37;
	}
	goto st36;
st521:
case 521:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out521;
	if ( (*pdaRun->p) == 105 )
		goto tr836;
	goto tr835;
st37:
case 37:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out37;
	goto st36;
st36:
case 36:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out36;
	switch( (*pdaRun->p) ) {
		case 34: goto st521;
		case 92: goto st37;
	}
	goto st36;
st522:
case 522:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out522;
	switch( (*pdaRun->p) ) {
		case 36: goto tr837;
		case 95: goto st524;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 49 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st523;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st524;
	} else
		goto st524;
	goto tr834;
st524:
case 524:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out524;
	if ( (*pdaRun->p) == 95 )
		goto st524;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st524;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st524;
	} else
		goto st524;
	goto tr841;
st523:
case 523:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out523;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st523;
	goto tr840;
tr827:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st525;
st525:
case 525:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out525;
	switch( (*pdaRun->p) ) {
		case 39: goto st521;
		case 92: goto st39;
	}
	goto st38;
st39:
case 39:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out39;
	goto st38;
st38:
case 38:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out38;
	switch( (*pdaRun->p) ) {
		case 39: goto st521;
		case 92: goto st39;
	}
	goto st38;
tr828:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st526;
st526:
case 526:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out526;
	switch( (*pdaRun->p) ) {
		case 42: goto st40;
		case 47: goto st42;
	}
	goto tr834;
st40:
case 40:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out40;
	if ( (*pdaRun->p) == 42 )
		goto st41;
	goto st40;
st41:
case 41:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out41;
	switch( (*pdaRun->p) ) {
		case 42: goto st41;
		case 47: goto tr61;
	}
	goto st40;
st42:
case 42:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out42;
	if ( (*pdaRun->p) == 10 )
		goto tr61;
	goto st42;
st527:
case 527:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out527;
	if ( (*pdaRun->p) == 95 )
		goto st529;
	if ( (*pdaRun->p) < 65 ) {
		if ( 49 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st528;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st529;
	} else
		goto st529;
	goto tr834;
st529:
case 529:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out529;
	if ( (*pdaRun->p) == 95 )
		goto st529;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st529;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st529;
	} else
		goto st529;
	goto tr845;
st528:
case 528:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out528;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st528;
	goto tr844;
st530:
case 530:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out530;
	if ( (*pdaRun->p) == 95 )
		goto st530;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st530;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st530;
	} else
		goto st530;
	goto tr846;
tr847:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 172;
	goto out;
}
	goto st531;
st531:
case 531:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out531;
	{pdaRun->tokstart = pdaRun->p;}
	goto tr847;
	}
out_switch:
	switch ( pdaRun->fsm_cs )
	{
	case 43: out43: pdaRun->fsm_cs = 43; goto out; 
	case 44: out44: if ( pdaRun->eof ) {goto tr111;
}pdaRun->fsm_cs = 44; goto out; 
	case 45: out45: if ( pdaRun->eof ) {goto tr112;
}pdaRun->fsm_cs = 45; goto out; 
	case 1: out1: pdaRun->fsm_cs = 1; goto out; 
	case 2: out2: pdaRun->fsm_cs = 2; goto out; 
	case 0: out0: pdaRun->fsm_cs = 0; goto out; 
	case 46: out46: if ( pdaRun->eof ) {goto tr114;
}pdaRun->fsm_cs = 46; goto out; 
	case 48: out48: if ( pdaRun->eof ) {goto tr117;
}pdaRun->fsm_cs = 48; goto out; 
	case 49: out49: if ( pdaRun->eof ) {goto tr119;
}pdaRun->fsm_cs = 49; goto out; 
	case 50: out50: if ( pdaRun->eof ) {goto tr121;
}pdaRun->fsm_cs = 50; goto out; 
	case 51: out51: if ( pdaRun->eof ) {goto tr123;
}pdaRun->fsm_cs = 51; goto out; 
	case 3: out3: pdaRun->fsm_cs = 3; goto out; 
	case 53: out53: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 53; goto out; 
	case 54: out54: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 54; goto out; 
	case 52: out52: if ( pdaRun->eof ) {goto tr125;
}pdaRun->fsm_cs = 52; goto out; 
	case 55: out55: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 55; goto out; 
	case 56: out56: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 56; goto out; 
	case 57: out57: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 57; goto out; 
	case 58: out58: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 58; goto out; 
	case 59: out59: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 59; goto out; 
	case 60: out60: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 60; goto out; 
	case 61: out61: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 61; goto out; 
	case 62: out62: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 62; goto out; 
	case 63: out63: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 63; goto out; 
	case 64: out64: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 64; goto out; 
	case 65: out65: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 65; goto out; 
	case 66: out66: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 66; goto out; 
	case 67: out67: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 67; goto out; 
	case 68: out68: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 68; goto out; 
	case 69: out69: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 69; goto out; 
	case 70: out70: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 70; goto out; 
	case 71: out71: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 71; goto out; 
	case 72: out72: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 72; goto out; 
	case 73: out73: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 73; goto out; 
	case 74: out74: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 74; goto out; 
	case 75: out75: if ( pdaRun->eof ) {goto tr155;
}pdaRun->fsm_cs = 75; goto out; 
	case 76: out76: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 76; goto out; 
	case 77: out77: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 77; goto out; 
	case 78: out78: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 78; goto out; 
	case 79: out79: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 79; goto out; 
	case 80: out80: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 80; goto out; 
	case 81: out81: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 81; goto out; 
	case 82: out82: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 82; goto out; 
	case 83: out83: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 83; goto out; 
	case 84: out84: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 84; goto out; 
	case 85: out85: if ( pdaRun->eof ) {goto tr166;
}pdaRun->fsm_cs = 85; goto out; 
	case 86: out86: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 86; goto out; 
	case 87: out87: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 87; goto out; 
	case 88: out88: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 88; goto out; 
	case 89: out89: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 89; goto out; 
	case 90: out90: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 90; goto out; 
	case 91: out91: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 91; goto out; 
	case 92: out92: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 92; goto out; 
	case 93: out93: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 93; goto out; 
	case 94: out94: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 94; goto out; 
	case 95: out95: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 95; goto out; 
	case 96: out96: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 96; goto out; 
	case 97: out97: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 97; goto out; 
	case 98: out98: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 98; goto out; 
	case 99: out99: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 99; goto out; 
	case 100: out100: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 100; goto out; 
	case 101: out101: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 101; goto out; 
	case 102: out102: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 102; goto out; 
	case 103: out103: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 103; goto out; 
	case 104: out104: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 104; goto out; 
	case 105: out105: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 105; goto out; 
	case 106: out106: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 106; goto out; 
	case 107: out107: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 107; goto out; 
	case 108: out108: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 108; goto out; 
	case 109: out109: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 109; goto out; 
	case 110: out110: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 110; goto out; 
	case 111: out111: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 111; goto out; 
	case 112: out112: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 112; goto out; 
	case 113: out113: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 113; goto out; 
	case 114: out114: if ( pdaRun->eof ) {goto tr204;
}pdaRun->fsm_cs = 114; goto out; 
	case 115: out115: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 115; goto out; 
	case 116: out116: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 116; goto out; 
	case 117: out117: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 117; goto out; 
	case 118: out118: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 118; goto out; 
	case 119: out119: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 119; goto out; 
	case 120: out120: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 120; goto out; 
	case 121: out121: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 121; goto out; 
	case 122: out122: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 122; goto out; 
	case 123: out123: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 123; goto out; 
	case 124: out124: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 124; goto out; 
	case 125: out125: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 125; goto out; 
	case 126: out126: if ( pdaRun->eof ) {goto tr221;
}pdaRun->fsm_cs = 126; goto out; 
	case 127: out127: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 127; goto out; 
	case 128: out128: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 128; goto out; 
	case 129: out129: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 129; goto out; 
	case 130: out130: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 130; goto out; 
	case 131: out131: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 131; goto out; 
	case 132: out132: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 132; goto out; 
	case 133: out133: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 133; goto out; 
	case 134: out134: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 134; goto out; 
	case 135: out135: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 135; goto out; 
	case 136: out136: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 136; goto out; 
	case 137: out137: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 137; goto out; 
	case 138: out138: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 138; goto out; 
	case 139: out139: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 139; goto out; 
	case 140: out140: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 140; goto out; 
	case 141: out141: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 141; goto out; 
	case 142: out142: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 142; goto out; 
	case 143: out143: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 143; goto out; 
	case 144: out144: if ( pdaRun->eof ) {goto tr243;
}pdaRun->fsm_cs = 144; goto out; 
	case 145: out145: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 145; goto out; 
	case 146: out146: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 146; goto out; 
	case 147: out147: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 147; goto out; 
	case 148: out148: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 148; goto out; 
	case 149: out149: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 149; goto out; 
	case 150: out150: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 150; goto out; 
	case 151: out151: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 151; goto out; 
	case 152: out152: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 152; goto out; 
	case 153: out153: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 153; goto out; 
	case 154: out154: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 154; goto out; 
	case 155: out155: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 155; goto out; 
	case 156: out156: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 156; goto out; 
	case 157: out157: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 157; goto out; 
	case 158: out158: if ( pdaRun->eof ) {goto tr261;
}pdaRun->fsm_cs = 158; goto out; 
	case 159: out159: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 159; goto out; 
	case 160: out160: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 160; goto out; 
	case 161: out161: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 161; goto out; 
	case 162: out162: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 162; goto out; 
	case 163: out163: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 163; goto out; 
	case 164: out164: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 164; goto out; 
	case 165: out165: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 165; goto out; 
	case 166: out166: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 166; goto out; 
	case 167: out167: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 167; goto out; 
	case 168: out168: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 168; goto out; 
	case 169: out169: if ( pdaRun->eof ) {goto tr275;
}pdaRun->fsm_cs = 169; goto out; 
	case 170: out170: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 170; goto out; 
	case 171: out171: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 171; goto out; 
	case 172: out172: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 172; goto out; 
	case 173: out173: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 173; goto out; 
	case 174: out174: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 174; goto out; 
	case 175: out175: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 175; goto out; 
	case 176: out176: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 176; goto out; 
	case 177: out177: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 177; goto out; 
	case 178: out178: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 178; goto out; 
	case 179: out179: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 179; goto out; 
	case 180: out180: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 180; goto out; 
	case 181: out181: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 181; goto out; 
	case 182: out182: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 182; goto out; 
	case 183: out183: if ( pdaRun->eof ) {goto tr292;
}pdaRun->fsm_cs = 183; goto out; 
	case 184: out184: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 184; goto out; 
	case 185: out185: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 185; goto out; 
	case 186: out186: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 186; goto out; 
	case 187: out187: if ( pdaRun->eof ) {goto tr298;
}pdaRun->fsm_cs = 187; goto out; 
	case 188: out188: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 188; goto out; 
	case 189: out189: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 189; goto out; 
	case 190: out190: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 190; goto out; 
	case 191: out191: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 191; goto out; 
	case 192: out192: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 192; goto out; 
	case 193: out193: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 193; goto out; 
	case 194: out194: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 194; goto out; 
	case 195: out195: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 195; goto out; 
	case 196: out196: if ( pdaRun->eof ) {goto tr315;
}pdaRun->fsm_cs = 196; goto out; 
	case 197: out197: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 197; goto out; 
	case 198: out198: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 198; goto out; 
	case 199: out199: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 199; goto out; 
	case 200: out200: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 200; goto out; 
	case 201: out201: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 201; goto out; 
	case 202: out202: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 202; goto out; 
	case 203: out203: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 203; goto out; 
	case 204: out204: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 204; goto out; 
	case 205: out205: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 205; goto out; 
	case 206: out206: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 206; goto out; 
	case 207: out207: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 207; goto out; 
	case 208: out208: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 208; goto out; 
	case 209: out209: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 209; goto out; 
	case 210: out210: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 210; goto out; 
	case 211: out211: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 211; goto out; 
	case 212: out212: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 212; goto out; 
	case 213: out213: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 213; goto out; 
	case 214: out214: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 214; goto out; 
	case 215: out215: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 215; goto out; 
	case 216: out216: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 216; goto out; 
	case 217: out217: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 217; goto out; 
	case 218: out218: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 218; goto out; 
	case 219: out219: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 219; goto out; 
	case 220: out220: if ( pdaRun->eof ) {goto tr342;
}pdaRun->fsm_cs = 220; goto out; 
	case 221: out221: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 221; goto out; 
	case 222: out222: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 222; goto out; 
	case 223: out223: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 223; goto out; 
	case 224: out224: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 224; goto out; 
	case 225: out225: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 225; goto out; 
	case 226: out226: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 226; goto out; 
	case 227: out227: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 227; goto out; 
	case 228: out228: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 228; goto out; 
	case 229: out229: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 229; goto out; 
	case 230: out230: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 230; goto out; 
	case 231: out231: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 231; goto out; 
	case 232: out232: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 232; goto out; 
	case 233: out233: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 233; goto out; 
	case 234: out234: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 234; goto out; 
	case 235: out235: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 235; goto out; 
	case 236: out236: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 236; goto out; 
	case 237: out237: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 237; goto out; 
	case 238: out238: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 238; goto out; 
	case 239: out239: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 239; goto out; 
	case 240: out240: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 240; goto out; 
	case 241: out241: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 241; goto out; 
	case 242: out242: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 242; goto out; 
	case 243: out243: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 243; goto out; 
	case 244: out244: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 244; goto out; 
	case 245: out245: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 245; goto out; 
	case 246: out246: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 246; goto out; 
	case 247: out247: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 247; goto out; 
	case 248: out248: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 248; goto out; 
	case 249: out249: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 249; goto out; 
	case 250: out250: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 250; goto out; 
	case 251: out251: if ( pdaRun->eof ) {goto tr376;
}pdaRun->fsm_cs = 251; goto out; 
	case 47: out47: if ( pdaRun->eof ) {goto tr116;
}pdaRun->fsm_cs = 47; goto out; 
	case 252: out252: pdaRun->fsm_cs = 252; goto out; 
	case 253: out253: if ( pdaRun->eof ) {goto tr425;
}pdaRun->fsm_cs = 253; goto out; 
	case 4: out4: pdaRun->fsm_cs = 4; goto out; 
	case 254: out254: if ( pdaRun->eof ) {goto tr427;
}pdaRun->fsm_cs = 254; goto out; 
	case 256: out256: if ( pdaRun->eof ) {goto tr430;
}pdaRun->fsm_cs = 256; goto out; 
	case 257: out257: if ( pdaRun->eof ) {goto tr432;
}pdaRun->fsm_cs = 257; goto out; 
	case 258: out258: if ( pdaRun->eof ) {goto tr434;
}pdaRun->fsm_cs = 258; goto out; 
	case 259: out259: if ( pdaRun->eof ) {goto tr436;
}pdaRun->fsm_cs = 259; goto out; 
	case 5: out5: pdaRun->fsm_cs = 5; goto out; 
	case 261: out261: if ( pdaRun->eof ) {goto tr439;
}pdaRun->fsm_cs = 261; goto out; 
	case 262: out262: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 262; goto out; 
	case 260: out260: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 260; goto out; 
	case 263: out263: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 263; goto out; 
	case 264: out264: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 264; goto out; 
	case 265: out265: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 265; goto out; 
	case 266: out266: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 266; goto out; 
	case 267: out267: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 267; goto out; 
	case 268: out268: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 268; goto out; 
	case 269: out269: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 269; goto out; 
	case 270: out270: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 270; goto out; 
	case 271: out271: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 271; goto out; 
	case 272: out272: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 272; goto out; 
	case 273: out273: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 273; goto out; 
	case 274: out274: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 274; goto out; 
	case 275: out275: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 275; goto out; 
	case 276: out276: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 276; goto out; 
	case 277: out277: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 277; goto out; 
	case 278: out278: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 278; goto out; 
	case 279: out279: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 279; goto out; 
	case 280: out280: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 280; goto out; 
	case 281: out281: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 281; goto out; 
	case 282: out282: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 282; goto out; 
	case 283: out283: if ( pdaRun->eof ) {goto tr468;
}pdaRun->fsm_cs = 283; goto out; 
	case 284: out284: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 284; goto out; 
	case 285: out285: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 285; goto out; 
	case 286: out286: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 286; goto out; 
	case 287: out287: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 287; goto out; 
	case 288: out288: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 288; goto out; 
	case 289: out289: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 289; goto out; 
	case 290: out290: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 290; goto out; 
	case 291: out291: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 291; goto out; 
	case 292: out292: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 292; goto out; 
	case 293: out293: if ( pdaRun->eof ) {goto tr479;
}pdaRun->fsm_cs = 293; goto out; 
	case 294: out294: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 294; goto out; 
	case 295: out295: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 295; goto out; 
	case 296: out296: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 296; goto out; 
	case 297: out297: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 297; goto out; 
	case 298: out298: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 298; goto out; 
	case 299: out299: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 299; goto out; 
	case 300: out300: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 300; goto out; 
	case 301: out301: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 301; goto out; 
	case 302: out302: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 302; goto out; 
	case 303: out303: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 303; goto out; 
	case 304: out304: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 304; goto out; 
	case 305: out305: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 305; goto out; 
	case 306: out306: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 306; goto out; 
	case 307: out307: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 307; goto out; 
	case 308: out308: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 308; goto out; 
	case 309: out309: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 309; goto out; 
	case 310: out310: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 310; goto out; 
	case 311: out311: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 311; goto out; 
	case 312: out312: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 312; goto out; 
	case 313: out313: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 313; goto out; 
	case 314: out314: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 314; goto out; 
	case 315: out315: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 315; goto out; 
	case 316: out316: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 316; goto out; 
	case 317: out317: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 317; goto out; 
	case 318: out318: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 318; goto out; 
	case 319: out319: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 319; goto out; 
	case 320: out320: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 320; goto out; 
	case 321: out321: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 321; goto out; 
	case 322: out322: if ( pdaRun->eof ) {goto tr517;
}pdaRun->fsm_cs = 322; goto out; 
	case 323: out323: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 323; goto out; 
	case 324: out324: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 324; goto out; 
	case 325: out325: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 325; goto out; 
	case 326: out326: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 326; goto out; 
	case 327: out327: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 327; goto out; 
	case 328: out328: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 328; goto out; 
	case 329: out329: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 329; goto out; 
	case 330: out330: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 330; goto out; 
	case 331: out331: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 331; goto out; 
	case 332: out332: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 332; goto out; 
	case 333: out333: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 333; goto out; 
	case 334: out334: if ( pdaRun->eof ) {goto tr534;
}pdaRun->fsm_cs = 334; goto out; 
	case 335: out335: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 335; goto out; 
	case 336: out336: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 336; goto out; 
	case 337: out337: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 337; goto out; 
	case 338: out338: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 338; goto out; 
	case 339: out339: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 339; goto out; 
	case 340: out340: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 340; goto out; 
	case 341: out341: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 341; goto out; 
	case 342: out342: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 342; goto out; 
	case 343: out343: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 343; goto out; 
	case 344: out344: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 344; goto out; 
	case 345: out345: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 345; goto out; 
	case 346: out346: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 346; goto out; 
	case 347: out347: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 347; goto out; 
	case 348: out348: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 348; goto out; 
	case 349: out349: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 349; goto out; 
	case 350: out350: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 350; goto out; 
	case 351: out351: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 351; goto out; 
	case 352: out352: if ( pdaRun->eof ) {goto tr556;
}pdaRun->fsm_cs = 352; goto out; 
	case 353: out353: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 353; goto out; 
	case 354: out354: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 354; goto out; 
	case 355: out355: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 355; goto out; 
	case 356: out356: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 356; goto out; 
	case 357: out357: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 357; goto out; 
	case 358: out358: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 358; goto out; 
	case 359: out359: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 359; goto out; 
	case 360: out360: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 360; goto out; 
	case 361: out361: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 361; goto out; 
	case 362: out362: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 362; goto out; 
	case 363: out363: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 363; goto out; 
	case 364: out364: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 364; goto out; 
	case 365: out365: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 365; goto out; 
	case 366: out366: if ( pdaRun->eof ) {goto tr574;
}pdaRun->fsm_cs = 366; goto out; 
	case 367: out367: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 367; goto out; 
	case 368: out368: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 368; goto out; 
	case 369: out369: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 369; goto out; 
	case 370: out370: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 370; goto out; 
	case 371: out371: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 371; goto out; 
	case 372: out372: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 372; goto out; 
	case 373: out373: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 373; goto out; 
	case 374: out374: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 374; goto out; 
	case 375: out375: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 375; goto out; 
	case 376: out376: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 376; goto out; 
	case 377: out377: if ( pdaRun->eof ) {goto tr588;
}pdaRun->fsm_cs = 377; goto out; 
	case 378: out378: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 378; goto out; 
	case 379: out379: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 379; goto out; 
	case 380: out380: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 380; goto out; 
	case 381: out381: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 381; goto out; 
	case 382: out382: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 382; goto out; 
	case 383: out383: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 383; goto out; 
	case 384: out384: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 384; goto out; 
	case 385: out385: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 385; goto out; 
	case 386: out386: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 386; goto out; 
	case 387: out387: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 387; goto out; 
	case 388: out388: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 388; goto out; 
	case 389: out389: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 389; goto out; 
	case 390: out390: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 390; goto out; 
	case 391: out391: if ( pdaRun->eof ) {goto tr605;
}pdaRun->fsm_cs = 391; goto out; 
	case 392: out392: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 392; goto out; 
	case 393: out393: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 393; goto out; 
	case 394: out394: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 394; goto out; 
	case 395: out395: if ( pdaRun->eof ) {goto tr611;
}pdaRun->fsm_cs = 395; goto out; 
	case 396: out396: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 396; goto out; 
	case 397: out397: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 397; goto out; 
	case 398: out398: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 398; goto out; 
	case 399: out399: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 399; goto out; 
	case 400: out400: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 400; goto out; 
	case 401: out401: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 401; goto out; 
	case 402: out402: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 402; goto out; 
	case 403: out403: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 403; goto out; 
	case 404: out404: if ( pdaRun->eof ) {goto tr628;
}pdaRun->fsm_cs = 404; goto out; 
	case 405: out405: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 405; goto out; 
	case 406: out406: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 406; goto out; 
	case 407: out407: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 407; goto out; 
	case 408: out408: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 408; goto out; 
	case 409: out409: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 409; goto out; 
	case 410: out410: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 410; goto out; 
	case 411: out411: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 411; goto out; 
	case 412: out412: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 412; goto out; 
	case 413: out413: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 413; goto out; 
	case 414: out414: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 414; goto out; 
	case 415: out415: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 415; goto out; 
	case 416: out416: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 416; goto out; 
	case 417: out417: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 417; goto out; 
	case 418: out418: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 418; goto out; 
	case 419: out419: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 419; goto out; 
	case 420: out420: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 420; goto out; 
	case 421: out421: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 421; goto out; 
	case 422: out422: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 422; goto out; 
	case 423: out423: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 423; goto out; 
	case 424: out424: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 424; goto out; 
	case 425: out425: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 425; goto out; 
	case 426: out426: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 426; goto out; 
	case 427: out427: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 427; goto out; 
	case 428: out428: if ( pdaRun->eof ) {goto tr655;
}pdaRun->fsm_cs = 428; goto out; 
	case 429: out429: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 429; goto out; 
	case 430: out430: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 430; goto out; 
	case 431: out431: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 431; goto out; 
	case 432: out432: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 432; goto out; 
	case 433: out433: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 433; goto out; 
	case 434: out434: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 434; goto out; 
	case 435: out435: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 435; goto out; 
	case 436: out436: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 436; goto out; 
	case 437: out437: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 437; goto out; 
	case 438: out438: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 438; goto out; 
	case 439: out439: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 439; goto out; 
	case 440: out440: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 440; goto out; 
	case 441: out441: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 441; goto out; 
	case 442: out442: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 442; goto out; 
	case 443: out443: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 443; goto out; 
	case 444: out444: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 444; goto out; 
	case 445: out445: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 445; goto out; 
	case 446: out446: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 446; goto out; 
	case 447: out447: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 447; goto out; 
	case 448: out448: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 448; goto out; 
	case 449: out449: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 449; goto out; 
	case 450: out450: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 450; goto out; 
	case 451: out451: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 451; goto out; 
	case 452: out452: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 452; goto out; 
	case 453: out453: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 453; goto out; 
	case 454: out454: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 454; goto out; 
	case 455: out455: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 455; goto out; 
	case 456: out456: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 456; goto out; 
	case 457: out457: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 457; goto out; 
	case 458: out458: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 458; goto out; 
	case 459: out459: if ( pdaRun->eof ) {goto tr689;
}pdaRun->fsm_cs = 459; goto out; 
	case 255: out255: if ( pdaRun->eof ) {goto tr429;
}pdaRun->fsm_cs = 255; goto out; 
	case 460: out460: pdaRun->fsm_cs = 460; goto out; 
	case 461: out461: if ( pdaRun->eof ) {goto tr692;
}pdaRun->fsm_cs = 461; goto out; 
	case 6: out6: pdaRun->fsm_cs = 6; goto out; 
	case 462: out462: pdaRun->fsm_cs = 462; goto out; 
	case 7: out7: if ( pdaRun->eof ) {goto tr12;
}pdaRun->fsm_cs = 7; goto out; 
	case 463: out463: if ( pdaRun->eof ) {goto tr698;
}pdaRun->fsm_cs = 463; goto out; 
	case 464: out464: pdaRun->fsm_cs = 464; goto out; 
	case 8: out8: if ( pdaRun->eof ) {goto tr14;
}pdaRun->fsm_cs = 8; goto out; 
	case 465: out465: if ( pdaRun->eof ) {goto tr704;
}pdaRun->fsm_cs = 465; goto out; 
	case 466: out466: pdaRun->fsm_cs = 466; goto out; 
	case 467: out467: pdaRun->fsm_cs = 467; goto out; 
	case 9: out9: if ( pdaRun->eof ) {goto tr16;
}pdaRun->fsm_cs = 9; goto out; 
	case 468: out468: if ( pdaRun->eof ) {goto tr709;
}pdaRun->fsm_cs = 468; goto out; 
	case 469: out469: pdaRun->fsm_cs = 469; goto out; 
	case 10: out10: if ( pdaRun->eof ) {goto tr18;
}pdaRun->fsm_cs = 10; goto out; 
	case 470: out470: if ( pdaRun->eof ) {goto tr713;
}pdaRun->fsm_cs = 470; goto out; 
	case 471: out471: pdaRun->fsm_cs = 471; goto out; 
	case 472: out472: pdaRun->fsm_cs = 472; goto out; 
	case 473: out473: if ( pdaRun->eof ) {goto tr717;
}pdaRun->fsm_cs = 473; goto out; 
	case 474: out474: pdaRun->fsm_cs = 474; goto out; 
	case 475: out475: if ( pdaRun->eof ) {goto tr720;
}pdaRun->fsm_cs = 475; goto out; 
	case 476: out476: pdaRun->fsm_cs = 476; goto out; 
	case 477: out477: pdaRun->fsm_cs = 477; goto out; 
	case 478: out478: if ( pdaRun->eof ) {goto tr740;
}pdaRun->fsm_cs = 478; goto out; 
	case 11: out11: pdaRun->fsm_cs = 11; goto out; 
	case 479: out479: if ( pdaRun->eof ) {goto tr741;
}pdaRun->fsm_cs = 479; goto out; 
	case 12: out12: pdaRun->fsm_cs = 12; goto out; 
	case 13: out13: pdaRun->fsm_cs = 13; goto out; 
	case 14: out14: pdaRun->fsm_cs = 14; goto out; 
	case 15: out15: pdaRun->fsm_cs = 15; goto out; 
	case 480: out480: if ( pdaRun->eof ) {goto tr743;
}pdaRun->fsm_cs = 480; goto out; 
	case 481: out481: if ( pdaRun->eof ) {goto tr745;
}pdaRun->fsm_cs = 481; goto out; 
	case 482: out482: if ( pdaRun->eof ) {goto tr747;
}pdaRun->fsm_cs = 482; goto out; 
	case 483: out483: if ( pdaRun->eof ) {goto tr749;
}pdaRun->fsm_cs = 483; goto out; 
	case 16: out16: if ( pdaRun->eof ) {goto tr26;
}pdaRun->fsm_cs = 16; goto out; 
	case 485: out485: if ( pdaRun->eof ) {goto tr751;
}pdaRun->fsm_cs = 485; goto out; 
	case 484: out484: if ( pdaRun->eof ) {goto tr749;
}pdaRun->fsm_cs = 484; goto out; 
	case 17: out17: pdaRun->fsm_cs = 17; goto out; 
	case 486: out486: if ( pdaRun->eof ) {goto tr752;
}pdaRun->fsm_cs = 486; goto out; 
	case 18: out18: pdaRun->fsm_cs = 18; goto out; 
	case 488: out488: if ( pdaRun->eof ) {goto tr755;
}pdaRun->fsm_cs = 488; goto out; 
	case 487: out487: if ( pdaRun->eof ) {goto tr754;
}pdaRun->fsm_cs = 487; goto out; 
	case 489: out489: pdaRun->fsm_cs = 489; goto out; 
	case 19: out19: pdaRun->fsm_cs = 19; goto out; 
	case 490: out490: if ( pdaRun->eof ) {goto tr774;
}pdaRun->fsm_cs = 490; goto out; 
	case 20: out20: pdaRun->fsm_cs = 20; goto out; 
	case 21: out21: pdaRun->fsm_cs = 21; goto out; 
	case 22: out22: pdaRun->fsm_cs = 22; goto out; 
	case 491: out491: if ( pdaRun->eof ) {goto tr776;
}pdaRun->fsm_cs = 491; goto out; 
	case 492: out492: if ( pdaRun->eof ) {goto tr778;
}pdaRun->fsm_cs = 492; goto out; 
	case 493: out493: if ( pdaRun->eof ) {goto tr780;
}pdaRun->fsm_cs = 493; goto out; 
	case 494: out494: if ( pdaRun->eof ) {goto tr782;
}pdaRun->fsm_cs = 494; goto out; 
	case 23: out23: if ( pdaRun->eof ) {goto tr35;
}pdaRun->fsm_cs = 23; goto out; 
	case 496: out496: if ( pdaRun->eof ) {goto tr784;
}pdaRun->fsm_cs = 496; goto out; 
	case 495: out495: if ( pdaRun->eof ) {goto tr782;
}pdaRun->fsm_cs = 495; goto out; 
	case 24: out24: pdaRun->fsm_cs = 24; goto out; 
	case 497: out497: if ( pdaRun->eof ) {goto tr785;
}pdaRun->fsm_cs = 497; goto out; 
	case 25: out25: pdaRun->fsm_cs = 25; goto out; 
	case 499: out499: if ( pdaRun->eof ) {goto tr788;
}pdaRun->fsm_cs = 499; goto out; 
	case 498: out498: if ( pdaRun->eof ) {goto tr787;
}pdaRun->fsm_cs = 498; goto out; 
	case 500: out500: pdaRun->fsm_cs = 500; goto out; 
	case 501: out501: if ( pdaRun->eof ) {goto tr791;
}pdaRun->fsm_cs = 501; goto out; 
	case 26: out26: pdaRun->fsm_cs = 26; goto out; 
	case 502: out502: pdaRun->fsm_cs = 502; goto out; 
	case 27: out27: pdaRun->fsm_cs = 27; goto out; 
	case 503: out503: pdaRun->fsm_cs = 503; goto out; 
	case 28: out28: pdaRun->fsm_cs = 28; goto out; 
	case 504: out504: pdaRun->fsm_cs = 504; goto out; 
	case 505: out505: pdaRun->fsm_cs = 505; goto out; 
	case 506: out506: if ( pdaRun->eof ) {goto tr809;
}pdaRun->fsm_cs = 506; goto out; 
	case 507: out507: if ( pdaRun->eof ) {goto tr810;
}pdaRun->fsm_cs = 507; goto out; 
	case 508: out508: if ( pdaRun->eof ) {goto tr811;
}pdaRun->fsm_cs = 508; goto out; 
	case 30: out30: if ( pdaRun->eof ) {goto tr46;
}pdaRun->fsm_cs = 30; goto out; 
	case 29: out29: if ( pdaRun->eof ) {goto tr46;
}pdaRun->fsm_cs = 29; goto out; 
	case 509: out509: if ( pdaRun->eof ) {goto tr810;
}pdaRun->fsm_cs = 509; goto out; 
	case 511: out511: if ( pdaRun->eof ) {goto tr817;
}pdaRun->fsm_cs = 511; goto out; 
	case 510: out510: if ( pdaRun->eof ) {goto tr816;
}pdaRun->fsm_cs = 510; goto out; 
	case 512: out512: if ( pdaRun->eof ) {goto tr810;
}pdaRun->fsm_cs = 512; goto out; 
	case 32: out32: if ( pdaRun->eof ) {goto tr46;
}pdaRun->fsm_cs = 32; goto out; 
	case 31: out31: if ( pdaRun->eof ) {goto tr46;
}pdaRun->fsm_cs = 31; goto out; 
	case 513: out513: if ( pdaRun->eof ) {goto tr810;
}pdaRun->fsm_cs = 513; goto out; 
	case 33: out33: if ( pdaRun->eof ) {goto tr46;
}pdaRun->fsm_cs = 33; goto out; 
	case 34: out34: if ( pdaRun->eof ) {goto tr46;
}pdaRun->fsm_cs = 34; goto out; 
	case 35: out35: if ( pdaRun->eof ) {goto tr46;
}pdaRun->fsm_cs = 35; goto out; 
	case 514: out514: if ( pdaRun->eof ) {goto tr810;
}pdaRun->fsm_cs = 514; goto out; 
	case 516: out516: if ( pdaRun->eof ) {goto tr821;
}pdaRun->fsm_cs = 516; goto out; 
	case 515: out515: if ( pdaRun->eof ) {goto tr820;
}pdaRun->fsm_cs = 515; goto out; 
	case 517: out517: if ( pdaRun->eof ) {goto tr822;
}pdaRun->fsm_cs = 517; goto out; 
	case 518: out518: pdaRun->fsm_cs = 518; goto out; 
	case 519: out519: if ( pdaRun->eof ) {goto tr833;
}pdaRun->fsm_cs = 519; goto out; 
	case 520: out520: if ( pdaRun->eof ) {goto tr834;
}pdaRun->fsm_cs = 520; goto out; 
	case 521: out521: if ( pdaRun->eof ) {goto tr835;
}pdaRun->fsm_cs = 521; goto out; 
	case 37: out37: if ( pdaRun->eof ) {goto tr56;
}pdaRun->fsm_cs = 37; goto out; 
	case 36: out36: if ( pdaRun->eof ) {goto tr56;
}pdaRun->fsm_cs = 36; goto out; 
	case 522: out522: if ( pdaRun->eof ) {goto tr834;
}pdaRun->fsm_cs = 522; goto out; 
	case 524: out524: if ( pdaRun->eof ) {goto tr841;
}pdaRun->fsm_cs = 524; goto out; 
	case 523: out523: if ( pdaRun->eof ) {goto tr840;
}pdaRun->fsm_cs = 523; goto out; 
	case 525: out525: if ( pdaRun->eof ) {goto tr834;
}pdaRun->fsm_cs = 525; goto out; 
	case 39: out39: if ( pdaRun->eof ) {goto tr56;
}pdaRun->fsm_cs = 39; goto out; 
	case 38: out38: if ( pdaRun->eof ) {goto tr56;
}pdaRun->fsm_cs = 38; goto out; 
	case 526: out526: if ( pdaRun->eof ) {goto tr834;
}pdaRun->fsm_cs = 526; goto out; 
	case 40: out40: if ( pdaRun->eof ) {goto tr56;
}pdaRun->fsm_cs = 40; goto out; 
	case 41: out41: if ( pdaRun->eof ) {goto tr56;
}pdaRun->fsm_cs = 41; goto out; 
	case 42: out42: if ( pdaRun->eof ) {goto tr56;
}pdaRun->fsm_cs = 42; goto out; 
	case 527: out527: if ( pdaRun->eof ) {goto tr834;
}pdaRun->fsm_cs = 527; goto out; 
	case 529: out529: if ( pdaRun->eof ) {goto tr845;
}pdaRun->fsm_cs = 529; goto out; 
	case 528: out528: if ( pdaRun->eof ) {goto tr844;
}pdaRun->fsm_cs = 528; goto out; 
	case 530: out530: if ( pdaRun->eof ) {goto tr846;
}pdaRun->fsm_cs = 530; goto out; 
	case 531: out531: pdaRun->fsm_cs = 531; goto out; 
	}
out:
	if ( pdaRun->p != 0 )
		pdaRun->toklen += pdaRun->p - pdaRun->start;
skip_toklen:
	{}
}

static void sendNamedLangEl( struct colm_program *prg, tree_t **tree,
		struct pda_run *pdaRun, struct stream_impl *inputStream ) { }
static void initBindings( struct pda_run *pdaRun ) {}
static void popBinding( struct pda_run *pdaRun, parse_tree_t *tree ) {}


static int pid_0_parser_indicies[] = {
	27, 28, 826, 25, 23, 26, 54, 55, 
	56, 57, 85, 88, 86, 87, 89, 90, 
	827, 83, 84, 30, 51, 36, 37, 41, 
	39, 127, 126, 124, 105, 107, 111, 109, 
	113, 209, 32, 155, 46, 42, 43, 44, 
	167, 49, 157, 97, 47, 45, 997, 98, 
	38, 182, 129, 101, 103, 95, 94, 96, 
	24, 53, 52, 862, 79, 80, 81, 66, 
	67, 68, 50, 63, 78, 172, 116, 118, 
	120, 122, 997, 59, 170, 183, 156, 854, 
	855, 82, 142, 143, 144, 184, 147, 997, 
	224, 997, 177, 176, 178, 174, 162, 73, 
	74, 75, 163, 76, 165, 164, 166, 234, 
	104, 106, 110, 108, 112, 237, 238, 830, 
	891, 830, 226, 256, 831, 892, 831, 1014, 
	192, 263, 1014, 192, 302, 312, 336, 100, 
	102, 1118, 1118, 190, 334, 346, 347, 348, 
	1013, 355, 349, 350, 351, 356, 1115, 997, 
	361, 342, 343, 359, 225, 360, 400, 428, 
	832, 434, 832, 429, 430, 431, 435, 997, 
	921, 212, 213, 437, 438, 439, 396, 997, 
	465, 0, 2, 21, 19, 48, 469, 480, 
	18, 20, 481, 17, 16, 14, 482, 179, 
	180, 181, 31, 12, 13, 483, 29, 10, 
	4, 997, 204, 205, 128, 22, 134, 136, 
	138, 140, 11, 484, 489, 491, 8, 9, 
	3, 130, 5, 6, 468, 495, 7, 501, 
	502, 503, 830, 830, 507, 861, 1147, 831, 
	831, 513, 15, 515, 152, 849, 849, 849, 
	849, 849, 1118, 1118, 190, 997, 35, 33, 
	34, 58, 69, 70, 71, 72, 173, 77, 
	93, 65, 518, 522, 849, 849, 1014, 192, 
	152, 1147, 542, 832, 832, 543, 191, 175, 
	997, 244, 544, 521, 61, 206, 1118, 1118, 
	190, 182, 1118, 342, 343, 572, 345, 467, 
	580, 114, 99, 91, 40, 997, 861, 134, 
	136, 138, 140, 160, 997, 830, 341, 573, 
	1, 1125, 831, 27, 28, 1116, 25, 23, 
	26, 54, 55, 56, 57, 85, 88, 86, 
	87, 89, 90, 189, 83, 84, 30, 51, 
	36, 37, 41, 39, 207, 208, 1121, 105, 
	107, 111, 109, 113, 227, 32, 832, 46, 
	42, 43, 44, 227, 49, 152, 97, 47, 
	45, 581, 98, 38, 862, 152, 101, 103, 
	95, 94, 96, 24, 53, 52, 595, 79, 
	80, 81, 66, 67, 68, 50, 63, 78, 
	596, 116, 118, 120, 122, 1117, 1117, 152, 
	153, 997, 604, 1118, 82, 996, 845, 996, 
	154, 997, 603, 327, 329, 1003, 1003, 1003, 
	1003, 1003, 73, 74, 75, 451, 76, 1003, 
	1003, 1003, 1003, 1003, 133, 132, 131, 405, 
	931, 406, 151, 997, 1003, 1003, 520, 1118, 
	519, 1145, 1145, 152, 243, 322, 1003, 1003, 
	426, 1128, 611, 880, 146, 1066, 1066, 1066, 
	612, 1066, 346, 347, 615, 1119, 146, 168, 
	881, 1076, 1003, 1003, 1003, 1003, 1003, 346, 
	347, 849, 849, 1077, 59, 1143, 394, 997, 
	337, 634, 1128, 1003, 1003, 1003, 1003, 1003, 
	641, 1003, 1003, 494, 919, 2, 21, 19, 
	48, 643, 1116, 18, 20, 1129, 17, 16, 
	14, 146, 1003, 1003, 633, 31, 12, 13, 
	1143, 29, 10, 4, 1128, 133, 132, 275, 
	22, 655, 146, 658, 59, 11, 1141, 1141, 
	844, 8, 9, 3, 661, 5, 6, 664, 
	605, 7, 670, 1146, 1146, 188, 1117, 187, 
	267, 269, 271, 273, 671, 15, 1003, 1003, 
	1003, 1003, 1003, 1118, 1118, 190, 236, 930, 
	675, 35, 33, 34, 58, 69, 70, 71, 
	72, 1129, 77, 93, 65, 1003, 1003, 677, 
	1142, 1142, 242, 929, 241, 134, 136, 138, 
	140, 323, 325, 321, 679, 146, 1145, 1128, 
	521, 1146, 1146, 188, 404, 187, 880, 685, 
	880, 920, 1066, 427, 114, 99, 91, 40, 
	997, 436, 659, 881, 660, 881, 1128, 488, 
	506, 687, 1131, 203, 694, 212, 213, 996, 
	1135, 1014, 192, 1066, 701, 1128, 846, 1128, 
	705, 1003, 1003, 1123, 145, 708, 1115, 1111, 
	1111, 623, 621, 1003, 1003, 688, 148, 233, 
	528, 529, 530, 689, 1128, 1005, 1005, 1005, 
	1005, 710, 1066, 1135, 488, 527, 531, 843, 
	441, 1133, 1133, 714, 719, 104, 106, 110, 
	108, 112, 720, 1141, 346, 347, 104, 106, 
	110, 108, 112, 723, 1112, 1112, 1003, 1003, 
	1146, 149, 1014, 192, 100, 102, 712, 233, 
	342, 343, 713, 1139, 1118, 100, 102, 1003, 
	1003, 1007, 150, 1007, 997, 493, 492, 232, 
	729, 186, 528, 529, 530, 997, 730, 1129, 
	1129, 1118, 1118, 190, 997, 1142, 997, 885, 
	531, 732, 847, 486, 485, 487, 1139, 266, 
	265, 264, 847, 684, 848, 344, 1146, 734, 
	185, 240, 735, 1128, 848, 1014, 192, 528, 
	529, 530, 742, 620, 1112, 1112, 721, 235, 
	1118, 1118, 190, 745, 747, 531, 1128, 186, 
	510, 748, 1003, 1003, 754, 171, 59, 262, 
	676, 727, 487, 239, 1128, 756, 1053, 1053, 
	1053, 757, 1053, 133, 132, 276, -1, 722, 
	1111, 738, 622, 739, -1, 1116, 340, 623, 
	624, 0, 2, 21, 19, 48, 1137, 1137, 
	18, 20, -1, 17, 16, 14, 1133, 179, 
	180, 181, 31, 12, 13, 571, 29, 10, 
	4, -1, 204, 205, 128, 22, -1, -1, 
	512, 547, 11, 445, 525, 1112, 8, 9, 
	3, 1128, 5, 6, -1, 570, 7, -1, 
	-1, 997, 1127, 997, 997, -1, 1005, 1005, 
	1005, 997, 15, -1, 152, 104, 106, 110, 
	108, 112, 1118, 1014, 192, 1127, 35, 33, 
	34, 58, 69, 70, 71, 72, 173, 77, 
	92, 64, -1, 1127, 100, 102, -1, 1007, 
	152, 257, 208, 896, 576, 896, 191, 175, 
	1007, 244, 258, 208, 997, 206, 1128, 842, 
	-1, 1118, 206, 450, 526, 1112, 345, 842, 
	1128, 114, 99, 91, 40, 85, 88, 86, 
	87, 89, 90, 160, 83, 84, 341, 1128, 
	1, 1128, -1, 1053, 346, 347, -1, 104, 
	106, 110, 108, 112, 346, 347, 346, 347, 
	1127, 233, 509, 189, 342, 343, 97, 1053, 
	622, -1, 98, 1137, 207, 208, 100, 102, 
	95, 94, 96, -1, 227, -1, -1, 79, 
	80, 81, -1, 227, -1, 152, 997, 78, 
	-1, 116, 118, 120, 122, 152, 342, 343, 
	-1, 1053, 342, 343, 82, 104, 106, 110, 
	108, 112, 1114, 1114, 104, 106, 110, 108, 
	112, -1, 73, 74, 75, 1127, 76, 152, 
	153, 403, 649, -1, 100, 102, -1, 1127, 
	154, -1, -1, 100, 102, -1, 327, 329, 
	-1, -1, -1, -1, 997, 451, 1127, 578, 
	1127, -1, 152, 997, 133, 132, 131, 152, 
	577, 406, 151, -1, 1014, 192, 520, -1, 
	519, -1, -1, 152, 243, 686, 1113, 1113, 
	426, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 607, 997, 168, 
	-1, 896, 707, 997, -1, 614, -1, -1, 
	-1, 259, 208, -1, -1, 640, 394, 657, 
	337, -1, 104, 106, 110, 108, 112, -1, 
	-1, 613, -1, -1, -1, 2, 21, 19, 
	48, -1, -1, 18, 20, -1, 17, 16, 
	14, 100, 102, -1, -1, 31, 12, 13, 
	-1, 29, 10, 4, -1, 133, 132, 275, 
	22, 997, 997, 639, 997, 11, -1, 656, 
	1122, 8, 9, 3, -1, 5, 6, -1, 
	-1, 7, -1, 1114, 158, 69, 70, 71, 
	72, -1, 77, 92, 64, 15, 134, 136, 
	138, 140, 104, 106, 110, 108, 112, 342, 
	343, 35, 33, 34, 58, 69, 70, 71, 
	72, -1, 77, 92, 64, 267, 269, 271, 
	273, 100, 102, 726, 114, 99, 91, 159, 
	997, 323, 325, 321, 323, 325, 498, -1, 
	-1, 997, -1, -1, 404, 342, 343, 1113, 
	-1, 260, 208, 427, 114, 99, 91, 40, 
	261, 208, 346, 347, -1, -1, -1, -1, 
	506, -1, -1, 203, 767, 767, 767, 767, 
	767, 767, 767, 767, 767, 767, 767, 767, 
	767, 767, 767, 767, 145, 767, 767, 767, 
	767, 767, 767, 767, 767, 488, 148, 233, 
	767, 767, 767, 767, 767, -1, 767, -1, 
	767, 767, 767, 767, 846, 767, -1, 767, 
	767, 767, -1, 767, 767, -1, -1, 767, 
	767, 767, 767, 767, 767, 767, 767, -1, 
	767, 767, 767, 767, 767, 767, 767, 767, 
	767, 149, 767, 767, 767, 767, -1, 233, 
	-1, 1118, 1118, 190, -1, 767, 307, 208, 
	717, -1, 150, -1, 692, 493, 492, 232, 
	-1, 186, -1, 767, 767, 767, 997, 767, 
	997, 696, 697, 698, 299, 300, -1, 298, 
	346, 347, -1, 486, 485, 487, -1, 266, 
	265, 264, -1, 684, -1, 344, -1, -1, 
	185, 240, 743, -1, -1, -1, -1, -1, 
	-1, -1, -1, 693, 133, 132, 553, 235, 
	-1, 486, 616, 487, 266, 265, 496, 186, 
	510, -1, -1, -1, -1, 171, 301, 208, 
	676, -1, 487, 239, -1, 104, 106, 110, 
	108, 112, -1, 133, 132, 276, 767, 767, 
	767, 767, 622, -1, 767, 767, 340, 767, 
	767, 767, -1, -1, 100, 102, 767, 767, 
	767, -1, 767, 767, 767, 1005, 1005, 1005, 
	1005, 767, -1, -1, 997, 571, 767, -1, 
	441, 297, 767, 767, 767, -1, 767, 767, 
	512, 547, 767, 445, 525, -1, -1, 1134, 
	1134, 449, 1118, 448, -1, 570, 767, 104, 
	106, 110, 108, 112, 104, 106, 110, 108, 
	112, -1, 767, 767, 767, 767, 767, 767, 
	767, 767, -1, 767, 767, 767, 100, 102, 
	-1, 744, -1, 100, 102, -1, -1, 414, 
	415, 416, 413, 546, -1, -1, 997, 420, 
	-1, 257, 208, 997, 576, 411, -1, 418, 
	419, -1, 258, 208, 695, 767, 767, 767, 
	767, 767, 206, 450, 526, 1142, 1142, 242, 
	-1, 241, -1, -1, 767, -1, -1, 768, 
	768, 768, 768, 768, 768, 768, 768, 768, 
	768, 768, 768, 768, 768, 768, 768, -1, 
	768, 768, 768, 768, 768, 768, 768, 768, 
	-1, 233, 509, 768, 768, 768, 768, 768, 
	622, 768, -1, 768, 768, 768, 768, -1, 
	768, -1, 768, 768, 768, -1, 768, 768, 
	-1, -1, 768, 768, 768, 768, 768, 768, 
	768, 768, -1, 768, 768, 768, 768, 768, 
	768, 768, 768, 768, 1134, 768, 768, 768, 
	768, 447, -1, 440, -1, -1, -1, -1, 
	768, 308, 208, -1, -1, -1, -1, -1, 
	-1, 403, 649, -1, -1, -1, 768, 768, 
	768, -1, 768, 1005, 1005, 1005, -1, 1002, 
	1002, 1002, 1002, 1002, -1, -1, 898, 578, 
	898, -1, 152, -1, -1, 898, 446, 152, 
	577, -1, -1, -1, -1, -1, 1002, 1002, 
	-1, 407, -1, 408, 409, 410, 417, 421, 
	412, -1, 1142, -1, -1, -1, 1002, -1, 
	-1, -1, -1, 309, 208, 607, -1, -1, 
	310, 208, 707, -1, -1, 614, 240, -1, 
	-1, 259, 208, -1, -1, 640, -1, 657, 
	-1, 768, 768, 768, 768, -1, 767, 768, 
	768, 613, 768, 768, 768, -1, -1, -1, 
	-1, 768, 768, 768, -1, 768, 768, 768, 
	425, -1, -1, -1, 768, -1, 637, 638, 
	636, 768, 1118, 1118, 190, 768, 768, 768, 
	-1, 768, 768, 639, -1, 768, -1, 656, 
	1005, 1005, 1005, 1005, -1, 134, 136, 138, 
	140, 768, -1, 441, 158, 69, 70, 71, 
	72, -1, 77, 92, 64, 768, 768, 768, 
	768, 768, 768, 768, 768, -1, 768, 768, 
	768, 1005, 1005, 1005, 1005, 1005, 1005, 1005, 
	1005, -1, 898, 898, 441, 1054, 1054, 1054, 
	441, 1054, -1, 726, 114, 99, 91, 159, 
	-1, -1, -1, -1, 323, 325, 498, -1, 
	768, 768, 768, 768, 768, 134, 136, 138, 
	140, 260, 208, -1, 898, -1, -1, 768, 
	261, 208, 769, 769, 769, 769, 769, 769, 
	769, 769, 769, 769, 769, 769, 769, 769, 
	769, 769, -1, 769, 769, 769, 769, 769, 
	769, 769, 769, 1002, 1002, -1, 769, 769, 
	769, 769, 769, -1, 769, -1, 769, 769, 
	769, 769, -1, 769, -1, 769, 769, 769, 
	-1, 769, 769, 1118, -1, 769, 769, 769, 
	769, 769, 769, 769, 769, -1, 769, 769, 
	769, 769, 769, 769, 769, 769, 769, -1, 
	769, 769, 769, 769, 635, 421, -1, -1, 
	1118, 1118, 190, 769, -1, -1, -1, -1, 
	-1, -1, -1, -1, 575, -1, 307, 208, 
	717, 769, 769, 769, 692, 769, 442, 1118, 
	1118, 190, 849, 849, 849, 849, 849, -1, 
	-1, -1, 1054, -1, 299, 300, -1, 298, 
	-1, -1, -1, -1, -1, -1, 1005, 1005, 
	1005, 849, 849, 133, 132, 554, 1054, 443, 
	-1, -1, 743, 444, -1, -1, 1021, 1021, 
	1021, 849, 1021, 693, 133, 132, 553, -1, 
	-1, 486, 616, 487, 266, 265, 496, 1005, 
	1005, 1005, -1, 1005, 1005, 1005, 301, 208, 
	1054, -1, -1, -1, 769, 769, 769, 769, 
	-1, 768, 769, 769, -1, 769, 769, 769, 
	-1, -1, -1, -1, 769, 769, 769, -1, 
	769, 769, 769, 133, 132, 555, -1, 769, 
	-1, 1142, 1142, 242, 769, 241, -1, -1, 
	769, 769, 769, -1, 769, 769, -1, -1, 
	769, 297, -1, 458, -1, 1008, 455, 456, 
	457, 1118, 1136, -1, 769, 104, 106, 110, 
	108, 112, 104, 106, 110, 108, 112, -1, 
	769, 769, 769, 769, 769, 769, 769, 769, 
	1118, 769, 769, 769, 100, 102, -1, -1, 
	-1, 100, 102, -1, 267, 269, 271, 273, 
	-1, 744, 648, -1, 997, -1, -1, -1, 
	-1, 997, -1, 546, -1, -1, 134, 136, 
	138, 140, -1, 769, 769, 769, 769, 769, 
	-1, 725, -1, 1021, 695, 1138, 1138, 647, 
	1021, 646, 769, -1, -1, 770, 770, 770, 
	770, 770, 770, 770, 770, 770, 770, 770, 
	770, 770, 770, 770, 770, -1, 770, 770, 
	770, 770, 770, 770, 770, 770, 849, 849, 
	-1, 770, 770, 770, 770, 770, -1, 770, 
	-1, 770, 770, 770, 770, 1021, 770, -1, 
	770, 770, 770, -1, 770, 770, 1142, -1, 
	770, 770, 770, 770, 770, 770, 770, 770, 
	-1, 770, 770, 770, 770, 770, 770, 770, 
	770, 770, 240, 770, 770, 770, 770, -1, 
	-1, 560, 562, 564, 566, -1, 770, -1, 
	-1, 447, -1, 440, -1, -1, -1, -1, 
	-1, 308, 208, -1, 770, 770, 770, -1, 
	770, 1008, -1, -1, 545, 683, 454, 897, 
	-1, -1, 1008, 453, 681, -1, -1, -1, 
	-1, 1084, 1084, 1084, 1084, 536, 1082, 1082, 
	1082, 1084, 1082, -1, -1, -1, 446, 1084, 
	-1, 1084, 1084, 1082, 1082, 533, 534, 535, 
	-1, 407, 1138, 408, 409, 410, 417, 421, 
	412, 311, 208, 266, 265, 678, 314, 208, 
	-1, 645, 452, 309, 208, -1, -1, -1, 
	310, 208, -1, -1, -1, -1, 240, 770, 
	770, 770, 770, -1, 769, 770, 770, -1, 
	770, 770, 770, -1, 133, 132, 556, 770, 
	770, 770, -1, 770, 770, 770, 644, -1, 
	-1, -1, 770, -1, -1, -1, -1, 770, 
	425, -1, -1, 770, 770, 770, -1, 770, 
	770, -1, -1, 770, -1, -1, -1, -1, 
	1146, 1146, 188, -1, 187, -1, -1, 770, 
	104, 106, 110, 108, 112, 104, 106, 110, 
	108, 112, -1, 770, 770, 770, 770, 770, 
	770, 770, 770, -1, 770, 770, 770, 100, 
	102, 680, 682, -1, 100, 102, -1, -1, 
	414, 415, 416, 413, -1, -1, -1, 997, 
	420, 1134, 1134, 449, 997, 448, 411, -1, 
	418, 419, 559, 558, 557, -1, 770, 770, 
	770, 770, 770, 897, 532, -1, 1084, 1084, 
	1084, 1084, 1084, -1, -1, 770, -1, -1, 
	771, 771, 771, 771, 771, 771, 771, 771, 
	771, 771, 771, 771, 771, 771, 771, 771, 
	-1, 771, 771, 771, 771, 771, 771, 771, 
	771, -1, -1, -1, 771, 771, 771, 771, 
	771, -1, 771, -1, 771, 771, 771, 771, 
	-1, 771, -1, 771, 771, 771, -1, 771, 
	771, -1, -1, 771, 771, 771, 771, 771, 
	771, 771, 771, -1, 771, 771, 771, 771, 
	771, 771, 771, 771, 771, 1146, 771, 771, 
	771, 771, -1, -1, -1, -1, -1, 803, 
	-1, 771, -1, -1, 635, 421, -1, 1067, 
	1067, 1067, -1, 1067, -1, -1, 186, 771, 
	771, 771, -1, 771, 575, -1, -1, -1, 
	-1, 803, 803, 803, 803, 803, 442, -1, 
	-1, -1, -1, -1, -1, -1, 1134, -1, 
	-1, -1, -1, 447, -1, 508, -1, -1, 
	803, 803, -1, -1, -1, -1, 524, 417, 
	421, 412, -1, 133, 132, 554, -1, 443, 
	803, -1, -1, 444, 315, 208, -1, -1, 
	-1, 320, 208, -1, -1, -1, -1, -1, 
	-1, 104, 106, 110, 108, 112, -1, -1, 
	569, -1, 771, 771, 771, 771, -1, 770, 
	771, 771, -1, 771, 771, 771, -1, -1, 
	100, 102, 771, 771, 771, -1, 771, 771, 
	771, -1, -1, -1, -1, 771, -1, -1, 
	997, -1, 771, 133, 132, 555, 771, 771, 
	771, -1, 771, 771, -1, -1, 771, -1, 
	-1, 458, -1, 1008, 455, 456, 457, -1, 
	-1, -1, 771, 104, 106, 110, 108, 112, 
	-1, -1, -1, -1, 1067, -1, 771, 771, 
	771, 771, 771, 771, 771, 771, -1, 771, 
	771, 771, 100, 102, -1, -1, -1, 414, 
	415, 416, 413, 1136, -1, 1067, -1, 420, 
	-1, -1, 997, -1, -1, 411, -1, 418, 
	419, 886, 648, 803, 803, -1, 803, -1, 
	-1, 771, 771, 771, 771, 771, -1, -1, 
	-1, 1134, 1134, 449, 1067, 448, -1, -1, 
	771, 725, -1, 772, 772, 772, 772, 772, 
	772, 772, 772, 772, 772, 772, 772, 772, 
	772, 772, 772, -1, 772, 772, 772, 772, 
	772, 772, 772, 772, -1, 803, 803, 772, 
	772, 772, 772, 772, -1, 772, -1, 772, 
	772, 772, 772, -1, 772, -1, 772, 772, 
	772, -1, 772, 772, 422, -1, 772, 772, 
	772, 772, 772, 772, 772, 772, -1, 772, 
	772, 772, 772, 772, 772, 772, 772, 772, 
	-1, 772, 772, 772, 772, -1, -1, -1, 
	803, -1, 240, -1, 772, 333, 208, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 772, 772, 772, -1, 772, 1008, 
	-1, -1, -1, -1, 454, -1, -1, -1, 
	1008, 453, -1, 894, 545, 894, 454, -1, 
	-1, -1, 894, 453, -1, -1, -1, -1, 
	-1, 423, -1, 408, 409, 410, 417, 421, 
	412, -1, -1, -1, -1, -1, 1134, -1, 
	-1, -1, -1, 447, -1, -1, -1, 338, 
	208, -1, -1, -1, -1, -1, -1, -1, 
	568, 311, 208, 266, 265, 678, 314, 208, 
	-1, 645, 452, -1, -1, 772, 772, 772, 
	772, -1, 771, 772, 772, -1, 772, 772, 
	772, 1004, 1004, 1004, 1004, 772, 772, 772, 
	574, 772, 772, 772, 133, 132, 556, -1, 
	772, -1, -1, -1, -1, 772, 644, -1, 
	1122, 772, 772, 772, -1, 772, 772, -1, 
	-1, 772, -1, -1, -1, -1, 1022, 1022, 
	1022, -1, 1022, -1, -1, 772, -1, -1, 
	-1, -1, 104, 106, 110, 108, 112, -1, 
	-1, 772, 772, 772, 772, 772, 772, 772, 
	772, -1, 772, 772, 772, 414, 415, 416, 
	413, 100, 102, -1, -1, 420, -1, 894, 
	894, 680, 682, 411, -1, 418, 419, -1, 
	-1, 997, -1, -1, 1017, -1, 1017, 1017, 
	1017, 1017, -1, 1017, 772, 772, 772, 772, 
	772, -1, 559, 558, 557, -1, 899, -1, 
	899, 894, -1, 772, 532, 899, 773, 773, 
	773, 773, 773, 773, 773, 773, 773, 773, 
	773, 773, 773, 773, 773, 773, 1017, 773, 
	773, 773, 773, 773, 773, 773, 773, -1, 
	-1, -1, 773, 773, 773, 773, 773, -1, 
	773, -1, 773, 773, 773, 773, -1, 773, 
	-1, 773, 773, 773, -1, 773, 773, -1, 
	-1, 773, 773, 773, 773, 773, 773, 773, 
	773, -1, 773, 773, 773, 773, 773, 773, 
	773, 773, 773, 1022, 773, 773, 773, 773, 
	1022, -1, -1, -1, -1, -1, -1, 773, 
	-1, -1, 1004, 1004, 1004, -1, -1, 1004, 
	1004, 1004, -1, -1, -1, 773, 773, 773, 
	-1, 773, -1, -1, 299, 300, 186, 298, 
	868, 868, 868, 868, 868, 868, 868, 868, 
	868, 868, 868, 868, -1, 1022, -1, 523, 
	-1, 408, 409, 410, 417, 421, 412, -1, 
	-1, -1, -1, 447, -1, 508, -1, -1, 
	-1, -1, 899, 899, 617, -1, 524, 417, 
	421, 412, -1, -1, -1, -1, 301, 208, 
	-1, -1, 1017, -1, 315, 208, -1, 1017, 
	868, 320, 208, 1017, 1017, -1, -1, -1, 
	773, 773, 773, 773, 899, 772, 773, 773, 
	569, 773, 773, 773, -1, -1, -1, -1, 
	773, 773, 773, -1, 773, 773, 773, -1, 
	-1, -1, -1, 773, -1, -1, -1, -1, 
	773, 466, -1, 804, 773, 773, 773, -1, 
	773, 773, -1, 1017, 773, -1, -1, -1, 
	-1, 1138, 1138, 647, -1, 646, -1, -1, 
	773, -1, -1, -1, -1, 804, 804, 804, 
	804, 804, -1, -1, 773, 773, 773, 773, 
	773, 773, 773, 773, -1, 773, 773, 773, 
	414, 415, 416, 413, 804, 804, -1, -1, 
	420, -1, -1, 895, 868, 895, 411, -1, 
	418, 419, 895, -1, 804, -1, 414, 415, 
	416, 413, -1, -1, -1, -1, 420, 773, 
	773, 773, 773, 773, 411, -1, 418, 419, 
	-1, -1, -1, -1, -1, -1, 773, -1, 
	-1, 774, 774, 774, 774, 774, 774, 774, 
	774, 774, 774, 774, 774, 774, 774, 774, 
	774, -1, 774, 774, 774, 774, 774, 774, 
	774, 774, -1, -1, -1, 774, 774, 774, 
	774, 774, -1, 774, -1, 774, 774, 774, 
	774, -1, 774, -1, 774, 774, 774, -1, 
	774, 774, -1, -1, 774, 774, 774, 774, 
	774, 774, 774, 774, 422, 774, 774, 774, 
	774, 774, 774, 774, 774, 774, 1138, 774, 
	774, 774, 774, -1, -1, -1, -1, -1, 
	-1, -1, 774, -1, -1, 645, -1, -1, 
	-1, -1, -1, -1, -1, 333, 208, -1, 
	774, 774, 774, -1, 774, -1, -1, 804, 
	804, -1, 804, -1, -1, -1, -1, 895, 
	895, -1, -1, -1, 454, -1, -1, -1, 
	-1, 453, 691, -1, 625, 409, 410, 417, 
	421, 412, -1, -1, 1040, 1040, 1040, -1, 
	1040, 423, -1, 408, 409, 410, 417, 421, 
	412, 895, 626, 409, 410, 417, 421, 412, 
	-1, 804, 804, 447, -1, -1, -1, 338, 
	208, -1, 104, 106, 110, 108, 112, -1, 
	568, -1, -1, 774, 774, 774, 774, -1, 
	773, 774, 774, -1, 774, 774, 774, -1, 
	-1, 100, 102, 774, 774, 774, -1, 774, 
	774, 774, -1, -1, -1, -1, 774, -1, 
	574, 997, -1, 774, 804, -1, -1, 774, 
	774, 774, -1, 774, 774, -1, -1, 774, 
	-1, -1, 541, -1, 1138, 1138, 647, -1, 
	646, -1, -1, 774, 1041, 1041, 1041, -1, 
	1041, -1, -1, -1, -1, -1, -1, 774, 
	774, 774, 774, 774, 774, 774, 774, -1, 
	774, 774, 774, 1089, 1089, 1089, 1089, 1089, 
	1089, 1089, 1089, 1089, 1089, 537, 538, 540, 
	539, 1089, -1, 1089, 1089, 1089, 1089, 1089, 
	1089, 1089, -1, -1, -1, -1, -1, -1, 
	-1, 1040, 774, 774, 774, 774, 774, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1040, 774, -1, -1, 775, 775, 775, 775, 
	775, 775, 775, 775, 775, 775, 775, 775, 
	775, 775, 775, 775, -1, 775, 775, 775, 
	775, 775, 775, 775, 775, -1, -1, -1, 
	775, 775, 775, 775, 775, 1040, 775, -1, 
	775, 775, 775, 775, -1, 775, -1, 775, 
	775, 775, -1, 775, 775, -1, -1, 775, 
	775, 775, 775, 775, 775, 775, 775, -1, 
	775, 775, 775, 775, 775, 775, 775, 775, 
	775, 1138, 775, 775, 775, 775, -1, -1, 
	-1, 1041, -1, -1, -1, 775, 470, 208, 
	645, -1, -1, -1, -1, -1, -1, -1, 
	1041, -1, -1, 775, 775, 775, -1, 775, 
	-1, -1, -1, 414, 415, 416, 413, -1, 
	-1, -1, -1, 420, 299, 300, -1, 298, 
	-1, 411, -1, 418, 419, 724, 1089, -1, 
	1089, 1089, 1089, 1089, 1089, 1041, -1, 523, 
	-1, 408, 409, 410, 417, 421, 412, 869, 
	869, 869, 869, 869, 869, 869, 869, 869, 
	869, 869, 869, -1, 617, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 301, 208, 
	-1, -1, -1, -1, -1, -1, 775, 775, 
	775, 775, -1, 774, 775, 775, -1, 775, 
	775, 775, -1, -1, -1, -1, 775, 775, 
	775, -1, 775, 775, 775, -1, -1, 869, 
	-1, 775, -1, -1, -1, -1, 775, -1, 
	-1, -1, 775, 775, 775, -1, 775, 775, 
	-1, 466, 775, -1, -1, 1098, -1, -1, 
	-1, -1, -1, -1, -1, -1, 775, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 775, 775, 775, 775, 775, 775, 
	775, 775, -1, 775, 775, 775, 1098, 1098, 
	1098, 1098, 1098, 1098, 1098, 1098, 1098, 1098, 
	1098, 1098, 1098, 1098, 1098, -1, 1098, 1098, 
	1098, 1098, 1098, 1098, 1098, -1, -1, -1, 
	632, 410, 417, 421, 412, 775, 775, 775, 
	775, 775, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 869, 775, -1, -1, 776, 
	776, 776, 776, 776, 776, 776, 776, 776, 
	776, 776, 776, 776, 776, 776, 776, -1, 
	776, 776, 776, 776, 776, 776, 776, 776, 
	-1, -1, -1, 776, 776, 776, 776, 776, 
	-1, 776, -1, 776, 776, 776, 776, -1, 
	776, -1, 776, 776, 776, -1, 776, 776, 
	-1, -1, 776, 776, 776, 776, 776, 776, 
	776, 776, -1, 776, 776, 776, 776, 776, 
	776, 776, 776, 776, -1, 776, 776, 776, 
	776, -1, -1, -1, -1, -1, -1, -1, 
	776, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 645, 776, 776, 
	776, -1, 776, -1, -1, -1, 414, 415, 
	416, 413, -1, -1, -1, -1, 420, -1, 
	-1, -1, -1, -1, 411, -1, 418, 419, 
	-1, 1098, -1, 1098, 1098, 1098, 1098, 1098, 
	-1, -1, 691, -1, 625, 409, 410, 417, 
	421, 412, 870, 870, 870, 870, 870, 870, 
	870, 870, 870, 870, 870, 870, -1, -1, 
	-1, -1, 626, 409, 410, 417, 421, 412, 
	104, 106, 110, 108, 112, -1, -1, -1, 
	-1, 776, 776, 776, 776, -1, 775, 776, 
	776, -1, 776, 776, 776, -1, -1, 100, 
	102, 776, 776, 776, -1, 776, 776, 776, 
	-1, -1, 870, -1, 776, -1, -1, 997, 
	-1, 776, -1, -1, -1, 776, 776, 776, 
	-1, 776, 776, -1, -1, 776, -1, -1, 
	1100, -1, -1, -1, -1, -1, -1, -1, 
	-1, 776, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 776, 776, 776, 
	776, 776, 776, 776, 776, -1, 776, 776, 
	776, 1100, 1100, 1100, 1100, 1100, 1100, 1100, 
	1100, 1100, 1100, 1100, 1100, 1100, 1100, 1100, 
	-1, 1100, 1100, 1100, 1100, 1100, 1100, 1100, 
	-1, -1, -1, 629, 410, 417, 421, 412, 
	776, 776, 776, 776, 776, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 870, 776, 
	-1, -1, 777, 777, 777, 777, 777, 777, 
	777, 777, 777, 777, 777, 777, 777, 777, 
	777, 777, -1, 777, 777, 777, 777, 777, 
	777, 777, 777, -1, -1, -1, 777, 777, 
	777, 777, 777, -1, 777, -1, 777, 777, 
	777, 777, -1, 777, -1, 777, 777, 777, 
	-1, 777, 777, -1, -1, 777, 777, 777, 
	777, 777, 777, 777, 777, -1, 777, 777, 
	777, 777, 777, 777, 777, 777, 777, -1, 
	777, 777, 777, 777, -1, -1, -1, -1, 
	-1, -1, -1, 777, 601, 208, -1, -1, 
	-1, -1, -1, -1, -1, -1, 470, 208, 
	645, 777, 777, 777, -1, 777, -1, -1, 
	-1, 414, 415, 416, 413, -1, -1, -1, 
	-1, 420, -1, -1, -1, -1, -1, 411, 
	-1, 418, 419, -1, 1100, -1, 1100, 1100, 
	1100, 1100, 1100, -1, -1, 724, -1, -1, 
	-1, -1, -1, 871, 871, 871, 871, 871, 
	871, 871, 871, 871, 871, 871, 871, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 104, 106, 110, 108, 112, 
	-1, -1, -1, -1, 777, 777, 777, 777, 
	-1, 776, 777, 777, -1, 777, 777, 777, 
	-1, -1, 100, 102, 777, 777, 777, -1, 
	777, 777, 777, 871, -1, -1, -1, 777, 
	-1, -1, 997, -1, 777, -1, -1, -1, 
	777, 777, 777, -1, 777, 777, -1, -1, 
	777, -1, -1, 1105, -1, -1, -1, -1, 
	-1, -1, -1, -1, 777, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	777, 777, 777, 777, 777, 777, 777, 777, 
	-1, 777, 777, 777, 1105, 1105, 1105, 1105, 
	1105, 1105, 1105, 1105, 1105, 1105, 1105, 1105, 
	1105, 1105, 1105, 1101, 1105, 1105, 1105, 1105, 
	1105, 1105, 1105, -1, -1, -1, 630, 410, 
	417, 421, 412, 777, 777, 777, 777, 777, 
	632, 410, 417, 421, 412, -1, -1, 871, 
	-1, -1, 777, -1, -1, 778, 778, 778, 
	778, 778, 778, 778, 778, 778, 778, 778, 
	778, 778, 778, 778, 778, -1, 778, 778, 
	778, 778, 778, 778, 778, 778, -1, -1, 
	-1, 778, 778, 778, 778, 778, -1, 778, 
	-1, 778, 778, 778, 778, -1, 778, -1, 
	778, 778, 778, -1, 778, 778, -1, -1, 
	778, 778, 778, 778, 778, 778, 778, 778, 
	-1, 778, 778, 778, 778, 778, 778, 778, 
	778, 778, -1, 778, 778, 778, 778, -1, 
	-1, -1, -1, -1, -1, -1, 778, 602, 
	208, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 778, 778, 778, -1, 
	778, -1, -1, -1, 414, 415, 416, 413, 
	-1, -1, -1, -1, 420, -1, -1, -1, 
	-1, -1, 411, -1, 418, 419, -1, 1105, 
	-1, 1105, 1105, 1105, 1105, 1105, -1, -1, 
	-1, -1, -1, -1, -1, -1, 872, 872, 
	872, 872, 872, 872, 872, 872, 872, 872, 
	872, 872, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 104, 106, 
	110, 108, 112, -1, -1, 674, -1, 778, 
	778, 778, 778, -1, 777, 778, 778, -1, 
	778, 778, 778, -1, -1, 100, 102, 778, 
	778, 778, -1, 778, 778, 778, 872, -1, 
	-1, -1, 778, -1, -1, 997, -1, 778, 
	-1, -1, -1, 778, 778, 778, -1, 778, 
	778, -1, -1, 778, -1, -1, 1106, -1, 
	-1, -1, -1, -1, -1, -1, -1, 778, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 778, 778, 778, 778, 778, 
	778, 778, 778, -1, 778, 778, 778, 1106, 
	1106, 1106, 1106, 1106, 1106, 1106, 1106, 1106, 
	1106, 1106, 1106, 1106, 1106, 1106, -1, 1106, 
	1106, 1106, 1106, 1106, 1106, 1106, -1, -1, 
	-1, 631, 410, 417, 421, 412, 778, 778, 
	778, 778, 778, 629, 410, 417, 421, 412, 
	-1, -1, 872, -1, -1, 778, -1, -1, 
	779, 779, 779, 779, 779, 779, 779, 779, 
	779, 779, 779, 779, 779, 779, 779, 779, 
	673, 779, 779, 779, 779, 779, 779, 779, 
	779, -1, -1, -1, 779, 779, 779, 779, 
	779, -1, 779, -1, 779, 779, 779, 779, 
	-1, 779, -1, 779, 779, 779, -1, 779, 
	779, -1, -1, 779, 779, 779, 779, 779, 
	779, 779, 779, -1, 779, 779, 779, 779, 
	779, 779, 779, 779, 779, -1, 779, 779, 
	779, 779, -1, -1, -1, -1, -1, -1, 
	-1, 779, 672, 208, -1, -1, -1, -1, 
	-1, -1, -1, -1, 601, 208, -1, 779, 
	779, 779, -1, 779, 1083, 1083, 1083, 1083, 
	-1, -1, -1, -1, 1083, -1, -1, -1, 
	-1, -1, 1083, -1, 1083, 1083, -1, -1, 
	-1, -1, 1106, -1, 1106, 1106, 1106, 1106, 
	1106, -1, -1, -1, -1, -1, -1, -1, 
	-1, 873, 873, 873, 873, 873, 873, 873, 
	873, 873, 873, 873, 873, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 104, 106, 110, 108, 112, -1, -1, 
	-1, -1, 779, 779, 779, 779, -1, 778, 
	779, 779, -1, 779, 779, 779, -1, -1, 
	100, 102, 779, 779, 779, -1, 779, 779, 
	779, 873, -1, -1, -1, 779, -1, -1, 
	997, -1, 779, -1, -1, -1, 779, 779, 
	779, -1, 779, 779, -1, -1, 779, -1, 
	-1, 1151, -1, -1, -1, -1, -1, -1, 
	-1, -1, 779, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 779, 779, 
	779, 779, 779, 779, 779, 779, -1, 779, 
	779, 779, 1151, 1151, 1151, 1151, 1151, 1151, 
	1151, 1151, 1151, 1151, 1151, 1151, 1151, 1151, 
	1151, 1103, 1151, 1151, 1151, 1151, 1151, 1151, 
	1151, 1083, 1083, 1083, 1083, 1083, -1, -1, 
	-1, 779, 779, 779, 779, 779, 630, 410, 
	417, 421, 412, -1, -1, 873, -1, -1, 
	779, -1, -1, 780, 780, 780, 780, 780, 
	780, 780, 780, 780, 780, 780, 780, 780, 
	780, 780, 780, -1, 780, 780, 780, 780, 
	780, 780, 780, 780, -1, -1, -1, 780, 
	780, 780, 780, 780, -1, 780, -1, 780, 
	780, 780, 780, -1, 780, -1, 780, 780, 
	780, -1, 780, 780, -1, -1, 780, 780, 
	780, 780, 780, 780, 780, 780, -1, 780, 
	780, 780, 780, 780, 780, 780, 780, 780, 
	-1, 780, 780, 780, 780, -1, -1, -1, 
	-1, -1, -1, -1, 780, 731, 208, -1, 
	-1, -1, -1, -1, -1, -1, -1, 602, 
	208, -1, 780, 780, 780, -1, 780, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1151, -1, 1151, 
	1151, 1151, 1151, 1151, -1, -1, -1, -1, 
	-1, -1, -1, -1, 874, 874, 874, 874, 
	874, 874, 874, 874, 874, 874, 874, 874, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 780, 780, 780, 
	780, -1, 779, 780, 780, -1, 780, 780, 
	780, -1, -1, -1, -1, 780, 780, 780, 
	-1, 780, 780, 780, 874, -1, -1, -1, 
	780, -1, -1, -1, -1, 780, -1, -1, 
	-1, 780, 780, 780, -1, 780, 780, -1, 
	-1, 780, -1, -1, 1152, -1, -1, -1, 
	-1, -1, -1, -1, -1, 780, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 780, 780, 780, 780, 780, 780, 780, 
	780, -1, 780, 780, 780, 1152, 1152, 1152, 
	1152, 1152, 1152, 1152, 1152, 1152, 1152, 1152, 
	1152, 1152, 1152, 1152, 1104, 1152, 1152, 1152, 
	1152, 1152, 1152, 1152, 1018, -1, 1018, 1018, 
	1018, 1018, -1, 1018, 780, 780, 780, 780, 
	780, 631, 410, 417, 421, 412, -1, -1, 
	874, -1, -1, 780, -1, -1, 781, 781, 
	781, 781, 781, 781, 781, 781, 781, 781, 
	781, 781, 781, 781, 781, 781, 1018, 781, 
	781, 781, 781, 781, 781, 781, 781, -1, 
	673, -1, 781, 781, 781, 781, 781, -1, 
	781, -1, 781, 781, 781, 781, -1, 781, 
	-1, 781, 781, 781, -1, 781, 781, -1, 
	-1, 781, 781, 781, 781, 781, 781, 781, 
	781, -1, 781, 781, 781, 781, 781, 781, 
	781, 781, 781, -1, 781, 781, 781, 781, 
	-1, -1, -1, -1, -1, -1, -1, 781, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 672, 208, -1, 781, 781, 781, 
	-1, 781, -1, -1, -1, -1, -1, -1, 
	1019, -1, 1019, 1019, 1019, 1019, -1, 1019, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1152, -1, 1152, 1152, 1152, 1152, 1152, -1, 
	-1, -1, -1, 875, 875, 875, 875, 875, 
	875, 875, 875, 875, 875, 875, 875, -1, 
	-1, -1, 1019, -1, -1, -1, -1, -1, 
	-1, -1, 1018, -1, -1, -1, -1, 1018, 
	-1, -1, -1, 1018, 1018, -1, -1, -1, 
	781, 781, 781, 781, -1, 780, 781, 781, 
	-1, 781, 781, 781, -1, -1, -1, -1, 
	781, 781, 781, 875, 781, 781, 781, -1, 
	-1, -1, -1, 781, -1, -1, -1, -1, 
	781, -1, -1, -1, 781, 781, 781, -1, 
	781, 781, -1, 1018, 781, -1, -1, 1102, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	781, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 781, 781, 781, 781, 
	781, 781, 781, 781, -1, 781, 781, 781, 
	1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 
	1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 
	1102, 1102, 1102, 1102, 1102, 1102, 1102, -1, 
	-1, -1, -1, -1, -1, -1, -1, 781, 
	781, 781, 781, 781, -1, -1, 1019, 875, 
	-1, -1, -1, 1019, -1, -1, 781, 1019, 
	1019, 782, 782, 782, 782, 782, 782, 782, 
	782, 782, 782, 782, 782, 782, 782, 782, 
	782, -1, 782, 782, 782, 782, 782, 782, 
	782, 782, -1, -1, -1, 782, 782, 782, 
	782, 782, -1, 782, -1, 782, 782, 782, 
	782, -1, 782, -1, 782, 782, 782, 1019, 
	782, 782, -1, -1, 782, 782, 782, 782, 
	782, 782, 782, 782, -1, 782, 782, 782, 
	782, 782, 782, 782, 782, 782, -1, 782, 
	782, 782, 782, -1, -1, -1, -1, -1, 
	-1, -1, 782, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 731, 208, -1, 
	782, 782, 782, -1, 782, 594, 1124, 584, 
	586, 587, 585, 589, 590, 591, 592, 593, 
	588, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1102, -1, 1102, 1102, 1102, 
	1102, 1102, -1, -1, -1, -1, 876, 876, 
	876, 876, 876, 876, 876, 876, 876, 876, 
	876, 876, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 583, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 782, 782, 782, 782, -1, 
	781, 782, 782, -1, 782, 782, 782, -1, 
	-1, -1, -1, 782, 782, 782, 876, 782, 
	782, 782, -1, -1, -1, -1, 782, -1, 
	-1, -1, -1, 782, -1, -1, -1, 782, 
	782, 782, -1, 782, 782, -1, -1, 782, 
	458, -1, 1008, 455, 456, 457, -1, 1136, 
	-1, -1, 1099, 782, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 782, 
	782, 782, 782, 782, 782, 782, 782, -1, 
	782, 782, 782, -1, -1, -1, -1, -1, 
	-1, 582, 1136, 1099, 1099, 1099, 1099, 1099, 
	1099, 1099, 1099, 1099, 1099, 1099, 1099, 1099, 
	1099, 1099, -1, 1099, 1099, 1099, 1099, 1099, 
	1099, 1099, 782, 782, 782, 782, 782, -1, 
	-1, -1, 876, -1, -1, -1, -1, -1, 
	-1, 782, -1, -1, 783, 783, 783, 783, 
	783, 783, 783, 783, 783, 783, 783, 783, 
	783, 783, 783, 783, -1, 783, 783, 783, 
	783, 783, 783, 783, 783, -1, -1, -1, 
	783, 783, 783, 783, 783, -1, 783, -1, 
	783, 783, 783, 783, -1, 783, -1, 783, 
	783, 783, -1, 783, 783, -1, -1, 783, 
	783, 783, 783, 783, 783, 783, 783, -1, 
	783, 783, 783, 783, 783, 783, 783, 783, 
	783, -1, 783, 783, 783, 783, -1, -1, 
	-1, -1, -1, -1, -1, 783, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 783, 783, 783, 1008, 783, 
	-1, -1, -1, 454, -1, -1, -1, 1008, 
	453, -1, -1, -1, 594, 1124, 584, 586, 
	587, 585, 589, 590, 591, 592, 593, 588, 
	-1, -1, -1, -1, -1, -1, 1099, -1, 
	1099, 1099, 1099, 1099, 1099, 877, 877, 877, 
	877, 877, 877, 877, 877, 877, 877, 877, 
	877, -1, -1, -1, -1, -1, -1, 579, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 583, -1, 783, 783, 
	783, 783, -1, 782, 783, 783, -1, 783, 
	783, 783, -1, -1, -1, -1, 783, 783, 
	783, -1, 783, 783, 783, 877, -1, -1, 
	-1, 783, -1, -1, -1, -1, 783, -1, 
	-1, -1, 783, 783, 783, -1, 783, 783, 
	-1, -1, 783, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 783, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 783, 783, 783, 783, 783, 783, 
	783, 783, -1, 783, 783, 783, -1, -1, 
	-1, -1, -1, 414, 415, 416, 413, -1, 
	-1, -1, -1, 420, -1, -1, -1, -1, 
	663, 411, -1, 418, 419, 886, -1, -1, 
	-1, -1, -1, -1, -1, 783, 783, 783, 
	783, 783, -1, -1, -1, -1, -1, -1, 
	-1, 877, -1, -1, 783, -1, -1, 784, 
	784, 784, 784, 784, 784, 784, 784, 784, 
	784, 784, 784, 784, 784, 784, 784, -1, 
	784, 784, 784, 784, 784, 784, 784, 784, 
	-1, -1, -1, 784, 784, 784, 784, 784, 
	-1, 784, -1, 784, 784, 784, 784, -1, 
	784, -1, 784, 784, 784, -1, 784, 784, 
	619, -1, 784, 784, 784, 784, 784, 784, 
	784, 784, -1, 784, 784, 784, 784, 784, 
	784, 784, 784, 784, -1, 784, 784, 784, 
	784, -1, -1, -1, -1, -1, -1, -1, 
	784, -1, -1, 414, 415, 416, 413, -1, 
	-1, -1, -1, 420, -1, -1, 784, 784, 
	784, 411, 784, 418, 419, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 594, 
	1124, 584, 586, 587, 585, 589, 590, 591, 
	592, 593, 588, -1, -1, 423, -1, 408, 
	409, 410, 417, 421, 412, -1, -1, -1, 
	878, 878, 878, 878, 878, 878, 878, 878, 
	878, 878, 878, 878, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 583, -1, 583, 
	-1, 784, 784, 784, 784, -1, 783, 784, 
	784, -1, 784, 784, 784, -1, -1, -1, 
	-1, 784, 784, 784, -1, 784, 784, 784, 
	878, -1, -1, -1, 784, -1, -1, -1, 
	-1, 784, -1, -1, -1, 784, 784, 784, 
	-1, 784, 784, -1, -1, 784, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 784, 1020, -1, 1020, 1020, 1020, 1020, 
	-1, 1020, -1, -1, -1, 784, 784, 784, 
	784, 784, 784, 784, 784, -1, 784, 784, 
	784, -1, -1, -1, -1, -1, -1, 627, 
	409, 410, 417, 421, 412, 414, 415, 416, 
	413, 582, -1, 662, 1020, 420, -1, -1, 
	-1, -1, -1, 411, -1, 418, 419, -1, 
	784, 784, 784, 784, 784, -1, -1, -1, 
	-1, -1, -1, -1, 878, -1, -1, 784, 
	-1, -1, 785, 785, 785, 785, 785, 785, 
	785, 785, 785, 785, 785, 785, 785, 785, 
	785, 785, -1, 785, 785, 785, 785, 785, 
	785, 785, 785, -1, -1, -1, 785, 785, 
	785, 785, 785, -1, 785, -1, 785, 785, 
	785, 785, -1, 785, -1, 785, 785, 785, 
	-1, 785, 785, -1, -1, 785, 785, 785, 
	785, 785, 785, 785, 785, -1, 785, 785, 
	785, 785, 785, 785, 785, 785, 785, -1, 
	785, 785, 785, 785, -1, -1, -1, -1, 
	866, -1, -1, 785, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 785, 785, 785, -1, 785, -1, -1, 
	-1, -1, 866, 866, 866, 866, 866, -1, 
	1020, -1, -1, 454, -1, 1020, -1, -1, 
	453, 1020, 1020, -1, -1, -1, -1, -1, 
	-1, 866, 866, -1, -1, -1, -1, -1, 
	-1, 628, 409, 410, 417, 421, 412, -1, 
	-1, 866, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 579, 
	-1, 1020, -1, -1, 785, 785, 785, 785, 
	-1, 784, 785, 785, 583, 785, 785, 785, 
	-1, -1, -1, -1, 785, 785, 785, -1, 
	785, 785, 785, -1, -1, -1, -1, 785, 
	-1, -1, -1, -1, 785, -1, -1, -1, 
	785, 785, 785, -1, 785, 785, -1, -1, 
	785, -1, -1, 1090, -1, -1, -1, -1, 
	-1, -1, -1, -1, 785, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	785, 785, 785, 785, 785, 785, 785, 785, 
	-1, 785, 785, 785, 1090, 1090, 1090, 1090, 
	1090, 1090, 1090, 1090, 1090, 1090, 1090, 1090, 
	1090, 1090, 1090, -1, 1090, 1090, 1090, 1090, 
	1090, 1090, 1090, -1, 866, 866, -1, 866, 
	663, -1, -1, 785, 785, 785, 785, 785, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 785, -1, -1, 786, 786, 786, 
	786, 786, 786, 786, 786, 786, 786, 786, 
	786, 786, 786, 786, 786, -1, 786, 786, 
	786, 786, 786, 786, 786, 786, 866, 866, 
	-1, 786, 786, 786, 786, 786, -1, 786, 
	-1, 786, 786, 786, 786, -1, 786, -1, 
	786, 786, 786, -1, 786, 786, -1, -1, 
	786, 786, 786, 786, 786, 786, 786, 786, 
	619, 786, 786, 786, 786, 786, 786, 786, 
	786, 786, -1, 786, 786, 786, 786, -1, 
	-1, 866, -1, -1, -1, -1, 786, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 786, 786, 786, -1, 
	786, -1, -1, -1, -1, -1, -1, 594, 
	1124, 584, 586, 587, 585, 589, 590, 591, 
	592, 593, 588, -1, -1, -1, -1, 1090, 
	-1, 1090, 1090, 1090, 1090, 1090, -1, -1, 
	-1, -1, -1, -1, -1, 423, -1, 408, 
	409, 410, 417, 421, 412, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 583, 
	-1, -1, -1, -1, -1, -1, -1, 786, 
	786, 786, 786, -1, 785, 786, 786, 583, 
	786, 786, 786, -1, -1, -1, -1, 786, 
	786, 786, -1, 786, 786, 786, -1, -1, 
	-1, -1, 786, -1, -1, -1, -1, 786, 
	-1, -1, -1, 786, 786, 786, -1, 786, 
	786, -1, -1, 786, 1084, 1084, 1084, 1084, 
	536, 1078, 1078, 1078, 1084, 1078, -1, 786, 
	-1, -1, 1084, -1, 1084, 1084, 1078, 1078, 
	533, 534, 535, 786, 786, 786, 786, 786, 
	786, 786, 786, -1, 786, 786, 786, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 704, -1, -1, -1, 627, 
	409, 410, 417, 421, 412, -1, -1, -1, 
	-1, -1, -1, 662, -1, -1, 786, 786, 
	786, 786, 786, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 786, -1, -1, 
	27, 28, 1116, 25, 23, 26, 54, 55, 
	56, 57, 85, 88, 86, 87, 89, 90, 
	-1, 83, 84, 30, 51, 36, 37, 41, 
	39, -1, -1, -1, 105, 107, 111, 109, 
	113, -1, 32, -1, 46, 42, 43, 44, 
	-1, 49, -1, 97, 47, 45, -1, 98, 
	38, -1, -1, 101, 103, 95, 94, 96, 
	24, 53, 52, -1, 79, 80, 81, 66, 
	67, 68, 50, 63, 78, 1091, 116, 118, 
	120, 122, -1, -1, -1, -1, -1, -1, 
	-1, 82, -1, -1, -1, -1, -1, 532, 
	-1, 1084, 1084, 1084, 1084, 1084, -1, 73, 
	74, 75, -1, 76, -1, -1, 1091, 1091, 
	1091, 1091, 1091, 1091, 1091, 1091, 1091, 1091, 
	1091, 1091, 1091, 1091, 1091, -1, 1091, 1091, 
	1091, 1091, 1091, 1091, 1091, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 628, 409, 410, 417, 421, 412, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 2, 21, 19, 48, -1, 786, 
	18, 20, -1, 17, 16, 14, -1, -1, 
	-1, -1, 31, 12, 13, -1, 29, 10, 
	4, -1, -1, -1, -1, 22, -1, -1, 
	-1, -1, 11, -1, -1, -1, 8, 9, 
	3, -1, 5, 6, -1, -1, 7, -1, 
	-1, 1092, -1, -1, -1, -1, -1, -1, 
	-1, -1, 15, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 35, 33, 
	34, 58, 69, 70, 71, 72, -1, 77, 
	93, 65, 1092, 1092, 1092, 1092, 1092, 1092, 
	1092, 1092, 1092, 1092, 1092, 1092, 1092, 1092, 
	1092, -1, 1092, 1092, 1092, 1092, 1092, 1092, 
	1092, 1091, -1, 1091, 1091, 1091, 1091, 1091, 
	-1, 114, 99, 91, 40, 997, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	125, 822, 822, 822, 822, 822, 822, 822, 
	822, 822, 822, 822, 822, 822, 822, 822, 
	822, 822, 822, 822, 822, 822, 822, 822, 
	822, 822, 822, 822, -1, 822, 822, 822, 
	822, 822, -1, 822, -1, 822, 822, 822, 
	822, -1, 822, -1, 822, 822, 822, -1, 
	822, 822, 822, 822, 822, 822, 822, 822, 
	822, 822, 822, 822, -1, 822, 822, 822, 
	822, 822, 822, 822, 822, 822, -1, 822, 
	822, 822, 822, -1, -1, -1, -1, -1, 
	-1, -1, 822, -1, -1, 822, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	822, 822, 822, 1093, 822, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1092, -1, 1092, 
	1092, 1092, 1092, 1092, 1093, 1093, 1093, 1093, 
	1093, 1093, 1093, 1093, 1093, 1093, 1093, 1093, 
	1093, 1093, 1093, -1, 1093, 1093, 1093, 1093, 
	1093, 1093, 1093, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 822, 822, 822, 822, 583, 
	-1, 822, 822, -1, 822, 822, 822, -1, 
	-1, -1, -1, 822, 822, 822, -1, 822, 
	822, 822, -1, -1, -1, -1, 822, -1, 
	-1, -1, -1, 822, -1, -1, -1, 822, 
	822, 822, -1, 822, 822, -1, 1001, 822, 
	1001, -1, 1110, -1, -1, 1001, -1, -1, 
	822, 822, 822, 822, 822, 822, 822, -1, 
	397, 399, -1, 822, 822, -1, -1, 822, 
	822, 822, 822, 822, 822, 822, 822, 398, 
	822, 822, 822, 1110, 1110, 1110, 1110, 1110, 
	1110, 1110, 1110, 1110, 1110, 1110, 1110, 1110, 
	1110, 1110, -1, 1110, 1110, 1110, 1110, 1110, 
	1110, 1110, 1015, 704, 1015, 1015, 1015, 1015, 
	-1, 1015, 822, 822, 822, 822, 822, -1, 
	-1, 1016, -1, 1016, 1016, 1016, 1016, -1, 
	1016, 822, -1, -1, -1, -1, -1, 1093, 
	822, 1093, 1093, 1093, 1093, 1093, -1, -1, 
	-1, -1, -1, -1, 1015, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1016, 85, 88, 86, 87, 
	89, 90, -1, 83, 84, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 104, 106, 
	110, 108, 112, -1, -1, -1, -1, -1, 
	-1, -1, 1001, 1001, -1, 97, -1, -1, 
	-1, 98, -1, -1, -1, 100, 102, 95, 
	94, 96, -1, -1, -1, -1, 79, 80, 
	81, -1, -1, -1, -1, 997, 78, -1, 
	116, 118, 120, 122, 1001, 752, -1, 532, 
	-1, -1, -1, 82, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 73, 74, 75, -1, 76, 1110, -1, 
	1110, 1110, 1110, 1110, 1110, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1015, -1, -1, -1, -1, 1015, -1, -1, 
	-1, 1015, 1015, -1, -1, -1, -1, 1016, 
	-1, -1, -1, 822, 1016, -1, -1, -1, 
	1016, 1016, 2, 21, 19, 48, -1, -1, 
	18, 20, -1, 17, 16, 14, -1, -1, 
	-1, -1, 31, 12, 13, -1, 29, 10, 
	4, -1, -1, -1, -1, 22, -1, -1, 
	-1, 1015, 11, -1, -1, -1, 8, 9, 
	3, -1, 5, 6, -1, -1, 7, -1, 
	1016, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 15, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 35, 33, 
	34, 58, 69, 70, 71, 72, -1, 77, 
	92, 64, -1, 161, 69, 70, 71, 72, 
	-1, 77, 92, 64, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 114, 99, 91, 40, -1, -1, -1, 
	-1, -1, -1, 114, 99, 91, 159, 997, 
	125, 823, 823, 823, 823, 823, 823, 823, 
	823, 823, 823, 823, 823, 823, 823, 823, 
	823, 823, 823, 823, 823, 823, 823, 823, 
	823, 823, 823, 823, -1, 823, 823, 823, 
	823, 823, -1, 823, -1, 823, 823, 823, 
	823, -1, 823, -1, 823, 823, 823, -1, 
	823, 823, 823, 823, 823, 823, 823, 823, 
	823, 823, 823, 823, -1, 823, 823, 823, 
	823, 823, 823, 823, 823, 823, 1108, 823, 
	823, 823, 823, -1, -1, -1, -1, -1, 
	-1, -1, 823, -1, -1, 823, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	823, 823, 823, -1, 823, -1, -1, 1108, 
	1108, 1108, 1108, 1108, 1108, 1108, 1108, 1108, 
	1108, 1108, 1108, 1108, 1108, 1108, -1, 1108, 
	1108, 1108, 1108, 1108, 1108, 1108, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 823, 823, 823, 823, -1, 
	-1, 823, 823, -1, 823, 823, 823, -1, 
	-1, -1, -1, 823, 823, 823, -1, 823, 
	823, 823, -1, -1, -1, -1, 823, -1, 
	-1, -1, -1, 823, -1, -1, -1, 823, 
	823, 823, -1, 823, 823, -1, -1, 823, 
	-1, -1, 1109, -1, -1, -1, -1, -1, 
	823, 823, 823, 823, 823, 823, 823, -1, 
	-1, -1, -1, 823, 823, -1, -1, 823, 
	823, 823, 823, 823, 823, 823, 823, -1, 
	823, 823, 823, 1109, 1109, 1109, 1109, 1109, 
	1109, 1109, 1109, 1109, 1109, 1109, 1109, 1109, 
	1109, 1109, -1, 1109, 1109, 1109, 1109, 1109, 
	1109, 1109, 1108, -1, 1108, 1108, 1108, 1108, 
	1108, -1, 823, 823, 823, 823, 823, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 823, -1, -1, -1, -1, -1, -1, 
	823, -1, 933, 933, 933, 933, 933, 933, 
	933, 933, 933, 933, 933, 933, 933, 933, 
	933, 933, 933, 933, 933, 933, 933, 933, 
	933, 933, 933, 933, 933, -1, 933, 933, 
	933, 933, 933, -1, 933, -1, 933, 933, 
	933, 933, -1, 933, -1, 933, 933, 933, 
	-1, 933, 933, 933, 933, 933, 933, 933, 
	933, 933, 933, 933, 933, -1, 933, 933, 
	933, 933, 933, 933, 933, 933, 933, -1, 
	933, 933, 933, 933, -1, -1, -1, -1, 
	-1, -1, -1, 933, -1, -1, 933, -1, 
	-1, 211, -1, -1, -1, 752, -1, -1, 
	-1, 933, 933, 933, -1, 933, -1, -1, 
	-1, -1, -1, -1, 1001, -1, 1001, -1, 
	-1, -1, -1, 1001, -1, -1, 1109, 396, 
	1109, 1109, 1109, 1109, 1109, -1, 397, 399, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 398, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 823, 933, 933, 933, 933, 
	-1, -1, 933, 933, -1, 933, 933, 933, 
	-1, -1, -1, -1, 933, 933, 933, -1, 
	933, 933, 933, -1, -1, -1, -1, 933, 
	-1, -1, -1, -1, 933, -1, -1, -1, 
	933, 933, 933, -1, 933, 933, -1, -1, 
	933, -1, -1, -1, -1, -1, -1, -1, 
	-1, 933, 933, 933, 933, 933, 933, 933, 
	-1, -1, -1, -1, 933, 933, -1, 210, 
	933, 933, 933, 933, 933, 933, 933, 933, 
	-1, 933, 933, 933, -1, -1, -1, -1, 
	1001, 1001, -1, 161, 69, 70, 71, 72, 
	-1, 77, 92, 64, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 933, 933, 933, 933, 933, 
	-1, -1, 1001, 751, -1, -1, -1, -1, 
	-1, -1, 933, 114, 99, 91, 159, -1, 
	-1, 933, -1, 968, 968, 968, 968, 968, 
	968, 968, 968, 968, 968, 968, 968, 968, 
	968, 968, 968, 968, 968, 968, 968, 968, 
	968, 968, 968, 968, 968, 968, -1, 968, 
	968, 968, 968, 968, -1, 968, -1, 968, 
	968, 968, 968, -1, 968, -1, 968, 968, 
	968, -1, 968, 968, 968, 968, 968, 968, 
	968, 968, 968, 968, 968, 968, -1, 968, 
	968, 968, 968, 968, 968, 968, 968, 968, 
	968, 968, 968, 968, 968, 968, -1, 968, 
	-1, -1, -1, -1, 231, 968, 968, 968, 
	968, -1, 230, 968, 968, 968, 968, 968, 
	968, 968, 968, 968, 968, 968, 968, 968, 
	968, 968, 968, -1, -1, -1, -1, -1, 
	968, -1, -1, -1, -1, -1, 1084, 1084, 
	1084, 1084, 536, 1079, 1079, 1079, 1084, 1079, 
	-1, -1, -1, -1, 1084, -1, 1084, 1084, 
	1079, 1079, 533, 534, 535, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 933, 968, 968, 968, 
	968, -1, -1, 968, 968, 968, 968, 968, 
	968, -1, -1, -1, -1, 968, 968, 968, 
	968, 968, 968, 968, -1, -1, -1, -1, 
	968, -1, -1, -1, -1, 968, 968, -1, 
	-1, 968, 968, 968, -1, 968, 968, -1, 
	-1, 968, -1, -1, -1, -1, -1, -1, 
	-1, -1, 968, 968, 968, 968, 968, 968, 
	968, -1, -1, -1, 968, 968, 968, -1, 
	-1, 968, 968, 968, 968, 968, 968, 968, 
	968, -1, 968, 968, 968, -1, -1, -1, 
	968, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 968, 968, 968, -1, -1, 
	968, -1, -1, -1, -1, 968, -1, -1, 
	-1, -1, 968, -1, 968, 968, 968, 968, 
	968, 532, -1, 1084, 1084, 1084, 1084, 1084, 
	-1, -1, -1, 968, -1, 968, -1, -1, 
	968, -1, 968, 968, -1, -1, -1, 968, 
	-1, 968, -1, 968, 85, 88, 86, 87, 
	89, 90, -1, 83, 84, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 104, 106, 
	110, 108, 112, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 97, -1, -1, 
	-1, 98, -1, -1, -1, 100, 102, 95, 
	94, 96, -1, -1, -1, -1, 79, 80, 
	81, -1, -1, -1, -1, 997, 78, -1, 
	116, 118, 120, 122, -1, -1, -1, -1, 
	-1, -1, -1, 82, -1, -1, 1084, 1084, 
	1084, 1084, 536, 1080, 1080, 1080, 1084, 1080, 
	-1, 73, 74, 75, 1084, 76, 1084, 1084, 
	1080, 1080, 533, 534, 535, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 824, 
	824, 824, 824, 824, 824, 824, 824, 824, 
	824, 824, 824, 824, 824, 824, 824, 824, 
	824, 824, 824, 824, 824, 824, 824, 824, 
	824, 824, -1, 824, 824, 824, 824, 824, 
	-1, 824, -1, 824, 824, 824, 824, -1, 
	824, -1, 824, 824, 824, 968, 824, 824, 
	824, 824, 824, 824, 824, 824, 824, 824, 
	824, 824, -1, 824, 824, 824, 824, 824, 
	824, 824, 824, 824, -1, 824, 824, 824, 
	824, -1, -1, -1, -1, -1, -1, -1, 
	824, -1, -1, 824, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 824, 824, 
	824, -1, 824, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 210, 
	-1, -1, -1, 169, 69, 70, 71, 72, 
	-1, 77, 92, 64, -1, -1, -1, -1, 
	-1, 532, -1, 1084, 1084, 1084, 1084, 1084, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 114, 99, 91, 159, 997, 
	-1, -1, -1, 751, -1, -1, -1, -1, 
	-1, 824, 824, 824, 824, -1, -1, 824, 
	824, -1, 824, 824, 824, -1, -1, -1, 
	-1, 824, 824, 824, -1, 824, 824, 824, 
	-1, -1, -1, -1, 824, -1, -1, -1, 
	-1, 824, -1, -1, -1, 824, 824, 824, 
	-1, 824, 824, -1, -1, 824, -1, -1, 
	-1, -1, -1, -1, -1, -1, 824, 824, 
	824, 824, 824, 824, 824, -1, -1, -1, 
	-1, 824, 824, -1, -1, 824, 824, 824, 
	824, 824, 824, 824, 824, -1, 824, 824, 
	824, 1084, 1084, 1084, 1084, 536, 1081, 1081, 
	1081, 1084, 1081, -1, -1, -1, -1, 1084, 
	-1, 1084, 1084, 1081, 1081, 533, 534, 535, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	824, 824, 824, 824, 824, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 824, 
	-1, -1, -1, -1, -1, -1, 824, -1, 
	825, 825, 825, 825, 825, 825, 825, 825, 
	825, 825, 825, 825, 825, 825, 825, 825, 
	825, 825, 825, 825, 825, 825, 825, 825, 
	825, 825, 825, -1, 825, 825, 825, 825, 
	825, -1, 825, -1, 825, 825, 825, 825, 
	-1, 825, -1, 825, 825, 825, -1, 825, 
	825, 825, 825, 825, 825, 825, 825, 825, 
	825, 825, 825, -1, 825, 825, 825, 825, 
	825, 825, 825, 825, 825, -1, 825, 825, 
	825, 825, -1, -1, -1, -1, -1, -1, 
	-1, 825, -1, -1, 825, -1, -1, -1, 
	-1, -1, -1, 541, -1, -1, -1, 825, 
	825, 825, -1, 825, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 532, -1, 1084, 1084, 
	1084, 1084, 1084, -1, 1086, 1086, 1086, 1086, 
	1086, 1086, 1086, 1086, 1086, 1086, 537, 538, 
	540, 539, 1086, -1, 1086, 1086, 1086, 1086, 
	1086, 1086, 1086, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 532, -1, -1, -1, -1, -1, -1, 
	-1, 824, 825, 825, 825, 825, -1, -1, 
	825, 825, -1, 825, 825, 825, -1, -1, 
	-1, -1, 825, 825, 825, -1, 825, 825, 
	825, -1, -1, -1, -1, 825, -1, -1, 
	-1, -1, 825, -1, -1, -1, 825, 825, 
	825, -1, 825, 825, -1, -1, 825, -1, 
	-1, -1, -1, -1, -1, -1, -1, 825, 
	825, 825, 825, 825, 825, 825, -1, -1, 
	-1, -1, 825, 825, -1, -1, 825, 825, 
	825, 825, 825, 825, 825, 825, -1, 825, 
	825, 825, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 825, 825, 825, 825, 825, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1086, 
	825, 1086, 1086, 1086, 1086, 1086, -1, 825, 
	-1, 940, 940, 940, 940, 940, 940, 940, 
	940, 940, 940, 940, 940, 940, 940, 940, 
	940, 940, 940, 940, 940, 940, 940, 940, 
	940, 940, 940, 940, -1, 940, 940, 940, 
	940, 940, -1, 940, -1, 940, 940, 940, 
	940, -1, 940, -1, 940, 940, 940, -1, 
	940, 940, 940, 940, 940, 940, 940, 940, 
	940, 940, 940, 940, -1, 940, 940, 940, 
	940, 940, 940, 940, 940, 940, -1, 940, 
	940, 940, 940, -1, -1, -1, -1, -1, 
	-1, -1, 940, -1, -1, 940, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	940, 940, 940, -1, 940, -1, -1, 212, 
	213, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 169, 69, 70, 71, 72, 
	-1, 77, 92, 64, -1, -1, -1, -1, 
	-1, 532, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 114, 99, 91, 159, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 825, 940, 940, 940, 940, -1, 
	-1, 940, 940, -1, 940, 940, 940, -1, 
	-1, -1, -1, 940, 940, 940, -1, 940, 
	940, 940, -1, -1, -1, -1, 940, -1, 
	-1, -1, -1, 940, -1, -1, -1, 940, 
	940, 940, -1, 940, 940, -1, -1, 940, 
	-1, -1, 541, -1, -1, -1, -1, -1, 
	940, 940, 940, 940, 940, 940, 940, -1, 
	-1, -1, -1, 940, 940, -1, -1, 940, 
	940, 940, 940, 940, 940, 940, 940, -1, 
	940, 940, 940, 1087, 1087, 1087, 1087, 1087, 
	1087, 1087, 1087, 1087, 1087, 537, 538, 540, 
	539, 1087, -1, 1087, 1087, 1087, 1087, 1087, 
	1087, 1087, -1, -1, -1, -1, -1, -1, 
	-1, -1, 940, 940, 940, 940, 940, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 940, -1, -1, -1, -1, -1, -1, 
	940, -1, 943, 943, 943, 943, 943, 943, 
	943, 943, 943, 943, 943, 943, 943, 943, 
	943, 943, 943, 943, 943, 943, 943, 943, 
	943, 943, 943, 943, 943, -1, 943, 943, 
	943, 943, 943, -1, 943, -1, 943, 943, 
	943, 943, -1, 943, -1, 943, 943, 943, 
	-1, 943, 943, 943, 943, 943, 943, 943, 
	943, 943, 943, 943, 943, -1, 943, 943, 
	943, 943, 943, 943, 943, 943, 943, 943, 
	943, 943, 943, 943, 943, -1, -1, -1, 
	-1, -1, -1, 943, 943, 943, 943, -1, 
	-1, -1, 214, 215, 943, 216, 217, 218, 
	219, 943, 943, 943, 943, 943, -1, -1, 
	943, 943, -1, -1, -1, -1, -1, 943, 
	-1, -1, -1, -1, 532, -1, 1087, -1, 
	1087, 1087, 1087, 1087, 1087, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 940, 943, 943, 943, 943, 
	-1, -1, 943, 943, 943, 943, 943, 943, 
	-1, -1, -1, -1, 943, 943, 943, 943, 
	943, 943, 943, -1, -1, -1, -1, 943, 
	-1, -1, -1, -1, 943, 943, -1, -1, 
	943, 943, 943, -1, 943, 943, -1, -1, 
	943, -1, -1, -1, -1, -1, -1, -1, 
	-1, 943, 943, 943, 943, 943, 943, 943, 
	-1, -1, -1, 943, 943, 943, -1, -1, 
	943, 943, 943, 943, 943, 943, 943, 943, 
	-1, 943, 943, 943, -1, -1, -1, 943, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 943, 943, 943, -1, -1, 943, 
	-1, -1, -1, -1, 943, -1, -1, -1, 
	-1, 943, -1, 943, 943, 943, 943, 943, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 943, -1, 943, -1, -1, 943, 
	-1, 943, 943, -1, -1, -1, 943, -1, 
	943, -1, 943, 950, 950, 950, 950, 950, 
	950, 950, 950, 950, 950, 950, 950, 950, 
	950, 950, 950, 950, 950, 950, 950, 950, 
	950, 950, 950, 950, 950, 950, -1, 950, 
	950, 950, 950, 950, -1, 950, -1, 950, 
	950, 950, 950, -1, 950, -1, 950, 950, 
	950, -1, 950, 950, 950, 950, 950, 950, 
	950, 950, 950, 950, 950, 950, -1, 950, 
	950, 950, 950, 950, 950, 950, 950, 950, 
	950, 950, 950, 950, 950, 950, -1, -1, 
	-1, -1, -1, -1, 950, 950, 950, 950, 
	541, -1, -1, 950, 950, 950, 950, 950, 
	950, 950, 950, 950, 950, 950, 950, 220, 
	221, 950, 950, -1, -1, -1, -1, -1, 
	950, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1088, 1088, 1088, 1088, 1088, 1088, 1088, 
	1088, 1088, 1088, 537, 538, 540, 539, 1088, 
	-1, 1088, 1088, 1088, 1088, 1088, 1088, 1088, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 943, -1, -1, -1, 
	-1, -1, -1, -1, -1, 950, 950, 950, 
	950, -1, -1, 950, 950, 950, 950, 950, 
	950, -1, -1, -1, -1, 950, 950, 950, 
	950, 950, 950, 950, -1, -1, -1, -1, 
	950, -1, -1, -1, -1, 950, 950, -1, 
	-1, 950, 950, 950, -1, 950, 950, -1, 
	-1, 950, -1, -1, -1, -1, -1, -1, 
	-1, -1, 950, 950, 950, 950, 950, 950, 
	950, -1, -1, -1, 950, 950, 950, -1, 
	-1, 950, 950, 950, 950, 950, 950, 950, 
	950, -1, 950, 950, 950, -1, -1, -1, 
	950, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 950, 950, 950, -1, -1, 
	950, -1, -1, -1, -1, 950, -1, -1, 
	-1, -1, 950, -1, 950, 950, 950, 950, 
	950, -1, -1, -1, 1088, -1, 1088, 1088, 
	1088, 1088, 1088, 950, -1, 950, -1, -1, 
	950, -1, 950, 950, -1, -1, -1, 950, 
	-1, 950, -1, 950, 953, 953, 953, 953, 
	953, 953, 953, 953, 953, 953, 953, 953, 
	953, 953, 953, 953, 953, 953, 953, 953, 
	953, 953, 953, 953, 953, 953, 953, -1, 
	953, 953, 953, 953, 953, -1, 953, -1, 
	953, 953, 953, 953, -1, 953, -1, 953, 
	953, 953, -1, 953, 953, 953, 953, 953, 
	953, 953, 953, 953, 953, 953, 953, -1, 
	953, 953, 953, 953, 953, 953, 953, 953, 
	953, 953, 953, 953, 953, 953, 953, -1, 
	223, -1, -1, -1, -1, 953, 953, 953, 
	953, 222, -1, -1, 953, 953, 953, 953, 
	953, 953, 953, 953, 953, 953, 953, 953, 
	953, 953, 953, 953, -1, -1, -1, -1, 
	-1, 953, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 950, -1, -1, 
	-1, -1, -1, -1, -1, -1, 953, 953, 
	953, 953, -1, -1, 953, 953, 953, 953, 
	953, 953, -1, -1, -1, -1, 953, 953, 
	953, 953, 953, 953, 953, -1, -1, -1, 
	-1, 953, -1, -1, -1, -1, 953, 953, 
	-1, -1, 953, 953, 953, -1, 953, 953, 
	-1, -1, 953, -1, -1, -1, -1, -1, 
	-1, -1, -1, 953, 953, 953, 953, 953, 
	953, 953, -1, -1, -1, 953, 953, 953, 
	-1, -1, 953, 953, 953, 953, 953, 953, 
	953, 953, -1, 953, 953, 953, -1, -1, 
	-1, 953, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 953, 953, 953, -1, 
	-1, 953, -1, -1, -1, -1, 953, -1, 
	-1, -1, -1, 953, -1, 953, 953, 953, 
	953, 953, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 953, -1, 953, -1, 
	-1, 953, -1, 953, 953, -1, -1, -1, 
	953, -1, 953, -1, 953, 956, 956, 956, 
	956, 956, 956, 956, 956, 956, 956, 956, 
	956, 956, 956, 956, 956, 956, 956, 956, 
	956, 956, 956, 956, 956, 956, 956, 956, 
	-1, 956, 956, 956, 956, 956, -1, 956, 
	-1, 956, 956, 956, 956, -1, 956, -1, 
	956, 956, 956, -1, 956, 956, 956, 956, 
	956, 956, 956, 956, 956, 956, 956, 956, 
	-1, 956, 956, 956, 956, 956, 956, 956, 
	956, 956, 956, 956, 956, 956, 956, 956, 
	-1, 956, -1, -1, -1, -1, 956, 956, 
	956, 956, 956, -1, -1, 956, 956, 956, 
	956, 956, 956, 956, 956, 956, 956, 956, 
	956, 956, 956, 956, 956, -1, -1, -1, 
	-1, -1, 956, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 953, -1, 
	-1, -1, -1, -1, -1, -1, -1, 956, 
	956, 956, 956, -1, -1, 956, 956, 956, 
	956, 956, 956, -1, -1, -1, -1, 956, 
	956, 956, 956, 956, 956, 956, -1, -1, 
	-1, -1, 956, -1, -1, -1, -1, 956, 
	956, -1, -1, 956, 956, 956, -1, 956, 
	956, -1, -1, 956, -1, -1, -1, -1, 
	-1, -1, -1, -1, 956, 956, 956, 956, 
	956, 956, 956, -1, -1, -1, 956, 956, 
	956, -1, -1, 956, 956, 956, 956, 956, 
	956, 956, 956, -1, 956, 956, 956, -1, 
	-1, -1, 956, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 956, 956, 956, 
	-1, -1, 956, -1, -1, -1, -1, 956, 
	-1, -1, -1, -1, 956, -1, 956, 956, 
	956, 956, 956, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 956, -1, 956, 
	-1, -1, 956, -1, 956, 956, -1, -1, 
	-1, 956, -1, 956, -1, 956, 85, 88, 
	86, 87, 89, 90, -1, 83, 84, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	104, 106, 110, 108, 112, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 97, 
	-1, -1, -1, 98, -1, -1, -1, 100, 
	102, 95, 94, 96, -1, -1, -1, -1, 
	79, 80, 81, -1, -1, -1, -1, 997, 
	78, -1, 116, 118, 120, 122, -1, 85, 
	88, 86, 87, 89, 90, 82, 83, 84, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 104, 106, 110, 108, 112, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	97, -1, -1, -1, 98, -1, -1, -1, 
	100, 102, 95, 94, 96, -1, -1, -1, 
	-1, 79, 80, 81, -1, -1, -1, -1, 
	997, 78, -1, 116, 118, 120, 122, -1, 
	-1, -1, -1, -1, -1, -1, 82, 85, 
	88, 86, 87, 89, 90, -1, 83, 84, 
	-1, -1, -1, -1, -1, 200, -1, -1, 
	-1, 104, 106, 110, 108, 112, -1, 956, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	97, -1, -1, -1, 98, -1, 541, -1, 
	100, 102, 95, 94, 96, -1, -1, -1, 
	-1, 79, 80, 81, -1, -1, -1, -1, 
	997, 78, -1, 116, 118, 120, 122, -1, 
	-1, -1, -1, -1, -1, -1, 82, 1085, 
	1085, 1085, 1085, 1085, 1085, 1085, 1085, 1085, 
	1085, 537, 538, 540, 539, 1085, -1, 1085, 
	1085, 1085, 1085, 1085, 1085, 1085, -1, -1, 
	-1, -1, -1, 198, 92, 64, -1, -1, 
	-1, -1, -1, -1, -1, -1, 85, 88, 
	86, 87, 89, 90, -1, 83, 84, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	104, 106, 110, 108, 112, 114, 99, 91, 
	159, 997, -1, -1, -1, -1, -1, 97, 
	-1, -1, -1, 98, -1, -1, -1, 100, 
	102, 95, 94, 96, -1, -1, -1, -1, 
	79, 80, 81, -1, 199, 92, 64, 997, 
	78, -1, 116, 118, 120, 122, -1, -1, 
	-1, -1, -1, -1, -1, 82, -1, -1, 
	-1, -1, -1, 1001, -1, 1001, 1001, 1001, 
	1001, -1, 1001, -1, -1, -1, 114, 99, 
	91, 159, 997, -1, -1, 397, 399, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 398, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1001, -1, -1, 
	-1, -1, -1, -1, 201, 92, 64, -1, 
	-1, -1, 1085, -1, 1085, 1085, 1085, 1085, 
	1085, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, 997, 85, 88, 86, 87, 89, 
	90, -1, 83, 84, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 104, 106, 110, 
	108, 112, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 97, -1, -1, -1, 
	98, -1, -1, -1, 100, 102, 95, 94, 
	96, -1, -1, -1, -1, 79, 80, 81, 
	-1, -1, -1, -1, 997, 78, -1, 116, 
	118, 120, 122, -1, -1, -1, -1, -1, 
	-1, -1, 82, 202, 92, 64, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	73, 74, 75, -1, 76, -1, -1, -1, 
	-1, 1001, 703, -1, -1, -1, 1001, -1, 
	-1, -1, 1001, 1001, -1, 114, 99, 91, 
	159, 997, 962, 962, 962, 962, 962, 962, 
	962, 962, 962, 962, 962, 962, 962, 962, 
	962, 962, 962, 962, 962, 962, 962, 962, 
	962, 962, 962, 962, 962, -1, 962, 962, 
	962, 962, 962, -1, 962, -1, 962, 962, 
	962, 962, 1001, 962, -1, 962, 962, 962, 
	-1, 962, 962, 962, 962, 962, 962, 962, 
	962, 962, 962, 962, 962, -1, 962, 962, 
	962, 962, 962, 962, 962, 962, 962, 962, 
	962, 962, 962, 962, 962, -1, 962, -1, 
	-1, -1, -1, 962, 962, 962, 962, 962, 
	-1, -1, 962, 962, 962, 962, 962, 962, 
	962, 962, 962, 962, 962, 962, 962, 962, 
	962, 962, -1, -1, -1, -1, -1, 962, 
	-1, -1, -1, -1, -1, -1, -1, 867, 
	-1, -1, 197, 69, 70, 71, 72, -1, 
	77, 92, 64, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 867, 867, 867, 867, 867, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 159, 997, -1, 
	867, 867, -1, -1, 962, 962, 962, 962, 
	-1, -1, 962, 962, 962, 962, 962, 962, 
	867, -1, -1, -1, 962, 962, 962, 962, 
	962, 962, 962, -1, -1, -1, -1, 962, 
	-1, -1, -1, -1, 962, 962, -1, -1, 
	962, 962, 962, -1, 962, 962, -1, -1, 
	962, -1, -1, -1, -1, -1, -1, -1, 
	-1, 962, 962, 962, 962, 962, 962, 962, 
	-1, -1, -1, 962, 962, 962, -1, -1, 
	962, 962, 962, 962, 962, 962, 962, 962, 
	-1, 962, 962, 962, -1, -1, -1, 962, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 962, 962, 962, -1, -1, 962, 
	-1, -1, -1, -1, 962, -1, -1, -1, 
	-1, 962, -1, 962, 962, 962, 962, 962, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 962, -1, 962, -1, -1, 962, 
	-1, 962, 962, -1, -1, -1, 962, -1, 
	962, -1, 962, 867, 867, -1, 867, -1, 
	-1, -1, -1, 198, 92, 64, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 114, 99, 91, 
	159, -1, -1, -1, -1, 867, 867, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 199, 92, 64, -1, 
	-1, 1107, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	867, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, 1107, 1107, 1107, 1107, 1107, 1107, 
	1107, 1107, 1107, 1107, 1107, 1107, 1107, 1107, 
	1107, -1, 1107, 1107, 1107, 1107, 1107, 1107, 
	1107, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 201, 92, 64, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 962, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, -1, -1, -1, -1, -1, 85, 
	88, 86, 87, 89, 90, -1, 83, 84, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 104, 106, 110, 108, 112, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	97, -1, -1, -1, 98, -1, -1, -1, 
	100, 102, 95, 94, 96, -1, -1, -1, 
	-1, 79, 80, 81, -1, -1, -1, -1, 
	997, 78, -1, 116, 118, 120, 122, -1, 
	-1, -1, -1, 202, 92, 64, 82, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 703, -1, -1, 1107, -1, 1107, 
	1107, 1107, 1107, 1107, -1, 114, 99, 91, 
	159, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, 966, 966, -1, 966, 966, 966, 
	966, 966, -1, 966, -1, 966, 966, 966, 
	966, -1, 966, -1, 966, 966, 966, -1, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, 966, 966, -1, 966, 966, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, 966, 966, -1, 966, -1, -1, 
	-1, -1, 966, 966, 966, 966, 966, -1, 
	-1, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, -1, -1, -1, -1, -1, 966, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 197, 69, 70, 71, 72, -1, 
	77, 92, 64, -1, 357, 92, 64, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 159, 114, 99, 
	91, 159, 997, 966, 966, 966, 966, -1, 
	-1, 966, 966, 966, 966, 966, 966, -1, 
	-1, -1, -1, 966, 966, 966, 966, 966, 
	966, 966, -1, -1, -1, -1, 966, -1, 
	-1, -1, -1, 966, 966, -1, -1, 966, 
	966, 966, -1, 966, 966, -1, -1, 966, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	966, 966, 966, 966, 966, 966, 966, -1, 
	-1, -1, 966, 966, 966, -1, -1, 966, 
	966, 966, 966, 966, 966, 966, 966, -1, 
	966, 966, 966, -1, -1, -1, 966, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 966, 966, 966, -1, -1, 966, -1, 
	-1, -1, -1, 966, -1, -1, -1, -1, 
	966, -1, 966, 966, 966, 966, 966, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 966, -1, 966, -1, -1, 966, -1, 
	966, 966, -1, -1, -1, 966, -1, 966, 
	-1, 966, 969, 969, 969, 969, 969, 969, 
	969, 969, 969, 969, 969, 969, 969, 969, 
	969, 969, 969, 969, 969, 969, 969, 969, 
	969, 969, 969, 969, 969, -1, 969, 969, 
	969, 969, 969, -1, 969, -1, 969, 969, 
	969, 969, -1, 969, -1, 969, 969, 969, 
	-1, 969, 969, 969, 969, 969, 969, 969, 
	969, 969, 969, 969, 969, -1, 969, 969, 
	969, 969, 969, 969, 969, 969, 969, 969, 
	969, 969, 969, 969, 969, -1, 969, -1, 
	-1, -1, -1, 969, 969, 969, 969, 969, 
	-1, -1, 969, 969, 969, 969, 969, 969, 
	969, 969, 969, 969, 969, 969, 969, 969, 
	969, 969, -1, -1, -1, -1, -1, 969, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 966, -1, -1, -1, -1, 
	-1, -1, -1, -1, 969, 969, 969, 969, 
	-1, -1, 969, 969, 969, 969, 969, 969, 
	-1, -1, -1, -1, 969, 969, 969, 969, 
	969, 969, 969, -1, -1, -1, -1, 969, 
	-1, -1, -1, -1, 969, 969, -1, -1, 
	969, 969, 969, -1, 969, 969, -1, -1, 
	969, -1, -1, -1, -1, -1, -1, -1, 
	-1, 969, 969, 969, 969, 969, 969, 969, 
	-1, -1, -1, 969, 969, 969, -1, -1, 
	969, 969, 969, 969, 969, 969, 969, 969, 
	-1, 969, 969, 969, -1, -1, -1, 969, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 969, 969, 969, -1, -1, 969, 
	-1, -1, -1, -1, 969, -1, -1, -1, 
	-1, 969, -1, 969, 969, 969, 969, 969, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 969, -1, 969, -1, -1, 969, 
	-1, 969, 969, -1, -1, -1, 969, -1, 
	969, -1, 969, 970, 970, 970, 970, 970, 
	970, 970, 970, 970, 970, 970, 970, 970, 
	970, 970, 970, 970, 970, 970, 970, 970, 
	970, 970, 970, 970, 970, 970, -1, 970, 
	970, 970, 970, 970, -1, 970, -1, 970, 
	970, 970, 970, -1, 970, -1, 970, 970, 
	970, -1, 970, 970, 970, 970, 970, 970, 
	970, 970, 970, 970, 970, 970, -1, 970, 
	970, 970, 970, 970, 970, 970, 970, 970, 
	970, 970, 970, 970, 970, 970, -1, 970, 
	-1, -1, -1, -1, 970, 970, 970, 970, 
	970, -1, -1, 970, 970, 970, 970, 970, 
	970, 970, 970, 970, 970, 970, 970, 970, 
	970, 970, 970, -1, -1, -1, -1, -1, 
	970, -1, -1, -1, 357, 92, 64, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 969, -1, -1, -1, 
	-1, -1, -1, -1, -1, 970, 970, 970, 
	970, -1, -1, 970, 970, 970, 970, 970, 
	970, -1, -1, -1, -1, 970, 970, 970, 
	970, 970, 970, 970, -1, -1, -1, -1, 
	970, -1, -1, -1, -1, 970, 970, -1, 
	-1, 970, 970, 970, -1, 970, 970, -1, 
	-1, 970, -1, -1, -1, -1, -1, -1, 
	-1, -1, 970, 970, 970, 970, 970, 970, 
	970, -1, -1, -1, 970, 970, 970, -1, 
	-1, 970, 970, 970, 970, 970, 970, 970, 
	970, -1, 970, 970, 970, -1, -1, -1, 
	970, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 970, 970, 970, -1, -1, 
	970, -1, -1, -1, -1, 970, -1, -1, 
	-1, -1, 970, -1, 970, 970, 970, 970, 
	970, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 970, -1, 970, -1, -1, 
	970, -1, 970, 970, -1, -1, -1, 970, 
	-1, 970, -1, 970, 971, 971, 971, 971, 
	971, 971, 971, 971, 971, 971, 971, 971, 
	971, 971, 971, 971, 971, 971, 971, 971, 
	971, 971, 971, 971, 971, 971, 971, -1, 
	971, 971, 971, 971, 971, -1, 971, -1, 
	971, 971, 971, 971, -1, 971, -1, 971, 
	971, 971, -1, 971, 971, 971, 971, 971, 
	971, 971, 971, 971, 971, 971, 971, -1, 
	971, 971, 971, 971, 971, 971, 971, 971, 
	971, 971, 971, 971, 971, 971, 971, -1, 
	971, -1, -1, -1, -1, 971, 971, 971, 
	971, 971, -1, -1, 971, 971, 971, 971, 
	971, 971, 971, 971, 971, 971, 971, 971, 
	971, 971, 971, 971, -1, -1, -1, -1, 
	-1, 971, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 970, -1, -1, 
	-1, -1, -1, -1, -1, -1, 971, 971, 
	971, 971, -1, -1, 971, 971, 971, 971, 
	971, 971, -1, -1, -1, -1, 971, 971, 
	971, 971, 971, 971, 971, -1, -1, -1, 
	-1, 971, -1, -1, -1, -1, 971, 971, 
	-1, -1, 971, 971, 971, -1, 971, 971, 
	-1, -1, 971, -1, -1, -1, -1, -1, 
	-1, -1, -1, 971, 971, 971, 971, 971, 
	971, 971, -1, -1, -1, 971, 971, 971, 
	-1, -1, 971, 971, 971, 971, 971, 971, 
	971, 971, -1, 971, 971, 971, -1, -1, 
	-1, 971, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 971, 971, 971, -1, 
	-1, 971, -1, -1, -1, -1, 971, -1, 
	-1, -1, -1, 971, -1, 971, 971, 971, 
	971, 971, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 971, -1, 971, -1, 
	-1, 971, -1, 971, 971, -1, -1, -1, 
	971, -1, 971, -1, 971, 981, 981, 981, 
	981, 981, 981, 981, 981, 981, 981, 981, 
	981, 981, 981, 981, 981, 981, 981, 981, 
	981, 981, 981, 981, 981, 981, 981, 981, 
	-1, 981, 981, 981, 981, 981, -1, 981, 
	-1, 981, 981, 981, 981, -1, 981, -1, 
	981, 981, 981, -1, 981, 981, 981, 981, 
	981, 981, 981, 981, 981, 981, 981, 981, 
	-1, 981, 981, 981, 981, 981, 981, 981, 
	981, 981, 981, 981, 981, 981, 981, 981, 
	-1, 981, -1, -1, -1, -1, 981, 981, 
	981, 981, 981, -1, -1, 981, 981, 981, 
	981, 981, 981, 981, 981, 981, 981, 981, 
	981, 981, 981, 981, 981, -1, -1, -1, 
	-1, -1, 981, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 971, -1, 
	-1, -1, -1, -1, -1, -1, -1, 981, 
	981, 981, 981, -1, -1, 981, 981, 981, 
	981, 981, 981, -1, -1, -1, -1, 981, 
	981, 981, 981, 981, 981, 981, -1, -1, 
	-1, -1, 981, -1, -1, -1, -1, 981, 
	981, -1, -1, 981, 981, 981, -1, 981, 
	981, -1, -1, 981, -1, -1, -1, -1, 
	-1, -1, -1, -1, 981, 981, 981, 981, 
	981, 981, 981, -1, -1, -1, 981, 981, 
	981, -1, -1, 981, 981, 981, 981, 981, 
	981, 981, 981, -1, 981, 981, 981, -1, 
	-1, -1, 981, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 981, 981, 981, 
	-1, -1, 981, -1, -1, -1, -1, 981, 
	-1, -1, -1, -1, 981, -1, 981, 981, 
	981, 981, 981, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 981, -1, 981, 
	-1, -1, 981, -1, 981, 981, -1, -1, 
	-1, 981, -1, 981, -1, 981, 1074, 1074, 
	1074, 1074, 1074, 1074, 1074, 1074, 1074, 1074, 
	1074, 1074, 1074, 1074, 1074, 1074, 1074, 1074, 
	1074, 1074, 1074, 1074, 1074, 1074, 1074, 1074, 
	1074, -1, 1074, 1074, 1074, 1074, 1074, -1, 
	1074, -1, 1074, 1074, 1074, 1074, -1, 1074, 
	-1, 1074, 1074, 1074, -1, 1074, 1074, 1074, 
	1074, 1074, 1074, 1074, 1074, 1074, 1074, 1074, 
	1074, -1, 1074, 1074, 1074, 1074, 1074, 1074, 
	1074, 1074, 1074, 1074, 1074, 1074, 1074, 1074, 
	1074, -1, 1074, -1, -1, -1, -1, 1074, 
	1074, 1074, 1074, 1074, -1, -1, 1074, 1074, 
	1074, 1074, 1074, 1074, 1074, 1074, 1074, 1074, 
	1074, 1074, 1074, 1074, 1074, 1074, -1, -1, 
	-1, -1, -1, 1074, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 981, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1074, 1074, 1074, 1074, -1, -1, 1074, 1074, 
	1074, 1074, 1074, 1074, -1, -1, -1, -1, 
	1074, 1074, 1074, 1074, 1074, 1074, 1074, -1, 
	-1, -1, -1, 1074, -1, -1, -1, -1, 
	1074, 1074, -1, -1, 1074, 1074, 1074, -1, 
	1074, 1074, -1, -1, 1074, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1074, 1074, 1074, 
	1074, 1074, 1074, 1074, -1, -1, -1, 1074, 
	1074, 1074, -1, -1, 1074, 1074, 1074, 1074, 
	1074, 1074, 1074, 1074, -1, 1074, 1074, 1074, 
	-1, -1, -1, 1074, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1074, 1074, 
	1074, -1, -1, 1074, -1, -1, -1, -1, 
	1074, -1, -1, -1, -1, 1074, -1, 1074, 
	1074, 1074, 1074, 1074, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1074, -1, 
	1074, -1, -1, 1074, -1, 1074, 1074, -1, 
	-1, -1, 1074, -1, 1074, -1, 1074, 989, 
	989, 989, 989, 989, 989, 989, 989, 989, 
	989, 989, 989, 989, 989, 989, 989, 989, 
	989, 989, 989, 989, 989, 989, 989, 989, 
	989, 989, 989, 989, 989, 989, 989, 989, 
	-1, 989, -1, 989, 989, 989, 989, 989, 
	989, -1, 989, 989, 989, -1, 989, 989, 
	989, 989, 989, 989, 989, 989, 989, 989, 
	989, 989, 989, 989, 989, 989, 989, 989, 
	989, 989, 989, 989, -1, 989, 989, 989, 
	989, -1, -1, -1, 989, -1, -1, -1, 
	989, 989, -1, 989, -1, -1, 989, -1, 
	-1, 989, -1, 989, -1, -1, 989, 989, 
	989, -1, 989, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1001, -1, 1001, 1001, 1001, 
	1001, -1, 1001, -1, -1, -1, 396, -1, 
	-1, -1, -1, -1, -1, 397, 399, -1, 
	-1, -1, -1, -1, -1, 989, -1, -1, 
	-1, -1, -1, -1, 398, -1, -1, 989, 
	-1, -1, -1, -1, -1, 1001, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1074, -1, -1, -1, -1, -1, -1, -1, 
	-1, 989, 989, 989, 989, -1, -1, 989, 
	989, 989, 989, 989, 989, -1, -1, -1, 
	-1, 989, 989, 989, 989, 989, 989, 989, 
	-1, -1, 989, -1, 989, -1, -1, -1, 
	-1, 989, 989, -1, 989, 989, 989, 989, 
	-1, 989, 989, -1, -1, 989, -1, -1, 
	-1, -1, -1, 989, -1, 989, 989, 989, 
	989, 989, 989, 989, 989, -1, -1, -1, 
	-1, 989, 989, -1, 989, 989, 989, 989, 
	989, 989, 989, 989, 989, -1, 989, 989, 
	989, -1, -1, 989, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 989, 989, 
	989, -1, -1, 989, 989, 989, -1, -1, 
	989, 989, 989, 989, 989, -1, -1, -1, 
	-1, 1001, 702, -1, -1, -1, 1001, 989, 
	-1, 989, 1001, 1001, 989, 989, 989, -1, 
	990, 990, 990, 990, 990, 990, 990, 990, 
	990, 990, 990, 990, 990, 990, 990, 990, 
	990, 990, 990, 990, 990, 990, 990, 990, 
	990, 990, 990, 990, 990, 990, 990, 990, 
	990, -1, 990, -1, 990, 990, 990, 990, 
	990, 990, 1001, 990, 990, 990, -1, 990, 
	990, 990, 990, 990, 990, 990, 990, 990, 
	990, 990, 990, 990, 990, 990, 990, 990, 
	990, 990, 990, 990, 990, -1, 990, 990, 
	990, 990, -1, -1, -1, 990, -1, -1, 
	-1, 990, 990, -1, 990, -1, -1, 990, 
	-1, -1, 990, -1, 990, -1, -1, 990, 
	990, 990, -1, 990, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 990, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	990, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 989, 990, 990, 990, 990, -1, -1, 
	990, 990, 990, 990, 990, 990, -1, -1, 
	-1, -1, 990, 990, 990, 990, 990, 990, 
	990, -1, -1, 990, -1, 990, -1, -1, 
	-1, -1, 990, 990, -1, 990, 990, 990, 
	990, -1, 990, 990, -1, -1, 990, -1, 
	-1, -1, -1, -1, 990, -1, 990, 990, 
	990, 990, 990, 990, 990, 990, -1, -1, 
	-1, -1, 990, 990, -1, 990, 990, 990, 
	990, 990, 990, 990, 990, 990, -1, 990, 
	990, 990, -1, -1, 990, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 990, 
	990, 990, -1, -1, 990, 990, 990, -1, 
	-1, 990, 990, 990, 990, 990, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	990, -1, 990, -1, -1, 990, 990, 990, 
	-1, 1073, 1073, 1073, 1073, 1073, 1073, 1073, 
	1073, 1073, 1073, 1073, 1073, 1073, 1073, 1073, 
	1073, 1073, 1073, 1073, 1073, 1073, 1073, 1073, 
	1073, 1073, 1073, 1073, -1, 1073, 1073, 1073, 
	1073, 1073, -1, 1073, -1, 1073, 1073, 1073, 
	1073, -1, 1073, -1, 1073, 1073, 1073, -1, 
	1073, 1073, 1073, 1073, 1073, 1073, 1073, 1073, 
	1073, 1073, 1073, 1073, -1, 1073, 1073, 1073, 
	1073, 1073, 1073, 1073, 1073, 1073, 1073, 117, 
	119, 121, 123, 1073, -1, 1073, -1, -1, 
	-1, -1, 1073, 1073, 1073, 1073, 1073, -1, 
	-1, 1073, 1073, 1073, 1073, 1073, 1073, 1073, 
	1073, 1073, 1073, 1073, 1073, 1073, 1073, 1073, 
	1073, -1, -1, -1, -1, -1, 1073, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 990, 1073, 1073, 1073, 1073, -1, 
	-1, 1073, 1073, 1073, 1073, 1073, 1073, -1, 
	-1, -1, -1, 1073, 1073, 1073, 1073, 1073, 
	1073, 1073, -1, -1, -1, -1, 1073, -1, 
	-1, -1, -1, 1073, 1073, -1, -1, 1073, 
	1073, 1073, -1, 1073, 1073, -1, -1, 1073, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1073, 1073, 1073, 1073, 1073, 1073, 1073, -1, 
	-1, -1, 1073, 1073, 1073, -1, -1, 1073, 
	1073, 1073, 1073, 1073, 1073, 1073, 1073, -1, 
	1073, 1073, 1073, -1, -1, -1, 1073, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1073, 1073, 1073, -1, -1, 1073, -1, 
	-1, -1, -1, 1073, -1, -1, -1, -1, 
	1073, -1, 115, 229, 1073, 1073, 1073, -1, 
	-1, -1, 702, -1, -1, -1, -1, -1, 
	-1, 1073, -1, 1073, -1, -1, 1073, -1, 
	1073, 1073, -1, -1, -1, 1073, -1, 1073, 
	-1, 1073, 1033, 1033, 1033, 1033, 1033, 1033, 
	-1, 1033, 1033, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1033, 1033, 1033, 1033, 
	1033, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1033, -1, -1, -1, 1033, 
	-1, -1, -1, 1033, 1033, 1033, 1033, 1033, 
	-1, -1, -1, -1, 1033, 1033, 1033, -1, 
	-1, -1, -1, 1033, 1033, -1, 1149, 1149, 
	1149, 1033, 1148, -1, -1, -1, -1, -1, 
	-1, 1033, -1, 85, 88, 86, 87, 89, 
	90, -1, 83, 84, -1, -1, -1, 1033, 
	1033, 1033, 1033, 1033, -1, 104, 106, 110, 
	108, 112, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 97, -1, -1, -1, 
	98, -1, -1, -1, 100, 102, 95, 94, 
	96, -1, -1, -1, -1, 79, 80, 81, 
	-1, -1, -1, -1, 997, 78, 1101, 116, 
	118, 120, 122, -1, -1, -1, -1, -1, 
	-1, -1, 82, 922, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	73, 74, 75, 1073, 76, -1, -1, 1101, 
	1101, 1101, 1101, 1101, 1101, 1101, 1101, 1101, 
	1101, 1101, 1101, 1101, 1101, 1101, -1, 1101, 
	1101, 1101, 1101, 1101, 1101, 1101, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1033, 1033, 1033, 1033, 1033, -1, 1033, 
	1033, 1033, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1033, 195, 196, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 194, 
	-1, 1033, 1033, 1033, 1033, 1033, -1, -1, 
	-1, -1, 1103, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 250, 
	249, -1, -1, -1, -1, -1, -1, -1, 
	193, -1, 251, 69, 70, 71, 72, -1, 
	77, 92, 64, 1103, 1103, 1103, 1103, 1103, 
	1103, 1103, 1103, 1103, 1103, 1103, 1103, 1103, 
	1103, 1103, 1103, 1103, 1103, 1103, 1103, 1103, 
	1103, 1103, 1101, -1, 1101, 1101, 1101, 1101, 
	1101, -1, 114, 99, 91, 159, 997, -1, 
	-1, -1, -1, -1, -1, 939, 939, 939, 
	939, 939, 939, 939, 939, 939, 939, 939, 
	939, 939, 939, 939, 939, 939, 939, 939, 
	939, 939, 939, 939, 939, 939, 939, 939, 
	-1, 939, 939, 939, 939, 939, -1, 939, 
	-1, 939, 939, 939, 939, -1, 939, -1, 
	939, 939, 939, -1, 939, 939, 939, 939, 
	939, 939, 939, 939, 939, 939, 939, 939, 
	-1, 939, 939, 939, 939, 939, 939, 939, 
	939, 939, -1, 939, 939, 939, 939, -1, 
	-1, -1, -1, -1, -1, -1, 939, -1, 
	-1, 939, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 939, 939, 939, -1, 
	939, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1103, -1, 
	1103, 1103, 1103, 1103, 1103, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 939, 
	939, 939, 939, -1, -1, 939, 939, -1, 
	939, 939, 939, -1, -1, -1, -1, 939, 
	939, 939, -1, 939, 939, 939, -1, -1, 
	-1, -1, 939, -1, -1, -1, -1, 939, 
	-1, -1, -1, 939, 939, 939, -1, 939, 
	939, -1, -1, 939, -1, -1, -1, -1, 
	-1, -1, 114, 228, 939, 939, 939, 939, 
	939, 939, 939, -1, -1, -1, -1, 939, 
	939, -1, -1, 939, 939, 939, 939, 939, 
	939, 939, 939, -1, 939, 939, 939, -1, 
	-1, -1, -1, -1, -1, 1031, 1031, 1031, 
	1031, 1031, 1031, -1, 1031, 1031, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1031, 
	1031, 1031, 1031, 1031, -1, -1, 939, 939, 
	939, 939, 939, -1, -1, -1, 1031, -1, 
	-1, -1, 1031, -1, -1, 939, 1031, 1031, 
	1031, 1031, 1031, -1, 939, -1, -1, 1031, 
	1031, 1031, -1, -1, -1, -1, 1031, 1031, 
	-1, 1031, 1031, 1031, 1031, -1, -1, -1, 
	-1, -1, -1, -1, 1031, 1104, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1031, 1031, 1031, 353, 1031, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1104, 1104, 
	1104, 1104, 1104, 1104, 1104, 1104, 1104, 1104, 
	1104, 1104, 1104, 1104, 1104, 1104, 1104, 1104, 
	1104, 1104, 1104, 1104, 1104, 1094, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1094, 1094, 
	1094, 1094, 1094, 1094, 1094, 1094, 1094, 1094, 
	1094, 1094, 1094, 1094, 1094, -1, 1094, 1094, 
	1094, 1094, 1094, 1094, 1094, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 939, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1031, 1031, 1031, 1031, 
	1031, -1, 1031, 1031, 1031, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 195, 196, 352, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 194, 
	-1, -1, -1, -1, 1031, 1031, 1031, 1031, 
	1031, 1104, -1, 1104, 1104, 1104, 1104, 1104, 
	-1, -1, -1, -1, -1, -1, -1, 250, 
	249, -1, -1, -1, -1, -1, -1, -1, 
	193, -1, 251, 69, 70, 71, 72, -1, 
	77, 92, 64, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1094, -1, 1094, 1094, 1094, 1094, 1094, 
	-1, -1, 114, 99, 91, 159, 1061, 1061, 
	1061, 1061, 1061, 1061, 1061, 1061, 1061, 1061, 
	1061, 1061, 1061, 1061, 1061, 1061, 1061, 1061, 
	1061, 1061, 1061, 1061, 1061, 1061, 1061, 1061, 
	1061, -1, 1061, 1061, 1061, 1061, 1061, -1, 
	1061, -1, 1061, 1061, 1061, 1061, -1, 1061, 
	-1, 1061, 1061, 1061, 1061, 1061, 1061, 1061, 
	1061, 1061, 1061, 1061, 1061, 1061, 1061, 1061, 
	1061, -1, 1061, 1061, 1061, 1061, 1061, 1061, 
	1061, 1061, 1061, 1061, 1061, 1061, 1061, 1061, 
	1061, -1, 1061, -1, -1, 1061, -1, 1061, 
	1061, 1061, 1061, 1061, -1, -1, 1061, 1061, 
	1061, 1061, 1061, 1061, 1061, 1061, 1061, 1061, 
	1061, 1061, 1061, 1061, 1061, 1061, -1, -1, 
	-1, -1, -1, 1061, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1061, 1061, 1061, 1061, -1, -1, 1061, 1061, 
	1061, 1061, 1061, 1061, -1, -1, -1, -1, 
	1061, 1061, 1061, 1061, 1061, 1061, 1061, -1, 
	-1, -1, -1, 1061, -1, -1, -1, -1, 
	1061, 1061, -1, -1, 1061, 1061, 1061, -1, 
	1061, 1061, -1, -1, 1061, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1061, 1061, 1061, 
	1061, 1061, 1061, 1061, -1, -1, -1, 1061, 
	1061, 1061, -1, -1, 1061, 1061, 1061, 1061, 
	1061, 1061, 1061, 1061, 1061, 1061, 1061, 1061, 
	-1, -1, -1, 1061, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1061, 1061, 
	1061, -1, -1, 1061, -1, -1, -1, -1, 
	1061, -1, -1, -1, -1, 1061, -1, 1061, 
	1061, 1061, 1061, 1061, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1061, -1, 
	1061, -1, -1, 1061, -1, 1061, 1061, -1, 
	-1, -1, 1061, -1, 1061, -1, 1061, 1060, 
	1060, 1060, 1060, 1060, 1060, 1060, 1060, 1060, 
	1060, 1060, 1060, 1060, 1060, 1060, 1060, 1060, 
	1060, 1060, 1060, 1060, 1060, 1060, 1060, 1060, 
	1060, 1060, -1, 1060, 1060, 1060, 1060, 1060, 
	-1, 1060, -1, 1060, 1060, 1060, 1060, -1, 
	1060, -1, 1060, 1060, 1060, 1060, 1060, 1060, 
	1060, 1060, 1060, 1060, 1060, 1060, 1060, 1060, 
	1060, 1060, -1, 1060, 1060, 1060, 1060, 1060, 
	1060, 1060, 1060, 1060, 1060, 135, 137, 139, 
	141, 1060, -1, 1060, -1, -1, 1060, -1, 
	1060, 1060, 1060, 1060, 1060, -1, -1, 1060, 
	1060, 1060, 1060, 1060, 1060, 1060, 1060, 1060, 
	1060, 1060, 1060, 1060, 1060, 1060, 1060, -1, 
	-1, -1, -1, -1, 1060, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1061, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1060, 1060, 1060, 1060, -1, -1, 1060, 
	1060, 1060, 1060, 1060, 1060, -1, -1, -1, 
	-1, 1060, 1060, 1060, 1060, 1060, 1060, 1060, 
	-1, -1, -1, -1, 1060, -1, -1, -1, 
	-1, 1060, 1060, 352, -1, 1060, 1060, 1060, 
	-1, 1060, 1060, -1, -1, 1060, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1060, 1060, 
	1060, 1060, 1060, 1060, 1060, -1, -1, -1, 
	1060, 1060, 1060, -1, -1, 1060, 1060, 1060, 
	1060, 1060, 1060, 1060, 1060, 1060, 1060, 1060, 
	1060, -1, -1, -1, 1060, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1060, 
	1060, 1060, -1, -1, 1060, -1, -1, -1, 
	-1, 1060, -1, 133, 252, -1, 1060, -1, 
	1060, 1060, 1060, 1060, 1060, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1060, 
	-1, 1060, -1, -1, 1060, -1, 1060, 1060, 
	-1, -1, -1, 1060, -1, 1060, -1, 1060, 
	1033, 1033, 1033, 1033, 1033, 1033, -1, 1033, 
	1033, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1033, 1033, 1033, 1033, 1033, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1033, -1, -1, -1, 1033, -1, -1, 
	-1, 1033, 1033, 1033, 1033, 1033, -1, -1, 
	-1, -1, 1033, 1033, 1033, -1, -1, -1, 
	-1, 1033, 1033, -1, 1149, 1149, 1149, 1033, 
	1144, -1, -1, -1, -1, -1, -1, 1033, 
	-1, 85, 88, 86, 87, 89, 90, -1, 
	83, 84, -1, -1, -1, 1033, 1033, 1033, 
	1033, 1033, -1, 104, 106, 110, 108, 112, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 97, -1, -1, -1, 98, -1, 
	-1, -1, 100, 102, 95, 94, 96, -1, 
	-1, -1, -1, 79, 80, 81, -1, -1, 
	-1, -1, 997, 78, -1, 116, 118, 120, 
	122, -1, -1, -1, -1, -1, -1, -1, 
	82, 922, 85, 88, 86, 87, 89, 90, 
	-1, 83, 84, -1, -1, -1, 73, 74, 
	75, 1060, 76, -1, 104, 106, 110, 108, 
	112, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 97, -1, -1, -1, 98, 
	-1, -1, -1, 100, 102, 95, 94, 96, 
	-1, -1, -1, -1, 79, 80, 81, -1, 
	-1, -1, -1, 997, 78, -1, 116, 118, 
	120, 122, -1, -1, -1, -1, -1, -1, 
	-1, 82, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1033, 
	1033, 1033, 1033, 1033, -1, 1033, 1033, 1033, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1033, 247, 
	248, -1, -1, -1, -1, -1, -1, -1, 
	246, -1, -1, -1, -1, -1, -1, 1033, 
	1033, 1033, 1033, 1033, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 250, 253, -1, 
	-1, -1, -1, -1, 245, -1, -1, -1, 
	251, 69, 70, 71, 72, -1, 77, 92, 
	64, -1, -1, -1, 85, 88, 86, 87, 
	89, 90, -1, 83, 84, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 104, 106, 
	110, 108, 112, -1, -1, -1, -1, -1, 
	114, 99, 91, 159, 997, 97, -1, -1, 
	-1, 98, -1, -1, -1, 100, 102, 95, 
	94, 96, -1, -1, -1, -1, 79, 80, 
	81, -1, -1, -1, -1, 997, 78, -1, 
	116, 118, 120, 122, -1, -1, -1, 609, 
	92, 64, -1, 82, 922, 85, 88, 86, 
	87, 89, 90, -1, 83, 84, -1, -1, 
	-1, 73, 74, 75, -1, 76, -1, 104, 
	106, 110, 108, 112, -1, -1, -1, -1, 
	-1, 114, 99, 91, 159, 997, 97, -1, 
	-1, -1, 98, -1, -1, -1, 100, 102, 
	95, 94, 96, -1, -1, -1, -1, 79, 
	80, 81, -1, -1, -1, -1, 997, 78, 
	-1, 116, 118, 120, 122, -1, -1, -1, 
	-1, -1, -1, -1, 82, 922, -1, 27, 
	28, 1126, 25, 23, 26, -1, -1, -1, 
	-1, -1, 73, 74, 75, -1, 76, -1, 
	-1, -1, 30, -1, -1, -1, -1, -1, 
	-1, -1, -1, 850, 850, 850, 850, 850, 
	-1, 32, -1, 296, -1, -1, -1, -1, 
	49, -1, -1, 47, 45, -1, -1, -1, 
	-1, -1, 850, 850, -1, -1, -1, 24, 
	53, 52, -1, -1, -1, -1, 66, 67, 
	68, 50, 850, -1, -1, -1, -1, -1, 
	250, 254, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 251, 69, 70, 71, 72, 
	-1, 77, 92, 64, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 133, 252, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 114, 99, 91, 159, 997, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 250, 255, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 251, 69, 70, 71, 
	72, -1, 77, 92, 64, -1, -1, -1, 
	-1, -1, 294, 292, 48, -1, -1, 291, 
	293, -1, -1, 295, 290, -1, -1, -1, 
	-1, 31, 288, 289, -1, 29, 286, 280, 
	-1, -1, -1, -1, 114, 99, 91, 159, 
	997, 287, 278, -1, -1, 284, 285, 279, 
	-1, 281, 282, -1, -1, 283, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 850, 
	850, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 54, 55, 56, 57, 
	85, 88, 86, 87, 89, 90, -1, 83, 
	84, -1, -1, 36, 37, 41, 39, -1, 
	-1, -1, 104, 106, 110, 108, 112, -1, 
	-1, -1, -1, 42, 43, 44, -1, -1, 
	-1, 97, -1, -1, 277, 98, 38, -1, 
	-1, 100, 102, 95, 94, 96, -1, -1, 
	-1, -1, 79, 80, 81, -1, -1, -1, 
	-1, 62, 78, -1, 116, 118, 120, 122, 
	-1, -1, -1, -1, -1, -1, -1, 82, 
	-1, 304, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 73, 74, 75, 
	-1, 76, -1, -1, 212, 213, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1031, 1031, 1031, 1031, 
	1031, 1031, -1, 1031, 1031, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1031, 1031, 
	1031, 1031, 1031, -1, -1, -1, -1, 247, 
	248, -1, -1, -1, -1, 1031, -1, -1, 
	246, 1031, -1, -1, -1, 1031, 1031, 1031, 
	1031, 1031, -1, -1, -1, -1, 1031, 1031, 
	1031, -1, -1, -1, -1, 1031, 1031, -1, 
	1031, 1031, 1031, 1031, -1, 250, 253, -1, 
	-1, -1, -1, 1031, 245, -1, -1, -1, 
	251, 69, 70, 71, 72, -1, 77, 92, 
	64, 1031, 1031, 1031, 353, 1031, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	305, -1, -1, -1, -1, -1, -1, 303, 
	114, 99, 91, 159, 35, 33, 34, 58, 
	69, 70, 71, 72, -1, 77, 92, 64, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 609, 
	92, 64, -1, -1, 1095, -1, -1, 114, 
	99, 91, 40, 997, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 114, 99, 91, 159, 1095, 1095, 1095, 
	1095, 1095, 1095, 1095, 1095, 1095, 1095, 1095, 
	1095, 1095, 1095, 1095, -1, 1095, 1095, 1095, 
	1095, 1095, 1095, 1095, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1031, 1031, 1031, 1031, 1031, 
	-1, 1031, 1031, 1031, -1, -1, -1, -1, 
	1033, 1033, 1033, 1033, 1033, 1033, -1, 1033, 
	1033, -1, 432, -1, -1, -1, -1, -1, 
	-1, -1, 1033, 1033, 1033, 1033, 1033, -1, 
	-1, -1, -1, 1031, 1031, 1031, 1031, 1031, 
	-1, 1033, -1, -1, -1, 1033, -1, -1, 
	-1, 1033, 1033, 1033, 1033, 1033, -1, -1, 
	-1, -1, 1033, 1033, 1033, -1, -1, -1, 
	-1, 1033, 1033, -1, 1149, 1149, 1149, 1033, 
	250, 254, -1, -1, -1, -1, -1, 1033, 
	-1, -1, -1, 251, 69, 70, 71, 72, 
	-1, 77, 92, 64, -1, 1033, 1033, 1033, 
	1033, 1033, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1144, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 114, 99, 91, 159, -1, 
	1095, -1, 1095, 1095, 1095, 1095, 1095, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 250, 255, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 251, 69, 70, 71, 
	72, -1, 77, 92, 64, -1, -1, -1, 
	-1, -1, 294, 292, 48, -1, -1, 291, 
	293, -1, -1, 295, 290, -1, -1, -1, 
	-1, 31, 288, 289, -1, 29, 286, 280, 
	-1, -1, -1, -1, 114, 99, 91, 159, 
	-1, 287, 278, -1, -1, 284, 285, 279, 
	-1, 281, 282, -1, -1, 283, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1033, 
	1033, 1033, 1033, 1033, -1, 1033, 1033, 1033, 
	-1, -1, -1, -1, 1096, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1033, 247, 
	248, -1, -1, -1, -1, -1, -1, -1, 
	246, -1, -1, -1, -1, -1, -1, 1033, 
	1033, 1033, 1033, 1033, -1, 1096, 1096, 1096, 
	1096, 1096, 1096, 1096, 1096, 1096, 1096, 1096, 
	1096, 1096, 1096, 1096, 277, 1096, 1096, 1096, 
	1096, 1096, 1096, 1096, 424, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 968, 968, 968, 968, 968, 968, 968, 
	968, 968, 968, 968, 968, 968, 968, 968, 
	968, 968, 968, 968, 968, 968, 968, 968, 
	968, 968, 968, 968, -1, 968, 968, 968, 
	968, 968, -1, 968, -1, 968, 968, 968, 
	968, -1, 968, -1, 968, 968, 968, -1, 
	968, 968, 968, 968, 968, 968, 968, 968, 
	968, 968, 968, 968, -1, 968, 968, 968, 
	968, 968, 968, 968, 968, 968, 968, 968, 
	968, 968, 968, 968, -1, 968, -1, -1, 
	-1, -1, 231, 968, 968, 968, 968, -1, 
	-1, 968, 968, 968, 968, 968, 968, 968, 
	968, 968, 968, 968, 968, 968, 968, 968, 
	968, -1, -1, -1, -1, -1, 968, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1096, -1, 1096, 1096, 1096, 1096, 1096, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	305, -1, -1, -1, -1, -1, -1, 303, 
	-1, -1, -1, -1, 35, 33, 34, 58, 
	69, 70, 71, 72, -1, 77, 92, 64, 
	-1, -1, -1, 968, 968, 968, 968, -1, 
	-1, 968, 968, 968, 968, 968, 968, -1, 
	-1, -1, -1, 968, 968, 968, 968, 968, 
	968, 968, -1, -1, -1, -1, 968, 114, 
	99, 91, 40, 968, 968, -1, -1, 968, 
	968, 968, -1, 968, 968, -1, -1, 968, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	968, 968, 968, 968, 968, 968, 968, -1, 
	-1, -1, 968, 968, 968, -1, -1, 968, 
	968, 968, 968, 968, 968, 968, 968, -1, 
	968, 968, 968, -1, -1, -1, 968, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 968, 968, 968, -1, -1, 968, -1, 
	-1, -1, -1, 968, -1, -1, -1, -1, 
	968, -1, 968, 968, 968, 968, 968, -1, 
	-1, -1, 432, -1, -1, -1, -1, -1, 
	-1, 968, -1, 968, -1, -1, 968, -1, 
	968, 968, -1, -1, -1, 968, -1, 968, 
	-1, 968, 765, 765, 765, 765, 765, 765, 
	765, 765, 765, 765, 765, 765, 765, 765, 
	765, 765, 765, 765, 765, 765, 765, 765, 
	765, 765, 765, 765, 765, -1, 765, 765, 
	765, 765, 765, -1, 765, -1, 765, 765, 
	765, 765, -1, 765, -1, 765, 765, 765, 
	-1, 765, 765, 765, 765, 765, 765, 765, 
	765, 765, 765, 765, 765, -1, 765, 765, 
	765, 765, 765, 765, 765, 765, 765, 1097, 
	765, 765, 765, 765, -1, -1, -1, -1, 
	-1, -1, -1, 765, -1, -1, 765, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 765, 765, 765, -1, 765, -1, -1, 
	1097, 1097, 1097, 1097, 1097, 1097, 1097, 1097, 
	1097, 1097, 1097, 1097, 1097, 1097, 1097, -1, 
	1097, 1097, 1097, 1097, 1097, 1097, 1097, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 968, -1, -1, -1, -1, 
	-1, -1, -1, -1, 765, 765, 765, 765, 
	-1, -1, 765, 765, -1, 765, 765, 765, 
	-1, -1, -1, -1, 765, 765, 765, -1, 
	765, 765, 765, -1, -1, -1, -1, 765, 
	-1, -1, -1, -1, 765, -1, -1, -1, 
	765, 765, 765, -1, 765, 765, -1, -1, 
	765, -1, -1, -1, -1, -1, -1, 247, 
	248, 765, 765, 765, 765, 765, 765, 765, 
	246, -1, -1, -1, 765, 765, -1, -1, 
	765, 765, 765, 765, 765, 765, 765, 765, 
	-1, 765, 765, 765, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 424, -1, -1, -1, 
	-1, -1, -1, 1097, -1, 1097, 1097, 1097, 
	1097, 1097, -1, 765, 765, 765, 765, 765, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 765, -1, -1, -1, -1, -1, 
	-1, 765, 54, 55, 56, 57, 85, 88, 
	86, 87, 89, 90, -1, 83, 84, -1, 
	-1, 36, 37, 41, 39, -1, -1, -1, 
	104, 106, 110, 108, 112, -1, -1, -1, 
	-1, 42, 43, 44, -1, -1, -1, 97, 
	-1, -1, -1, 98, 38, -1, -1, 100, 
	102, 95, 94, 96, -1, -1, -1, -1, 
	79, 80, 81, -1, -1, -1, -1, 62, 
	78, -1, 116, 118, 120, 122, -1, -1, 
	-1, -1, -1, -1, -1, 82, -1, 304, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 73, 74, 75, -1, 76, 
	-1, -1, 212, 213, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 933, 933, 933, 933, 933, 933, 933, 
	933, 933, 933, 933, 933, 933, 933, 933, 
	933, -1, 933, 933, 933, 933, 933, 933, 
	933, 933, -1, -1, -1, 933, 933, 933, 
	933, 933, -1, 933, -1, 933, 933, 933, 
	933, -1, 933, -1, 933, 933, 933, -1, 
	933, 933, -1, -1, 933, 933, 933, 933, 
	933, 933, 933, 933, 765, 933, 933, 933, 
	933, 933, 933, 933, 933, 933, -1, 933, 
	933, 933, 933, -1, -1, -1, -1, -1, 
	-1, -1, 933, -1, -1, -1, -1, -1, 
	211, -1, -1, -1, -1, -1, -1, -1, 
	933, 933, 933, -1, 933, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 305, -1, 
	-1, -1, -1, -1, -1, 306, -1, -1, 
	-1, -1, 35, 33, 34, 58, 69, 70, 
	71, 72, -1, 77, 92, 64, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 114, 99, 91, 
	40, 997, -1, 933, 933, 933, 933, -1, 
	-1, 933, 933, 933, 933, 933, 933, -1, 
	-1, -1, -1, 933, 933, 933, 933, 933, 
	933, 933, -1, -1, -1, -1, 933, -1, 
	-1, -1, -1, 933, -1, -1, -1, 933, 
	933, 933, -1, 933, 933, -1, -1, 933, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 933, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 313, 933, 
	933, 933, 933, 933, 933, 933, 933, -1, 
	933, 933, 933, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 933, 933, 933, 933, 933, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 933, -1, 933, -1, -1, -1, -1, 
	-1, -1, 766, 766, 766, 766, 766, 766, 
	766, 766, 766, 766, 766, 766, 766, 766, 
	766, 766, 766, 766, 766, 766, 766, 766, 
	766, 766, 766, 766, 766, -1, 766, 766, 
	766, 766, 766, -1, 766, -1, 766, 766, 
	766, 766, -1, 766, -1, 766, 766, 766, 
	-1, 766, 766, 766, 766, 766, 766, 766, 
	766, 766, 766, 766, 766, -1, 766, 766, 
	766, 766, 766, 766, 766, 766, 766, -1, 
	766, 766, 766, 766, -1, -1, -1, -1, 
	-1, -1, -1, 766, -1, -1, 766, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 766, 766, 766, -1, 766, -1, -1, 
	212, 213, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 933, 766, 766, 766, 766, 
	-1, -1, 766, 766, -1, 766, 766, 766, 
	-1, -1, -1, -1, 766, 766, 766, -1, 
	766, 766, 766, -1, -1, -1, -1, 766, 
	-1, -1, -1, -1, 766, -1, -1, -1, 
	766, 766, 766, -1, 766, 766, -1, -1, 
	766, -1, -1, -1, -1, -1, -1, -1, 
	-1, 766, 766, 766, 766, 766, 766, 766, 
	-1, -1, -1, -1, 766, 766, -1, -1, 
	766, 766, 766, 766, 766, 766, 766, 766, 
	-1, 766, 766, 766, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 766, 766, 766, 766, 766, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 766, -1, -1, -1, -1, -1, 
	-1, 766, -1, -1, -1, -1, -1, 54, 
	55, 56, 57, 85, 88, 86, 87, 89, 
	90, 1130, 83, 84, -1, -1, 36, 37, 
	41, 39, -1, -1, -1, 104, 106, 110, 
	108, 112, -1, -1, -1, -1, 42, 43, 
	44, -1, -1, -1, 97, -1, -1, -1, 
	98, 38, -1, -1, 100, 102, 95, 94, 
	96, -1, -1, -1, -1, 79, 80, 81, 
	-1, -1, -1, -1, 62, 78, -1, 116, 
	118, 120, 122, -1, -1, -1, -1, -1, 
	-1, -1, 82, -1, -1, 1130, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	73, 74, 75, -1, 76, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 305, -1, 
	-1, -1, -1, -1, -1, 306, -1, -1, 
	-1, -1, 35, 33, 34, 58, 69, 70, 
	71, 72, -1, 77, 92, 64, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 114, 99, 91, 
	40, -1, -1, -1, 766, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 318, -1, -1, -1, -1, 
	-1, -1, -1, 1130, 1130, 316, 313, 35, 
	33, 34, 58, 69, 70, 71, 72, -1, 
	77, 92, 64, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 40, 997, -1, 
	933, 933, 933, 933, 933, 933, 933, 933, 
	933, 933, 933, 933, 933, 933, 933, 933, 
	317, 933, 933, 933, 933, 933, 933, 933, 
	933, -1, -1, -1, 933, 933, 933, 933, 
	933, -1, 933, -1, 933, 933, 933, 933, 
	-1, 933, -1, 933, 933, 933, -1, 933, 
	933, -1, -1, 933, 933, 933, 933, 933, 
	933, 933, 933, -1, 933, 933, 933, 933, 
	933, 933, 933, 933, 933, -1, 933, 933, 
	933, 933, -1, -1, -1, -1, -1, -1, 
	-1, 933, -1, -1, -1, -1, -1, 211, 
	-1, -1, -1, -1, -1, -1, -1, 933, 
	933, 933, -1, 933, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 933, 933, 933, 933, -1, -1, 
	933, 933, -1, 933, 933, 933, -1, -1, 
	-1, -1, 933, 933, 933, -1, 933, 933, 
	933, -1, -1, -1, -1, 933, -1, -1, 
	-1, -1, 933, 933, -1, -1, 933, 933, 
	933, -1, 933, 933, -1, -1, 933, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 933, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 319, 933, 933, 
	933, 933, 933, 933, 933, 933, -1, 933, 
	933, 933, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 85, 88, 86, 
	87, 89, 90, -1, 83, 84, -1, -1, 
	-1, 933, 933, 933, 933, 933, -1, 104, 
	106, 110, 108, 112, -1, -1, -1, -1, 
	933, -1, -1, -1, -1, 933, 97, -1, 
	-1, -1, 98, -1, -1, -1, 100, 102, 
	95, 94, 96, -1, -1, -1, -1, 79, 
	80, 81, -1, -1, -1, -1, 997, 78, 
	-1, 116, 118, 120, 122, -1, -1, -1, 
	-1, -1, -1, -1, 82, 922, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 73, 74, 75, -1, 76, 85, 
	88, 86, 87, 89, 90, -1, 83, 84, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 104, 106, 110, 108, 112, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	97, -1, -1, -1, 98, -1, -1, -1, 
	100, 102, 95, 94, 96, -1, -1, -1, 
	-1, 79, 80, 81, -1, -1, -1, -1, 
	997, 78, -1, 116, 118, 120, 122, -1, 
	-1, -1, -1, -1, -1, -1, 82, 922, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 73, 74, 75, -1, 
	76, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 933, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 250, 331, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 251, 69, 70, 71, 
	72, -1, 77, 92, 64, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 114, 99, 91, 159, 
	997, -1, -1, 318, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 316, -1, 35, 
	33, 34, 58, 69, 70, 71, 72, -1, 
	77, 92, 64, -1, -1, -1, -1, -1, 
	-1, -1, -1, 250, 332, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 251, 69, 
	70, 71, 72, -1, 77, 92, 64, -1, 
	-1, -1, 114, 99, 91, 40, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	317, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, 997, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 857, 857, 857, 857, 
	857, 857, 857, 857, 857, 857, 857, 857, 
	857, 857, 857, 857, -1, 857, 857, 857, 
	857, 857, 857, 857, 857, -1, -1, -1, 
	857, 857, 857, 857, 857, -1, 857, -1, 
	857, 857, 857, 857, -1, 857, -1, 857, 
	857, 857, -1, 857, 857, -1, -1, 857, 
	857, 857, 857, 857, 857, 857, 857, 182, 
	857, 857, 857, 857, 857, 857, 857, 857, 
	857, 862, 857, 857, 857, 857, -1, -1, 
	-1, -1, -1, -1, -1, 857, -1, 787, 
	787, 787, 787, 787, 787, -1, -1, -1, 
	-1, -1, -1, 857, 857, 857, -1, 857, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 787, 787, 787, 787, 787, 
	-1, 787, -1, 787, -1, -1, -1, -1, 
	787, -1, -1, 787, -1, -1, -1, -1, 
	-1, -1, 787, 787, -1, -1, -1, 787, 
	787, 787, -1, -1, -1, -1, 787, 787, 
	787, -1, 787, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 857, 857, 
	857, 857, -1, -1, 857, 857, 857, 857, 
	857, 857, -1, -1, -1, -1, 857, 857, 
	857, 857, 857, 857, 857, -1, 335, 181, 
	-1, 857, -1, -1, -1, 319, 857, 857, 
	-1, -1, 857, 857, 857, -1, 857, 857, 
	-1, -1, 857, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 857, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 857, 857, 857, 857, 857, 857, 
	857, 857, -1, 857, 857, 857, -1, -1, 
	-1, -1, -1, 787, 787, -1, -1, 787, 
	787, 787, 787, -1, 787, -1, -1, -1, 
	-1, 787, 787, 787, 787, 787, 787, 787, 
	-1, -1, -1, -1, -1, 857, 857, 857, 
	857, 857, -1, -1, -1, 787, 787, 787, 
	-1, 787, 787, -1, 857, 787, 857, -1, 
	-1, 857, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 787, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 787, 
	787, -1, -1, -1, -1, -1, -1, 859, 
	859, 859, 859, 859, 859, 859, 859, 859, 
	859, 859, 859, 859, 859, 859, 859, -1, 
	859, 859, 859, 859, 859, 859, 859, 859, 
	-1, -1, -1, 859, 859, 859, 859, 859, 
	-1, 859, -1, 859, 859, 859, 859, -1, 
	859, 787, 859, 859, 859, -1, 859, 859, 
	-1, -1, 859, 859, 859, 859, 859, 859, 
	859, 859, 859, 859, 859, 859, 859, 859, 
	859, 859, 859, 859, 859, 859, 859, 859, 
	859, -1, -1, -1, -1, -1, -1, -1, 
	859, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 859, 859, 
	859, -1, 859, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 250, 331, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 251, 69, 70, 71, 
	72, -1, 77, 92, 64, -1, 857, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 114, 99, 91, 159, 
	-1, 859, 859, 859, 859, -1, -1, 859, 
	859, 859, 859, 859, 859, -1, -1, -1, 
	-1, 859, 859, 859, 859, 859, 859, 859, 
	-1, 859, 859, -1, 859, -1, -1, -1, 
	-1, 859, 859, 250, 332, 859, 859, 859, 
	-1, 859, 859, -1, -1, 859, 251, 69, 
	70, 71, 72, -1, 77, 92, 64, -1, 
	-1, 859, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 859, 859, 859, 
	859, 859, 859, 859, 859, -1, 859, 859, 
	859, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1033, 1033, 1033, 1033, 
	1033, 1033, -1, 1033, 1033, -1, -1, -1, 
	859, 859, 859, 859, 859, -1, 1033, 1033, 
	1033, 1033, 1033, -1, -1, -1, -1, 859, 
	-1, 859, -1, -1, 859, 1033, -1, -1, 
	-1, 1033, -1, -1, -1, 1033, 1033, 1033, 
	1033, 1033, -1, -1, -1, -1, 1033, 1033, 
	1033, -1, -1, -1, -1, 1033, 1033, -1, 
	1149, 1149, 1149, 1033, -1, -1, -1, -1, 
	-1, -1, -1, 1033, 1033, 1033, 1033, 1033, 
	1033, 1033, -1, 1033, 1033, -1, -1, -1, 
	-1, 1033, 1033, 1033, 1033, 1033, 1033, 1033, 
	1033, 1033, 1033, -1, -1, -1, -1, 1148, 
	-1, -1, -1, -1, -1, 1033, -1, -1, 
	-1, 1033, -1, -1, -1, 1033, 1033, 1033, 
	1033, 1033, -1, -1, -1, -1, 1033, 1033, 
	1033, -1, -1, -1, -1, 1033, 1033, -1, 
	1149, 1149, 1149, 1033, 1148, -1, -1, -1, 
	-1, -1, -1, 1033, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1033, 1033, 1033, 1033, 1033, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1148, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 335, 181, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 859, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1033, 1033, 1033, 1033, 1033, 
	-1, 1033, 1033, 1033, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1033, 195, 196, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 194, -1, 1033, 1033, 1033, 1033, 1033, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 339, 1033, 1033, 1033, 1033, 1033, 
	-1, 1033, 1033, 1033, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1033, 195, 196, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 194, -1, 1033, 1033, 1033, 1033, 1033, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 354, 957, 957, 957, 957, 957, 
	957, 957, 957, 957, 957, 957, 957, 957, 
	957, 957, 957, 957, 957, 957, 957, 957, 
	957, 957, 957, 957, 957, 957, -1, 957, 
	957, 957, 957, 957, -1, 957, -1, 957, 
	957, 957, 957, -1, 957, -1, 957, 957, 
	957, -1, 957, 957, 957, 957, 957, 957, 
	957, 957, 957, 957, 957, 957, -1, 957, 
	957, 957, 957, 957, 957, 957, 957, 957, 
	957, 957, 957, 957, 957, 957, -1, 957, 
	-1, -1, -1, -1, 957, 957, 957, 957, 
	957, -1, -1, 957, 957, 957, 957, 957, 
	957, 957, 957, 957, 957, 957, 957, 957, 
	957, 957, 957, -1, -1, -1, -1, -1, 
	957, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 957, 957, 957, 
	957, -1, -1, 957, 957, 957, 957, 957, 
	957, -1, -1, -1, -1, 957, 957, 957, 
	957, 957, 957, 957, -1, -1, -1, -1, 
	957, -1, -1, -1, -1, 957, 957, -1, 
	-1, 957, 957, 957, -1, 957, 957, -1, 
	-1, 957, -1, -1, -1, -1, -1, -1, 
	-1, -1, 957, 957, 957, 957, 957, 957, 
	957, -1, -1, -1, 957, 957, 957, -1, 
	-1, 957, 957, 957, 957, 957, 957, 957, 
	957, -1, 957, 957, 957, -1, -1, -1, 
	957, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 957, 957, 957, -1, -1, 
	957, -1, -1, -1, -1, 957, -1, -1, 
	-1, -1, 957, -1, 957, 957, 957, 957, 
	957, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 957, -1, 957, -1, -1, 
	957, -1, 957, 957, -1, -1, -1, 957, 
	-1, 957, -1, 957, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 958, 958, 958, 958, 
	958, 958, 958, 958, 958, 958, 958, 958, 
	958, 958, 958, 958, 958, 958, 958, 958, 
	958, 958, 958, 958, 958, 958, 958, -1, 
	958, 958, 958, 958, 958, -1, 958, -1, 
	958, 958, 958, 958, -1, 958, -1, 958, 
	958, 958, -1, 958, 958, 958, 958, 958, 
	958, 958, 958, 958, 958, 958, 958, -1, 
	958, 958, 958, 958, 958, 958, 958, 958, 
	958, 958, 958, 958, 958, 958, 958, -1, 
	958, -1, -1, -1, -1, 958, 958, 958, 
	958, 958, -1, -1, 958, 958, 958, 958, 
	958, 958, 958, 958, 958, 958, 958, 958, 
	958, 958, 958, 958, -1, -1, -1, -1, 
	-1, 958, -1, -1, -1, 957, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 195, 196, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 194, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 958, 958, 
	958, 958, 339, -1, 958, 958, 958, 958, 
	958, 958, -1, -1, -1, -1, 958, 958, 
	958, 958, 958, 958, 958, -1, -1, -1, 
	-1, 958, -1, 195, 196, -1, 958, 958, 
	-1, -1, 958, 958, 958, -1, 958, 958, 
	-1, 194, 958, -1, -1, -1, -1, -1, 
	-1, -1, -1, 958, 958, 958, 958, 958, 
	958, 958, -1, -1, -1, 958, 958, 958, 
	-1, -1, 958, 958, 958, 958, 958, 958, 
	958, 958, 354, 958, 958, 958, -1, -1, 
	-1, 958, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 958, 958, 958, -1, 
	-1, 958, -1, -1, -1, -1, 958, -1, 
	-1, -1, -1, 958, -1, 958, 958, 958, 
	958, 958, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 958, -1, 958, -1, 
	-1, 958, -1, 958, 958, -1, -1, -1, 
	958, -1, 958, -1, 958, 960, 960, 960, 
	960, 960, 960, 960, 960, 960, 960, 960, 
	960, 960, 960, 960, 960, 960, 960, 960, 
	960, 960, 960, 960, 960, 960, 960, 960, 
	-1, 960, 960, 960, 960, 960, -1, 960, 
	-1, 960, 960, 960, 960, -1, 960, -1, 
	960, 960, 960, -1, 960, 960, 960, 960, 
	960, 960, 960, 960, 960, 960, 960, 960, 
	-1, 960, 960, 960, 960, 960, 960, 960, 
	960, 960, 960, 960, 960, 960, 960, 960, 
	-1, 960, -1, -1, -1, -1, 960, 960, 
	960, 960, 960, -1, -1, 960, 960, 960, 
	960, 960, 960, 960, 960, 960, 960, 960, 
	960, 960, 960, 960, 960, -1, -1, -1, 
	-1, -1, 960, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 958, -1, 
	-1, -1, -1, -1, -1, -1, -1, 960, 
	960, 960, 960, -1, -1, 960, 960, 960, 
	960, 960, 960, -1, -1, -1, -1, 960, 
	960, 960, 960, 960, 960, 960, -1, -1, 
	-1, -1, 960, -1, -1, -1, -1, 960, 
	960, -1, -1, 960, 960, 960, -1, 960, 
	960, -1, -1, 960, -1, -1, -1, -1, 
	-1, -1, -1, -1, 960, 960, 960, 960, 
	960, 960, 960, -1, -1, -1, 960, 960, 
	960, -1, -1, 960, 960, 960, 960, 960, 
	960, 960, 960, -1, 960, 960, 960, -1, 
	-1, -1, 960, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 960, 960, 960, 
	-1, -1, 960, -1, -1, -1, -1, 960, 
	-1, -1, -1, -1, 960, -1, 960, 960, 
	960, 960, 960, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 960, -1, 960, 
	-1, -1, 960, -1, 960, 960, -1, -1, 
	-1, 960, -1, 960, -1, 960, 961, 961, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	961, -1, 961, 961, 961, 961, 961, -1, 
	961, -1, 961, 961, 961, 961, -1, 961, 
	-1, 961, 961, 961, -1, 961, 961, 961, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	961, -1, 961, 961, 961, 961, 961, 961, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	961, -1, 961, -1, -1, -1, -1, 961, 
	961, 961, 961, 961, -1, -1, 961, 961, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	961, 961, 961, 961, 961, 961, -1, -1, 
	-1, -1, -1, 961, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 960, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	961, 961, 961, 961, -1, -1, 961, 961, 
	961, 961, 961, 961, -1, -1, -1, -1, 
	961, 961, 961, 961, 961, 961, 961, -1, 
	-1, -1, -1, 961, -1, -1, -1, -1, 
	961, 961, -1, -1, 961, 961, 961, -1, 
	961, 961, -1, -1, 961, -1, -1, -1, 
	-1, -1, -1, -1, -1, 961, 961, 961, 
	961, 961, 961, 961, -1, -1, -1, 961, 
	961, 961, -1, -1, 961, 961, 961, 961, 
	961, 961, 961, 961, -1, 961, 961, 961, 
	-1, -1, -1, 961, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 961, 961, 
	961, -1, -1, 961, -1, -1, -1, -1, 
	961, -1, -1, -1, -1, 961, -1, 961, 
	961, 961, 961, 961, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 961, -1, 
	961, -1, -1, 961, -1, 961, 961, -1, 
	-1, -1, 961, -1, 961, -1, 961, 829, 
	829, 829, 829, 829, 829, 829, 829, 829, 
	829, 829, 829, 829, 829, 829, 829, -1, 
	829, 829, 829, 829, 829, 829, 829, 829, 
	-1, -1, -1, 829, 829, 829, 829, 829, 
	-1, 829, -1, 829, 829, 829, 829, -1, 
	829, -1, 829, 829, 829, -1, 829, 829, 
	-1, -1, 829, 829, 829, 829, 829, 829, 
	829, 829, -1, 829, 829, 829, 829, 829, 
	829, 829, 829, 829, -1, 829, 829, 829, 
	829, -1, -1, -1, -1, -1, -1, -1, 
	829, -1, 27, 28, 1120, 25, 23, 26, 
	-1, 358, -1, -1, -1, -1, 829, 829, 
	829, -1, 829, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 850, 850, 
	850, 850, 850, -1, 32, -1, 46, -1, 
	-1, -1, -1, 49, -1, -1, 47, -1, 
	-1, -1, -1, -1, -1, 850, 850, -1, 
	-1, -1, 24, 53, 52, -1, -1, -1, 
	-1, 66, 67, 68, -1, 60, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	961, -1, -1, -1, -1, -1, -1, -1, 
	-1, 829, 829, 829, 829, -1, -1, 829, 
	829, 829, 829, 829, 829, -1, -1, -1, 
	-1, 829, 829, 829, 829, 829, 829, 829, 
	-1, -1, -1, -1, 829, -1, -1, -1, 
	-1, 829, 829, -1, -1, 829, 829, 829, 
	-1, 829, 829, -1, -1, 829, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 829, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 829, 829, 829, 
	829, 829, 829, 829, 829, -1, 829, 829, 
	829, -1, -1, -1, -1, -1, 378, 48, 
	-1, -1, 377, 379, 363, 376, -1, 375, 
	-1, -1, -1, -1, 31, 373, 374, 364, 
	29, 372, 365, -1, -1, -1, -1, -1, 
	829, 829, 829, 829, 829, -1, -1, -1, 
	370, 371, 366, -1, 367, 368, -1, 829, 
	369, 829, -1, -1, 829, -1, -1, -1, 
	834, 834, 834, 834, 834, 834, 834, 834, 
	834, 834, 834, 834, 834, 834, 834, 834, 
	380, 834, 834, 834, 834, 834, 834, 834, 
	834, -1, 850, 850, 834, 834, 834, 834, 
	834, -1, 834, -1, 834, 834, 834, 834, 
	-1, 834, -1, 834, 834, 834, -1, 834, 
	834, -1, -1, 834, 834, 834, 834, 834, 
	834, 834, 834, -1, 834, 834, 834, 834, 
	834, 834, 834, 834, 834, -1, 834, 834, 
	834, 834, -1, -1, 362, -1, -1, -1, 
	-1, 834, -1, -1, -1, -1, -1, -1, 
	-1, -1, 834, -1, -1, -1, -1, 834, 
	834, 834, -1, 834, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 829, 834, 834, 834, 834, -1, -1, 
	834, 834, 834, 834, 834, 834, -1, -1, 
	-1, -1, 834, 834, 834, 834, 834, 834, 
	834, -1, -1, -1, -1, 834, -1, -1, 
	-1, -1, 834, 834, -1, -1, 834, 834, 
	834, -1, 834, 834, -1, -1, 834, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 834, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 834, 834, 
	834, 834, 834, 834, 834, 834, -1, 834, 
	834, 834, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 834, 834, 834, 834, 834, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	834, -1, 834, -1, -1, 834, -1, -1, 
	-1, 764, 764, 764, 764, 764, 764, 764, 
	764, 764, 764, 764, 764, 764, 764, 764, 
	764, 764, 764, 764, 764, 764, 764, 764, 
	764, 764, 764, 764, -1, 764, 764, 764, 
	764, 764, -1, 764, -1, 764, 764, 764, 
	764, -1, 764, -1, 764, 764, 764, -1, 
	764, 764, 764, 764, 764, 764, 764, 764, 
	764, 764, 764, 764, -1, 764, 764, 764, 
	764, 764, 764, 764, 764, 764, -1, 764, 
	764, 764, 764, -1, -1, -1, -1, -1, 
	-1, -1, 764, -1, -1, 764, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	764, 764, 764, -1, 764, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 834, 764, 764, 764, 764, -1, 
	-1, 764, 764, -1, 764, 764, 764, -1, 
	-1, -1, -1, 764, 764, 764, -1, 764, 
	764, 764, -1, -1, -1, -1, 764, -1, 
	-1, -1, -1, 764, -1, -1, -1, 764, 
	764, 764, -1, 764, 764, -1, -1, 764, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	764, 764, 764, 764, 764, 764, 764, -1, 
	-1, -1, -1, 764, 764, -1, -1, 764, 
	764, 764, 764, 764, 764, 764, 764, -1, 
	764, 764, 764, -1, -1, -1, 378, 48, 
	-1, -1, 377, 379, 363, 376, -1, 375, 
	-1, -1, -1, -1, 31, 373, 374, 364, 
	29, 372, 365, -1, -1, -1, -1, -1, 
	-1, -1, 764, 764, 764, 764, 764, -1, 
	370, 371, 366, -1, 367, 368, -1, -1, 
	369, 764, -1, -1, -1, -1, -1, -1, 
	764, 85, 88, 86, 87, 89, 90, -1, 
	83, 84, -1, -1, -1, -1, -1, -1, 
	380, -1, -1, 104, 106, 110, 108, 112, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 97, -1, -1, -1, 98, -1, 
	-1, -1, 100, 102, 95, 94, 96, -1, 
	-1, -1, -1, 79, 80, 81, -1, -1, 
	-1, -1, 997, 78, -1, 116, 118, 120, 
	122, -1, -1, -1, -1, -1, -1, -1, 
	82, -1, -1, -1, 362, 85, 88, 86, 
	87, 89, 90, -1, 83, 84, 73, 74, 
	75, -1, 76, -1, -1, -1, -1, 104, 
	106, 110, 108, 112, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 97, -1, 
	-1, -1, 98, -1, -1, -1, 100, 102, 
	95, 94, 96, -1, -1, -1, -1, 79, 
	80, 81, -1, -1, -1, -1, 997, 78, 
	-1, 116, 118, 120, 122, -1, -1, -1, 
	-1, -1, -1, -1, 82, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 73, 74, 75, -1, 76, -1, 
	-1, -1, -1, 764, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	85, 88, 86, 87, 89, 90, -1, 83, 
	84, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 104, 106, 110, 108, 112, -1, 
	381, 69, 70, 71, 72, -1, 77, 92, 
	64, 97, -1, -1, -1, 98, -1, -1, 
	-1, 100, 102, 95, 94, 96, -1, -1, 
	-1, -1, 79, 80, 81, -1, -1, -1, 
	-1, 997, 78, -1, 116, 118, 120, 122, 
	114, 99, 91, 159, 997, -1, -1, 82, 
	-1, -1, -1, -1, 85, 88, 86, 87, 
	89, 90, -1, 83, 84, 73, 74, 75, 
	-1, 76, -1, -1, -1, -1, 104, 106, 
	110, 108, 112, -1, -1, 382, 70, 71, 
	72, -1, 77, 92, 64, 97, -1, -1, 
	-1, 98, -1, -1, -1, 100, 102, 95, 
	94, 96, -1, -1, -1, -1, 79, 80, 
	81, -1, -1, -1, -1, 997, 78, -1, 
	116, 118, 120, 122, 114, 99, 91, 159, 
	997, -1, -1, 82, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 73, 74, 75, -1, 76, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 85, 
	88, 86, 87, 89, 90, -1, 83, 84, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 104, 106, 110, 108, 112, -1, -1, 
	383, 70, 71, 72, -1, 77, 92, 64, 
	97, -1, -1, -1, 98, -1, -1, -1, 
	100, 102, 95, 94, 96, -1, -1, -1, 
	-1, 79, 80, 81, -1, -1, -1, -1, 
	997, 78, -1, 116, 118, 120, 122, 114, 
	99, 91, 159, 997, -1, -1, 82, -1, 
	-1, -1, -1, 85, 88, 86, 87, 89, 
	90, -1, 83, 84, 73, 74, 75, -1, 
	76, -1, -1, -1, -1, 104, 106, 110, 
	108, 112, -1, -1, -1, 384, 71, 72, 
	-1, 77, 92, 64, 97, -1, -1, -1, 
	98, -1, -1, -1, 100, 102, 95, 94, 
	96, -1, -1, -1, -1, 79, 80, 81, 
	-1, -1, -1, -1, 997, 78, -1, 116, 
	118, 120, 122, 114, 99, 91, 159, 997, 
	-1, -1, 82, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	73, 74, 75, -1, 76, -1, -1, -1, 
	85, 88, 86, 87, 89, 90, -1, 83, 
	84, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 104, 106, 110, 108, 112, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 97, -1, -1, -1, 98, -1, -1, 
	-1, 100, 102, 95, 94, 96, -1, -1, 
	-1, -1, 79, 80, 81, -1, -1, -1, 
	-1, 997, 78, -1, 116, 118, 120, 122, 
	385, 71, 72, -1, 77, 92, 64, 82, 
	-1, -1, -1, -1, 85, 88, 86, 87, 
	89, 90, -1, 83, 84, 73, 74, 75, 
	-1, 76, -1, -1, -1, -1, 104, 106, 
	110, 108, 112, -1, -1, -1, 114, 99, 
	91, 159, 997, -1, -1, 97, -1, -1, 
	-1, 98, -1, -1, -1, 100, 102, 95, 
	94, 96, -1, -1, -1, -1, 79, 80, 
	81, -1, -1, -1, -1, 997, 78, -1, 
	116, 118, 120, 122, 386, 71, 72, -1, 
	77, 92, 64, 82, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 73, 74, 75, -1, 76, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 159, 997, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 387, 71, 72, -1, 77, 92, 64, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	381, 69, 70, 71, 72, -1, 77, 92, 
	64, -1, -1, -1, -1, -1, -1, 114, 
	99, 91, 159, 997, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	114, 99, 91, 159, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 388, 71, 72, 
	-1, 77, 92, 64, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 382, 70, 71, 
	72, -1, 77, 92, 64, -1, -1, -1, 
	-1, -1, -1, 114, 99, 91, 159, 997, 
	-1, -1, -1, -1, -1, -1, 85, 88, 
	86, 87, 89, 90, -1, 83, 84, -1, 
	-1, -1, -1, -1, 114, 99, 91, 159, 
	104, 106, 110, 108, 112, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 97, 
	-1, -1, -1, 98, -1, -1, -1, 100, 
	102, 95, 94, 96, -1, -1, -1, -1, 
	79, 80, 81, -1, -1, -1, -1, 997, 
	78, -1, 116, 118, 120, 122, -1, -1, 
	-1, -1, -1, -1, -1, 82, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 73, 74, 75, -1, 76, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	383, 70, 71, 72, -1, 77, 92, 64, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 114, 
	99, 91, 159, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 384, 71, 72, 
	-1, 77, 92, 64, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 85, 88, 86, 
	87, 89, 90, -1, 83, 84, -1, -1, 
	-1, -1, -1, 114, 99, 91, 159, 104, 
	106, 110, 108, 112, -1, -1, -1, 389, 
	71, 72, -1, 77, 92, 64, 97, -1, 
	-1, -1, 98, -1, -1, -1, 100, 102, 
	95, 94, 96, -1, -1, -1, -1, 79, 
	80, 81, -1, -1, -1, -1, 997, 78, 
	-1, 116, 118, 120, 122, 114, 99, 91, 
	159, 997, -1, -1, 82, -1, 85, 88, 
	86, 87, 89, 90, -1, 83, 84, -1, 
	-1, -1, 73, 74, 75, -1, 76, -1, 
	104, 106, 110, 108, 112, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 97, 
	385, 71, 72, 98, 77, 92, 64, 100, 
	102, 95, 94, 96, -1, -1, -1, -1, 
	79, 80, 81, -1, -1, -1, -1, 997, 
	78, -1, 116, 118, 120, 122, -1, -1, 
	-1, -1, -1, -1, -1, 82, 114, 99, 
	91, 159, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 73, 74, 75, -1, 76, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 386, 71, 72, -1, 
	77, 92, 64, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 159, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 390, 
	72, -1, 77, 92, 64, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 114, 99, 91, 159, 
	997, 387, 71, 72, -1, 77, 92, 64, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	391, 72, -1, 77, 92, 64, -1, 114, 
	99, 91, 159, 85, 88, 86, 87, 89, 
	90, -1, 83, 84, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 104, 106, 110, 
	108, 112, -1, -1, -1, 114, 99, 91, 
	159, 997, -1, -1, 97, 388, 71, 72, 
	98, 77, 92, 64, 100, 102, 95, 94, 
	96, -1, -1, -1, -1, 79, 80, 81, 
	-1, -1, -1, -1, 997, 78, -1, 116, 
	118, 120, 122, -1, -1, -1, -1, -1, 
	-1, -1, 82, 114, 99, 91, 159, 85, 
	88, 86, 87, 89, 90, -1, 83, 84, 
	73, 74, 75, -1, 76, -1, -1, -1, 
	-1, 104, 106, 110, 108, 112, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	97, -1, -1, -1, 98, -1, -1, -1, 
	100, 102, 95, 94, 96, -1, -1, -1, 
	-1, 79, 80, 81, -1, -1, -1, -1, 
	997, 78, -1, 116, 118, 120, 122, -1, 
	-1, -1, -1, -1, -1, -1, 82, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 73, 74, 75, -1, 
	76, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 393, -1, 
	77, 92, 64, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 159, 997, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 392, -1, 77, 92, 64, 389, 
	71, 72, -1, 77, 92, 64, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, 997, -1, -1, 114, 99, 91, 
	159, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 883, 883, 883, 883, 883, 
	883, 883, 883, 883, 883, 883, 883, 883, 
	883, 883, 883, -1, 883, 883, 883, 883, 
	883, 883, 883, 883, -1, -1, -1, 883, 
	883, 883, 883, 883, -1, 883, -1, 883, 
	883, 883, 883, -1, 883, -1, 883, 883, 
	883, -1, 883, 883, -1, -1, 883, 883, 
	883, 883, 883, 883, 883, 883, -1, 883, 
	883, 883, 883, 883, 883, 883, 883, 883, 
	-1, 883, 883, 883, 883, -1, -1, -1, 
	-1, -1, -1, -1, 883, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 883, 883, 883, -1, 883, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 390, 
	72, -1, 77, 92, 64, -1, -1, -1, 
	-1, -1, -1, -1, -1, 883, 883, 883, 
	883, -1, -1, 883, 883, 883, 883, 883, 
	883, -1, -1, -1, -1, 883, 883, 883, 
	883, 883, 883, 883, 114, 99, 91, 159, 
	883, -1, -1, -1, -1, 883, 883, -1, 
	-1, 883, 883, 883, -1, 883, 883, -1, 
	-1, 883, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 883, -1, -1, 
	391, 72, -1, 77, 92, 64, -1, -1, 
	-1, 883, 883, 883, 883, 883, 883, 883, 
	883, -1, 883, 883, 883, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 114, 99, 91, 
	159, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 883, 883, 883, 883, 
	883, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 883, -1, 883, -1, -1, 
	883, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 883, 393, -1, 
	77, 92, 64, -1, -1, -1, -1, -1, 
	85, 88, 86, 87, 89, 90, -1, 83, 
	84, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 104, 106, 110, 108, 112, -1, 
	-1, -1, 114, 99, 91, 159, -1, -1, 
	-1, 97, -1, -1, -1, 98, -1, -1, 
	-1, 100, 102, 95, 94, 96, -1, -1, 
	-1, -1, 79, 80, 81, -1, -1, -1, 
	-1, 997, 78, -1, 116, 118, 120, 122, 
	-1, -1, 392, -1, 77, 92, 64, 82, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 73, 74, 75, 
	-1, 76, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, 1001, 1001, 1001, 1001, 1001, 1001, 
	1001, 1001, 1001, 1001, 1001, 1001, 1001, 1001, 
	1001, 1001, 1001, 1001, 1001, 1001, 1001, 1001, 
	1001, 1001, 1001, 1001, 1001, 1001, 1001, 1001, 
	1001, 1001, 1001, -1, 1001, -1, 1001, 1001, 
	1001, 1001, 1001, 1001, -1, 1001, 1001, 1001, 
	-1, 1001, 1001, 1001, 1001, 1001, 1001, 1001, 
	1001, 1001, 1001, 1001, 1001, 1001, 1001, 1001, 
	1001, 1001, 1001, 1001, 1001, 1001, 1001, -1, 
	1001, 1001, 1001, 1001, -1, -1, -1, 1001, 
	396, -1, -1, 1001, 1001, -1, 1001, 397, 
	399, 1001, -1, -1, 1001, -1, 1001, -1, 
	-1, 1001, 1001, 1001, -1, 1001, 398, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 402, 
	69, 70, 71, 72, -1, 77, 92, 64, 
	1001, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1001, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 114, 
	99, 91, 159, 997, 1001, 1001, 1001, 1001, 
	-1, -1, 1001, 1001, 1001, 1001, 1001, 1001, 
	-1, -1, -1, -1, 1001, 1001, 1001, 1001, 
	1001, 1001, 1001, -1, -1, 1001, -1, 1001, 
	-1, -1, -1, -1, 1001, 1001, -1, 1001, 
	1001, 1001, 1001, -1, 1001, 1001, -1, -1, 
	1001, -1, -1, -1, -1, -1, 1001, -1, 
	1001, 1001, 1001, 1001, 1001, 1001, 1001, 1001, 
	-1, -1, -1, -1, 1001, 1001, -1, 1001, 
	1001, 1001, 1001, 1001, 1001, 1001, 1001, 1001, 
	-1, 1001, 1001, 1001, 395, -1, 1001, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1001, 1001, 1001, -1, -1, 1001, 1001, 
	1001, -1, -1, 1001, 1001, 1001, 1001, 1001, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1001, -1, 1001, -1, -1, 1001, 
	1001, 1001, -1, 1072, 1072, 1072, 1072, 1072, 
	1072, 1072, 1072, 1072, 1072, 1072, 1072, 1072, 
	1072, 1072, 1072, 1072, 1072, 1072, 1072, 1072, 
	1072, 1072, 1072, 1072, 1072, 1072, -1, 1072, 
	1072, 1072, 1072, 1072, -1, 1072, -1, 1072, 
	1072, 1072, 1072, -1, 1072, -1, 1072, 1072, 
	1072, -1, 1072, 1072, 1072, 1072, 1072, 1072, 
	1072, 1072, 1072, 1072, 1072, 1072, -1, 1072, 
	1072, 1072, 1072, 1072, 1072, 1072, 1072, 1072, 
	1072, 1072, 1072, 1072, 1072, 1072, -1, 1072, 
	-1, -1, -1, -1, 1072, 1072, 1072, 1072, 
	1072, -1, -1, 1072, 1072, 1072, 1072, 1072, 
	1072, 1072, 1072, 1072, 1072, 1072, 1072, 1072, 
	1072, 1072, 1072, -1, -1, -1, -1, -1, 
	1072, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1001, 1072, 1072, 1072, 
	1072, -1, -1, 1072, 1072, 1072, 1072, 1072, 
	1072, -1, -1, -1, -1, 1072, 1072, 1072, 
	1072, 1072, 1072, 1072, -1, -1, -1, -1, 
	1072, -1, -1, -1, -1, 1072, 1072, -1, 
	-1, 1072, 1072, 1072, -1, 1072, 1072, -1, 
	-1, 1072, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1072, 1072, 1072, 1072, 1072, 1072, 
	1072, -1, -1, -1, 1072, 1072, 1072, -1, 
	-1, 1072, 1072, 1072, 1072, 1072, 1072, 1072, 
	1072, -1, 1072, 1072, 1072, -1, -1, -1, 
	1072, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1072, 1072, 1072, -1, -1, 
	1072, -1, -1, -1, -1, 1072, -1, -1, 
	-1, -1, 1072, -1, 1072, 1072, 1072, 1072, 
	1072, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1072, -1, 1072, -1, -1, 
	1072, -1, 1072, 1072, -1, -1, -1, 1072, 
	-1, 1072, -1, 1072, 85, 88, 86, 87, 
	89, 90, -1, 83, 84, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 104, 106, 
	110, 108, 112, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 97, -1, -1, 
	-1, 98, -1, -1, -1, 100, 102, 95, 
	94, 96, -1, -1, -1, -1, 79, 80, 
	81, -1, -1, -1, -1, 997, 78, -1, 
	116, 118, 120, 122, -1, -1, -1, -1, 
	-1, -1, -1, 82, 922, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 73, 74, 75, -1, 76, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 402, 
	69, 70, 71, 72, -1, 77, 92, 64, 
	-1, -1, -1, 1033, 1033, 1033, 1033, 1033, 
	1033, -1, 1033, 1033, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1033, 1033, 1033, 
	1033, 1033, -1, -1, -1, -1, -1, 114, 
	99, 91, 159, -1, 1033, 1072, -1, -1, 
	1033, -1, -1, -1, 1033, 1033, 1033, 1033, 
	1033, -1, -1, -1, -1, 1033, 1033, 1033, 
	-1, -1, -1, -1, 1033, 1033, -1, 1149, 
	1149, 1149, 1033, 1144, -1, -1, -1, -1, 
	-1, -1, 1033, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1033, 1033, 1033, 1033, 1033, -1, -1, -1, 
	250, 401, -1, -1, -1, -1, 1144, -1, 
	-1, -1, -1, 251, 69, 70, 71, 72, 
	-1, 77, 92, 64, 395, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 114, 99, 91, 159, 997, 
	888, 888, 888, 888, 888, 888, 888, 888, 
	888, 888, 888, 888, 888, 888, 888, 888, 
	-1, 888, 888, 888, 888, 888, 888, 888, 
	888, -1, -1, -1, 888, 888, 888, 888, 
	888, -1, 888, -1, 888, 888, 888, 888, 
	-1, 888, -1, 888, 888, 888, -1, 888, 
	888, -1, -1, 888, 888, 888, 888, 888, 
	888, 888, 888, -1, 888, 888, 888, 888, 
	888, 888, 888, 888, 888, -1, 888, 888, 
	888, 888, -1, -1, -1, -1, -1, -1, 
	-1, 888, 1033, 1033, 1033, 1033, 1033, -1, 
	1033, 1033, 1033, -1, -1, -1, -1, 888, 
	888, 888, -1, 888, -1, -1, -1, -1, 
	-1, 1033, 247, 248, -1, -1, -1, -1, 
	-1, -1, -1, 246, -1, -1, -1, -1, 
	-1, -1, 1033, 1033, 1033, 1033, 1033, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 433, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 888, 888, 888, 888, -1, -1, 
	888, 888, 888, 888, 888, 888, -1, -1, 
	-1, -1, 888, 888, 888, 888, 888, 888, 
	888, -1, -1, -1, -1, 888, -1, -1, 
	-1, -1, 888, 888, -1, -1, 888, 888, 
	888, -1, 888, 888, -1, -1, 888, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 888, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 888, 888, 
	888, 888, 888, 888, 888, 888, -1, 888, 
	888, 888, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 27, 28, 1126, 
	25, 23, 26, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	30, 888, 888, 888, 888, 888, -1, -1, 
	-1, 850, 850, 850, 850, 850, -1, 32, 
	888, 296, 888, -1, -1, 888, 49, -1, 
	-1, 47, 45, -1, -1, -1, -1, -1, 
	850, 850, -1, -1, -1, 24, 53, 52, 
	-1, -1, -1, -1, 66, 67, 68, 50, 
	850, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	294, 292, 48, -1, -1, 291, 293, -1, 
	-1, 295, 290, -1, -1, -1, -1, 31, 
	288, 289, -1, 29, 286, 280, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 287, 
	278, -1, -1, 284, 285, 279, -1, 281, 
	282, -1, 888, 283, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1030, 1030, 1030, 1030, 1030, 1030, -1, 
	1030, 1030, -1, -1, -1, 850, 850, -1, 
	-1, -1, -1, 1030, 1030, 1030, 1030, 1030, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1030, -1, -1, -1, 1030, -1, 
	-1, -1, 1030, 1030, 1030, 1030, 1030, -1, 
	-1, -1, -1, 1030, 1030, 1030, -1, -1, 
	250, 401, 1030, 1030, -1, 1030, 1030, 1030, 
	1030, -1, 464, 251, 69, 70, 71, 72, 
	1030, 77, 92, 64, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1030, 1030, 
	1030, -1, 1030, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 114, 99, 91, 159, 1059, 
	1059, 1059, 1059, 1059, 1059, 1059, 1059, 1059, 
	1059, 1059, 1059, 1059, 1059, 1059, 1059, 1059, 
	1059, 1059, 1059, 1059, 1059, 1059, 1059, 1059, 
	1059, 1059, -1, 1059, 1059, 1059, 1059, 1059, 
	-1, 1059, -1, 1059, 1059, 1059, 1059, -1, 
	1059, -1, 1059, 1059, 1059, 1059, 1059, 1059, 
	1059, 1059, 1059, 1059, 1059, 1059, 1059, 1059, 
	1059, 1059, -1, 1059, 1059, 1059, 1059, 1059, 
	1059, 1059, 1059, 1059, 1059, 1059, 1059, 1059, 
	1059, 1059, -1, 1059, -1, -1, 1059, -1, 
	1059, 1059, 1059, 1059, 1059, -1, -1, 1059, 
	1059, 1059, 1059, 1059, 1059, 1059, 1059, 1059, 
	1059, 1059, 1059, 1059, 1059, 1059, 1059, -1, 
	-1, -1, 247, 248, 1059, -1, -1, -1, 
	-1, -1, -1, 246, -1, -1, -1, -1, 
	1030, 1030, 1030, 1030, 1030, -1, 1030, 1030, 
	1030, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 433, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1030, 1030, 1030, 1030, 1030, -1, -1, -1, 
	-1, 1059, 1059, 1059, 1059, -1, -1, 1059, 
	1059, 1059, 1059, 1059, 1059, -1, -1, -1, 
	-1, 1059, 1059, 1059, 1059, 1059, 1059, 1059, 
	-1, -1, -1, -1, 1059, -1, -1, -1, 
	-1, 1059, 1059, -1, -1, 1059, 1059, 1059, 
	-1, 1059, 1059, -1, -1, 1059, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1059, 1059, 
	1059, 1059, 1059, 1059, 1059, -1, -1, -1, 
	1059, 1059, 1059, -1, -1, 1059, 1059, 1059, 
	1059, 1059, 1059, 1059, 1059, 1059, 1059, 1059, 
	1059, -1, -1, -1, 1059, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1059, 
	1059, 1059, -1, -1, 1059, -1, -1, -1, 
	-1, 1059, -1, -1, -1, -1, 1059, -1, 
	1059, 1059, 1059, 1059, 1059, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1059, 
	-1, 1059, -1, -1, 1059, -1, 1059, 1059, 
	-1, -1, -1, 1059, -1, 1059, -1, 1059, 
	980, 980, 980, 980, 980, 980, 980, 980, 
	980, 980, 980, 980, 980, 980, 980, 980, 
	980, 980, 980, 980, 980, 980, 980, 980, 
	980, 980, 980, -1, 980, 980, 980, 980, 
	980, -1, 980, -1, 980, 980, 980, 980, 
	-1, 980, -1, 980, 980, 980, -1, 980, 
	980, 980, 980, 980, 980, 980, 980, 980, 
	980, 980, 980, -1, 980, 980, 980, 980, 
	980, 980, 980, 980, 980, 980, 980, 980, 
	980, 980, 980, -1, 980, -1, -1, -1, 
	-1, 980, 980, 980, 980, 980, -1, -1, 
	980, 980, 980, 980, 980, 980, 980, 980, 
	980, 980, 980, 980, 980, 980, 980, 980, 
	-1, -1, -1, -1, -1, 980, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	294, 292, 48, -1, -1, 291, 293, -1, 
	-1, 295, 290, -1, -1, -1, -1, 31, 
	288, 289, -1, 29, 286, 280, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 287, 
	278, -1, -1, 284, 285, 279, -1, 281, 
	282, 1059, -1, 283, -1, -1, -1, -1, 
	-1, -1, 980, 980, 980, 980, -1, -1, 
	980, 980, 980, 980, 980, 980, -1, -1, 
	-1, -1, 980, 980, 980, 980, 980, 980, 
	980, -1, -1, -1, -1, 980, -1, -1, 
	-1, -1, 980, 980, -1, -1, 980, 980, 
	980, -1, 980, 980, -1, -1, 980, -1, 
	-1, -1, -1, -1, -1, -1, -1, 980, 
	980, 980, 980, 980, 980, 980, -1, -1, 
	-1, 980, 980, 980, -1, -1, 980, 980, 
	980, 980, 980, 980, 980, 980, -1, 980, 
	980, 980, 464, -1, -1, 980, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	980, 980, 980, -1, -1, 980, -1, -1, 
	-1, -1, 980, -1, -1, -1, -1, 980, 
	-1, 980, 980, 980, 980, 980, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	980, -1, 980, -1, -1, 980, -1, 980, 
	980, -1, -1, -1, 980, -1, 980, -1, 
	980, 1029, 1029, 1029, 1029, 1029, 1029, 1029, 
	1029, 1029, 1029, 1029, 1029, 1029, 1029, 1029, 
	1029, 1029, 1029, 1029, 1029, 1029, 1029, 1029, 
	1029, 1029, 1029, 1029, -1, 1029, 1029, 1029, 
	1029, 1029, -1, 1029, -1, 1029, 1029, 1029, 
	1029, -1, 1029, -1, 1029, 1029, 1029, -1, 
	1029, 1029, 1029, 1029, 1029, 1029, 1029, 1029, 
	1029, 1029, 1029, 1029, -1, 1029, 1029, 1029, 
	1029, 1029, 1029, 1029, 1029, 1029, 1029, 268, 
	270, 272, 274, 1029, -1, 1029, -1, -1, 
	-1, -1, 1029, 1029, 1029, 1029, 1029, -1, 
	-1, 1029, 1029, 1029, 1029, 1029, 1029, 1029, 
	1029, 1029, 1029, 1029, 1029, 1029, 1029, 1029, 
	1029, -1, -1, -1, -1, -1, 1029, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 980, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1029, 1029, 1029, 1029, -1, 
	-1, 1029, 1029, 1029, 1029, 1029, 1029, -1, 
	-1, -1, -1, 1029, 1029, 1029, 1029, 1029, 
	1029, 1029, -1, -1, -1, -1, 1029, -1, 
	-1, -1, -1, 1029, 1029, -1, -1, 1029, 
	1029, 1029, -1, 1029, 1029, -1, -1, 1029, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1029, 1029, 1029, 1029, 1029, 1029, 1029, -1, 
	-1, -1, 1029, 1029, 1029, 1029, -1, 1029, 
	1029, 1029, 1029, 1029, 1029, 1029, 1029, -1, 
	1029, 1029, 1029, -1, -1, -1, 1029, -1, 
	-1, -1, -1, -1, -1, -1, 459, -1, 
	-1, 1029, 1029, 1029, -1, -1, 1029, -1, 
	-1, -1, -1, 1029, -1, -1, -1, -1, 
	1029, -1, 1029, 1029, 1029, 1029, 1029, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1029, -1, 1029, -1, -1, 1029, -1, 
	1029, 1029, -1, -1, -1, 1029, -1, 1029, 
	-1, 1029, 1028, 1028, 1028, 1028, 1028, 1028, 
	1028, 1028, 1028, 1028, 1028, 1028, 1028, 1028, 
	1028, 1028, 1028, 1028, 1028, 1028, 1028, 1028, 
	1028, 1028, 1028, 1028, 1028, -1, 1028, 1028, 
	1028, 1028, 1028, -1, 1028, -1, 1028, 1028, 
	1028, 1028, -1, 1028, -1, 1028, 1028, 1028, 
	-1, 1028, 1028, 1028, 1028, 1028, 1028, 1028, 
	1028, 1028, 1028, 1028, 1028, -1, 1028, 1028, 
	1028, 1028, 1028, 1028, 1028, 1028, 1028, 1028, 
	1028, 1028, 1028, 1028, 1028, -1, 1028, -1, 
	-1, -1, -1, 1028, 1028, 1028, 1028, 1028, 
	-1, -1, 1028, 1028, 1028, 1028, 1028, 1028, 
	1028, 1028, 1028, 1028, 1028, 1028, 1028, 1028, 
	1028, 1028, -1, -1, -1, -1, -1, 1028, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1029, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1028, 1028, 1028, 1028, 
	-1, -1, 1028, 1028, 1028, 1028, 1028, 1028, 
	-1, -1, -1, -1, 1028, 1028, 1028, 1028, 
	1028, 1028, 1028, -1, -1, -1, -1, 1028, 
	-1, -1, -1, -1, 1028, 1028, -1, -1, 
	1028, 1028, 1028, -1, 1028, 1028, -1, -1, 
	1028, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1028, 1028, 1028, 1028, 1028, 1028, 1028, 
	-1, -1, -1, 1028, 1028, 1028, 1028, -1, 
	1028, 1028, 1028, 1028, 1028, 1028, 1028, 1028, 
	-1, 1028, 1028, 1028, -1, -1, -1, 1028, 
	-1, -1, -1, -1, -1, -1, -1, 1028, 
	-1, -1, 1028, 1028, 1028, -1, -1, 1028, 
	-1, -1, -1, -1, 1028, -1, -1, -1, 
	-1, 1028, -1, 1028, 1028, 1028, 1028, 1028, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1028, -1, 1028, -1, -1, 1028, 
	-1, 1028, 1028, -1, -1, -1, 1028, -1, 
	1028, -1, 1028, -1, -1, -1, -1, -1, 
	-1, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, 965, -1, 965, 965, 965, 
	965, 965, -1, 965, -1, 965, 965, 965, 
	965, -1, 965, -1, 965, 965, 965, 462, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, 965, -1, 965, 965, 965, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, 965, -1, 965, -1, -1, 
	461, -1, 965, 965, 965, 965, 965, -1, 
	-1, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	965, -1, -1, -1, -1, -1, 965, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1028, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 965, 965, 965, 965, -1, 
	-1, 965, 965, 965, 965, 965, 965, -1, 
	-1, -1, -1, 965, 965, 965, 965, 965, 
	965, 965, -1, -1, -1, -1, 965, -1, 
	-1, -1, -1, 965, 965, -1, -1, 965, 
	965, 965, -1, 965, 965, -1, -1, 965, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	965, 965, 965, 965, 965, 965, 965, -1, 
	-1, -1, 965, 965, 965, -1, 459, 965, 
	965, 965, 965, 965, 965, 965, 965, 460, 
	965, 965, 965, -1, -1, -1, 965, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 965, 965, 965, -1, -1, 965, -1, 
	-1, -1, -1, 965, -1, -1, -1, -1, 
	965, -1, 965, 965, 965, 965, 965, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 965, -1, 965, -1, -1, 965, -1, 
	965, 965, -1, -1, -1, 965, -1, 965, 
	-1, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, 965, 965, -1, 965, 965, 
	965, 965, 965, -1, 965, -1, 965, 965, 
	965, 965, -1, 965, -1, 965, 965, 965, 
	462, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, 965, 965, -1, 965, 965, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, 965, 965, -1, 965, -1, 
	-1, 461, -1, 965, 965, 965, 965, 965, 
	-1, -1, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, -1, -1, -1, -1, -1, 965, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 965, -1, -1, -1, -1, 
	-1, -1, -1, -1, 965, 965, 965, 965, 
	-1, -1, 965, 965, 965, 965, 965, 965, 
	-1, -1, -1, -1, 965, 965, 965, 965, 
	965, 965, 965, -1, -1, -1, -1, 965, 
	-1, -1, -1, -1, 965, 965, -1, -1, 
	965, 965, 965, -1, 965, 965, -1, -1, 
	965, -1, -1, -1, -1, -1, -1, -1, 
	-1, 965, 965, 965, 965, 965, 965, 965, 
	-1, -1, -1, 965, 965, 965, -1, -1, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	463, 965, 965, 965, -1, -1, -1, 965, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 965, 965, 965, -1, -1, 965, 
	-1, -1, -1, -1, 965, -1, -1, -1, 
	-1, 965, -1, 965, 965, 965, 965, 965, 
	-1, -1, -1, -1, 805, 805, 805, 805, 
	805, 805, 965, -1, 965, -1, -1, 965, 
	-1, 965, 965, -1, -1, -1, 965, 805, 
	965, -1, 965, -1, -1, -1, -1, -1, 
	805, 805, 805, 805, 805, -1, 805, -1, 
	805, -1, -1, -1, -1, 805, -1, -1, 
	805, 805, -1, -1, -1, -1, -1, 805, 
	805, -1, -1, -1, 805, 805, 805, -1, 
	-1, -1, -1, 805, 805, 805, 805, 805, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 806, 806, 806, 
	806, 806, 806, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	806, -1, -1, -1, -1, -1, -1, -1, 
	-1, 806, 806, 806, 806, 806, -1, 806, 
	-1, 806, -1, -1, -1, -1, 806, -1, 
	-1, 806, 806, -1, -1, -1, -1, -1, 
	806, 806, -1, -1, -1, 806, 806, 806, 
	-1, -1, -1, -1, 806, 806, 806, 806, 
	806, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 805, 
	805, 805, -1, -1, 805, 805, -1, -1, 
	805, 805, -1, -1, 965, -1, 805, 805, 
	805, -1, 805, 805, 805, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 805, 805, 
	-1, -1, 805, 805, 805, -1, 805, 805, 
	-1, -1, 805, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 805, 805, -1, 460, 
	806, 806, 806, -1, -1, 806, 806, -1, 
	-1, 806, 806, -1, -1, -1, -1, 806, 
	806, 806, -1, 806, 806, 806, -1, 807, 
	807, 807, 807, 807, 807, -1, -1, 806, 
	806, -1, -1, 806, 806, 806, -1, 806, 
	806, -1, 807, 806, -1, -1, -1, -1, 
	-1, 805, -1, 807, 807, 807, 807, 807, 
	-1, 807, -1, 807, -1, -1, -1, -1, 
	807, -1, -1, 807, 807, -1, -1, -1, 
	-1, -1, 807, 807, -1, 806, 806, 807, 
	807, 807, -1, -1, -1, -1, 807, 807, 
	807, 807, 807, -1, -1, 808, 808, 808, 
	808, 808, 808, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	808, -1, -1, -1, -1, -1, -1, -1, 
	-1, 808, 808, 808, 808, 808, -1, 808, 
	-1, 808, 806, -1, -1, -1, 808, -1, 
	-1, 808, 808, -1, -1, -1, -1, -1, 
	808, 808, -1, -1, -1, 808, 808, 808, 
	-1, -1, -1, -1, 808, 808, 808, 808, 
	808, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 807, 807, 807, -1, -1, 807, 
	807, -1, -1, 807, 807, -1, -1, -1, 
	-1, 807, 807, 807, -1, 807, 807, 807, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 807, 807, -1, -1, 807, 807, 807, 
	-1, 807, 807, -1, -1, 807, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	808, 808, 808, -1, -1, 808, 808, 807, 
	807, 808, 808, -1, -1, -1, -1, 808, 
	808, 808, -1, 808, 808, 808, -1, 809, 
	809, 809, 809, 809, 809, -1, -1, 808, 
	808, -1, -1, 808, 808, 808, -1, 808, 
	808, -1, 809, 808, -1, -1, -1, -1, 
	463, -1, -1, 809, 809, 809, 809, 809, 
	-1, 809, -1, 809, 807, -1, -1, -1, 
	809, -1, -1, 809, 809, -1, -1, -1, 
	-1, -1, 809, 809, -1, 808, 808, 809, 
	809, 809, -1, -1, -1, -1, 809, 809, 
	809, 809, 809, -1, -1, 810, 810, 810, 
	810, 810, 810, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	810, -1, -1, -1, -1, -1, -1, -1, 
	-1, 810, 810, 810, 810, 810, -1, 810, 
	-1, 810, 808, -1, -1, -1, 810, -1, 
	-1, 810, 810, -1, -1, -1, -1, -1, 
	810, 810, -1, -1, -1, 810, 810, 810, 
	-1, -1, -1, -1, 810, 810, 810, 810, 
	810, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 809, 809, 809, -1, -1, 809, 
	809, -1, -1, 809, 809, -1, -1, -1, 
	-1, 809, 809, 809, -1, 809, 809, 809, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 809, 809, -1, -1, 809, 809, 809, 
	-1, 809, 809, -1, -1, 809, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	810, 810, 810, -1, -1, 810, 810, 809, 
	809, 810, 810, -1, -1, -1, -1, 810, 
	810, 810, -1, 810, 810, 810, -1, 811, 
	811, 811, 811, 811, 811, -1, -1, 810, 
	810, -1, -1, 810, 810, 810, -1, 810, 
	810, -1, 811, 810, -1, -1, -1, -1, 
	-1, -1, -1, 811, 811, 811, 811, 811, 
	-1, 811, -1, 811, 809, -1, -1, -1, 
	811, -1, -1, 811, 811, -1, -1, -1, 
	-1, -1, 811, 811, -1, 810, 810, 811, 
	811, 811, -1, -1, -1, -1, 811, 811, 
	811, 811, 811, -1, -1, 812, 812, 812, 
	812, 812, 812, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	812, -1, -1, -1, -1, -1, -1, -1, 
	-1, 812, 812, 812, 812, 812, -1, 812, 
	-1, 812, 810, -1, -1, -1, 812, -1, 
	-1, 812, 812, -1, -1, -1, -1, -1, 
	812, 812, -1, -1, -1, 812, 812, 812, 
	-1, -1, -1, -1, 812, 812, 812, 812, 
	812, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 811, 811, 811, -1, -1, 811, 
	811, -1, -1, 811, 811, -1, -1, -1, 
	-1, 811, 811, 811, -1, 811, 811, 811, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 811, 811, -1, -1, 811, 811, 811, 
	-1, 811, 811, -1, -1, 811, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	812, 812, 812, -1, -1, 812, 812, 811, 
	811, 812, 812, -1, -1, -1, -1, 812, 
	812, 812, -1, 812, 812, 812, -1, 813, 
	813, 813, 813, 813, 813, -1, -1, 812, 
	812, -1, -1, 812, 812, 812, -1, 812, 
	812, -1, 813, 812, -1, -1, -1, -1, 
	-1, -1, -1, 813, 813, 813, 813, 813, 
	-1, 813, -1, 813, 811, -1, -1, -1, 
	813, -1, -1, 813, 813, -1, -1, -1, 
	-1, -1, 813, 813, -1, 812, 812, 813, 
	813, 813, -1, -1, -1, -1, 813, 813, 
	813, 813, 813, -1, -1, 814, 814, 814, 
	814, 814, 814, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	814, -1, -1, -1, -1, -1, -1, -1, 
	-1, 814, 814, 814, 814, 814, -1, 814, 
	-1, 814, 812, -1, -1, -1, 814, -1, 
	-1, 814, 814, -1, -1, -1, -1, -1, 
	814, 814, -1, -1, -1, 814, 814, 814, 
	-1, -1, -1, -1, 814, 814, 814, 814, 
	814, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 813, 813, 813, -1, -1, 813, 
	813, -1, -1, 813, 813, -1, -1, -1, 
	-1, 813, 813, 813, -1, 813, 813, 813, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 813, 813, -1, -1, 813, 813, 813, 
	-1, 813, 813, -1, -1, 813, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	814, 814, 814, -1, -1, 814, 814, 813, 
	813, 814, 814, -1, -1, -1, -1, 814, 
	814, 814, -1, 814, 814, 814, -1, 815, 
	815, 815, 815, 815, 815, -1, -1, 814, 
	814, -1, -1, 814, 814, 814, -1, 814, 
	814, -1, 815, 814, -1, -1, -1, -1, 
	-1, -1, -1, 815, 815, 815, 815, 815, 
	-1, 815, -1, 815, 813, -1, -1, -1, 
	815, -1, -1, 815, 815, -1, -1, -1, 
	-1, -1, 815, 815, -1, 814, 814, 815, 
	815, 815, -1, -1, -1, -1, 815, 815, 
	815, 815, 815, -1, -1, 816, 816, 816, 
	816, 816, 816, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	816, -1, -1, -1, -1, -1, -1, -1, 
	-1, 816, 816, 816, 816, 816, -1, 816, 
	-1, 816, 814, -1, -1, -1, 816, -1, 
	-1, 816, 816, -1, -1, -1, -1, -1, 
	816, 816, -1, -1, -1, 816, 816, 816, 
	-1, -1, -1, -1, 816, 816, 816, 816, 
	816, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 815, 815, 815, -1, -1, 815, 
	815, -1, -1, 815, 815, -1, -1, -1, 
	-1, 815, 815, 815, -1, 815, 815, 815, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 815, 815, -1, -1, 815, 815, 815, 
	-1, 815, 815, -1, -1, 815, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	816, 816, 816, -1, -1, 816, 816, 815, 
	815, 816, 816, -1, -1, -1, -1, 816, 
	816, 816, -1, 816, 816, 816, -1, 817, 
	817, 817, 817, 817, 817, -1, -1, 816, 
	816, -1, -1, 816, 816, 816, -1, 816, 
	816, -1, 817, 816, -1, -1, -1, -1, 
	-1, -1, -1, 817, 817, 817, 817, 817, 
	-1, 817, -1, 817, 815, -1, -1, -1, 
	817, -1, -1, 817, 817, -1, -1, -1, 
	-1, -1, 817, 817, -1, 816, 816, 817, 
	817, 817, -1, -1, -1, -1, 817, 817, 
	817, 817, 817, -1, -1, 818, 818, 818, 
	818, 818, 818, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	818, -1, -1, -1, -1, -1, -1, -1, 
	-1, 818, 818, 818, 818, 818, -1, 818, 
	-1, 818, 816, -1, -1, -1, 818, -1, 
	-1, 818, 818, -1, -1, -1, -1, -1, 
	818, 818, -1, -1, -1, 818, 818, 818, 
	-1, -1, -1, -1, 818, 818, 818, 818, 
	818, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 817, 817, 817, -1, -1, 817, 
	817, -1, -1, 817, 817, -1, -1, -1, 
	-1, 817, 817, 817, -1, 817, 817, 817, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 817, 817, -1, -1, 817, 817, 817, 
	-1, 817, 817, -1, -1, 817, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	818, 818, 818, -1, -1, 818, 818, 817, 
	817, 818, 818, -1, -1, -1, -1, 818, 
	818, 818, -1, 818, 818, 818, -1, 819, 
	819, 819, 819, 819, 819, -1, -1, 818, 
	818, -1, -1, 818, 818, 818, -1, 818, 
	818, -1, 819, 818, -1, -1, -1, -1, 
	-1, -1, -1, 819, 819, 819, 819, 819, 
	-1, 819, -1, 819, 817, -1, -1, -1, 
	819, -1, -1, 819, 819, -1, -1, -1, 
	-1, -1, 819, 819, -1, 818, 818, 819, 
	819, 819, -1, -1, -1, -1, 819, 819, 
	819, 819, 819, -1, -1, 820, 820, 820, 
	820, 820, 820, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	820, -1, -1, -1, -1, -1, -1, -1, 
	-1, 820, 820, 820, 820, 820, -1, 820, 
	-1, 820, 818, -1, -1, -1, 820, -1, 
	-1, 820, 820, -1, -1, -1, -1, -1, 
	820, 820, -1, -1, -1, 820, 820, 820, 
	-1, -1, -1, -1, 820, 820, 820, 820, 
	820, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 819, 819, 819, -1, -1, 819, 
	819, -1, -1, 819, 819, -1, -1, -1, 
	-1, 819, 819, 819, -1, 819, 819, 819, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 819, 819, -1, -1, 819, 819, 819, 
	-1, 819, 819, -1, -1, 819, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	820, 820, 820, -1, -1, 820, 820, 819, 
	819, 820, 820, -1, -1, -1, -1, 820, 
	820, 820, -1, 820, 820, 820, -1, 821, 
	821, 821, 821, 821, 821, -1, -1, 820, 
	820, -1, -1, 820, 820, 820, -1, 820, 
	820, -1, 821, 820, -1, -1, -1, -1, 
	-1, -1, -1, 821, 821, 821, 821, 821, 
	-1, 821, -1, 821, 819, -1, -1, -1, 
	821, -1, -1, 821, 821, -1, -1, -1, 
	-1, -1, 821, 821, -1, 820, 820, 821, 
	821, 821, -1, -1, -1, -1, 821, 821, 
	821, 821, 821, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 820, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 821, 821, 821, -1, -1, 821, 
	821, -1, -1, 821, 821, -1, -1, -1, 
	-1, 821, 821, 821, -1, 821, 821, 821, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 821, 821, -1, -1, 821, 821, 821, 
	-1, 821, 821, -1, -1, 821, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 821, 
	821, -1, -1, -1, -1, -1, 918, 918, 
	918, 918, 918, 918, 918, 918, 918, 918, 
	918, 918, 918, 918, 918, 918, 918, 918, 
	918, 918, 918, 918, 918, 918, 918, 478, 
	479, -1, 918, 918, 918, 918, 918, -1, 
	918, -1, 918, 918, 918, 918, -1, 918, 
	-1, 918, 918, 918, 821, 918, 918, 918, 
	918, 918, 918, 918, 918, 918, 918, 918, 
	918, -1, 918, 918, 918, 918, 918, 918, 
	918, 918, 918, -1, 918, 918, 918, 918, 
	-1, -1, -1, -1, -1, -1, -1, 918, 
	-1, -1, 918, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 918, 918, 918, 
	-1, 918, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	918, 918, 918, 918, -1, -1, 918, 918, 
	-1, 918, 918, 918, -1, -1, -1, -1, 
	918, 918, 918, -1, 918, 918, 918, -1, 
	-1, -1, -1, 918, -1, -1, -1, -1, 
	918, -1, -1, -1, 918, 918, 918, -1, 
	918, 918, -1, -1, 918, -1, -1, -1, 
	-1, -1, -1, -1, -1, 918, 918, 918, 
	918, 473, 475, 477, -1, -1, -1, -1, 
	918, 918, -1, -1, 918, 918, 918, 918, 
	918, 918, 918, 918, -1, 918, 918, 918, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 918, 
	918, 918, 918, 918, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 918, -1, 
	-1, -1, -1, -1, -1, 918, 54, 55, 
	56, 57, 85, 88, 86, 87, 89, 90, 
	1130, 83, 84, -1, -1, 36, 37, 41, 
	39, -1, -1, -1, 104, 106, 110, 108, 
	112, -1, -1, -1, -1, 42, 43, 44, 
	-1, -1, -1, 97, -1, -1, -1, 98, 
	38, -1, -1, 100, 102, 95, 94, 96, 
	-1, -1, -1, -1, 79, 80, 81, -1, 
	-1, -1, -1, 62, 78, -1, 116, 118, 
	120, 122, -1, -1, -1, -1, -1, -1, 
	-1, 82, -1, -1, 1130, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 73, 
	74, 75, -1, 76, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 927, 927, 
	927, 927, 927, 927, 927, 927, 927, 927, 
	927, 927, 927, 927, 927, 927, 927, 927, 
	927, 927, 927, 927, 927, 927, 927, 927, 
	927, -1, 927, 927, 927, 927, 927, -1, 
	927, -1, 927, 927, 927, 927, -1, 927, 
	918, 927, 927, 927, -1, 927, 927, 927, 
	927, 927, 927, 927, 927, 927, 927, 927, 
	927, -1, 927, 927, 927, 927, 927, 927, 
	927, 927, 927, -1, 927, 927, 927, 927, 
	-1, -1, -1, -1, -1, -1, -1, 927, 
	-1, -1, 927, -1, -1, -1, -1, -1, 
	-1, -1, 318, -1, -1, 927, 927, 927, 
	-1, 927, 1130, 1130, 471, -1, 35, 33, 
	34, 58, 69, 70, 71, 72, -1, 77, 
	92, 64, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 114, 99, 91, 40, 997, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 317, 
	927, 927, 927, 927, -1, -1, 927, 927, 
	-1, 927, 927, 927, -1, -1, -1, -1, 
	927, 927, 927, -1, 927, 927, 927, -1, 
	-1, -1, -1, 927, -1, -1, -1, -1, 
	927, -1, -1, -1, 927, 927, 927, -1, 
	927, 927, -1, -1, 927, -1, -1, -1, 
	-1, -1, -1, -1, -1, 927, 927, 927, 
	927, 927, 927, 927, -1, -1, -1, -1, 
	927, 927, -1, -1, 927, 927, 927, 927, 
	927, 927, 927, 927, -1, 927, 927, 927, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 927, 
	927, 927, 927, 927, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 927, -1, 
	-1, -1, -1, -1, -1, 927, -1, -1, 
	-1, -1, -1, -1, -1, 761, 761, 761, 
	761, 761, 761, 761, 761, 761, 761, 761, 
	761, 761, 761, 761, 761, 761, 761, 761, 
	761, 761, 761, 761, 761, 761, 761, 761, 
	-1, 761, 761, 761, 761, 761, -1, 761, 
	-1, 761, 761, 761, 761, -1, 761, -1, 
	761, 761, 761, -1, 761, 761, 761, 761, 
	761, 761, 761, 761, 761, 761, 761, 761, 
	-1, 761, 761, 761, 761, 761, 761, 761, 
	761, 761, -1, 761, 761, 761, 761, -1, 
	-1, -1, -1, -1, -1, -1, 761, -1, 
	-1, 761, -1, -1, -1, -1, -1, -1, 
	-1, 472, 474, 476, 761, 761, 761, -1, 
	761, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	927, -1, -1, -1, -1, -1, -1, 761, 
	761, 761, 761, -1, -1, 761, 761, -1, 
	761, 761, 761, -1, -1, -1, -1, 761, 
	761, 761, -1, 761, 761, 761, -1, -1, 
	-1, -1, 761, -1, -1, -1, -1, 761, 
	-1, -1, -1, 761, 761, 761, -1, 761, 
	761, -1, -1, 761, -1, -1, -1, -1, 
	-1, -1, -1, -1, 761, 761, 761, 761, 
	761, 761, 761, -1, -1, -1, -1, 761, 
	761, -1, -1, 761, 761, 761, 761, 761, 
	761, 761, 761, -1, 761, 761, 761, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 761, 761, 
	761, 761, 761, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 761, -1, -1, 
	-1, -1, -1, -1, 761, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 318, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 471, -1, 35, 33, 
	34, 58, 69, 70, 71, 72, -1, 77, 
	92, 64, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 114, 99, 91, 40, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 317, 
	-1, -1, -1, -1, -1, -1, -1, 761, 
	839, 839, 839, 839, 839, 839, 839, 839, 
	839, 839, 839, 839, 839, 839, 839, 839, 
	-1, 839, 839, 839, 839, 839, 839, 839, 
	839, -1, -1, -1, 839, 839, 839, 839, 
	839, -1, 839, -1, 839, 839, 839, 839, 
	-1, 839, -1, 839, 839, 839, -1, 839, 
	839, -1, -1, 839, 839, 839, 839, 839, 
	839, 839, 839, -1, 839, 839, 839, 839, 
	839, 839, 839, 839, 839, -1, 839, 839, 
	839, 839, -1, -1, -1, -1, -1, -1, 
	-1, 839, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 839, 
	839, 839, -1, 839, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 839, 839, 839, 839, -1, -1, 
	839, 839, 839, 839, 839, 839, -1, -1, 
	-1, -1, 839, 839, 839, 839, 839, 839, 
	839, -1, -1, -1, -1, 839, -1, -1, 
	-1, -1, 839, -1, -1, -1, 839, 839, 
	839, -1, 839, 839, -1, -1, 839, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 839, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 839, 839, 
	839, 839, 839, 839, 839, 839, -1, 839, 
	839, 839, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 839, 839, 839, 839, 839, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	839, -1, 839, 838, 838, 838, 838, 838, 
	838, 838, 838, 838, 838, 838, 838, 838, 
	838, 838, 838, -1, 838, 838, 838, 838, 
	838, 838, 838, 838, -1, -1, -1, 838, 
	838, 838, 838, 838, -1, 838, -1, 838, 
	838, 838, 838, -1, 838, -1, 838, 838, 
	838, -1, 838, 838, -1, -1, 838, 838, 
	838, 838, 838, 838, 838, 838, -1, 838, 
	838, 838, 838, 838, 838, 838, 838, 838, 
	-1, 838, 838, 838, 838, -1, -1, -1, 
	-1, -1, -1, -1, 838, -1, 788, 788, 
	788, 788, 788, 788, -1, -1, -1, -1, 
	-1, -1, 838, 838, 838, -1, 838, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 788, 788, 788, 788, 788, -1, 
	788, -1, 788, -1, -1, -1, -1, 788, 
	-1, -1, 788, -1, -1, -1, -1, -1, 
	-1, 788, 788, -1, -1, -1, 788, 788, 
	788, -1, -1, -1, -1, 788, 788, 788, 
	-1, 788, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 838, 838, 838, 
	838, -1, 839, 838, 838, 838, 838, 838, 
	838, -1, -1, -1, -1, 838, 838, 838, 
	838, 838, 838, 838, -1, -1, -1, -1, 
	838, -1, -1, -1, -1, 838, 838, -1, 
	-1, 838, 838, 838, -1, 838, 838, -1, 
	-1, 838, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 838, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 838, 838, 838, 838, 838, 838, 838, 
	838, -1, 838, 838, 838, -1, -1, -1, 
	-1, -1, 788, 788, -1, -1, 788, 788, 
	788, 788, -1, 788, -1, -1, -1, -1, 
	788, 788, 788, 788, 788, 788, 788, -1, 
	-1, -1, -1, -1, 838, 838, 838, 838, 
	838, -1, -1, -1, 788, 788, 788, -1, 
	788, 788, -1, 838, 788, 838, -1, -1, 
	838, 54, 55, 56, 57, 85, 88, 86, 
	87, 89, 90, 1130, 83, 84, -1, -1, 
	36, 37, 41, 39, 788, -1, -1, 104, 
	106, 110, 108, 112, -1, -1, 788, 788, 
	42, 43, 44, -1, -1, -1, 97, -1, 
	-1, -1, 98, 38, -1, -1, 100, 102, 
	95, 94, 96, -1, -1, -1, -1, 79, 
	80, 81, -1, -1, -1, -1, 62, 78, 
	-1, 116, 118, 120, 122, -1, -1, -1, 
	-1, -1, -1, -1, 82, -1, -1, 1130, 
	788, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 73, 74, 75, -1, 76, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 840, 840, 840, 840, 840, 840, 
	840, 840, 840, 840, 840, 840, 840, 840, 
	840, 840, -1, 840, 840, 840, 840, 840, 
	840, 840, 840, -1, -1, -1, 840, 840, 
	840, 840, 840, -1, 840, -1, 840, 840, 
	840, 840, -1, 840, -1, 840, 840, 840, 
	-1, 840, 840, -1, -1, 840, 840, 840, 
	840, 840, 840, 840, 840, 838, 840, 840, 
	840, 840, 840, 840, 840, 840, 840, -1, 
	840, 840, 840, 840, -1, -1, -1, -1, 
	-1, -1, -1, 840, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 840, 840, 840, -1, 840, -1, -1, 
	-1, -1, -1, -1, -1, 318, -1, -1, 
	-1, -1, -1, -1, -1, 1130, 1130, -1, 
	-1, 35, 33, 34, 58, 69, 70, 71, 
	72, -1, 77, 92, 64, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 114, 99, 91, 40, 
	997, -1, -1, -1, 840, 840, 840, 840, 
	-1, -1, 840, 840, -1, 840, 840, 840, 
	-1, -1, 490, -1, 840, 840, 840, -1, 
	840, 840, 840, -1, -1, -1, -1, 840, 
	-1, -1, -1, -1, 840, 840, -1, -1, 
	840, 840, 840, -1, 840, 840, -1, -1, 
	840, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 840, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	840, 840, 840, 840, 840, 840, 840, 840, 
	-1, 840, 840, 840, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 840, 840, 840, 840, 840, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 840, -1, -1, -1, -1, 840, 
	-1, -1, -1, 912, 912, 912, 912, 912, 
	912, 912, 912, 912, 912, 912, 912, 912, 
	912, 912, 912, 912, 912, 912, 912, 912, 
	912, 912, 912, 912, 912, 912, -1, 912, 
	912, 912, 912, 912, -1, 912, -1, 912, 
	912, 912, 912, -1, 912, -1, 912, 912, 
	912, -1, 912, 912, 912, 912, 912, 912, 
	912, 912, 912, 912, 912, 912, -1, 912, 
	912, 912, 912, 912, 912, 912, 912, 912, 
	-1, 912, 912, 912, 912, -1, -1, -1, 
	-1, -1, -1, -1, 912, -1, -1, 912, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 912, 912, 912, -1, 912, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 840, 912, 912, 912, 
	912, -1, -1, 912, 912, -1, 912, 912, 
	912, -1, -1, -1, -1, 912, 912, 912, 
	-1, 912, 912, 912, -1, -1, -1, -1, 
	912, -1, -1, -1, -1, 912, -1, -1, 
	-1, 912, 912, 912, -1, 912, 912, -1, 
	-1, 912, -1, -1, -1, -1, -1, -1, 
	-1, -1, 912, 912, 912, 912, 912, 912, 
	912, -1, -1, -1, -1, 912, 912, -1, 
	-1, 912, 912, 912, 912, 912, 912, 912, 
	912, -1, 912, 912, 912, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 912, 912, 912, 912, 
	912, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 912, -1, -1, -1, -1, 
	-1, -1, 912, -1, 910, 910, 910, 910, 
	910, 910, 910, 910, 910, 910, 910, 910, 
	910, 910, 910, 910, 910, 910, 910, 910, 
	910, 910, 910, 910, 910, 910, 910, -1, 
	910, 910, 910, 910, 910, -1, 910, -1, 
	910, 910, 910, 910, -1, 910, -1, 910, 
	910, 910, -1, 910, 910, 328, 330, 910, 
	910, 910, 910, 910, 910, 910, 910, -1, 
	910, 910, 910, 910, 910, 910, 910, 910, 
	910, -1, 910, 910, 910, 910, -1, -1, 
	-1, -1, -1, -1, -1, 910, -1, -1, 
	910, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 910, 910, 910, -1, 910, 
	-1, -1, -1, -1, -1, 318, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 35, 33, 34, 58, 69, 70, 71, 
	72, -1, 77, 92, 64, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 114, 99, 91, 40, 
	-1, -1, -1, -1, -1, 912, 910, 910, 
	910, 910, -1, -1, 910, 910, -1, 910, 
	910, 910, 490, -1, -1, -1, 910, 910, 
	910, -1, 910, 910, 910, -1, -1, -1, 
	-1, 910, -1, -1, -1, -1, 910, -1, 
	-1, -1, 910, 910, 910, -1, 910, 910, 
	-1, -1, 910, -1, -1, -1, -1, -1, 
	-1, -1, -1, 324, 326, 500, 910, 910, 
	910, 910, -1, -1, -1, -1, 910, 910, 
	-1, -1, 910, 910, 910, 910, 910, 910, 
	910, 910, -1, 910, 910, 910, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 910, 910, 910, 
	910, 910, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 910, -1, -1, -1, 
	-1, -1, -1, 910, -1, 911, 911, 911, 
	911, 911, 911, 911, 911, 911, 911, 911, 
	911, 911, 911, 911, 911, 911, 911, 911, 
	911, 911, 911, 911, 911, 911, 911, 911, 
	-1, 911, 911, 911, 911, 911, -1, 911, 
	-1, 911, 911, 911, 911, -1, 911, -1, 
	911, 911, 911, -1, 911, 911, 911, 911, 
	911, 911, 911, 911, 911, 911, 911, 911, 
	-1, 911, 911, 911, 911, 911, 911, 911, 
	911, 911, -1, 911, 911, 911, 911, -1, 
	-1, -1, -1, -1, -1, -1, 911, -1, 
	-1, 911, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 911, 911, 911, -1, 
	911, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 910, 911, 
	911, 911, 911, -1, -1, 911, 911, -1, 
	911, 911, 911, -1, -1, -1, -1, 911, 
	911, 911, -1, 911, 911, 911, -1, -1, 
	-1, -1, 911, -1, -1, -1, -1, 911, 
	-1, -1, -1, 911, 911, 911, -1, 911, 
	911, -1, -1, 911, -1, -1, -1, -1, 
	-1, -1, -1, -1, 911, 911, 911, 911, 
	911, 911, 911, -1, -1, -1, -1, 911, 
	911, -1, -1, 911, 911, 911, 911, 911, 
	911, 911, 911, -1, 911, 911, 911, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 911, 911, 
	911, 911, 911, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 911, -1, -1, 
	-1, -1, -1, -1, 911, 54, 55, 56, 
	57, 85, 88, 86, 87, 89, 90, -1, 
	83, 84, -1, -1, 36, 37, 41, 39, 
	-1, -1, -1, 104, 106, 110, 108, 112, 
	-1, -1, -1, -1, 42, 43, 44, -1, 
	-1, -1, 97, -1, -1, -1, 98, 38, 
	-1, -1, 100, 102, 95, 94, 96, -1, 
	-1, -1, -1, 79, 80, 81, -1, -1, 
	-1, -1, 62, 78, -1, 116, 118, 120, 
	122, -1, -1, -1, -1, -1, -1, -1, 
	82, -1, 304, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 73, 74, 
	75, -1, 76, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 858, 858, 858, 
	858, 858, 858, 858, 858, 858, 858, 858, 
	858, 858, 858, 858, 858, -1, 858, 858, 
	858, 858, 858, 858, 858, 858, -1, -1, 
	-1, 858, 858, 858, 858, 858, -1, 858, 
	-1, 858, 858, 858, 858, -1, 858, -1, 
	858, 858, 858, -1, 858, 858, -1, 911, 
	858, 858, 858, 858, 858, 858, 858, 858, 
	858, 858, 858, 858, 858, 858, 858, 858, 
	858, 858, 858, 858, 858, 858, 858, -1, 
	-1, -1, -1, -1, -1, -1, 858, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 858, 858, 858, -1, 
	858, 305, -1, 323, 325, 499, -1, -1, 
	497, -1, -1, -1, -1, 35, 33, 34, 
	58, 69, 70, 71, 72, -1, 77, 92, 
	64, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	114, 99, 91, 40, 997, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 858, 
	858, 858, 858, -1, -1, 858, 858, 858, 
	858, 858, 858, -1, -1, -1, -1, 858, 
	858, 858, 858, 858, 858, 858, -1, 858, 
	858, -1, 858, -1, -1, -1, -1, 858, 
	858, -1, -1, 858, 858, 858, -1, 858, 
	858, -1, -1, 858, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 858, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 858, 858, 858, 858, 858, 
	858, 858, 858, -1, 858, 858, 858, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 858, 858, 
	858, 858, 858, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 858, -1, 858, 
	-1, -1, 858, -1, -1, -1, 864, 864, 
	864, 864, 864, 864, 864, 864, 864, 864, 
	864, 864, 864, 864, 864, 864, -1, 864, 
	864, 864, 864, 864, 864, 864, 864, -1, 
	-1, -1, 864, 864, 864, 864, 864, -1, 
	864, -1, 864, 864, 864, 864, -1, 864, 
	-1, 864, 864, 864, -1, 864, 864, -1, 
	-1, 864, 864, 864, 864, 864, 864, 864, 
	864, 864, 864, 864, 864, 864, 864, 864, 
	864, 864, 864, 864, 864, 864, 864, 864, 
	-1, -1, -1, -1, -1, -1, -1, 864, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 864, 864, 864, 
	-1, 864, -1, 505, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 858, 
	864, 864, 864, 864, -1, -1, 864, 864, 
	864, 864, 864, 864, -1, -1, -1, -1, 
	864, 864, 864, 864, 864, 864, 864, -1, 
	864, 864, 504, 864, -1, -1, -1, -1, 
	864, 864, -1, -1, 864, 864, 864, -1, 
	864, 864, -1, -1, 864, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	864, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 864, 864, 864, 864, 
	864, 864, 864, 864, -1, 864, 864, 864, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 864, 
	864, 864, 864, 864, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 864, -1, 
	864, -1, -1, 864, -1, -1, -1, 934, 
	934, 934, 934, 934, 934, 934, 934, 934, 
	934, 934, 934, 934, 934, 934, 934, 934, 
	934, 934, 934, 934, 934, 934, 934, 934, 
	934, 934, -1, 934, 934, 934, 934, 934, 
	-1, 934, -1, 934, 934, 934, 934, 934, 
	934, -1, 934, 934, 934, -1, 934, 934, 
	934, 934, 934, 934, 934, 934, 934, 934, 
	934, 934, 934, 934, 934, 934, 934, 934, 
	934, 934, 934, 934, -1, 934, 934, 934, 
	934, -1, -1, -1, -1, -1, -1, -1, 
	934, -1, -1, 934, -1, -1, 934, -1, 
	-1, -1, -1, -1, -1, -1, 934, 934, 
	934, 305, 934, -1, -1, -1, -1, -1, 
	497, -1, -1, -1, -1, 35, 33, 34, 
	58, 69, 70, 71, 72, -1, 77, 92, 
	64, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 934, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	114, 99, 91, 40, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	864, 934, 934, 934, 934, -1, -1, 934, 
	934, 934, 934, 934, 934, -1, -1, -1, 
	-1, 934, 934, 934, 934, 934, 934, 934, 
	-1, -1, 934, -1, 934, -1, -1, -1, 
	-1, 934, 934, -1, 934, 934, 934, 934, 
	-1, 934, 934, -1, -1, 934, -1, -1, 
	-1, -1, -1, 934, -1, 934, 934, 934, 
	934, 934, 934, 934, 934, -1, -1, -1, 
	-1, 934, 934, -1, 934, 934, 934, 934, 
	934, 934, 934, 934, 934, -1, 934, 934, 
	934, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	934, 934, 934, 934, 934, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 934, 
	-1, 934, -1, -1, 934, 934, 934, -1, 
	1068, 1068, 1068, 1068, 1068, 1068, 1068, 1068, 
	1068, 1068, 1068, 1068, 1068, 1068, 1068, 1068, 
	1068, 1068, 1068, 1068, 1068, 1068, 1068, 1068, 
	1068, 1068, 1068, -1, 1068, 1068, 1068, 1068, 
	1068, -1, 1068, -1, 1068, 1068, 1068, 1068, 
	-1, 1068, -1, 1068, 1068, 1068, -1, 1068, 
	1068, 1068, 1068, 1068, 1068, 1068, 1068, 1068, 
	1068, 1068, 1068, -1, 1068, 1068, 1068, 1068, 
	1068, 1068, 1068, 1068, 1068, 1068, 1068, 1068, 
	1068, 1068, 1068, -1, 1068, -1, -1, -1, 
	-1, 1068, 1068, 1068, 1068, 1068, -1, -1, 
	1068, 1068, 1068, 1068, 1068, 1068, 1068, 1068, 
	1068, 1068, 1068, 1068, 1068, 1068, 1068, 1068, 
	-1, -1, -1, -1, -1, 1068, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 934, 1068, 1068, 1068, 1068, -1, -1, 
	1068, 1068, 1068, 1068, 1068, 1068, -1, -1, 
	-1, -1, 1068, 1068, 1068, 1068, 1068, 1068, 
	1068, -1, 504, -1, -1, 1068, -1, -1, 
	-1, -1, 1068, 1068, -1, -1, 1068, 1068, 
	1068, -1, 1068, 1068, -1, -1, 1068, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1068, 
	1068, 1068, 1068, 1068, 1068, 1068, -1, -1, 
	-1, 1068, 1068, 1068, -1, -1, 1068, 1068, 
	1068, 1068, 1068, 1068, 1068, 1068, -1, 1068, 
	1068, 1068, -1, -1, -1, 1068, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1068, 1068, 1068, -1, -1, 1068, -1, -1, 
	-1, -1, 1068, -1, -1, -1, -1, 1068, 
	-1, 1068, 1068, 1068, 1068, 1068, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1068, -1, 1068, -1, -1, 1068, -1, 1068, 
	1068, -1, -1, -1, 1068, -1, 1068, -1, 
	1068, 1009, 1009, 1009, 1009, 1009, 1009, 1009, 
	1009, 1009, 1009, 1009, 1009, 1009, 1009, 1009, 
	1009, 1009, 1009, 1009, 1009, 1009, 1009, 1009, 
	1009, 1009, 1009, 1009, -1, 1009, 1009, 1009, 
	1009, 1009, -1, 1009, -1, 1009, 1009, 1009, 
	1009, -1, 1009, -1, 1009, 1009, 1009, 1009, 
	1009, 1009, 1009, 1009, 1009, 1009, 1009, 1009, 
	1009, 1009, 1009, 1009, -1, 1009, 1009, 1009, 
	1009, 1009, 1009, 1009, 1009, 1009, 1009, 1009, 
	1009, 1009, 1009, 1009, -1, 1009, -1, -1, 
	1009, -1, 1009, 1009, 1009, 1009, 1009, -1, 
	-1, 1009, 1009, 1009, 1009, 1009, 1009, 1009, 
	1009, 1009, 1009, 1009, 1009, 1009, 1009, 1009, 
	1009, -1, -1, -1, -1, -1, 1009, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1068, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1009, 1009, 1009, 1009, -1, 
	-1, 1009, 1009, 1009, 1009, 1009, 1009, -1, 
	-1, -1, -1, 1009, 1009, 1009, 1009, 1009, 
	1009, 1009, -1, -1, -1, -1, 1009, -1, 
	-1, -1, -1, 1009, 1009, -1, -1, 1009, 
	1009, 1009, -1, 1009, 1009, -1, -1, 1009, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1009, 1009, 1009, 1009, 1009, 1009, 1009, -1, 
	-1, -1, 1009, 1009, 1009, 1009, -1, 1009, 
	1009, 1009, 1009, 1009, 1009, 1009, 1009, 1009, 
	1009, 1009, 1009, -1, -1, -1, 1009, 1009, 
	-1, -1, -1, 1009, 1009, -1, 1009, -1, 
	-1, 1009, 1009, 1009, -1, -1, 1009, -1, 
	1009, 1009, -1, 1009, -1, 1009, 1009, -1, 
	1009, -1, 1009, 1009, 1009, 1009, 1009, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1009, -1, 1009, -1, -1, 1009, -1, 
	1009, 1009, -1, 1009, -1, 1009, -1, 1009, 
	-1, 1009, 1010, 1010, 1010, 1010, 1010, 1010, 
	1010, 1010, 1010, 1010, 1010, 1010, 1010, 1010, 
	1010, 1010, 1010, 1010, 1010, 1010, 1010, 1010, 
	1010, 1010, 1010, 1010, 1010, -1, 1010, 1010, 
	1010, 1010, 1010, -1, 1010, -1, 1010, 1010, 
	1010, 1010, -1, 1010, -1, 1010, 1010, 1010, 
	1010, 1010, 1010, 1010, 1010, 1010, 1010, 1010, 
	1010, 1010, 1010, 1010, 1010, -1, 1010, 1010, 
	1010, 1010, 1010, 1010, 1010, 1010, 1010, 1010, 
	1010, 1010, 1010, 1010, 1010, -1, 1010, -1, 
	-1, 1010, -1, 1010, 1010, 1010, 1010, 1010, 
	-1, -1, 1010, 1010, 1010, 1010, 1010, 1010, 
	1010, 1010, 1010, 1010, 1010, 1010, 1010, 1010, 
	1010, 1010, -1, -1, -1, -1, -1, 1010, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1009, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1010, 1010, 1010, 1010, 
	-1, -1, 1010, 1010, 1010, 1010, 1010, 1010, 
	-1, -1, -1, -1, 1010, 1010, 1010, 1010, 
	1010, 1010, 1010, -1, -1, -1, -1, 1010, 
	-1, -1, -1, -1, 1010, 1010, -1, -1, 
	1010, 1010, 1010, -1, 1010, 1010, -1, -1, 
	1010, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1010, 1010, 1010, 1010, 1010, 1010, 1010, 
	-1, -1, -1, 1010, 1010, 1010, 1010, -1, 
	1010, 1010, 1010, 1010, 1010, 1010, 1010, 1010, 
	1010, 1010, 1010, 1010, -1, -1, -1, 1010, 
	1010, -1, -1, -1, 1010, 1010, -1, 1010, 
	-1, -1, 1010, 1010, 1010, -1, -1, 1010, 
	-1, 1010, 1010, -1, 1010, -1, 1010, 1010, 
	-1, 1010, -1, 1010, 1010, 1010, 1010, 1010, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1010, -1, 1010, -1, -1, 1010, 
	-1, 1010, 1010, -1, 1010, -1, 1010, -1, 
	1010, -1, 1010, 1069, 1069, 1069, 1069, 1069, 
	1069, 1069, 1069, 1069, 1069, 1069, 1069, 1069, 
	1069, 1069, 1069, 1069, 1069, 1069, 1069, 1069, 
	1069, 1069, 1069, 1069, 1069, 1069, -1, 1069, 
	1069, 1069, 1069, 1069, -1, 1069, -1, 1069, 
	1069, 1069, 1069, -1, 1069, -1, 1069, 1069, 
	1069, -1, 1069, 1069, 1069, 1069, 1069, 1069, 
	1069, 1069, 1069, 1069, 1069, 1069, -1, 1069, 
	1069, 1069, 1069, 1069, 1069, 1069, 1069, 1069, 
	1069, 1069, 1069, 1069, 1069, 1069, -1, 1069, 
	-1, -1, -1, -1, 1069, 1069, 1069, 1069, 
	1069, -1, -1, 1069, 1069, 1069, 1069, 1069, 
	1069, 1069, 1069, 1069, 1069, 1069, 1069, 1069, 
	1069, 1069, 1069, -1, -1, -1, -1, -1, 
	1069, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1010, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1069, 1069, 1069, 
	1069, -1, -1, 1069, 1069, 1069, 1069, 1069, 
	1069, -1, -1, -1, -1, 1069, 1069, 1069, 
	1069, 1069, 1069, 1069, -1, -1, -1, -1, 
	1069, -1, -1, -1, -1, 1069, 1069, -1, 
	-1, 1069, 1069, 1069, -1, 1069, 1069, -1, 
	-1, 1069, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1069, 1069, 1069, 1069, 1069, 1069, 
	1069, -1, -1, -1, 1069, 1069, 1069, -1, 
	-1, 1069, 1069, 1069, 1069, 1069, 1069, 1069, 
	1069, -1, 1069, 1069, 1069, -1, -1, -1, 
	1069, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1069, 1069, 1069, -1, -1, 
	1069, -1, -1, -1, -1, 1069, -1, -1, 
	-1, -1, 1069, -1, 1069, 1069, 1069, 1069, 
	1069, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1069, -1, 1069, -1, -1, 
	1069, -1, 1069, 1069, -1, -1, -1, 1069, 
	-1, 1069, -1, 1069, 1011, 1011, 1011, 1011, 
	1011, 1011, 1011, 1011, 1011, 1011, 1011, 1011, 
	1011, 1011, 1011, 1011, 1011, 1011, 1011, 1011, 
	1011, 1011, 1011, 1011, 1011, 1011, 1011, -1, 
	1011, 1011, 1011, 1011, 1011, -1, 1011, -1, 
	1011, 1011, 1011, 1011, -1, 1011, -1, 1011, 
	1011, 1011, 1011, 1011, 1011, 1011, 1011, 1011, 
	1011, 1011, 1011, 1011, 1011, 1011, 1011, -1, 
	1011, 1011, 1011, 1011, 1011, 1011, 1011, 1011, 
	1011, 1011, 1011, 1011, 1011, 1011, 1011, -1, 
	1011, -1, -1, 1011, -1, 1011, 1011, 1011, 
	1011, 1011, -1, -1, 1011, 1011, 1011, 1011, 
	1011, 1011, 1011, 1011, 1011, 1011, 1011, 1011, 
	1011, 1011, 1011, 1011, -1, -1, -1, -1, 
	-1, 1011, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1069, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1011, 1011, 
	1011, 1011, -1, -1, 1011, 1011, 1011, 1011, 
	1011, 1011, -1, -1, -1, -1, 1011, 1011, 
	1011, 1011, 1011, 1011, 1011, -1, -1, -1, 
	-1, 1011, -1, -1, -1, -1, 1011, 1011, 
	-1, -1, 1011, 1011, 1011, -1, 1011, 1011, 
	-1, -1, 1011, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1011, 1011, 1011, 1011, 1011, 
	1011, 1011, -1, -1, -1, 1011, 1011, 1011, 
	1011, -1, 1011, 1011, 1011, 1011, 1011, 1011, 
	1011, 1011, 1011, 1011, 1011, 1011, -1, -1, 
	-1, 1011, 1011, -1, -1, -1, 1011, 1011, 
	-1, 1011, -1, -1, 1011, 1011, 1011, -1, 
	-1, 1011, -1, 1011, 1011, -1, 1011, -1, 
	1011, 1011, -1, 1011, -1, 1011, 1011, 1011, 
	1011, 1011, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1011, -1, 1011, -1, 
	-1, 1011, -1, 1011, 1011, -1, 1011, -1, 
	1011, -1, 1011, -1, 1011, 1012, 1012, 1012, 
	1012, 1012, 1012, 1012, 1012, 1012, 1012, 1012, 
	1012, 1012, 1012, 1012, 1012, 1012, 1012, 1012, 
	1012, 1012, 1012, 1012, 1012, 1012, 1012, 1012, 
	-1, 1012, 1012, 1012, 1012, 1012, -1, 1012, 
	-1, 1012, 1012, 1012, 1012, -1, 1012, -1, 
	1012, 1012, 1012, 1012, 1012, 1012, 1012, 1012, 
	1012, 1012, 1012, 1012, 1012, 1012, 1012, 1012, 
	-1, 1012, 1012, 1012, 1012, 1012, 1012, 1012, 
	1012, 1012, 1012, 1012, 1012, 1012, 1012, 1012, 
	-1, 1012, -1, -1, 1012, -1, 1012, 1012, 
	1012, 1012, 1012, -1, -1, 1012, 1012, 1012, 
	1012, 1012, 1012, 1012, 1012, 1012, 1012, 1012, 
	1012, 1012, 1012, 1012, 1012, -1, -1, -1, 
	-1, -1, 1012, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1011, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1012, 
	1012, 1012, 1012, -1, -1, 1012, 1012, 1012, 
	1012, 1012, 1012, -1, -1, -1, -1, 1012, 
	1012, 1012, 1012, 1012, 1012, 1012, -1, -1, 
	-1, -1, 1012, -1, -1, -1, -1, 1012, 
	1012, -1, -1, 1012, 1012, 1012, -1, 1012, 
	1012, -1, -1, 1012, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1012, 1012, 1012, 1012, 
	1012, 1012, 1012, -1, -1, -1, 1012, 1012, 
	1012, 1012, -1, 1012, 1012, 1012, 1012, 1012, 
	1012, 1012, 1012, 1012, 1012, 1012, 1012, -1, 
	-1, -1, 1012, 1012, -1, -1, -1, 1012, 
	1012, -1, 1012, -1, -1, 1012, 1012, 1012, 
	-1, -1, 1012, -1, 1012, 1012, -1, 1012, 
	-1, 1012, 1012, -1, 1012, -1, 1012, 1012, 
	1012, 1012, 1012, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1012, -1, 1012, 
	-1, -1, 1012, -1, 1012, 1012, -1, 1012, 
	-1, 1012, -1, 1012, -1, 1012, 1070, 1070, 
	1070, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
	1070, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
	1070, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
	1070, -1, 1070, 1070, 1070, 1070, 1070, -1, 
	1070, -1, 1070, 1070, 1070, 1070, -1, 1070, 
	-1, 1070, 1070, 1070, -1, 1070, 1070, 1070, 
	1070, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
	1070, -1, 1070, 1070, 1070, 1070, 1070, 1070, 
	1070, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
	1070, -1, 1070, -1, -1, -1, -1, 1070, 
	1070, 1070, 1070, 1070, -1, -1, 1070, 1070, 
	1070, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
	1070, 1070, 1070, 1070, 1070, 1070, -1, -1, 
	-1, -1, -1, 1070, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1012, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1070, 1070, 1070, 1070, -1, -1, 1070, 1070, 
	1070, 1070, 1070, 1070, -1, -1, -1, -1, 
	1070, 1070, 1070, 1070, 1070, 1070, 1070, -1, 
	-1, -1, -1, 1070, -1, -1, -1, -1, 
	1070, 1070, -1, -1, 1070, 1070, 1070, -1, 
	1070, 1070, -1, -1, 1070, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1070, 1070, 1070, 
	1070, 1070, 1070, 1070, -1, -1, -1, 1070, 
	1070, 1070, -1, -1, 1070, 1070, 1070, 1070, 
	1070, 1070, 1070, 1070, -1, 1070, 1070, 1070, 
	-1, -1, -1, 1070, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1070, 1070, 
	1070, -1, -1, 1070, -1, -1, -1, -1, 
	1070, -1, -1, -1, -1, 1070, -1, 1070, 
	1070, 1070, 1070, 1070, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1070, -1, 
	1070, -1, -1, 1070, -1, 1070, 1070, -1, 
	-1, -1, 1070, -1, 1070, -1, 1070, 85, 
	88, 86, 87, 89, 90, -1, 83, 84, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 104, 106, 110, 108, 112, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	97, -1, -1, -1, 98, -1, -1, -1, 
	100, 102, 95, 94, 96, -1, -1, -1, 
	-1, 79, 80, 81, -1, -1, -1, -1, 
	997, 78, -1, 116, 118, 120, 122, -1, 
	-1, -1, -1, -1, -1, -1, 82, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 73, 74, 75, -1, 
	76, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1071, 1071, 1071, 1071, 1071, 1071, 
	1071, 1071, 1071, 1071, 1071, 1071, 1071, 1071, 
	1071, 1071, 1071, 1071, 1071, 1071, 1071, 1071, 
	1071, 1071, 1071, 1071, 1071, -1, 1071, 1071, 
	1071, 1071, 1071, -1, 1071, -1, 1071, 1071, 
	1071, 1071, -1, 1071, -1, 1071, 1071, 1071, 
	1070, 1071, 1071, 1071, 1071, 1071, 1071, 1071, 
	1071, 1071, 1071, 1071, 1071, -1, 1071, 1071, 
	1071, 1071, 1071, 1071, 1071, 1071, 1071, 1071, 
	1071, 1071, 1071, 1071, 1071, -1, 1071, -1, 
	-1, -1, -1, 1071, 1071, 1071, 1071, 1071, 
	-1, -1, 1071, 1071, 1071, 1071, 1071, 1071, 
	1071, 1071, 1071, 1071, 1071, 1071, 1071, 1071, 
	1071, 1071, -1, -1, -1, -1, -1, 1071, 
	-1, -1, -1, -1, -1, -1, 511, 69, 
	70, 71, 72, -1, 77, 92, 64, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, 997, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1071, 1071, 1071, 1071, 
	-1, -1, 1071, 1071, 1071, 1071, 1071, 1071, 
	-1, -1, -1, -1, 1071, 1071, 1071, 1071, 
	1071, 1071, 1071, -1, -1, -1, -1, 1071, 
	-1, -1, -1, -1, 1071, 1071, -1, -1, 
	1071, 1071, 1071, -1, 1071, 1071, -1, -1, 
	1071, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1071, 1071, 1071, 1071, 1071, 1071, 1071, 
	-1, -1, -1, 1071, 1071, 1071, -1, -1, 
	1071, 1071, 1071, 1071, 1071, 1071, 1071, 1071, 
	-1, 1071, 1071, 1071, -1, -1, -1, 1071, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1071, 1071, 1071, -1, -1, 1071, 
	-1, -1, -1, -1, 1071, -1, -1, -1, 
	-1, 1071, -1, 1071, 1071, 1071, 1071, 1071, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1071, -1, 1071, -1, -1, 1071, 
	-1, 1071, 1071, -1, -1, -1, 1071, -1, 
	1071, -1, 1071, 972, 972, 972, 972, 972, 
	972, 972, 972, 972, 972, 972, 972, 972, 
	972, 972, 972, 972, 972, 972, 972, 972, 
	972, 972, 972, 972, 972, 972, -1, 972, 
	972, 972, 972, 972, -1, 972, -1, 972, 
	972, 972, 972, -1, 972, -1, 972, 972, 
	972, -1, 972, 972, 972, 972, 972, 972, 
	972, 972, 972, 972, 972, 972, -1, 972, 
	972, 972, 972, 972, 972, 972, 972, 972, 
	972, 972, 972, 972, 972, 972, -1, 972, 
	-1, -1, -1, -1, 972, 972, 972, 972, 
	972, -1, -1, 972, 972, 972, 972, 972, 
	972, 972, 972, 972, 972, 972, 972, 972, 
	972, 972, 972, -1, -1, -1, -1, -1, 
	972, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1071, -1, -1, -1, 
	-1, -1, -1, -1, -1, 972, 972, 972, 
	972, -1, -1, 972, 972, 972, 972, 972, 
	972, -1, -1, -1, -1, 972, 972, 972, 
	972, 972, 972, 972, -1, -1, -1, -1, 
	972, -1, -1, -1, -1, 972, 972, -1, 
	-1, 972, 972, 972, -1, 972, 972, -1, 
	-1, 972, -1, -1, -1, -1, -1, -1, 
	-1, -1, 972, 972, 972, 972, 972, 972, 
	972, -1, -1, -1, 972, 972, 972, -1, 
	-1, 972, 972, 972, 972, 972, 972, 972, 
	972, -1, 972, 972, 972, -1, -1, -1, 
	972, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 972, 972, 972, -1, -1, 
	972, -1, -1, -1, -1, 972, -1, -1, 
	-1, -1, 972, -1, 972, 972, 972, 972, 
	972, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 972, -1, 972, -1, -1, 
	972, -1, 972, 972, -1, -1, -1, 972, 
	-1, 972, -1, 972, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 511, 69, 
	70, 71, 72, -1, 77, 92, 64, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 972, 959, 959, 
	959, 959, 959, 959, 959, 959, 959, 959, 
	959, 959, 959, 959, 959, 959, 959, 959, 
	959, 959, 959, 959, 959, 959, 959, 959, 
	959, -1, 959, 959, 959, 959, 959, -1, 
	959, -1, 959, 959, 959, 959, -1, 959, 
	-1, 959, 959, 959, -1, 959, 959, 959, 
	959, 959, 959, 959, 959, 959, 959, 959, 
	959, -1, 959, 959, 959, 959, 959, 959, 
	959, 959, 959, 959, 959, 959, 959, 959, 
	959, -1, 959, -1, -1, -1, -1, 959, 
	959, 959, 959, 959, -1, -1, 959, 959, 
	959, 959, 959, 959, 959, 959, 959, 959, 
	959, 959, 959, 959, 959, 959, -1, -1, 
	-1, -1, -1, 959, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	959, 959, 959, 959, -1, -1, 959, 959, 
	959, 959, 959, 959, -1, -1, -1, -1, 
	959, 959, 959, 959, 959, 959, 959, -1, 
	-1, -1, -1, 959, -1, -1, -1, -1, 
	959, 959, -1, -1, 959, 959, 959, -1, 
	959, 959, -1, -1, 959, -1, -1, -1, 
	-1, -1, -1, -1, -1, 959, 959, 959, 
	959, 959, 959, 959, -1, -1, -1, 959, 
	959, 959, -1, -1, 959, 959, 959, 959, 
	959, 959, 959, 959, -1, 959, 959, 959, 
	-1, -1, -1, 959, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 959, 959, 
	959, -1, -1, 959, -1, -1, -1, -1, 
	959, -1, -1, -1, -1, 959, -1, 959, 
	959, 959, 959, 959, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 959, -1, 
	959, -1, -1, 959, -1, 959, 959, -1, 
	-1, -1, 959, -1, 959, -1, 959, 835, 
	835, 835, 835, 835, 835, 835, 835, 835, 
	835, 835, 835, 835, 835, 835, 835, -1, 
	835, 835, 835, 835, 835, 835, 835, 835, 
	-1, -1, -1, 835, 835, 835, 835, 835, 
	-1, 835, -1, 835, 835, 835, 835, -1, 
	835, -1, 835, 835, 835, -1, 835, 835, 
	-1, -1, 835, 835, 835, 835, 835, 835, 
	835, 835, -1, 835, 835, 835, 835, 835, 
	835, 835, 835, 835, -1, 835, 835, 835, 
	835, -1, -1, -1, -1, 396, -1, -1, 
	835, -1, 27, 28, 1120, 25, 23, 26, 
	-1, 835, -1, -1, -1, -1, 835, 835, 
	835, -1, 835, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 850, 850, 
	850, 850, 850, -1, 32, -1, 46, -1, 
	-1, -1, -1, 49, -1, -1, 47, -1, 
	-1, -1, -1, -1, -1, 850, 850, -1, 
	-1, -1, 24, 53, 52, -1, -1, -1, 
	-1, 66, 67, 68, -1, 60, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	959, -1, -1, -1, -1, -1, -1, -1, 
	-1, 835, 835, 835, 835, -1, -1, 835, 
	835, 835, 835, 835, 835, -1, -1, -1, 
	-1, 835, 835, 835, 835, 835, 835, 835, 
	-1, -1, -1, -1, 835, -1, -1, -1, 
	-1, 835, 835, -1, -1, 835, 835, 835, 
	-1, 835, 835, -1, -1, 835, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 835, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 835, 835, 835, 
	835, 835, 835, 835, 835, -1, 835, 835, 
	835, -1, -1, -1, -1, -1, 378, 48, 
	-1, -1, 377, 379, 363, 376, -1, 375, 
	-1, -1, -1, -1, 31, 373, 374, 364, 
	29, 372, 365, -1, -1, -1, -1, -1, 
	835, 835, 835, 835, 835, -1, -1, -1, 
	370, 371, 366, -1, 367, 368, -1, 835, 
	369, 835, -1, -1, 835, -1, -1, -1, 
	836, 836, 836, 836, 836, 836, 836, 836, 
	836, 836, 836, 836, 836, 836, 836, 836, 
	380, 836, 836, 836, 836, 836, 836, 836, 
	836, -1, 850, 850, 836, 836, 836, 836, 
	836, -1, 836, -1, 836, 836, 836, 836, 
	-1, 836, -1, 836, 836, 836, -1, 836, 
	836, -1, -1, 836, 836, 836, 836, 836, 
	836, 836, 836, -1, 836, 836, 836, 836, 
	836, 836, 836, 836, 836, -1, 836, 836, 
	836, 836, -1, -1, 514, -1, -1, -1, 
	-1, 836, -1, 789, 789, 789, 789, 789, 
	789, -1, 836, -1, -1, -1, -1, 836, 
	836, 836, -1, 836, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 789, 
	789, 789, 789, 789, -1, 789, -1, 789, 
	-1, -1, -1, -1, 789, -1, -1, 789, 
	-1, -1, -1, -1, -1, -1, 789, 789, 
	-1, -1, -1, 789, 789, 789, -1, -1, 
	-1, -1, 789, 789, 789, -1, 789, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 835, 836, 836, 836, 836, -1, -1, 
	836, 836, 836, 836, 836, 836, -1, -1, 
	-1, -1, 836, 836, 836, 836, 836, 836, 
	836, -1, -1, -1, -1, 836, -1, -1, 
	-1, -1, 836, 836, -1, -1, 836, 836, 
	836, -1, 836, 836, -1, -1, 836, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 836, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 836, 836, 
	836, 836, 836, 836, 836, 836, -1, 836, 
	836, 836, -1, -1, -1, -1, -1, 789, 
	789, -1, -1, 789, 789, 789, 789, -1, 
	789, -1, -1, -1, -1, 789, 789, 789, 
	789, 789, 789, 789, -1, -1, -1, -1, 
	-1, 836, 836, 836, 836, 836, -1, -1, 
	-1, 789, 789, 789, -1, 789, 789, -1, 
	836, 789, 836, -1, -1, 836, -1, -1, 
	-1, 790, 790, 790, 790, 790, 790, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 789, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 789, 789, 790, 790, 790, 
	790, 790, -1, 790, -1, 790, -1, -1, 
	-1, -1, 790, -1, -1, 790, -1, -1, 
	-1, -1, -1, -1, 790, 790, -1, -1, 
	-1, 790, 790, 790, -1, -1, -1, -1, 
	790, 790, 790, -1, 790, -1, -1, -1, 
	-1, -1, -1, -1, -1, 789, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 836, -1, -1, 790, 790, -1, 
	-1, 790, 790, 790, 790, -1, 790, -1, 
	-1, -1, -1, 790, 790, 790, 790, 790, 
	790, 790, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 790, 
	790, 790, -1, 790, 790, -1, -1, 790, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 790, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 790, 790, -1, -1, -1, 378, 48, 
	-1, -1, 377, 379, 363, 376, -1, 375, 
	-1, -1, -1, -1, 31, 373, 374, 364, 
	29, 372, 365, 791, 791, 791, 791, 791, 
	791, -1, -1, -1, -1, -1, -1, -1, 
	370, 371, 366, -1, 367, 368, -1, -1, 
	369, -1, -1, 790, -1, -1, -1, 791, 
	791, 791, 791, 791, -1, 791, -1, 791, 
	-1, -1, -1, -1, 791, -1, -1, 791, 
	380, -1, -1, -1, -1, -1, 791, 791, 
	-1, -1, -1, 791, 791, 791, -1, -1, 
	-1, -1, 791, 791, 791, -1, 791, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 792, 792, 792, 792, 792, 792, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 514, 792, 792, 792, 
	792, 792, -1, 792, -1, 792, -1, -1, 
	-1, -1, 792, -1, -1, 792, -1, -1, 
	-1, -1, -1, -1, 792, 792, -1, -1, 
	-1, 792, 792, 792, -1, -1, -1, -1, 
	792, 792, 792, -1, 792, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 791, 
	791, -1, -1, 791, 791, 791, 791, -1, 
	791, -1, -1, -1, -1, 791, 791, 791, 
	791, 791, 791, 791, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 791, 791, 791, -1, 791, 791, -1, 
	-1, 791, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 791, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 791, 791, 792, 792, -1, 
	-1, 792, 792, 792, 792, -1, 792, -1, 
	-1, -1, -1, 792, 792, 792, 792, 792, 
	792, 792, -1, -1, 793, 793, 793, 793, 
	793, 793, -1, -1, -1, -1, -1, 792, 
	792, 792, -1, 792, 792, -1, -1, 792, 
	-1, -1, -1, -1, -1, 791, -1, -1, 
	793, 793, 793, 793, 793, -1, 793, -1, 
	793, -1, -1, -1, -1, 793, -1, 792, 
	793, -1, -1, -1, -1, -1, -1, 793, 
	793, 792, 792, -1, 793, 793, 793, -1, 
	-1, -1, -1, 793, 793, 793, -1, 793, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 794, 794, 794, 794, 794, 794, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 792, -1, -1, 794, 794, 
	794, 794, 794, -1, 794, -1, 794, -1, 
	-1, -1, -1, 794, -1, -1, 794, -1, 
	-1, -1, -1, -1, -1, 794, 794, -1, 
	-1, -1, 794, 794, 794, -1, -1, -1, 
	-1, 794, 794, 794, -1, 794, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	793, 793, -1, -1, 793, 793, 793, 793, 
	-1, 793, -1, -1, -1, -1, 793, 793, 
	793, 793, 793, 793, 793, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 793, 793, 793, -1, 793, 793, 
	-1, -1, 793, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 793, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 793, 793, 794, 794, 
	-1, -1, 794, 794, 794, 794, -1, 794, 
	-1, -1, -1, -1, 794, 794, 794, 794, 
	794, 794, 794, -1, -1, 795, 795, 795, 
	795, 795, 795, -1, -1, -1, -1, -1, 
	794, 794, 794, -1, 794, 794, -1, -1, 
	794, -1, -1, -1, -1, -1, 793, -1, 
	-1, 795, 795, 795, 795, 795, -1, 795, 
	-1, 795, -1, -1, -1, -1, 795, -1, 
	794, 795, -1, -1, -1, -1, -1, -1, 
	795, 795, 794, 794, -1, 795, 795, 795, 
	-1, -1, -1, -1, 795, 795, 795, -1, 
	795, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 796, 796, 796, 796, 796, 
	796, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 794, -1, -1, 796, 
	796, 796, 796, 796, -1, 796, -1, 796, 
	-1, -1, -1, -1, 796, -1, -1, 796, 
	-1, -1, -1, -1, -1, -1, 796, 796, 
	-1, -1, -1, 796, 796, 796, -1, -1, 
	-1, -1, 796, 796, 796, -1, 796, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 795, 795, -1, -1, 795, 795, 795, 
	795, -1, 795, -1, -1, -1, -1, 795, 
	795, 795, 795, 795, 795, 795, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 795, 795, 795, -1, 795, 
	795, -1, -1, 795, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 795, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 795, 795, 796, 
	796, -1, -1, 796, 796, 796, 796, -1, 
	796, -1, -1, -1, -1, 796, 796, 796, 
	796, 796, 796, 796, -1, -1, 797, 797, 
	797, 797, 797, 797, -1, -1, -1, -1, 
	-1, 796, 796, 796, -1, 796, 796, -1, 
	-1, 796, -1, -1, -1, -1, -1, 795, 
	-1, -1, 797, 797, 797, 797, 797, -1, 
	797, -1, 797, -1, -1, -1, -1, 797, 
	-1, 796, 797, -1, -1, -1, -1, -1, 
	-1, 797, 797, 796, 796, -1, 797, 797, 
	797, -1, -1, -1, -1, 797, 797, 797, 
	-1, 797, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 798, 798, 798, 798, 
	798, 798, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 796, -1, -1, 
	798, 798, 798, 798, 798, -1, 798, -1, 
	798, -1, -1, -1, -1, 798, -1, -1, 
	798, -1, -1, -1, -1, -1, -1, 798, 
	798, -1, -1, -1, 798, 798, 798, -1, 
	-1, -1, -1, 798, 798, 798, -1, 798, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 797, 797, -1, -1, 797, 797, 
	797, 797, -1, 797, -1, -1, -1, -1, 
	797, 797, 797, 797, 797, 797, 797, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 797, 797, 797, -1, 
	797, 797, -1, -1, 797, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 797, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 797, 797, 
	798, 798, -1, -1, 798, 798, 798, 798, 
	-1, 798, -1, -1, -1, -1, 798, 798, 
	798, 798, 798, 798, 798, -1, -1, 799, 
	799, 799, 799, 799, 799, -1, -1, -1, 
	-1, -1, 798, 798, 798, -1, 798, 798, 
	-1, -1, 798, -1, -1, -1, -1, -1, 
	797, -1, -1, 799, 799, 799, 799, 799, 
	-1, 799, -1, 799, -1, -1, -1, -1, 
	799, -1, 798, 799, -1, -1, -1, -1, 
	-1, -1, 799, 799, 798, 798, -1, 799, 
	799, 799, -1, -1, -1, -1, 799, 799, 
	799, -1, 799, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 800, 800, 800, 
	800, 800, 800, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 798, -1, 
	-1, 800, 800, 800, 800, 800, -1, 800, 
	-1, 800, -1, -1, -1, -1, 800, -1, 
	-1, 800, -1, -1, -1, -1, -1, -1, 
	800, 800, -1, -1, -1, 800, 800, 800, 
	-1, -1, -1, -1, 800, 800, 800, -1, 
	800, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 799, 799, -1, -1, 799, 
	799, 799, 799, -1, 799, -1, -1, -1, 
	-1, 799, 799, 799, 799, 799, 799, 799, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 799, 799, 799, 
	-1, 799, 799, -1, -1, 799, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 799, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 799, 
	799, 800, 800, -1, -1, 800, 800, 800, 
	800, -1, 800, -1, -1, -1, -1, 800, 
	800, 800, 800, 800, 800, 800, -1, -1, 
	801, 801, 801, 801, 801, 801, -1, -1, 
	-1, -1, -1, 800, 800, 800, -1, 800, 
	800, -1, -1, 800, -1, -1, -1, -1, 
	-1, 799, -1, -1, 801, 801, 801, 801, 
	801, -1, 801, -1, 801, -1, -1, -1, 
	-1, 801, -1, 800, 801, -1, -1, -1, 
	-1, -1, -1, 801, 801, 800, 800, -1, 
	801, 801, 801, -1, -1, -1, -1, 801, 
	801, 801, -1, 801, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 802, 802, 
	802, 802, 802, 802, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 800, 
	-1, -1, 802, 802, 802, 802, 802, -1, 
	802, -1, 802, -1, -1, -1, -1, 802, 
	-1, -1, 802, -1, -1, -1, -1, -1, 
	-1, 802, 802, -1, -1, -1, 802, 802, 
	802, -1, -1, -1, -1, 802, 802, 802, 
	-1, 802, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 801, 801, -1, -1, 
	801, 801, 801, 801, -1, 801, -1, -1, 
	-1, -1, 801, 801, 801, 801, 801, 801, 
	801, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 801, 801, 
	801, -1, 801, 801, -1, -1, 801, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 801, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	801, 801, 802, 802, -1, -1, 802, 802, 
	802, 802, -1, 802, -1, -1, -1, -1, 
	802, 802, 802, 802, 802, 802, 802, -1, 
	-1, 853, 853, 853, 853, 853, 853, -1, 
	-1, -1, -1, -1, 802, 802, 802, -1, 
	802, 802, -1, -1, 802, -1, -1, -1, 
	-1, -1, 801, -1, -1, 853, 853, 853, 
	853, 853, -1, 853, -1, 853, -1, -1, 
	-1, -1, 853, -1, 802, 853, -1, -1, 
	-1, -1, -1, -1, 853, 853, 802, 802, 
	-1, 853, 853, 853, -1, -1, -1, -1, 
	853, 853, 853, -1, 853, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	802, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 853, 853, -1, 
	-1, 853, 853, 853, 853, -1, 853, -1, 
	-1, -1, -1, 853, 853, 853, 853, 853, 
	853, 853, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 853, 
	853, 853, -1, 853, 853, -1, -1, 853, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 853, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 853, 853, -1, -1, 932, 932, 932, 
	932, 932, 932, 932, 932, 932, 932, 932, 
	932, 932, 932, 932, 932, 932, 932, 932, 
	932, 932, 932, 932, 932, 932, 932, 932, 
	-1, 932, 932, 932, 932, 932, -1, 932, 
	-1, 932, 932, 932, 932, -1, 932, -1, 
	932, 932, 932, 853, 932, 932, 932, 932, 
	932, 932, 932, 932, 932, 932, 932, 932, 
	-1, 932, 932, 932, 932, 932, 932, 932, 
	932, 932, -1, 932, 932, 932, 932, -1, 
	-1, -1, -1, -1, -1, -1, 932, -1, 
	-1, 932, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 932, 932, 932, -1, 
	932, -1, -1, 212, 213, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 932, 
	932, 932, 932, -1, -1, 932, 932, 932, 
	932, 932, 932, -1, -1, -1, -1, 932, 
	932, 932, 932, 932, 932, 932, -1, -1, 
	-1, -1, 932, -1, -1, -1, -1, 932, 
	932, -1, -1, 932, 932, 932, -1, 932, 
	932, -1, -1, 932, -1, -1, -1, -1, 
	-1, -1, -1, -1, 932, 932, 932, 932, 
	932, 932, 932, -1, -1, -1, -1, 932, 
	932, -1, -1, 932, 932, 932, 932, 932, 
	932, 932, 932, -1, 932, 932, 932, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 932, 932, 
	932, 932, 932, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 932, -1, 932, 
	-1, -1, 932, -1, 932, -1, 941, 941, 
	941, 941, 941, 941, 941, 941, 941, 941, 
	941, 941, 941, 941, 941, 941, 941, 941, 
	941, 941, 941, 941, 941, 941, 941, 941, 
	941, -1, 941, 941, 941, 941, 941, -1, 
	941, -1, 941, 941, 941, 941, -1, 941, 
	-1, 941, 941, 941, -1, 941, 941, 941, 
	941, 941, 941, 941, 941, 941, 941, 941, 
	941, -1, 941, 941, 941, 941, 941, 941, 
	941, 941, 941, 941, 941, 941, 941, 941, 
	941, -1, -1, -1, -1, -1, -1, 941, 
	941, 941, 941, -1, -1, -1, 214, 215, 
	941, 216, 217, 218, 219, 941, 941, 941, 
	941, 941, -1, -1, 941, 941, -1, -1, 
	-1, -1, -1, 941, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 932, 
	941, 941, 941, 941, -1, -1, 941, 941, 
	941, 941, 941, 941, -1, -1, -1, -1, 
	941, 941, 941, 941, 941, 941, 941, -1, 
	-1, -1, -1, 941, -1, -1, -1, -1, 
	941, 941, -1, -1, 941, 941, 941, -1, 
	941, 941, -1, -1, 941, -1, -1, -1, 
	-1, -1, -1, -1, -1, 941, 941, 941, 
	941, 941, 941, 941, -1, -1, -1, 941, 
	941, 941, -1, -1, 941, 941, 941, 941, 
	941, 941, 941, 941, -1, 941, 941, 941, 
	-1, -1, -1, 941, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 941, 941, 
	941, -1, -1, 941, -1, -1, -1, -1, 
	941, -1, -1, -1, -1, 941, -1, 941, 
	941, 941, 941, 941, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 941, -1, 
	941, -1, -1, 941, -1, 941, 941, -1, 
	-1, -1, 941, -1, 941, -1, 941, 942, 
	942, 942, 942, 942, 942, 942, 942, 942, 
	942, 942, 942, 942, 942, 942, 942, 942, 
	942, 942, 942, 942, 942, 942, 942, 942, 
	942, 942, -1, 942, 942, 942, 942, 942, 
	-1, 942, -1, 942, 942, 942, 942, -1, 
	942, -1, 942, 942, 942, -1, 942, 942, 
	942, 942, 942, 942, 942, 942, 942, 942, 
	942, 942, -1, 942, 942, 942, 942, 942, 
	942, 942, 942, 942, 942, 942, 942, 942, 
	942, 942, -1, -1, -1, -1, -1, -1, 
	942, 942, 942, 942, -1, -1, -1, 214, 
	215, 942, 216, 217, 218, 219, 942, 942, 
	942, 942, 942, -1, -1, 942, 942, -1, 
	-1, -1, -1, -1, 942, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	941, -1, -1, -1, -1, -1, -1, -1, 
	-1, 942, 942, 942, 942, -1, -1, 942, 
	942, 942, 942, 942, 942, -1, -1, -1, 
	-1, 942, 942, 942, 942, 942, 942, 942, 
	-1, -1, -1, -1, 942, -1, -1, -1, 
	-1, 942, 942, -1, -1, 942, 942, 942, 
	-1, 942, 942, -1, -1, 942, -1, -1, 
	-1, -1, -1, -1, -1, -1, 942, 942, 
	942, 942, 942, 942, 942, -1, -1, -1, 
	942, 942, 942, -1, -1, 942, 942, 942, 
	942, 942, 942, 942, 942, -1, 942, 942, 
	942, -1, -1, -1, 942, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 942, 
	942, 942, -1, -1, 942, -1, -1, -1, 
	-1, 942, -1, -1, -1, -1, 942, -1, 
	942, 942, 942, 942, 942, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 942, 
	-1, 942, -1, -1, 942, -1, 942, 942, 
	-1, -1, -1, 942, -1, 942, -1, 942, 
	944, 944, 944, 944, 944, 944, 944, 944, 
	944, 944, 944, 944, 944, 944, 944, 944, 
	944, 944, 944, 944, 944, 944, 944, 944, 
	944, 944, 944, -1, 944, 944, 944, 944, 
	944, -1, 944, -1, 944, 944, 944, 944, 
	-1, 944, -1, 944, 944, 944, -1, 944, 
	944, 944, 944, 944, 944, 944, 944, 944, 
	944, 944, 944, -1, 944, 944, 944, 944, 
	944, 944, 944, 944, 944, 944, 944, 944, 
	944, 944, 944, -1, -1, -1, -1, -1, 
	-1, 944, 944, 944, 944, -1, -1, -1, 
	944, 944, 944, 944, 944, 944, 944, 944, 
	944, 944, 944, 944, 220, 221, 944, 944, 
	-1, -1, -1, -1, -1, 944, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 942, -1, -1, -1, -1, -1, -1, 
	-1, -1, 944, 944, 944, 944, -1, -1, 
	944, 944, 944, 944, 944, 944, -1, -1, 
	-1, -1, 944, 944, 944, 944, 944, 944, 
	944, -1, -1, -1, -1, 944, -1, -1, 
	-1, -1, 944, 944, -1, -1, 944, 944, 
	944, -1, 944, 944, -1, -1, 944, -1, 
	-1, -1, -1, -1, -1, -1, -1, 944, 
	944, 944, 944, 944, 944, 944, -1, -1, 
	-1, 944, 944, 944, -1, -1, 944, 944, 
	944, 944, 944, 944, 944, 944, -1, 944, 
	944, 944, -1, -1, -1, 944, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	944, 944, 944, -1, -1, 944, -1, -1, 
	-1, -1, 944, -1, -1, -1, -1, 944, 
	-1, 944, 944, 944, 944, 944, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	944, -1, 944, -1, -1, 944, -1, 944, 
	944, -1, -1, -1, 944, -1, 944, -1, 
	944, 945, 945, 945, 945, 945, 945, 945, 
	945, 945, 945, 945, 945, 945, 945, 945, 
	945, 945, 945, 945, 945, 945, 945, 945, 
	945, 945, 945, 945, -1, 945, 945, 945, 
	945, 945, -1, 945, -1, 945, 945, 945, 
	945, -1, 945, -1, 945, 945, 945, -1, 
	945, 945, 945, 945, 945, 945, 945, 945, 
	945, 945, 945, 945, -1, 945, 945, 945, 
	945, 945, 945, 945, 945, 945, 945, 945, 
	945, 945, 945, 945, -1, -1, -1, -1, 
	-1, -1, 945, 945, 945, 945, -1, -1, 
	-1, 945, 945, 945, 945, 945, 945, 945, 
	945, 945, 945, 945, 945, 220, 221, 945, 
	945, -1, -1, -1, -1, -1, 945, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 944, -1, -1, -1, -1, -1, 
	-1, -1, -1, 945, 945, 945, 945, -1, 
	-1, 945, 945, 945, 945, 945, 945, -1, 
	-1, -1, -1, 945, 945, 945, 945, 945, 
	945, 945, -1, -1, -1, -1, 945, -1, 
	-1, -1, -1, 945, 945, -1, -1, 945, 
	945, 945, -1, 945, 945, -1, -1, 945, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	945, 945, 945, 945, 945, 945, 945, -1, 
	-1, -1, 945, 945, 945, -1, -1, 945, 
	945, 945, 945, 945, 945, 945, 945, -1, 
	945, 945, 945, -1, -1, -1, 945, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 945, 945, 945, -1, -1, 945, -1, 
	-1, -1, -1, 945, -1, -1, -1, -1, 
	945, -1, 945, 945, 945, 945, 945, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 945, -1, 945, -1, -1, 945, -1, 
	945, 945, -1, -1, -1, 945, -1, 945, 
	-1, 945, 946, 946, 946, 946, 946, 946, 
	946, 946, 946, 946, 946, 946, 946, 946, 
	946, 946, 946, 946, 946, 946, 946, 946, 
	946, 946, 946, 946, 946, -1, 946, 946, 
	946, 946, 946, -1, 946, -1, 946, 946, 
	946, 946, -1, 946, -1, 946, 946, 946, 
	-1, 946, 946, 946, 946, 946, 946, 946, 
	946, 946, 946, 946, 946, -1, 946, 946, 
	946, 946, 946, 946, 946, 946, 946, 946, 
	946, 946, 946, 946, 946, -1, -1, -1, 
	-1, -1, -1, 946, 946, 946, 946, -1, 
	-1, -1, 946, 946, 946, 946, 946, 946, 
	946, 946, 946, 946, 946, 946, 220, 221, 
	946, 946, -1, -1, -1, -1, -1, 946, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 945, -1, -1, -1, -1, 
	-1, -1, -1, -1, 946, 946, 946, 946, 
	-1, -1, 946, 946, 946, 946, 946, 946, 
	-1, -1, -1, -1, 946, 946, 946, 946, 
	946, 946, 946, -1, -1, -1, -1, 946, 
	-1, -1, -1, -1, 946, 946, -1, -1, 
	946, 946, 946, -1, 946, 946, -1, -1, 
	946, -1, -1, -1, -1, -1, -1, -1, 
	-1, 946, 946, 946, 946, 946, 946, 946, 
	-1, -1, -1, 946, 946, 946, -1, -1, 
	946, 946, 946, 946, 946, 946, 946, 946, 
	-1, 946, 946, 946, -1, -1, -1, 946, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 946, 946, 946, -1, -1, 946, 
	-1, -1, -1, -1, 946, -1, -1, -1, 
	-1, 946, -1, 946, 946, 946, 946, 946, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 946, -1, 946, -1, -1, 946, 
	-1, 946, 946, -1, -1, -1, 946, -1, 
	946, -1, 946, 947, 947, 947, 947, 947, 
	947, 947, 947, 947, 947, 947, 947, 947, 
	947, 947, 947, 947, 947, 947, 947, 947, 
	947, 947, 947, 947, 947, 947, -1, 947, 
	947, 947, 947, 947, -1, 947, -1, 947, 
	947, 947, 947, -1, 947, -1, 947, 947, 
	947, -1, 947, 947, 947, 947, 947, 947, 
	947, 947, 947, 947, 947, 947, -1, 947, 
	947, 947, 947, 947, 947, 947, 947, 947, 
	947, 947, 947, 947, 947, 947, -1, -1, 
	-1, -1, -1, -1, 947, 947, 947, 947, 
	-1, -1, -1, 947, 947, 947, 947, 947, 
	947, 947, 947, 947, 947, 947, 947, 220, 
	221, 947, 947, -1, -1, -1, -1, -1, 
	947, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 946, -1, -1, -1, 
	-1, -1, -1, -1, -1, 947, 947, 947, 
	947, -1, -1, 947, 947, 947, 947, 947, 
	947, -1, -1, -1, -1, 947, 947, 947, 
	947, 947, 947, 947, -1, -1, -1, -1, 
	947, -1, -1, -1, -1, 947, 947, -1, 
	-1, 947, 947, 947, -1, 947, 947, -1, 
	-1, 947, -1, -1, -1, -1, -1, -1, 
	-1, -1, 947, 947, 947, 947, 947, 947, 
	947, -1, -1, -1, 947, 947, 947, -1, 
	-1, 947, 947, 947, 947, 947, 947, 947, 
	947, -1, 947, 947, 947, -1, -1, -1, 
	947, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 947, 947, 947, -1, -1, 
	947, -1, -1, -1, -1, 947, -1, -1, 
	-1, -1, 947, -1, 947, 947, 947, 947, 
	947, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 947, -1, 947, -1, -1, 
	947, -1, 947, 947, -1, -1, -1, 947, 
	-1, 947, -1, 947, 948, 948, 948, 948, 
	948, 948, 948, 948, 948, 948, 948, 948, 
	948, 948, 948, 948, 948, 948, 948, 948, 
	948, 948, 948, 948, 948, 948, 948, -1, 
	948, 948, 948, 948, 948, -1, 948, -1, 
	948, 948, 948, 948, -1, 948, -1, 948, 
	948, 948, -1, 948, 948, 948, 948, 948, 
	948, 948, 948, 948, 948, 948, 948, -1, 
	948, 948, 948, 948, 948, 948, 948, 948, 
	948, 948, 948, 948, 948, 948, 948, -1, 
	-1, -1, -1, -1, -1, 948, 948, 948, 
	948, -1, -1, -1, 948, 948, 948, 948, 
	948, 948, 948, 948, 948, 948, 948, 948, 
	220, 221, 948, 948, -1, -1, -1, -1, 
	-1, 948, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 947, -1, -1, 
	-1, -1, -1, -1, -1, -1, 948, 948, 
	948, 948, -1, -1, 948, 948, 948, 948, 
	948, 948, -1, -1, -1, -1, 948, 948, 
	948, 948, 948, 948, 948, -1, -1, -1, 
	-1, 948, -1, -1, -1, -1, 948, 948, 
	-1, -1, 948, 948, 948, -1, 948, 948, 
	-1, -1, 948, -1, -1, -1, -1, -1, 
	-1, -1, -1, 948, 948, 948, 948, 948, 
	948, 948, -1, -1, -1, 948, 948, 948, 
	-1, -1, 948, 948, 948, 948, 948, 948, 
	948, 948, -1, 948, 948, 948, -1, -1, 
	-1, 948, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 948, 948, 948, -1, 
	-1, 948, -1, -1, -1, -1, 948, -1, 
	-1, -1, -1, 948, -1, 948, 948, 948, 
	948, 948, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 948, -1, 948, -1, 
	-1, 948, -1, 948, 948, -1, -1, -1, 
	948, -1, 948, -1, 948, 949, 949, 949, 
	949, 949, 949, 949, 949, 949, 949, 949, 
	949, 949, 949, 949, 949, 949, 949, 949, 
	949, 949, 949, 949, 949, 949, 949, 949, 
	-1, 949, 949, 949, 949, 949, -1, 949, 
	-1, 949, 949, 949, 949, -1, 949, -1, 
	949, 949, 949, -1, 949, 949, 949, 949, 
	949, 949, 949, 949, 949, 949, 949, 949, 
	-1, 949, 949, 949, 949, 949, 949, 949, 
	949, 949, 949, 949, 949, 949, 949, 949, 
	-1, -1, -1, -1, -1, -1, 949, 949, 
	949, 949, -1, -1, -1, 949, 949, 949, 
	949, 949, 949, 949, 949, 949, 949, 949, 
	949, 220, 221, 949, 949, -1, -1, -1, 
	-1, -1, 949, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 948, -1, 
	-1, -1, -1, -1, -1, -1, -1, 949, 
	949, 949, 949, -1, -1, 949, 949, 949, 
	949, 949, 949, -1, -1, -1, -1, 949, 
	949, 949, 949, 949, 949, 949, -1, -1, 
	-1, -1, 949, -1, -1, -1, -1, 949, 
	949, -1, -1, 949, 949, 949, -1, 949, 
	949, -1, -1, 949, -1, -1, -1, -1, 
	-1, -1, -1, -1, 949, 949, 949, 949, 
	949, 949, 949, -1, -1, -1, 949, 949, 
	949, -1, -1, 949, 949, 949, 949, 949, 
	949, 949, 949, -1, 949, 949, 949, -1, 
	-1, -1, 949, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 949, 949, 949, 
	-1, -1, 949, -1, -1, -1, -1, 949, 
	-1, -1, -1, -1, 949, -1, 949, 949, 
	949, 949, 949, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 949, -1, 949, 
	-1, -1, 949, -1, 949, 949, -1, -1, 
	-1, 949, -1, 949, -1, 949, 951, 951, 
	951, 951, 951, 951, 951, 951, 951, 951, 
	951, 951, 951, 951, 951, 951, 951, 951, 
	951, 951, 951, 951, 951, 951, 951, 951, 
	951, -1, 951, 951, 951, 951, 951, -1, 
	951, -1, 951, 951, 951, 951, -1, 951, 
	-1, 951, 951, 951, -1, 951, 951, 951, 
	951, 951, 951, 951, 951, 951, 951, 951, 
	951, -1, 951, 951, 951, 951, 951, 951, 
	951, 951, 951, 951, 951, 951, 951, 951, 
	951, -1, 223, -1, -1, -1, -1, 951, 
	951, 951, 951, 222, -1, -1, 951, 951, 
	951, 951, 951, 951, 951, 951, 951, 951, 
	951, 951, 951, 951, 951, 951, -1, -1, 
	-1, -1, -1, 951, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 949, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	951, 951, 951, 951, -1, -1, 951, 951, 
	951, 951, 951, 951, -1, -1, -1, -1, 
	951, 951, 951, 951, 951, 951, 951, -1, 
	-1, -1, -1, 951, -1, -1, -1, -1, 
	951, 951, -1, -1, 951, 951, 951, -1, 
	951, 951, -1, -1, 951, -1, -1, -1, 
	-1, -1, -1, -1, -1, 951, 951, 951, 
	951, 951, 951, 951, -1, -1, -1, 951, 
	951, 951, -1, -1, 951, 951, 951, 951, 
	951, 951, 951, 951, -1, 951, 951, 951, 
	-1, -1, -1, 951, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 951, 951, 
	951, -1, -1, 951, -1, -1, -1, -1, 
	951, -1, -1, -1, -1, 951, -1, 951, 
	951, 951, 951, 951, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 951, -1, 
	951, -1, -1, 951, -1, 951, 951, -1, 
	-1, -1, 951, -1, 951, -1, 951, 952, 
	952, 952, 952, 952, 952, 952, 952, 952, 
	952, 952, 952, 952, 952, 952, 952, 952, 
	952, 952, 952, 952, 952, 952, 952, 952, 
	952, 952, -1, 952, 952, 952, 952, 952, 
	-1, 952, -1, 952, 952, 952, 952, -1, 
	952, -1, 952, 952, 952, -1, 952, 952, 
	952, 952, 952, 952, 952, 952, 952, 952, 
	952, 952, -1, 952, 952, 952, 952, 952, 
	952, 952, 952, 952, 952, 952, 952, 952, 
	952, 952, -1, 223, -1, -1, -1, -1, 
	952, 952, 952, 952, 222, -1, -1, 952, 
	952, 952, 952, 952, 952, 952, 952, 952, 
	952, 952, 952, 952, 952, 952, 952, -1, 
	-1, -1, -1, -1, 952, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	951, -1, -1, -1, -1, -1, -1, -1, 
	-1, 952, 952, 952, 952, -1, -1, 952, 
	952, 952, 952, 952, 952, -1, -1, -1, 
	-1, 952, 952, 952, 952, 952, 952, 952, 
	-1, -1, -1, -1, 952, -1, -1, -1, 
	-1, 952, 952, -1, -1, 952, 952, 952, 
	-1, 952, 952, -1, -1, 952, -1, -1, 
	-1, -1, -1, -1, -1, -1, 952, 952, 
	952, 952, 952, 952, 952, -1, -1, -1, 
	952, 952, 952, -1, -1, 952, 952, 952, 
	952, 952, 952, 952, 952, -1, 952, 952, 
	952, -1, -1, -1, 952, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 952, 
	952, 952, -1, -1, 952, -1, -1, -1, 
	-1, 952, -1, -1, -1, -1, 952, -1, 
	952, 952, 952, 952, 952, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 952, 
	-1, 952, -1, -1, 952, -1, 952, 952, 
	-1, -1, -1, 952, -1, 952, -1, 952, 
	955, 955, 955, 955, 955, 955, 955, 955, 
	955, 955, 955, 955, 955, 955, 955, 955, 
	955, 955, 955, 955, 955, 955, 955, 955, 
	955, 955, 955, -1, 955, 955, 955, 955, 
	955, -1, 955, -1, 955, 955, 955, 955, 
	-1, 955, -1, 955, 955, 955, -1, 955, 
	955, 955, 955, 955, 955, 955, 955, 955, 
	955, 955, 955, -1, 955, 955, 955, 955, 
	955, 955, 955, 955, 955, 955, 955, 955, 
	955, 955, 955, -1, 955, -1, -1, -1, 
	-1, 955, 955, 955, 955, 955, -1, -1, 
	955, 955, 955, 955, 955, 955, 955, 955, 
	955, 955, 955, 955, 955, 955, 955, 955, 
	-1, -1, -1, -1, -1, 955, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 952, -1, -1, -1, -1, -1, -1, 
	-1, -1, 955, 955, 955, 955, -1, -1, 
	955, 955, 955, 955, 955, 955, -1, -1, 
	-1, -1, 955, 955, 955, 955, 955, 955, 
	955, -1, -1, -1, -1, 955, -1, -1, 
	-1, -1, 955, 955, -1, -1, 955, 955, 
	955, -1, 955, 955, -1, -1, 955, -1, 
	-1, -1, -1, -1, -1, -1, -1, 955, 
	955, 955, 955, 955, 955, 955, -1, -1, 
	-1, 955, 955, 955, -1, -1, 955, 955, 
	955, 955, 955, 955, 955, 955, -1, 955, 
	955, 955, -1, -1, -1, 955, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	955, 955, 955, -1, -1, 955, -1, -1, 
	-1, -1, 955, -1, -1, -1, -1, 955, 
	-1, 955, 955, 955, 955, 955, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	955, -1, 955, -1, -1, 955, -1, 955, 
	955, -1, -1, -1, 955, -1, 955, -1, 
	955, 954, 954, 954, 954, 954, 954, 954, 
	954, 954, 954, 954, 954, 954, 954, 954, 
	954, 954, 954, 954, 954, 954, 954, 954, 
	954, 954, 954, 954, -1, 954, 954, 954, 
	954, 954, -1, 954, -1, 954, 954, 954, 
	954, -1, 954, -1, 954, 954, 954, -1, 
	954, 954, 954, 954, 954, 954, 954, 954, 
	954, 954, 954, 954, -1, 954, 954, 954, 
	954, 954, 954, 954, 954, 954, 954, 954, 
	954, 954, 954, 954, -1, 954, -1, -1, 
	-1, -1, 954, 954, 954, 954, 954, -1, 
	-1, 954, 954, 954, 954, 954, 954, 954, 
	954, 954, 954, 954, 954, 954, 954, 954, 
	954, -1, -1, -1, -1, -1, 954, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 955, -1, -1, -1, -1, -1, 
	-1, -1, -1, 954, 954, 954, 954, -1, 
	-1, 954, 954, 954, 954, 954, 954, -1, 
	-1, -1, -1, 954, 954, 954, 954, 954, 
	954, 954, -1, -1, -1, -1, 954, -1, 
	-1, -1, -1, 954, 954, -1, -1, 954, 
	954, 954, -1, 954, 954, -1, -1, 954, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	954, 954, 954, 954, 954, 954, 954, -1, 
	-1, -1, 954, 954, 954, -1, -1, 954, 
	954, 954, 954, 954, 954, 954, 954, -1, 
	954, 954, 954, -1, -1, -1, 954, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 954, 954, 954, -1, -1, 954, -1, 
	-1, -1, -1, 954, -1, -1, -1, -1, 
	954, -1, 954, 954, 954, 954, 954, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 954, -1, 954, -1, -1, 954, -1, 
	954, 954, -1, -1, -1, 954, -1, 954, 
	-1, 954, 982, 982, 982, 982, 982, 982, 
	982, 982, 982, 982, 982, 982, 982, 982, 
	982, 982, 982, 982, 982, 982, 982, 982, 
	982, 982, 982, 982, 982, -1, 982, 982, 
	982, 982, 982, -1, 982, -1, 982, 982, 
	982, 982, -1, 982, -1, 982, 982, 982, 
	-1, 982, 982, 982, 982, 982, 982, 982, 
	982, 982, 982, 982, 982, -1, 982, 982, 
	982, 982, 982, 982, 982, 982, 982, 982, 
	982, 982, 982, 982, 982, -1, 982, -1, 
	-1, -1, -1, 982, 982, 982, 982, 982, 
	-1, -1, 982, 982, 982, 982, 982, 982, 
	982, 982, 982, 982, 982, 982, 982, 982, 
	982, 982, -1, -1, -1, -1, -1, 982, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 954, -1, -1, -1, -1, 
	-1, -1, -1, -1, 982, 982, 982, 982, 
	-1, -1, 982, 982, 982, 982, 982, 982, 
	-1, -1, -1, -1, 982, 982, 982, 982, 
	982, 982, 982, -1, -1, -1, -1, 982, 
	-1, -1, -1, -1, 982, 982, -1, -1, 
	982, 982, 982, -1, 982, 982, -1, -1, 
	982, -1, -1, -1, -1, -1, -1, -1, 
	-1, 982, 982, 982, 982, 982, 982, 982, 
	-1, -1, -1, 982, 982, 982, -1, -1, 
	982, 982, 982, 982, 982, 982, 982, 982, 
	-1, 982, 982, 982, -1, -1, -1, 982, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 982, 982, 982, -1, -1, 982, 
	-1, -1, -1, -1, 982, -1, -1, -1, 
	-1, 982, -1, 982, 982, 982, 982, 982, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 982, -1, 982, -1, -1, 982, 
	-1, 982, 982, -1, -1, -1, 982, -1, 
	982, -1, 982, 988, 988, 988, 988, 988, 
	988, 988, 988, 988, 988, 988, 988, 988, 
	988, 988, 988, 988, 988, 988, 988, 988, 
	988, 988, 988, 988, 988, 988, 988, 988, 
	988, 988, 988, 988, -1, 988, -1, 988, 
	988, 988, 988, 988, 988, -1, 988, 988, 
	988, -1, 988, 988, 988, 988, 988, 988, 
	988, 988, 988, 988, 988, 988, 988, 988, 
	988, 988, 988, 988, 988, 988, 988, 988, 
	-1, 988, 988, 988, 988, -1, -1, -1, 
	988, -1, -1, -1, 988, 988, -1, 988, 
	-1, -1, 988, -1, -1, 988, -1, 988, 
	-1, -1, 988, 988, 988, -1, 988, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 988, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 988, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 982, -1, -1, -1, 
	-1, -1, -1, -1, -1, 988, 988, 988, 
	988, -1, -1, 988, 988, 988, 988, 988, 
	988, -1, -1, -1, -1, 988, 988, 988, 
	988, 988, 988, 988, -1, -1, 988, -1, 
	988, -1, -1, -1, -1, 988, 988, -1, 
	988, 988, 988, 988, -1, 988, 988, -1, 
	-1, 988, -1, -1, -1, -1, -1, 988, 
	-1, 988, 988, 988, 988, 988, 988, 988, 
	988, -1, -1, -1, -1, 988, 988, -1, 
	988, 988, 988, 988, 988, 988, 988, 988, 
	988, -1, 988, 988, 988, -1, -1, 988, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 988, 988, 988, -1, -1, 988, 
	988, 988, -1, -1, 988, 988, 988, 988, 
	988, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 988, -1, 988, -1, -1, 
	988, 988, 988, -1, 998, 998, 998, 998, 
	998, 998, 998, 998, 998, 998, 998, 998, 
	998, 998, 998, 998, 998, 998, 998, 998, 
	998, 998, 998, 998, 998, 998, 998, 998, 
	998, 998, 998, 998, 998, -1, 998, -1, 
	998, 998, 998, 998, 998, 998, -1, 998, 
	998, 998, -1, 998, 998, 998, 998, 998, 
	998, 998, 998, 998, 998, 998, 998, 998, 
	998, 998, 998, 998, 998, 998, 998, 998, 
	998, 998, 998, 998, 998, 998, 998, -1, 
	-1, 998, -1, -1, -1, 998, 998, -1, 
	998, -1, -1, 998, -1, -1, 998, -1, 
	998, -1, -1, 998, 998, 998, -1, 998, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 998, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 998, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 998, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 988, 998, 998, 
	998, 998, -1, -1, 998, 998, 998, 998, 
	998, 998, -1, -1, -1, -1, 998, 998, 
	998, 998, 998, 998, 998, -1, -1, 998, 
	-1, 998, -1, -1, -1, -1, 998, 998, 
	-1, 998, 998, 998, 998, -1, 998, 998, 
	-1, -1, 998, 998, 998, -1, -1, -1, 
	998, -1, 998, 998, 998, 998, 998, 998, 
	998, 998, -1, -1, -1, -1, 998, 998, 
	-1, 998, 998, 998, 998, 998, 998, 998, 
	998, 998, -1, 998, 998, 998, -1, -1, 
	998, -1, 998, -1, -1, -1, 998, 998, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 998, 998, 998, -1, -1, 
	998, 998, 998, -1, -1, 998, 998, 998, 
	998, 998, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 998, -1, 998, -1, 
	-1, 998, 998, 998, -1, -1, 998, 999, 
	999, 999, 999, 999, 999, 999, 999, 999, 
	999, 999, 999, 999, 999, 999, 999, 999, 
	999, 999, 999, 999, 999, 999, 999, 999, 
	999, 999, 999, 999, 999, 999, 999, 999, 
	-1, 999, -1, 999, 999, 999, 999, 999, 
	999, -1, 999, 999, 999, -1, 999, 999, 
	999, 999, 999, 999, 999, 999, 999, 999, 
	999, 999, 999, 999, 999, 999, 999, 999, 
	999, 999, 999, 999, 999, 999, 999, 999, 
	999, 999, -1, -1, 999, -1, -1, -1, 
	999, 999, -1, 999, -1, -1, 999, -1, 
	-1, 999, -1, 999, -1, -1, 999, 999, 
	999, -1, 999, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 999, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 999, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 999, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 998, -1, 
	-1, 999, 999, 999, 999, -1, -1, 999, 
	999, 999, 999, 999, 999, -1, -1, -1, 
	-1, 999, 999, 999, 999, 999, 999, 999, 
	-1, -1, 999, -1, 999, -1, -1, -1, 
	-1, 999, 999, -1, 999, 999, 999, 999, 
	-1, 999, 999, -1, -1, 999, 999, 999, 
	-1, -1, -1, 999, -1, 999, 999, 999, 
	999, 999, 999, 999, 999, -1, -1, -1, 
	-1, 999, 999, -1, 999, 999, 999, 999, 
	999, 999, 999, 999, 999, -1, 999, 999, 
	999, -1, -1, 999, -1, 999, -1, -1, 
	-1, 999, 999, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 999, 999, 
	999, -1, -1, 999, 999, 999, -1, -1, 
	999, 999, 999, 999, 999, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 999, 
	-1, 999, -1, -1, 999, 999, 999, -1, 
	-1, 999, 1000, 1000, 1000, 1000, 1000, 1000, 
	1000, 1000, 1000, 1000, 1000, 1000, 1000, 1000, 
	1000, 1000, 1000, 1000, 1000, 1000, 1000, 1000, 
	1000, 1000, 1000, 1000, 1000, 1000, 1000, 1000, 
	1000, 1000, 1000, -1, 1000, -1, 1000, 1000, 
	1000, 1000, 1000, 1000, -1, 1000, 1000, 1000, 
	-1, 1000, 1000, 1000, 1000, 1000, 1000, 1000, 
	1000, 1000, 1000, 1000, 1000, 1000, 1000, 1000, 
	1000, 1000, 1000, 1000, 1000, 1000, 1000, 1000, 
	1000, 1000, 1000, 1000, 1000, -1, -1, 1000, 
	-1, -1, -1, 1000, 1000, -1, 1000, -1, 
	-1, 1000, -1, -1, 1000, -1, 1000, -1, 
	-1, 1000, 1000, 1000, -1, 1000, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1000, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1000, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1000, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 999, -1, -1, 1000, 1000, 1000, 1000, 
	-1, -1, 1000, 1000, 1000, 1000, 1000, 1000, 
	-1, -1, -1, -1, 1000, 1000, 1000, 1000, 
	1000, 1000, 1000, -1, -1, 1000, -1, 1000, 
	-1, -1, -1, -1, 1000, 1000, -1, 1000, 
	1000, 1000, 1000, -1, 1000, 1000, -1, -1, 
	1000, 1000, 1000, -1, -1, -1, 1000, -1, 
	1000, 1000, 1000, 1000, 1000, 1000, 1000, 1000, 
	-1, -1, -1, -1, 1000, 1000, -1, 1000, 
	1000, 1000, 1000, 1000, 1000, 1000, 1000, 1000, 
	-1, 1000, 1000, 1000, -1, -1, 1000, -1, 
	1000, -1, -1, -1, 1000, 1000, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1000, 1000, 1000, -1, -1, 1000, 1000, 
	1000, -1, -1, 1000, 1000, 1000, 1000, 1000, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1000, -1, 1000, -1, -1, 1000, 
	1000, 1000, -1, -1, 1000, 1075, 1075, 1075, 
	1075, 1075, 1075, 1075, 1075, 1075, 1075, 1075, 
	1075, 1075, 1075, 1075, 1075, 1075, 1075, 1075, 
	1075, 1075, 1075, 1075, 1075, 1075, 1075, 1075, 
	-1, 1075, 1075, 1075, 1075, 1075, -1, 1075, 
	-1, 1075, 1075, 1075, 1075, -1, 1075, -1, 
	1075, 1075, 1075, -1, 1075, 1075, 1075, 1075, 
	1075, 1075, 1075, 1075, 1075, 1075, 1075, 1075, 
	-1, 1075, 1075, 1075, 1075, 1075, 1075, 1075, 
	1075, 1075, 1075, 1075, 1075, 1075, 1075, 1075, 
	-1, 1075, -1, -1, 516, 517, 1075, 1075, 
	1075, 1075, 1075, -1, 1075, 1075, 1075, 1075, 
	1075, 1075, 1075, 1075, 1075, 1075, 1075, 1075, 
	1075, 1075, 1075, 1075, 1075, -1, -1, -1, 
	-1, -1, 1075, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1000, -1, -1, 1075, 
	1075, 1075, 1075, -1, -1, 1075, 1075, 1075, 
	1075, 1075, 1075, -1, -1, -1, -1, 1075, 
	1075, 1075, 1075, 1075, 1075, 1075, -1, -1, 
	-1, -1, 1075, -1, -1, -1, -1, 1075, 
	1075, -1, -1, 1075, 1075, 1075, -1, 1075, 
	1075, -1, -1, 1075, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1075, 1075, 1075, 1075, 
	1075, 1075, 1075, -1, -1, -1, 1075, 1075, 
	1075, -1, -1, 1075, 1075, 1075, 1075, 1075, 
	1075, 1075, 1075, -1, 1075, 1075, 1075, -1, 
	-1, -1, 1075, -1, -1, -1, -1, -1, 
	-1, -1, 1075, 1075, 1075, 1075, 1075, 1075, 
	-1, -1, 1075, -1, -1, -1, -1, 1075, 
	-1, 1075, 1075, 1075, 1075, -1, 1075, 1075, 
	1075, 1075, 1075, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1075, -1, 1075, 
	-1, -1, 1075, -1, 1075, 1075, -1, -1, 
	-1, 1075, -1, 1075, -1, 1075, 762, 762, 
	762, 762, 762, 762, 762, 762, 762, 762, 
	762, 762, 762, 762, 762, 762, 762, 762, 
	762, 762, 762, 762, 762, 762, 762, 762, 
	762, -1, 762, 762, 762, 762, 762, -1, 
	762, -1, 762, 762, 762, 762, -1, 762, 
	-1, 762, 762, 762, -1, 762, 762, 762, 
	762, 762, 762, 762, 762, 762, 762, 762, 
	762, -1, 762, 762, 762, 762, 762, 762, 
	762, 762, 762, -1, 762, 762, 762, 762, 
	-1, -1, -1, -1, -1, -1, -1, 762, 
	-1, -1, 762, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 762, 762, 762, 
	-1, 762, -1, -1, 212, 213, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1075, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	762, 762, 762, 762, -1, -1, 762, 762, 
	-1, 762, 762, 762, -1, -1, -1, -1, 
	762, 762, 762, -1, 762, 762, 762, -1, 
	-1, -1, -1, 762, -1, -1, -1, -1, 
	762, -1, -1, -1, 762, 762, 762, -1, 
	762, 762, -1, -1, 762, -1, -1, -1, 
	-1, -1, -1, -1, -1, 762, 762, 762, 
	762, 762, 762, 762, -1, -1, -1, -1, 
	762, 762, -1, -1, 762, 762, 762, 762, 
	762, 762, 762, 762, -1, 762, 762, 762, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 762, 
	762, 762, 762, 762, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 762, -1, 
	-1, -1, -1, -1, -1, 762, -1, 1055, 
	1055, 1055, 1055, 1055, 1055, 1055, 1055, 1055, 
	1055, 1055, 1055, 1055, 1055, 1055, 1055, 1055, 
	1055, 1055, 1055, 1055, 1055, 1055, 1055, 1055, 
	1055, 1055, -1, 1055, 1055, 1055, 1055, 1055, 
	-1, 1055, -1, 1055, 1055, 1055, 1055, -1, 
	1055, -1, 1055, 1055, 1055, 1055, 1055, 1055, 
	1055, 1055, 1055, 1055, 1055, 1055, 1055, 1055, 
	1055, 1055, -1, 1055, 1055, 1055, 1055, 1055, 
	1055, 1055, 1055, 1055, 1055, 1055, 1055, 1055, 
	1055, 1055, -1, 1055, -1, -1, 1055, -1, 
	1055, 1055, 1055, 1055, 1055, -1, -1, 1055, 
	1055, 1055, 1055, 1055, 1055, 1055, 1055, 1055, 
	1055, 1055, 1055, 1055, 1055, 1055, 1055, -1, 
	-1, -1, -1, -1, 1055, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	762, 1055, 1055, 1055, 1055, -1, -1, 1055, 
	1055, 1055, 1055, 1055, 1055, -1, -1, -1, 
	-1, 1055, 1055, 1055, 1055, 1055, 1055, 1055, 
	-1, -1, -1, -1, 1055, -1, -1, -1, 
	-1, 1055, 1055, -1, -1, 1055, 1055, 1055, 
	-1, 1055, 1055, -1, -1, 1055, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1055, 1055, 
	1055, 1055, 1055, 1055, 1055, -1, -1, -1, 
	1055, 1055, 1055, -1, -1, 1055, 1055, 1055, 
	1055, 1055, 1055, 1055, 1055, 1055, 1055, 1055, 
	1055, -1, -1, -1, 1055, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1055, 
	1055, 1055, -1, -1, 1055, -1, -1, -1, 
	-1, 1055, -1, 1055, 1055, -1, 1055, -1, 
	1055, 1055, 1055, 1055, 1055, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1055, 
	-1, 1055, -1, -1, 1055, -1, 1055, 1055, 
	-1, -1, -1, 1055, -1, 1055, -1, 1055, 
	1056, 1056, 1056, 1056, 1056, 1056, 1056, 1056, 
	1056, 1056, 1056, 1056, 1056, 1056, 1056, 1056, 
	1056, 1056, 1056, 1056, 1056, 1056, 1056, 1056, 
	1056, 1056, 1056, -1, 1056, 1056, 1056, 1056, 
	1056, -1, 1056, -1, 1056, 1056, 1056, 1056, 
	-1, 1056, -1, 1056, 1056, 1056, 1056, 1056, 
	1056, 1056, 1056, 1056, 1056, 1056, 1056, 1056, 
	1056, 1056, 1056, -1, 1056, 1056, 1056, 1056, 
	1056, 1056, 1056, 1056, 1056, 1056, 1056, 1056, 
	1056, 1056, 1056, -1, 1056, -1, -1, 1056, 
	-1, 1056, 1056, 1056, 1056, 1056, -1, -1, 
	1056, 1056, 1056, 1056, 1056, 1056, 1056, 1056, 
	1056, 1056, 1056, 1056, 1056, 1056, 1056, 1056, 
	-1, -1, -1, -1, -1, 1056, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1055, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1056, 1056, 1056, 1056, -1, -1, 
	1056, 1056, 1056, 1056, 1056, 1056, -1, -1, 
	-1, -1, 1056, 1056, 1056, 1056, 1056, 1056, 
	1056, -1, -1, -1, -1, 1056, -1, -1, 
	-1, -1, 1056, 1056, -1, -1, 1056, 1056, 
	1056, -1, 1056, 1056, -1, -1, 1056, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1056, 
	1056, 1056, 1056, 1056, 1056, 1056, -1, -1, 
	-1, 1056, 1056, 1056, -1, -1, 1056, 1056, 
	1056, 1056, 1056, 1056, 1056, 1056, 1056, 1056, 
	1056, 1056, -1, -1, -1, 1056, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1056, 1056, 1056, -1, -1, 1056, -1, -1, 
	-1, -1, 1056, -1, 1056, 1056, -1, 1056, 
	-1, 1056, 1056, 1056, 1056, 1056, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1056, -1, 1056, -1, -1, 1056, -1, 1056, 
	1056, -1, -1, -1, 1056, -1, 1056, -1, 
	1056, 1057, 1057, 1057, 1057, 1057, 1057, 1057, 
	1057, 1057, 1057, 1057, 1057, 1057, 1057, 1057, 
	1057, 1057, 1057, 1057, 1057, 1057, 1057, 1057, 
	1057, 1057, 1057, 1057, -1, 1057, 1057, 1057, 
	1057, 1057, -1, 1057, -1, 1057, 1057, 1057, 
	1057, -1, 1057, -1, 1057, 1057, 1057, 1057, 
	1057, 1057, 1057, 1057, 1057, 1057, 1057, 1057, 
	1057, 1057, 1057, 1057, -1, 1057, 1057, 1057, 
	1057, 1057, 1057, 1057, 1057, 1057, 1057, 1057, 
	1057, 1057, 1057, 1057, -1, 1057, -1, -1, 
	1057, -1, 1057, 1057, 1057, 1057, 1057, -1, 
	-1, 1057, 1057, 1057, 1057, 1057, 1057, 1057, 
	1057, 1057, 1057, 1057, 1057, 1057, 1057, 1057, 
	1057, -1, -1, -1, -1, -1, 1057, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1056, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1057, 1057, 1057, 1057, -1, 
	-1, 1057, 1057, 1057, 1057, 1057, 1057, -1, 
	-1, -1, -1, 1057, 1057, 1057, 1057, 1057, 
	1057, 1057, -1, -1, -1, -1, 1057, -1, 
	-1, -1, -1, 1057, 1057, -1, -1, 1057, 
	1057, 1057, -1, 1057, 1057, -1, -1, 1057, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1057, 1057, 1057, 1057, 1057, 1057, 1057, -1, 
	-1, -1, 1057, 1057, 1057, -1, -1, 1057, 
	1057, 1057, 1057, 1057, 1057, 1057, 1057, 1057, 
	1057, 1057, 1057, -1, -1, -1, 1057, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1057, 1057, 1057, -1, -1, 1057, -1, 
	-1, -1, -1, 1057, -1, 1057, 1057, -1, 
	1057, -1, 1057, 1057, 1057, 1057, 1057, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1057, -1, 1057, -1, -1, 1057, -1, 
	1057, 1057, -1, -1, -1, 1057, -1, 1057, 
	-1, 1057, 85, 88, 86, 87, 89, 90, 
	-1, 83, 84, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 104, 106, 110, 108, 
	112, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 97, -1, -1, -1, 98, 
	-1, -1, -1, 100, 102, 95, 94, 96, 
	-1, -1, -1, -1, 79, 80, 81, -1, 
	-1, -1, -1, 997, 78, -1, 116, 118, 
	120, 122, -1, -1, -1, -1, -1, -1, 
	-1, 82, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 73, 
	74, 75, -1, 76, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1058, 1058, 1058, 1058, 1058, 1058, 1058, 
	1058, 1058, 1058, 1058, 1058, 1058, 1058, 1058, 
	1058, 1058, 1058, 1058, 1058, 1058, 1058, 1058, 
	1058, 1058, 1058, 1058, -1, 1058, 1058, 1058, 
	1058, 1058, -1, 1058, -1, 1058, 1058, 1058, 
	1058, -1, 1058, 1057, 1058, 1058, 1058, 1058, 
	1058, 1058, 1058, 1058, 1058, 1058, 1058, 1058, 
	1058, 1058, 1058, 1058, -1, 1058, 1058, 1058, 
	1058, 1058, 1058, 1058, 1058, 1058, 1058, 1058, 
	1058, 1058, 1058, 1058, -1, 1058, -1, -1, 
	1058, -1, 1058, 1058, 1058, 1058, 1058, -1, 
	-1, 1058, 1058, 1058, 1058, 1058, 1058, 1058, 
	1058, 1058, 1058, 1058, 1058, 1058, 1058, 1058, 
	1058, -1, -1, -1, -1, -1, 1058, -1, 
	-1, 548, 69, 70, 71, 72, -1, 77, 
	92, 64, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 114, 99, 91, 159, 997, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1058, 1058, 1058, 1058, -1, 
	-1, 1058, 1058, 1058, 1058, 1058, 1058, -1, 
	-1, -1, -1, 1058, 1058, 1058, 1058, 1058, 
	1058, 1058, -1, -1, -1, -1, 1058, -1, 
	-1, -1, -1, 1058, 1058, -1, -1, 1058, 
	1058, 1058, -1, 1058, 1058, -1, -1, 1058, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1058, 1058, 1058, 1058, 1058, 1058, 1058, -1, 
	-1, -1, 1058, 1058, 1058, -1, -1, 1058, 
	1058, 1058, 1058, 1058, 1058, 1058, 1058, 1058, 
	1058, 1058, 1058, -1, -1, -1, 1058, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1058, 1058, 1058, -1, -1, 1058, -1, 
	-1, -1, -1, 1058, -1, 1058, 1058, -1, 
	1058, -1, 1058, 1058, 1058, 1058, 1058, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1058, -1, 1058, -1, -1, 1058, -1, 
	1058, 1058, -1, -1, -1, 1058, -1, 1058, 
	-1, 1058, 935, 935, 935, 935, 935, 935, 
	935, 935, 935, 935, 935, 935, 935, 935, 
	935, 935, 935, 935, 935, 935, 935, 935, 
	935, 935, 935, 935, 935, -1, 935, 935, 
	935, 935, 935, -1, 935, -1, 935, 935, 
	935, 935, -1, 935, -1, 935, 935, 935, 
	-1, 935, 935, 935, 935, 935, 935, 935, 
	935, 935, 935, 935, 935, -1, 935, 935, 
	935, 935, 935, 935, 935, 935, 935, -1, 
	935, 935, 935, 935, -1, -1, -1, -1, 
	-1, -1, -1, 935, -1, -1, 935, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 935, 935, 935, -1, 935, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1058, -1, -1, -1, -1, 
	-1, -1, -1, -1, 935, 935, 935, 935, 
	-1, -1, 935, 935, -1, 935, 935, 935, 
	-1, -1, -1, -1, 935, 935, 935, -1, 
	935, 935, 935, -1, -1, -1, -1, 935, 
	-1, -1, -1, -1, 935, -1, -1, -1, 
	935, 935, 935, -1, 935, 935, -1, -1, 
	935, -1, -1, -1, -1, -1, -1, -1, 
	-1, 935, 935, 935, 935, 935, 935, 935, 
	-1, -1, -1, -1, 935, 935, -1, -1, 
	935, 935, 935, 935, 935, 935, 935, 935, 
	-1, 935, 935, 935, -1, -1, -1, -1, 
	-1, -1, 85, 88, 86, 87, 89, 90, 
	-1, 83, 84, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 104, 106, 110, 108, 
	112, -1, -1, 935, 935, 935, 935, 935, 
	-1, -1, -1, 97, -1, -1, -1, 98, 
	-1, -1, 935, 100, 102, 95, 94, 96, 
	-1, 935, -1, -1, 79, 80, 81, -1, 
	-1, -1, -1, 997, 78, -1, 116, 118, 
	120, 122, -1, -1, -1, -1, -1, -1, 
	-1, 82, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 73, 
	74, 75, -1, 76, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 548, 69, 70, 71, 72, -1, 77, 
	92, 64, -1, -1, -1, -1, -1, 85, 
	88, 86, 87, 89, 90, -1, 83, 84, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 104, 106, 110, 108, 112, -1, -1, 
	-1, 114, 99, 91, 159, -1, -1, -1, 
	97, -1, -1, -1, 98, -1, -1, -1, 
	100, 102, 95, 94, 96, -1, -1, -1, 
	-1, 79, 80, 81, 935, -1, 549, -1, 
	997, 78, -1, 116, 118, 120, 122, -1, 
	-1, 251, 69, 70, 71, 72, 82, 77, 
	92, 64, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 73, 74, 75, -1, 
	76, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 114, 99, 91, 159, 997, 936, 936, 
	936, 936, 936, 936, 936, 936, 936, 936, 
	936, 936, 936, 936, 936, 936, 936, 936, 
	936, 936, 936, 936, 936, 936, 936, 936, 
	936, -1, 936, 936, 936, 936, 936, -1, 
	936, -1, 936, 936, 936, 936, -1, 936, 
	-1, 936, 936, 936, -1, 936, 936, 936, 
	936, 936, 936, 936, 936, 936, 936, 936, 
	936, -1, 936, 936, 936, 936, 936, 936, 
	936, 936, 936, -1, 936, 936, 936, 936, 
	-1, -1, -1, -1, -1, -1, -1, 936, 
	-1, -1, 936, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 936, 936, 936, 
	-1, 936, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 597, 69, 
	70, 71, 72, -1, 77, 92, 64, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, 997, -1, -1, -1, -1, -1, 
	936, 936, 936, 936, -1, -1, 936, 936, 
	-1, 936, 936, 936, -1, -1, -1, -1, 
	936, 936, 936, -1, 936, 936, 936, -1, 
	-1, -1, -1, 936, -1, -1, -1, -1, 
	936, -1, -1, -1, 936, 936, 936, -1, 
	936, 936, -1, -1, 936, -1, -1, -1, 
	-1, -1, -1, -1, -1, 936, 936, 936, 
	936, 936, 936, 936, -1, -1, -1, -1, 
	936, 936, -1, -1, 936, 936, 936, 936, 
	936, 936, 936, 936, -1, 936, 936, 936, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 936, 
	936, 936, 936, 936, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 936, -1, 
	-1, -1, -1, -1, -1, 936, -1, -1, 
	937, 937, 937, 937, 937, 937, 937, 937, 
	937, 937, 937, 937, 937, 937, 937, 937, 
	937, 937, 937, 937, 937, 937, 937, 937, 
	937, 937, 937, -1, 937, 937, 937, 937, 
	937, -1, 937, -1, 937, 937, 937, 937, 
	-1, 937, -1, 937, 937, 937, -1, 937, 
	937, 937, 937, 937, 937, 937, 937, 937, 
	937, 937, 937, -1, 937, 937, 937, 937, 
	937, 937, 937, 937, 937, -1, 937, 937, 
	937, 937, -1, -1, -1, -1, -1, -1, 
	-1, 937, -1, -1, 937, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 937, 
	937, 937, -1, 937, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	936, -1, 937, 937, 937, 937, -1, -1, 
	937, 937, -1, 937, 937, 937, -1, -1, 
	-1, -1, 937, 937, 937, -1, 937, 937, 
	937, -1, -1, -1, -1, 937, -1, -1, 
	-1, -1, 937, -1, -1, -1, 937, 937, 
	937, -1, 937, 937, -1, -1, 937, -1, 
	-1, -1, -1, -1, -1, -1, -1, 937, 
	937, 937, 937, 937, 937, 937, -1, -1, 
	-1, -1, 937, 937, -1, -1, 937, 937, 
	937, 937, 937, 937, 937, 937, 549, 937, 
	937, 937, -1, -1, -1, -1, -1, -1, 
	-1, 251, 69, 70, 71, 72, -1, 77, 
	92, 64, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 937, 937, 937, 937, 937, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	937, 114, 99, 91, 159, -1, -1, 937, 
	-1, 938, 938, 938, 938, 938, 938, 938, 
	938, 938, 938, 938, 938, 938, 938, 938, 
	938, 938, 938, 938, 938, 938, 938, 938, 
	938, 938, 938, 938, -1, 938, 938, 938, 
	938, 938, -1, 938, -1, 938, 938, 938, 
	938, -1, 938, -1, 938, 938, 938, -1, 
	938, 938, 938, 938, 938, 938, 938, 938, 
	938, 938, 938, 938, -1, 938, 938, 938, 
	938, 938, 938, 938, 938, 938, -1, 938, 
	938, 938, 938, -1, -1, -1, -1, -1, 
	-1, -1, 938, -1, -1, 938, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	938, 938, 938, -1, 938, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 597, 69, 
	70, 71, 72, -1, 77, 92, 64, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, -1, -1, -1, -1, -1, -1, 
	-1, -1, 937, 938, 938, 938, 938, -1, 
	-1, 938, 938, -1, 938, 938, 938, -1, 
	-1, -1, -1, 938, 938, 938, -1, 938, 
	938, 938, -1, -1, -1, -1, 938, -1, 
	-1, -1, -1, 938, -1, -1, -1, 938, 
	938, 938, -1, 938, 938, -1, -1, 938, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	938, 938, 938, 938, 938, 938, 938, -1, 
	-1, -1, -1, 938, 938, -1, -1, 938, 
	938, 938, 938, 938, 938, 938, 938, -1, 
	938, 938, 938, -1, -1, -1, -1, -1, 
	-1, 85, 88, 86, 87, 89, 90, -1, 
	83, 84, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 104, 106, 110, 108, 112, 
	-1, -1, 938, 938, 938, 938, 938, -1, 
	-1, -1, 97, -1, -1, -1, 98, -1, 
	-1, 938, 100, 102, 95, 94, 96, -1, 
	938, -1, -1, 79, 80, 81, -1, -1, 
	-1, -1, 997, 78, -1, 116, 118, 120, 
	122, -1, -1, -1, -1, -1, -1, -1, 
	82, 1132, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 73, 74, 
	75, -1, 76, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1027, 
	1027, 1027, 1027, 1027, 1027, 1027, 1027, 1027, 
	1027, 1027, 1027, 1027, 1027, 1027, 1027, 1027, 
	1027, 1027, 1027, 1027, 1027, 1027, 1027, 1027, 
	1027, 1027, -1, 1027, 1027, 1027, 1027, 1027, 
	-1, 1027, -1, 1027, 1027, 1027, 1027, -1, 
	1027, -1, 1027, 1027, 1027, -1, 1027, 1027, 
	1027, 1027, 1027, 1027, 1027, 1027, 1027, 1027, 
	1027, 1027, -1, 1027, 1027, 1027, 1027, 1027, 
	1027, 1027, 1027, 1027, 1027, 1027, 1027, 1027, 
	1027, 1027, -1, 1027, -1, -1, -1, -1, 
	1027, 1027, 1027, 1027, 1027, -1, -1, 1027, 
	1027, 1027, 1027, 1027, 1027, 1027, 1027, 1027, 
	1027, 1027, 1027, 1027, 1027, 1027, 1027, -1, 
	-1, -1, -1, 938, 1027, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	552, 69, 70, 71, 72, -1, 77, 92, 
	64, -1, -1, -1, 551, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	114, 99, 91, 159, 997, -1, -1, -1, 
	-1, 1027, 1027, 1027, 1027, -1, -1, 1027, 
	1027, 1027, 1027, 1027, 1027, -1, -1, 550, 
	-1, 1027, 1027, 1027, 1027, 1027, 1027, 1027, 
	-1, -1, -1, -1, 1027, -1, -1, -1, 
	-1, 1027, 1027, -1, -1, 1027, 1027, 1027, 
	-1, 1027, 1027, -1, -1, 1027, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1027, 1027, 
	1027, 1027, 1027, 1027, 1027, -1, -1, -1, 
	1027, 1027, 1027, 1027, -1, 1027, 1027, 1027, 
	1027, 1027, 1027, 1027, 1027, -1, 1027, 1027, 
	1027, -1, -1, -1, 1027, -1, -1, -1, 
	-1, -1, -1, -1, 1027, -1, -1, 1027, 
	1027, 1027, -1, -1, 1027, -1, -1, -1, 
	-1, 1027, -1, -1, -1, -1, 1027, -1, 
	1027, 1027, 1027, 1027, 1027, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1027, 
	-1, 1027, -1, -1, 1027, -1, 1027, 1027, 
	-1, -1, -1, 1027, -1, 1027, -1, 1027, 
	973, 973, 973, 973, 973, 973, 973, 973, 
	973, 973, 973, 973, 973, 973, 973, 973, 
	973, 973, 973, 973, 973, 973, 973, 973, 
	973, 973, 973, -1, 973, 973, 973, 973, 
	973, -1, 973, -1, 973, 973, 973, 973, 
	-1, 973, -1, 973, 973, 973, -1, 973, 
	973, 973, 973, 973, 973, 973, 973, 973, 
	973, 973, 973, -1, 973, 973, 973, 973, 
	973, 973, 973, 973, 973, 973, 973, 973, 
	973, 973, 973, -1, 973, -1, -1, -1, 
	-1, 973, 973, 973, 973, 973, -1, -1, 
	973, 973, 973, 973, 973, 973, 973, 973, 
	973, 973, 973, 973, 973, 973, 973, 973, 
	-1, -1, -1, -1, -1, 973, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1027, -1, -1, -1, -1, -1, -1, 
	-1, -1, 973, 973, 973, 973, -1, -1, 
	973, 973, 973, 973, 973, 973, -1, -1, 
	-1, -1, 973, 973, 973, 973, 973, 973, 
	973, -1, -1, -1, -1, 973, -1, -1, 
	-1, -1, 973, 973, -1, -1, 973, 973, 
	973, -1, 973, 973, -1, -1, 973, -1, 
	-1, -1, -1, -1, -1, -1, -1, 973, 
	973, 973, 973, 973, 973, 973, -1, -1, 
	-1, 973, 973, 973, -1, -1, 973, 973, 
	973, 973, 973, 973, 973, 973, -1, 973, 
	973, 973, -1, -1, -1, 973, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	973, 973, 973, -1, -1, 973, -1, -1, 
	-1, -1, 973, -1, -1, -1, -1, 973, 
	-1, 973, 973, 973, 973, 973, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	973, -1, 973, -1, -1, 973, -1, 973, 
	973, -1, -1, -1, 973, -1, 973, -1, 
	973, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	552, 69, 70, 71, 72, -1, 77, 92, 
	64, -1, -1, -1, 551, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	114, 99, 91, 159, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 973, -1, -1, -1, -1, 550, 
	963, 963, 963, 963, 963, 963, 963, 963, 
	963, 963, 963, 963, 963, 963, 963, 963, 
	963, 963, 963, 963, 963, 963, 963, 963, 
	963, 963, 963, -1, 963, 963, 963, 963, 
	963, -1, 963, -1, 963, 963, 963, 963, 
	-1, 963, -1, 963, 963, 963, -1, 963, 
	963, 963, 963, 963, 963, 963, 963, 963, 
	963, 963, 963, -1, 963, 963, 963, 963, 
	963, 963, 963, 963, 963, 963, 963, 963, 
	963, 963, 963, -1, 963, -1, -1, -1, 
	-1, 963, 963, 963, 963, 963, -1, -1, 
	963, 963, 963, 963, 963, 963, 963, 963, 
	963, 963, 963, 963, 963, 963, 963, 963, 
	-1, -1, -1, -1, -1, 963, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 963, 963, 963, 963, -1, -1, 
	963, 963, 963, 963, 963, 963, -1, -1, 
	-1, -1, 963, 963, 963, 963, 963, 963, 
	963, -1, -1, -1, -1, 963, -1, -1, 
	-1, -1, 963, 963, -1, -1, 963, 963, 
	963, -1, 963, 963, -1, -1, 963, -1, 
	-1, -1, -1, -1, -1, -1, -1, 963, 
	963, 963, 963, 963, 963, 963, -1, -1, 
	-1, 963, 963, 963, -1, -1, 963, 963, 
	963, 963, 963, 963, 963, 963, -1, 963, 
	963, 963, -1, -1, -1, 963, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	963, 963, 963, -1, -1, 963, -1, -1, 
	-1, -1, 963, -1, -1, -1, -1, 963, 
	-1, 963, 963, 963, 963, 963, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	963, -1, 963, -1, -1, 963, -1, 963, 
	963, -1, -1, -1, 963, -1, 963, -1, 
	963, 964, 964, 964, 964, 964, 964, 964, 
	964, 964, 964, 964, 964, 964, 964, 964, 
	964, 964, 964, 964, 964, 964, 964, 964, 
	964, 964, 964, 964, -1, 964, 964, 964, 
	964, 964, -1, 964, -1, 964, 964, 964, 
	964, -1, 964, -1, 964, 964, 964, -1, 
	964, 964, 964, 964, 964, 964, 964, 964, 
	964, 964, 964, 964, -1, 964, 964, 964, 
	964, 964, 964, 964, 964, 964, 964, 964, 
	964, 964, 964, 964, -1, 964, -1, -1, 
	-1, -1, 964, 964, 964, 964, 964, -1, 
	-1, 964, 964, 964, 964, 964, 964, 964, 
	964, 964, 964, 964, 964, 964, 964, 964, 
	964, -1, -1, -1, -1, -1, 964, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 963, -1, -1, -1, -1, -1, 
	-1, -1, -1, 964, 964, 964, 964, -1, 
	-1, 964, 964, 964, 964, 964, 964, -1, 
	-1, -1, -1, 964, 964, 964, 964, 964, 
	964, 964, -1, -1, -1, -1, 964, -1, 
	-1, -1, -1, 964, 964, -1, -1, 964, 
	964, 964, -1, 964, 964, -1, -1, 964, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	964, 964, 964, 964, 964, 964, 964, -1, 
	-1, -1, 964, 964, 964, -1, -1, 964, 
	964, 964, 964, 964, 964, 964, 964, -1, 
	964, 964, 964, -1, -1, -1, 964, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 964, 964, 964, -1, -1, 964, -1, 
	-1, -1, -1, 964, -1, -1, -1, -1, 
	964, -1, 964, 964, 964, 964, 964, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 964, -1, 964, -1, -1, 964, -1, 
	964, 964, -1, -1, -1, 964, -1, 964, 
	-1, 964, 974, 974, 974, 974, 974, 974, 
	974, 974, 974, 974, 974, 974, 974, 974, 
	974, 974, 974, 974, 974, 974, 974, 974, 
	974, 974, 974, 974, 974, -1, 974, 974, 
	974, 974, 974, -1, 974, -1, 974, 974, 
	974, 974, -1, 974, -1, 974, 974, 974, 
	-1, 974, 974, 974, 974, 974, 974, 974, 
	974, 974, 974, 974, 974, -1, 974, 974, 
	974, 974, 974, 974, 974, 974, 974, 974, 
	974, 974, 974, 974, 974, -1, 974, -1, 
	-1, -1, -1, 974, 974, 974, 974, 974, 
	-1, -1, 974, 974, 974, 974, 974, 974, 
	974, 974, 974, 974, 974, 974, 974, 974, 
	974, 974, -1, -1, -1, -1, -1, 974, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 964, -1, -1, -1, -1, 
	-1, -1, -1, -1, 974, 974, 974, 974, 
	-1, -1, 974, 974, 974, 974, 974, 974, 
	-1, -1, -1, -1, 974, 974, 974, 974, 
	974, 974, 974, -1, -1, -1, -1, 974, 
	-1, -1, -1, -1, 974, 974, -1, -1, 
	974, 974, 974, -1, 974, 974, -1, -1, 
	974, -1, -1, -1, -1, -1, -1, -1, 
	-1, 974, 974, 974, 974, 974, 974, 974, 
	-1, -1, -1, 974, 974, 974, -1, -1, 
	974, 974, 974, 974, 974, 974, 974, 974, 
	-1, 974, 974, 974, -1, -1, -1, 974, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 974, 974, 974, -1, -1, 974, 
	-1, -1, -1, -1, 974, -1, -1, -1, 
	-1, 974, -1, 974, 974, 974, 974, 974, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 974, -1, 974, -1, -1, 974, 
	-1, 974, 974, -1, -1, -1, 974, -1, 
	974, -1, 974, 879, 879, 879, 879, 879, 
	879, 879, 879, 879, 879, 879, 879, 879, 
	879, 879, 879, -1, 879, 879, 879, 879, 
	879, 879, 879, 879, -1, -1, -1, 879, 
	879, 879, 879, 879, -1, 879, -1, 879, 
	879, 879, 879, -1, 879, -1, 879, 879, 
	879, -1, 879, 879, -1, -1, 879, 879, 
	879, 879, 879, 879, 879, 879, -1, 879, 
	879, 879, 879, 879, 879, 879, 879, 879, 
	-1, 879, 879, 879, 879, -1, -1, -1, 
	-1, -1, -1, -1, 879, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 879, 879, 879, -1, 879, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 974, -1, -1, -1, 
	-1, -1, -1, -1, -1, 879, 879, 879, 
	879, -1, -1, 879, 879, -1, 879, 879, 
	879, -1, -1, -1, -1, 879, 879, 879, 
	-1, 879, 879, 879, -1, -1, -1, -1, 
	879, -1, -1, -1, -1, 879, 879, -1, 
	-1, 879, 879, 879, -1, 879, 879, -1, 
	-1, 879, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 879, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 879, 879, 879, 879, 879, 879, 879, 
	879, -1, 879, 879, 879, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 879, 879, 879, 879, 
	879, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 879, -1, -1, -1, -1, 
	879, -1, -1, -1, 865, 865, 865, 865, 
	865, 865, 865, 865, 865, 865, 865, 865, 
	865, 865, 865, 865, -1, 865, 865, 865, 
	865, 865, 865, 865, 865, -1, -1, -1, 
	865, 865, 865, 865, 865, -1, 865, -1, 
	865, 865, 865, 865, -1, 865, -1, 865, 
	865, 865, -1, 865, 865, -1, -1, 865, 
	865, 865, 865, 865, 865, 865, 865, -1, 
	865, 865, 865, 865, 865, 865, 865, 865, 
	865, -1, 865, 865, 865, 865, -1, -1, 
	-1, -1, -1, -1, -1, 865, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 865, 865, 865, -1, 865, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 879, 865, 865, 
	865, 865, -1, -1, 865, 865, -1, 865, 
	865, 865, -1, -1, -1, -1, 865, 865, 
	865, -1, 865, 865, 865, -1, -1, -1, 
	-1, 865, -1, -1, -1, -1, 865, -1, 
	-1, -1, 865, 865, 865, -1, 865, 865, 
	-1, -1, 865, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 865, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 865, 865, 865, 865, 865, 865, 
	865, 865, -1, 865, 865, 865, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 865, 865, 865, 
	865, 865, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 865, -1, -1, 759, 
	759, 759, 759, 759, 759, 759, 759, 759, 
	759, 759, 759, 759, 759, 759, 759, 759, 
	759, 759, 759, 759, 759, 759, 759, 759, 
	759, 759, -1, 759, 759, 759, 759, 759, 
	-1, 759, -1, 759, 759, 759, 759, -1, 
	759, -1, 759, 759, 759, -1, 759, 759, 
	759, 759, 759, 759, 759, 759, 759, 759, 
	759, 759, -1, 759, 759, 759, 759, 759, 
	759, 759, 759, 759, -1, 759, 759, 759, 
	759, -1, -1, -1, -1, -1, -1, -1, 
	759, -1, -1, 759, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 759, 759, 
	759, -1, 759, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 759, 759, 759, 759, -1, 865, 759, 
	759, -1, 759, 759, 759, -1, -1, -1, 
	-1, 759, 759, 759, -1, 759, 759, 759, 
	-1, -1, -1, -1, 759, -1, -1, -1, 
	-1, 759, -1, -1, -1, 759, 759, 759, 
	-1, 759, 759, -1, -1, 759, -1, -1, 
	-1, -1, -1, -1, -1, -1, 759, 759, 
	759, 759, 759, 759, 759, -1, -1, -1, 
	-1, 759, 759, -1, -1, 759, 759, 759, 
	759, 759, 759, 759, 759, -1, 759, 759, 
	759, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	759, 759, 759, 759, 759, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 759, 
	-1, -1, -1, -1, -1, -1, 759, -1, 
	918, 918, 918, 918, 918, 918, 918, 918, 
	918, 918, 918, 918, 918, 918, 918, 918, 
	918, 918, 918, 918, 918, 918, 918, 918, 
	918, 478, 479, -1, 918, 918, 918, 918, 
	918, -1, 918, -1, 918, 918, 918, 918, 
	-1, 918, -1, 918, 918, 918, -1, 918, 
	918, 918, 918, 918, 918, 918, 918, 918, 
	918, 918, 918, -1, 918, 918, 918, 918, 
	918, 918, 918, 918, 918, -1, 918, 918, 
	918, 918, -1, -1, -1, -1, -1, -1, 
	-1, 918, -1, -1, 918, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 918, 
	918, 918, -1, 918, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 759, 918, 918, 918, 918, -1, -1, 
	918, 918, -1, 918, 918, 918, -1, -1, 
	-1, -1, 918, 918, 918, -1, 918, 918, 
	918, -1, -1, -1, -1, 918, -1, -1, 
	-1, -1, 918, -1, -1, -1, 918, 918, 
	918, -1, 918, 918, -1, -1, 918, -1, 
	-1, -1, -1, -1, -1, -1, -1, 918, 
	918, 918, 918, 600, 475, 477, -1, -1, 
	-1, -1, 918, 918, -1, -1, 918, 918, 
	918, 918, 918, 918, 918, 918, -1, 918, 
	918, 918, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 918, 918, 918, 918, 918, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	918, -1, -1, -1, -1, -1, -1, 918, 
	-1, 915, 915, 915, 915, 915, 915, 915, 
	915, 915, 915, 915, 915, 915, 915, 915, 
	915, 915, 915, 915, 915, 915, 915, 915, 
	915, 915, 915, 915, -1, 915, 915, 915, 
	915, 915, -1, 915, -1, 915, 915, 915, 
	915, -1, 915, -1, 915, 915, 915, -1, 
	915, 915, 915, 915, 915, 915, 915, 915, 
	915, 915, 915, 915, -1, 915, 915, 915, 
	915, 915, 915, 915, 915, 915, -1, 915, 
	915, 915, 915, -1, -1, -1, -1, -1, 
	-1, -1, 915, -1, -1, 915, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	915, 915, 915, -1, 915, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 918, 915, 915, 915, 915, -1, 
	-1, 915, 915, -1, 915, 915, 915, -1, 
	-1, -1, -1, 915, 915, 915, -1, 915, 
	915, 915, -1, -1, -1, -1, 915, -1, 
	-1, -1, -1, 915, -1, -1, -1, 915, 
	915, 915, -1, 915, 915, -1, -1, 915, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	915, 915, 915, 915, 915, 915, 915, -1, 
	-1, -1, -1, 915, 915, -1, -1, 915, 
	915, 915, 915, 915, 915, 915, 915, -1, 
	915, 915, 915, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 915, 915, 915, 915, 915, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 915, -1, -1, -1, -1, -1, -1, 
	915, -1, -1, 54, 55, 56, 57, 85, 
	88, 86, 87, 89, 90, -1, 83, 84, 
	-1, -1, 36, 37, 41, 39, -1, -1, 
	-1, 104, 106, 110, 108, 112, -1, -1, 
	-1, -1, 42, 43, 44, -1, -1, -1, 
	97, -1, -1, -1, 98, 38, -1, -1, 
	100, 102, 95, 94, 96, -1, -1, -1, 
	-1, 79, 80, 81, -1, -1, -1, -1, 
	62, 78, -1, 116, 118, 120, 122, -1, 
	-1, -1, -1, -1, -1, -1, 82, -1, 
	304, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 73, 74, 75, -1, 
	76, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 991, 991, 991, 
	991, 991, 991, 991, 991, 991, 991, 991, 
	991, 991, 991, 991, 991, 991, 991, 991, 
	991, 991, 991, 991, 991, 991, 991, 991, 
	991, 991, 991, 991, 991, 991, -1, 991, 
	-1, 991, 991, 991, 991, 991, 991, -1, 
	991, 991, 991, 915, 991, 991, 991, 991, 
	991, 991, 991, 991, 991, 991, 991, 991, 
	991, 991, 991, 991, 991, 991, 991, 991, 
	991, 991, -1, 991, 991, 991, 991, -1, 
	-1, -1, 991, -1, -1, -1, 991, 991, 
	-1, 991, -1, -1, 991, -1, -1, 991, 
	-1, 991, -1, -1, 991, 991, 991, 305, 
	991, -1, -1, 599, 474, 476, 598, -1, 
	-1, -1, -1, 35, 33, 34, 58, 69, 
	70, 71, 72, -1, 77, 92, 64, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 991, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 991, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 40, 997, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 991, 
	991, 991, 991, -1, -1, 991, 991, 991, 
	991, 991, 991, -1, -1, -1, -1, 991, 
	991, 991, 991, 991, 991, 991, -1, -1, 
	991, -1, 991, -1, -1, -1, -1, 991, 
	991, -1, 991, 991, 991, 991, -1, 991, 
	991, -1, -1, 991, -1, -1, -1, -1, 
	-1, 991, -1, 991, 991, 991, 991, 991, 
	991, 991, 991, -1, -1, -1, -1, 991, 
	991, -1, 991, 991, 991, 991, 991, 991, 
	991, 991, 991, -1, 991, 991, 991, -1, 
	-1, 991, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 991, 991, 991, -1, 
	-1, 991, 991, 991, -1, -1, 991, 991, 
	991, 991, 991, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 991, -1, 991, 
	-1, -1, 991, 991, 991, -1, 992, 992, 
	992, 992, 992, 992, 992, 992, 992, 992, 
	992, 992, 992, 992, 992, 992, 992, 992, 
	992, 992, 992, 992, 992, 992, 992, 992, 
	992, 992, 992, 992, 992, 992, 992, -1, 
	992, -1, 992, 992, 992, 992, 992, 992, 
	-1, 992, 992, 992, -1, 992, 992, 992, 
	992, 992, 992, 992, 992, 992, 992, 992, 
	992, 992, 992, 992, 992, 992, 992, 992, 
	992, 992, 992, -1, 992, 992, 992, 992, 
	-1, -1, -1, 992, -1, -1, -1, 992, 
	992, -1, 992, -1, -1, 992, -1, -1, 
	992, -1, 992, -1, -1, 992, 992, 992, 
	-1, 992, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 992, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 992, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 991, 
	992, 992, 992, 992, -1, -1, 992, 992, 
	992, 992, 992, 992, -1, -1, -1, -1, 
	992, 992, 992, 992, 992, 992, 992, -1, 
	-1, 992, -1, 992, -1, -1, -1, -1, 
	992, 992, -1, 992, 992, 992, 992, -1, 
	992, 992, -1, -1, 992, -1, -1, -1, 
	-1, -1, 992, -1, 992, 992, 992, 992, 
	992, 992, 992, 992, -1, -1, -1, -1, 
	992, 992, -1, 992, 992, 992, 992, 992, 
	992, 992, 992, 992, -1, 992, 992, 992, 
	-1, -1, 992, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 992, 992, 992, 
	-1, -1, 992, 992, 992, -1, -1, 992, 
	992, 992, 992, 992, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 992, -1, 
	992, -1, -1, 992, 992, 992, -1, -1, 
	-1, 994, 994, 994, 994, 994, 994, 994, 
	994, 994, 994, 994, 994, 994, 994, 994, 
	994, 994, 994, 994, 994, 994, 994, 994, 
	994, 994, 994, 994, 994, 994, 994, 994, 
	994, 994, -1, 994, -1, 994, 994, 994, 
	994, 994, 994, -1, 994, 994, 994, -1, 
	994, 994, 994, 994, 994, 994, 994, 994, 
	994, 994, 994, 994, 994, 994, 994, 994, 
	994, 994, 994, 994, 994, 994, -1, 994, 
	994, 994, 994, -1, -1, -1, 994, -1, 
	-1, -1, 994, 994, -1, 994, -1, -1, 
	994, -1, -1, 994, -1, 994, -1, 305, 
	994, 994, 994, -1, 994, -1, 598, -1, 
	-1, -1, -1, 35, 33, 34, 58, 69, 
	70, 71, 72, -1, 77, 92, 64, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 994, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 994, -1, -1, -1, -1, 114, 99, 
	91, 40, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	992, -1, -1, 994, 994, 994, 994, -1, 
	-1, 994, 994, 994, 994, 994, 994, -1, 
	-1, -1, -1, 994, 994, 994, 994, 994, 
	994, 994, -1, -1, 994, -1, 994, -1, 
	-1, -1, -1, 994, 994, -1, 994, 994, 
	994, 994, -1, 994, 994, -1, -1, 994, 
	-1, -1, -1, -1, -1, 994, -1, 994, 
	994, 994, 994, 994, 994, 994, 994, -1, 
	-1, -1, -1, 994, 994, -1, 994, 994, 
	994, 994, 994, 994, 994, 994, 994, -1, 
	994, 994, 994, -1, -1, 994, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	994, 994, 994, -1, -1, 994, 994, 994, 
	-1, -1, 994, 994, 994, 994, 994, 85, 
	88, 86, 87, 89, 90, -1, 83, 84, 
	-1, 994, -1, 994, -1, -1, 994, 994, 
	994, 104, 106, 110, 108, 112, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	97, -1, -1, -1, 98, -1, -1, -1, 
	100, 102, 95, 94, 96, -1, -1, -1, 
	-1, 79, 80, 81, -1, -1, -1, -1, 
	997, 78, -1, 116, 118, 120, 122, -1, 
	-1, -1, -1, -1, -1, -1, 82, 1132, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 73, 74, 75, -1, 
	76, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 837, 837, 837, 837, 
	837, 837, 837, 837, 837, 837, 837, 837, 
	837, 837, 837, 837, -1, 837, 837, 837, 
	837, 837, 837, 837, 837, -1, -1, -1, 
	837, 837, 837, 837, 837, -1, 837, -1, 
	837, 837, 837, 837, -1, 837, -1, 837, 
	837, 837, -1, 837, 837, -1, -1, 837, 
	837, 837, 837, 837, 837, 837, 837, -1, 
	837, 837, 837, 837, 837, 837, 837, 837, 
	837, -1, 837, 837, 837, 837, -1, -1, 
	-1, -1, -1, 994, -1, 837, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 837, 837, 837, -1, 837, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 552, 69, 
	70, 71, 72, -1, 77, 92, 64, -1, 
	-1, -1, 551, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, 997, -1, -1, -1, 837, 837, 
	837, 837, -1, -1, 837, 837, 837, 837, 
	837, 837, -1, -1, -1, 606, 837, 837, 
	837, 837, 837, 837, 837, -1, -1, -1, 
	-1, 837, -1, -1, -1, -1, 837, 837, 
	-1, -1, 837, 837, 837, -1, 837, 837, 
	-1, -1, 837, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 837, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 837, 837, 837, 837, 837, 837, 
	837, 837, -1, 837, 837, 837, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 837, 837, 837, 
	837, 837, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 837, -1, 837, -1, 
	-1, 837, 54, 55, 56, 57, 85, 88, 
	86, 87, 89, 90, 1130, 83, 84, -1, 
	-1, 36, 37, 41, 39, -1, -1, -1, 
	104, 106, 110, 108, 112, -1, -1, -1, 
	-1, 42, 43, 44, -1, -1, -1, 97, 
	-1, -1, -1, 98, 38, -1, -1, 100, 
	102, 95, 94, 96, -1, -1, -1, -1, 
	79, 80, 81, -1, -1, -1, -1, 62, 
	78, -1, 116, 118, 120, 122, -1, -1, 
	-1, -1, -1, -1, -1, 82, -1, -1, 
	1130, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 73, 74, 75, -1, 76, 
	54, 55, 56, 57, 85, 88, 86, 87, 
	89, 90, -1, 83, 84, -1, -1, 36, 
	37, 41, 39, -1, -1, -1, 104, 106, 
	110, 108, 112, -1, -1, -1, -1, 42, 
	43, 44, -1, -1, -1, 97, -1, -1, 
	-1, 98, 38, -1, -1, 100, 102, 95, 
	94, 96, -1, -1, -1, -1, 79, 80, 
	81, -1, -1, -1, -1, 62, 78, -1, 
	116, 118, 120, 122, -1, -1, -1, -1, 
	-1, -1, -1, 82, -1, 304, 837, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 73, 74, 75, -1, 76, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 318, -1, 
	-1, -1, -1, -1, -1, -1, 1130, 1130, 
	608, -1, 35, 33, 34, 58, 69, 70, 
	71, 72, -1, 77, 92, 64, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 114, 99, 91, 
	40, 997, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 317, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 305, -1, -1, -1, 
	-1, -1, -1, 610, -1, -1, -1, -1, 
	35, 33, 34, 58, 69, 70, 71, 72, 
	-1, 77, 92, 64, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 114, 99, 91, 40, 997, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 552, 69, 
	70, 71, 72, -1, 77, 92, 64, -1, 
	-1, -1, 551, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 606, 763, 763, 
	763, 763, 763, 763, 763, 763, 763, 763, 
	763, 763, 763, 763, 763, 763, 763, 763, 
	763, 763, 763, 763, 763, 763, 763, 763, 
	763, -1, 763, 763, 763, 763, 763, -1, 
	763, -1, 763, 763, 763, 763, -1, 763, 
	-1, 763, 763, 763, -1, 763, 763, 763, 
	763, 763, 763, 763, 763, 763, 763, 763, 
	763, -1, 763, 763, 763, 763, 763, 763, 
	763, 763, 763, -1, 763, 763, 763, 763, 
	-1, -1, -1, -1, -1, -1, -1, 763, 
	-1, -1, 763, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 763, 763, 763, 
	-1, 763, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	763, 763, 763, 763, -1, -1, 763, 763, 
	-1, 763, 763, 763, -1, -1, -1, -1, 
	763, 763, 763, -1, 763, 763, 763, -1, 
	-1, -1, -1, 763, -1, -1, -1, -1, 
	763, -1, -1, -1, 763, 763, 763, -1, 
	763, 763, -1, -1, 763, -1, -1, -1, 
	-1, -1, -1, -1, -1, 763, 763, 763, 
	763, 763, 763, 763, -1, -1, -1, -1, 
	763, 763, -1, -1, 763, 763, 763, 763, 
	763, 763, 763, 763, -1, 763, 763, 763, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 763, 
	763, 763, 763, 763, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 763, -1, 
	-1, -1, -1, -1, -1, 763, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 318, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	608, -1, 35, 33, 34, 58, 69, 70, 
	71, 72, -1, 77, 92, 64, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 114, 99, 91, 
	40, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 317, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 305, -1, -1, -1, 
	-1, -1, -1, 610, -1, -1, -1, -1, 
	35, 33, 34, 58, 69, 70, 71, 72, 
	-1, 77, 92, 64, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	763, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 114, 99, 91, 40, 909, 
	909, 909, 909, 909, 909, 909, 909, 909, 
	909, 909, 909, 909, 909, 909, 909, 909, 
	909, 909, 909, 909, 909, 909, 909, 909, 
	909, 909, -1, 909, 909, 909, 909, 909, 
	-1, 909, -1, 909, 909, 909, 909, -1, 
	909, -1, 909, 909, 909, -1, 909, 909, 
	909, 909, 909, 909, 909, 909, 909, 909, 
	909, 909, -1, 909, 909, 909, 909, 909, 
	909, 909, 909, 909, -1, 909, 909, 909, 
	909, -1, -1, -1, -1, -1, -1, -1, 
	909, -1, -1, 909, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 909, 909, 
	909, -1, 909, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 909, 909, 909, 909, -1, -1, 909, 
	909, -1, 909, 909, 909, -1, -1, -1, 
	-1, 909, 909, 909, -1, 909, 909, 909, 
	-1, -1, -1, -1, 909, -1, -1, -1, 
	-1, 909, -1, -1, -1, 909, 909, 909, 
	-1, 909, 909, -1, -1, 909, -1, -1, 
	-1, -1, -1, -1, -1, -1, 909, 909, 
	909, 909, 909, 909, 909, -1, -1, -1, 
	-1, 909, 909, -1, -1, 909, 909, 909, 
	909, 909, 909, 909, 909, -1, 909, 909, 
	909, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	909, 909, 909, 909, 909, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 909, 
	-1, -1, -1, -1, -1, -1, 909, -1, 
	984, 984, 984, 984, 984, 984, 984, 984, 
	984, 984, 984, 984, 984, 984, 984, 984, 
	984, 984, 984, 984, 984, 984, 984, 984, 
	984, 984, 984, -1, 984, 984, 984, 984, 
	984, -1, 984, -1, 984, 984, 984, 984, 
	-1, 984, -1, 984, 984, 984, -1, 984, 
	984, 984, 984, 984, 984, 984, 984, 984, 
	984, 984, 984, -1, 984, 984, 984, 984, 
	984, 984, 984, 984, 984, 984, 984, 984, 
	984, 984, 984, -1, 984, -1, -1, -1, 
	-1, 984, 984, 984, 984, 984, -1, -1, 
	984, 984, 984, 984, 984, 984, 984, 984, 
	984, 984, 984, 984, 984, 984, 984, 984, 
	-1, -1, -1, -1, -1, 984, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 909, 984, 984, 984, 984, -1, -1, 
	984, 984, 984, 984, 984, 984, -1, -1, 
	-1, -1, 984, 984, 984, 984, 984, 984, 
	984, -1, -1, -1, -1, 984, -1, -1, 
	-1, -1, 984, 984, -1, -1, 984, 984, 
	984, -1, 984, 984, -1, -1, 984, -1, 
	-1, -1, -1, -1, -1, -1, -1, 984, 
	984, 984, 984, 984, 984, 984, -1, -1, 
	-1, 984, 984, 984, -1, -1, 984, 984, 
	984, 984, 984, 984, 984, 984, -1, 984, 
	984, 984, -1, -1, -1, 984, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	984, 984, 984, -1, -1, 984, -1, -1, 
	-1, -1, 984, -1, -1, -1, -1, 984, 
	-1, 984, 984, 984, 984, 984, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	984, -1, 984, -1, -1, 984, -1, 984, 
	984, -1, -1, -1, 984, -1, 984, -1, 
	984, 983, 983, 983, 983, 983, 983, 983, 
	983, 983, 983, 983, 983, 983, 983, 983, 
	983, 983, 983, 983, 983, 983, 983, 983, 
	983, 983, 983, 983, -1, 983, 983, 983, 
	983, 983, -1, 983, -1, 983, 983, 983, 
	983, -1, 983, -1, 983, 983, 983, -1, 
	983, 983, 983, 983, 983, 983, 983, 983, 
	983, 983, 983, 983, -1, 983, 983, 983, 
	983, 983, 983, 983, 983, 983, 983, 983, 
	983, 983, 983, 983, -1, 983, -1, -1, 
	-1, -1, 983, 983, 983, 983, 983, -1, 
	-1, 983, 983, 983, 983, 983, 983, 983, 
	983, 983, 983, 983, 983, 983, 983, 983, 
	983, -1, -1, -1, -1, -1, 983, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 984, -1, -1, -1, -1, -1, 
	-1, -1, -1, 983, 983, 983, 983, -1, 
	-1, 983, 983, 983, 983, 983, 983, -1, 
	-1, -1, -1, 983, 983, 983, 983, 983, 
	983, 983, -1, -1, -1, -1, 983, -1, 
	-1, -1, -1, 983, 983, -1, -1, 983, 
	983, 983, -1, 983, 983, -1, -1, 983, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	983, 983, 983, 983, 983, 983, 983, -1, 
	-1, -1, 983, 983, 983, -1, -1, 983, 
	983, 983, 983, 983, 983, 983, 983, -1, 
	983, 983, 983, -1, -1, -1, 983, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 983, 983, 983, -1, -1, 983, -1, 
	-1, -1, -1, 983, -1, -1, -1, -1, 
	983, -1, 983, 983, 983, 983, 983, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 983, -1, 983, -1, -1, 983, -1, 
	983, 983, -1, -1, -1, 983, -1, 983, 
	-1, 983, 985, 985, 985, 985, 985, 985, 
	985, 985, 985, 985, 985, 985, 985, 985, 
	985, 985, 985, 985, 985, 985, 985, 985, 
	985, 985, 985, 985, 985, -1, 985, 985, 
	985, 985, 985, -1, 985, -1, 985, 985, 
	985, 985, -1, 985, -1, 985, 985, 985, 
	-1, 985, 985, 985, 985, 985, 985, 985, 
	985, 985, 985, 985, 985, -1, 985, 985, 
	985, 985, 985, 985, 985, 985, 985, 985, 
	985, 985, 985, 985, 985, -1, 985, -1, 
	-1, -1, -1, 985, 985, 985, 985, 985, 
	-1, -1, 985, 985, 985, 985, 985, 985, 
	985, 985, 985, 985, 985, 985, 985, 985, 
	985, 985, -1, -1, -1, -1, -1, 985, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 983, -1, -1, -1, -1, 
	-1, -1, -1, -1, 985, 985, 985, 985, 
	-1, -1, 985, 985, 985, 985, 985, 985, 
	-1, -1, -1, -1, 985, 985, 985, 985, 
	985, 985, 985, -1, -1, -1, -1, 985, 
	-1, -1, -1, -1, 985, 985, -1, -1, 
	985, 985, 985, -1, 985, 985, -1, -1, 
	985, -1, -1, -1, -1, -1, -1, -1, 
	-1, 985, 985, 985, 985, 985, 985, 985, 
	-1, -1, -1, 985, 985, 985, -1, -1, 
	985, 985, 985, 985, 985, 985, 985, 985, 
	-1, 985, 985, 985, -1, -1, -1, 985, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 985, 985, 985, -1, -1, 985, 
	-1, -1, -1, -1, 985, -1, -1, -1, 
	-1, 985, -1, 985, 985, 985, 985, 985, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 985, -1, 985, -1, -1, 985, 
	-1, 985, 985, -1, -1, -1, 985, -1, 
	985, -1, 985, 860, 860, 860, 860, 860, 
	860, 860, 860, 860, 860, 860, 860, 860, 
	860, 860, 860, -1, 860, 860, 860, 860, 
	860, 860, 860, 860, -1, -1, -1, 860, 
	860, 860, 860, 860, -1, 860, -1, 860, 
	860, 860, 860, -1, 860, -1, 860, 860, 
	860, -1, 860, 860, -1, -1, 860, 860, 
	860, 860, 860, 860, 860, 860, 860, 860, 
	860, 860, 860, 860, 860, 860, 860, 860, 
	860, 860, 860, 860, 860, -1, -1, -1, 
	-1, -1, -1, -1, 860, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 860, 860, 860, -1, 860, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 985, -1, -1, -1, 
	-1, -1, -1, -1, -1, 860, 860, 860, 
	860, -1, -1, 860, 860, 860, 860, 860, 
	860, -1, -1, -1, -1, 860, 860, 860, 
	860, 860, 860, 860, -1, 860, 860, -1, 
	860, -1, -1, -1, -1, 860, 860, -1, 
	-1, 860, 860, 860, -1, 860, 860, -1, 
	-1, 860, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 860, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 860, 860, 860, 860, 860, 860, 860, 
	860, -1, 860, 860, 860, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 860, 860, 860, 860, 
	860, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 860, -1, 860, -1, -1, 
	860, -1, -1, -1, 828, 828, 828, 828, 
	828, 828, 828, 828, 828, 828, 828, 828, 
	828, 828, 828, 828, -1, 828, 828, 828, 
	828, 828, 828, 828, 828, -1, -1, -1, 
	828, 828, 828, 828, 828, -1, 828, -1, 
	828, 828, 828, 828, -1, 828, -1, 828, 
	828, 828, -1, 828, 828, -1, -1, 828, 
	828, 828, 828, 828, 828, 828, 828, -1, 
	828, 828, 828, 828, 828, 828, 828, 828, 
	828, -1, 828, 828, 828, 828, -1, -1, 
	-1, -1, -1, -1, -1, 828, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 828, 828, 828, -1, 828, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 860, 828, 828, 
	828, 828, -1, -1, 828, 828, -1, 828, 
	828, 828, -1, -1, -1, -1, 828, 828, 
	828, -1, 828, 828, 828, -1, -1, -1, 
	-1, 828, -1, -1, -1, -1, 828, 828, 
	-1, -1, 828, 828, 828, -1, 828, 828, 
	-1, -1, 828, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 828, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 828, 828, 828, 828, 828, 828, 
	828, 828, -1, 828, 828, 828, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1065, 1065, 1065, 1065, 1065, 1065, -1, 
	1065, 1065, -1, -1, -1, 828, 828, 828, 
	828, 828, -1, 1065, 1065, 1065, 1065, 1065, 
	-1, -1, -1, -1, 828, -1, -1, -1, 
	-1, 828, 1065, -1, -1, -1, 1065, -1, 
	-1, -1, 1065, 1065, 1065, 1065, 1065, -1, 
	-1, -1, -1, 1065, 1065, 1065, -1, -1, 
	-1, -1, 1065, 1065, -1, 1065, 1065, 1065, 
	1065, 1065, -1, -1, -1, -1, -1, -1, 
	1065, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1065, 1065, 
	1065, 1065, 1065, -1, -1, 212, 213, -1, 
	-1, -1, -1, -1, 1065, -1, -1, -1, 
	-1, -1, -1, -1, 833, 833, 833, 833, 
	833, 833, 833, 833, 833, 833, 833, 833, 
	833, 833, 833, 833, -1, 833, 833, 833, 
	833, 833, 833, 833, 833, -1, -1, -1, 
	833, 833, 833, 833, 833, -1, 833, -1, 
	833, 833, 833, 833, -1, 833, -1, 833, 
	833, 833, -1, 833, 833, -1, -1, 833, 
	833, 833, 833, 833, 833, 833, 833, -1, 
	833, 833, 833, 833, 833, 833, 833, 833, 
	833, -1, 833, 833, 833, 833, -1, -1, 
	-1, -1, -1, -1, -1, 833, -1, -1, 
	-1, -1, -1, -1, -1, -1, 833, -1, 
	-1, -1, -1, 833, 833, 833, 828, 833, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1065, 1065, 1065, 1065, 1065, -1, 1065, 1065, 
	1065, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1065, 
	1065, 1065, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1065, -1, 
	1065, 1065, 1065, 1065, 1065, -1, 833, 833, 
	833, 833, -1, -1, 833, 833, 833, 833, 
	833, 833, -1, -1, -1, -1, 833, 833, 
	833, 833, 833, 833, 833, -1, -1, 1065, 
	-1, 833, -1, -1, -1, -1, 833, 833, 
	-1, -1, 833, 833, 833, -1, 833, 833, 
	-1, -1, 833, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 833, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 833, 833, 833, 833, 833, 833, 
	833, 833, -1, 833, 833, 833, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 833, 833, 833, 
	833, 833, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 833, -1, 833, -1, 
	-1, 833, -1, -1, -1, 856, 856, 856, 
	856, 856, 856, 856, 856, 856, 856, 856, 
	856, 856, 856, 856, 856, -1, 856, 856, 
	856, 856, 856, 856, 856, 856, -1, -1, 
	-1, 856, 856, 856, 856, 856, -1, 856, 
	-1, 856, 856, 856, 856, -1, 856, -1, 
	856, 856, 856, -1, 856, 856, -1, -1, 
	856, 856, 856, 856, 856, 856, 856, 856, 
	-1, 856, 856, 856, 856, 856, 856, 856, 
	856, 856, -1, 856, 856, 856, 856, -1, 
	-1, -1, -1, -1, -1, -1, 856, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 856, 856, 856, -1, 
	856, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 833, 856, 
	856, 856, 856, -1, -1, 856, 856, 856, 
	856, 856, 856, -1, -1, -1, -1, 856, 
	856, 856, 856, 856, 856, 856, -1, -1, 
	-1, -1, 856, -1, -1, -1, -1, 856, 
	856, -1, -1, 856, 856, 856, -1, 856, 
	856, -1, -1, 856, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 856, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 856, 856, 856, 856, 856, 
	856, 856, 856, -1, 856, 856, 856, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 856, 856, 
	856, 856, 856, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 856, -1, 856, 
	-1, -1, 856, -1, -1, -1, 967, 967, 
	967, 967, 967, 967, 967, 967, 967, 967, 
	967, 967, 967, 967, 967, 967, 967, 967, 
	967, 967, 967, 967, 967, 967, 967, 967, 
	967, -1, 967, 967, 967, 967, 967, -1, 
	967, -1, 967, 967, 967, 967, -1, 967, 
	-1, 967, 967, 967, -1, 967, 967, 967, 
	967, 967, 967, 967, 967, 967, 967, 967, 
	967, -1, 967, 967, 967, 967, 967, 967, 
	967, 967, 967, 967, 967, 967, 967, 967, 
	967, -1, 967, -1, -1, -1, -1, 967, 
	967, 967, 967, 967, -1, -1, 967, 967, 
	967, 967, 967, 967, 967, 967, 967, 967, 
	967, 967, 967, 967, 967, 967, -1, -1, 
	-1, -1, -1, 967, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 856, 
	967, 967, 967, 967, -1, -1, 967, 967, 
	967, 967, 967, 967, -1, -1, -1, -1, 
	967, 967, 967, 967, 967, 967, 967, -1, 
	-1, -1, -1, 967, -1, -1, -1, -1, 
	967, 967, -1, -1, 967, 967, 967, -1, 
	967, 967, -1, -1, 967, -1, -1, -1, 
	-1, -1, -1, -1, -1, 967, 967, 967, 
	967, 967, 967, 967, -1, -1, -1, 967, 
	967, 967, -1, -1, 967, 967, 967, 967, 
	967, 967, 967, 967, -1, 967, 967, 967, 
	-1, -1, -1, 967, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 967, 967, 
	967, -1, -1, 967, -1, -1, -1, -1, 
	967, -1, -1, -1, -1, 967, -1, 967, 
	967, 967, 967, 967, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 967, -1, 
	967, -1, -1, 967, -1, 967, 967, -1, 
	-1, -1, 967, -1, 967, -1, 967, 882, 
	882, 882, 882, 882, 882, 882, 882, 882, 
	882, 882, 882, 882, 882, 882, 882, -1, 
	882, 882, 882, 882, 882, 882, 882, 882, 
	-1, -1, -1, 882, 882, 882, 882, 882, 
	-1, 882, -1, 882, 882, 882, 882, -1, 
	882, -1, 882, 882, 882, -1, 882, 882, 
	-1, -1, 882, 882, 882, 882, 882, 882, 
	882, 882, -1, 882, 882, 882, 882, 882, 
	882, 882, 882, 882, -1, 882, 882, 882, 
	882, -1, 618, -1, -1, -1, -1, -1, 
	882, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 882, 882, 
	882, -1, 882, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	967, -1, -1, -1, -1, -1, -1, -1, 
	-1, 882, 882, 882, 882, -1, -1, 882, 
	882, 882, 882, 882, 882, -1, -1, -1, 
	-1, 882, 882, 882, 882, 882, 882, 882, 
	-1, -1, -1, -1, 882, -1, -1, -1, 
	-1, 882, 882, -1, -1, 882, 882, 882, 
	-1, 882, 882, -1, -1, 882, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 882, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 882, 882, 882, 
	882, 882, 882, 882, 882, -1, 882, 882, 
	882, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	882, 882, 882, 882, 882, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 882, 
	-1, 882, -1, -1, 882, -1, -1, -1, 
	908, 908, 908, 908, 908, 908, 908, 908, 
	908, 908, 908, 908, 908, 908, 908, 908, 
	-1, 908, 908, 908, 908, 908, 908, 908, 
	908, -1, -1, -1, 908, 908, 908, 908, 
	908, -1, 908, -1, 908, 908, 908, 908, 
	-1, 908, -1, 908, 908, 908, -1, 908, 
	908, -1, -1, 908, 908, 908, 908, 908, 
	908, 908, 908, -1, 908, 908, 908, 908, 
	908, 908, 908, 908, 908, -1, 908, 908, 
	908, 908, -1, 908, -1, -1, -1, -1, 
	-1, 908, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 908, 
	908, 908, -1, 908, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 882, 908, 908, 908, 908, -1, -1, 
	908, 908, 908, 908, 908, 908, -1, -1, 
	-1, -1, 908, 908, 908, 908, 908, 908, 
	908, -1, -1, -1, -1, 908, -1, -1, 
	-1, -1, 908, 908, -1, -1, 908, 908, 
	908, -1, 908, 908, -1, -1, 908, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 908, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 908, 908, 
	908, 908, 908, 908, 908, 908, -1, 908, 
	908, 908, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 908, 908, 908, 908, 908, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	908, -1, 908, -1, -1, 908, -1, -1, 
	-1, 884, 884, 884, 884, 884, 884, 884, 
	884, 884, 884, 884, 884, 884, 884, 884, 
	884, -1, 884, 884, 884, 884, 884, 884, 
	884, 884, -1, -1, -1, 884, 884, 884, 
	884, 884, -1, 884, -1, 884, 884, 884, 
	884, -1, 884, -1, 884, 884, 884, -1, 
	884, 884, -1, -1, 884, 884, 884, 884, 
	884, 884, 884, 884, -1, 884, 884, 884, 
	884, 884, 884, 884, 884, 884, -1, 884, 
	884, 884, 884, -1, -1, -1, -1, -1, 
	-1, -1, 884, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	884, 884, 884, -1, 884, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 908, 884, 884, 884, 884, -1, 
	-1, 884, 884, 884, 884, 884, 884, -1, 
	-1, -1, -1, 884, 884, 884, 884, 884, 
	884, 884, -1, -1, -1, -1, 884, -1, 
	-1, -1, -1, 884, 884, -1, -1, 884, 
	884, 884, -1, 884, 884, -1, -1, 884, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 884, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 884, 
	884, 884, 884, 884, 884, 884, 884, -1, 
	884, 884, 884, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 884, 884, 884, 884, 884, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 884, -1, 884, -1, -1, 884, -1, 
	-1, -1, 893, 893, 893, 893, 893, 893, 
	893, 893, 893, 893, 893, 893, 893, 893, 
	893, 893, -1, 893, 893, 893, 893, 893, 
	893, 893, 893, -1, -1, -1, 893, 893, 
	893, 893, 893, -1, 893, -1, 893, 893, 
	893, 893, -1, 893, -1, 893, 893, 893, 
	-1, 893, 893, -1, -1, 893, 893, 893, 
	893, 893, 893, 893, 893, -1, 893, 893, 
	893, 893, 893, 893, 893, 893, 893, -1, 
	893, 893, 893, 893, -1, -1, -1, -1, 
	-1, -1, -1, 893, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 893, 893, 893, -1, 893, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 884, 893, 893, 893, 893, 
	-1, -1, 893, 893, 893, 893, 893, 893, 
	-1, -1, -1, -1, 893, 893, 893, 893, 
	893, 893, 893, -1, -1, -1, -1, 893, 
	-1, -1, -1, -1, 893, 893, -1, -1, 
	893, 893, 893, -1, 893, 893, -1, -1, 
	893, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 893, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	893, 893, 893, 893, 893, 893, 893, 893, 
	-1, 893, 893, 893, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1052, 
	1052, 1052, 1052, 1052, 1052, -1, 1052, 1052, 
	-1, -1, -1, 893, 893, 893, 893, 893, 
	-1, 1052, 1052, 1052, 1052, 1052, -1, -1, 
	-1, -1, 893, -1, 893, -1, -1, 893, 
	1052, -1, -1, -1, 1052, -1, -1, -1, 
	1052, 1052, 1052, 1052, 1052, -1, -1, -1, 
	-1, 1052, 1052, 1052, -1, -1, -1, -1, 
	1052, 1052, -1, 1052, 1052, 1052, 1052, 1052, 
	-1, -1, -1, -1, -1, -1, 1052, -1, 
	-1, -1, -1, 85, 88, 86, 87, 89, 
	90, -1, 83, 84, 1052, 1052, 1052, 1052, 
	1052, -1, -1, 212, 213, 104, 106, 110, 
	108, 112, 1052, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 97, -1, -1, -1, 
	98, -1, -1, -1, 100, 102, 95, 94, 
	96, -1, -1, -1, -1, 79, 80, 81, 
	-1, -1, -1, -1, 997, 78, -1, 116, 
	118, 120, 122, -1, -1, -1, -1, -1, 
	-1, -1, 82, 1132, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	73, 74, 75, -1, 76, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 893, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1052, 1052, 
	1052, 1052, 1052, -1, 1052, 1052, 1052, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1052, 1052, 1052, 
	-1, -1, -1, -1, -1, -1, -1, 1052, 
	-1, -1, -1, -1, -1, -1, 1052, 1052, 
	1052, 1052, 1052, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1052, -1, -1, -1, -1, 
	-1, -1, 552, 69, 70, 71, 72, -1, 
	77, 92, 64, -1, -1, -1, 551, -1, 
	1006, 1006, 1006, 1006, 1006, 1006, -1, 1006, 
	1006, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1006, 1006, 1006, 1006, 1006, -1, 
	-1, -1, 114, 99, 91, 159, 997, -1, 
	-1, 1006, -1, -1, -1, 1006, -1, -1, 
	-1, 1006, 1006, 1006, 1006, 1006, -1, -1, 
	-1, 642, 1006, 1006, 1006, -1, -1, -1, 
	-1, 1006, 1006, -1, 1006, 1006, 1006, 1006, 
	-1, -1, -1, -1, -1, -1, -1, 1006, 
	1006, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1006, 1006, 1006, 
	-1, 1006, -1, -1, 212, 213, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 975, 975, 975, 
	975, 975, 975, 975, 975, 975, 975, 975, 
	975, 975, 975, 975, 975, 975, 975, 975, 
	975, 975, 975, 975, 975, 975, 975, 975, 
	-1, 975, 975, 975, 975, 975, -1, 975, 
	-1, 975, 975, 975, 975, -1, 975, -1, 
	975, 975, 975, -1, 975, 975, 975, 975, 
	975, 975, 975, 975, 975, 975, 975, 975, 
	-1, 975, 975, 975, 975, 975, 975, 975, 
	975, 975, 975, 975, 975, 975, 975, 975, 
	-1, 975, -1, -1, -1, -1, 975, 975, 
	975, 975, 975, -1, -1, 975, 975, 975, 
	975, 975, 975, 975, 975, 975, 975, 975, 
	975, 975, 975, 975, 975, -1, -1, -1, 
	-1, -1, 975, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1006, 
	1006, 1006, 1006, 1006, -1, 1006, 1006, 1006, 
	-1, -1, -1, 1006, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1006, 
	1006, 1006, 1006, 1006, -1, -1, -1, 975, 
	975, 975, 975, -1, -1, 975, 975, 975, 
	975, 975, 975, -1, -1, -1, 1006, 975, 
	975, 975, 975, 975, 975, 975, -1, -1, 
	-1, -1, 975, -1, -1, -1, -1, 975, 
	975, -1, -1, 975, 975, 975, -1, 975, 
	975, -1, -1, 975, -1, -1, -1, -1, 
	-1, -1, -1, -1, 975, 975, 975, 975, 
	975, 975, 975, -1, -1, -1, 975, 975, 
	975, -1, -1, 975, 975, 975, 975, 975, 
	975, 975, 975, -1, 975, 975, 975, -1, 
	-1, -1, 975, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 975, 975, 975, 
	-1, -1, 975, -1, -1, -1, -1, 975, 
	-1, -1, -1, -1, 975, -1, 975, 975, 
	975, 975, 975, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 975, -1, 975, 
	-1, -1, 975, -1, 975, 975, -1, -1, 
	-1, 975, -1, 975, -1, 975, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 978, 978, 978, 978, 978, 978, 978, 
	978, 978, 978, 978, 978, 978, 978, 978, 
	978, 978, 978, 978, 978, 978, 978, 978, 
	978, 978, 978, 978, -1, 978, 978, 978, 
	978, 978, -1, 978, -1, 978, 978, 978, 
	978, -1, 978, -1, 978, 978, 978, -1, 
	978, 978, 978, 978, 978, 978, 978, 978, 
	978, 978, 978, 978, -1, 978, 978, 978, 
	978, 978, 978, 978, 978, 978, 978, 978, 
	978, 978, 978, 978, -1, 978, -1, -1, 
	-1, -1, 978, 978, 978, 978, 978, -1, 
	-1, 978, 978, 978, 978, 978, 978, 978, 
	978, 978, 978, 978, 978, 978, 978, 978, 
	978, -1, -1, -1, -1, -1, 978, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 975, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 552, 69, 70, 71, 72, -1, 
	77, 92, 64, -1, -1, -1, 551, -1, 
	-1, -1, -1, 978, 978, 978, 978, -1, 
	-1, 978, 978, 978, 978, 978, 978, -1, 
	-1, -1, -1, 978, 978, 978, 978, 978, 
	978, 978, 114, 99, 91, 159, 978, -1, 
	-1, -1, -1, 978, 978, -1, -1, 978, 
	978, 978, -1, 978, 978, -1, -1, 978, 
	-1, 642, -1, -1, -1, -1, -1, -1, 
	978, 978, 978, 978, 978, 978, 978, -1, 
	-1, -1, 978, 978, 978, -1, -1, 978, 
	978, 978, 978, 978, 978, 978, 978, -1, 
	978, 978, 978, -1, -1, -1, 978, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 978, 978, 978, -1, -1, 978, -1, 
	-1, -1, -1, 978, -1, -1, -1, -1, 
	978, -1, 978, 978, 978, 978, 978, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 978, -1, 978, -1, -1, 978, -1, 
	978, 978, -1, -1, -1, 978, -1, 978, 
	-1, 978, 976, 976, 976, 976, 976, 976, 
	976, 976, 976, 976, 976, 976, 976, 976, 
	976, 976, 976, 976, 976, 976, 976, 976, 
	976, 976, 976, 976, 976, -1, 976, 976, 
	976, 976, 976, -1, 976, -1, 976, 976, 
	976, 976, -1, 976, -1, 976, 976, 976, 
	-1, 976, 976, 976, 976, 976, 976, 976, 
	976, 976, 976, 976, 976, -1, 976, 976, 
	976, 976, 976, 976, 976, 976, 976, 976, 
	976, 976, 976, 976, 976, -1, 976, -1, 
	-1, -1, -1, 976, 976, 976, 976, 976, 
	-1, -1, 976, 976, 976, 976, 976, 976, 
	976, 976, 976, 976, 976, 976, 976, 976, 
	976, 976, -1, -1, -1, -1, -1, 976, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 978, -1, -1, -1, -1, 
	-1, -1, -1, -1, 976, 976, 976, 976, 
	-1, -1, 976, 976, 976, 976, 976, 976, 
	-1, -1, -1, -1, 976, 976, 976, 976, 
	976, 976, 976, -1, -1, -1, -1, 976, 
	-1, -1, -1, -1, 976, 976, -1, -1, 
	976, 976, 976, -1, 976, 976, -1, -1, 
	976, -1, -1, -1, -1, -1, -1, -1, 
	-1, 976, 976, 976, 976, 976, 976, 976, 
	-1, -1, -1, 976, 976, 976, -1, -1, 
	976, 976, 976, 976, 976, 976, 976, 976, 
	-1, 976, 976, 976, -1, -1, -1, 976, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 976, 976, 976, -1, -1, 976, 
	-1, -1, -1, -1, 976, -1, -1, -1, 
	-1, 976, -1, 976, 976, 976, 976, 976, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 976, -1, 976, -1, -1, 976, 
	-1, 976, 976, -1, -1, -1, 976, -1, 
	976, -1, 976, 977, 977, 977, 977, 977, 
	977, 977, 977, 977, 977, 977, 977, 977, 
	977, 977, 977, 977, 977, 977, 977, 977, 
	977, 977, 977, 977, 977, 977, -1, 977, 
	977, 977, 977, 977, -1, 977, -1, 977, 
	977, 977, 977, -1, 977, -1, 977, 977, 
	977, -1, 977, 977, 977, 977, 977, 977, 
	977, 977, 977, 977, 977, 977, -1, 977, 
	977, 977, 977, 977, 977, 977, 977, 977, 
	977, 977, 977, 977, 977, 977, -1, 977, 
	-1, -1, -1, -1, 977, 977, 977, 977, 
	977, -1, -1, 977, 977, 977, 977, 977, 
	977, 977, 977, 977, 977, 977, 977, 977, 
	977, 977, 977, -1, -1, -1, -1, -1, 
	977, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 976, -1, -1, -1, 
	-1, -1, -1, -1, -1, 977, 977, 977, 
	977, -1, -1, 977, 977, 977, 977, 977, 
	977, -1, -1, -1, -1, 977, 977, 977, 
	977, 977, 977, 977, -1, -1, -1, -1, 
	977, -1, -1, -1, -1, 977, 977, -1, 
	-1, 977, 977, 977, -1, 977, 977, -1, 
	-1, 977, -1, -1, -1, -1, -1, -1, 
	-1, -1, 977, 977, 977, 977, 977, 977, 
	977, -1, -1, -1, 977, 977, 977, -1, 
	-1, 977, 977, 977, 977, 977, 977, 977, 
	977, -1, 977, 977, 977, -1, -1, -1, 
	977, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 977, 977, 977, -1, -1, 
	977, -1, -1, -1, -1, 977, -1, -1, 
	-1, -1, 977, -1, 977, 977, 977, 977, 
	977, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 977, -1, 977, -1, -1, 
	977, -1, 977, 977, -1, -1, -1, 977, 
	-1, 977, -1, 977, 979, 979, 979, 979, 
	979, 979, 979, 979, 979, 979, 979, 979, 
	979, 979, 979, 979, 979, 979, 979, 979, 
	979, 979, 979, 979, 979, 979, 979, -1, 
	979, 979, 979, 979, 979, -1, 979, -1, 
	979, 979, 979, 979, -1, 979, -1, 979, 
	979, 979, -1, 979, 979, 979, 979, 979, 
	979, 979, 979, 979, 979, 979, 979, -1, 
	979, 979, 979, 979, 979, 979, 979, 979, 
	979, 979, 979, 979, 979, 979, 979, -1, 
	979, -1, -1, -1, -1, 979, 979, 979, 
	979, 979, -1, -1, 979, 979, 979, 979, 
	979, 979, 979, 979, 979, 979, 979, 979, 
	979, 979, 979, 979, -1, -1, -1, -1, 
	-1, 979, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 977, -1, -1, 
	-1, -1, -1, -1, -1, -1, 979, 979, 
	979, 979, -1, -1, 979, 979, 979, 979, 
	979, 979, -1, -1, -1, -1, 979, 979, 
	979, 979, 979, 979, 979, -1, -1, -1, 
	-1, 979, -1, -1, -1, -1, 979, 979, 
	-1, -1, 979, 979, 979, -1, 979, 979, 
	-1, -1, 979, -1, -1, -1, -1, -1, 
	-1, -1, -1, 979, 979, 979, 979, 979, 
	979, 979, -1, -1, -1, 979, 979, 979, 
	-1, -1, 979, 979, 979, 979, 979, 979, 
	979, 979, -1, 979, 979, 979, -1, -1, 
	-1, 979, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 979, 979, 979, -1, 
	-1, 979, -1, -1, -1, -1, 979, -1, 
	-1, -1, -1, 979, -1, 979, 979, 979, 
	979, 979, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 979, -1, 979, -1, 
	-1, 979, -1, 979, 979, -1, -1, -1, 
	979, -1, 979, -1, 979, 1048, 1048, 1048, 
	1048, 1048, 1048, 1048, 1048, 1048, 1048, 1048, 
	1048, 1048, 1048, 1048, 1048, 1048, 1048, 1048, 
	1048, 1048, 1048, 1048, 1048, 1048, 1048, 1048, 
	-1, 1048, 1048, 1048, 1048, 1048, -1, 1048, 
	-1, 1048, 1048, 1048, 1048, -1, 1048, -1, 
	1048, 1048, 1048, -1, 1048, 1048, 1048, 1048, 
	1048, 1048, 1048, 1048, 1048, 1048, 1048, 1048, 
	-1, 1048, 1048, 1048, 1048, 1048, 1048, 1048, 
	1048, 1048, 1048, 1048, 1048, 1048, 1048, 1048, 
	-1, 1048, -1, -1, -1, -1, 1048, 1048, 
	1048, 1048, 1048, -1, -1, 1048, 1048, 1048, 
	1048, 1048, 1048, 1048, 1048, 1048, 1048, 1048, 
	1048, 1048, 1048, 1048, 1048, -1, -1, -1, 
	-1, -1, 1048, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 979, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1048, 
	1048, 1048, 1048, -1, -1, 1048, 1048, 1048, 
	1048, 1048, 1048, -1, -1, -1, -1, 1048, 
	1048, 1048, 1048, 1048, 1048, 1048, -1, -1, 
	-1, -1, 1048, -1, -1, -1, -1, 1048, 
	1048, -1, -1, 1048, 1048, 1048, -1, 1048, 
	1048, -1, -1, 1048, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1048, 1048, 1048, 1048, 
	1048, 1048, 1048, -1, -1, -1, 1048, 1048, 
	1048, -1, -1, 1048, 1048, 1048, 1048, 1048, 
	1048, 1048, 1048, -1, 1048, 1048, 1048, -1, 
	-1, -1, 1048, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1048, 1048, 1048, 
	-1, -1, 1048, -1, -1, -1, -1, 1048, 
	-1, -1, -1, -1, 1048, -1, 1048, 1048, 
	1048, 1048, 1048, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1048, -1, 1048, 
	-1, -1, 1048, -1, 1048, 1048, -1, -1, 
	-1, 1048, -1, 1048, -1, 1048, 1047, 1047, 
	1047, 1047, 1047, 1047, 1047, 1047, 1047, 1047, 
	1047, 1047, 1047, 1047, 1047, 1047, 1047, 1047, 
	1047, 1047, 1047, 1047, 1047, 1047, 1047, 1047, 
	1047, -1, 1047, 1047, 1047, 1047, 1047, -1, 
	1047, -1, 1047, 1047, 1047, 1047, -1, 1047, 
	-1, 1047, 1047, 1047, -1, 1047, 1047, 1047, 
	1047, 1047, 1047, 1047, 1047, 1047, 1047, 1047, 
	1047, -1, 1047, 1047, 1047, 1047, 1047, 1047, 
	1047, 1047, 1047, 1047, 561, 563, 565, 567, 
	1047, -1, 1047, -1, -1, -1, -1, 1047, 
	1047, 1047, 1047, 1047, -1, -1, 1047, 1047, 
	1047, 1047, 1047, 1047, 1047, 1047, 1047, 1047, 
	1047, 1047, 1047, 1047, 1047, 1047, -1, -1, 
	-1, -1, -1, 1047, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1048, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1047, 1047, 1047, 1047, -1, -1, 1047, 1047, 
	1047, 1047, 1047, 1047, -1, -1, -1, -1, 
	1047, 1047, 1047, 1047, 1047, 1047, 1047, -1, 
	-1, -1, -1, 1047, -1, -1, -1, -1, 
	1047, 1047, -1, -1, 1047, 1047, 1047, -1, 
	1047, 1047, -1, -1, 1047, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1047, 1047, 1047, 
	1047, 1047, 1047, 1047, -1, -1, -1, 1047, 
	1047, 1047, -1, -1, 1047, 1047, 1047, 1047, 
	1047, 1047, 1047, 1047, -1, 1047, 1047, 1047, 
	-1, -1, -1, 1047, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1047, 1047, 
	1047, -1, -1, 1047, -1, 559, 654, -1, 
	1047, -1, -1, -1, -1, 1047, -1, 1047, 
	1047, 1047, 1047, 1047, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1047, -1, 
	1047, -1, -1, 1047, -1, 1047, 1047, -1, 
	-1, -1, 1047, -1, 1047, -1, 1047, 1033, 
	1033, 1033, 1033, 1033, 1033, -1, 1033, 1033, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1033, 1033, 1033, 1033, 1033, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1033, -1, -1, -1, 1033, -1, -1, -1, 
	1033, 1033, 1033, 1033, 1033, -1, -1, -1, 
	-1, 1033, 1033, 1033, -1, -1, -1, -1, 
	1149, 1033, 1032, 1149, 1149, 1149, 1033, 1140, 
	-1, -1, -1, -1, -1, -1, 1033, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1033, 1033, 1033, 1033, 
	1033, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1023, 1023, 1023, 1023, 1023, 1023, 
	1023, 1023, 1023, 1023, 1023, 1023, 1023, 1023, 
	1023, 1023, 1023, 1023, 1023, 1023, 1023, 1023, 
	1023, 1023, 1023, 1023, 1023, -1, 1023, 1023, 
	1023, 1023, 1023, -1, 1023, -1, 1023, 1023, 
	1023, 1023, -1, 1023, -1, 1023, 1023, 1023, 
	1047, 1023, 1023, 1023, 1023, 1023, 1023, 1023, 
	1023, 1023, 1023, 1023, 1023, -1, 1023, 1023, 
	1023, 1023, 1023, 1023, 1023, 1023, 1023, 1023, 
	1023, 1023, 1023, 1023, 1023, -1, 1023, -1, 
	-1, -1, -1, 1023, 1023, 1023, 1023, 1023, 
	-1, -1, 1023, 1023, 1023, 1023, 1023, 1023, 
	1023, 1023, 1023, 1023, 1023, 1023, 1023, 1023, 
	1023, 1023, -1, -1, -1, -1, -1, 1023, 
	-1, -1, -1, -1, -1, -1, 1033, 1033, 
	1033, 1033, 1033, -1, 1033, 1033, 1149, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1033, 652, 653, 
	-1, -1, 651, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1033, 1033, 
	1033, 1033, 1033, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1023, 1023, 1023, 1023, 
	-1, -1, 1023, 1023, 1023, 1023, 1023, 1023, 
	-1, 650, -1, -1, 1023, 1023, 1023, 1023, 
	1023, 1023, 1023, -1, -1, -1, -1, 1023, 
	-1, -1, -1, -1, 1023, 1023, -1, -1, 
	1023, 1023, 1023, -1, 1023, 1023, -1, -1, 
	1023, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1023, 1023, 1023, 1023, 1023, 1023, 1023, 
	-1, -1, -1, 1023, 1023, 1023, 1023, -1, 
	1023, 1023, 1023, 1023, 1023, 1023, 1023, 1023, 
	-1, 1023, 1023, 1023, -1, -1, -1, 1023, 
	-1, -1, -1, -1, -1, -1, -1, 1023, 
	-1, -1, 1023, 1023, 1023, -1, -1, 1023, 
	-1, -1, -1, -1, 1023, -1, -1, -1, 
	-1, 1023, -1, 1023, 1023, 1023, 1023, 1023, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1023, -1, 1023, -1, -1, 1023, 
	-1, 1023, 1023, -1, -1, -1, 1023, -1, 
	1023, -1, 1023, 1024, 1024, 1024, 1024, 1024, 
	1024, 1024, 1024, 1024, 1024, 1024, 1024, 1024, 
	1024, 1024, 1024, 1024, 1024, 1024, 1024, 1024, 
	1024, 1024, 1024, 1024, 1024, 1024, -1, 1024, 
	1024, 1024, 1024, 1024, -1, 1024, -1, 1024, 
	1024, 1024, 1024, -1, 1024, -1, 1024, 1024, 
	1024, -1, 1024, 1024, 1024, 1024, 1024, 1024, 
	1024, 1024, 1024, 1024, 1024, 1024, -1, 1024, 
	1024, 1024, 1024, 1024, 1024, 1024, 1024, 1024, 
	1024, 1024, 1024, 1024, 1024, 1024, -1, 1024, 
	-1, -1, -1, -1, 1024, 1024, 1024, 1024, 
	1024, -1, -1, 1024, 1024, 1024, 1024, 1024, 
	1024, 1024, 1024, 1024, 1024, 1024, 1024, 1024, 
	1024, 1024, 1024, -1, -1, -1, -1, -1, 
	1024, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 559, 654, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1023, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1024, 1024, 1024, 
	1024, -1, -1, 1024, 1024, 1024, 1024, 1024, 
	1024, -1, -1, -1, -1, 1024, 1024, 1024, 
	1024, 1024, 1024, 1024, -1, -1, -1, -1, 
	1024, -1, -1, -1, -1, 1024, 1024, -1, 
	-1, 1024, 1024, 1024, -1, 1024, 1024, -1, 
	-1, 1024, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1024, 1024, 1024, 1024, 1024, 1024, 
	1024, -1, -1, -1, 1024, 1024, 1024, 1024, 
	-1, 1024, 1024, 1024, 1024, 1024, 1024, 1024, 
	1024, -1, 1024, 1024, 1024, -1, -1, -1, 
	1024, -1, -1, -1, -1, -1, -1, -1, 
	1024, -1, -1, 1024, 1024, 1024, -1, -1, 
	1024, -1, -1, -1, -1, 1024, -1, -1, 
	-1, -1, 1024, -1, 1024, 1024, 1024, 1024, 
	1024, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1024, -1, 1024, -1, -1, 
	1024, -1, 1024, 1024, -1, -1, -1, 1024, 
	-1, 1024, -1, 1024, 1025, 1025, 1025, 1025, 
	1025, 1025, 1025, 1025, 1025, 1025, 1025, 1025, 
	1025, 1025, 1025, 1025, 1025, 1025, 1025, 1025, 
	1025, 1025, 1025, 1025, 1025, 1025, 1025, -1, 
	1025, 1025, 1025, 1025, 1025, -1, 1025, -1, 
	1025, 1025, 1025, 1025, -1, 1025, -1, 1025, 
	1025, 1025, -1, 1025, 1025, 1025, 1025, 1025, 
	1025, 1025, 1025, 1025, 1025, 1025, 1025, -1, 
	1025, 1025, 1025, 1025, 1025, 1025, 1025, 1025, 
	1025, 1025, 1025, 1025, 1025, 1025, 1025, -1, 
	1025, -1, -1, -1, -1, 1025, 1025, 1025, 
	1025, 1025, -1, -1, 1025, 1025, 1025, 1025, 
	1025, 1025, 1025, 1025, 1025, 1025, 1025, 1025, 
	1025, 1025, 1025, 1025, -1, -1, -1, -1, 
	-1, 1025, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 652, 653, 
	-1, -1, 651, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1024, -1, -1, 
	-1, 650, -1, -1, -1, -1, 1025, 1025, 
	1025, 1025, -1, -1, 1025, 1025, 1025, 1025, 
	1025, 1025, -1, -1, -1, -1, 1025, 1025, 
	1025, 1025, 1025, 1025, 1025, -1, -1, -1, 
	-1, 1025, -1, -1, -1, -1, 1025, 1025, 
	-1, -1, 1025, 1025, 1025, -1, 1025, 1025, 
	-1, -1, 1025, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1025, 1025, 1025, 1025, 1025, 
	1025, 1025, -1, -1, -1, 1025, 1025, 1025, 
	1025, -1, 1025, 1025, 1025, 1025, 1025, 1025, 
	1025, 1025, -1, 1025, 1025, 1025, -1, -1, 
	-1, 1025, -1, -1, -1, -1, -1, -1, 
	-1, 1025, -1, -1, 1025, 1025, 1025, -1, 
	-1, 1025, -1, -1, -1, -1, 1025, -1, 
	-1, -1, -1, 1025, -1, 1025, 1025, 1025, 
	1025, 1025, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1025, -1, 1025, -1, 
	-1, 1025, -1, 1025, 1025, -1, -1, -1, 
	1025, -1, 1025, -1, 1025, 1026, 1026, 1026, 
	1026, 1026, 1026, 1026, 1026, 1026, 1026, 1026, 
	1026, 1026, 1026, 1026, 1026, 1026, 1026, 1026, 
	1026, 1026, 1026, 1026, 1026, 1026, 1026, 1026, 
	-1, 1026, 1026, 1026, 1026, 1026, -1, 1026, 
	-1, 1026, 1026, 1026, 1026, -1, 1026, -1, 
	1026, 1026, 1026, -1, 1026, 1026, 1026, 1026, 
	1026, 1026, 1026, 1026, 1026, 1026, 1026, 1026, 
	-1, 1026, 1026, 1026, 1026, 1026, 1026, 1026, 
	1026, 1026, 1026, 1026, 1026, 1026, 1026, 1026, 
	-1, 1026, -1, -1, -1, -1, 1026, 1026, 
	1026, 1026, 1026, -1, -1, 1026, 1026, 1026, 
	1026, 1026, 1026, 1026, 1026, 1026, 1026, 1026, 
	1026, 1026, 1026, 1026, 1026, -1, -1, -1, 
	-1, -1, 1026, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1025, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1026, 
	1026, 1026, 1026, -1, -1, 1026, 1026, 1026, 
	1026, 1026, 1026, -1, -1, -1, -1, 1026, 
	1026, 1026, 1026, 1026, 1026, 1026, -1, -1, 
	-1, -1, 1026, -1, -1, -1, -1, 1026, 
	1026, -1, -1, 1026, 1026, 1026, -1, 1026, 
	1026, -1, -1, 1026, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1026, 1026, 1026, 1026, 
	1026, 1026, 1026, -1, -1, -1, 1026, 1026, 
	1026, 1026, -1, 1026, 1026, 1026, 1026, 1026, 
	1026, 1026, 1026, -1, 1026, 1026, 1026, -1, 
	-1, -1, 1026, -1, -1, -1, -1, -1, 
	-1, -1, 1026, -1, -1, 1026, 1026, 1026, 
	-1, -1, 1026, -1, -1, -1, -1, 1026, 
	-1, -1, -1, -1, 1026, -1, 1026, 1026, 
	1026, 1026, 1026, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1026, -1, 1026, 
	-1, -1, 1026, -1, 1026, 1026, -1, -1, 
	-1, 1026, -1, 1026, -1, 1026, 1034, 1034, 
	1034, 1034, 1034, 1034, -1, 1034, 1034, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1034, 1034, 1034, 1034, 1034, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1034, 
	-1, -1, -1, 1034, -1, -1, -1, 1034, 
	1034, 1034, 1034, 1034, -1, -1, -1, -1, 
	1034, 1034, 1034, -1, -1, -1, -1, 1153, 
	1034, -1, 1034, 1034, 1034, 1034, -1, -1, 
	-1, -1, -1, -1, -1, 1034, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1034, 1034, 1034, -1, 1034, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 926, 926, 926, 926, 926, 926, 926, 
	926, 926, 926, 926, 926, 926, 926, 926, 
	926, 926, 926, 926, 926, 926, 926, 926, 
	926, 926, 926, 926, -1, 926, 926, 926, 
	926, 926, -1, 926, -1, 926, 926, 926, 
	926, -1, 926, -1, 926, 926, 926, 1026, 
	926, 926, 926, 926, 926, 926, 926, 926, 
	926, 926, 926, 926, -1, 926, 926, 926, 
	926, 926, 926, 926, 926, 926, -1, 926, 
	926, 926, 926, -1, -1, -1, -1, -1, 
	-1, -1, 926, -1, -1, 926, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	926, 926, 926, -1, 926, -1, -1, -1, 
	-1, -1, -1, -1, 665, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1034, 1034, 1034, 
	1034, 1034, -1, 1034, 1034, 1150, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 666, 667, 668, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1034, 1034, 1034, 
	1150, 1150, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 926, 926, 926, 926, -1, 
	-1, 926, 926, -1, 926, 926, 926, -1, 
	-1, -1, -1, 926, 926, 926, -1, 926, 
	926, 926, -1, -1, -1, -1, 926, -1, 
	-1, -1, -1, 926, -1, -1, -1, 926, 
	926, 926, -1, 926, 926, -1, -1, 926, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	926, 926, 926, 926, 926, 926, 926, -1, 
	-1, -1, -1, 926, 926, -1, -1, 926, 
	926, 926, 926, 926, 926, 926, 926, -1, 
	926, 926, 926, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 926, 926, 926, 926, 926, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 926, -1, -1, -1, -1, -1, -1, 
	926, 54, 55, 56, 57, 85, 88, 86, 
	87, 89, 90, -1, 83, 84, -1, -1, 
	36, 37, 41, 39, -1, -1, -1, 104, 
	106, 110, 108, 112, -1, -1, -1, -1, 
	42, 43, 44, -1, -1, -1, 97, -1, 
	-1, -1, 98, 38, -1, -1, 100, 102, 
	95, 94, 96, -1, -1, -1, -1, 79, 
	80, 81, -1, -1, -1, -1, 62, 78, 
	-1, 116, 118, 120, 122, -1, -1, -1, 
	-1, -1, -1, -1, 82, -1, 304, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 73, 74, 75, -1, 76, -1, 
	-1, 212, 213, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	917, 917, 917, 917, 917, 917, 917, 917, 
	917, 917, 917, 917, 917, 917, 917, 917, 
	917, 917, 917, 917, 917, 917, 917, 917, 
	917, 917, 917, -1, 917, 917, 917, 917, 
	917, -1, 917, -1, 917, 917, 917, 917, 
	-1, 917, -1, 917, 917, 917, -1, 917, 
	917, 917, 917, 917, 917, 917, 917, 917, 
	917, 917, 917, 926, 917, 917, 917, 917, 
	917, 917, 917, 917, 917, -1, 917, 917, 
	917, 917, -1, -1, -1, -1, -1, -1, 
	-1, 917, -1, -1, 917, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 917, 
	917, 917, -1, 917, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 305, -1, -1, 
	-1, -1, -1, -1, 669, -1, -1, -1, 
	-1, 35, 33, 34, 58, 69, 70, 71, 
	72, -1, 77, 92, 64, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 114, 99, 91, 40, 
	997, -1, 917, 917, 917, 917, -1, -1, 
	917, 917, -1, 917, 917, 917, -1, -1, 
	-1, -1, 917, 917, 917, -1, 917, 917, 
	917, -1, -1, -1, -1, 917, -1, -1, 
	-1, -1, 917, -1, -1, -1, 917, 917, 
	917, -1, 917, 917, -1, -1, 917, -1, 
	-1, -1, -1, -1, -1, -1, -1, 917, 
	917, 917, 917, 917, 917, 917, -1, -1, 
	-1, -1, 917, 917, -1, -1, 917, 917, 
	917, 917, 917, 917, 917, 917, -1, 917, 
	917, 917, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 917, 917, 917, 917, 917, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	917, -1, -1, -1, 665, -1, -1, 917, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 666, 667, 668, 
	914, 914, 914, 914, 914, 914, 914, 914, 
	914, 914, 914, 914, 914, 914, 914, 914, 
	914, 914, 914, 914, 914, 914, 914, 914, 
	914, 914, 914, -1, 914, 914, 914, 914, 
	914, -1, 914, -1, 914, 914, 914, 914, 
	-1, 914, -1, 914, 914, 914, -1, 914, 
	914, 914, 914, 914, 914, 914, 914, 914, 
	914, 914, 914, -1, 914, 914, 914, 914, 
	914, 914, 914, 914, 914, -1, 914, 914, 
	914, 914, -1, -1, -1, -1, -1, -1, 
	-1, 914, -1, -1, 914, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 914, 
	914, 914, -1, 914, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 917, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 914, 914, 914, 914, -1, -1, 
	914, 914, -1, 914, 914, 914, -1, -1, 
	-1, -1, 914, 914, 914, -1, 914, 914, 
	914, -1, -1, -1, -1, 914, -1, -1, 
	-1, -1, 914, -1, -1, -1, 914, 914, 
	914, -1, 914, 914, -1, -1, 914, -1, 
	-1, -1, -1, -1, -1, -1, -1, 914, 
	914, 914, 914, 914, 914, 914, -1, -1, 
	-1, -1, 914, 914, -1, -1, 914, 914, 
	914, 914, 914, 914, 914, 914, -1, 914, 
	914, 914, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 914, 914, 914, 914, 914, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	914, -1, -1, -1, -1, -1, -1, 914, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 305, -1, -1, 
	-1, -1, -1, -1, 669, -1, -1, -1, 
	-1, 35, 33, 34, 58, 69, 70, 71, 
	72, -1, 77, 92, 64, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 114, 99, 91, 40, 
	-1, 987, 987, 987, 987, 987, 987, 987, 
	987, 987, 987, 987, 987, 987, 987, 987, 
	987, 987, 987, 987, 987, 987, 987, 987, 
	987, 987, 987, 987, -1, 987, 987, 987, 
	987, 987, 914, 987, -1, 987, 987, 987, 
	987, -1, 987, -1, 987, 987, 987, -1, 
	987, 987, 987, 987, 987, 987, 987, 987, 
	987, 987, 987, 987, -1, 987, 987, 987, 
	987, 987, 987, 987, 987, 987, 987, 987, 
	987, 987, 987, 987, -1, 987, -1, -1, 
	-1, -1, 987, 987, 987, 987, 987, -1, 
	-1, 987, 987, 987, 987, 987, 987, 987, 
	987, 987, 987, 987, 987, 987, 987, 987, 
	987, -1, -1, -1, -1, -1, 987, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 987, 987, 987, 987, -1, 
	-1, 987, 987, 987, 987, 987, 987, -1, 
	-1, -1, -1, 987, 987, 987, 987, 987, 
	987, 987, -1, -1, -1, -1, 987, -1, 
	-1, -1, -1, 987, 987, -1, -1, 987, 
	987, 987, -1, 987, 987, -1, -1, 987, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	987, 987, 987, 987, 987, 987, 987, -1, 
	-1, -1, 987, 987, 987, -1, -1, 987, 
	987, 987, 987, 987, 987, 987, 987, -1, 
	987, 987, 987, -1, -1, -1, 987, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 987, 987, 987, -1, -1, 987, -1, 
	-1, -1, -1, 987, -1, -1, -1, -1, 
	987, -1, 987, 987, 987, 987, 987, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 987, -1, 987, -1, -1, 987, -1, 
	987, 987, -1, -1, -1, 987, -1, 987, 
	-1, 987, 760, 760, 760, 760, 760, 760, 
	760, 760, 760, 760, 760, 760, 760, 760, 
	760, 760, 760, 760, 760, 760, 760, 760, 
	760, 760, 760, 760, 760, -1, 760, 760, 
	760, 760, 760, -1, 760, -1, 760, 760, 
	760, 760, -1, 760, -1, 760, 760, 760, 
	-1, 760, 760, 760, 760, 760, 760, 760, 
	760, 760, 760, 760, 760, -1, 760, 760, 
	760, 760, 760, 760, 760, 760, 760, -1, 
	760, 760, 760, 760, -1, -1, -1, -1, 
	-1, -1, -1, 760, -1, -1, 760, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 760, 760, 760, -1, 760, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 987, -1, -1, -1, -1, 
	-1, -1, -1, -1, 760, 760, 760, 760, 
	-1, -1, 760, 760, -1, 760, 760, 760, 
	-1, -1, -1, -1, 760, 760, 760, -1, 
	760, 760, 760, -1, -1, -1, -1, 760, 
	-1, -1, -1, -1, 760, -1, -1, -1, 
	760, 760, 760, -1, 760, 760, -1, -1, 
	760, -1, -1, -1, -1, -1, -1, -1, 
	-1, 760, 760, 760, 760, 760, 760, 760, 
	-1, -1, -1, -1, 760, 760, -1, -1, 
	760, 760, 760, 760, 760, 760, 760, 760, 
	-1, 760, 760, 760, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 760, 760, 760, 760, 760, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 760, -1, -1, -1, -1, -1, 
	-1, 760, -1, 913, 913, 913, 913, 913, 
	913, 913, 913, 913, 913, 913, 913, 913, 
	913, 913, 913, 913, 913, 913, 913, 913, 
	913, 913, 913, 913, 913, 913, -1, 913, 
	913, 913, 913, 913, -1, 913, -1, 913, 
	913, 913, 913, -1, 913, -1, 913, 913, 
	913, -1, 913, 913, 913, 913, 913, 913, 
	913, 913, 913, 913, 913, 913, -1, 913, 
	913, 913, 913, 913, 913, 913, 913, 913, 
	-1, 913, 913, 913, 913, -1, -1, -1, 
	-1, -1, -1, -1, 913, -1, -1, 913, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 913, 913, 913, -1, 913, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 760, 913, 913, 913, 
	913, -1, -1, 913, 913, -1, 913, 913, 
	913, -1, -1, -1, -1, 913, 913, 913, 
	-1, 913, 913, 913, -1, -1, -1, -1, 
	913, -1, -1, -1, -1, 913, -1, -1, 
	-1, 913, 913, 913, -1, 913, 913, -1, 
	-1, 913, -1, -1, -1, -1, -1, -1, 
	-1, -1, 913, 913, 913, 913, 913, 913, 
	913, -1, -1, -1, -1, 913, 913, -1, 
	-1, 913, 913, 913, 913, 913, 913, 913, 
	913, -1, 913, 913, 913, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 913, 913, 913, 913, 
	913, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 913, -1, -1, -1, -1, 
	-1, -1, 913, -1, 863, 863, 863, 863, 
	863, 863, 863, 863, 863, 863, 863, 863, 
	863, 863, 863, 863, -1, 863, 863, 863, 
	863, 863, 863, 863, 863, -1, -1, -1, 
	863, 863, 863, 863, 863, -1, 863, -1, 
	863, 863, 863, 863, -1, 863, -1, 863, 
	863, 863, -1, 863, 863, -1, -1, 863, 
	863, 863, 863, 863, 863, 863, 863, 863, 
	863, 863, 863, 863, 863, 863, 863, 863, 
	863, 863, 863, 863, 863, 863, -1, -1, 
	-1, -1, -1, -1, -1, 863, -1, 863, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 863, 863, 863, -1, 863, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 913, 863, 863, 
	863, 863, -1, -1, 863, 863, 863, 863, 
	863, 863, -1, -1, -1, -1, 863, 863, 
	863, 863, 863, 863, 863, -1, 863, 863, 
	-1, 863, -1, -1, -1, -1, 863, 863, 
	-1, -1, 863, 863, 863, -1, 863, 863, 
	863, -1, 863, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 863, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 863, 863, 863, 863, 863, 863, 
	863, 863, -1, 863, 863, 863, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1062, 1062, 1062, 1062, 1062, 1062, -1, 
	1062, 1062, -1, -1, -1, 863, 863, 863, 
	863, 863, -1, 1062, 1062, 1062, 1062, 1062, 
	-1, -1, -1, -1, 863, -1, 863, -1, 
	-1, 863, 1062, -1, -1, -1, 1062, -1, 
	-1, -1, 1062, 1062, 1062, 1062, 1062, -1, 
	-1, -1, -1, 1062, 1062, 1062, -1, -1, 
	-1, -1, 1062, 1062, -1, 1062, 1062, 1062, 
	1062, 1062, -1, -1, -1, -1, -1, -1, 
	1062, 1063, 1063, 1063, 1063, 1063, 1063, -1, 
	1063, 1063, -1, -1, -1, -1, 1062, 1062, 
	1062, 1062, 1062, 1063, 1063, 1063, 1063, 1063, 
	-1, -1, -1, -1, 1062, -1, -1, -1, 
	-1, -1, 1063, -1, -1, -1, 1063, -1, 
	-1, -1, 1063, 1063, 1063, 1063, 1063, -1, 
	-1, -1, -1, 1063, 1063, 1063, -1, -1, 
	-1, -1, 1063, 1063, -1, 1063, 1063, 1063, 
	1063, 1063, -1, -1, -1, -1, -1, -1, 
	1063, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1063, 1063, 
	1063, 1063, 1063, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1063, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 863, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1062, 1062, 1062, 1062, 1062, -1, 1062, 1062, 
	1062, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1062, 
	1062, 1062, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1062, -1, 
	1062, 1062, 1062, 1062, 1062, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1062, 
	1063, 1063, 1063, 1063, 1063, -1, 1063, 1063, 
	1063, -1, -1, -1, 1064, 1064, 1064, 1064, 
	1064, 1064, -1, 1064, 1064, -1, -1, 1063, 
	1063, 1063, -1, -1, -1, -1, 1064, 1064, 
	1064, 1064, 1064, -1, -1, -1, 1063, -1, 
	1063, 1063, 1063, 1063, 1063, 1064, -1, -1, 
	-1, 1064, -1, -1, -1, 1064, 1064, 1064, 
	1064, 1064, -1, -1, -1, -1, 1064, 1064, 
	1064, -1, -1, -1, -1, 1064, 1064, 1063, 
	1064, 1064, 1064, 1064, 1064, -1, -1, -1, 
	-1, -1, -1, 1064, 1049, 1049, 1049, 1049, 
	1049, 1049, -1, 1049, 1049, -1, -1, -1, 
	-1, 1064, 1064, 1064, 1064, 1064, 1049, 1049, 
	1049, 1049, 1049, -1, -1, -1, -1, 1064, 
	-1, -1, -1, -1, -1, 1049, -1, -1, 
	-1, 1049, -1, -1, -1, 1049, 1049, 1049, 
	1049, 1049, -1, -1, -1, -1, 1049, 1049, 
	1049, -1, -1, -1, -1, 1049, 1049, -1, 
	1049, 1049, 1049, 1049, 1049, -1, -1, -1, 
	-1, -1, -1, 1049, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1049, 1049, 1049, 1049, 1049, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1049, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1064, 1064, 1064, 1064, 1064, 
	-1, 1064, 1064, 1064, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1064, 1064, 1064, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1064, -1, 1064, 1064, 1064, 1064, 1064, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1064, 1049, 1049, 1049, 1049, 1049, 
	-1, 1049, 1049, 1049, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1049, 1049, 1049, -1, -1, -1, 
	-1, -1, -1, -1, 1049, -1, -1, -1, 
	-1, -1, -1, 1049, 1049, 1049, 1049, 1049, 
	1050, 1050, 1050, 1050, 1050, 1050, -1, 1050, 
	1050, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1050, 1050, 1050, 1050, 1050, -1, 
	1049, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1050, -1, -1, -1, 1050, -1, -1, 
	-1, 1050, 1050, 1050, 1050, 1050, -1, -1, 
	-1, -1, 1050, 1050, 1050, -1, -1, -1, 
	-1, 1050, 1050, -1, 1050, 1050, 1050, 1050, 
	1050, -1, -1, -1, -1, -1, -1, 1050, 
	1051, 1051, 1051, 1051, 1051, 1051, -1, 1051, 
	1051, -1, -1, -1, -1, 1050, 1050, 1050, 
	1050, 1050, 1051, 1051, 1051, 1051, 1051, -1, 
	-1, -1, -1, 1050, -1, -1, -1, -1, 
	-1, 1051, -1, -1, -1, 1051, -1, -1, 
	-1, 1051, 1051, 1051, 1051, 1051, -1, -1, 
	-1, -1, 1051, 1051, 1051, -1, -1, -1, 
	-1, 1051, 1051, -1, 1051, 1051, 1051, 1051, 
	1051, -1, -1, -1, -1, -1, -1, 1051, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1051, 1051, 1051, 
	1051, 1051, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1051, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1050, 
	1050, 1050, 1050, 1050, -1, 1050, 1050, 1050, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1050, 1050, 
	1050, -1, -1, -1, -1, -1, -1, -1, 
	1050, -1, -1, -1, -1, -1, -1, 1050, 
	1050, 1050, 1050, 1050, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1050, -1, -1, 1051, 
	1051, 1051, 1051, 1051, -1, 1051, 1051, 1051, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1051, 1051, 
	1051, -1, -1, -1, -1, -1, -1, -1, 
	1051, -1, -1, -1, -1, -1, -1, 1051, 
	1051, 1051, 1051, 1051, 1033, 1033, 1033, 1033, 
	1033, 1033, -1, 1033, 1033, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1033, 1033, 
	1033, 1033, 1033, -1, 1051, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1033, -1, -1, 
	-1, 1033, -1, -1, -1, 1033, 1033, 1033, 
	1033, 1033, -1, -1, -1, -1, 1033, 1033, 
	1033, -1, -1, -1, -1, 1149, 1033, 1032, 
	1149, 1149, 1149, 1033, -1, -1, -1, -1, 
	-1, -1, -1, 1033, 1033, 1033, 1033, 1033, 
	1033, 1033, -1, 1033, 1033, -1, -1, -1, 
	-1, 1033, 1033, 1033, 1033, 1033, 1033, 1033, 
	1033, 1033, 1033, -1, -1, -1, -1, 1140, 
	-1, -1, -1, -1, -1, 1033, -1, -1, 
	-1, 1033, -1, -1, -1, 1033, 1033, 1033, 
	1033, 1033, -1, -1, -1, -1, 1033, 1033, 
	1033, -1, -1, -1, -1, 1149, 1033, 1032, 
	1149, 1149, 1149, 1033, 1140, -1, -1, -1, 
	-1, -1, -1, 1033, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1033, 1033, 1033, 1033, 1033, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1140, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1033, 1033, 1033, 1033, 1033, 
	-1, 1033, 1033, 1149, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1033, 652, 653, -1, -1, 651, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1033, 1033, 1033, 1033, 1033, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 690, -1, 
	-1, -1, -1, 1033, 1033, 1033, 1033, 1033, 
	-1, 1033, 1033, 1149, -1, -1, -1, 1031, 
	1031, 1031, 1031, 1031, 1031, -1, 1031, 1031, 
	-1, -1, 1033, 652, 653, -1, -1, 651, 
	-1, 1031, 1031, 1031, 1031, 1031, -1, -1, 
	-1, -1, -1, 1033, 1033, 1033, 1033, 1033, 
	1031, -1, -1, -1, 1031, -1, -1, -1, 
	1031, 1031, 1031, 1031, 1031, -1, -1, -1, 
	-1, 1031, 1031, 1031, -1, -1, 700, -1, 
	1031, 1031, -1, 1031, 1031, 1031, 1031, -1, 
	-1, -1, -1, -1, -1, -1, 1031, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1031, 1031, 1031, 353, 
	1031, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1046, 1046, 1046, 1046, 1046, 1046, 1046, 
	1046, 1046, 1046, 1046, 1046, 1046, 1046, 1046, 
	1046, 1046, 1046, 1046, 1046, 1046, 1046, 1046, 
	1046, 1046, 1046, 1046, -1, 1046, 1046, 1046, 
	1046, 1046, -1, 1046, -1, 1046, 1046, 1046, 
	1046, -1, 1046, -1, 1046, 1046, 1046, -1, 
	1046, 1046, 1046, 1046, 1046, 1046, 1046, 1046, 
	1046, 1046, 1046, 1046, -1, 1046, 1046, 1046, 
	1046, 1046, 1046, 1046, 1046, 1046, 1046, 1046, 
	1046, 1046, 1046, 1046, -1, 1046, -1, -1, 
	-1, -1, 1046, 1046, 1046, 1046, 1046, -1, 
	-1, 1046, 1046, 1046, 1046, 1046, 1046, 1046, 
	1046, 1046, 1046, 1046, 1046, 1046, 1046, 1046, 
	1046, -1, -1, -1, -1, -1, 1046, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1031, 1031, 
	1031, 1031, 1031, -1, 1031, 1031, 1031, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 699, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1031, 1031, 
	1031, 1031, 1031, 1046, 1046, 1046, 1046, -1, 
	-1, 1046, 1046, 1046, 1046, 1046, 1046, -1, 
	-1, -1, -1, 1046, 1046, 1046, 1046, 1046, 
	1046, 1046, -1, -1, -1, -1, 1046, -1, 
	-1, -1, -1, 1046, 1046, -1, -1, 1046, 
	1046, 1046, -1, 1046, 1046, -1, -1, 1046, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1046, 1046, 1046, 1046, 1046, 1046, 1046, -1, 
	-1, -1, 1046, 1046, 1046, -1, -1, 1046, 
	1046, 1046, 1046, 1046, 1046, 1046, 1046, -1, 
	1046, 1046, 1046, -1, -1, -1, 1046, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1046, 1046, 1046, -1, -1, 1046, -1, 
	-1, -1, -1, 1046, -1, -1, -1, -1, 
	1046, -1, 1046, 1046, 1046, 1046, 1046, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1046, -1, 1046, -1, -1, 1046, -1, 
	1046, 1046, -1, -1, -1, 1046, -1, 1046, 
	-1, 1046, 54, 55, 56, 57, 85, 88, 
	86, 87, 89, 90, -1, 83, 84, -1, 
	-1, 36, 37, 41, 39, -1, -1, -1, 
	104, 106, 110, 108, 112, -1, -1, -1, 
	-1, 42, 43, 44, -1, -1, -1, 97, 
	-1, -1, -1, 98, 38, -1, -1, 100, 
	102, 95, 94, 96, -1, -1, -1, -1, 
	79, 80, 81, -1, -1, -1, -1, 62, 
	78, -1, 116, 118, 120, 122, -1, -1, 
	-1, -1, -1, -1, -1, 82, -1, 304, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 73, 74, 75, -1, 76, 
	85, 88, 86, 87, 89, 90, -1, 83, 
	84, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 104, 106, 110, 108, 112, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 97, -1, 652, 653, 98, -1, 651, 
	-1, 100, 102, 95, 94, 96, -1, -1, 
	-1, -1, 79, 80, 81, -1, -1, -1, 
	-1, 997, 78, -1, 116, 118, 120, 122, 
	-1, -1, -1, 1046, -1, -1, -1, 82, 
	-1, -1, -1, -1, -1, -1, 690, -1, 
	-1, -1, -1, -1, -1, 73, 74, 75, 
	-1, 76, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 652, 653, -1, -1, 651, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 305, -1, 
	-1, -1, -1, -1, -1, 706, -1, -1, 
	-1, -1, 35, 33, 34, 58, 69, 70, 
	71, 72, -1, 77, 92, 64, 700, -1, 
	-1, -1, -1, 85, 88, 86, 87, 89, 
	90, -1, 83, 84, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 104, 106, 110, 
	108, 112, -1, -1, -1, 114, 99, 91, 
	40, 997, -1, -1, 97, -1, -1, -1, 
	98, -1, -1, -1, 100, 102, 95, 94, 
	96, -1, -1, -1, -1, 79, 80, 81, 
	-1, -1, -1, -1, 997, 78, -1, 116, 
	118, 120, 122, -1, -1, -1, -1, -1, 
	-1, -1, 82, -1, -1, -1, -1, 709, 
	69, 70, 71, 72, -1, 77, 92, 64, 
	73, 74, 75, -1, 76, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 114, 
	99, 91, 159, 997, -1, -1, -1, -1, 
	916, 916, 916, 916, 916, 916, 916, 916, 
	916, 916, 916, 916, 916, 916, 916, 916, 
	916, 916, 916, 916, 916, 916, 916, 916, 
	916, 916, 916, -1, 916, 916, 916, 916, 
	916, -1, 916, -1, 916, 916, 916, 916, 
	-1, 916, -1, 916, 916, 916, -1, 916, 
	916, 916, 916, 916, 916, 916, 916, 916, 
	916, 916, 916, -1, 916, 916, 916, 916, 
	916, 916, 916, 916, 916, 699, 916, 916, 
	916, 916, -1, -1, -1, -1, -1, -1, 
	-1, 916, -1, -1, 916, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 916, 
	916, 916, -1, 916, -1, -1, -1, -1, 
	-1, -1, 728, 69, 70, 71, 72, -1, 
	77, 92, 64, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 159, 997, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 916, 916, 916, 916, -1, -1, 
	916, 916, -1, 916, 916, 916, -1, -1, 
	-1, -1, 916, 916, 916, -1, 916, 916, 
	916, -1, -1, -1, -1, 916, -1, -1, 
	-1, -1, 916, -1, -1, -1, 916, 916, 
	916, -1, 916, 916, -1, -1, 916, -1, 
	-1, -1, -1, -1, -1, -1, -1, 916, 
	916, 916, 916, 916, 916, 916, -1, -1, 
	-1, -1, 916, 916, -1, -1, 916, 916, 
	916, 916, 916, 916, 916, 916, -1, 916, 
	916, 916, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 916, 916, 916, 916, 916, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	916, -1, -1, -1, -1, -1, -1, 916, 
	924, 924, 924, 924, 924, 924, 924, 924, 
	924, 924, -1, 924, 924, -1, -1, 924, 
	924, 924, 924, -1, -1, -1, 924, 924, 
	924, 924, 924, -1, -1, -1, -1, 924, 
	924, 924, -1, -1, -1, 924, -1, -1, 
	-1, 924, 924, -1, -1, 924, 924, 924, 
	924, 924, -1, -1, -1, -1, 924, 924, 
	924, -1, -1, -1, -1, 924, 924, -1, 
	924, 924, 924, 924, -1, -1, -1, -1, 
	-1, -1, -1, 924, -1, 924, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 924, 924, 924, -1, 924, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 305, -1, 
	-1, -1, -1, -1, -1, 706, -1, -1, 
	-1, -1, 35, 33, 34, 58, 69, 70, 
	71, 72, 916, 77, 92, 64, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 114, 99, 91, 
	40, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 924, -1, -1, -1, 
	-1, -1, -1, 924, -1, -1, -1, -1, 
	924, 924, 924, 924, 924, 924, 924, 924, 
	-1, 924, 924, 924, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 709, 
	69, 70, 71, 72, -1, 77, 92, 64, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 924, 924, 924, 924, 924, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 114, 
	99, 91, 159, 993, 993, 993, 993, 993, 
	993, 993, 993, 993, 993, 993, 993, 993, 
	993, 993, 993, 993, 993, 993, 993, 993, 
	993, 993, 993, 993, 993, 993, 993, 993, 
	993, 993, 993, 993, -1, 993, -1, 993, 
	993, 993, 993, 993, 993, -1, 993, 993, 
	993, -1, 993, 993, 993, 993, 993, 993, 
	993, 993, 993, 993, 993, 993, 993, 993, 
	993, 993, 993, 993, 993, 993, 993, 993, 
	-1, 993, 993, 993, 993, -1, -1, -1, 
	993, -1, -1, -1, 993, 993, -1, 993, 
	-1, -1, 993, -1, -1, 993, -1, 993, 
	-1, -1, 993, 993, 993, -1, 993, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 728, 69, 70, 71, 72, -1, 
	77, 92, 64, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 993, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 993, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 159, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 993, 993, 993, 
	993, -1, -1, 993, 993, 993, 993, 993, 
	993, -1, -1, -1, -1, 993, 993, 993, 
	993, 993, 993, 993, -1, -1, 993, -1, 
	993, -1, -1, -1, -1, 993, 993, -1, 
	993, 993, 993, 993, -1, 993, 993, -1, 
	-1, 993, -1, -1, -1, -1, -1, 993, 
	-1, 993, 993, 993, 993, 993, 993, 993, 
	993, -1, -1, -1, -1, 993, 993, -1, 
	993, 993, 993, 993, 993, 993, 993, 993, 
	993, -1, 993, 993, 993, -1, -1, 993, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 993, 993, 993, -1, -1, 993, 
	993, 993, -1, -1, 993, 993, 993, 993, 
	993, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 993, -1, 993, -1, -1, 
	993, 993, 993, -1, 995, 995, 995, 995, 
	995, 995, 995, 995, 995, 995, 995, 995, 
	995, 995, 995, 995, 995, 995, 995, 995, 
	995, 995, 995, 995, 995, 995, 995, 995, 
	995, 995, 995, 995, 995, -1, 995, -1, 
	995, 995, 995, 995, 995, 995, -1, 995, 
	995, 995, -1, 995, 995, 995, 995, 995, 
	995, 995, 995, 995, 995, 995, 995, 995, 
	995, 995, 995, 995, 995, 995, 995, 995, 
	995, -1, 995, 995, 995, 995, -1, -1, 
	-1, 995, -1, -1, -1, 995, 995, -1, 
	995, -1, -1, 995, -1, -1, 995, -1, 
	995, -1, -1, 995, 995, 995, -1, 995, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 995, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 995, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 993, 995, 995, 
	995, 995, -1, -1, 995, 995, 995, 995, 
	995, 995, -1, -1, -1, -1, 995, 995, 
	995, 995, 995, 995, 995, -1, -1, 995, 
	-1, 995, -1, -1, -1, -1, 995, 995, 
	-1, 995, 995, 995, 995, -1, 995, 995, 
	-1, -1, 995, -1, -1, -1, -1, -1, 
	995, -1, 995, 995, 995, 995, 995, 995, 
	995, 995, -1, -1, -1, -1, 995, 995, 
	-1, 995, 995, 995, 995, 995, 995, 995, 
	995, 995, -1, 995, 995, 995, -1, -1, 
	995, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 995, 995, 995, -1, -1, 
	995, 995, 995, -1, -1, 995, 995, 995, 
	995, 995, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 995, -1, 995, -1, 
	-1, 995, 995, 995, 54, 55, 56, 57, 
	85, 88, 86, 87, 89, 90, 1130, 83, 
	84, -1, -1, 36, 37, 41, 39, -1, 
	-1, -1, 104, 106, 110, 108, 112, -1, 
	-1, -1, -1, 42, 43, 44, -1, -1, 
	-1, 97, -1, -1, -1, 98, 38, -1, 
	-1, 100, 102, 95, 94, 96, -1, -1, 
	-1, -1, 79, 80, 81, -1, -1, -1, 
	-1, 62, 78, -1, 116, 118, 120, 122, 
	-1, -1, -1, -1, -1, -1, -1, 82, 
	-1, -1, 1130, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 73, 74, 75, 
	-1, 76, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 995, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	318, -1, -1, -1, -1, -1, -1, -1, 
	1130, 1130, 711, -1, 35, 33, 34, 58, 
	69, 70, 71, 72, -1, 77, 92, 64, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 114, 
	99, 91, 40, 997, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 317, 986, 986, 
	986, 986, 986, 986, 986, 986, 986, 986, 
	986, 986, 986, 986, 986, 986, 986, 986, 
	986, 986, 986, 986, 986, 986, 986, 986, 
	986, -1, 986, 986, 986, 986, 986, -1, 
	986, -1, 986, 986, 986, 986, -1, 986, 
	-1, 986, 986, 986, -1, 986, 986, 986, 
	986, 986, 986, 986, 986, 986, 986, 986, 
	986, -1, 986, 986, 986, 986, 986, 986, 
	986, 986, 986, 986, 986, 986, 986, 986, 
	986, -1, 986, -1, -1, -1, -1, 986, 
	986, 986, 986, 986, -1, -1, 986, 986, 
	986, 986, 986, 986, 986, 986, 986, 986, 
	986, 986, 986, 986, 986, 986, -1, -1, 
	-1, -1, -1, 986, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	986, 986, 986, 986, -1, -1, 986, 986, 
	986, 986, 986, 986, -1, -1, -1, -1, 
	986, 986, 986, 986, 986, 986, 986, -1, 
	-1, -1, -1, 986, -1, -1, -1, -1, 
	986, 986, -1, -1, 986, 986, 986, -1, 
	986, 986, -1, -1, 986, -1, -1, -1, 
	-1, -1, -1, -1, -1, 986, 986, 986, 
	986, 986, 986, 986, -1, -1, -1, 986, 
	986, 986, -1, -1, 986, 986, 986, 986, 
	986, 986, 986, 986, -1, 986, 986, 986, 
	-1, -1, -1, 986, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 986, 986, 
	986, -1, -1, 986, -1, -1, -1, -1, 
	986, -1, -1, -1, -1, 986, -1, 986, 
	986, 986, 986, 986, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 986, -1, 
	986, -1, -1, 986, -1, 986, 986, -1, 
	-1, -1, 986, -1, 986, -1, 986, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 928, 928, 928, 928, 
	928, 928, 928, 928, 928, 928, 928, 928, 
	928, -1, -1, 928, 928, 928, 928, -1, 
	-1, -1, 928, 928, 928, 928, 928, -1, 
	-1, -1, -1, 928, 928, 928, -1, -1, 
	-1, 928, -1, -1, -1, 928, 928, -1, 
	-1, 928, 928, 928, 928, 928, -1, -1, 
	-1, -1, 928, 928, 928, -1, -1, -1, 
	-1, 928, 928, -1, 928, 928, 928, 928, 
	-1, -1, -1, -1, -1, -1, -1, 928, 
	-1, -1, 928, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 928, 928, 928, 
	-1, 928, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	986, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	318, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 711, -1, 35, 33, 34, 58, 
	69, 70, 71, 72, -1, 77, 92, 64, 
	928, -1, -1, -1, -1, -1, -1, -1, 
	928, 928, 928, -1, 928, 928, 928, 928, 
	928, 928, 928, 928, -1, 928, 928, 928, 
	-1, -1, -1, -1, -1, -1, -1, 114, 
	99, 91, 40, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 317, -1, 928, 
	928, 928, 928, 928, -1, 903, 903, 903, 
	903, 903, 903, 903, 903, 903, 903, 903, 
	903, 903, 903, 903, 903, 928, 903, 903, 
	903, 903, 903, 903, 903, 903, -1, -1, 
	-1, 903, 903, 903, 903, 903, -1, 903, 
	-1, 903, 903, 903, 903, -1, 903, 903, 
	903, 903, 903, -1, 903, 903, -1, -1, 
	903, 903, 903, 903, 903, 903, 903, 903, 
	-1, 903, 903, 903, 903, 903, 903, 903, 
	903, 903, -1, 903, 903, 903, 903, -1, 
	903, -1, 716, -1, -1, -1, 903, -1, 
	903, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 903, 903, 903, -1, 
	903, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 903, 
	903, 903, 903, -1, -1, 903, 903, 903, 
	903, 903, 903, -1, -1, -1, -1, 903, 
	903, 903, 903, 903, 903, 903, -1, -1, 
	-1, -1, 903, -1, -1, -1, -1, 903, 
	903, -1, -1, 903, 903, 903, -1, 903, 
	903, -1, -1, 903, -1, -1, -1, 903, 
	715, -1, 903, -1, -1, -1, -1, 903, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 903, 903, 903, 903, 903, 
	903, 903, 903, -1, 903, 903, 903, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 903, 903, 
	903, 903, 903, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 903, -1, 903, 
	-1, -1, 903, -1, -1, -1, 907, 907, 
	907, 907, 907, 907, 907, 907, 907, 907, 
	907, 907, 907, 907, 907, 907, -1, 907, 
	907, 907, 907, 907, 907, 907, 907, -1, 
	-1, -1, 907, 907, 907, 907, 907, -1, 
	907, -1, 907, 907, 907, 907, -1, 907, 
	-1, 907, 907, 907, -1, 907, 907, -1, 
	-1, 907, 907, 907, 907, 907, 907, 907, 
	907, -1, 907, 907, 907, 907, 907, 907, 
	907, 907, 907, -1, 907, 907, 907, 907, 
	-1, 907, -1, -1, -1, -1, -1, 907, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 907, 907, 907, 
	-1, 907, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 903, 
	907, 907, 907, 907, -1, -1, 907, 907, 
	907, 907, 907, 907, -1, -1, -1, -1, 
	907, 907, 907, 907, 907, 907, 907, -1, 
	-1, -1, -1, 907, -1, -1, -1, -1, 
	907, 907, -1, -1, 907, 907, 907, -1, 
	907, 907, -1, -1, 907, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	907, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 907, 907, 907, 907, 
	907, 907, 907, 907, -1, 907, 907, 907, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 907, 
	907, 907, 907, 907, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 907, -1, 
	907, -1, -1, 907, -1, -1, -1, 864, 
	864, 864, 864, 864, 864, 864, 864, 864, 
	864, 864, 864, 864, 864, 864, 864, -1, 
	864, 864, 864, 864, 864, 864, 864, 864, 
	-1, -1, -1, 864, 864, 864, 864, 864, 
	-1, 864, -1, 864, 864, 864, 864, -1, 
	864, -1, 864, 864, 864, -1, 864, 864, 
	-1, -1, 864, 864, 864, 864, 864, 864, 
	864, 864, -1, 864, 864, 864, 864, 864, 
	864, 864, 864, 864, -1, 864, 864, 864, 
	864, -1, -1, -1, -1, -1, -1, -1, 
	864, -1, 864, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 864, 864, 
	864, -1, 864, -1, 505, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	907, 864, 864, 864, 864, -1, -1, 864, 
	864, 864, 864, 864, 864, -1, -1, -1, 
	-1, 864, 864, 864, 864, 864, 864, 864, 
	-1, -1, -1, 718, 864, -1, -1, -1, 
	-1, 864, 864, -1, -1, 864, 864, 864, 
	-1, 864, 864, 864, -1, 864, -1, -1, 
	715, -1, -1, -1, -1, -1, -1, -1, 
	-1, 864, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 864, 864, 864, 
	864, 864, 864, 864, 864, -1, 864, 864, 
	864, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	864, 864, 864, 864, 864, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 864, 
	-1, 864, -1, -1, 864, -1, -1, -1, 
	1042, 1042, 1042, 1042, 1042, 1042, 1042, 1042, 
	1042, 1042, 1042, 1042, 1042, 1042, 1042, 1042, 
	1042, 1042, 1042, 1042, 1042, 1042, 1042, 1042, 
	1042, 1042, 1042, -1, 1042, 1042, 1042, 1042, 
	1042, -1, 1042, -1, 1042, 1042, 1042, 1042, 
	-1, 1042, -1, 1042, 1042, 1042, -1, 1042, 
	1042, 1042, 1042, 1042, 1042, 1042, 1042, 1042, 
	1042, 1042, 1042, -1, 1042, 1042, 1042, 1042, 
	1042, 1042, 1042, 1042, 1042, 1042, 1042, 1042, 
	1042, 1042, 1042, -1, 1042, -1, -1, -1, 
	-1, 1042, 1042, 1042, 1042, 1042, -1, -1, 
	1042, 1042, 1042, 1042, 1042, 1042, 1042, 1042, 
	1042, 1042, 1042, 1042, 1042, 1042, 1042, 1042, 
	-1, -1, -1, -1, -1, 1042, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 864, 1042, 1042, 1042, 1042, -1, -1, 
	1042, 1042, 1042, 1042, 1042, 1042, -1, -1, 
	-1, -1, 1042, 1042, 1042, 1042, 1042, 1042, 
	1042, -1, -1, -1, -1, 1042, -1, -1, 
	-1, -1, 1042, 1042, -1, -1, 1042, 1042, 
	1042, -1, 1042, 1042, -1, -1, 1042, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1042, 
	1042, 1042, 1042, 1042, 1042, 1042, -1, -1, 
	-1, 1042, 1042, 1042, -1, -1, 1042, 1042, 
	1042, 1042, 1042, 1042, 1042, 1042, -1, 1042, 
	1042, 1042, -1, -1, -1, 1042, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1042, 1042, 1042, -1, -1, 1042, -1, 1042, 
	1042, -1, 1042, -1, -1, -1, -1, 1042, 
	-1, 1042, 1042, 1042, 1042, 1042, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1042, -1, 1042, -1, -1, 1042, -1, 1042, 
	1042, -1, -1, -1, 1042, -1, 1042, -1, 
	1042, -1, 1043, 1043, 1043, 1043, 1043, 1043, 
	1043, 1043, 1043, 1043, 1043, 1043, 1043, 1043, 
	1043, 1043, 1043, 1043, 1043, 1043, 1043, 1043, 
	1043, 1043, 1043, 1043, 1043, -1, 1043, 1043, 
	1043, 1043, 1043, -1, 1043, -1, 1043, 1043, 
	1043, 1043, -1, 1043, -1, 1043, 1043, 1043, 
	-1, 1043, 1043, 1043, 1043, 1043, 1043, 1043, 
	1043, 1043, 1043, 1043, 1043, -1, 1043, 1043, 
	1043, 1043, 1043, 1043, 1043, 1043, 1043, 1043, 
	1043, 1043, 1043, 1043, 1043, -1, 1043, -1, 
	-1, -1, -1, 1043, 1043, 1043, 1043, 1043, 
	-1, -1, 1043, 1043, 1043, 1043, 1043, 1043, 
	1043, 1043, 1043, 1043, 1043, 1043, 1043, 1043, 
	1043, 1043, -1, -1, -1, -1, -1, 1043, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1042, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1043, 1043, 1043, 1043, 
	-1, -1, 1043, 1043, 1043, 1043, 1043, 1043, 
	-1, -1, -1, 718, 1043, 1043, 1043, 1043, 
	1043, 1043, 1043, -1, -1, -1, -1, 1043, 
	-1, -1, -1, -1, 1043, 1043, -1, -1, 
	1043, 1043, 1043, -1, 1043, 1043, -1, -1, 
	1043, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1043, 1043, 1043, 1043, 1043, 1043, 1043, 
	-1, -1, -1, 1043, 1043, 1043, -1, -1, 
	1043, 1043, 1043, 1043, 1043, 1043, 1043, 1043, 
	-1, 1043, 1043, 1043, -1, -1, -1, 1043, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1043, 1043, 1043, -1, -1, 1043, 
	-1, 1043, 1043, -1, 1043, -1, -1, -1, 
	-1, 1043, -1, 1043, 1043, 1043, 1043, 1043, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1043, -1, 1043, -1, -1, 1043, 
	-1, 1043, 1043, -1, -1, -1, 1043, -1, 
	1043, -1, 1043, 1044, 1044, 1044, 1044, 1044, 
	1044, 1044, 1044, 1044, 1044, 1044, 1044, 1044, 
	1044, 1044, 1044, 1044, 1044, 1044, 1044, 1044, 
	1044, 1044, 1044, 1044, 1044, 1044, -1, 1044, 
	1044, 1044, 1044, 1044, -1, 1044, -1, 1044, 
	1044, 1044, 1044, -1, 1044, -1, 1044, 1044, 
	1044, -1, 1044, 1044, 1044, 1044, 1044, 1044, 
	1044, 1044, 1044, 1044, 1044, 1044, -1, 1044, 
	1044, 1044, 1044, 1044, 1044, 1044, 1044, 1044, 
	1044, 1044, 1044, 1044, 1044, 1044, -1, 1044, 
	-1, -1, -1, -1, 1044, 1044, 1044, 1044, 
	1044, -1, -1, 1044, 1044, 1044, 1044, 1044, 
	1044, 1044, 1044, 1044, 1044, 1044, 1044, 1044, 
	1044, 1044, 1044, -1, -1, -1, -1, -1, 
	1044, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1043, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1044, 1044, 1044, 
	1044, -1, -1, 1044, 1044, 1044, 1044, 1044, 
	1044, -1, -1, -1, -1, 1044, 1044, 1044, 
	1044, 1044, 1044, 1044, -1, -1, -1, -1, 
	1044, -1, -1, -1, -1, 1044, 1044, -1, 
	-1, 1044, 1044, 1044, -1, 1044, 1044, -1, 
	-1, 1044, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1044, 1044, 1044, 1044, 1044, 1044, 
	1044, -1, -1, -1, 1044, 1044, 1044, -1, 
	-1, 1044, 1044, 1044, 1044, 1044, 1044, 1044, 
	1044, -1, 1044, 1044, 1044, -1, -1, -1, 
	1044, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1044, 1044, 1044, -1, -1, 
	1044, -1, 1044, 1044, -1, 1044, -1, -1, 
	-1, -1, 1044, -1, 1044, 1044, 1044, 1044, 
	1044, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1044, -1, 1044, -1, -1, 
	1044, -1, 1044, 1044, -1, -1, -1, 1044, 
	-1, 1044, -1, 1044, 1045, 1045, 1045, 1045, 
	1045, 1045, 1045, 1045, 1045, 1045, 1045, 1045, 
	1045, 1045, 1045, 1045, 1045, 1045, 1045, 1045, 
	1045, 1045, 1045, 1045, 1045, 1045, 1045, -1, 
	1045, 1045, 1045, 1045, 1045, -1, 1045, -1, 
	1045, 1045, 1045, 1045, -1, 1045, -1, 1045, 
	1045, 1045, -1, 1045, 1045, 1045, 1045, 1045, 
	1045, 1045, 1045, 1045, 1045, 1045, 1045, -1, 
	1045, 1045, 1045, 1045, 1045, 1045, 1045, 1045, 
	1045, 1045, 1045, 1045, 1045, 1045, 1045, -1, 
	1045, -1, -1, -1, -1, 1045, 1045, 1045, 
	1045, 1045, -1, -1, 1045, 1045, 1045, 1045, 
	1045, 1045, 1045, 1045, 1045, 1045, 1045, 1045, 
	1045, 1045, 1045, 1045, -1, -1, -1, -1, 
	-1, 1045, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1044, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1045, 1045, 
	1045, 1045, -1, -1, 1045, 1045, 1045, 1045, 
	1045, 1045, -1, -1, -1, -1, 1045, 1045, 
	1045, 1045, 1045, 1045, 1045, -1, -1, -1, 
	-1, 1045, -1, -1, -1, -1, 1045, 1045, 
	-1, -1, 1045, 1045, 1045, -1, 1045, 1045, 
	-1, -1, 1045, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1045, 1045, 1045, 1045, 1045, 
	1045, 1045, -1, -1, -1, 1045, 1045, 1045, 
	-1, -1, 1045, 1045, 1045, 1045, 1045, 1045, 
	1045, 1045, -1, 1045, 1045, 1045, -1, -1, 
	-1, 1045, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1045, 1045, 1045, -1, 
	-1, 1045, -1, 1045, 1045, -1, 1045, -1, 
	-1, -1, -1, 1045, -1, 1045, 1045, 1045, 
	1045, 1045, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1045, -1, 1045, -1, 
	-1, 1045, -1, 1045, 1045, -1, -1, -1, 
	1045, -1, 1045, -1, 1045, 758, 758, 758, 
	758, 758, 758, 758, 758, 758, 758, 758, 
	758, 758, 758, 758, 758, 758, 758, 758, 
	758, 758, 758, 758, 758, 758, 758, 758, 
	-1, 758, 758, 758, 758, 758, -1, 758, 
	-1, 758, 758, 758, 758, -1, 758, -1, 
	758, 758, 758, -1, 758, 758, 758, 758, 
	758, 758, 758, 758, 758, 758, 758, 758, 
	-1, 758, 758, 758, 758, 758, 758, 758, 
	758, 758, -1, 758, 758, 758, 758, -1, 
	-1, -1, -1, -1, -1, -1, 758, -1, 
	-1, 758, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 758, 758, 758, -1, 
	758, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1045, -1, 
	-1, -1, -1, -1, -1, -1, -1, 758, 
	758, 758, 758, -1, -1, 758, 758, -1, 
	758, 758, 758, -1, -1, -1, -1, 758, 
	758, 758, -1, 758, 758, 758, -1, -1, 
	-1, -1, 758, -1, -1, -1, -1, 758, 
	-1, -1, -1, 758, 758, 758, -1, 758, 
	758, -1, -1, 758, -1, -1, -1, -1, 
	-1, -1, -1, -1, 758, 758, 758, 758, 
	758, 758, 758, -1, -1, -1, -1, 758, 
	758, -1, -1, 758, 758, 758, 758, 758, 
	758, 758, 758, -1, 758, 758, 758, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 758, 758, 
	758, 758, 758, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 758, -1, -1, 
	-1, -1, -1, -1, 758, 925, 925, 925, 
	925, 925, 925, 925, 925, 925, 925, -1, 
	925, 925, -1, -1, 925, 925, 925, 925, 
	-1, -1, -1, 925, 925, 925, 925, 925, 
	-1, -1, -1, -1, 925, 925, 925, -1, 
	-1, -1, 925, -1, -1, -1, 925, 925, 
	-1, -1, 925, 925, 925, 925, 925, -1, 
	-1, -1, -1, 925, 925, 925, -1, -1, 
	-1, -1, 925, 925, -1, 925, 925, 925, 
	925, -1, -1, -1, -1, -1, -1, -1, 
	925, -1, 925, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 925, 925, 
	925, -1, 925, -1, -1, 212, 213, 54, 
	55, 56, 57, 85, 88, 86, 87, 89, 
	90, 1130, 83, 84, -1, -1, 36, 37, 
	41, 39, -1, -1, -1, 104, 106, 110, 
	108, 112, -1, -1, -1, -1, 42, 43, 
	44, -1, -1, -1, 97, -1, -1, -1, 
	98, 38, -1, -1, 100, 102, 95, 94, 
	96, -1, -1, -1, -1, 79, 80, 81, 
	-1, -1, -1, -1, 62, 78, -1, 116, 
	118, 120, 122, -1, -1, -1, -1, 758, 
	-1, -1, 82, -1, -1, 1130, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	73, 74, 75, -1, 76, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 925, -1, -1, -1, -1, -1, -1, 
	925, -1, -1, -1, -1, 925, 925, 925, 
	925, 925, 925, 925, 925, -1, 925, 925, 
	925, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	925, 925, 925, 925, 925, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 318, -1, -1, -1, -1, 
	-1, -1, -1, 1130, 1130, 733, -1, 35, 
	33, 34, 58, 69, 70, 71, 72, -1, 
	77, 92, 64, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 40, 997, -1, 
	901, 901, 901, 901, 901, 901, 901, 901, 
	901, 901, 901, 901, 901, 901, 901, 901, 
	317, 901, 901, 901, 901, 901, 901, 901, 
	901, -1, -1, -1, 901, 901, 901, 901, 
	901, -1, 901, -1, 901, 901, 901, 901, 
	-1, 901, 737, 901, 901, 901, -1, 901, 
	901, -1, -1, 901, 901, 901, 901, 901, 
	901, 901, 901, -1, 901, 901, 901, 901, 
	901, 901, 901, 901, 901, -1, 901, 901, 
	901, 901, -1, 901, -1, -1, -1, -1, 
	-1, 901, -1, 901, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 901, 
	901, 901, -1, 901, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 901, 901, 901, 901, -1, -1, 
	901, 901, 901, 901, 901, 901, -1, -1, 
	-1, -1, 901, 901, 901, 901, 901, 901, 
	901, -1, -1, -1, -1, 901, -1, -1, 
	-1, -1, 901, 901, -1, -1, 901, 901, 
	901, -1, 901, 901, -1, -1, 901, -1, 
	-1, -1, 736, -1, -1, 901, -1, -1, 
	-1, -1, 901, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 901, 901, 
	901, 901, 901, 901, 901, 901, -1, 901, 
	901, 901, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 901, 901, 901, 901, 901, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	901, -1, 901, -1, -1, 901, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 85, 
	88, 86, 87, 89, 90, -1, 83, 84, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 104, 106, 110, 108, 112, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	97, -1, -1, -1, 98, -1, -1, -1, 
	100, 102, 95, 94, 96, -1, -1, -1, 
	-1, 79, 80, 81, -1, -1, -1, -1, 
	997, 78, -1, 116, 118, 120, 122, -1, 
	-1, -1, -1, -1, -1, -1, 82, 922, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 73, 74, 75, -1, 
	76, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 890, 
	890, 890, 890, 890, 890, 890, 890, 890, 
	890, 890, 890, 890, 890, 890, 890, -1, 
	890, 890, 890, 890, 890, 890, 890, 890, 
	-1, -1, -1, 890, 890, 890, 890, 890, 
	-1, 890, 901, 890, 890, 890, 890, -1, 
	890, -1, 890, 890, 890, -1, 890, 890, 
	-1, -1, 890, 890, 890, 890, 890, 890, 
	890, 890, -1, 890, 890, 890, 890, 890, 
	890, 890, 890, 890, -1, 890, 890, 890, 
	890, -1, -1, -1, -1, -1, -1, -1, 
	890, -1, 741, -1, -1, -1, -1, -1, 
	-1, -1, -1, 250, 746, -1, 890, 890, 
	890, -1, 890, -1, -1, -1, 251, 69, 
	70, 71, 72, 318, 77, 92, 64, -1, 
	-1, -1, -1, -1, -1, 733, -1, 35, 
	33, 34, 58, 69, 70, 71, 72, -1, 
	77, 92, 64, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, 997, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 40, -1, -1, 
	-1, 890, 890, 890, 890, -1, -1, 890, 
	890, 890, 890, 890, 890, -1, -1, -1, 
	317, 890, 890, 890, 890, 890, 890, 890, 
	-1, -1, -1, -1, 890, -1, -1, -1, 
	-1, 890, 890, -1, -1, 890, 890, 890, 
	-1, 890, 890, 740, -1, 890, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 890, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 890, 890, 890, 
	890, 890, 890, 890, 890, -1, 890, 890, 
	890, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1035, 1035, 1035, 1035, 
	1035, 1035, -1, 1035, 1035, -1, -1, -1, 
	890, 890, 890, 890, 890, -1, 1035, 1035, 
	1035, 1035, 1035, -1, -1, -1, -1, 890, 
	-1, 890, -1, -1, 890, 1035, -1, -1, 
	-1, 1035, -1, -1, -1, 1035, 1035, 1035, 
	1035, 1035, -1, -1, -1, -1, 1035, 1035, 
	1035, -1, -1, -1, -1, 1035, 1035, 1035, 
	1035, 1035, 1035, 1035, 1035, -1, -1, -1, 
	-1, -1, -1, 1035, 1039, 1039, 1039, 1039, 
	1039, 1039, -1, 1039, 1039, -1, -1, -1, 
	-1, 1035, 1035, 1035, 1035, 1035, 1039, 1039, 
	1039, 1039, 1039, -1, -1, -1, -1, 1035, 
	-1, -1, -1, -1, -1, 1039, -1, -1, 
	-1, 1039, -1, -1, -1, 1039, 1039, 1039, 
	1039, 1039, 736, -1, -1, -1, 1039, 1039, 
	1039, -1, -1, -1, -1, 1039, 1039, 1039, 
	1039, 1039, 1039, 1039, 1039, -1, -1, -1, 
	-1, -1, -1, 1039, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1039, 1039, 1039, 1039, 1039, -1, -1, 
	212, 213, -1, -1, -1, -1, -1, 1039, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 890, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1035, 1035, 1035, 1035, 1035, 
	-1, 1035, 1035, 1035, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1035, 1035, 1035, -1, -1, 1035, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1035, 1035, 1035, 1035, 1035, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1035, -1, 
	-1, -1, -1, 1039, 1039, 1039, 1039, 1039, 
	-1, 1039, 1039, 1039, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1039, 1039, 1039, -1, -1, 1039, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1039, 1039, 1039, 1039, 1039, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1039, -1, 
	-1, -1, -1, -1, 1036, 1036, 1036, 1036, 
	1036, 1036, -1, 1036, 1036, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1036, 1036, 
	1036, 1036, 1036, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1036, -1, -1, 
	-1, 1036, -1, -1, -1, 1036, 1036, 1036, 
	1036, 1036, -1, -1, -1, -1, 1036, 1036, 
	1036, -1, -1, 250, 746, 1036, 1036, 1036, 
	1036, 1036, 1036, 1036, 1036, -1, 251, 69, 
	70, 71, 72, 1036, 77, 92, 64, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1036, 1036, 1036, 1036, 1036, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1036, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, -1, -1, -1, -1, -1, -1, 
	841, 841, 841, 841, 841, 841, 841, 841, 
	841, 841, 841, 841, 841, 841, 841, 841, 
	-1, 841, 841, 841, 841, 841, 841, 841, 
	841, -1, -1, -1, 841, 841, 841, 841, 
	841, -1, 841, -1, 841, 841, 841, 841, 
	-1, 841, -1, 841, 841, 841, -1, 841, 
	841, -1, -1, 841, 841, 841, 841, 841, 
	841, 841, 841, 740, 841, 841, 841, 841, 
	841, 841, 841, 841, 841, -1, 841, 841, 
	841, 841, -1, -1, -1, -1, -1, -1, 
	-1, 841, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 841, 
	841, 841, -1, 841, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1036, 1036, 1036, 1036, 1036, 
	-1, 1036, 1036, 1036, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1036, 1036, 1036, -1, -1, 1036, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1036, 1036, 1036, 1036, 1036, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 841, 841, 841, 841, -1, -1, 
	841, 841, 841, 841, 841, 841, 1036, -1, 
	-1, -1, 841, 841, 841, 841, 841, 841, 
	841, -1, -1, -1, -1, 841, -1, -1, 
	-1, -1, 841, 841, -1, -1, 841, 841, 
	841, -1, 841, 841, -1, -1, 841, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 841, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 841, 841, 
	841, 841, 841, 841, 841, 841, -1, 841, 
	841, 841, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 841, 841, 841, 841, 841, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	841, -1, 841, -1, -1, 841, -1, -1, 
	-1, 852, 852, 852, 852, 852, 852, 852, 
	852, 852, 852, 852, 852, 852, 852, 852, 
	852, -1, 852, 852, 852, 852, 852, 852, 
	852, 852, -1, -1, -1, 852, 852, 852, 
	852, 852, -1, 852, -1, 852, 852, 852, 
	852, -1, 852, -1, 852, 852, 852, -1, 
	852, 852, -1, -1, 852, 852, 852, 852, 
	852, 852, 852, 852, -1, 852, 852, 852, 
	852, 852, 852, 852, 852, 852, -1, 852, 
	852, 852, 852, -1, -1, -1, -1, -1, 
	-1, -1, 852, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	852, 852, 852, -1, 852, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 841, 852, 852, 852, 852, -1, 
	-1, 852, 852, 852, 852, 852, 852, -1, 
	-1, -1, -1, 852, 852, 852, 852, 852, 
	852, 852, -1, -1, -1, -1, 852, -1, 
	-1, -1, -1, 852, 852, -1, -1, 852, 
	852, 852, -1, 852, 852, -1, -1, 852, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 852, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 852, 
	852, 852, 852, 852, 852, 852, 852, -1, 
	852, 852, 852, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 852, 852, 852, 852, 852, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 852, -1, 852, -1, -1, 852, -1, 
	-1, -1, 902, 902, 902, 902, 902, 902, 
	902, 902, 902, 902, 902, 902, 902, 902, 
	902, 902, -1, 902, 902, 902, 902, 902, 
	902, 902, 902, -1, -1, -1, 902, 902, 
	902, 902, 902, -1, 902, -1, 902, 902, 
	902, 902, -1, 902, 902, 902, 902, 902, 
	-1, 902, 902, -1, -1, 902, 902, 902, 
	902, 902, 902, 902, 902, -1, 902, 902, 
	902, 902, 902, 902, 902, 902, 902, -1, 
	902, 902, 902, 902, -1, 902, -1, -1, 
	-1, -1, -1, 902, -1, 902, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 902, 902, 902, -1, 902, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 852, 902, 902, 902, 902, 
	-1, -1, 902, 902, 902, 902, 902, 902, 
	-1, -1, -1, -1, 902, 902, 902, 902, 
	902, 902, 902, -1, -1, -1, -1, 902, 
	-1, -1, -1, -1, 902, 902, -1, -1, 
	902, 902, 902, -1, 902, 902, -1, -1, 
	902, -1, -1, -1, 902, -1, -1, 902, 
	-1, -1, -1, -1, 902, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	902, 902, 902, 902, 902, 902, 902, 902, 
	-1, 902, 902, 902, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 902, 902, 902, 902, 902, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 902, -1, 902, -1, -1, 902, 
	-1, -1, -1, 906, 906, 906, 906, 906, 
	906, 906, 906, 906, 906, 906, 906, 906, 
	906, 906, 906, -1, 906, 906, 906, 906, 
	906, 906, 906, 906, -1, -1, -1, 906, 
	906, 906, 906, 906, -1, 906, -1, 906, 
	906, 906, 906, -1, 906, -1, 906, 906, 
	906, -1, 906, 906, -1, -1, 906, 906, 
	906, 906, 906, 906, 906, 906, -1, 906, 
	906, 906, 906, 906, 906, 906, 906, 906, 
	-1, 906, 906, 906, 906, -1, 906, -1, 
	-1, -1, -1, -1, 906, -1, 750, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 906, 906, 906, -1, 906, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 902, 906, 906, 906, 
	906, -1, -1, 906, 906, 906, 906, 906, 
	906, -1, -1, -1, -1, 906, 906, 906, 
	906, 906, 906, 906, -1, -1, -1, -1, 
	906, -1, -1, -1, -1, 906, 906, -1, 
	-1, 906, 906, 906, -1, 906, 906, -1, 
	-1, 906, -1, -1, -1, -1, -1, -1, 
	749, -1, -1, -1, -1, 906, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 906, 906, 906, 906, 906, 906, 906, 
	906, -1, 906, 906, 906, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 906, 906, 906, 906, 
	906, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 906, -1, 906, -1, -1, 
	906, -1, -1, -1, 900, 900, 900, 900, 
	900, 900, 900, 900, 900, 900, 900, 900, 
	900, 900, 900, 900, -1, 900, 900, 900, 
	900, 900, 900, 900, 900, -1, -1, -1, 
	900, 900, 900, 900, 900, -1, 900, -1, 
	900, 900, 900, 900, -1, 900, -1, 900, 
	900, 900, -1, 900, 900, -1, -1, 900, 
	900, 900, 900, 900, 900, 900, 900, -1, 
	900, 900, 900, 900, 900, 900, 900, 900, 
	900, -1, 900, 900, 900, 900, -1, 900, 
	-1, -1, -1, -1, -1, 900, -1, 900, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 900, 900, 900, -1, 900, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 906, 900, 900, 
	900, 900, -1, -1, 900, 900, 900, 900, 
	900, 900, -1, -1, -1, -1, 900, 900, 
	900, 900, 900, 900, 900, -1, -1, -1, 
	-1, 900, -1, -1, -1, -1, 900, 900, 
	-1, -1, 900, 900, 900, -1, 900, 900, 
	-1, -1, 900, -1, -1, -1, -1, -1, 
	-1, 900, -1, -1, -1, -1, 900, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 900, 900, 900, 900, 900, 900, 
	900, 900, -1, 900, 900, 900, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 900, 900, 900, 
	900, 900, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 900, -1, 900, -1, 
	-1, 900, -1, -1, -1, 887, 887, 887, 
	887, 887, 887, 887, 887, 887, 887, 887, 
	887, 887, 887, 887, 887, -1, 887, 887, 
	887, 887, 887, 887, 887, 887, -1, -1, 
	-1, 887, 887, 887, 887, 887, -1, 887, 
	-1, 887, 887, 887, 887, -1, 887, -1, 
	887, 887, 887, -1, 887, 887, -1, -1, 
	887, 887, 887, 887, 887, 887, 887, 887, 
	-1, 887, 887, 887, 887, 887, 887, 887, 
	887, 887, -1, 887, 887, 887, 887, -1, 
	-1, -1, -1, -1, -1, -1, 887, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 887, 887, 887, -1, 
	887, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 900, 887, 
	887, 887, 887, -1, -1, 887, 887, 887, 
	887, 887, 887, -1, -1, -1, -1, 887, 
	887, 887, 887, 887, 887, 887, -1, -1, 
	-1, -1, 887, -1, -1, -1, -1, 887, 
	887, -1, -1, 887, 887, 887, -1, 887, 
	887, -1, -1, 887, -1, -1, -1, -1, 
	749, -1, -1, -1, -1, -1, -1, 887, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 887, 887, 887, 887, 887, 
	887, 887, 887, -1, 887, 887, 887, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 887, 887, 
	887, 887, 887, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 887, -1, 887, 
	-1, -1, 887, 54, 55, 56, 57, 85, 
	88, 86, 87, 89, 90, 1130, 83, 84, 
	-1, -1, 36, 37, 41, 39, -1, -1, 
	-1, 104, 106, 110, 108, 112, -1, -1, 
	-1, -1, 42, 43, 44, -1, -1, -1, 
	97, -1, -1, -1, 98, 38, -1, -1, 
	100, 102, 95, 94, 96, -1, -1, -1, 
	-1, 79, 80, 81, -1, -1, -1, -1, 
	62, 78, -1, 116, 118, 120, 122, -1, 
	-1, -1, -1, -1, -1, -1, 82, -1, 
	-1, 1130, 1037, 1037, 1037, 1037, 1037, 1037, 
	-1, 1037, 1037, -1, 73, 74, 75, -1, 
	76, -1, -1, -1, 1037, 1037, 1037, 1037, 
	1037, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1037, -1, -1, -1, 1037, 
	-1, -1, -1, 1037, 1037, 1037, 1037, 1037, 
	-1, -1, -1, -1, 1037, 1037, 1037, -1, 
	-1, -1, -1, 1037, 1037, 1037, 1037, 1037, 
	1037, 1037, 1037, -1, -1, -1, -1, -1, 
	-1, 1037, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1037, 
	1037, 1037, 1037, 1037, -1, -1, -1, 887, 
	-1, -1, -1, -1, -1, 1037, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 318, 
	-1, -1, -1, -1, -1, -1, -1, 1130, 
	1130, 753, -1, 35, 33, 34, 58, 69, 
	70, 71, 72, -1, 77, 92, 64, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 40, 997, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 317, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1037, 1037, 1037, 1037, 1037, -1, 1037, 
	1037, 1037, -1, -1, -1, 1038, 1038, 1038, 
	1038, 1038, 1038, -1, 1038, 1038, -1, -1, 
	1037, 1037, 1037, -1, -1, 1037, -1, 1038, 
	1038, 1038, 1038, 1038, -1, -1, -1, -1, 
	-1, 1037, 1037, 1037, 1037, 1037, 1038, -1, 
	-1, -1, 1038, -1, -1, -1, 1038, 1038, 
	1038, 1038, 1038, -1, -1, -1, -1, 1038, 
	1038, 1038, -1, -1, 1037, -1, 1038, 1038, 
	1038, 1038, 1038, 1038, 1038, 1038, -1, -1, 
	-1, -1, -1, -1, 1038, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1038, 1038, 1038, 1038, 1038, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1038, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 851, 851, 
	851, 851, 851, 851, 851, 851, 851, 851, 
	851, 851, 851, 851, 851, 851, -1, 851, 
	851, 851, 851, 851, 851, 851, 851, -1, 
	-1, -1, 851, 851, 851, 851, 851, -1, 
	851, -1, 851, 851, 851, 851, -1, 851, 
	-1, 851, 851, 851, -1, 851, 851, -1, 
	-1, 851, 851, 851, 851, 851, 851, 851, 
	851, -1, 851, 851, 851, 851, 851, 851, 
	851, 851, 851, -1, 851, 851, 851, 851, 
	-1, -1, -1, -1, -1, -1, -1, 851, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 851, 851, 851, 
	-1, 851, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1038, 1038, 1038, 1038, 
	1038, -1, 1038, 1038, 1038, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1038, 1038, 1038, -1, -1, 
	1038, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1038, 1038, 1038, 1038, 
	1038, -1, -1, -1, -1, -1, -1, -1, 
	851, 851, 851, 851, -1, -1, 851, 851, 
	851, 851, 851, 851, -1, -1, -1, 1038, 
	851, 851, 851, 851, 851, 851, 851, -1, 
	-1, -1, -1, 851, -1, -1, -1, -1, 
	851, 851, -1, -1, 851, 851, 851, -1, 
	851, 851, -1, -1, 851, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	851, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 851, 851, 851, 851, 
	851, 851, 851, 851, -1, 851, 851, 851, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 851, 
	851, 851, 851, 851, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 851, -1, 
	851, -1, -1, 851, -1, -1, -1, 904, 
	904, 904, 904, 904, 904, 904, 904, 904, 
	904, 904, 904, 904, 904, 904, 904, -1, 
	904, 904, 904, 904, 904, 904, 904, 904, 
	-1, -1, -1, 904, 904, 904, 904, 904, 
	-1, 904, -1, 904, 904, 904, 904, -1, 
	904, -1, 904, 904, 904, -1, 904, 904, 
	-1, -1, 904, 904, 904, 904, 904, 904, 
	904, 904, -1, 904, 904, 904, 904, 904, 
	904, 904, 904, 904, -1, 904, 904, 904, 
	904, -1, 904, -1, -1, -1, -1, -1, 
	904, -1, -1, -1, -1, -1, -1, 318, 
	-1, -1, -1, -1, -1, -1, 904, 904, 
	904, 753, 904, 35, 33, 34, 58, 69, 
	70, 71, 72, -1, 77, 92, 64, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 40, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 317, -1, -1, -1, 
	851, 904, 904, 904, 904, -1, -1, 904, 
	904, 904, 904, 904, 904, -1, -1, -1, 
	-1, 904, 904, 904, 904, 904, 904, 904, 
	-1, -1, -1, -1, 904, -1, -1, -1, 
	-1, 904, 904, -1, -1, 904, 904, 904, 
	-1, 904, 904, -1, -1, 904, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 904, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 904, 904, 904, 
	904, 904, 904, 904, 904, -1, 904, 904, 
	904, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	904, 904, 904, 904, 904, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 904, 
	-1, 904, -1, -1, 904, 54, 55, 56, 
	57, 85, 88, 86, 87, 89, 90, 1130, 
	83, 84, -1, -1, 36, 37, 41, 39, 
	-1, -1, -1, 104, 106, 110, 108, 112, 
	-1, -1, -1, -1, 42, 43, 44, -1, 
	-1, -1, 97, -1, -1, -1, 98, 38, 
	-1, -1, 100, 102, 95, 94, 96, -1, 
	-1, -1, -1, 79, 80, 81, -1, -1, 
	-1, -1, 62, 78, -1, 116, 118, 120, 
	122, -1, -1, -1, -1, -1, -1, -1, 
	82, -1, -1, 1130, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 73, 74, 
	75, -1, 76, 923, 923, 923, 923, 923, 
	923, 923, 923, 923, 923, -1, 923, 923, 
	-1, -1, 923, 923, 923, 923, -1, -1, 
	-1, 923, 923, 923, 923, 923, -1, -1, 
	-1, -1, 923, 923, 923, -1, -1, -1, 
	923, -1, -1, -1, 923, 923, -1, -1, 
	923, 923, 923, 923, 923, -1, -1, -1, 
	-1, 923, 923, 923, -1, -1, -1, -1, 
	923, 923, -1, 923, 923, 923, 923, -1, 
	-1, -1, -1, -1, -1, -1, 923, -1, 
	923, 904, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 923, 923, 923, -1, 
	923, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 318, -1, -1, -1, -1, -1, -1, 
	-1, 1130, 1130, 755, -1, 35, 33, 34, 
	58, 69, 70, 71, 72, -1, 77, 92, 
	64, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	114, 99, 91, 40, 997, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 317, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 923, 
	-1, -1, -1, -1, -1, -1, 923, -1, 
	-1, -1, -1, 923, 923, 923, 923, 923, 
	923, 923, 923, -1, 923, 923, 923, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 923, 923, 
	923, 923, 923, 889, 889, 889, 889, 889, 
	889, 889, 889, 889, 889, 889, 889, 889, 
	889, 889, 889, -1, 889, 889, 889, 889, 
	889, 889, 889, 889, -1, -1, -1, 889, 
	889, 889, 889, 889, -1, 889, -1, 889, 
	889, 889, 889, -1, 889, -1, 889, 889, 
	889, -1, 889, 889, -1, -1, 889, 889, 
	889, 889, 889, 889, 889, 889, -1, 889, 
	889, 889, 889, 889, 889, 889, 889, 889, 
	-1, 889, 889, 889, 889, -1, -1, -1, 
	-1, -1, -1, -1, 889, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 889, 889, 889, -1, 889, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 889, 889, 889, 
	889, -1, -1, 889, 889, 889, 889, 889, 
	889, -1, -1, -1, -1, 889, 889, 889, 
	889, 889, 889, 889, -1, -1, -1, -1, 
	889, -1, -1, -1, -1, 889, 889, -1, 
	-1, 889, 889, 889, -1, 889, 889, -1, 
	-1, 889, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 889, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 889, 889, 889, 889, 889, 889, 889, 
	889, -1, 889, 889, 889, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 889, 889, 889, 889, 
	889, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 889, -1, 889, -1, -1, 
	889, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 905, 905, 905, 905, 905, 905, 
	905, 905, 905, 905, 905, 905, 905, 905, 
	905, 905, -1, 905, 905, 905, 905, 905, 
	905, 905, 905, -1, -1, -1, 905, 905, 
	905, 905, 905, -1, 905, -1, 905, 905, 
	905, 905, -1, 905, -1, 905, 905, 905, 
	-1, 905, 905, -1, -1, 905, 905, 905, 
	905, 905, 905, 905, 905, -1, 905, 905, 
	905, 905, 905, 905, 905, 905, 905, -1, 
	905, 905, 905, 905, -1, 905, -1, -1, 
	-1, -1, -1, 905, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 905, 905, 905, -1, 905, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 318, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 755, -1, 35, 33, 34, 
	58, 69, 70, 71, 72, 889, 77, 92, 
	64, -1, -1, -1, 905, 905, 905, 905, 
	-1, -1, 905, 905, 905, 905, 905, 905, 
	-1, -1, -1, -1, 905, 905, 905, 905, 
	905, 905, 905, -1, -1, -1, -1, 905, 
	114, 99, 91, 40, 905, 905, -1, -1, 
	905, 905, 905, -1, 905, 905, -1, -1, 
	905, -1, -1, -1, -1, -1, 317, -1, 
	-1, -1, -1, -1, 905, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	905, 905, 905, 905, 905, 905, 905, 905, 
	-1, 905, 905, 905, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 905, 905, 905, 905, 905, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 905, -1, 905, -1, -1, 905, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 905
};

static int pid_0_parser_owners[] = {
	0, 0, 1, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	2, 0, 0, 0, 0, 0, 0, 0, 
	0, 24, 26, 28, 0, 0, 0, 0, 
	0, 30, 0, 31, 0, 0, 0, 0, 
	33, 0, 37, 0, 0, 0, 39, 0, 
	0, 25, 27, 0, 0, 0, 0, 0, 
	0, 0, 0, 25, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 48, 0, 0, 
	0, 0, 42, 46, 50, 51, 52, 53, 
	54, 0, 56, 57, 58, 60, 84, 49, 
	88, 49, 89, 90, 91, 93, 97, 0, 
	0, 0, 98, 0, 99, 100, 101, 108, 
	32, 32, 32, 32, 32, 110, 111, 62, 
	112, 62, 61, 125, 63, 27, 63, 105, 
	105, 131, 119, 119, 136, 146, 160, 32, 
	32, 104, 104, 104, 161, 168, 168, 170, 
	171, 172, 174, 174, 174, 176, 182, 32, 
	186, 164, 164, 185, 187, 185, 205, 221, 
	64, 222, 64, 224, 224, 224, 226, 79, 
	227, 176, 176, 230, 231, 232, 239, 80, 
	249, 0, 0, 0, 0, 0, 269, 279, 
	0, 0, 280, 0, 0, 0, 281, 25, 
	25, 25, 0, 0, 0, 282, 0, 0, 
	0, 86, 49, 49, 27, 0, 55, 55, 
	55, 55, 0, 283, 287, 288, 0, 0, 
	0, 55, 0, 0, 273, 292, 0, 299, 
	300, 301, 62, 62, 307, 302, 322, 63, 
	63, 329, 0, 330, 39, 47, 47, 47, 
	47, 47, 118, 118, 118, 203, 0, 0, 
	0, 0, 0, 0, 0, 0, 46, 0, 
	0, 0, 369, 374, 47, 47, 245, 245, 
	42, 322, 385, 64, 64, 390, 105, 39, 
	39, 119, 392, 372, 47, 49, 162, 162, 
	162, 212, 104, 216, 216, 419, 168, 273, 
	420, 0, 0, 0, 0, 0, 302, 132, 
	132, 132, 132, 42, 42, 62, 164, 426, 
	0, 432, 63, 3, 3, 3, 3, 3, 
	3, 3, 3, 3, 3, 3, 3, 3, 
	3, 3, 3, 104, 3, 3, 3, 3, 
	3, 3, 3, 3, 32, 32, 434, 3, 
	3, 3, 3, 3, 61, 3, 64, 3, 
	3, 3, 3, 131, 3, 79, 3, 3, 
	3, 436, 3, 3, 212, 80, 3, 3, 
	3, 3, 3, 3, 3, 3, 438, 3, 
	3, 3, 3, 3, 3, 3, 3, 3, 
	439, 3, 3, 3, 3, 312, 312, 86, 
	79, 79, 450, 118, 3, 364, 451, 364, 
	80, 80, 453, 154, 154, 81, 81, 81, 
	81, 81, 3, 3, 3, 245, 3, 82, 
	82, 82, 82, 82, 55, 55, 55, 209, 
	457, 212, 86, 86, 81, 81, 372, 162, 
	372, 308, 308, 203, 118, 154, 82, 82, 
	216, 107, 463, 373, 81, 166, 166, 166, 
	469, 166, 220, 220, 474, 478, 82, 47, 
	209, 480, 83, 83, 83, 83, 83, 305, 
	305, 47, 47, 481, 107, 401, 203, 203, 
	162, 505, 107, 85, 85, 85, 85, 85, 
	511, 83, 83, 289, 513, 3, 3, 3, 
	3, 514, 0, 3, 3, 455, 3, 3, 
	3, 83, 85, 85, 505, 3, 3, 3, 
	401, 3, 3, 3, 109, 132, 132, 132, 
	3, 528, 85, 536, 109, 3, 393, 393, 
	452, 3, 3, 3, 541, 3, 3, 542, 
	452, 3, 560, 103, 103, 103, 312, 103, 
	130, 130, 130, 130, 561, 3, 92, 92, 
	92, 92, 92, 169, 169, 169, 109, 289, 
	563, 3, 3, 3, 3, 3, 3, 3, 
	3, 455, 3, 3, 3, 92, 92, 565, 
	117, 117, 117, 567, 117, 133, 133, 133, 
	133, 154, 154, 154, 575, 92, 308, 109, 
	577, 165, 165, 165, 209, 165, 373, 578, 
	373, 228, 166, 220, 3, 3, 3, 3, 
	3, 228, 538, 209, 538, 209, 107, 284, 
	305, 593, 601, 3, 608, 228, 228, 364, 
	539, 319, 319, 166, 609, 107, 284, 107, 
	621, 81, 81, 622, 81, 626, 182, 581, 
	581, 489, 489, 82, 82, 592, 82, 107, 
	375, 375, 375, 592, 109, 238, 238, 238, 
	238, 633, 166, 539, 564, 375, 375, 635, 
	238, 529, 529, 642, 645, 124, 124, 124, 
	124, 124, 646, 393, 418, 418, 126, 126, 
	126, 126, 126, 649, 386, 386, 83, 83, 
	103, 83, 399, 399, 124, 124, 638, 109, 
	414, 414, 638, 659, 169, 126, 126, 85, 
	85, 533, 85, 533, 124, 289, 289, 107, 
	663, 103, 391, 391, 391, 126, 666, 455, 
	455, 244, 244, 244, 326, 117, 326, 391, 
	391, 670, 631, 284, 284, 284, 659, 130, 
	130, 130, 631, 577, 632, 169, 165, 672, 
	103, 117, 675, 210, 632, 425, 425, 487, 
	487, 487, 681, 487, 387, 387, 648, 109, 
	318, 318, 318, 685, 690, 487, 210, 165, 
	319, 692, 92, 92, 705, 92, 210, 654, 
	564, 654, 564, 117, 210, 712, 218, 218, 
	218, 714, 218, 133, 133, 133, -1, 648, 
	581, 676, 489, 676, -1, 3, 165, 490, 
	490, 0, 0, 0, 0, 0, 650, 650, 
	0, 0, -1, 0, 0, 0, 529, 25, 
	25, 25, 0, 0, 0, 418, 0, 0, 
	0, -1, 49, 49, 27, 0, -1, -1, 
	326, 399, 0, 238, 386, 386, 0, 0, 
	0, 210, 0, 0, -1, 414, 0, -1, 
	-1, 422, 371, 422, 459, -1, 238, 238, 
	238, 625, 0, -1, 39, 127, 127, 127, 
	127, 127, 244, 526, 526, 371, 0, 0, 
	0, 0, 0, 0, 0, 0, 46, 0, 
	0, 0, -1, 371, 127, 127, -1, 533, 
	42, 124, 124, 673, 425, 673, 105, 39, 
	533, 119, 126, 126, 127, 49, 210, 706, 
	-1, 318, 326, 244, 387, 387, 168, 706, 
	210, 0, 0, 0, 0, 38, 38, 38, 
	38, 38, 38, 42, 38, 38, 164, 210, 
	0, 210, -1, 218, 473, 473, -1, 38, 
	38, 38, 38, 38, 510, 510, 535, 535, 
	371, 210, 318, 104, 472, 472, 38, 218, 
	490, -1, 38, 650, 32, 32, 38, 38, 
	38, 38, 38, -1, 61, -1, -1, 38, 
	38, 38, -1, 131, -1, 79, 38, 38, 
	-1, 38, 38, 38, 38, 80, 509, 509, 
	-1, 218, 534, 534, 38, 128, 128, 128, 
	128, 128, 678, 678, 129, 129, 129, 129, 
	129, -1, 38, 38, 38, 371, 38, 86, 
	79, 210, 526, -1, 128, 128, -1, 371, 
	80, -1, -1, 129, 129, -1, 294, 294, 
	-1, -1, -1, -1, 128, 245, 371, 422, 
	371, -1, 459, 129, 55, 55, 55, 625, 
	422, 212, 86, -1, 657, 657, 372, -1, 
	372, -1, -1, 203, 118, 582, 582, 582, 
	216, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 459, 459, 47, 
	-1, 673, 625, 625, -1, 473, -1, -1, 
	-1, 127, 127, -1, -1, 510, 203, 535, 
	162, -1, 141, 141, 141, 141, 141, -1, 
	-1, 472, -1, -1, -1, 3, 3, 3, 
	3, -1, -1, 3, 3, -1, 3, 3, 
	3, 141, 141, -1, -1, 3, 3, 3, 
	-1, 3, 3, 3, -1, 132, 132, 132, 
	3, 141, 641, 509, 641, 3, -1, 534, 
	135, 3, 3, 3, -1, 3, 3, -1, 
	-1, 3, -1, 678, 38, 38, 38, 38, 
	38, -1, 38, 38, 38, 3, 408, 408, 
	408, 408, 135, 135, 135, 135, 135, 603, 
	603, 3, 3, 3, 3, 3, 3, 3, 
	3, -1, 3, 3, 3, 297, 297, 297, 
	297, 135, 135, 657, 38, 38, 38, 38, 
	38, 154, 154, 154, 294, 294, 294, -1, 
	-1, 135, -1, -1, 209, 683, 683, 582, 
	-1, 128, 128, 220, 3, 3, 3, 3, 
	129, 129, 607, 607, -1, -1, -1, -1, 
	305, -1, -1, 3, 4, 4, 4, 4, 
	4, 4, 4, 4, 4, 4, 4, 4, 
	4, 4, 4, 4, 81, 4, 4, 4, 
	4, 4, 4, 4, 4, 477, 82, 107, 
	4, 4, 4, 4, 4, -1, 4, -1, 
	4, 4, 4, 4, 477, 4, -1, 4, 
	4, 4, -1, 4, 4, -1, -1, 4, 
	4, 4, 4, 4, 4, 4, 4, -1, 
	4, 4, 4, 4, 4, 4, 4, 4, 
	4, 83, 4, 4, 4, 4, -1, 109, 
	-1, 398, 398, 398, -1, 4, 141, 141, 
	641, -1, 85, -1, 603, 289, 289, 107, 
	-1, 103, -1, 4, 4, 4, 611, 4, 
	611, 611, 611, 611, 135, 135, -1, 135, 
	684, 684, -1, 284, 284, 284, -1, 130, 
	130, 130, -1, 577, -1, 169, -1, -1, 
	103, 117, 683, -1, -1, -1, -1, -1, 
	-1, -1, -1, 607, 408, 408, 408, 109, 
	-1, 477, 477, 477, 297, 297, 297, 165, 
	319, -1, -1, -1, -1, 92, 135, 135, 
	564, -1, 564, 117, -1, 142, 142, 142, 
	142, 142, -1, 133, 133, 133, 4, 4, 
	4, 4, 489, -1, 4, 4, 165, 4, 
	4, 4, -1, -1, 142, 142, 4, 4, 
	4, -1, 4, 4, 4, 234, 234, 234, 
	234, 4, -1, -1, 142, 418, 4, -1, 
	234, 135, 4, 4, 4, -1, 4, 4, 
	326, 399, 4, 238, 386, -1, -1, 243, 
	243, 243, 398, 243, -1, 414, 4, 143, 
	143, 143, 143, 143, 144, 144, 144, 144, 
	144, -1, 4, 4, 4, 4, 4, 4, 
	4, 4, -1, 4, 4, 4, 143, 143, 
	-1, 684, -1, 144, 144, -1, -1, 214, 
	214, 214, 214, 398, -1, -1, 143, 214, 
	-1, 124, 124, 144, 425, 214, -1, 214, 
	214, -1, 126, 126, 611, 4, 4, 4, 
	4, 4, 326, 244, 387, 217, 217, 217, 
	-1, 217, -1, -1, 4, -1, -1, 5, 
	5, 5, 5, 5, 5, 5, 5, 5, 
	5, 5, 5, 5, 5, 5, 5, -1, 
	5, 5, 5, 5, 5, 5, 5, 5, 
	-1, 210, 318, 5, 5, 5, 5, 5, 
	490, 5, -1, 5, 5, 5, 5, -1, 
	5, -1, 5, 5, 5, -1, 5, 5, 
	-1, -1, 5, 5, 5, 5, 5, 5, 
	5, 5, -1, 5, 5, 5, 5, 5, 
	5, 5, 5, 5, 243, 5, 5, 5, 
	5, 243, -1, 234, -1, -1, -1, -1, 
	5, 142, 142, -1, -1, -1, -1, -1, 
	-1, 210, 526, -1, -1, -1, 5, 5, 
	5, -1, 5, 234, 234, 234, -1, 233, 
	233, 233, 233, 233, -1, -1, 639, 422, 
	639, -1, 459, -1, -1, 639, 243, 625, 
	422, -1, -1, -1, -1, -1, 233, 233, 
	-1, 214, -1, 214, 214, 214, 214, 214, 
	214, -1, 217, -1, -1, -1, 233, -1, 
	-1, -1, -1, 143, 143, 459, -1, -1, 
	144, 144, 625, -1, -1, 473, 217, -1, 
	-1, 127, 127, -1, -1, 510, -1, 535, 
	-1, 5, 5, 5, 5, -1, 4, 5, 
	5, 472, 5, 5, 5, -1, -1, -1, 
	-1, 5, 5, 5, -1, 5, 5, 5, 
	217, -1, -1, -1, 5, -1, 506, 506, 
	506, 5, 424, 424, 424, 5, 5, 5, 
	-1, 5, 5, 509, -1, 5, -1, 534, 
	235, 235, 235, 235, -1, 410, 410, 410, 
	410, 5, -1, 235, 38, 38, 38, 38, 
	38, -1, 38, 38, 38, 5, 5, 5, 
	5, 5, 5, 5, 5, -1, 5, 5, 
	5, 236, 236, 236, 236, 237, 237, 237, 
	237, -1, 639, 639, 236, 508, 508, 508, 
	237, 508, -1, 657, 38, 38, 38, 38, 
	-1, -1, -1, -1, 294, 294, 294, -1, 
	5, 5, 5, 5, 5, 411, 411, 411, 
	411, 128, 128, -1, 639, -1, -1, 5, 
	129, 129, 6, 6, 6, 6, 6, 6, 
	6, 6, 6, 6, 6, 6, 6, 6, 
	6, 6, -1, 6, 6, 6, 6, 6, 
	6, 6, 6, 233, 233, -1, 6, 6, 
	6, 6, 6, -1, 6, -1, 6, 6, 
	6, 6, -1, 6, -1, 6, 6, 6, 
	-1, 6, 6, 424, -1, 6, 6, 6, 
	6, 6, 6, 6, 6, -1, 6, 6, 
	6, 6, 6, 6, 6, 6, 6, -1, 
	6, 6, 6, 6, 506, 506, -1, -1, 
	525, 525, 525, 6, -1, -1, -1, -1, 
	-1, -1, -1, -1, 424, -1, 141, 141, 
	641, 6, 6, 6, 603, 6, 235, 656, 
	656, 656, 268, 268, 268, 268, 268, -1, 
	-1, -1, 508, -1, 135, 135, -1, 135, 
	-1, -1, -1, -1, -1, -1, 235, 235, 
	235, 268, 268, 410, 410, 410, 508, 236, 
	-1, -1, 683, 237, -1, -1, 416, 416, 
	416, 268, 416, 607, 408, 408, 408, -1, 
	-1, 477, 477, 477, 297, 297, 297, 236, 
	236, 236, -1, 237, 237, 237, 135, 135, 
	508, -1, -1, -1, 6, 6, 6, 6, 
	-1, 5, 6, 6, -1, 6, 6, 6, 
	-1, -1, -1, -1, 6, 6, 6, -1, 
	6, 6, 6, 411, 411, 411, -1, 6, 
	-1, 397, 397, 397, 6, 397, -1, -1, 
	6, 6, 6, -1, 6, 6, -1, -1, 
	6, 135, -1, 246, -1, 246, 246, 246, 
	246, 525, 246, -1, 6, 145, 145, 145, 
	145, 145, 149, 149, 149, 149, 149, -1, 
	6, 6, 6, 6, 6, 6, 6, 6, 
	656, 6, 6, 6, 145, 145, -1, -1, 
	-1, 149, 149, -1, 566, 566, 566, 566, 
	-1, 684, 525, -1, 145, -1, -1, -1, 
	-1, 149, -1, 398, -1, -1, 412, 412, 
	412, 412, -1, 6, 6, 6, 6, 6, 
	-1, 656, -1, 416, 611, 524, 524, 524, 
	416, 524, 6, -1, -1, 7, 7, 7, 
	7, 7, 7, 7, 7, 7, 7, 7, 
	7, 7, 7, 7, 7, -1, 7, 7, 
	7, 7, 7, 7, 7, 7, 268, 268, 
	-1, 7, 7, 7, 7, 7, -1, 7, 
	-1, 7, 7, 7, 7, 416, 7, -1, 
	7, 7, 7, -1, 7, 7, 397, -1, 
	7, 7, 7, 7, 7, 7, 7, 7, 
	-1, 7, 7, 7, 7, 7, 7, 7, 
	7, 7, 397, 7, 7, 7, 7, -1, 
	-1, 413, 413, 413, 413, -1, 7, -1, 
	-1, 243, -1, 234, -1, -1, -1, -1, 
	-1, 142, 142, -1, 7, 7, 7, -1, 
	7, 246, -1, -1, 397, 576, 246, 576, 
	-1, -1, 246, 246, 576, -1, -1, -1, 
	-1, 376, 376, 376, 376, 376, 376, 376, 
	376, 376, 376, -1, -1, -1, 243, 376, 
	-1, 376, 376, 376, 376, 376, 376, 376, 
	-1, 214, 524, 214, 214, 214, 214, 214, 
	214, 145, 145, 566, 566, 566, 149, 149, 
	-1, 524, 246, 143, 143, -1, -1, -1, 
	144, 144, -1, -1, -1, -1, 217, 7, 
	7, 7, 7, -1, 6, 7, 7, -1, 
	7, 7, 7, -1, 412, 412, 412, 7, 
	7, 7, -1, 7, 7, 7, 524, -1, 
	-1, -1, 7, -1, -1, -1, -1, 7, 
	217, -1, -1, 7, 7, 7, -1, 7, 
	7, -1, -1, 7, -1, -1, -1, -1, 
	317, 317, 317, -1, 317, -1, -1, 7, 
	150, 150, 150, 150, 150, 153, 153, 153, 
	153, 153, -1, 7, 7, 7, 7, 7, 
	7, 7, 7, -1, 7, 7, 7, 150, 
	150, 576, 576, -1, 153, 153, -1, -1, 
	379, 379, 379, 379, -1, -1, -1, 150, 
	379, 415, 415, 415, 153, 415, 379, -1, 
	379, 379, 413, 413, 413, -1, 7, 7, 
	7, 7, 7, 576, 376, -1, 376, 376, 
	376, 376, 376, -1, -1, 7, -1, -1, 
	8, 8, 8, 8, 8, 8, 8, 8, 
	8, 8, 8, 8, 8, 8, 8, 8, 
	-1, 8, 8, 8, 8, 8, 8, 8, 
	8, -1, -1, -1, 8, 8, 8, 8, 
	8, -1, 8, -1, 8, 8, 8, 8, 
	-1, 8, -1, 8, 8, 8, -1, 8, 
	8, -1, -1, 8, 8, 8, 8, 8, 
	8, 8, 8, -1, 8, 8, 8, 8, 
	8, 8, 8, 8, 8, 317, 8, 8, 
	8, 8, -1, -1, -1, -1, -1, 271, 
	-1, 8, -1, -1, 506, 506, -1, 471, 
	471, 471, -1, 471, -1, -1, 317, 8, 
	8, 8, -1, 8, 424, -1, -1, -1, 
	-1, 271, 271, 271, 271, 271, 235, -1, 
	-1, -1, -1, -1, -1, -1, 415, -1, 
	-1, -1, -1, 415, -1, 317, -1, -1, 
	271, 271, -1, -1, -1, -1, 379, 379, 
	379, 379, -1, 410, 410, 410, -1, 236, 
	271, -1, -1, 237, 150, 150, -1, -1, 
	-1, 153, 153, -1, -1, -1, -1, -1, 
	-1, 157, 157, 157, 157, 157, -1, -1, 
	415, -1, 8, 8, 8, 8, -1, 7, 
	8, 8, -1, 8, 8, 8, -1, -1, 
	157, 157, 8, 8, 8, -1, 8, 8, 
	8, -1, -1, -1, -1, 8, -1, -1, 
	157, -1, 8, 411, 411, 411, 8, 8, 
	8, -1, 8, 8, -1, -1, 8, -1, 
	-1, 417, -1, 417, 417, 417, 417, -1, 
	-1, -1, 8, 163, 163, 163, 163, 163, 
	-1, -1, -1, -1, 471, -1, 8, 8, 
	8, 8, 8, 8, 8, 8, -1, 8, 
	8, 8, 163, 163, -1, -1, -1, 215, 
	215, 215, 215, 417, -1, 471, -1, 215, 
	-1, -1, 163, -1, -1, 215, -1, 215, 
	215, 215, 525, 271, 271, -1, 271, -1, 
	-1, 8, 8, 8, 8, 8, -1, -1, 
	-1, 423, 423, 423, 471, 423, -1, -1, 
	8, 656, -1, 9, 9, 9, 9, 9, 
	9, 9, 9, 9, 9, 9, 9, 9, 
	9, 9, 9, -1, 9, 9, 9, 9, 
	9, 9, 9, 9, -1, 271, 271, 9, 
	9, 9, 9, 9, -1, 9, -1, 9, 
	9, 9, 9, -1, 9, -1, 9, 9, 
	9, -1, 9, 9, 215, -1, 9, 9, 
	9, 9, 9, 9, 9, 9, -1, 9, 
	9, 9, 9, 9, 9, 9, 9, 9, 
	-1, 9, 9, 9, 9, -1, -1, -1, 
	271, -1, 397, -1, 9, 157, 157, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 9, 9, 9, -1, 9, 417, 
	-1, -1, -1, -1, 417, -1, -1, -1, 
	417, 417, -1, 710, 397, 710, 246, -1, 
	-1, -1, 710, 246, -1, -1, -1, -1, 
	-1, 215, -1, 215, 215, 215, 215, 215, 
	215, -1, -1, -1, -1, -1, 423, -1, 
	-1, -1, -1, 423, -1, -1, -1, 163, 
	163, -1, -1, -1, -1, -1, -1, -1, 
	417, 145, 145, 566, 566, 566, 149, 149, 
	-1, 524, 246, -1, -1, 9, 9, 9, 
	9, -1, 8, 9, 9, -1, 9, 9, 
	9, 602, 602, 602, 602, 9, 9, 9, 
	423, 9, 9, 9, 412, 412, 412, -1, 
	9, -1, -1, -1, -1, 9, 524, -1, 
	270, 9, 9, 9, -1, 9, 9, -1, 
	-1, 9, -1, -1, -1, -1, 614, 614, 
	614, -1, 614, -1, -1, 9, -1, -1, 
	-1, -1, 270, 270, 270, 270, 270, -1, 
	-1, 9, 9, 9, 9, 9, 9, 9, 
	9, -1, 9, 9, 9, 388, 388, 388, 
	388, 270, 270, -1, -1, 388, -1, 710, 
	710, 576, 576, 388, -1, 388, 388, -1, 
	-1, 270, -1, -1, 537, -1, 537, 537, 
	537, 537, -1, 537, 9, 9, 9, 9, 
	9, -1, 413, 413, 413, -1, 485, -1, 
	485, 710, -1, 9, 376, 485, 10, 10, 
	10, 10, 10, 10, 10, 10, 10, 10, 
	10, 10, 10, 10, 10, 10, 537, 10, 
	10, 10, 10, 10, 10, 10, 10, -1, 
	-1, -1, 10, 10, 10, 10, 10, -1, 
	10, -1, 10, 10, 10, 10, -1, 10, 
	-1, 10, 10, 10, -1, 10, 10, -1, 
	-1, 10, 10, 10, 10, 10, 10, 10, 
	10, -1, 10, 10, 10, 10, 10, 10, 
	10, 10, 10, 614, 10, 10, 10, 10, 
	614, -1, -1, -1, -1, -1, -1, 10, 
	-1, -1, 602, 602, 602, -1, -1, 602, 
	602, 602, -1, -1, -1, 10, 10, 10, 
	-1, 10, -1, -1, 270, 270, 317, 270, 
	544, 544, 544, 544, 544, 544, 544, 544, 
	544, 544, 544, 544, -1, 614, -1, 388, 
	-1, 388, 388, 388, 388, 388, 388, -1, 
	-1, -1, -1, 415, -1, 317, -1, -1, 
	-1, -1, 485, 485, 485, -1, 379, 379, 
	379, 379, -1, -1, -1, -1, 270, 270, 
	-1, -1, 537, -1, 150, 150, -1, 537, 
	544, 153, 153, 537, 537, -1, -1, -1, 
	10, 10, 10, 10, 485, 9, 10, 10, 
	415, 10, 10, 10, -1, -1, -1, -1, 
	10, 10, 10, -1, 10, 10, 10, -1, 
	-1, -1, -1, 10, -1, -1, -1, -1, 
	10, 270, -1, 272, 10, 10, 10, -1, 
	10, 10, -1, 537, 10, -1, -1, -1, 
	-1, 604, 604, 604, -1, 604, -1, -1, 
	10, -1, -1, -1, -1, 272, 272, 272, 
	272, 272, -1, -1, 10, 10, 10, 10, 
	10, 10, 10, 10, -1, 10, 10, 10, 
	492, 492, 492, 492, 272, 272, -1, -1, 
	492, -1, -1, 711, 544, 711, 492, -1, 
	492, 492, 711, -1, 272, -1, 493, 493, 
	493, 493, -1, -1, -1, -1, 493, 10, 
	10, 10, 10, 10, 493, -1, 493, 493, 
	-1, -1, -1, -1, -1, -1, 10, -1, 
	-1, 11, 11, 11, 11, 11, 11, 11, 
	11, 11, 11, 11, 11, 11, 11, 11, 
	11, -1, 11, 11, 11, 11, 11, 11, 
	11, 11, -1, -1, -1, 11, 11, 11, 
	11, 11, -1, 11, -1, 11, 11, 11, 
	11, -1, 11, -1, 11, 11, 11, -1, 
	11, 11, -1, -1, 11, 11, 11, 11, 
	11, 11, 11, 11, 215, 11, 11, 11, 
	11, 11, 11, 11, 11, 11, 604, 11, 
	11, 11, 11, -1, -1, -1, -1, -1, 
	-1, -1, 11, -1, -1, 604, -1, -1, 
	-1, -1, -1, -1, -1, 157, 157, -1, 
	11, 11, 11, -1, 11, -1, -1, 272, 
	272, -1, 272, -1, -1, -1, -1, 711, 
	711, -1, -1, -1, 417, -1, -1, -1, 
	-1, 417, 604, -1, 492, 492, 492, 492, 
	492, 492, -1, -1, 605, 605, 605, -1, 
	605, 215, -1, 215, 215, 215, 215, 215, 
	215, 711, 493, 493, 493, 493, 493, 493, 
	-1, 272, 272, 423, -1, -1, -1, 163, 
	163, -1, 274, 274, 274, 274, 274, -1, 
	417, -1, -1, 11, 11, 11, 11, -1, 
	10, 11, 11, -1, 11, 11, 11, -1, 
	-1, 274, 274, 11, 11, 11, -1, 11, 
	11, 11, -1, -1, -1, -1, 11, -1, 
	423, 274, -1, 11, 272, -1, -1, 11, 
	11, 11, -1, 11, 11, -1, -1, 11, 
	-1, -1, 377, -1, 655, 655, 655, -1, 
	655, -1, -1, 11, 682, 682, 682, -1, 
	682, -1, -1, -1, -1, -1, -1, 11, 
	11, 11, 11, 11, 11, 11, 11, -1, 
	11, 11, 11, 377, 377, 377, 377, 377, 
	377, 377, 377, 377, 377, 377, 377, 377, 
	377, 377, -1, 377, 377, 377, 377, 377, 
	377, 377, -1, -1, -1, -1, -1, -1, 
	-1, 605, 11, 11, 11, 11, 11, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	605, 11, -1, -1, 12, 12, 12, 12, 
	12, 12, 12, 12, 12, 12, 12, 12, 
	12, 12, 12, 12, -1, 12, 12, 12, 
	12, 12, 12, 12, 12, -1, -1, -1, 
	12, 12, 12, 12, 12, 605, 12, -1, 
	12, 12, 12, 12, -1, 12, -1, 12, 
	12, 12, -1, 12, 12, -1, -1, 12, 
	12, 12, 12, 12, 12, 12, 12, -1, 
	12, 12, 12, 12, 12, 12, 12, 12, 
	12, 655, 12, 12, 12, 12, -1, -1, 
	-1, 682, -1, -1, -1, 12, 274, 274, 
	655, -1, -1, -1, -1, -1, -1, -1, 
	682, -1, -1, 12, 12, 12, -1, 12, 
	-1, -1, -1, 496, 496, 496, 496, -1, 
	-1, -1, -1, 496, 270, 270, -1, 270, 
	-1, 496, -1, 496, 496, 655, 377, -1, 
	377, 377, 377, 377, 377, 682, -1, 388, 
	-1, 388, 388, 388, 388, 388, 388, 545, 
	545, 545, 545, 545, 545, 545, 545, 545, 
	545, 545, 545, -1, 485, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 270, 270, 
	-1, -1, -1, -1, -1, -1, 12, 12, 
	12, 12, -1, 11, 12, 12, -1, 12, 
	12, 12, -1, -1, -1, -1, 12, 12, 
	12, -1, 12, 12, 12, -1, -1, 545, 
	-1, 12, -1, -1, -1, -1, 12, -1, 
	-1, -1, 12, 12, 12, -1, 12, 12, 
	-1, 270, 12, -1, -1, 378, -1, -1, 
	-1, -1, -1, -1, -1, -1, 12, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 12, 12, 12, 12, 12, 12, 
	12, 12, -1, 12, 12, 12, 378, 378, 
	378, 378, 378, 378, 378, 378, 378, 378, 
	378, 378, 378, 378, 378, -1, 378, 378, 
	378, 378, 378, 378, 378, -1, -1, -1, 
	496, 496, 496, 496, 496, 12, 12, 12, 
	12, 12, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 545, 12, -1, -1, 13, 
	13, 13, 13, 13, 13, 13, 13, 13, 
	13, 13, 13, 13, 13, 13, 13, -1, 
	13, 13, 13, 13, 13, 13, 13, 13, 
	-1, -1, -1, 13, 13, 13, 13, 13, 
	-1, 13, -1, 13, 13, 13, 13, -1, 
	13, -1, 13, 13, 13, -1, 13, 13, 
	-1, -1, 13, 13, 13, 13, 13, 13, 
	13, 13, -1, 13, 13, 13, 13, 13, 
	13, 13, 13, 13, -1, 13, 13, 13, 
	13, -1, -1, -1, -1, -1, -1, -1, 
	13, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 604, 13, 13, 
	13, -1, 13, -1, -1, -1, 497, 497, 
	497, 497, -1, -1, -1, -1, 497, -1, 
	-1, -1, -1, -1, 497, -1, 497, 497, 
	-1, 378, -1, 378, 378, 378, 378, 378, 
	-1, -1, 604, -1, 492, 492, 492, 492, 
	492, 492, 546, 546, 546, 546, 546, 546, 
	546, 546, 546, 546, 546, 546, -1, -1, 
	-1, -1, 493, 493, 493, 493, 493, 493, 
	448, 448, 448, 448, 448, -1, -1, -1, 
	-1, 13, 13, 13, 13, -1, 12, 13, 
	13, -1, 13, 13, 13, -1, -1, 448, 
	448, 13, 13, 13, -1, 13, 13, 13, 
	-1, -1, 546, -1, 13, -1, -1, 448, 
	-1, 13, -1, -1, -1, 13, 13, 13, 
	-1, 13, 13, -1, -1, 13, -1, -1, 
	380, -1, -1, -1, -1, -1, -1, -1, 
	-1, 13, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 13, 13, 13, 
	13, 13, 13, 13, 13, -1, 13, 13, 
	13, 380, 380, 380, 380, 380, 380, 380, 
	380, 380, 380, 380, 380, 380, 380, 380, 
	-1, 380, 380, 380, 380, 380, 380, 380, 
	-1, -1, -1, 497, 497, 497, 497, 497, 
	13, 13, 13, 13, 13, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 546, 13, 
	-1, -1, 14, 14, 14, 14, 14, 14, 
	14, 14, 14, 14, 14, 14, 14, 14, 
	14, 14, -1, 14, 14, 14, 14, 14, 
	14, 14, 14, -1, -1, -1, 14, 14, 
	14, 14, 14, -1, 14, -1, 14, 14, 
	14, 14, -1, 14, -1, 14, 14, 14, 
	-1, 14, 14, -1, -1, 14, 14, 14, 
	14, 14, 14, 14, 14, -1, 14, 14, 
	14, 14, 14, 14, 14, 14, 14, -1, 
	14, 14, 14, 14, -1, -1, -1, -1, 
	-1, -1, -1, 14, 448, 448, -1, -1, 
	-1, -1, -1, -1, -1, -1, 274, 274, 
	655, 14, 14, 14, -1, 14, -1, -1, 
	-1, 498, 498, 498, 498, -1, -1, -1, 
	-1, 498, -1, -1, -1, -1, -1, 498, 
	-1, 498, 498, -1, 380, -1, 380, 380, 
	380, 380, 380, -1, -1, 655, -1, -1, 
	-1, -1, -1, 547, 547, 547, 547, 547, 
	547, 547, 547, 547, 547, 547, 547, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 449, 449, 449, 449, 449, 
	-1, -1, -1, -1, 14, 14, 14, 14, 
	-1, 13, 14, 14, -1, 14, 14, 14, 
	-1, -1, 449, 449, 14, 14, 14, -1, 
	14, 14, 14, 547, -1, -1, -1, 14, 
	-1, -1, 449, -1, 14, -1, -1, -1, 
	14, 14, 14, -1, 14, 14, -1, -1, 
	14, -1, -1, 381, -1, -1, -1, -1, 
	-1, -1, -1, -1, 14, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	14, 14, 14, 14, 14, 14, 14, 14, 
	-1, 14, 14, 14, 381, 381, 381, 381, 
	381, 381, 381, 381, 381, 381, 381, 381, 
	381, 381, 381, 381, 381, 381, 381, 381, 
	381, 381, 381, -1, -1, -1, 498, 498, 
	498, 498, 498, 14, 14, 14, 14, 14, 
	496, 496, 496, 496, 496, -1, -1, 547, 
	-1, -1, 14, -1, -1, 15, 15, 15, 
	15, 15, 15, 15, 15, 15, 15, 15, 
	15, 15, 15, 15, 15, -1, 15, 15, 
	15, 15, 15, 15, 15, 15, -1, -1, 
	-1, 15, 15, 15, 15, 15, -1, 15, 
	-1, 15, 15, 15, 15, -1, 15, -1, 
	15, 15, 15, -1, 15, 15, -1, -1, 
	15, 15, 15, 15, 15, 15, 15, 15, 
	-1, 15, 15, 15, 15, 15, 15, 15, 
	15, 15, -1, 15, 15, 15, 15, -1, 
	-1, -1, -1, -1, -1, -1, 15, 449, 
	449, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 15, 15, 15, -1, 
	15, -1, -1, -1, 499, 499, 499, 499, 
	-1, -1, -1, -1, 499, -1, -1, -1, 
	-1, -1, 499, -1, 499, 499, -1, 381, 
	-1, 381, 381, 381, 381, 381, -1, -1, 
	-1, -1, -1, -1, -1, -1, 548, 548, 
	548, 548, 548, 548, 548, 548, 548, 548, 
	548, 548, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 562, 562, 
	562, 562, 562, -1, -1, 562, -1, 15, 
	15, 15, 15, -1, 14, 15, 15, -1, 
	15, 15, 15, -1, -1, 562, 562, 15, 
	15, 15, -1, 15, 15, 15, 548, -1, 
	-1, -1, 15, -1, -1, 562, -1, 15, 
	-1, -1, -1, 15, 15, 15, -1, 15, 
	15, -1, -1, 15, -1, -1, 382, -1, 
	-1, -1, -1, -1, -1, -1, -1, 15, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 15, 15, 15, 15, 15, 
	15, 15, 15, -1, 15, 15, 15, 382, 
	382, 382, 382, 382, 382, 382, 382, 382, 
	382, 382, 382, 382, 382, 382, -1, 382, 
	382, 382, 382, 382, 382, 382, -1, -1, 
	-1, 499, 499, 499, 499, 499, 15, 15, 
	15, 15, 15, 497, 497, 497, 497, 497, 
	-1, -1, 548, -1, -1, 15, -1, -1, 
	16, 16, 16, 16, 16, 16, 16, 16, 
	16, 16, 16, 16, 16, 16, 16, 16, 
	562, 16, 16, 16, 16, 16, 16, 16, 
	16, -1, -1, -1, 16, 16, 16, 16, 
	16, -1, 16, -1, 16, 16, 16, 16, 
	-1, 16, -1, 16, 16, 16, -1, 16, 
	16, -1, -1, 16, 16, 16, 16, 16, 
	16, 16, 16, -1, 16, 16, 16, 16, 
	16, 16, 16, 16, 16, -1, 16, 16, 
	16, 16, -1, -1, -1, -1, -1, -1, 
	-1, 16, 562, 562, -1, -1, -1, -1, 
	-1, -1, -1, -1, 448, 448, -1, 16, 
	16, 16, -1, 16, 500, 500, 500, 500, 
	-1, -1, -1, -1, 500, -1, -1, -1, 
	-1, -1, 500, -1, 500, 500, -1, -1, 
	-1, -1, 382, -1, 382, 382, 382, 382, 
	382, -1, -1, -1, -1, -1, -1, -1, 
	-1, 549, 549, 549, 549, 549, 549, 549, 
	549, 549, 549, 549, 549, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 669, 669, 669, 669, 669, -1, -1, 
	-1, -1, 16, 16, 16, 16, -1, 15, 
	16, 16, -1, 16, 16, 16, -1, -1, 
	669, 669, 16, 16, 16, -1, 16, 16, 
	16, 549, -1, -1, -1, 16, -1, -1, 
	669, -1, 16, -1, -1, -1, 16, 16, 
	16, -1, 16, 16, -1, -1, 16, -1, 
	-1, 383, -1, -1, -1, -1, -1, -1, 
	-1, -1, 16, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 16, 16, 
	16, 16, 16, 16, 16, 16, -1, 16, 
	16, 16, 383, 383, 383, 383, 383, 383, 
	383, 383, 383, 383, 383, 383, 383, 383, 
	383, 383, 383, 383, 383, 383, 383, 383, 
	383, 500, 500, 500, 500, 500, -1, -1, 
	-1, 16, 16, 16, 16, 16, 498, 498, 
	498, 498, 498, -1, -1, 549, -1, -1, 
	16, -1, -1, 17, 17, 17, 17, 17, 
	17, 17, 17, 17, 17, 17, 17, 17, 
	17, 17, 17, -1, 17, 17, 17, 17, 
	17, 17, 17, 17, -1, -1, -1, 17, 
	17, 17, 17, 17, -1, 17, -1, 17, 
	17, 17, 17, -1, 17, -1, 17, 17, 
	17, -1, 17, 17, -1, -1, 17, 17, 
	17, 17, 17, 17, 17, 17, -1, 17, 
	17, 17, 17, 17, 17, 17, 17, 17, 
	-1, 17, 17, 17, 17, -1, -1, -1, 
	-1, -1, -1, -1, 17, 669, 669, -1, 
	-1, -1, -1, -1, -1, -1, -1, 449, 
	449, -1, 17, 17, 17, -1, 17, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 383, -1, 383, 
	383, 383, 383, 383, -1, -1, -1, -1, 
	-1, -1, -1, -1, 550, 550, 550, 550, 
	550, 550, 550, 550, 550, 550, 550, 550, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 17, 17, 17, 
	17, -1, 16, 17, 17, -1, 17, 17, 
	17, -1, -1, -1, -1, 17, 17, 17, 
	-1, 17, 17, 17, 550, -1, -1, -1, 
	17, -1, -1, -1, -1, 17, -1, -1, 
	-1, 17, 17, 17, -1, 17, 17, -1, 
	-1, 17, -1, -1, 384, -1, -1, -1, 
	-1, -1, -1, -1, -1, 17, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 17, 17, 17, 17, 17, 17, 17, 
	17, -1, 17, 17, 17, 384, 384, 384, 
	384, 384, 384, 384, 384, 384, 384, 384, 
	384, 384, 384, 384, 384, 384, 384, 384, 
	384, 384, 384, 384, 615, -1, 615, 615, 
	615, 615, -1, 615, 17, 17, 17, 17, 
	17, 499, 499, 499, 499, 499, -1, -1, 
	550, -1, -1, 17, -1, -1, 18, 18, 
	18, 18, 18, 18, 18, 18, 18, 18, 
	18, 18, 18, 18, 18, 18, 615, 18, 
	18, 18, 18, 18, 18, 18, 18, -1, 
	562, -1, 18, 18, 18, 18, 18, -1, 
	18, -1, 18, 18, 18, 18, -1, 18, 
	-1, 18, 18, 18, -1, 18, 18, -1, 
	-1, 18, 18, 18, 18, 18, 18, 18, 
	18, -1, 18, 18, 18, 18, 18, 18, 
	18, 18, 18, -1, 18, 18, 18, 18, 
	-1, -1, -1, -1, -1, -1, -1, 18, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 562, 562, -1, 18, 18, 18, 
	-1, 18, -1, -1, -1, -1, -1, -1, 
	616, -1, 616, 616, 616, 616, -1, 616, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	384, -1, 384, 384, 384, 384, 384, -1, 
	-1, -1, -1, 551, 551, 551, 551, 551, 
	551, 551, 551, 551, 551, 551, 551, -1, 
	-1, -1, 616, -1, -1, -1, -1, -1, 
	-1, -1, 615, -1, -1, -1, -1, 615, 
	-1, -1, -1, 615, 615, -1, -1, -1, 
	18, 18, 18, 18, -1, 17, 18, 18, 
	-1, 18, 18, 18, -1, -1, -1, -1, 
	18, 18, 18, 551, 18, 18, 18, -1, 
	-1, -1, -1, 18, -1, -1, -1, -1, 
	18, -1, -1, -1, 18, 18, 18, -1, 
	18, 18, -1, 615, 18, -1, -1, 389, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	18, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 18, 18, 18, 18, 
	18, 18, 18, 18, -1, 18, 18, 18, 
	389, 389, 389, 389, 389, 389, 389, 389, 
	389, 389, 389, 389, 389, 389, 389, 389, 
	389, 389, 389, 389, 389, 389, 389, -1, 
	-1, -1, -1, -1, -1, -1, -1, 18, 
	18, 18, 18, 18, -1, -1, 616, 551, 
	-1, -1, -1, 616, -1, -1, 18, 616, 
	616, 19, 19, 19, 19, 19, 19, 19, 
	19, 19, 19, 19, 19, 19, 19, 19, 
	19, -1, 19, 19, 19, 19, 19, 19, 
	19, 19, -1, -1, -1, 19, 19, 19, 
	19, 19, -1, 19, -1, 19, 19, 19, 
	19, -1, 19, -1, 19, 19, 19, 616, 
	19, 19, -1, -1, 19, 19, 19, 19, 
	19, 19, 19, 19, -1, 19, 19, 19, 
	19, 19, 19, 19, 19, 19, -1, 19, 
	19, 19, 19, -1, -1, -1, -1, -1, 
	-1, -1, 19, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 669, 669, -1, 
	19, 19, 19, -1, 19, 435, 435, 435, 
	435, 435, 435, 435, 435, 435, 435, 435, 
	435, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 389, -1, 389, 389, 389, 
	389, 389, -1, -1, -1, -1, 552, 552, 
	552, 552, 552, 552, 552, 552, 552, 552, 
	552, 552, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 435, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 19, 19, 19, 19, -1, 
	18, 19, 19, -1, 19, 19, 19, -1, 
	-1, -1, -1, 19, 19, 19, 552, 19, 
	19, 19, -1, -1, -1, -1, 19, -1, 
	-1, -1, -1, 19, -1, -1, -1, 19, 
	19, 19, -1, 19, 19, -1, -1, 19, 
	421, -1, 421, 421, 421, 421, -1, 421, 
	-1, -1, 488, 19, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 19, 
	19, 19, 19, 19, 19, 19, 19, -1, 
	19, 19, 19, -1, -1, -1, -1, -1, 
	-1, 435, 421, 488, 488, 488, 488, 488, 
	488, 488, 488, 488, 488, 488, 488, 488, 
	488, 488, -1, 488, 488, 488, 488, 488, 
	488, 488, 19, 19, 19, 19, 19, -1, 
	-1, -1, 552, -1, -1, -1, -1, -1, 
	-1, 19, -1, -1, 20, 20, 20, 20, 
	20, 20, 20, 20, 20, 20, 20, 20, 
	20, 20, 20, 20, -1, 20, 20, 20, 
	20, 20, 20, 20, 20, -1, -1, -1, 
	20, 20, 20, 20, 20, -1, 20, -1, 
	20, 20, 20, 20, -1, 20, -1, 20, 
	20, 20, -1, 20, 20, -1, -1, 20, 
	20, 20, 20, 20, 20, 20, 20, -1, 
	20, 20, 20, 20, 20, 20, 20, 20, 
	20, -1, 20, 20, 20, 20, -1, -1, 
	-1, -1, -1, -1, -1, 20, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 20, 20, 20, 421, 20, 
	-1, -1, -1, 421, -1, -1, -1, 421, 
	421, -1, -1, -1, 543, 543, 543, 543, 
	543, 543, 543, 543, 543, 543, 543, 543, 
	-1, -1, -1, -1, -1, -1, 488, -1, 
	488, 488, 488, 488, 488, 553, 553, 553, 
	553, 553, 553, 553, 553, 553, 553, 553, 
	553, -1, -1, -1, -1, -1, -1, 421, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 543, -1, 20, 20, 
	20, 20, -1, 19, 20, 20, -1, 20, 
	20, 20, -1, -1, -1, -1, 20, 20, 
	20, -1, 20, 20, 20, 553, -1, -1, 
	-1, 20, -1, -1, -1, -1, 20, -1, 
	-1, -1, 20, 20, 20, -1, 20, 20, 
	-1, -1, 20, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 20, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 20, 20, 20, 20, 20, 20, 
	20, 20, -1, 20, 20, 20, -1, -1, 
	-1, -1, -1, 486, 486, 486, 486, -1, 
	-1, -1, -1, 486, -1, -1, -1, -1, 
	543, 486, -1, 486, 486, 486, -1, -1, 
	-1, -1, -1, -1, -1, 20, 20, 20, 
	20, 20, -1, -1, -1, -1, -1, -1, 
	-1, 553, -1, -1, 20, -1, -1, 21, 
	21, 21, 21, 21, 21, 21, 21, 21, 
	21, 21, 21, 21, 21, 21, 21, -1, 
	21, 21, 21, 21, 21, 21, 21, 21, 
	-1, -1, -1, 21, 21, 21, 21, 21, 
	-1, 21, -1, 21, 21, 21, 21, -1, 
	21, -1, 21, 21, 21, -1, 21, 21, 
	486, -1, 21, 21, 21, 21, 21, 21, 
	21, 21, -1, 21, 21, 21, 21, 21, 
	21, 21, 21, 21, -1, 21, 21, 21, 
	21, -1, -1, -1, -1, -1, -1, -1, 
	21, -1, -1, 494, 494, 494, 494, -1, 
	-1, -1, -1, 494, -1, -1, 21, 21, 
	21, 494, 21, 494, 494, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 554, 
	554, 554, 554, 554, 554, 554, 554, 554, 
	554, 554, 554, -1, -1, 486, -1, 486, 
	486, 486, 486, 486, 486, -1, -1, -1, 
	664, 664, 664, 664, 664, 664, 664, 664, 
	664, 664, 664, 664, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 435, -1, 554, 
	-1, 21, 21, 21, 21, -1, 20, 21, 
	21, -1, 21, 21, 21, -1, -1, -1, 
	-1, 21, 21, 21, -1, 21, 21, 21, 
	664, -1, -1, -1, 21, -1, -1, -1, 
	-1, 21, -1, -1, -1, 21, 21, 21, 
	-1, 21, 21, -1, -1, 21, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 21, 617, -1, 617, 617, 617, 617, 
	-1, 617, -1, -1, -1, 21, 21, 21, 
	21, 21, 21, 21, 21, -1, 21, 21, 
	21, -1, -1, -1, -1, -1, -1, 494, 
	494, 494, 494, 494, 494, 495, 495, 495, 
	495, 435, -1, 554, 617, 495, -1, -1, 
	-1, -1, -1, 495, -1, 495, 495, -1, 
	21, 21, 21, 21, 21, -1, -1, -1, 
	-1, -1, -1, -1, 664, -1, -1, 21, 
	-1, -1, 22, 22, 22, 22, 22, 22, 
	22, 22, 22, 22, 22, 22, 22, 22, 
	22, 22, -1, 22, 22, 22, 22, 22, 
	22, 22, 22, -1, -1, -1, 22, 22, 
	22, 22, 22, -1, 22, -1, 22, 22, 
	22, 22, -1, 22, -1, 22, 22, 22, 
	-1, 22, 22, -1, -1, 22, 22, 22, 
	22, 22, 22, 22, 22, -1, 22, 22, 
	22, 22, 22, 22, 22, 22, 22, -1, 
	22, 22, 22, 22, -1, -1, -1, -1, 
	623, -1, -1, 22, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 22, 22, 22, -1, 22, -1, -1, 
	-1, -1, 623, 623, 623, 623, 623, -1, 
	617, -1, -1, 421, -1, 617, -1, -1, 
	421, 617, 617, -1, -1, -1, -1, -1, 
	-1, 623, 623, -1, -1, -1, -1, -1, 
	-1, 495, 495, 495, 495, 495, 495, -1, 
	-1, 623, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 421, 
	-1, 617, -1, -1, 22, 22, 22, 22, 
	-1, 21, 22, 22, 543, 22, 22, 22, 
	-1, -1, -1, -1, 22, 22, 22, -1, 
	22, 22, 22, -1, -1, -1, -1, 22, 
	-1, -1, -1, -1, 22, -1, -1, -1, 
	22, 22, 22, -1, 22, 22, -1, -1, 
	22, -1, -1, 501, -1, -1, -1, -1, 
	-1, -1, -1, -1, 22, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	22, 22, 22, 22, 22, 22, 22, 22, 
	-1, 22, 22, 22, 501, 501, 501, 501, 
	501, 501, 501, 501, 501, 501, 501, 501, 
	501, 501, 501, -1, 501, 501, 501, 501, 
	501, 501, 501, -1, 623, 623, -1, 623, 
	543, -1, -1, 22, 22, 22, 22, 22, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 22, -1, -1, 23, 23, 23, 
	23, 23, 23, 23, 23, 23, 23, 23, 
	23, 23, 23, 23, 23, -1, 23, 23, 
	23, 23, 23, 23, 23, 23, 623, 623, 
	-1, 23, 23, 23, 23, 23, -1, 23, 
	-1, 23, 23, 23, 23, -1, 23, -1, 
	23, 23, 23, -1, 23, 23, -1, -1, 
	23, 23, 23, 23, 23, 23, 23, 23, 
	486, 23, 23, 23, 23, 23, 23, 23, 
	23, 23, -1, 23, 23, 23, 23, -1, 
	-1, 623, -1, -1, -1, -1, 23, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 23, 23, 23, -1, 
	23, -1, -1, -1, -1, -1, -1, 620, 
	620, 620, 620, 620, 620, 620, 620, 620, 
	620, 620, 620, -1, -1, -1, -1, 501, 
	-1, 501, 501, 501, 501, 501, -1, -1, 
	-1, -1, -1, -1, -1, 486, -1, 486, 
	486, 486, 486, 486, 486, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 620, 
	-1, -1, -1, -1, -1, -1, -1, 23, 
	23, 23, 23, -1, 22, 23, 23, 554, 
	23, 23, 23, -1, -1, -1, -1, 23, 
	23, 23, -1, 23, 23, 23, -1, -1, 
	-1, -1, 23, -1, -1, -1, -1, 23, 
	-1, -1, -1, 23, 23, 23, -1, 23, 
	23, -1, -1, 23, 584, 584, 584, 584, 
	584, 584, 584, 584, 584, 584, -1, 23, 
	-1, -1, 584, -1, 584, 584, 584, 584, 
	584, 584, 584, 23, 23, 23, 23, 23, 
	23, 23, 23, -1, 23, 23, 23, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 620, -1, -1, -1, 494, 
	494, 494, 494, 494, 494, -1, -1, -1, 
	-1, -1, -1, 554, -1, -1, 23, 23, 
	23, 23, 23, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 23, -1, -1, 
	29, 29, 29, 29, 29, 29, 29, 29, 
	29, 29, 29, 29, 29, 29, 29, 29, 
	-1, 29, 29, 29, 29, 29, 29, 29, 
	29, -1, -1, -1, 29, 29, 29, 29, 
	29, -1, 29, -1, 29, 29, 29, 29, 
	-1, 29, -1, 29, 29, 29, -1, 29, 
	29, -1, -1, 29, 29, 29, 29, 29, 
	29, 29, 29, -1, 29, 29, 29, 29, 
	29, 29, 29, 29, 29, 502, 29, 29, 
	29, 29, -1, -1, -1, -1, -1, -1, 
	-1, 29, -1, -1, -1, -1, -1, 584, 
	-1, 584, 584, 584, 584, 584, -1, 29, 
	29, 29, -1, 29, -1, -1, 502, 502, 
	502, 502, 502, 502, 502, 502, 502, 502, 
	502, 502, 502, 502, 502, -1, 502, 502, 
	502, 502, 502, 502, 502, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 495, 495, 495, 495, 495, 495, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 29, 29, 29, 29, -1, 23, 
	29, 29, -1, 29, 29, 29, -1, -1, 
	-1, -1, 29, 29, 29, -1, 29, 29, 
	29, -1, -1, -1, -1, 29, -1, -1, 
	-1, -1, 29, -1, -1, -1, 29, 29, 
	29, -1, 29, 29, -1, -1, 29, -1, 
	-1, 503, -1, -1, -1, -1, -1, -1, 
	-1, -1, 29, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 29, 29, 
	29, 29, 29, 29, 29, 29, -1, 29, 
	29, 29, 503, 503, 503, 503, 503, 503, 
	503, 503, 503, 503, 503, 503, 503, 503, 
	503, -1, 503, 503, 503, 503, 503, 503, 
	503, 502, -1, 502, 502, 502, 502, 502, 
	-1, 29, 29, 29, 29, 29, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	29, 34, 34, 34, 34, 34, 34, 34, 
	34, 34, 34, 34, 34, 34, 34, 34, 
	34, 34, 34, 34, 34, 34, 34, 34, 
	34, 34, 34, 34, -1, 34, 34, 34, 
	34, 34, -1, 34, -1, 34, 34, 34, 
	34, -1, 34, -1, 34, 34, 34, -1, 
	34, 34, 34, 34, 34, 34, 34, 34, 
	34, 34, 34, 34, -1, 34, 34, 34, 
	34, 34, 34, 34, 34, 34, -1, 34, 
	34, 34, 34, -1, -1, -1, -1, -1, 
	-1, -1, 34, -1, -1, 34, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	34, 34, 34, 504, 34, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 503, -1, 503, 
	503, 503, 503, 503, 504, 504, 504, 504, 
	504, 504, 504, 504, 504, 504, 504, 504, 
	504, 504, 504, -1, 504, 504, 504, 504, 
	504, 504, 504, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 34, 34, 34, 34, 620, 
	-1, 34, 34, -1, 34, 34, 34, -1, 
	-1, -1, -1, 34, 34, 34, -1, 34, 
	34, 34, -1, -1, -1, -1, 34, -1, 
	-1, -1, -1, 34, -1, -1, -1, 34, 
	34, 34, -1, 34, 34, -1, 698, 34, 
	698, -1, 579, -1, -1, 698, -1, -1, 
	34, 34, 34, 34, 34, 34, 34, -1, 
	698, 698, -1, 34, 34, -1, -1, 34, 
	34, 34, 34, 34, 34, 34, 34, 698, 
	34, 34, 34, 579, 579, 579, 579, 579, 
	579, 579, 579, 579, 579, 579, 579, 579, 
	579, 579, -1, 579, 579, 579, 579, 579, 
	579, 579, 661, 620, 661, 661, 661, 661, 
	-1, 661, 34, 34, 34, 34, 34, -1, 
	-1, 662, -1, 662, 662, 662, 662, -1, 
	662, 34, -1, -1, -1, -1, -1, 504, 
	34, 504, 504, 504, 504, 504, -1, -1, 
	-1, -1, -1, -1, 661, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 662, 40, 40, 40, 40, 
	40, 40, -1, 40, 40, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 40, 40, 
	40, 40, 40, -1, -1, -1, -1, -1, 
	-1, -1, 698, 698, -1, 40, -1, -1, 
	-1, 40, -1, -1, -1, 40, 40, 40, 
	40, 40, -1, -1, -1, -1, 40, 40, 
	40, -1, -1, -1, -1, 40, 40, -1, 
	40, 40, 40, 40, 698, 698, -1, 584, 
	-1, -1, -1, 40, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 40, 40, 40, -1, 40, 579, -1, 
	579, 579, 579, 579, 579, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	661, -1, -1, -1, -1, 661, -1, -1, 
	-1, 661, 661, -1, -1, -1, -1, 662, 
	-1, -1, -1, 34, 662, -1, -1, -1, 
	662, 662, 29, 29, 29, 29, -1, -1, 
	29, 29, -1, 29, 29, 29, -1, -1, 
	-1, -1, 29, 29, 29, -1, 29, 29, 
	29, -1, -1, -1, -1, 29, -1, -1, 
	-1, 661, 29, -1, -1, -1, 29, 29, 
	29, -1, 29, 29, -1, -1, 29, -1, 
	662, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 29, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 29, 29, 
	29, 29, 29, 29, 29, 29, -1, 29, 
	29, 29, -1, 40, 40, 40, 40, 40, 
	-1, 40, 40, 40, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 29, 29, 29, 29, -1, -1, -1, 
	-1, -1, -1, 40, 40, 40, 40, 40, 
	29, 35, 35, 35, 35, 35, 35, 35, 
	35, 35, 35, 35, 35, 35, 35, 35, 
	35, 35, 35, 35, 35, 35, 35, 35, 
	35, 35, 35, 35, -1, 35, 35, 35, 
	35, 35, -1, 35, -1, 35, 35, 35, 
	35, -1, 35, -1, 35, 35, 35, -1, 
	35, 35, 35, 35, 35, 35, 35, 35, 
	35, 35, 35, 35, -1, 35, 35, 35, 
	35, 35, 35, 35, 35, 35, 580, 35, 
	35, 35, 35, -1, -1, -1, -1, -1, 
	-1, -1, 35, -1, -1, 35, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	35, 35, 35, -1, 35, -1, -1, 580, 
	580, 580, 580, 580, 580, 580, 580, 580, 
	580, 580, 580, 580, 580, 580, -1, 580, 
	580, 580, 580, 580, 580, 580, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 35, 35, 35, 35, -1, 
	-1, 35, 35, -1, 35, 35, 35, -1, 
	-1, -1, -1, 35, 35, 35, -1, 35, 
	35, 35, -1, -1, -1, -1, 35, -1, 
	-1, -1, -1, 35, -1, -1, -1, 35, 
	35, 35, -1, 35, 35, -1, -1, 35, 
	-1, -1, 583, -1, -1, -1, -1, -1, 
	35, 35, 35, 35, 35, 35, 35, -1, 
	-1, -1, -1, 35, 35, -1, -1, 35, 
	35, 35, 35, 35, 35, 35, 35, -1, 
	35, 35, 35, 583, 583, 583, 583, 583, 
	583, 583, 583, 583, 583, 583, 583, 583, 
	583, 583, -1, 583, 583, 583, 583, 583, 
	583, 583, 580, -1, 580, 580, 580, 580, 
	580, -1, 35, 35, 35, 35, 35, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 35, -1, -1, -1, -1, -1, -1, 
	35, -1, 36, 36, 36, 36, 36, 36, 
	36, 36, 36, 36, 36, 36, 36, 36, 
	36, 36, 36, 36, 36, 36, 36, 36, 
	36, 36, 36, 36, 36, -1, 36, 36, 
	36, 36, 36, -1, 36, -1, 36, 36, 
	36, 36, -1, 36, -1, 36, 36, 36, 
	-1, 36, 36, 36, 36, 36, 36, 36, 
	36, 36, 36, 36, 36, -1, 36, 36, 
	36, 36, 36, 36, 36, 36, 36, -1, 
	36, 36, 36, 36, -1, -1, -1, -1, 
	-1, -1, -1, 36, -1, -1, 36, -1, 
	-1, 36, -1, -1, -1, 698, -1, -1, 
	-1, 36, 36, 36, -1, 36, -1, -1, 
	-1, -1, -1, -1, 697, -1, 697, -1, 
	-1, -1, -1, 697, -1, -1, 583, 697, 
	583, 583, 583, 583, 583, -1, 697, 697, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 697, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 35, 36, 36, 36, 36, 
	-1, -1, 36, 36, -1, 36, 36, 36, 
	-1, -1, -1, -1, 36, 36, 36, -1, 
	36, 36, 36, -1, -1, -1, -1, 36, 
	-1, -1, -1, -1, 36, -1, -1, -1, 
	36, 36, 36, -1, 36, 36, -1, -1, 
	36, -1, -1, -1, -1, -1, -1, -1, 
	-1, 36, 36, 36, 36, 36, 36, 36, 
	-1, -1, -1, -1, 36, 36, -1, 36, 
	36, 36, 36, 36, 36, 36, 36, 36, 
	-1, 36, 36, 36, -1, -1, -1, -1, 
	697, 697, -1, 40, 40, 40, 40, 40, 
	-1, 40, 40, 40, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 36, 36, 36, 36, 36, 
	-1, -1, 697, 697, -1, -1, -1, -1, 
	-1, -1, 36, 40, 40, 40, 40, -1, 
	-1, 36, -1, 41, 41, 41, 41, 41, 
	41, 41, 41, 41, 41, 41, 41, 41, 
	41, 41, 41, 41, 41, 41, 41, 41, 
	41, 41, 41, 41, 41, 41, -1, 41, 
	41, 41, 41, 41, -1, 41, -1, 41, 
	41, 41, 41, -1, 41, -1, 41, 41, 
	41, -1, 41, 41, 41, 41, 41, 41, 
	41, 41, 41, 41, 41, 41, -1, 41, 
	41, 41, 41, 41, 41, 41, 41, 41, 
	41, 41, 41, 41, 41, 41, -1, 41, 
	-1, -1, -1, -1, 41, 41, 41, 41, 
	41, -1, 41, 41, 41, 41, 41, 41, 
	41, 41, 41, 41, 41, 41, 41, 41, 
	41, 41, 41, -1, -1, -1, -1, -1, 
	41, -1, -1, -1, -1, -1, 585, 585, 
	585, 585, 585, 585, 585, 585, 585, 585, 
	-1, -1, -1, -1, 585, -1, 585, 585, 
	585, 585, 585, 585, 585, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 36, 41, 41, 41, 
	41, -1, -1, 41, 41, 41, 41, 41, 
	41, -1, -1, -1, -1, 41, 41, 41, 
	41, 41, 41, 41, -1, -1, -1, -1, 
	41, -1, -1, -1, -1, 41, 41, -1, 
	-1, 41, 41, 41, -1, 41, 41, -1, 
	-1, 41, -1, -1, -1, -1, -1, -1, 
	-1, -1, 41, 41, 41, 41, 41, 41, 
	41, -1, -1, -1, 41, 41, 41, -1, 
	-1, 41, 41, 41, 41, 41, 41, 41, 
	41, -1, 41, 41, 41, -1, -1, -1, 
	41, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 41, 41, 41, -1, -1, 
	41, -1, -1, -1, -1, 41, -1, -1, 
	-1, -1, 41, -1, 41, 41, 41, 41, 
	41, 585, -1, 585, 585, 585, 585, 585, 
	-1, -1, -1, 41, -1, 41, -1, -1, 
	41, -1, 41, 41, -1, -1, -1, 41, 
	-1, 41, -1, 41, 43, 43, 43, 43, 
	43, 43, -1, 43, 43, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 43, 43, 
	43, 43, 43, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 43, -1, -1, 
	-1, 43, -1, -1, -1, 43, 43, 43, 
	43, 43, -1, -1, -1, -1, 43, 43, 
	43, -1, -1, -1, -1, 43, 43, -1, 
	43, 43, 43, 43, -1, -1, -1, -1, 
	-1, -1, -1, 43, -1, -1, 586, 586, 
	586, 586, 586, 586, 586, 586, 586, 586, 
	-1, 43, 43, 43, 586, 43, 586, 586, 
	586, 586, 586, 586, 586, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 44, 
	44, 44, 44, 44, 44, 44, 44, 44, 
	44, 44, 44, 44, 44, 44, 44, 44, 
	44, 44, 44, 44, 44, 44, 44, 44, 
	44, 44, -1, 44, 44, 44, 44, 44, 
	-1, 44, -1, 44, 44, 44, 44, -1, 
	44, -1, 44, 44, 44, 41, 44, 44, 
	44, 44, 44, 44, 44, 44, 44, 44, 
	44, 44, -1, 44, 44, 44, 44, 44, 
	44, 44, 44, 44, -1, 44, 44, 44, 
	44, -1, -1, -1, -1, -1, -1, -1, 
	44, -1, -1, 44, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 44, 44, 
	44, -1, 44, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 36, 
	-1, -1, -1, 43, 43, 43, 43, 43, 
	-1, 43, 43, 43, -1, -1, -1, -1, 
	-1, 586, -1, 586, 586, 586, 586, 586, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 43, 43, 43, 43, 43, 
	-1, -1, -1, 697, -1, -1, -1, -1, 
	-1, 44, 44, 44, 44, -1, -1, 44, 
	44, -1, 44, 44, 44, -1, -1, -1, 
	-1, 44, 44, 44, -1, 44, 44, 44, 
	-1, -1, -1, -1, 44, -1, -1, -1, 
	-1, 44, -1, -1, -1, 44, 44, 44, 
	-1, 44, 44, -1, -1, 44, -1, -1, 
	-1, -1, -1, -1, -1, -1, 44, 44, 
	44, 44, 44, 44, 44, -1, -1, -1, 
	-1, 44, 44, -1, -1, 44, 44, 44, 
	44, 44, 44, 44, 44, -1, 44, 44, 
	44, 587, 587, 587, 587, 587, 587, 587, 
	587, 587, 587, -1, -1, -1, -1, 587, 
	-1, 587, 587, 587, 587, 587, 587, 587, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	44, 44, 44, 44, 44, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 44, 
	-1, -1, -1, -1, -1, -1, 44, -1, 
	45, 45, 45, 45, 45, 45, 45, 45, 
	45, 45, 45, 45, 45, 45, 45, 45, 
	45, 45, 45, 45, 45, 45, 45, 45, 
	45, 45, 45, -1, 45, 45, 45, 45, 
	45, -1, 45, -1, 45, 45, 45, 45, 
	-1, 45, -1, 45, 45, 45, -1, 45, 
	45, 45, 45, 45, 45, 45, 45, 45, 
	45, 45, 45, -1, 45, 45, 45, 45, 
	45, 45, 45, 45, 45, -1, 45, 45, 
	45, 45, -1, -1, -1, -1, -1, -1, 
	-1, 45, -1, -1, 45, -1, -1, -1, 
	-1, -1, -1, 588, -1, -1, -1, 45, 
	45, 45, -1, 45, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 587, -1, 587, 587, 
	587, 587, 587, -1, 588, 588, 588, 588, 
	588, 588, 588, 588, 588, 588, 588, 588, 
	588, 588, 588, -1, 588, 588, 588, 588, 
	588, 588, 588, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 585, -1, -1, -1, -1, -1, -1, 
	-1, 44, 45, 45, 45, 45, -1, -1, 
	45, 45, -1, 45, 45, 45, -1, -1, 
	-1, -1, 45, 45, 45, -1, 45, 45, 
	45, -1, -1, -1, -1, 45, -1, -1, 
	-1, -1, 45, -1, -1, -1, 45, 45, 
	45, -1, 45, 45, -1, -1, 45, -1, 
	-1, -1, -1, -1, -1, -1, -1, 45, 
	45, 45, 45, 45, 45, 45, -1, -1, 
	-1, -1, 45, 45, -1, -1, 45, 45, 
	45, 45, 45, 45, 45, 45, -1, 45, 
	45, 45, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 45, 45, 45, 45, 45, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 588, 
	45, 588, 588, 588, 588, 588, -1, 45, 
	-1, 59, 59, 59, 59, 59, 59, 59, 
	59, 59, 59, 59, 59, 59, 59, 59, 
	59, 59, 59, 59, 59, 59, 59, 59, 
	59, 59, 59, 59, -1, 59, 59, 59, 
	59, 59, -1, 59, -1, 59, 59, 59, 
	59, -1, 59, -1, 59, 59, 59, -1, 
	59, 59, 59, 59, 59, 59, 59, 59, 
	59, 59, 59, 59, -1, 59, 59, 59, 
	59, 59, 59, 59, 59, 59, -1, 59, 
	59, 59, 59, -1, -1, -1, -1, -1, 
	-1, -1, 59, -1, -1, 59, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	59, 59, 59, -1, 59, -1, -1, 59, 
	59, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 43, 43, 43, 43, 43, 
	-1, 43, 43, 43, -1, -1, -1, -1, 
	-1, 586, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 43, 43, 43, 43, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 45, 59, 59, 59, 59, -1, 
	-1, 59, 59, -1, 59, 59, 59, -1, 
	-1, -1, -1, 59, 59, 59, -1, 59, 
	59, 59, -1, -1, -1, -1, 59, -1, 
	-1, -1, -1, 59, -1, -1, -1, 59, 
	59, 59, -1, 59, 59, -1, -1, 59, 
	-1, -1, 589, -1, -1, -1, -1, -1, 
	59, 59, 59, 59, 59, 59, 59, -1, 
	-1, -1, -1, 59, 59, -1, -1, 59, 
	59, 59, 59, 59, 59, 59, 59, -1, 
	59, 59, 59, 589, 589, 589, 589, 589, 
	589, 589, 589, 589, 589, 589, 589, 589, 
	589, 589, -1, 589, 589, 589, 589, 589, 
	589, 589, -1, -1, -1, -1, -1, -1, 
	-1, -1, 59, 59, 59, 59, 59, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 59, -1, -1, -1, -1, -1, -1, 
	59, -1, 65, 65, 65, 65, 65, 65, 
	65, 65, 65, 65, 65, 65, 65, 65, 
	65, 65, 65, 65, 65, 65, 65, 65, 
	65, 65, 65, 65, 65, -1, 65, 65, 
	65, 65, 65, -1, 65, -1, 65, 65, 
	65, 65, -1, 65, -1, 65, 65, 65, 
	-1, 65, 65, 65, 65, 65, 65, 65, 
	65, 65, 65, 65, 65, -1, 65, 65, 
	65, 65, 65, 65, 65, 65, 65, 65, 
	65, 65, 65, 65, 65, -1, -1, -1, 
	-1, -1, -1, 65, 65, 65, 65, -1, 
	-1, -1, 65, 65, 65, 65, 65, 65, 
	65, 65, 65, 65, 65, 65, -1, -1, 
	65, 65, -1, -1, -1, -1, -1, 65, 
	-1, -1, -1, -1, 587, -1, 589, -1, 
	589, 589, 589, 589, 589, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 59, 65, 65, 65, 65, 
	-1, -1, 65, 65, 65, 65, 65, 65, 
	-1, -1, -1, -1, 65, 65, 65, 65, 
	65, 65, 65, -1, -1, -1, -1, 65, 
	-1, -1, -1, -1, 65, 65, -1, -1, 
	65, 65, 65, -1, 65, 65, -1, -1, 
	65, -1, -1, -1, -1, -1, -1, -1, 
	-1, 65, 65, 65, 65, 65, 65, 65, 
	-1, -1, -1, 65, 65, 65, -1, -1, 
	65, 65, 65, 65, 65, 65, 65, 65, 
	-1, 65, 65, 65, -1, -1, -1, 65, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 65, 65, 65, -1, -1, 65, 
	-1, -1, -1, -1, 65, -1, -1, -1, 
	-1, 65, -1, 65, 65, 65, 65, 65, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 65, -1, 65, -1, -1, 65, 
	-1, 65, 65, -1, -1, -1, 65, -1, 
	65, -1, 65, 66, 66, 66, 66, 66, 
	66, 66, 66, 66, 66, 66, 66, 66, 
	66, 66, 66, 66, 66, 66, 66, 66, 
	66, 66, 66, 66, 66, 66, -1, 66, 
	66, 66, 66, 66, -1, 66, -1, 66, 
	66, 66, 66, -1, 66, -1, 66, 66, 
	66, -1, 66, 66, 66, 66, 66, 66, 
	66, 66, 66, 66, 66, 66, -1, 66, 
	66, 66, 66, 66, 66, 66, 66, 66, 
	66, 66, 66, 66, 66, 66, -1, -1, 
	-1, -1, -1, -1, 66, 66, 66, 66, 
	590, -1, -1, 66, 66, 66, 66, 66, 
	66, 66, 66, 66, 66, 66, 66, 66, 
	66, 66, 66, -1, -1, -1, -1, -1, 
	66, -1, -1, -1, -1, -1, -1, -1, 
	-1, 590, 590, 590, 590, 590, 590, 590, 
	590, 590, 590, 590, 590, 590, 590, 590, 
	-1, 590, 590, 590, 590, 590, 590, 590, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 65, -1, -1, -1, 
	-1, -1, -1, -1, -1, 66, 66, 66, 
	66, -1, -1, 66, 66, 66, 66, 66, 
	66, -1, -1, -1, -1, 66, 66, 66, 
	66, 66, 66, 66, -1, -1, -1, -1, 
	66, -1, -1, -1, -1, 66, 66, -1, 
	-1, 66, 66, 66, -1, 66, 66, -1, 
	-1, 66, -1, -1, -1, -1, -1, -1, 
	-1, -1, 66, 66, 66, 66, 66, 66, 
	66, -1, -1, -1, 66, 66, 66, -1, 
	-1, 66, 66, 66, 66, 66, 66, 66, 
	66, -1, 66, 66, 66, -1, -1, -1, 
	66, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 66, 66, 66, -1, -1, 
	66, -1, -1, -1, -1, 66, -1, -1, 
	-1, -1, 66, -1, 66, 66, 66, 66, 
	66, -1, -1, -1, 590, -1, 590, 590, 
	590, 590, 590, 66, -1, 66, -1, -1, 
	66, -1, 66, 66, -1, -1, -1, 66, 
	-1, 66, -1, 66, 67, 67, 67, 67, 
	67, 67, 67, 67, 67, 67, 67, 67, 
	67, 67, 67, 67, 67, 67, 67, 67, 
	67, 67, 67, 67, 67, 67, 67, -1, 
	67, 67, 67, 67, 67, -1, 67, -1, 
	67, 67, 67, 67, -1, 67, -1, 67, 
	67, 67, -1, 67, 67, 67, 67, 67, 
	67, 67, 67, 67, 67, 67, 67, -1, 
	67, 67, 67, 67, 67, 67, 67, 67, 
	67, 67, 67, 67, 67, 67, 67, -1, 
	67, -1, -1, -1, -1, 67, 67, 67, 
	67, 67, -1, -1, 67, 67, 67, 67, 
	67, 67, 67, 67, 67, 67, 67, 67, 
	67, 67, 67, 67, -1, -1, -1, -1, 
	-1, 67, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 66, -1, -1, 
	-1, -1, -1, -1, -1, -1, 67, 67, 
	67, 67, -1, -1, 67, 67, 67, 67, 
	67, 67, -1, -1, -1, -1, 67, 67, 
	67, 67, 67, 67, 67, -1, -1, -1, 
	-1, 67, -1, -1, -1, -1, 67, 67, 
	-1, -1, 67, 67, 67, -1, 67, 67, 
	-1, -1, 67, -1, -1, -1, -1, -1, 
	-1, -1, -1, 67, 67, 67, 67, 67, 
	67, 67, -1, -1, -1, 67, 67, 67, 
	-1, -1, 67, 67, 67, 67, 67, 67, 
	67, 67, -1, 67, 67, 67, -1, -1, 
	-1, 67, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 67, 67, 67, -1, 
	-1, 67, -1, -1, -1, -1, 67, -1, 
	-1, -1, -1, 67, -1, 67, 67, 67, 
	67, 67, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 67, -1, 67, -1, 
	-1, 67, -1, 67, 67, -1, -1, -1, 
	67, -1, 67, -1, 67, 68, 68, 68, 
	68, 68, 68, 68, 68, 68, 68, 68, 
	68, 68, 68, 68, 68, 68, 68, 68, 
	68, 68, 68, 68, 68, 68, 68, 68, 
	-1, 68, 68, 68, 68, 68, -1, 68, 
	-1, 68, 68, 68, 68, -1, 68, -1, 
	68, 68, 68, -1, 68, 68, 68, 68, 
	68, 68, 68, 68, 68, 68, 68, 68, 
	-1, 68, 68, 68, 68, 68, 68, 68, 
	68, 68, 68, 68, 68, 68, 68, 68, 
	-1, 68, -1, -1, -1, -1, 68, 68, 
	68, 68, 68, -1, -1, 68, 68, 68, 
	68, 68, 68, 68, 68, 68, 68, 68, 
	68, 68, 68, 68, 68, -1, -1, -1, 
	-1, -1, 68, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 67, -1, 
	-1, -1, -1, -1, -1, -1, -1, 68, 
	68, 68, 68, -1, -1, 68, 68, 68, 
	68, 68, 68, -1, -1, -1, -1, 68, 
	68, 68, 68, 68, 68, 68, -1, -1, 
	-1, -1, 68, -1, -1, -1, -1, 68, 
	68, -1, -1, 68, 68, 68, -1, 68, 
	68, -1, -1, 68, -1, -1, -1, -1, 
	-1, -1, -1, -1, 68, 68, 68, 68, 
	68, 68, 68, -1, -1, -1, 68, 68, 
	68, -1, -1, 68, 68, 68, 68, 68, 
	68, 68, 68, -1, 68, 68, 68, -1, 
	-1, -1, 68, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 68, 68, 68, 
	-1, -1, 68, -1, -1, -1, -1, 68, 
	-1, -1, -1, -1, 68, -1, 68, 68, 
	68, 68, 68, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 68, -1, 68, 
	-1, -1, 68, -1, 68, 68, -1, -1, 
	-1, 68, -1, 68, -1, 68, 69, 69, 
	69, 69, 69, 69, -1, 69, 69, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	69, 69, 69, 69, 69, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 69, 
	-1, -1, -1, 69, -1, -1, -1, 69, 
	69, 69, 69, 69, -1, -1, -1, -1, 
	69, 69, 69, -1, -1, -1, -1, 69, 
	69, -1, 69, 69, 69, 69, -1, 70, 
	70, 70, 70, 70, 70, 69, 70, 70, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 70, 70, 70, 70, 70, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	70, -1, -1, -1, 70, -1, -1, -1, 
	70, 70, 70, 70, 70, -1, -1, -1, 
	-1, 70, 70, 70, -1, -1, -1, -1, 
	70, 70, -1, 70, 70, 70, 70, -1, 
	-1, -1, -1, -1, -1, -1, 70, 71, 
	71, 71, 71, 71, 71, -1, 71, 71, 
	-1, -1, -1, -1, -1, 70, -1, -1, 
	-1, 71, 71, 71, 71, 71, -1, 68, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	71, -1, -1, -1, 71, -1, 591, -1, 
	71, 71, 71, 71, 71, -1, -1, -1, 
	-1, 71, 71, 71, -1, -1, -1, -1, 
	71, 71, -1, 71, 71, 71, 71, -1, 
	-1, -1, -1, -1, -1, -1, 71, 591, 
	591, 591, 591, 591, 591, 591, 591, 591, 
	591, 591, 591, 591, 591, 591, -1, 591, 
	591, 591, 591, 591, 591, 591, -1, -1, 
	-1, -1, -1, 69, 69, 69, -1, -1, 
	-1, -1, -1, -1, -1, -1, 72, 72, 
	72, 72, 72, 72, -1, 72, 72, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	72, 72, 72, 72, 72, 69, 69, 69, 
	69, 69, -1, -1, -1, -1, -1, 72, 
	-1, -1, -1, 72, -1, -1, -1, 72, 
	72, 72, 72, 72, -1, -1, -1, -1, 
	72, 72, 72, -1, 70, 70, 70, 72, 
	72, -1, 72, 72, 72, 72, -1, -1, 
	-1, -1, -1, -1, -1, 72, -1, -1, 
	-1, -1, -1, 619, -1, 619, 619, 619, 
	619, -1, 619, -1, -1, -1, 70, 70, 
	70, 70, 70, -1, -1, 619, 619, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 619, -1, -1, -1, 
	-1, -1, -1, -1, -1, 619, -1, -1, 
	-1, -1, -1, -1, 71, 71, 71, -1, 
	-1, -1, 591, -1, 591, 591, 591, 591, 
	591, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 71, 71, 
	71, 71, 71, 78, 78, 78, 78, 78, 
	78, -1, 78, 78, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 78, 78, 78, 
	78, 78, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 78, -1, -1, -1, 
	78, -1, -1, -1, 78, 78, 78, 78, 
	78, -1, -1, -1, -1, 78, 78, 78, 
	-1, -1, -1, -1, 78, 78, -1, 78, 
	78, 78, 78, -1, -1, -1, -1, -1, 
	-1, -1, 78, 72, 72, 72, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	78, 78, 78, -1, 78, -1, -1, -1, 
	-1, 619, 619, -1, -1, -1, 619, -1, 
	-1, -1, 619, 619, -1, 72, 72, 72, 
	72, 72, 73, 73, 73, 73, 73, 73, 
	73, 73, 73, 73, 73, 73, 73, 73, 
	73, 73, 73, 73, 73, 73, 73, 73, 
	73, 73, 73, 73, 73, -1, 73, 73, 
	73, 73, 73, -1, 73, -1, 73, 73, 
	73, 73, 619, 73, -1, 73, 73, 73, 
	-1, 73, 73, 73, 73, 73, 73, 73, 
	73, 73, 73, 73, 73, -1, 73, 73, 
	73, 73, 73, 73, 73, 73, 73, 73, 
	73, 73, 73, 73, 73, -1, 73, -1, 
	-1, -1, -1, 73, 73, 73, 73, 73, 
	-1, -1, 73, 73, 73, 73, 73, 73, 
	73, 73, 73, 73, 73, 73, 73, 73, 
	73, 73, -1, -1, -1, -1, -1, 73, 
	-1, -1, -1, -1, -1, -1, -1, 688, 
	-1, -1, 78, 78, 78, 78, 78, -1, 
	78, 78, 78, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 688, 688, 688, 688, 688, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 78, 78, 78, 78, 78, -1, 
	688, 688, -1, -1, 73, 73, 73, 73, 
	-1, -1, 73, 73, 73, 73, 73, 73, 
	688, -1, -1, -1, 73, 73, 73, 73, 
	73, 73, 73, -1, -1, -1, -1, 73, 
	-1, -1, -1, -1, 73, 73, -1, -1, 
	73, 73, 73, -1, 73, 73, -1, -1, 
	73, -1, -1, -1, -1, -1, -1, -1, 
	-1, 73, 73, 73, 73, 73, 73, 73, 
	-1, -1, -1, 73, 73, 73, -1, -1, 
	73, 73, 73, 73, 73, 73, 73, 73, 
	-1, 73, 73, 73, -1, -1, -1, 73, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 73, 73, 73, -1, -1, 73, 
	-1, -1, -1, -1, 73, -1, -1, -1, 
	-1, 73, -1, 73, 73, 73, 73, 73, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 73, -1, 73, -1, -1, 73, 
	-1, 73, 73, -1, -1, -1, 73, -1, 
	73, -1, 73, 688, 688, -1, 688, -1, 
	-1, -1, -1, 69, 69, 69, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 69, 69, 69, 
	69, -1, -1, -1, -1, 688, 688, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 70, 70, 70, -1, 
	-1, 594, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	688, -1, -1, -1, -1, -1, 70, 70, 
	70, 70, 594, 594, 594, 594, 594, 594, 
	594, 594, 594, 594, 594, 594, 594, 594, 
	594, -1, 594, 594, 594, 594, 594, 594, 
	594, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 71, 71, 71, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 73, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 71, 71, 
	71, 71, -1, -1, -1, -1, -1, 179, 
	179, 179, 179, 179, 179, -1, 179, 179, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 179, 179, 179, 179, 179, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	179, -1, -1, -1, 179, -1, -1, -1, 
	179, 179, 179, 179, 179, -1, -1, -1, 
	-1, 179, 179, 179, -1, -1, -1, -1, 
	179, 179, -1, 179, 179, 179, 179, -1, 
	-1, -1, -1, 72, 72, 72, 179, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 619, -1, -1, 594, -1, 594, 
	594, 594, 594, 594, -1, 72, 72, 72, 
	72, 74, 74, 74, 74, 74, 74, 74, 
	74, 74, 74, 74, 74, 74, 74, 74, 
	74, 74, 74, 74, 74, 74, 74, 74, 
	74, 74, 74, 74, -1, 74, 74, 74, 
	74, 74, -1, 74, -1, 74, 74, 74, 
	74, -1, 74, -1, 74, 74, 74, -1, 
	74, 74, 74, 74, 74, 74, 74, 74, 
	74, 74, 74, 74, -1, 74, 74, 74, 
	74, 74, 74, 74, 74, 74, 74, 74, 
	74, 74, 74, 74, -1, 74, -1, -1, 
	-1, -1, 74, 74, 74, 74, 74, -1, 
	-1, 74, 74, 74, 74, 74, 74, 74, 
	74, 74, 74, 74, 74, 74, 74, 74, 
	74, -1, -1, -1, -1, -1, 74, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 78, 78, 78, 78, 78, -1, 
	78, 78, 78, -1, 179, 179, 179, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 78, 78, 78, 78, 179, 179, 
	179, 179, 179, 74, 74, 74, 74, -1, 
	-1, 74, 74, 74, 74, 74, 74, -1, 
	-1, -1, -1, 74, 74, 74, 74, 74, 
	74, 74, -1, -1, -1, -1, 74, -1, 
	-1, -1, -1, 74, 74, -1, -1, 74, 
	74, 74, -1, 74, 74, -1, -1, 74, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	74, 74, 74, 74, 74, 74, 74, -1, 
	-1, -1, 74, 74, 74, -1, -1, 74, 
	74, 74, 74, 74, 74, 74, 74, -1, 
	74, 74, 74, -1, -1, -1, 74, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 74, 74, 74, -1, -1, 74, -1, 
	-1, -1, -1, 74, -1, -1, -1, -1, 
	74, -1, 74, 74, 74, 74, 74, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 74, -1, 74, -1, -1, 74, -1, 
	74, 74, -1, -1, -1, 74, -1, 74, 
	-1, 74, 75, 75, 75, 75, 75, 75, 
	75, 75, 75, 75, 75, 75, 75, 75, 
	75, 75, 75, 75, 75, 75, 75, 75, 
	75, 75, 75, 75, 75, -1, 75, 75, 
	75, 75, 75, -1, 75, -1, 75, 75, 
	75, 75, -1, 75, -1, 75, 75, 75, 
	-1, 75, 75, 75, 75, 75, 75, 75, 
	75, 75, 75, 75, 75, -1, 75, 75, 
	75, 75, 75, 75, 75, 75, 75, 75, 
	75, 75, 75, 75, 75, -1, 75, -1, 
	-1, -1, -1, 75, 75, 75, 75, 75, 
	-1, -1, 75, 75, 75, 75, 75, 75, 
	75, 75, 75, 75, 75, 75, 75, 75, 
	75, 75, -1, -1, -1, -1, -1, 75, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 74, -1, -1, -1, -1, 
	-1, -1, -1, -1, 75, 75, 75, 75, 
	-1, -1, 75, 75, 75, 75, 75, 75, 
	-1, -1, -1, -1, 75, 75, 75, 75, 
	75, 75, 75, -1, -1, -1, -1, 75, 
	-1, -1, -1, -1, 75, 75, -1, -1, 
	75, 75, 75, -1, 75, 75, -1, -1, 
	75, -1, -1, -1, -1, -1, -1, -1, 
	-1, 75, 75, 75, 75, 75, 75, 75, 
	-1, -1, -1, 75, 75, 75, -1, -1, 
	75, 75, 75, 75, 75, 75, 75, 75, 
	-1, 75, 75, 75, -1, -1, -1, 75, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 75, 75, 75, -1, -1, 75, 
	-1, -1, -1, -1, 75, -1, -1, -1, 
	-1, 75, -1, 75, 75, 75, 75, 75, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 75, -1, 75, -1, -1, 75, 
	-1, 75, 75, -1, -1, -1, 75, -1, 
	75, -1, 75, 76, 76, 76, 76, 76, 
	76, 76, 76, 76, 76, 76, 76, 76, 
	76, 76, 76, 76, 76, 76, 76, 76, 
	76, 76, 76, 76, 76, 76, -1, 76, 
	76, 76, 76, 76, -1, 76, -1, 76, 
	76, 76, 76, -1, 76, -1, 76, 76, 
	76, -1, 76, 76, 76, 76, 76, 76, 
	76, 76, 76, 76, 76, 76, -1, 76, 
	76, 76, 76, 76, 76, 76, 76, 76, 
	76, 76, 76, 76, 76, 76, -1, 76, 
	-1, -1, -1, -1, 76, 76, 76, 76, 
	76, -1, -1, 76, 76, 76, 76, 76, 
	76, 76, 76, 76, 76, 76, 76, 76, 
	76, 76, 76, -1, -1, -1, -1, -1, 
	76, -1, -1, -1, 179, 179, 179, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 179, 179, 
	179, 179, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 75, -1, -1, -1, 
	-1, -1, -1, -1, -1, 76, 76, 76, 
	76, -1, -1, 76, 76, 76, 76, 76, 
	76, -1, -1, -1, -1, 76, 76, 76, 
	76, 76, 76, 76, -1, -1, -1, -1, 
	76, -1, -1, -1, -1, 76, 76, -1, 
	-1, 76, 76, 76, -1, 76, 76, -1, 
	-1, 76, -1, -1, -1, -1, -1, -1, 
	-1, -1, 76, 76, 76, 76, 76, 76, 
	76, -1, -1, -1, 76, 76, 76, -1, 
	-1, 76, 76, 76, 76, 76, 76, 76, 
	76, -1, 76, 76, 76, -1, -1, -1, 
	76, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 76, 76, 76, -1, -1, 
	76, -1, -1, -1, -1, 76, -1, -1, 
	-1, -1, 76, -1, 76, 76, 76, 76, 
	76, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 76, -1, 76, -1, -1, 
	76, -1, 76, 76, -1, -1, -1, 76, 
	-1, 76, -1, 76, 77, 77, 77, 77, 
	77, 77, 77, 77, 77, 77, 77, 77, 
	77, 77, 77, 77, 77, 77, 77, 77, 
	77, 77, 77, 77, 77, 77, 77, -1, 
	77, 77, 77, 77, 77, -1, 77, -1, 
	77, 77, 77, 77, -1, 77, -1, 77, 
	77, 77, -1, 77, 77, 77, 77, 77, 
	77, 77, 77, 77, 77, 77, 77, -1, 
	77, 77, 77, 77, 77, 77, 77, 77, 
	77, 77, 77, 77, 77, 77, 77, -1, 
	77, -1, -1, -1, -1, 77, 77, 77, 
	77, 77, -1, -1, 77, 77, 77, 77, 
	77, 77, 77, 77, 77, 77, 77, 77, 
	77, 77, 77, 77, -1, -1, -1, -1, 
	-1, 77, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 76, -1, -1, 
	-1, -1, -1, -1, -1, -1, 77, 77, 
	77, 77, -1, -1, 77, 77, 77, 77, 
	77, 77, -1, -1, -1, -1, 77, 77, 
	77, 77, 77, 77, 77, -1, -1, -1, 
	-1, 77, -1, -1, -1, -1, 77, 77, 
	-1, -1, 77, 77, 77, -1, 77, 77, 
	-1, -1, 77, -1, -1, -1, -1, -1, 
	-1, -1, -1, 77, 77, 77, 77, 77, 
	77, 77, -1, -1, -1, 77, 77, 77, 
	-1, -1, 77, 77, 77, 77, 77, 77, 
	77, 77, -1, 77, 77, 77, -1, -1, 
	-1, 77, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 77, 77, 77, -1, 
	-1, 77, -1, -1, -1, -1, 77, -1, 
	-1, -1, -1, 77, -1, 77, 77, 77, 
	77, 77, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 77, -1, 77, -1, 
	-1, 77, -1, 77, 77, -1, -1, -1, 
	77, -1, 77, -1, 77, 87, 87, 87, 
	87, 87, 87, 87, 87, 87, 87, 87, 
	87, 87, 87, 87, 87, 87, 87, 87, 
	87, 87, 87, 87, 87, 87, 87, 87, 
	-1, 87, 87, 87, 87, 87, -1, 87, 
	-1, 87, 87, 87, 87, -1, 87, -1, 
	87, 87, 87, -1, 87, 87, 87, 87, 
	87, 87, 87, 87, 87, 87, 87, 87, 
	-1, 87, 87, 87, 87, 87, 87, 87, 
	87, 87, 87, 87, 87, 87, 87, 87, 
	-1, 87, -1, -1, -1, -1, 87, 87, 
	87, 87, 87, -1, -1, 87, 87, 87, 
	87, 87, 87, 87, 87, 87, 87, 87, 
	87, 87, 87, 87, 87, -1, -1, -1, 
	-1, -1, 87, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 77, -1, 
	-1, -1, -1, -1, -1, -1, -1, 87, 
	87, 87, 87, -1, -1, 87, 87, 87, 
	87, 87, 87, -1, -1, -1, -1, 87, 
	87, 87, 87, 87, 87, 87, -1, -1, 
	-1, -1, 87, -1, -1, -1, -1, 87, 
	87, -1, -1, 87, 87, 87, -1, 87, 
	87, -1, -1, 87, -1, -1, -1, -1, 
	-1, -1, -1, -1, 87, 87, 87, 87, 
	87, 87, 87, -1, -1, -1, 87, 87, 
	87, -1, -1, 87, 87, 87, 87, 87, 
	87, 87, 87, -1, 87, 87, 87, -1, 
	-1, -1, 87, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 87, 87, 87, 
	-1, -1, 87, -1, -1, -1, -1, 87, 
	-1, -1, -1, -1, 87, -1, 87, 87, 
	87, 87, 87, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 87, -1, 87, 
	-1, -1, 87, -1, 87, 87, -1, -1, 
	-1, 87, -1, 87, -1, 87, 94, 94, 
	94, 94, 94, 94, 94, 94, 94, 94, 
	94, 94, 94, 94, 94, 94, 94, 94, 
	94, 94, 94, 94, 94, 94, 94, 94, 
	94, -1, 94, 94, 94, 94, 94, -1, 
	94, -1, 94, 94, 94, 94, -1, 94, 
	-1, 94, 94, 94, -1, 94, 94, 94, 
	94, 94, 94, 94, 94, 94, 94, 94, 
	94, -1, 94, 94, 94, 94, 94, 94, 
	94, 94, 94, 94, 94, 94, 94, 94, 
	94, -1, 94, -1, -1, -1, -1, 94, 
	94, 94, 94, 94, -1, -1, 94, 94, 
	94, 94, 94, 94, 94, 94, 94, 94, 
	94, 94, 94, 94, 94, 94, -1, -1, 
	-1, -1, -1, 94, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 87, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	94, 94, 94, 94, -1, -1, 94, 94, 
	94, 94, 94, 94, -1, -1, -1, -1, 
	94, 94, 94, 94, 94, 94, 94, -1, 
	-1, -1, -1, 94, -1, -1, -1, -1, 
	94, 94, -1, -1, 94, 94, 94, -1, 
	94, 94, -1, -1, 94, -1, -1, -1, 
	-1, -1, -1, -1, -1, 94, 94, 94, 
	94, 94, 94, 94, -1, -1, -1, 94, 
	94, 94, -1, -1, 94, 94, 94, 94, 
	94, 94, 94, 94, -1, 94, 94, 94, 
	-1, -1, -1, 94, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 94, 94, 
	94, -1, -1, 94, -1, -1, -1, -1, 
	94, -1, -1, -1, -1, 94, -1, 94, 
	94, 94, 94, 94, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 94, -1, 
	94, -1, -1, 94, -1, 94, 94, -1, 
	-1, -1, 94, -1, 94, -1, 94, 95, 
	95, 95, 95, 95, 95, 95, 95, 95, 
	95, 95, 95, 95, 95, 95, 95, 95, 
	95, 95, 95, 95, 95, 95, 95, 95, 
	95, 95, 95, 95, 95, 95, 95, 95, 
	-1, 95, -1, 95, 95, 95, 95, 95, 
	95, -1, 95, 95, 95, -1, 95, 95, 
	95, 95, 95, 95, 95, 95, 95, 95, 
	95, 95, 95, 95, 95, 95, 95, 95, 
	95, 95, 95, 95, -1, 95, 95, 95, 
	95, -1, -1, -1, 95, -1, -1, -1, 
	95, 95, -1, 95, -1, -1, 95, -1, 
	-1, 95, -1, 95, -1, -1, 95, 95, 
	95, -1, 95, -1, -1, -1, -1, -1, 
	-1, -1, -1, 618, -1, 618, 618, 618, 
	618, -1, 618, -1, -1, -1, 618, -1, 
	-1, -1, -1, -1, -1, 618, 618, -1, 
	-1, -1, -1, -1, -1, 95, -1, -1, 
	-1, -1, -1, -1, 618, -1, -1, 95, 
	-1, -1, -1, -1, -1, 618, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	94, -1, -1, -1, -1, -1, -1, -1, 
	-1, 95, 95, 95, 95, -1, -1, 95, 
	95, 95, 95, 95, 95, -1, -1, -1, 
	-1, 95, 95, 95, 95, 95, 95, 95, 
	-1, -1, 95, -1, 95, -1, -1, -1, 
	-1, 95, 95, -1, 95, 95, 95, 95, 
	-1, 95, 95, -1, -1, 95, -1, -1, 
	-1, -1, -1, 95, -1, 95, 95, 95, 
	95, 95, 95, 95, 95, -1, -1, -1, 
	-1, 95, 95, -1, 95, 95, 95, 95, 
	95, 95, 95, 95, 95, -1, 95, 95, 
	95, -1, -1, 95, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 95, 95, 
	95, -1, -1, 95, 95, 95, -1, -1, 
	95, 95, 95, 95, 95, -1, -1, -1, 
	-1, 618, 618, -1, -1, -1, 618, 95, 
	-1, 95, 618, 618, 95, 95, 95, -1, 
	96, 96, 96, 96, 96, 96, 96, 96, 
	96, 96, 96, 96, 96, 96, 96, 96, 
	96, 96, 96, 96, 96, 96, 96, 96, 
	96, 96, 96, 96, 96, 96, 96, 96, 
	96, -1, 96, -1, 96, 96, 96, 96, 
	96, 96, 618, 96, 96, 96, -1, 96, 
	96, 96, 96, 96, 96, 96, 96, 96, 
	96, 96, 96, 96, 96, 96, 96, 96, 
	96, 96, 96, 96, 96, -1, 96, 96, 
	96, 96, -1, -1, -1, 96, -1, -1, 
	-1, 96, 96, -1, 96, -1, -1, 96, 
	-1, -1, 96, -1, 96, -1, -1, 96, 
	96, 96, -1, 96, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 96, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	96, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 95, 96, 96, 96, 96, -1, -1, 
	96, 96, 96, 96, 96, 96, -1, -1, 
	-1, -1, 96, 96, 96, 96, 96, 96, 
	96, -1, -1, 96, -1, 96, -1, -1, 
	-1, -1, 96, 96, -1, 96, 96, 96, 
	96, -1, 96, 96, -1, -1, 96, -1, 
	-1, -1, -1, -1, 96, -1, 96, 96, 
	96, 96, 96, 96, 96, 96, -1, -1, 
	-1, -1, 96, 96, -1, 96, 96, 96, 
	96, 96, 96, 96, 96, 96, -1, 96, 
	96, 96, -1, -1, 96, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 96, 
	96, 96, -1, -1, 96, 96, 96, -1, 
	-1, 96, 96, 96, 96, 96, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	96, -1, 96, -1, -1, 96, 96, 96, 
	-1, 102, 102, 102, 102, 102, 102, 102, 
	102, 102, 102, 102, 102, 102, 102, 102, 
	102, 102, 102, 102, 102, 102, 102, 102, 
	102, 102, 102, 102, -1, 102, 102, 102, 
	102, 102, -1, 102, -1, 102, 102, 102, 
	102, -1, 102, -1, 102, 102, 102, -1, 
	102, 102, 102, 102, 102, 102, 102, 102, 
	102, 102, 102, 102, -1, 102, 102, 102, 
	102, 102, 102, 102, 102, 102, 102, 102, 
	102, 102, 102, 102, -1, 102, -1, -1, 
	-1, -1, 102, 102, 102, 102, 102, -1, 
	-1, 102, 102, 102, 102, 102, 102, 102, 
	102, 102, 102, 102, 102, 102, 102, 102, 
	102, -1, -1, -1, -1, -1, 102, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 96, 102, 102, 102, 102, -1, 
	-1, 102, 102, 102, 102, 102, 102, -1, 
	-1, -1, -1, 102, 102, 102, 102, 102, 
	102, 102, -1, -1, -1, -1, 102, -1, 
	-1, -1, -1, 102, 102, -1, -1, 102, 
	102, 102, -1, 102, 102, -1, -1, 102, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	102, 102, 102, 102, 102, 102, 102, -1, 
	-1, -1, 102, 102, 102, -1, -1, 102, 
	102, 102, 102, 102, 102, 102, 102, -1, 
	102, 102, 102, -1, -1, -1, 102, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 102, 102, 102, -1, -1, 102, -1, 
	-1, -1, -1, 102, -1, -1, -1, -1, 
	102, -1, 102, 102, 102, 102, 102, -1, 
	-1, -1, 618, -1, -1, -1, -1, -1, 
	-1, 102, -1, 102, -1, -1, 102, -1, 
	102, 102, -1, -1, -1, 102, -1, 102, 
	-1, 102, 106, 106, 106, 106, 106, 106, 
	-1, 106, 106, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 106, 106, 106, 106, 
	106, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 106, -1, -1, -1, 106, 
	-1, -1, -1, 106, 106, 106, 106, 106, 
	-1, -1, -1, -1, 106, 106, 106, -1, 
	-1, -1, -1, 106, 106, -1, 106, 106, 
	106, 106, 106, -1, -1, -1, -1, -1, 
	-1, 106, -1, 113, 113, 113, 113, 113, 
	113, -1, 113, 113, -1, -1, -1, 106, 
	106, 106, 106, 106, -1, 113, 113, 113, 
	113, 113, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 113, -1, -1, -1, 
	113, -1, -1, -1, 113, 113, 113, 113, 
	113, -1, -1, -1, -1, 113, 113, 113, 
	-1, -1, -1, -1, 113, 113, 595, 113, 
	113, 113, 113, -1, -1, -1, -1, -1, 
	-1, -1, 113, 113, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	113, 113, 113, 102, 113, -1, -1, 595, 
	595, 595, 595, 595, 595, 595, 595, 595, 
	595, 595, 595, 595, 595, 595, -1, 595, 
	595, 595, 595, 595, 595, 595, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 106, 106, 106, 106, 106, -1, 106, 
	106, 106, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	106, 106, 106, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 106, 
	-1, 106, 106, 106, 106, 106, -1, -1, 
	-1, -1, 596, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 113, 
	113, -1, -1, -1, -1, -1, -1, -1, 
	106, -1, 113, 113, 113, 113, 113, -1, 
	113, 113, 113, 596, 596, 596, 596, 596, 
	596, 596, 596, 596, 596, 596, 596, 596, 
	596, 596, 596, 596, 596, 596, 596, 596, 
	596, 596, 595, -1, 595, 595, 595, 595, 
	595, -1, 113, 113, 113, 113, 113, -1, 
	-1, -1, -1, -1, -1, 114, 114, 114, 
	114, 114, 114, 114, 114, 114, 114, 114, 
	114, 114, 114, 114, 114, 114, 114, 114, 
	114, 114, 114, 114, 114, 114, 114, 114, 
	-1, 114, 114, 114, 114, 114, -1, 114, 
	-1, 114, 114, 114, 114, -1, 114, -1, 
	114, 114, 114, -1, 114, 114, 114, 114, 
	114, 114, 114, 114, 114, 114, 114, 114, 
	-1, 114, 114, 114, 114, 114, 114, 114, 
	114, 114, -1, 114, 114, 114, 114, -1, 
	-1, -1, -1, -1, -1, -1, 114, -1, 
	-1, 114, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 114, 114, 114, -1, 
	114, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 596, -1, 
	596, 596, 596, 596, 596, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 114, 
	114, 114, 114, -1, -1, 114, 114, -1, 
	114, 114, 114, -1, -1, -1, -1, 114, 
	114, 114, -1, 114, 114, 114, -1, -1, 
	-1, -1, 114, -1, -1, -1, -1, 114, 
	-1, -1, -1, 114, 114, 114, -1, 114, 
	114, -1, -1, 114, -1, -1, -1, -1, 
	-1, -1, 102, 102, 114, 114, 114, 114, 
	114, 114, 114, -1, -1, -1, -1, 114, 
	114, -1, -1, 114, 114, 114, 114, 114, 
	114, 114, 114, -1, 114, 114, 114, -1, 
	-1, -1, -1, -1, -1, 175, 175, 175, 
	175, 175, 175, -1, 175, 175, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 175, 
	175, 175, 175, 175, -1, -1, 114, 114, 
	114, 114, 114, -1, -1, -1, 175, -1, 
	-1, -1, 175, -1, -1, 114, 175, 175, 
	175, 175, 175, -1, 114, -1, -1, 175, 
	175, 175, -1, -1, -1, -1, 175, 175, 
	-1, 175, 175, 175, 175, -1, -1, -1, 
	-1, -1, -1, -1, 175, 597, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 175, 175, 175, 175, 175, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 597, 597, 
	597, 597, 597, 597, 597, 597, 597, 597, 
	597, 597, 597, 597, 597, 597, 597, 597, 
	597, 597, 597, 597, 597, 647, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 647, 647, 
	647, 647, 647, 647, 647, 647, 647, 647, 
	647, 647, 647, 647, 647, -1, 647, 647, 
	647, 647, 647, 647, 647, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 114, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 175, 175, 175, 175, 
	175, -1, 175, 175, 175, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 106, 106, 175, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 106, 
	-1, -1, -1, -1, 175, 175, 175, 175, 
	175, 597, -1, 597, 597, 597, 597, 597, 
	-1, -1, -1, -1, -1, -1, -1, 113, 
	113, -1, -1, -1, -1, -1, -1, -1, 
	106, -1, 113, 113, 113, 113, 113, -1, 
	113, 113, 113, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 647, -1, 647, 647, 647, 647, 647, 
	-1, -1, 113, 113, 113, 113, 115, 115, 
	115, 115, 115, 115, 115, 115, 115, 115, 
	115, 115, 115, 115, 115, 115, 115, 115, 
	115, 115, 115, 115, 115, 115, 115, 115, 
	115, -1, 115, 115, 115, 115, 115, -1, 
	115, -1, 115, 115, 115, 115, -1, 115, 
	-1, 115, 115, 115, 115, 115, 115, 115, 
	115, 115, 115, 115, 115, 115, 115, 115, 
	115, -1, 115, 115, 115, 115, 115, 115, 
	115, 115, 115, 115, 115, 115, 115, 115, 
	115, -1, 115, -1, -1, 115, -1, 115, 
	115, 115, 115, 115, -1, -1, 115, 115, 
	115, 115, 115, 115, 115, 115, 115, 115, 
	115, 115, 115, 115, 115, 115, -1, -1, 
	-1, -1, -1, 115, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	115, 115, 115, 115, -1, -1, 115, 115, 
	115, 115, 115, 115, -1, -1, -1, -1, 
	115, 115, 115, 115, 115, 115, 115, -1, 
	-1, -1, -1, 115, -1, -1, -1, -1, 
	115, 115, -1, -1, 115, 115, 115, -1, 
	115, 115, -1, -1, 115, -1, -1, -1, 
	-1, -1, -1, -1, -1, 115, 115, 115, 
	115, 115, 115, 115, -1, -1, -1, 115, 
	115, 115, -1, -1, 115, 115, 115, 115, 
	115, 115, 115, 115, 115, 115, 115, 115, 
	-1, -1, -1, 115, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 115, 115, 
	115, -1, -1, 115, -1, -1, -1, -1, 
	115, -1, -1, -1, -1, 115, -1, 115, 
	115, 115, 115, 115, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 115, -1, 
	115, -1, -1, 115, -1, 115, 115, -1, 
	-1, -1, 115, -1, 115, -1, 115, 116, 
	116, 116, 116, 116, 116, 116, 116, 116, 
	116, 116, 116, 116, 116, 116, 116, 116, 
	116, 116, 116, 116, 116, 116, 116, 116, 
	116, 116, -1, 116, 116, 116, 116, 116, 
	-1, 116, -1, 116, 116, 116, 116, -1, 
	116, -1, 116, 116, 116, 116, 116, 116, 
	116, 116, 116, 116, 116, 116, 116, 116, 
	116, 116, -1, 116, 116, 116, 116, 116, 
	116, 116, 116, 116, 116, 116, 116, 116, 
	116, 116, -1, 116, -1, -1, 116, -1, 
	116, 116, 116, 116, 116, -1, -1, 116, 
	116, 116, 116, 116, 116, 116, 116, 116, 
	116, 116, 116, 116, 116, 116, 116, -1, 
	-1, -1, -1, -1, 116, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	115, -1, -1, -1, -1, -1, -1, -1, 
	-1, 116, 116, 116, 116, -1, -1, 116, 
	116, 116, 116, 116, 116, -1, -1, -1, 
	-1, 116, 116, 116, 116, 116, 116, 116, 
	-1, -1, -1, -1, 116, -1, -1, -1, 
	-1, 116, 116, 175, -1, 116, 116, 116, 
	-1, 116, 116, -1, -1, 116, -1, -1, 
	-1, -1, -1, -1, -1, -1, 116, 116, 
	116, 116, 116, 116, 116, -1, -1, -1, 
	116, 116, 116, -1, -1, 116, 116, 116, 
	116, 116, 116, 116, 116, 116, 116, 116, 
	116, -1, -1, -1, 116, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 116, 
	116, 116, -1, -1, 116, -1, -1, -1, 
	-1, 116, -1, 116, 116, -1, 116, -1, 
	116, 116, 116, 116, 116, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 116, 
	-1, 116, -1, -1, 116, -1, 116, 116, 
	-1, -1, -1, 116, -1, 116, -1, 116, 
	120, 120, 120, 120, 120, 120, -1, 120, 
	120, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 120, 120, 120, 120, 120, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 120, -1, -1, -1, 120, -1, -1, 
	-1, 120, 120, 120, 120, 120, -1, -1, 
	-1, -1, 120, 120, 120, -1, -1, -1, 
	-1, 120, 120, -1, 120, 120, 120, 120, 
	120, -1, -1, -1, -1, -1, -1, 120, 
	-1, 121, 121, 121, 121, 121, 121, -1, 
	121, 121, -1, -1, -1, 120, 120, 120, 
	120, 120, -1, 121, 121, 121, 121, 121, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 121, -1, -1, -1, 121, -1, 
	-1, -1, 121, 121, 121, 121, 121, -1, 
	-1, -1, -1, 121, 121, 121, -1, -1, 
	-1, -1, 121, 121, -1, 121, 121, 121, 
	121, -1, -1, -1, -1, -1, -1, -1, 
	121, 121, 460, 460, 460, 460, 460, 460, 
	-1, 460, 460, -1, -1, -1, 121, 121, 
	121, 116, 121, -1, 460, 460, 460, 460, 
	460, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 460, -1, -1, -1, 460, 
	-1, -1, -1, 460, 460, 460, 460, 460, 
	-1, -1, -1, -1, 460, 460, 460, -1, 
	-1, -1, -1, 460, 460, -1, 460, 460, 
	460, 460, -1, -1, -1, -1, -1, -1, 
	-1, 460, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 120, 
	120, 120, 120, 120, -1, 120, 120, 120, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 120, 120, 
	120, -1, -1, -1, -1, -1, -1, -1, 
	120, -1, -1, -1, -1, -1, -1, 120, 
	120, 120, 120, 120, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 121, 121, -1, 
	-1, -1, -1, -1, 120, -1, -1, -1, 
	121, 121, 121, 121, 121, -1, 121, 121, 
	121, -1, -1, -1, 122, 122, 122, 122, 
	122, 122, -1, 122, 122, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 122, 122, 
	122, 122, 122, -1, -1, -1, -1, -1, 
	121, 121, 121, 121, 121, 122, -1, -1, 
	-1, 122, -1, -1, -1, 122, 122, 122, 
	122, 122, -1, -1, -1, -1, 122, 122, 
	122, -1, -1, -1, -1, 122, 122, -1, 
	122, 122, 122, 122, -1, -1, -1, 460, 
	460, 460, -1, 122, 122, 123, 123, 123, 
	123, 123, 123, -1, 123, 123, -1, -1, 
	-1, 122, 122, 122, -1, 122, -1, 123, 
	123, 123, 123, 123, -1, -1, -1, -1, 
	-1, 460, 460, 460, 460, 460, 123, -1, 
	-1, -1, 123, -1, -1, -1, 123, 123, 
	123, 123, 123, -1, -1, -1, -1, 123, 
	123, 123, -1, -1, -1, -1, 123, 123, 
	-1, 123, 123, 123, 123, -1, -1, -1, 
	-1, -1, -1, -1, 123, 123, -1, 134, 
	134, 134, 134, 134, 134, -1, -1, -1, 
	-1, -1, 123, 123, 123, -1, 123, -1, 
	-1, -1, 134, -1, -1, -1, -1, -1, 
	-1, -1, -1, 134, 134, 134, 134, 134, 
	-1, 134, -1, 134, -1, -1, -1, -1, 
	134, -1, -1, 134, 134, -1, -1, -1, 
	-1, -1, 134, 134, -1, -1, -1, 134, 
	134, 134, -1, -1, -1, -1, 134, 134, 
	134, 134, 134, -1, -1, -1, -1, -1, 
	122, 122, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 122, 122, 122, 122, 122, 
	-1, 122, 122, 122, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 116, 116, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 122, 122, 122, 122, 122, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 123, 123, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 123, 123, 123, 123, 
	123, -1, 123, 123, 123, -1, -1, -1, 
	-1, -1, 134, 134, 134, -1, -1, 134, 
	134, -1, -1, 134, 134, -1, -1, -1, 
	-1, 134, 134, 134, -1, 134, 134, 134, 
	-1, -1, -1, -1, 123, 123, 123, 123, 
	123, 134, 134, -1, -1, 134, 134, 134, 
	-1, 134, 134, -1, -1, 134, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 134, 
	134, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 137, 137, 137, 137, 
	137, 137, 137, 137, 137, 137, -1, 137, 
	137, -1, -1, 137, 137, 137, 137, -1, 
	-1, -1, 137, 137, 137, 137, 137, -1, 
	-1, -1, -1, 137, 137, 137, -1, -1, 
	-1, 137, -1, -1, 134, 137, 137, -1, 
	-1, 137, 137, 137, 137, 137, -1, -1, 
	-1, -1, 137, 137, 137, -1, -1, -1, 
	-1, 137, 137, -1, 137, 137, 137, 137, 
	-1, -1, -1, -1, -1, -1, -1, 137, 
	-1, 137, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 137, 137, 137, 
	-1, 137, -1, -1, 137, 137, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 225, 225, 225, 225, 
	225, 225, -1, 225, 225, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 225, 225, 
	225, 225, 225, -1, -1, -1, -1, 120, 
	120, -1, -1, -1, -1, 225, -1, -1, 
	120, 225, -1, -1, -1, 225, 225, 225, 
	225, 225, -1, -1, -1, -1, 225, 225, 
	225, -1, -1, -1, -1, 225, 225, -1, 
	225, 225, 225, 225, -1, 121, 121, -1, 
	-1, -1, -1, 225, 120, -1, -1, -1, 
	121, 121, 121, 121, 121, -1, 121, 121, 
	121, 225, 225, 225, 225, 225, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	137, -1, -1, -1, -1, -1, -1, 137, 
	121, 121, 121, 121, 137, 137, 137, 137, 
	137, 137, 137, 137, -1, 137, 137, 137, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 460, 
	460, 460, -1, -1, 679, -1, -1, 137, 
	137, 137, 137, 137, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 460, 460, 460, 460, 679, 679, 679, 
	679, 679, 679, 679, 679, 679, 679, 679, 
	679, 679, 679, 679, -1, 679, 679, 679, 
	679, 679, 679, 679, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 225, 225, 225, 225, 225, 
	-1, 225, 225, 225, -1, -1, -1, -1, 
	219, 219, 219, 219, 219, 219, -1, 219, 
	219, -1, 225, -1, -1, -1, -1, -1, 
	-1, -1, 219, 219, 219, 219, 219, -1, 
	-1, -1, -1, 225, 225, 225, 225, 225, 
	-1, 219, -1, -1, -1, 219, -1, -1, 
	-1, 219, 219, 219, 219, 219, -1, -1, 
	-1, -1, 219, 219, 219, -1, -1, -1, 
	-1, 219, 219, -1, 219, 219, 219, 219, 
	122, 122, -1, -1, -1, -1, -1, 219, 
	-1, -1, -1, 122, 122, 122, 122, 122, 
	-1, 122, 122, 122, -1, 219, 219, 219, 
	219, 219, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 219, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 122, 122, 122, 122, -1, 
	679, -1, 679, 679, 679, 679, 679, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 123, 123, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 123, 123, 123, 123, 
	123, -1, 123, 123, 123, -1, -1, -1, 
	-1, -1, 134, 134, 134, -1, -1, 134, 
	134, -1, -1, 134, 134, -1, -1, -1, 
	-1, 134, 134, 134, -1, 134, 134, 134, 
	-1, -1, -1, -1, 123, 123, 123, 123, 
	-1, 134, 134, -1, -1, 134, 134, 134, 
	-1, 134, 134, -1, -1, 134, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 219, 
	219, 219, 219, 219, -1, 219, 219, 219, 
	-1, -1, -1, -1, 680, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 219, 219, 
	219, -1, -1, -1, -1, -1, -1, -1, 
	219, -1, -1, -1, -1, -1, -1, 219, 
	219, 219, 219, 219, -1, 680, 680, 680, 
	680, 680, 680, 680, 680, 680, 680, 680, 
	680, 680, 680, 680, 134, 680, 680, 680, 
	680, 680, 680, 680, 219, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 138, 138, 138, 138, 138, 138, 138, 
	138, 138, 138, 138, 138, 138, 138, 138, 
	138, 138, 138, 138, 138, 138, 138, 138, 
	138, 138, 138, 138, -1, 138, 138, 138, 
	138, 138, -1, 138, -1, 138, 138, 138, 
	138, -1, 138, -1, 138, 138, 138, -1, 
	138, 138, 138, 138, 138, 138, 138, 138, 
	138, 138, 138, 138, -1, 138, 138, 138, 
	138, 138, 138, 138, 138, 138, 138, 138, 
	138, 138, 138, 138, -1, 138, -1, -1, 
	-1, -1, 138, 138, 138, 138, 138, -1, 
	-1, 138, 138, 138, 138, 138, 138, 138, 
	138, 138, 138, 138, 138, 138, 138, 138, 
	138, -1, -1, -1, -1, -1, 138, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	680, -1, 680, 680, 680, 680, 680, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	137, -1, -1, -1, -1, -1, -1, 137, 
	-1, -1, -1, -1, 137, 137, 137, 137, 
	137, 137, 137, 137, -1, 137, 137, 137, 
	-1, -1, -1, 138, 138, 138, 138, -1, 
	-1, 138, 138, 138, 138, 138, 138, -1, 
	-1, -1, -1, 138, 138, 138, 138, 138, 
	138, 138, -1, -1, -1, -1, 138, 137, 
	137, 137, 137, 138, 138, -1, -1, 138, 
	138, 138, -1, 138, 138, -1, -1, 138, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	138, 138, 138, 138, 138, 138, 138, -1, 
	-1, -1, 138, 138, 138, -1, -1, 138, 
	138, 138, 138, 138, 138, 138, 138, -1, 
	138, 138, 138, -1, -1, -1, 138, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 138, 138, 138, -1, -1, 138, -1, 
	-1, -1, -1, 138, -1, -1, -1, -1, 
	138, -1, 138, 138, 138, 138, 138, -1, 
	-1, -1, 225, -1, -1, -1, -1, -1, 
	-1, 138, -1, 138, -1, -1, 138, -1, 
	138, 138, -1, -1, -1, 138, -1, 138, 
	-1, 138, 139, 139, 139, 139, 139, 139, 
	139, 139, 139, 139, 139, 139, 139, 139, 
	139, 139, 139, 139, 139, 139, 139, 139, 
	139, 139, 139, 139, 139, -1, 139, 139, 
	139, 139, 139, -1, 139, -1, 139, 139, 
	139, 139, -1, 139, -1, 139, 139, 139, 
	-1, 139, 139, 139, 139, 139, 139, 139, 
	139, 139, 139, 139, 139, -1, 139, 139, 
	139, 139, 139, 139, 139, 139, 139, 701, 
	139, 139, 139, 139, -1, -1, -1, -1, 
	-1, -1, -1, 139, -1, -1, 139, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 139, 139, 139, -1, 139, -1, -1, 
	701, 701, 701, 701, 701, 701, 701, 701, 
	701, 701, 701, 701, 701, 701, 701, -1, 
	701, 701, 701, 701, 701, 701, 701, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 138, -1, -1, -1, -1, 
	-1, -1, -1, -1, 139, 139, 139, 139, 
	-1, -1, 139, 139, -1, 139, 139, 139, 
	-1, -1, -1, -1, 139, 139, 139, -1, 
	139, 139, 139, -1, -1, -1, -1, 139, 
	-1, -1, -1, -1, 139, -1, -1, -1, 
	139, 139, 139, -1, 139, 139, -1, -1, 
	139, -1, -1, -1, -1, -1, -1, 219, 
	219, 139, 139, 139, 139, 139, 139, 139, 
	219, -1, -1, -1, 139, 139, -1, -1, 
	139, 139, 139, 139, 139, 139, 139, 139, 
	-1, 139, 139, 139, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 219, -1, -1, -1, 
	-1, -1, -1, 701, -1, 701, 701, 701, 
	701, 701, -1, 139, 139, 139, 139, 139, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 139, -1, -1, -1, -1, -1, 
	-1, 139, 140, 140, 140, 140, 140, 140, 
	140, 140, 140, 140, -1, 140, 140, -1, 
	-1, 140, 140, 140, 140, -1, -1, -1, 
	140, 140, 140, 140, 140, -1, -1, -1, 
	-1, 140, 140, 140, -1, -1, -1, 140, 
	-1, -1, -1, 140, 140, -1, -1, 140, 
	140, 140, 140, 140, -1, -1, -1, -1, 
	140, 140, 140, -1, -1, -1, -1, 140, 
	140, -1, 140, 140, 140, 140, -1, -1, 
	-1, -1, -1, -1, -1, 140, -1, 140, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 140, 140, 140, -1, 140, 
	-1, -1, 140, 140, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 147, 147, 147, 147, 147, 147, 147, 
	147, 147, 147, 147, 147, 147, 147, 147, 
	147, -1, 147, 147, 147, 147, 147, 147, 
	147, 147, -1, -1, -1, 147, 147, 147, 
	147, 147, -1, 147, -1, 147, 147, 147, 
	147, -1, 147, -1, 147, 147, 147, -1, 
	147, 147, -1, -1, 147, 147, 147, 147, 
	147, 147, 147, 147, 139, 147, 147, 147, 
	147, 147, 147, 147, 147, 147, -1, 147, 
	147, 147, 147, -1, -1, -1, -1, -1, 
	-1, -1, 147, -1, -1, -1, -1, -1, 
	147, -1, -1, -1, -1, -1, -1, -1, 
	147, 147, 147, -1, 147, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 140, -1, 
	-1, -1, -1, -1, -1, 140, -1, -1, 
	-1, -1, 140, 140, 140, 140, 140, 140, 
	140, 140, -1, 140, 140, 140, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 140, 140, 140, 
	140, 140, -1, 147, 147, 147, 147, -1, 
	-1, 147, 147, 147, 147, 147, 147, -1, 
	-1, -1, -1, 147, 147, 147, 147, 147, 
	147, 147, -1, -1, -1, -1, 147, -1, 
	-1, -1, -1, 147, -1, -1, -1, 147, 
	147, 147, -1, 147, 147, -1, -1, 147, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 147, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 147, 147, 
	147, 147, 147, 147, 147, 147, 147, -1, 
	147, 147, 147, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 147, 147, 147, 147, 147, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 147, -1, 147, -1, -1, -1, -1, 
	-1, -1, 148, 148, 148, 148, 148, 148, 
	148, 148, 148, 148, 148, 148, 148, 148, 
	148, 148, 148, 148, 148, 148, 148, 148, 
	148, 148, 148, 148, 148, -1, 148, 148, 
	148, 148, 148, -1, 148, -1, 148, 148, 
	148, 148, -1, 148, -1, 148, 148, 148, 
	-1, 148, 148, 148, 148, 148, 148, 148, 
	148, 148, 148, 148, 148, -1, 148, 148, 
	148, 148, 148, 148, 148, 148, 148, -1, 
	148, 148, 148, 148, -1, -1, -1, -1, 
	-1, -1, -1, 148, -1, -1, 148, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 148, 148, 148, -1, 148, -1, -1, 
	148, 148, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 147, 148, 148, 148, 148, 
	-1, -1, 148, 148, -1, 148, 148, 148, 
	-1, -1, -1, -1, 148, 148, 148, -1, 
	148, 148, 148, -1, -1, -1, -1, 148, 
	-1, -1, -1, -1, 148, -1, -1, -1, 
	148, 148, 148, -1, 148, 148, -1, -1, 
	148, -1, -1, -1, -1, -1, -1, -1, 
	-1, 148, 148, 148, 148, 148, 148, 148, 
	-1, -1, -1, -1, 148, 148, -1, -1, 
	148, 148, 148, 148, 148, 148, 148, 148, 
	-1, 148, 148, 148, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 148, 148, 148, 148, 148, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 148, -1, -1, -1, -1, -1, 
	-1, 148, -1, -1, -1, -1, -1, 151, 
	151, 151, 151, 151, 151, 151, 151, 151, 
	151, 151, 151, 151, -1, -1, 151, 151, 
	151, 151, -1, -1, -1, 151, 151, 151, 
	151, 151, -1, -1, -1, -1, 151, 151, 
	151, -1, -1, -1, 151, -1, -1, -1, 
	151, 151, -1, -1, 151, 151, 151, 151, 
	151, -1, -1, -1, -1, 151, 151, 151, 
	-1, -1, -1, -1, 151, 151, -1, 151, 
	151, 151, 151, -1, -1, -1, -1, -1, 
	-1, -1, 151, -1, -1, 151, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	151, 151, 151, -1, 151, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 140, -1, 
	-1, -1, -1, -1, -1, 140, -1, -1, 
	-1, -1, 140, 140, 140, 140, 140, 140, 
	140, 140, -1, 140, 140, 140, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 140, 140, 140, 
	140, -1, -1, -1, 148, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 151, -1, -1, -1, -1, 
	-1, -1, -1, 151, 151, 151, 147, 151, 
	151, 151, 151, 151, 151, 151, 151, -1, 
	151, 151, 151, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 151, 151, 151, 151, 151, -1, 
	152, 152, 152, 152, 152, 152, 152, 152, 
	152, 152, 152, 152, 152, 152, 152, 152, 
	151, 152, 152, 152, 152, 152, 152, 152, 
	152, -1, -1, -1, 152, 152, 152, 152, 
	152, -1, 152, -1, 152, 152, 152, 152, 
	-1, 152, -1, 152, 152, 152, -1, 152, 
	152, -1, -1, 152, 152, 152, 152, 152, 
	152, 152, 152, -1, 152, 152, 152, 152, 
	152, 152, 152, 152, 152, -1, 152, 152, 
	152, 152, -1, -1, -1, -1, -1, -1, 
	-1, 152, -1, -1, -1, -1, -1, 152, 
	-1, -1, -1, -1, -1, -1, -1, 152, 
	152, 152, -1, 152, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 152, 152, 152, 152, -1, -1, 
	152, 152, -1, 152, 152, 152, -1, -1, 
	-1, -1, 152, 152, 152, -1, 152, 152, 
	152, -1, -1, -1, -1, 152, -1, -1, 
	-1, -1, 152, 152, -1, -1, 152, 152, 
	152, -1, 152, 152, -1, -1, 152, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 152, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 152, 152, 152, 
	152, 152, 152, 152, 152, 152, -1, 152, 
	152, 152, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 155, 155, 155, 
	155, 155, 155, -1, 155, 155, -1, -1, 
	-1, 152, 152, 152, 152, 152, -1, 155, 
	155, 155, 155, 155, -1, -1, -1, -1, 
	152, -1, -1, -1, -1, 152, 155, -1, 
	-1, -1, 155, -1, -1, -1, 155, 155, 
	155, 155, 155, -1, -1, -1, -1, 155, 
	155, 155, -1, -1, -1, -1, 155, 155, 
	-1, 155, 155, 155, 155, -1, -1, -1, 
	-1, -1, -1, -1, 155, 155, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 155, 155, 155, -1, 155, 156, 
	156, 156, 156, 156, 156, -1, 156, 156, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 156, 156, 156, 156, 156, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	156, -1, -1, -1, 156, -1, -1, -1, 
	156, 156, 156, 156, 156, -1, -1, -1, 
	-1, 156, 156, 156, -1, -1, -1, -1, 
	156, 156, -1, 156, 156, 156, 156, -1, 
	-1, -1, -1, -1, -1, -1, 156, 156, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 156, 156, 156, -1, 
	156, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 152, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 155, 155, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 155, 155, 155, 155, 
	155, -1, 155, 155, 155, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 155, 155, 155, 155, 
	155, -1, -1, 151, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 151, -1, 151, 
	151, 151, 151, 151, 151, 151, 151, -1, 
	151, 151, 151, -1, -1, -1, -1, -1, 
	-1, -1, -1, 156, 156, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 156, 156, 
	156, 156, 156, -1, 156, 156, 156, -1, 
	-1, -1, 151, 151, 151, 151, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	151, -1, -1, -1, -1, -1, 156, 156, 
	156, 156, 156, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 158, 158, 158, 158, 
	158, 158, 158, 158, 158, 158, 158, 158, 
	158, 158, 158, 158, -1, 158, 158, 158, 
	158, 158, 158, 158, 158, -1, -1, -1, 
	158, 158, 158, 158, 158, -1, 158, -1, 
	158, 158, 158, 158, -1, 158, -1, 158, 
	158, 158, -1, 158, 158, -1, -1, 158, 
	158, 158, 158, 158, 158, 158, 158, 158, 
	158, 158, 158, 158, 158, 158, 158, 158, 
	158, 158, 158, 158, 158, 158, -1, -1, 
	-1, -1, -1, -1, -1, 158, -1, 332, 
	332, 332, 332, 332, 332, -1, -1, -1, 
	-1, -1, -1, 158, 158, 158, -1, 158, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 332, 332, 332, 332, 332, 
	-1, 332, -1, 332, -1, -1, -1, -1, 
	332, -1, -1, 332, -1, -1, -1, -1, 
	-1, -1, 332, 332, -1, -1, -1, 332, 
	332, 332, -1, -1, -1, -1, 332, 332, 
	332, -1, 332, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 158, 158, 
	158, 158, -1, -1, 158, 158, 158, 158, 
	158, 158, -1, -1, -1, -1, 158, 158, 
	158, 158, 158, 158, 158, -1, 158, 158, 
	-1, 158, -1, -1, -1, 152, 158, 158, 
	-1, -1, 158, 158, 158, -1, 158, 158, 
	-1, -1, 158, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 158, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 158, 158, 158, 158, 158, 158, 
	158, 158, -1, 158, 158, 158, -1, -1, 
	-1, -1, -1, 332, 332, -1, -1, 332, 
	332, 332, 332, -1, 332, -1, -1, -1, 
	-1, 332, 332, 332, 332, 332, 332, 332, 
	-1, -1, -1, -1, -1, 158, 158, 158, 
	158, 158, -1, -1, -1, 332, 332, 332, 
	-1, 332, 332, -1, 158, 332, 158, -1, 
	-1, 158, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 332, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 332, 
	332, -1, -1, -1, -1, -1, -1, 159, 
	159, 159, 159, 159, 159, 159, 159, 159, 
	159, 159, 159, 159, 159, 159, 159, -1, 
	159, 159, 159, 159, 159, 159, 159, 159, 
	-1, -1, -1, 159, 159, 159, 159, 159, 
	-1, 159, -1, 159, 159, 159, 159, -1, 
	159, 332, 159, 159, 159, -1, 159, 159, 
	-1, -1, 159, 159, 159, 159, 159, 159, 
	159, 159, 159, 159, 159, 159, 159, 159, 
	159, 159, 159, 159, 159, 159, 159, 159, 
	159, -1, -1, -1, -1, -1, -1, -1, 
	159, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 159, 159, 
	159, -1, 159, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 155, 155, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 155, 155, 155, 155, 
	155, -1, 155, 155, 155, -1, 158, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 155, 155, 155, 155, 
	-1, 159, 159, 159, 159, -1, -1, 159, 
	159, 159, 159, 159, 159, -1, -1, -1, 
	-1, 159, 159, 159, 159, 159, 159, 159, 
	-1, 159, 159, -1, 159, -1, -1, -1, 
	-1, 159, 159, 156, 156, 159, 159, 159, 
	-1, 159, 159, -1, -1, 159, 156, 156, 
	156, 156, 156, -1, 156, 156, 156, -1, 
	-1, 159, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 159, 159, 159, 
	159, 159, 159, 159, 159, -1, 159, 159, 
	159, -1, -1, -1, -1, -1, 156, 156, 
	156, 156, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 167, 167, 167, 167, 
	167, 167, -1, 167, 167, -1, -1, -1, 
	159, 159, 159, 159, 159, -1, 167, 167, 
	167, 167, 167, -1, -1, -1, -1, 159, 
	-1, 159, -1, -1, 159, 167, -1, -1, 
	-1, 167, -1, -1, -1, 167, 167, 167, 
	167, 167, -1, -1, -1, -1, 167, 167, 
	167, -1, -1, -1, -1, 167, 167, -1, 
	167, 167, 167, 167, -1, -1, -1, -1, 
	-1, -1, -1, 167, 173, 173, 173, 173, 
	173, 173, -1, 173, 173, -1, -1, -1, 
	-1, 167, 167, 167, 167, 167, 173, 173, 
	173, 173, 173, -1, -1, -1, -1, 167, 
	-1, -1, -1, -1, -1, 173, -1, -1, 
	-1, 173, -1, -1, -1, 173, 173, 173, 
	173, 173, -1, -1, -1, -1, 173, 173, 
	173, -1, -1, -1, -1, 173, 173, -1, 
	173, 173, 173, 173, 173, -1, -1, -1, 
	-1, -1, -1, 173, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 173, 173, 173, 173, 173, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 173, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 158, 158, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 159, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 167, 167, 167, 167, 167, 
	-1, 167, 167, 167, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 167, 167, 167, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 167, -1, 167, 167, 167, 167, 167, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 167, 173, 173, 173, 173, 173, 
	-1, 173, 173, 173, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 173, 173, 173, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 173, -1, 173, 173, 173, 173, 173, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 173, 177, 177, 177, 177, 177, 
	177, 177, 177, 177, 177, 177, 177, 177, 
	177, 177, 177, 177, 177, 177, 177, 177, 
	177, 177, 177, 177, 177, 177, -1, 177, 
	177, 177, 177, 177, -1, 177, -1, 177, 
	177, 177, 177, -1, 177, -1, 177, 177, 
	177, -1, 177, 177, 177, 177, 177, 177, 
	177, 177, 177, 177, 177, 177, -1, 177, 
	177, 177, 177, 177, 177, 177, 177, 177, 
	177, 177, 177, 177, 177, 177, -1, 177, 
	-1, -1, -1, -1, 177, 177, 177, 177, 
	177, -1, -1, 177, 177, 177, 177, 177, 
	177, 177, 177, 177, 177, 177, 177, 177, 
	177, 177, 177, -1, -1, -1, -1, -1, 
	177, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 177, 177, 177, 
	177, -1, -1, 177, 177, 177, 177, 177, 
	177, -1, -1, -1, -1, 177, 177, 177, 
	177, 177, 177, 177, -1, -1, -1, -1, 
	177, -1, -1, -1, -1, 177, 177, -1, 
	-1, 177, 177, 177, -1, 177, 177, -1, 
	-1, 177, -1, -1, -1, -1, -1, -1, 
	-1, -1, 177, 177, 177, 177, 177, 177, 
	177, -1, -1, -1, 177, 177, 177, -1, 
	-1, 177, 177, 177, 177, 177, 177, 177, 
	177, -1, 177, 177, 177, -1, -1, -1, 
	177, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 177, 177, 177, -1, -1, 
	177, -1, -1, -1, -1, 177, -1, -1, 
	-1, -1, 177, -1, 177, 177, 177, 177, 
	177, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 177, -1, 177, -1, -1, 
	177, -1, 177, 177, -1, -1, -1, 177, 
	-1, 177, -1, 177, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 178, 178, 178, 178, 
	178, 178, 178, 178, 178, 178, 178, 178, 
	178, 178, 178, 178, 178, 178, 178, 178, 
	178, 178, 178, 178, 178, 178, 178, -1, 
	178, 178, 178, 178, 178, -1, 178, -1, 
	178, 178, 178, 178, -1, 178, -1, 178, 
	178, 178, -1, 178, 178, 178, 178, 178, 
	178, 178, 178, 178, 178, 178, 178, -1, 
	178, 178, 178, 178, 178, 178, 178, 178, 
	178, 178, 178, 178, 178, 178, 178, -1, 
	178, -1, -1, -1, -1, 178, 178, 178, 
	178, 178, -1, -1, 178, 178, 178, 178, 
	178, 178, 178, 178, 178, 178, 178, 178, 
	178, 178, 178, 178, -1, -1, -1, -1, 
	-1, 178, -1, -1, -1, 177, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 167, 167, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 167, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 178, 178, 
	178, 178, 167, -1, 178, 178, 178, 178, 
	178, 178, -1, -1, -1, -1, 178, 178, 
	178, 178, 178, 178, 178, -1, -1, -1, 
	-1, 178, -1, 173, 173, -1, 178, 178, 
	-1, -1, 178, 178, 178, -1, 178, 178, 
	-1, 173, 178, -1, -1, -1, -1, -1, 
	-1, -1, -1, 178, 178, 178, 178, 178, 
	178, 178, -1, -1, -1, 178, 178, 178, 
	-1, -1, 178, 178, 178, 178, 178, 178, 
	178, 178, 173, 178, 178, 178, -1, -1, 
	-1, 178, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 178, 178, 178, -1, 
	-1, 178, -1, -1, -1, -1, 178, -1, 
	-1, -1, -1, 178, -1, 178, 178, 178, 
	178, 178, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 178, -1, 178, -1, 
	-1, 178, -1, 178, 178, -1, -1, -1, 
	178, -1, 178, -1, 178, 180, 180, 180, 
	180, 180, 180, 180, 180, 180, 180, 180, 
	180, 180, 180, 180, 180, 180, 180, 180, 
	180, 180, 180, 180, 180, 180, 180, 180, 
	-1, 180, 180, 180, 180, 180, -1, 180, 
	-1, 180, 180, 180, 180, -1, 180, -1, 
	180, 180, 180, -1, 180, 180, 180, 180, 
	180, 180, 180, 180, 180, 180, 180, 180, 
	-1, 180, 180, 180, 180, 180, 180, 180, 
	180, 180, 180, 180, 180, 180, 180, 180, 
	-1, 180, -1, -1, -1, -1, 180, 180, 
	180, 180, 180, -1, -1, 180, 180, 180, 
	180, 180, 180, 180, 180, 180, 180, 180, 
	180, 180, 180, 180, 180, -1, -1, -1, 
	-1, -1, 180, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 178, -1, 
	-1, -1, -1, -1, -1, -1, -1, 180, 
	180, 180, 180, -1, -1, 180, 180, 180, 
	180, 180, 180, -1, -1, -1, -1, 180, 
	180, 180, 180, 180, 180, 180, -1, -1, 
	-1, -1, 180, -1, -1, -1, -1, 180, 
	180, -1, -1, 180, 180, 180, -1, 180, 
	180, -1, -1, 180, -1, -1, -1, -1, 
	-1, -1, -1, -1, 180, 180, 180, 180, 
	180, 180, 180, -1, -1, -1, 180, 180, 
	180, -1, -1, 180, 180, 180, 180, 180, 
	180, 180, 180, -1, 180, 180, 180, -1, 
	-1, -1, 180, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 180, 180, 180, 
	-1, -1, 180, -1, -1, -1, -1, 180, 
	-1, -1, -1, -1, 180, -1, 180, 180, 
	180, 180, 180, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 180, -1, 180, 
	-1, -1, 180, -1, 180, 180, -1, -1, 
	-1, 180, -1, 180, -1, 180, 181, 181, 
	181, 181, 181, 181, 181, 181, 181, 181, 
	181, 181, 181, 181, 181, 181, 181, 181, 
	181, 181, 181, 181, 181, 181, 181, 181, 
	181, -1, 181, 181, 181, 181, 181, -1, 
	181, -1, 181, 181, 181, 181, -1, 181, 
	-1, 181, 181, 181, -1, 181, 181, 181, 
	181, 181, 181, 181, 181, 181, 181, 181, 
	181, -1, 181, 181, 181, 181, 181, 181, 
	181, 181, 181, 181, 181, 181, 181, 181, 
	181, -1, 181, -1, -1, -1, -1, 181, 
	181, 181, 181, 181, -1, -1, 181, 181, 
	181, 181, 181, 181, 181, 181, 181, 181, 
	181, 181, 181, 181, 181, 181, -1, -1, 
	-1, -1, -1, 181, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 180, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	181, 181, 181, 181, -1, -1, 181, 181, 
	181, 181, 181, 181, -1, -1, -1, -1, 
	181, 181, 181, 181, 181, 181, 181, -1, 
	-1, -1, -1, 181, -1, -1, -1, -1, 
	181, 181, -1, -1, 181, 181, 181, -1, 
	181, 181, -1, -1, 181, -1, -1, -1, 
	-1, -1, -1, -1, -1, 181, 181, 181, 
	181, 181, 181, 181, -1, -1, -1, 181, 
	181, 181, -1, -1, 181, 181, 181, 181, 
	181, 181, 181, 181, -1, 181, 181, 181, 
	-1, -1, -1, 181, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 181, 181, 
	181, -1, -1, 181, -1, -1, -1, -1, 
	181, -1, -1, -1, -1, 181, -1, 181, 
	181, 181, 181, 181, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 181, -1, 
	181, -1, -1, 181, -1, 181, 181, -1, 
	-1, -1, 181, -1, 181, -1, 181, 183, 
	183, 183, 183, 183, 183, 183, 183, 183, 
	183, 183, 183, 183, 183, 183, 183, -1, 
	183, 183, 183, 183, 183, 183, 183, 183, 
	-1, -1, -1, 183, 183, 183, 183, 183, 
	-1, 183, -1, 183, 183, 183, 183, -1, 
	183, -1, 183, 183, 183, -1, 183, 183, 
	-1, -1, 183, 183, 183, 183, 183, 183, 
	183, 183, -1, 183, 183, 183, 183, 183, 
	183, 183, 183, 183, -1, 183, 183, 183, 
	183, -1, -1, -1, -1, -1, -1, -1, 
	183, -1, 188, 188, 188, 188, 188, 188, 
	-1, 183, -1, -1, -1, -1, 183, 183, 
	183, -1, 183, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 188, 188, 
	188, 188, 188, -1, 188, -1, 188, -1, 
	-1, -1, -1, 188, -1, -1, 188, -1, 
	-1, -1, -1, -1, -1, 188, 188, -1, 
	-1, -1, 188, 188, 188, -1, -1, -1, 
	-1, 188, 188, 188, -1, 188, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	181, -1, -1, -1, -1, -1, -1, -1, 
	-1, 183, 183, 183, 183, -1, -1, 183, 
	183, 183, 183, 183, 183, -1, -1, -1, 
	-1, 183, 183, 183, 183, 183, 183, 183, 
	-1, -1, -1, -1, 183, -1, -1, -1, 
	-1, 183, 183, -1, -1, 183, 183, 183, 
	-1, 183, 183, -1, -1, 183, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 183, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 183, 183, 183, 
	183, 183, 183, 183, 183, -1, 183, 183, 
	183, -1, -1, -1, -1, -1, 188, 188, 
	-1, -1, 188, 188, 188, 188, -1, 188, 
	-1, -1, -1, -1, 188, 188, 188, 188, 
	188, 188, 188, -1, -1, -1, -1, -1, 
	183, 183, 183, 183, 183, -1, -1, -1, 
	188, 188, 188, -1, 188, 188, -1, 183, 
	188, 183, -1, -1, 183, -1, -1, -1, 
	184, 184, 184, 184, 184, 184, 184, 184, 
	184, 184, 184, 184, 184, 184, 184, 184, 
	188, 184, 184, 184, 184, 184, 184, 184, 
	184, -1, 188, 188, 184, 184, 184, 184, 
	184, -1, 184, -1, 184, 184, 184, 184, 
	-1, 184, -1, 184, 184, 184, -1, 184, 
	184, -1, -1, 184, 184, 184, 184, 184, 
	184, 184, 184, -1, 184, 184, 184, 184, 
	184, 184, 184, 184, 184, -1, 184, 184, 
	184, 184, -1, -1, 188, -1, -1, -1, 
	-1, 184, -1, -1, -1, -1, -1, -1, 
	-1, -1, 184, -1, -1, -1, -1, 184, 
	184, 184, -1, 184, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 183, 184, 184, 184, 184, -1, -1, 
	184, 184, 184, 184, 184, 184, -1, -1, 
	-1, -1, 184, 184, 184, 184, 184, 184, 
	184, -1, -1, -1, -1, 184, -1, -1, 
	-1, -1, 184, 184, -1, -1, 184, 184, 
	184, -1, 184, 184, -1, -1, 184, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 184, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 184, 184, 
	184, 184, 184, 184, 184, 184, -1, 184, 
	184, 184, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 184, 184, 184, 184, 184, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	184, -1, 184, -1, -1, 184, -1, -1, 
	-1, 189, 189, 189, 189, 189, 189, 189, 
	189, 189, 189, 189, 189, 189, 189, 189, 
	189, 189, 189, 189, 189, 189, 189, 189, 
	189, 189, 189, 189, -1, 189, 189, 189, 
	189, 189, -1, 189, -1, 189, 189, 189, 
	189, -1, 189, -1, 189, 189, 189, -1, 
	189, 189, 189, 189, 189, 189, 189, 189, 
	189, 189, 189, 189, -1, 189, 189, 189, 
	189, 189, 189, 189, 189, 189, -1, 189, 
	189, 189, 189, -1, -1, -1, -1, -1, 
	-1, -1, 189, -1, -1, 189, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	189, 189, 189, -1, 189, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 184, 189, 189, 189, 189, -1, 
	-1, 189, 189, -1, 189, 189, 189, -1, 
	-1, -1, -1, 189, 189, 189, -1, 189, 
	189, 189, -1, -1, -1, -1, 189, -1, 
	-1, -1, -1, 189, -1, -1, -1, 189, 
	189, 189, -1, 189, 189, -1, -1, 189, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	189, 189, 189, 189, 189, 189, 189, -1, 
	-1, -1, -1, 189, 189, -1, -1, 189, 
	189, 189, 189, 189, 189, 189, 189, -1, 
	189, 189, 189, -1, -1, -1, 188, 188, 
	-1, -1, 188, 188, 188, 188, -1, 188, 
	-1, -1, -1, -1, 188, 188, 188, 188, 
	188, 188, 188, -1, -1, -1, -1, -1, 
	-1, -1, 189, 189, 189, 189, 189, -1, 
	188, 188, 188, -1, 188, 188, -1, -1, 
	188, 189, -1, -1, -1, -1, -1, -1, 
	189, 190, 190, 190, 190, 190, 190, -1, 
	190, 190, -1, -1, -1, -1, -1, -1, 
	188, -1, -1, 190, 190, 190, 190, 190, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 190, -1, -1, -1, 190, -1, 
	-1, -1, 190, 190, 190, 190, 190, -1, 
	-1, -1, -1, 190, 190, 190, -1, -1, 
	-1, -1, 190, 190, -1, 190, 190, 190, 
	190, -1, -1, -1, -1, -1, -1, -1, 
	190, -1, -1, -1, 188, 191, 191, 191, 
	191, 191, 191, -1, 191, 191, 190, 190, 
	190, -1, 190, -1, -1, -1, -1, 191, 
	191, 191, 191, 191, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 191, -1, 
	-1, -1, 191, -1, -1, -1, 191, 191, 
	191, 191, 191, -1, -1, -1, -1, 191, 
	191, 191, -1, -1, -1, -1, 191, 191, 
	-1, 191, 191, 191, 191, -1, -1, -1, 
	-1, -1, -1, -1, 191, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 191, 191, 191, -1, 191, -1, 
	-1, -1, -1, 189, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	192, 192, 192, 192, 192, 192, -1, 192, 
	192, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 192, 192, 192, 192, 192, -1, 
	190, 190, 190, 190, 190, -1, 190, 190, 
	190, 192, -1, -1, -1, 192, -1, -1, 
	-1, 192, 192, 192, 192, 192, -1, -1, 
	-1, -1, 192, 192, 192, -1, -1, -1, 
	-1, 192, 192, -1, 192, 192, 192, 192, 
	190, 190, 190, 190, 190, -1, -1, 192, 
	-1, -1, -1, -1, 193, 193, 193, 193, 
	193, 193, -1, 193, 193, 192, 192, 192, 
	-1, 192, -1, -1, -1, -1, 193, 193, 
	193, 193, 193, -1, -1, 191, 191, 191, 
	191, -1, 191, 191, 191, 193, -1, -1, 
	-1, 193, -1, -1, -1, 193, 193, 193, 
	193, 193, -1, -1, -1, -1, 193, 193, 
	193, -1, -1, -1, -1, 193, 193, -1, 
	193, 193, 193, 193, 191, 191, 191, 191, 
	191, -1, -1, 193, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 193, 193, 193, -1, 193, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 194, 
	194, 194, 194, 194, 194, -1, 194, 194, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 194, 194, 194, 194, 194, -1, -1, 
	192, 192, 192, 192, -1, 192, 192, 192, 
	194, -1, -1, -1, 194, -1, -1, -1, 
	194, 194, 194, 194, 194, -1, -1, -1, 
	-1, 194, 194, 194, -1, -1, -1, -1, 
	194, 194, -1, 194, 194, 194, 194, 192, 
	192, 192, 192, 192, -1, -1, 194, -1, 
	-1, -1, -1, 195, 195, 195, 195, 195, 
	195, -1, 195, 195, 194, 194, 194, -1, 
	194, -1, -1, -1, -1, 195, 195, 195, 
	195, 195, -1, -1, -1, 193, 193, 193, 
	-1, 193, 193, 193, 195, -1, -1, -1, 
	195, -1, -1, -1, 195, 195, 195, 195, 
	195, -1, -1, -1, -1, 195, 195, 195, 
	-1, -1, -1, -1, 195, 195, -1, 195, 
	195, 195, 195, 193, 193, 193, 193, 193, 
	-1, -1, 195, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	195, 195, 195, -1, 195, -1, -1, -1, 
	196, 196, 196, 196, 196, 196, -1, 196, 
	196, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 196, 196, 196, 196, 196, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 196, -1, -1, -1, 196, -1, -1, 
	-1, 196, 196, 196, 196, 196, -1, -1, 
	-1, -1, 196, 196, 196, -1, -1, -1, 
	-1, 196, 196, -1, 196, 196, 196, 196, 
	194, 194, 194, -1, 194, 194, 194, 196, 
	-1, -1, -1, -1, 197, 197, 197, 197, 
	197, 197, -1, 197, 197, 196, 196, 196, 
	-1, 196, -1, -1, -1, -1, 197, 197, 
	197, 197, 197, -1, -1, -1, 194, 194, 
	194, 194, 194, -1, -1, 197, -1, -1, 
	-1, 197, -1, -1, -1, 197, 197, 197, 
	197, 197, -1, -1, -1, -1, 197, 197, 
	197, -1, -1, -1, -1, 197, 197, -1, 
	197, 197, 197, 197, 195, 195, 195, -1, 
	195, 195, 195, 197, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 197, 197, 197, -1, 197, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 195, 195, 195, 195, 195, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 196, 196, 196, -1, 196, 196, 196, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	190, 190, 190, 190, 190, -1, 190, 190, 
	190, -1, -1, -1, -1, -1, -1, 196, 
	196, 196, 196, 196, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	190, 190, 190, 190, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 197, 197, 197, 
	-1, 197, 197, 197, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 191, 191, 191, 
	191, -1, 191, 191, 191, -1, -1, -1, 
	-1, -1, -1, 197, 197, 197, 197, 197, 
	-1, -1, -1, -1, -1, -1, 198, 198, 
	198, 198, 198, 198, -1, 198, 198, -1, 
	-1, -1, -1, -1, 191, 191, 191, 191, 
	198, 198, 198, 198, 198, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 198, 
	-1, -1, -1, 198, -1, -1, -1, 198, 
	198, 198, 198, 198, -1, -1, -1, -1, 
	198, 198, 198, -1, -1, -1, -1, 198, 
	198, -1, 198, 198, 198, 198, -1, -1, 
	-1, -1, -1, -1, -1, 198, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 198, 198, 198, -1, 198, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	192, 192, 192, 192, -1, 192, 192, 192, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 192, 
	192, 192, 192, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 193, 193, 193, 
	-1, 193, 193, 193, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 199, 199, 199, 
	199, 199, 199, -1, 199, 199, -1, -1, 
	-1, -1, -1, 193, 193, 193, 193, 199, 
	199, 199, 199, 199, -1, -1, -1, 198, 
	198, 198, -1, 198, 198, 198, 199, -1, 
	-1, -1, 199, -1, -1, -1, 199, 199, 
	199, 199, 199, -1, -1, -1, -1, 199, 
	199, 199, -1, -1, -1, -1, 199, 199, 
	-1, 199, 199, 199, 199, 198, 198, 198, 
	198, 198, -1, -1, 199, -1, 200, 200, 
	200, 200, 200, 200, -1, 200, 200, -1, 
	-1, -1, 199, 199, 199, -1, 199, -1, 
	200, 200, 200, 200, 200, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 200, 
	194, 194, 194, 200, 194, 194, 194, 200, 
	200, 200, 200, 200, -1, -1, -1, -1, 
	200, 200, 200, -1, -1, -1, -1, 200, 
	200, -1, 200, 200, 200, 200, -1, -1, 
	-1, -1, -1, -1, -1, 200, 194, 194, 
	194, 194, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 200, 200, 200, -1, 200, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 195, 195, 195, -1, 
	195, 195, 195, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 195, 195, 195, 195, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 199, 
	199, -1, 199, 199, 199, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 199, 199, 199, 199, 
	199, 196, 196, 196, -1, 196, 196, 196, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	200, 200, -1, 200, 200, 200, -1, 196, 
	196, 196, 196, 201, 201, 201, 201, 201, 
	201, -1, 201, 201, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 201, 201, 201, 
	201, 201, -1, -1, -1, 200, 200, 200, 
	200, 200, -1, -1, 201, 197, 197, 197, 
	201, 197, 197, 197, 201, 201, 201, 201, 
	201, -1, -1, -1, -1, 201, 201, 201, 
	-1, -1, -1, -1, 201, 201, -1, 201, 
	201, 201, 201, -1, -1, -1, -1, -1, 
	-1, -1, 201, 197, 197, 197, 197, 202, 
	202, 202, 202, 202, 202, -1, 202, 202, 
	201, 201, 201, -1, 201, -1, -1, -1, 
	-1, 202, 202, 202, 202, 202, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	202, -1, -1, -1, 202, -1, -1, -1, 
	202, 202, 202, 202, 202, -1, -1, -1, 
	-1, 202, 202, 202, -1, -1, -1, -1, 
	202, 202, -1, 202, 202, 202, 202, -1, 
	-1, -1, -1, -1, -1, -1, 202, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 202, 202, 202, -1, 
	202, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 201, -1, 
	201, 201, 201, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 201, 201, 201, 201, 201, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 202, -1, 202, 202, 202, 198, 
	198, 198, -1, 198, 198, 198, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 202, 202, 
	202, 202, 202, -1, -1, 198, 198, 198, 
	198, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 211, 211, 211, 211, 211, 
	211, 211, 211, 211, 211, 211, 211, 211, 
	211, 211, 211, -1, 211, 211, 211, 211, 
	211, 211, 211, 211, -1, -1, -1, 211, 
	211, 211, 211, 211, -1, 211, -1, 211, 
	211, 211, 211, -1, 211, -1, 211, 211, 
	211, -1, 211, 211, -1, -1, 211, 211, 
	211, 211, 211, 211, 211, 211, -1, 211, 
	211, 211, 211, 211, 211, 211, 211, 211, 
	-1, 211, 211, 211, 211, -1, -1, -1, 
	-1, -1, -1, -1, 211, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 211, 211, 211, -1, 211, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 199, 
	199, -1, 199, 199, 199, -1, -1, -1, 
	-1, -1, -1, -1, -1, 211, 211, 211, 
	211, -1, -1, 211, 211, 211, 211, 211, 
	211, -1, -1, -1, -1, 211, 211, 211, 
	211, 211, 211, 211, 199, 199, 199, 199, 
	211, -1, -1, -1, -1, 211, 211, -1, 
	-1, 211, 211, 211, -1, 211, 211, -1, 
	-1, 211, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 211, -1, -1, 
	200, 200, -1, 200, 200, 200, -1, -1, 
	-1, 211, 211, 211, 211, 211, 211, 211, 
	211, -1, 211, 211, 211, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 200, 200, 200, 
	200, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 211, 211, 211, 211, 
	211, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 211, -1, 211, -1, -1, 
	211, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 211, 201, -1, 
	201, 201, 201, -1, -1, -1, -1, -1, 
	207, 207, 207, 207, 207, 207, -1, 207, 
	207, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 207, 207, 207, 207, 207, -1, 
	-1, -1, 201, 201, 201, 201, -1, -1, 
	-1, 207, -1, -1, -1, 207, -1, -1, 
	-1, 207, 207, 207, 207, 207, -1, -1, 
	-1, -1, 207, 207, 207, -1, -1, -1, 
	-1, 207, 207, -1, 207, 207, 207, 207, 
	-1, -1, 202, -1, 202, 202, 202, 207, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 207, 207, 207, 
	-1, 207, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 202, 202, 
	202, 202, 204, 204, 204, 204, 204, 204, 
	204, 204, 204, 204, 204, 204, 204, 204, 
	204, 204, 204, 204, 204, 204, 204, 204, 
	204, 204, 204, 204, 204, 204, 204, 204, 
	204, 204, 204, -1, 204, -1, 204, 204, 
	204, 204, 204, 204, -1, 204, 204, 204, 
	-1, 204, 204, 204, 204, 204, 204, 204, 
	204, 204, 204, 204, 204, 204, 204, 204, 
	204, 204, 204, 204, 204, 204, 204, -1, 
	204, 204, 204, 204, -1, -1, -1, 204, 
	204, -1, -1, 204, 204, -1, 204, 204, 
	204, 204, -1, -1, 204, -1, 204, -1, 
	-1, 204, 204, 204, -1, 204, 204, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 207, 
	207, 207, 207, 207, -1, 207, 207, 207, 
	204, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 204, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 207, 
	207, 207, 207, 207, 204, 204, 204, 204, 
	-1, -1, 204, 204, 204, 204, 204, 204, 
	-1, -1, -1, -1, 204, 204, 204, 204, 
	204, 204, 204, -1, -1, 204, -1, 204, 
	-1, -1, -1, -1, 204, 204, -1, 204, 
	204, 204, 204, -1, 204, 204, -1, -1, 
	204, -1, -1, -1, -1, -1, 204, -1, 
	204, 204, 204, 204, 204, 204, 204, 204, 
	-1, -1, -1, -1, 204, 204, -1, 204, 
	204, 204, 204, 204, 204, 204, 204, 204, 
	-1, 204, 204, 204, 204, -1, 204, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 204, 204, 204, -1, -1, 204, 204, 
	204, -1, -1, 204, 204, 204, 204, 204, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 204, -1, 204, -1, -1, 204, 
	204, 204, -1, 206, 206, 206, 206, 206, 
	206, 206, 206, 206, 206, 206, 206, 206, 
	206, 206, 206, 206, 206, 206, 206, 206, 
	206, 206, 206, 206, 206, 206, -1, 206, 
	206, 206, 206, 206, -1, 206, -1, 206, 
	206, 206, 206, -1, 206, -1, 206, 206, 
	206, -1, 206, 206, 206, 206, 206, 206, 
	206, 206, 206, 206, 206, 206, -1, 206, 
	206, 206, 206, 206, 206, 206, 206, 206, 
	206, 206, 206, 206, 206, 206, -1, 206, 
	-1, -1, -1, -1, 206, 206, 206, 206, 
	206, -1, -1, 206, 206, 206, 206, 206, 
	206, 206, 206, 206, 206, 206, 206, 206, 
	206, 206, 206, -1, -1, -1, -1, -1, 
	206, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 204, 206, 206, 206, 
	206, -1, -1, 206, 206, 206, 206, 206, 
	206, -1, -1, -1, -1, 206, 206, 206, 
	206, 206, 206, 206, -1, -1, -1, -1, 
	206, -1, -1, -1, -1, 206, 206, -1, 
	-1, 206, 206, 206, -1, 206, 206, -1, 
	-1, 206, -1, -1, -1, -1, -1, -1, 
	-1, -1, 206, 206, 206, 206, 206, 206, 
	206, -1, -1, -1, 206, 206, 206, -1, 
	-1, 206, 206, 206, 206, 206, 206, 206, 
	206, -1, 206, 206, 206, -1, -1, -1, 
	206, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 206, 206, 206, -1, -1, 
	206, -1, -1, -1, -1, 206, -1, -1, 
	-1, -1, 206, -1, 206, 206, 206, 206, 
	206, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 206, -1, 206, -1, -1, 
	206, -1, 206, 206, -1, -1, -1, 206, 
	-1, 206, -1, 206, 208, 208, 208, 208, 
	208, 208, -1, 208, 208, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 208, 208, 
	208, 208, 208, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 208, -1, -1, 
	-1, 208, -1, -1, -1, 208, 208, 208, 
	208, 208, -1, -1, -1, -1, 208, 208, 
	208, -1, -1, -1, -1, 208, 208, -1, 
	208, 208, 208, 208, -1, -1, -1, -1, 
	-1, -1, -1, 208, 208, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 208, 208, 208, -1, 208, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 207, 
	207, 207, 207, 207, -1, 207, 207, 207, 
	-1, -1, -1, 223, 223, 223, 223, 223, 
	223, -1, 223, 223, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 223, 223, 223, 
	223, 223, -1, -1, -1, -1, -1, 207, 
	207, 207, 207, -1, 223, 206, -1, -1, 
	223, -1, -1, -1, 223, 223, 223, 223, 
	223, -1, -1, -1, -1, 223, 223, 223, 
	-1, -1, -1, -1, 223, 223, -1, 223, 
	223, 223, 223, 223, -1, -1, -1, -1, 
	-1, -1, 223, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	223, 223, 223, 223, 223, -1, -1, -1, 
	208, 208, -1, -1, -1, -1, 223, -1, 
	-1, -1, -1, 208, 208, 208, 208, 208, 
	-1, 208, 208, 208, 204, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 208, 208, 208, 208, 208, 
	213, 213, 213, 213, 213, 213, 213, 213, 
	213, 213, 213, 213, 213, 213, 213, 213, 
	-1, 213, 213, 213, 213, 213, 213, 213, 
	213, -1, -1, -1, 213, 213, 213, 213, 
	213, -1, 213, -1, 213, 213, 213, 213, 
	-1, 213, -1, 213, 213, 213, -1, 213, 
	213, -1, -1, 213, 213, 213, 213, 213, 
	213, 213, 213, -1, 213, 213, 213, 213, 
	213, 213, 213, 213, 213, -1, 213, 213, 
	213, 213, -1, -1, -1, -1, -1, -1, 
	-1, 213, 223, 223, 223, 223, 223, -1, 
	223, 223, 223, -1, -1, -1, -1, 213, 
	213, 213, -1, 213, -1, -1, -1, -1, 
	-1, 223, 223, 223, -1, -1, -1, -1, 
	-1, -1, -1, 223, -1, -1, -1, -1, 
	-1, -1, 223, 223, 223, 223, 223, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 223, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 213, 213, 213, 213, -1, -1, 
	213, 213, 213, 213, 213, 213, -1, -1, 
	-1, -1, 213, 213, 213, 213, 213, 213, 
	213, -1, -1, -1, -1, 213, -1, -1, 
	-1, -1, 213, 213, -1, -1, 213, 213, 
	213, -1, 213, 213, -1, -1, 213, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 213, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 213, 213, 
	213, 213, 213, 213, 213, 213, -1, 213, 
	213, 213, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 250, 250, 250, 
	250, 250, 250, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	250, 213, 213, 213, 213, 213, -1, -1, 
	-1, 250, 250, 250, 250, 250, -1, 250, 
	213, 250, 213, -1, -1, 213, 250, -1, 
	-1, 250, 250, -1, -1, -1, -1, -1, 
	250, 250, -1, -1, -1, 250, 250, 250, 
	-1, -1, -1, -1, 250, 250, 250, 250, 
	250, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	250, 250, 250, -1, -1, 250, 250, -1, 
	-1, 250, 250, -1, -1, -1, -1, 250, 
	250, 250, -1, 250, 250, 250, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 250, 
	250, -1, -1, 250, 250, 250, -1, 250, 
	250, -1, 213, 250, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 321, 321, 321, 321, 321, 321, -1, 
	321, 321, -1, -1, -1, 250, 250, -1, 
	-1, -1, -1, 321, 321, 321, 321, 321, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 321, -1, -1, -1, 321, -1, 
	-1, -1, 321, 321, 321, 321, 321, -1, 
	-1, -1, -1, 321, 321, 321, -1, -1, 
	208, 208, 321, 321, -1, 321, 321, 321, 
	321, -1, 250, 208, 208, 208, 208, 208, 
	321, 208, 208, 208, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 321, 321, 
	321, -1, 321, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 208, 208, 208, 208, 229, 
	229, 229, 229, 229, 229, 229, 229, 229, 
	229, 229, 229, 229, 229, 229, 229, 229, 
	229, 229, 229, 229, 229, 229, 229, 229, 
	229, 229, -1, 229, 229, 229, 229, 229, 
	-1, 229, -1, 229, 229, 229, 229, -1, 
	229, -1, 229, 229, 229, 229, 229, 229, 
	229, 229, 229, 229, 229, 229, 229, 229, 
	229, 229, -1, 229, 229, 229, 229, 229, 
	229, 229, 229, 229, 229, 229, 229, 229, 
	229, 229, -1, 229, -1, -1, 229, -1, 
	229, 229, 229, 229, 229, -1, -1, 229, 
	229, 229, 229, 229, 229, 229, 229, 229, 
	229, 229, 229, 229, 229, 229, 229, -1, 
	-1, -1, 223, 223, 229, -1, -1, -1, 
	-1, -1, -1, 223, -1, -1, -1, -1, 
	321, 321, 321, 321, 321, -1, 321, 321, 
	321, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 223, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	321, 321, 321, 321, 321, -1, -1, -1, 
	-1, 229, 229, 229, 229, -1, -1, 229, 
	229, 229, 229, 229, 229, -1, -1, -1, 
	-1, 229, 229, 229, 229, 229, 229, 229, 
	-1, -1, -1, -1, 229, -1, -1, -1, 
	-1, 229, 229, -1, -1, 229, 229, 229, 
	-1, 229, 229, -1, -1, 229, -1, -1, 
	-1, -1, -1, -1, -1, -1, 229, 229, 
	229, 229, 229, 229, 229, -1, -1, -1, 
	229, 229, 229, -1, -1, 229, 229, 229, 
	229, 229, 229, 229, 229, 229, 229, 229, 
	229, -1, -1, -1, 229, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 229, 
	229, 229, -1, -1, 229, -1, -1, -1, 
	-1, 229, -1, -1, -1, -1, 229, -1, 
	229, 229, 229, 229, 229, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 229, 
	-1, 229, -1, -1, 229, -1, 229, 229, 
	-1, -1, -1, 229, -1, 229, -1, 229, 
	240, 240, 240, 240, 240, 240, 240, 240, 
	240, 240, 240, 240, 240, 240, 240, 240, 
	240, 240, 240, 240, 240, 240, 240, 240, 
	240, 240, 240, -1, 240, 240, 240, 240, 
	240, -1, 240, -1, 240, 240, 240, 240, 
	-1, 240, -1, 240, 240, 240, -1, 240, 
	240, 240, 240, 240, 240, 240, 240, 240, 
	240, 240, 240, -1, 240, 240, 240, 240, 
	240, 240, 240, 240, 240, 240, 240, 240, 
	240, 240, 240, -1, 240, -1, -1, -1, 
	-1, 240, 240, 240, 240, 240, -1, -1, 
	240, 240, 240, 240, 240, 240, 240, 240, 
	240, 240, 240, 240, 240, 240, 240, 240, 
	-1, -1, -1, -1, -1, 240, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	250, 250, 250, -1, -1, 250, 250, -1, 
	-1, 250, 250, -1, -1, -1, -1, 250, 
	250, 250, -1, 250, 250, 250, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 250, 
	250, -1, -1, 250, 250, 250, -1, 250, 
	250, 229, -1, 250, -1, -1, -1, -1, 
	-1, -1, 240, 240, 240, 240, -1, -1, 
	240, 240, 240, 240, 240, 240, -1, -1, 
	-1, -1, 240, 240, 240, 240, 240, 240, 
	240, -1, -1, -1, -1, 240, -1, -1, 
	-1, -1, 240, 240, -1, -1, 240, 240, 
	240, -1, 240, 240, -1, -1, 240, -1, 
	-1, -1, -1, -1, -1, -1, -1, 240, 
	240, 240, 240, 240, 240, 240, -1, -1, 
	-1, 240, 240, 240, -1, -1, 240, 240, 
	240, 240, 240, 240, 240, 240, -1, 240, 
	240, 240, 250, -1, -1, 240, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	240, 240, 240, -1, -1, 240, -1, -1, 
	-1, -1, 240, -1, -1, -1, -1, 240, 
	-1, 240, 240, 240, 240, 240, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	240, -1, 240, -1, -1, 240, -1, 240, 
	240, -1, -1, -1, 240, -1, 240, -1, 
	240, 241, 241, 241, 241, 241, 241, 241, 
	241, 241, 241, 241, 241, 241, 241, 241, 
	241, 241, 241, 241, 241, 241, 241, 241, 
	241, 241, 241, 241, -1, 241, 241, 241, 
	241, 241, -1, 241, -1, 241, 241, 241, 
	241, -1, 241, -1, 241, 241, 241, -1, 
	241, 241, 241, 241, 241, 241, 241, 241, 
	241, 241, 241, 241, -1, 241, 241, 241, 
	241, 241, 241, 241, 241, 241, 241, 241, 
	241, 241, 241, 241, -1, 241, -1, -1, 
	-1, -1, 241, 241, 241, 241, 241, -1, 
	-1, 241, 241, 241, 241, 241, 241, 241, 
	241, 241, 241, 241, 241, 241, 241, 241, 
	241, -1, -1, -1, -1, -1, 241, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 240, -1, -1, -1, -1, -1, 
	-1, -1, -1, 241, 241, 241, 241, -1, 
	-1, 241, 241, 241, 241, 241, 241, -1, 
	-1, -1, -1, 241, 241, 241, 241, 241, 
	241, 241, -1, -1, -1, -1, 241, -1, 
	-1, -1, -1, 241, 241, -1, -1, 241, 
	241, 241, -1, 241, 241, -1, -1, 241, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	241, 241, 241, 241, 241, 241, 241, -1, 
	-1, -1, 241, 241, 241, 241, -1, 241, 
	241, 241, 241, 241, 241, 241, 241, -1, 
	241, 241, 241, -1, -1, -1, 241, -1, 
	-1, -1, -1, -1, -1, -1, 241, -1, 
	-1, 241, 241, 241, -1, -1, 241, -1, 
	-1, -1, -1, 241, -1, -1, -1, -1, 
	241, -1, 241, 241, 241, 241, 241, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 241, -1, 241, -1, -1, 241, -1, 
	241, 241, -1, -1, -1, 241, -1, 241, 
	-1, 241, 242, 242, 242, 242, 242, 242, 
	242, 242, 242, 242, 242, 242, 242, 242, 
	242, 242, 242, 242, 242, 242, 242, 242, 
	242, 242, 242, 242, 242, -1, 242, 242, 
	242, 242, 242, -1, 242, -1, 242, 242, 
	242, 242, -1, 242, -1, 242, 242, 242, 
	-1, 242, 242, 242, 242, 242, 242, 242, 
	242, 242, 242, 242, 242, -1, 242, 242, 
	242, 242, 242, 242, 242, 242, 242, 242, 
	242, 242, 242, 242, 242, -1, 242, -1, 
	-1, -1, -1, 242, 242, 242, 242, 242, 
	-1, -1, 242, 242, 242, 242, 242, 242, 
	242, 242, 242, 242, 242, 242, 242, 242, 
	242, 242, -1, -1, -1, -1, -1, 242, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 241, -1, -1, -1, -1, 
	-1, -1, -1, -1, 242, 242, 242, 242, 
	-1, -1, 242, 242, 242, 242, 242, 242, 
	-1, -1, -1, -1, 242, 242, 242, 242, 
	242, 242, 242, -1, -1, -1, -1, 242, 
	-1, -1, -1, -1, 242, 242, -1, -1, 
	242, 242, 242, -1, 242, 242, -1, -1, 
	242, -1, -1, -1, -1, -1, -1, -1, 
	-1, 242, 242, 242, 242, 242, 242, 242, 
	-1, -1, -1, 242, 242, 242, 242, -1, 
	242, 242, 242, 242, 242, 242, 242, 242, 
	-1, 242, 242, 242, -1, -1, -1, 242, 
	-1, -1, -1, -1, -1, -1, -1, 242, 
	-1, -1, 242, 242, 242, -1, -1, 242, 
	-1, -1, -1, -1, 242, -1, -1, -1, 
	-1, 242, -1, 242, 242, 242, 242, 242, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 242, -1, 242, -1, -1, 242, 
	-1, 242, 242, -1, -1, -1, 242, -1, 
	242, -1, 242, -1, -1, -1, -1, -1, 
	-1, 247, 247, 247, 247, 247, 247, 247, 
	247, 247, 247, 247, 247, 247, 247, 247, 
	247, 247, 247, 247, 247, 247, 247, 247, 
	247, 247, 247, 247, -1, 247, 247, 247, 
	247, 247, -1, 247, -1, 247, 247, 247, 
	247, -1, 247, -1, 247, 247, 247, 247, 
	247, 247, 247, 247, 247, 247, 247, 247, 
	247, 247, 247, 247, -1, 247, 247, 247, 
	247, 247, 247, 247, 247, 247, 247, 247, 
	247, 247, 247, 247, -1, 247, -1, -1, 
	247, -1, 247, 247, 247, 247, 247, -1, 
	-1, 247, 247, 247, 247, 247, 247, 247, 
	247, 247, 247, 247, 247, 247, 247, 247, 
	247, -1, -1, -1, -1, -1, 247, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 242, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 247, 247, 247, 247, -1, 
	-1, 247, 247, 247, 247, 247, 247, -1, 
	-1, -1, -1, 247, 247, 247, 247, 247, 
	247, 247, -1, -1, -1, -1, 247, -1, 
	-1, -1, -1, 247, 247, -1, -1, 247, 
	247, 247, -1, 247, 247, -1, -1, 247, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	247, 247, 247, 247, 247, 247, 247, -1, 
	-1, -1, 247, 247, 247, -1, 241, 247, 
	247, 247, 247, 247, 247, 247, 247, 247, 
	247, 247, 247, -1, -1, -1, 247, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 247, 247, 247, -1, -1, 247, -1, 
	-1, -1, -1, 247, -1, -1, -1, -1, 
	247, -1, 247, 247, 247, 247, 247, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 247, -1, 247, -1, -1, 247, -1, 
	247, 247, -1, -1, -1, 247, -1, 247, 
	-1, 247, 248, 248, 248, 248, 248, 248, 
	248, 248, 248, 248, 248, 248, 248, 248, 
	248, 248, 248, 248, 248, 248, 248, 248, 
	248, 248, 248, 248, 248, -1, 248, 248, 
	248, 248, 248, -1, 248, -1, 248, 248, 
	248, 248, -1, 248, -1, 248, 248, 248, 
	248, 248, 248, 248, 248, 248, 248, 248, 
	248, 248, 248, 248, 248, -1, 248, 248, 
	248, 248, 248, 248, 248, 248, 248, 248, 
	248, 248, 248, 248, 248, -1, 248, -1, 
	-1, 248, -1, 248, 248, 248, 248, 248, 
	-1, -1, 248, 248, 248, 248, 248, 248, 
	248, 248, 248, 248, 248, 248, 248, 248, 
	248, 248, -1, -1, -1, -1, -1, 248, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 247, -1, -1, -1, -1, 
	-1, -1, -1, -1, 248, 248, 248, 248, 
	-1, -1, 248, 248, 248, 248, 248, 248, 
	-1, -1, -1, -1, 248, 248, 248, 248, 
	248, 248, 248, -1, -1, -1, -1, 248, 
	-1, -1, -1, -1, 248, 248, -1, -1, 
	248, 248, 248, -1, 248, 248, -1, -1, 
	248, -1, -1, -1, -1, -1, -1, -1, 
	-1, 248, 248, 248, 248, 248, 248, 248, 
	-1, -1, -1, 248, 248, 248, -1, -1, 
	248, 248, 248, 248, 248, 248, 248, 248, 
	248, 248, 248, 248, -1, -1, -1, 248, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 248, 248, 248, -1, -1, 248, 
	-1, -1, -1, -1, 248, -1, -1, -1, 
	-1, 248, -1, 248, 248, 248, 248, 248, 
	-1, -1, -1, -1, 251, 251, 251, 251, 
	251, 251, 248, -1, 248, -1, -1, 248, 
	-1, 248, 248, -1, -1, -1, 248, 251, 
	248, -1, 248, -1, -1, -1, -1, -1, 
	251, 251, 251, 251, 251, -1, 251, -1, 
	251, -1, -1, -1, -1, 251, -1, -1, 
	251, 251, -1, -1, -1, -1, -1, 251, 
	251, -1, -1, -1, 251, 251, 251, -1, 
	-1, -1, -1, 251, 251, 251, 251, 251, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 252, 252, 252, 
	252, 252, 252, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	252, -1, -1, -1, -1, -1, -1, -1, 
	-1, 252, 252, 252, 252, 252, -1, 252, 
	-1, 252, -1, -1, -1, -1, 252, -1, 
	-1, 252, 252, -1, -1, -1, -1, -1, 
	252, 252, -1, -1, -1, 252, 252, 252, 
	-1, -1, -1, -1, 252, 252, 252, 252, 
	252, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 251, 
	251, 251, -1, -1, 251, 251, -1, -1, 
	251, 251, -1, -1, 248, -1, 251, 251, 
	251, -1, 251, 251, 251, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 251, 251, 
	-1, -1, 251, 251, 251, -1, 251, 251, 
	-1, -1, 251, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 251, 251, -1, 247, 
	252, 252, 252, -1, -1, 252, 252, -1, 
	-1, 252, 252, -1, -1, -1, -1, 252, 
	252, 252, -1, 252, 252, 252, -1, 253, 
	253, 253, 253, 253, 253, -1, -1, 252, 
	252, -1, -1, 252, 252, 252, -1, 252, 
	252, -1, 253, 252, -1, -1, -1, -1, 
	-1, 251, -1, 253, 253, 253, 253, 253, 
	-1, 253, -1, 253, -1, -1, -1, -1, 
	253, -1, -1, 253, 253, -1, -1, -1, 
	-1, -1, 253, 253, -1, 252, 252, 253, 
	253, 253, -1, -1, -1, -1, 253, 253, 
	253, 253, 253, -1, -1, 254, 254, 254, 
	254, 254, 254, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	254, -1, -1, -1, -1, -1, -1, -1, 
	-1, 254, 254, 254, 254, 254, -1, 254, 
	-1, 254, 252, -1, -1, -1, 254, -1, 
	-1, 254, 254, -1, -1, -1, -1, -1, 
	254, 254, -1, -1, -1, 254, 254, 254, 
	-1, -1, -1, -1, 254, 254, 254, 254, 
	254, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 253, 253, 253, -1, -1, 253, 
	253, -1, -1, 253, 253, -1, -1, -1, 
	-1, 253, 253, 253, -1, 253, 253, 253, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 253, 253, -1, -1, 253, 253, 253, 
	-1, 253, 253, -1, -1, 253, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	254, 254, 254, -1, -1, 254, 254, 253, 
	253, 254, 254, -1, -1, -1, -1, 254, 
	254, 254, -1, 254, 254, 254, -1, 255, 
	255, 255, 255, 255, 255, -1, -1, 254, 
	254, -1, -1, 254, 254, 254, -1, 254, 
	254, -1, 255, 254, -1, -1, -1, -1, 
	248, -1, -1, 255, 255, 255, 255, 255, 
	-1, 255, -1, 255, 253, -1, -1, -1, 
	255, -1, -1, 255, 255, -1, -1, -1, 
	-1, -1, 255, 255, -1, 254, 254, 255, 
	255, 255, -1, -1, -1, -1, 255, 255, 
	255, 255, 255, -1, -1, 256, 256, 256, 
	256, 256, 256, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	256, -1, -1, -1, -1, -1, -1, -1, 
	-1, 256, 256, 256, 256, 256, -1, 256, 
	-1, 256, 254, -1, -1, -1, 256, -1, 
	-1, 256, 256, -1, -1, -1, -1, -1, 
	256, 256, -1, -1, -1, 256, 256, 256, 
	-1, -1, -1, -1, 256, 256, 256, 256, 
	256, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 255, 255, 255, -1, -1, 255, 
	255, -1, -1, 255, 255, -1, -1, -1, 
	-1, 255, 255, 255, -1, 255, 255, 255, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 255, 255, -1, -1, 255, 255, 255, 
	-1, 255, 255, -1, -1, 255, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	256, 256, 256, -1, -1, 256, 256, 255, 
	255, 256, 256, -1, -1, -1, -1, 256, 
	256, 256, -1, 256, 256, 256, -1, 257, 
	257, 257, 257, 257, 257, -1, -1, 256, 
	256, -1, -1, 256, 256, 256, -1, 256, 
	256, -1, 257, 256, -1, -1, -1, -1, 
	-1, -1, -1, 257, 257, 257, 257, 257, 
	-1, 257, -1, 257, 255, -1, -1, -1, 
	257, -1, -1, 257, 257, -1, -1, -1, 
	-1, -1, 257, 257, -1, 256, 256, 257, 
	257, 257, -1, -1, -1, -1, 257, 257, 
	257, 257, 257, -1, -1, 258, 258, 258, 
	258, 258, 258, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	258, -1, -1, -1, -1, -1, -1, -1, 
	-1, 258, 258, 258, 258, 258, -1, 258, 
	-1, 258, 256, -1, -1, -1, 258, -1, 
	-1, 258, 258, -1, -1, -1, -1, -1, 
	258, 258, -1, -1, -1, 258, 258, 258, 
	-1, -1, -1, -1, 258, 258, 258, 258, 
	258, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 257, 257, 257, -1, -1, 257, 
	257, -1, -1, 257, 257, -1, -1, -1, 
	-1, 257, 257, 257, -1, 257, 257, 257, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 257, 257, -1, -1, 257, 257, 257, 
	-1, 257, 257, -1, -1, 257, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	258, 258, 258, -1, -1, 258, 258, 257, 
	257, 258, 258, -1, -1, -1, -1, 258, 
	258, 258, -1, 258, 258, 258, -1, 259, 
	259, 259, 259, 259, 259, -1, -1, 258, 
	258, -1, -1, 258, 258, 258, -1, 258, 
	258, -1, 259, 258, -1, -1, -1, -1, 
	-1, -1, -1, 259, 259, 259, 259, 259, 
	-1, 259, -1, 259, 257, -1, -1, -1, 
	259, -1, -1, 259, 259, -1, -1, -1, 
	-1, -1, 259, 259, -1, 258, 258, 259, 
	259, 259, -1, -1, -1, -1, 259, 259, 
	259, 259, 259, -1, -1, 260, 260, 260, 
	260, 260, 260, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	260, -1, -1, -1, -1, -1, -1, -1, 
	-1, 260, 260, 260, 260, 260, -1, 260, 
	-1, 260, 258, -1, -1, -1, 260, -1, 
	-1, 260, 260, -1, -1, -1, -1, -1, 
	260, 260, -1, -1, -1, 260, 260, 260, 
	-1, -1, -1, -1, 260, 260, 260, 260, 
	260, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 259, 259, 259, -1, -1, 259, 
	259, -1, -1, 259, 259, -1, -1, -1, 
	-1, 259, 259, 259, -1, 259, 259, 259, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 259, 259, -1, -1, 259, 259, 259, 
	-1, 259, 259, -1, -1, 259, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	260, 260, 260, -1, -1, 260, 260, 259, 
	259, 260, 260, -1, -1, -1, -1, 260, 
	260, 260, -1, 260, 260, 260, -1, 261, 
	261, 261, 261, 261, 261, -1, -1, 260, 
	260, -1, -1, 260, 260, 260, -1, 260, 
	260, -1, 261, 260, -1, -1, -1, -1, 
	-1, -1, -1, 261, 261, 261, 261, 261, 
	-1, 261, -1, 261, 259, -1, -1, -1, 
	261, -1, -1, 261, 261, -1, -1, -1, 
	-1, -1, 261, 261, -1, 260, 260, 261, 
	261, 261, -1, -1, -1, -1, 261, 261, 
	261, 261, 261, -1, -1, 262, 262, 262, 
	262, 262, 262, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	262, -1, -1, -1, -1, -1, -1, -1, 
	-1, 262, 262, 262, 262, 262, -1, 262, 
	-1, 262, 260, -1, -1, -1, 262, -1, 
	-1, 262, 262, -1, -1, -1, -1, -1, 
	262, 262, -1, -1, -1, 262, 262, 262, 
	-1, -1, -1, -1, 262, 262, 262, 262, 
	262, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 261, 261, 261, -1, -1, 261, 
	261, -1, -1, 261, 261, -1, -1, -1, 
	-1, 261, 261, 261, -1, 261, 261, 261, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 261, 261, -1, -1, 261, 261, 261, 
	-1, 261, 261, -1, -1, 261, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	262, 262, 262, -1, -1, 262, 262, 261, 
	261, 262, 262, -1, -1, -1, -1, 262, 
	262, 262, -1, 262, 262, 262, -1, 263, 
	263, 263, 263, 263, 263, -1, -1, 262, 
	262, -1, -1, 262, 262, 262, -1, 262, 
	262, -1, 263, 262, -1, -1, -1, -1, 
	-1, -1, -1, 263, 263, 263, 263, 263, 
	-1, 263, -1, 263, 261, -1, -1, -1, 
	263, -1, -1, 263, 263, -1, -1, -1, 
	-1, -1, 263, 263, -1, 262, 262, 263, 
	263, 263, -1, -1, -1, -1, 263, 263, 
	263, 263, 263, -1, -1, 264, 264, 264, 
	264, 264, 264, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	264, -1, -1, -1, -1, -1, -1, -1, 
	-1, 264, 264, 264, 264, 264, -1, 264, 
	-1, 264, 262, -1, -1, -1, 264, -1, 
	-1, 264, 264, -1, -1, -1, -1, -1, 
	264, 264, -1, -1, -1, 264, 264, 264, 
	-1, -1, -1, -1, 264, 264, 264, 264, 
	264, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 263, 263, 263, -1, -1, 263, 
	263, -1, -1, 263, 263, -1, -1, -1, 
	-1, 263, 263, 263, -1, 263, 263, 263, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 263, 263, -1, -1, 263, 263, 263, 
	-1, 263, 263, -1, -1, 263, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	264, 264, 264, -1, -1, 264, 264, 263, 
	263, 264, 264, -1, -1, -1, -1, 264, 
	264, 264, -1, 264, 264, 264, -1, 265, 
	265, 265, 265, 265, 265, -1, -1, 264, 
	264, -1, -1, 264, 264, 264, -1, 264, 
	264, -1, 265, 264, -1, -1, -1, -1, 
	-1, -1, -1, 265, 265, 265, 265, 265, 
	-1, 265, -1, 265, 263, -1, -1, -1, 
	265, -1, -1, 265, 265, -1, -1, -1, 
	-1, -1, 265, 265, -1, 264, 264, 265, 
	265, 265, -1, -1, -1, -1, 265, 265, 
	265, 265, 265, -1, -1, 266, 266, 266, 
	266, 266, 266, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	266, -1, -1, -1, -1, -1, -1, -1, 
	-1, 266, 266, 266, 266, 266, -1, 266, 
	-1, 266, 264, -1, -1, -1, 266, -1, 
	-1, 266, 266, -1, -1, -1, -1, -1, 
	266, 266, -1, -1, -1, 266, 266, 266, 
	-1, -1, -1, -1, 266, 266, 266, 266, 
	266, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 265, 265, 265, -1, -1, 265, 
	265, -1, -1, 265, 265, -1, -1, -1, 
	-1, 265, 265, 265, -1, 265, 265, 265, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 265, 265, -1, -1, 265, 265, 265, 
	-1, 265, 265, -1, -1, 265, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	266, 266, 266, -1, -1, 266, 266, 265, 
	265, 266, 266, -1, -1, -1, -1, 266, 
	266, 266, -1, 266, 266, 266, -1, 267, 
	267, 267, 267, 267, 267, -1, -1, 266, 
	266, -1, -1, 266, 266, 266, -1, 266, 
	266, -1, 267, 266, -1, -1, -1, -1, 
	-1, -1, -1, 267, 267, 267, 267, 267, 
	-1, 267, -1, 267, 265, -1, -1, -1, 
	267, -1, -1, 267, 267, -1, -1, -1, 
	-1, -1, 267, 267, -1, 266, 266, 267, 
	267, 267, -1, -1, -1, -1, 267, 267, 
	267, 267, 267, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 266, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 267, 267, 267, -1, -1, 267, 
	267, -1, -1, 267, 267, -1, -1, -1, 
	-1, 267, 267, 267, -1, 267, 267, 267, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 267, 267, -1, -1, 267, 267, 267, 
	-1, 267, 267, -1, -1, 267, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 267, 
	267, -1, -1, -1, -1, -1, 275, 275, 
	275, 275, 275, 275, 275, 275, 275, 275, 
	275, 275, 275, 275, 275, 275, 275, 275, 
	275, 275, 275, 275, 275, 275, 275, 275, 
	275, -1, 275, 275, 275, 275, 275, -1, 
	275, -1, 275, 275, 275, 275, -1, 275, 
	-1, 275, 275, 275, 267, 275, 275, 275, 
	275, 275, 275, 275, 275, 275, 275, 275, 
	275, -1, 275, 275, 275, 275, 275, 275, 
	275, 275, 275, -1, 275, 275, 275, 275, 
	-1, -1, -1, -1, -1, -1, -1, 275, 
	-1, -1, 275, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 275, 275, 275, 
	-1, 275, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	275, 275, 275, 275, -1, -1, 275, 275, 
	-1, 275, 275, 275, -1, -1, -1, -1, 
	275, 275, 275, -1, 275, 275, 275, -1, 
	-1, -1, -1, 275, -1, -1, -1, -1, 
	275, -1, -1, -1, 275, 275, 275, -1, 
	275, 275, -1, -1, 275, -1, -1, -1, 
	-1, -1, -1, -1, -1, 275, 275, 275, 
	275, 275, 275, 275, -1, -1, -1, -1, 
	275, 275, -1, -1, 275, 275, 275, 275, 
	275, 275, 275, 275, -1, 275, 275, 275, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 275, 
	275, 275, 275, 275, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 275, -1, 
	-1, -1, -1, -1, -1, 275, 276, 276, 
	276, 276, 276, 276, 276, 276, 276, 276, 
	276, 276, 276, -1, -1, 276, 276, 276, 
	276, -1, -1, -1, 276, 276, 276, 276, 
	276, -1, -1, -1, -1, 276, 276, 276, 
	-1, -1, -1, 276, -1, -1, -1, 276, 
	276, -1, -1, 276, 276, 276, 276, 276, 
	-1, -1, -1, -1, 276, 276, 276, -1, 
	-1, -1, -1, 276, 276, -1, 276, 276, 
	276, 276, -1, -1, -1, -1, -1, -1, 
	-1, 276, -1, -1, 276, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 276, 
	276, 276, -1, 276, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 277, 277, 
	277, 277, 277, 277, 277, 277, 277, 277, 
	277, 277, 277, 277, 277, 277, 277, 277, 
	277, 277, 277, 277, 277, 277, 277, 277, 
	277, -1, 277, 277, 277, 277, 277, -1, 
	277, -1, 277, 277, 277, 277, -1, 277, 
	275, 277, 277, 277, -1, 277, 277, 277, 
	277, 277, 277, 277, 277, 277, 277, 277, 
	277, -1, 277, 277, 277, 277, 277, 277, 
	277, 277, 277, -1, 277, 277, 277, 277, 
	-1, -1, -1, -1, -1, -1, -1, 277, 
	-1, -1, 277, -1, -1, -1, -1, -1, 
	-1, -1, 276, -1, -1, 277, 277, 277, 
	-1, 277, 276, 276, 276, -1, 276, 276, 
	276, 276, 276, 276, 276, 276, -1, 276, 
	276, 276, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 276, 276, 276, 276, 276, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 276, 
	277, 277, 277, 277, -1, -1, 277, 277, 
	-1, 277, 277, 277, -1, -1, -1, -1, 
	277, 277, 277, -1, 277, 277, 277, -1, 
	-1, -1, -1, 277, -1, -1, -1, -1, 
	277, -1, -1, -1, 277, 277, 277, -1, 
	277, 277, -1, -1, 277, -1, -1, -1, 
	-1, -1, -1, -1, -1, 277, 277, 277, 
	277, 277, 277, 277, -1, -1, -1, -1, 
	277, 277, -1, -1, 277, 277, 277, 277, 
	277, 277, 277, 277, -1, 277, 277, 277, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 277, 
	277, 277, 277, 277, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 277, -1, 
	-1, -1, -1, -1, -1, 277, -1, -1, 
	-1, -1, -1, -1, -1, 278, 278, 278, 
	278, 278, 278, 278, 278, 278, 278, 278, 
	278, 278, 278, 278, 278, 278, 278, 278, 
	278, 278, 278, 278, 278, 278, 278, 278, 
	-1, 278, 278, 278, 278, 278, -1, 278, 
	-1, 278, 278, 278, 278, -1, 278, -1, 
	278, 278, 278, -1, 278, 278, 278, 278, 
	278, 278, 278, 278, 278, 278, 278, 278, 
	-1, 278, 278, 278, 278, 278, 278, 278, 
	278, 278, -1, 278, 278, 278, 278, -1, 
	-1, -1, -1, -1, -1, -1, 278, -1, 
	-1, 278, -1, -1, -1, -1, -1, -1, 
	-1, 275, 275, 275, 278, 278, 278, -1, 
	278, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	277, -1, -1, -1, -1, -1, -1, 278, 
	278, 278, 278, -1, -1, 278, 278, -1, 
	278, 278, 278, -1, -1, -1, -1, 278, 
	278, 278, -1, 278, 278, 278, -1, -1, 
	-1, -1, 278, -1, -1, -1, -1, 278, 
	-1, -1, -1, 278, 278, 278, -1, 278, 
	278, -1, -1, 278, -1, -1, -1, -1, 
	-1, -1, -1, -1, 278, 278, 278, 278, 
	278, 278, 278, -1, -1, -1, -1, 278, 
	278, -1, -1, 278, 278, 278, 278, 278, 
	278, 278, 278, -1, 278, 278, 278, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 278, 278, 
	278, 278, 278, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 278, -1, -1, 
	-1, -1, -1, -1, 278, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 276, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 276, -1, 276, 276, 
	276, 276, 276, 276, 276, 276, -1, 276, 
	276, 276, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 276, 276, 276, 276, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 276, 
	-1, -1, -1, -1, -1, -1, -1, 278, 
	285, 285, 285, 285, 285, 285, 285, 285, 
	285, 285, 285, 285, 285, 285, 285, 285, 
	-1, 285, 285, 285, 285, 285, 285, 285, 
	285, -1, -1, -1, 285, 285, 285, 285, 
	285, -1, 285, -1, 285, 285, 285, 285, 
	-1, 285, -1, 285, 285, 285, -1, 285, 
	285, -1, -1, 285, 285, 285, 285, 285, 
	285, 285, 285, -1, 285, 285, 285, 285, 
	285, 285, 285, 285, 285, -1, 285, 285, 
	285, 285, -1, -1, -1, -1, -1, -1, 
	-1, 285, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 285, 
	285, 285, -1, 285, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 285, 285, 285, 285, -1, -1, 
	285, 285, 285, 285, 285, 285, -1, -1, 
	-1, -1, 285, 285, 285, 285, 285, 285, 
	285, -1, -1, -1, -1, 285, -1, -1, 
	-1, -1, 285, -1, -1, -1, 285, 285, 
	285, -1, 285, 285, -1, -1, 285, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 285, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 285, 285, 
	285, 285, 285, 285, 285, 285, -1, 285, 
	285, 285, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 285, 285, 285, 285, 285, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	285, -1, 285, 286, 286, 286, 286, 286, 
	286, 286, 286, 286, 286, 286, 286, 286, 
	286, 286, 286, -1, 286, 286, 286, 286, 
	286, 286, 286, 286, -1, -1, -1, 286, 
	286, 286, 286, 286, -1, 286, -1, 286, 
	286, 286, 286, -1, 286, -1, 286, 286, 
	286, -1, 286, 286, -1, -1, 286, 286, 
	286, 286, 286, 286, 286, 286, -1, 286, 
	286, 286, 286, 286, 286, 286, 286, 286, 
	-1, 286, 286, 286, 286, -1, -1, -1, 
	-1, -1, -1, -1, 286, -1, 333, 333, 
	333, 333, 333, 333, -1, -1, -1, -1, 
	-1, -1, 286, 286, 286, -1, 286, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 333, 333, 333, 333, 333, -1, 
	333, -1, 333, -1, -1, -1, -1, 333, 
	-1, -1, 333, -1, -1, -1, -1, -1, 
	-1, 333, 333, -1, -1, -1, 333, 333, 
	333, -1, -1, -1, -1, 333, 333, 333, 
	-1, 333, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 286, 286, 286, 
	286, -1, 285, 286, 286, 286, 286, 286, 
	286, -1, -1, -1, -1, 286, 286, 286, 
	286, 286, 286, 286, -1, -1, -1, -1, 
	286, -1, -1, -1, -1, 286, 286, -1, 
	-1, 286, 286, 286, -1, 286, 286, -1, 
	-1, 286, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 286, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 286, 286, 286, 286, 286, 286, 286, 
	286, -1, 286, 286, 286, -1, -1, -1, 
	-1, -1, 333, 333, -1, -1, 333, 333, 
	333, 333, -1, 333, -1, -1, -1, -1, 
	333, 333, 333, 333, 333, 333, 333, -1, 
	-1, -1, -1, -1, 286, 286, 286, 286, 
	286, -1, -1, -1, 333, 333, 333, -1, 
	333, 333, -1, 286, 333, 286, -1, -1, 
	286, 290, 290, 290, 290, 290, 290, 290, 
	290, 290, 290, 290, 290, 290, -1, -1, 
	290, 290, 290, 290, 333, -1, -1, 290, 
	290, 290, 290, 290, -1, -1, 333, 333, 
	290, 290, 290, -1, -1, -1, 290, -1, 
	-1, -1, 290, 290, -1, -1, 290, 290, 
	290, 290, 290, -1, -1, -1, -1, 290, 
	290, 290, -1, -1, -1, -1, 290, 290, 
	-1, 290, 290, 290, 290, -1, -1, -1, 
	-1, -1, -1, -1, 290, -1, -1, 290, 
	333, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 290, 290, 290, -1, 290, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 291, 291, 291, 291, 291, 291, 
	291, 291, 291, 291, 291, 291, 291, 291, 
	291, 291, -1, 291, 291, 291, 291, 291, 
	291, 291, 291, -1, -1, -1, 291, 291, 
	291, 291, 291, -1, 291, -1, 291, 291, 
	291, 291, -1, 291, -1, 291, 291, 291, 
	-1, 291, 291, -1, -1, 291, 291, 291, 
	291, 291, 291, 291, 291, 286, 291, 291, 
	291, 291, 291, 291, 291, 291, 291, -1, 
	291, 291, 291, 291, -1, -1, -1, -1, 
	-1, -1, -1, 291, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 291, 291, 291, -1, 291, -1, -1, 
	-1, -1, -1, -1, -1, 290, -1, -1, 
	-1, -1, -1, -1, -1, 290, 290, -1, 
	-1, 290, 290, 290, 290, 290, 290, 290, 
	290, -1, 290, 290, 290, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 290, 290, 290, 290, 
	290, -1, -1, -1, 291, 291, 291, 291, 
	-1, -1, 291, 291, -1, 291, 291, 291, 
	-1, -1, 290, -1, 291, 291, 291, -1, 
	291, 291, 291, -1, -1, -1, -1, 291, 
	-1, -1, -1, -1, 291, 291, -1, -1, 
	291, 291, 291, -1, 291, 291, -1, -1, 
	291, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 291, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	291, 291, 291, 291, 291, 291, 291, 291, 
	-1, 291, 291, 291, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 291, 291, 291, 291, 291, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 291, -1, -1, -1, -1, 291, 
	-1, -1, -1, 293, 293, 293, 293, 293, 
	293, 293, 293, 293, 293, 293, 293, 293, 
	293, 293, 293, 293, 293, 293, 293, 293, 
	293, 293, 293, 293, 293, 293, -1, 293, 
	293, 293, 293, 293, -1, 293, -1, 293, 
	293, 293, 293, -1, 293, -1, 293, 293, 
	293, -1, 293, 293, 293, 293, 293, 293, 
	293, 293, 293, 293, 293, 293, -1, 293, 
	293, 293, 293, 293, 293, 293, 293, 293, 
	-1, 293, 293, 293, 293, -1, -1, -1, 
	-1, -1, -1, -1, 293, -1, -1, 293, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 293, 293, 293, -1, 293, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 291, 293, 293, 293, 
	293, -1, -1, 293, 293, -1, 293, 293, 
	293, -1, -1, -1, -1, 293, 293, 293, 
	-1, 293, 293, 293, -1, -1, -1, -1, 
	293, -1, -1, -1, -1, 293, -1, -1, 
	-1, 293, 293, 293, -1, 293, 293, -1, 
	-1, 293, -1, -1, -1, -1, -1, -1, 
	-1, -1, 293, 293, 293, 293, 293, 293, 
	293, -1, -1, -1, -1, 293, 293, -1, 
	-1, 293, 293, 293, 293, 293, 293, 293, 
	293, -1, 293, 293, 293, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 293, 293, 293, 293, 
	293, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 293, -1, -1, -1, -1, 
	-1, -1, 293, -1, 295, 295, 295, 295, 
	295, 295, 295, 295, 295, 295, 295, 295, 
	295, 295, 295, 295, 295, 295, 295, 295, 
	295, 295, 295, 295, 295, 295, 295, -1, 
	295, 295, 295, 295, 295, -1, 295, -1, 
	295, 295, 295, 295, -1, 295, -1, 295, 
	295, 295, -1, 295, 295, 295, 295, 295, 
	295, 295, 295, 295, 295, 295, 295, -1, 
	295, 295, 295, 295, 295, 295, 295, 295, 
	295, -1, 295, 295, 295, 295, -1, -1, 
	-1, -1, -1, -1, -1, 295, -1, -1, 
	295, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 295, 295, 295, -1, 295, 
	-1, -1, -1, -1, -1, 290, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 290, 290, 290, 290, 290, 290, 290, 
	290, -1, 290, 290, 290, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 290, 290, 290, 290, 
	-1, -1, -1, -1, -1, 293, 295, 295, 
	295, 295, -1, -1, 295, 295, -1, 295, 
	295, 295, 290, -1, -1, -1, 295, 295, 
	295, -1, 295, 295, 295, -1, -1, -1, 
	-1, 295, -1, -1, -1, -1, 295, -1, 
	-1, -1, 295, 295, 295, -1, 295, 295, 
	-1, -1, 295, -1, -1, -1, -1, -1, 
	-1, -1, -1, 295, 295, 295, 295, 295, 
	295, 295, -1, -1, -1, -1, 295, 295, 
	-1, -1, 295, 295, 295, 295, 295, 295, 
	295, 295, -1, 295, 295, 295, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 295, 295, 295, 
	295, 295, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 295, -1, -1, -1, 
	-1, -1, -1, 295, -1, 296, 296, 296, 
	296, 296, 296, 296, 296, 296, 296, 296, 
	296, 296, 296, 296, 296, 296, 296, 296, 
	296, 296, 296, 296, 296, 296, 296, 296, 
	-1, 296, 296, 296, 296, 296, -1, 296, 
	-1, 296, 296, 296, 296, -1, 296, -1, 
	296, 296, 296, -1, 296, 296, 296, 296, 
	296, 296, 296, 296, 296, 296, 296, 296, 
	-1, 296, 296, 296, 296, 296, 296, 296, 
	296, 296, -1, 296, 296, 296, 296, -1, 
	-1, -1, -1, -1, -1, -1, 296, -1, 
	-1, 296, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 296, 296, 296, -1, 
	296, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 295, 296, 
	296, 296, 296, -1, -1, 296, 296, -1, 
	296, 296, 296, -1, -1, -1, -1, 296, 
	296, 296, -1, 296, 296, 296, -1, -1, 
	-1, -1, 296, -1, -1, -1, -1, 296, 
	-1, -1, -1, 296, 296, 296, -1, 296, 
	296, -1, -1, 296, -1, -1, -1, -1, 
	-1, -1, -1, -1, 296, 296, 296, 296, 
	296, 296, 296, -1, -1, -1, -1, 296, 
	296, -1, -1, 296, 296, 296, 296, 296, 
	296, 296, 296, -1, 296, 296, 296, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 296, 296, 
	296, 296, 296, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 296, -1, -1, 
	-1, -1, -1, -1, 296, 298, 298, 298, 
	298, 298, 298, 298, 298, 298, 298, -1, 
	298, 298, -1, -1, 298, 298, 298, 298, 
	-1, -1, -1, 298, 298, 298, 298, 298, 
	-1, -1, -1, -1, 298, 298, 298, -1, 
	-1, -1, 298, -1, -1, -1, 298, 298, 
	-1, -1, 298, 298, 298, 298, 298, -1, 
	-1, -1, -1, 298, 298, 298, -1, -1, 
	-1, -1, 298, 298, -1, 298, 298, 298, 
	298, -1, -1, -1, -1, -1, -1, -1, 
	298, -1, 298, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 298, 298, 
	298, -1, 298, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 303, 303, 303, 
	303, 303, 303, 303, 303, 303, 303, 303, 
	303, 303, 303, 303, 303, -1, 303, 303, 
	303, 303, 303, 303, 303, 303, -1, -1, 
	-1, 303, 303, 303, 303, 303, -1, 303, 
	-1, 303, 303, 303, 303, -1, 303, -1, 
	303, 303, 303, -1, 303, 303, -1, 296, 
	303, 303, 303, 303, 303, 303, 303, 303, 
	303, 303, 303, 303, 303, 303, 303, 303, 
	303, 303, 303, 303, 303, 303, 303, -1, 
	-1, -1, -1, -1, -1, -1, 303, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 303, 303, 303, -1, 
	303, 298, -1, 295, 295, 295, -1, -1, 
	298, -1, -1, -1, -1, 298, 298, 298, 
	298, 298, 298, 298, 298, -1, 298, 298, 
	298, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	298, 298, 298, 298, 298, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 303, 
	303, 303, 303, -1, -1, 303, 303, 303, 
	303, 303, 303, -1, -1, -1, -1, 303, 
	303, 303, 303, 303, 303, 303, -1, 303, 
	303, -1, 303, -1, -1, -1, -1, 303, 
	303, -1, -1, 303, 303, 303, -1, 303, 
	303, -1, -1, 303, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 303, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 303, 303, 303, 303, 303, 
	303, 303, 303, -1, 303, 303, 303, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 303, 303, 
	303, 303, 303, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 303, -1, 303, 
	-1, -1, 303, -1, -1, -1, 304, 304, 
	304, 304, 304, 304, 304, 304, 304, 304, 
	304, 304, 304, 304, 304, 304, -1, 304, 
	304, 304, 304, 304, 304, 304, 304, -1, 
	-1, -1, 304, 304, 304, 304, 304, -1, 
	304, -1, 304, 304, 304, 304, -1, 304, 
	-1, 304, 304, 304, -1, 304, 304, -1, 
	-1, 304, 304, 304, 304, 304, 304, 304, 
	304, 304, 304, 304, 304, 304, 304, 304, 
	304, 304, 304, 304, 304, 304, 304, 304, 
	-1, -1, -1, -1, -1, -1, -1, 304, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 304, 304, 304, 
	-1, 304, -1, 304, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 303, 
	304, 304, 304, 304, -1, -1, 304, 304, 
	304, 304, 304, 304, -1, -1, -1, -1, 
	304, 304, 304, 304, 304, 304, 304, -1, 
	304, 304, 304, 304, -1, -1, -1, -1, 
	304, 304, -1, -1, 304, 304, 304, -1, 
	304, 304, -1, -1, 304, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	304, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 304, 304, 304, 304, 
	304, 304, 304, 304, -1, 304, 304, 304, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 304, 
	304, 304, 304, 304, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 304, -1, 
	304, -1, -1, 304, -1, -1, -1, 306, 
	306, 306, 306, 306, 306, 306, 306, 306, 
	306, 306, 306, 306, 306, 306, 306, 306, 
	306, 306, 306, 306, 306, 306, 306, 306, 
	306, 306, -1, 306, 306, 306, 306, 306, 
	-1, 306, -1, 306, 306, 306, 306, 306, 
	306, -1, 306, 306, 306, -1, 306, 306, 
	306, 306, 306, 306, 306, 306, 306, 306, 
	306, 306, 306, 306, 306, 306, 306, 306, 
	306, 306, 306, 306, -1, 306, 306, 306, 
	306, -1, -1, -1, -1, -1, -1, -1, 
	306, -1, -1, 306, -1, -1, 306, -1, 
	-1, -1, -1, -1, -1, -1, 306, 306, 
	306, 298, 306, -1, -1, -1, -1, -1, 
	298, -1, -1, -1, -1, 298, 298, 298, 
	298, 298, 298, 298, 298, -1, 298, 298, 
	298, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 306, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	298, 298, 298, 298, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	304, 306, 306, 306, 306, -1, -1, 306, 
	306, 306, 306, 306, 306, -1, -1, -1, 
	-1, 306, 306, 306, 306, 306, 306, 306, 
	-1, -1, 306, -1, 306, -1, -1, -1, 
	-1, 306, 306, -1, 306, 306, 306, 306, 
	-1, 306, 306, -1, -1, 306, -1, -1, 
	-1, -1, -1, 306, -1, 306, 306, 306, 
	306, 306, 306, 306, 306, -1, -1, -1, 
	-1, 306, 306, -1, 306, 306, 306, 306, 
	306, 306, 306, 306, 306, -1, 306, 306, 
	306, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	306, 306, 306, 306, 306, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 306, 
	-1, 306, -1, -1, 306, 306, 306, -1, 
	309, 309, 309, 309, 309, 309, 309, 309, 
	309, 309, 309, 309, 309, 309, 309, 309, 
	309, 309, 309, 309, 309, 309, 309, 309, 
	309, 309, 309, -1, 309, 309, 309, 309, 
	309, -1, 309, -1, 309, 309, 309, 309, 
	-1, 309, -1, 309, 309, 309, -1, 309, 
	309, 309, 309, 309, 309, 309, 309, 309, 
	309, 309, 309, -1, 309, 309, 309, 309, 
	309, 309, 309, 309, 309, 309, 309, 309, 
	309, 309, 309, -1, 309, -1, -1, -1, 
	-1, 309, 309, 309, 309, 309, -1, -1, 
	309, 309, 309, 309, 309, 309, 309, 309, 
	309, 309, 309, 309, 309, 309, 309, 309, 
	-1, -1, -1, -1, -1, 309, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 306, 309, 309, 309, 309, -1, -1, 
	309, 309, 309, 309, 309, 309, -1, -1, 
	-1, -1, 309, 309, 309, 309, 309, 309, 
	309, -1, 304, -1, -1, 309, -1, -1, 
	-1, -1, 309, 309, -1, -1, 309, 309, 
	309, -1, 309, 309, -1, -1, 309, -1, 
	-1, -1, -1, -1, -1, -1, -1, 309, 
	309, 309, 309, 309, 309, 309, -1, -1, 
	-1, 309, 309, 309, -1, -1, 309, 309, 
	309, 309, 309, 309, 309, 309, -1, 309, 
	309, 309, -1, -1, -1, 309, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	309, 309, 309, -1, -1, 309, -1, -1, 
	-1, -1, 309, -1, -1, -1, -1, 309, 
	-1, 309, 309, 309, 309, 309, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	309, -1, 309, -1, -1, 309, -1, 309, 
	309, -1, -1, -1, 309, -1, 309, -1, 
	309, 310, 310, 310, 310, 310, 310, 310, 
	310, 310, 310, 310, 310, 310, 310, 310, 
	310, 310, 310, 310, 310, 310, 310, 310, 
	310, 310, 310, 310, -1, 310, 310, 310, 
	310, 310, -1, 310, -1, 310, 310, 310, 
	310, -1, 310, -1, 310, 310, 310, 310, 
	310, 310, 310, 310, 310, 310, 310, 310, 
	310, 310, 310, 310, -1, 310, 310, 310, 
	310, 310, 310, 310, 310, 310, 310, 310, 
	310, 310, 310, 310, -1, 310, -1, -1, 
	310, -1, 310, 310, 310, 310, 310, -1, 
	-1, 310, 310, 310, 310, 310, 310, 310, 
	310, 310, 310, 310, 310, 310, 310, 310, 
	310, -1, -1, -1, -1, -1, 310, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 309, -1, -1, -1, -1, -1, 
	-1, -1, -1, 310, 310, 310, 310, -1, 
	-1, 310, 310, 310, 310, 310, 310, -1, 
	-1, -1, -1, 310, 310, 310, 310, 310, 
	310, 310, -1, -1, -1, -1, 310, -1, 
	-1, -1, -1, 310, 310, -1, -1, 310, 
	310, 310, -1, 310, 310, -1, -1, 310, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	310, 310, 310, 310, 310, 310, 310, -1, 
	-1, -1, 310, 310, 310, 310, -1, 310, 
	310, 310, 310, 310, 310, 310, 310, 310, 
	310, 310, 310, -1, -1, -1, 310, 310, 
	-1, -1, -1, 310, 310, -1, 310, -1, 
	-1, 310, 310, 310, -1, -1, 310, -1, 
	310, 310, -1, 310, -1, 310, 310, -1, 
	310, -1, 310, 310, 310, 310, 310, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 310, -1, 310, -1, -1, 310, -1, 
	310, 310, -1, 310, -1, 310, -1, 310, 
	-1, 310, 311, 311, 311, 311, 311, 311, 
	311, 311, 311, 311, 311, 311, 311, 311, 
	311, 311, 311, 311, 311, 311, 311, 311, 
	311, 311, 311, 311, 311, -1, 311, 311, 
	311, 311, 311, -1, 311, -1, 311, 311, 
	311, 311, -1, 311, -1, 311, 311, 311, 
	311, 311, 311, 311, 311, 311, 311, 311, 
	311, 311, 311, 311, 311, -1, 311, 311, 
	311, 311, 311, 311, 311, 311, 311, 311, 
	311, 311, 311, 311, 311, -1, 311, -1, 
	-1, 311, -1, 311, 311, 311, 311, 311, 
	-1, -1, 311, 311, 311, 311, 311, 311, 
	311, 311, 311, 311, 311, 311, 311, 311, 
	311, 311, -1, -1, -1, -1, -1, 311, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 310, -1, -1, -1, -1, 
	-1, -1, -1, -1, 311, 311, 311, 311, 
	-1, -1, 311, 311, 311, 311, 311, 311, 
	-1, -1, -1, -1, 311, 311, 311, 311, 
	311, 311, 311, -1, -1, -1, -1, 311, 
	-1, -1, -1, -1, 311, 311, -1, -1, 
	311, 311, 311, -1, 311, 311, -1, -1, 
	311, -1, -1, -1, -1, -1, -1, -1, 
	-1, 311, 311, 311, 311, 311, 311, 311, 
	-1, -1, -1, 311, 311, 311, 311, -1, 
	311, 311, 311, 311, 311, 311, 311, 311, 
	311, 311, 311, 311, -1, -1, -1, 311, 
	311, -1, -1, -1, 311, 311, -1, 311, 
	-1, -1, 311, 311, 311, -1, -1, 311, 
	-1, 311, 311, -1, 311, -1, 311, 311, 
	-1, 311, -1, 311, 311, 311, 311, 311, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 311, -1, 311, -1, -1, 311, 
	-1, 311, 311, -1, 311, -1, 311, -1, 
	311, -1, 311, 313, 313, 313, 313, 313, 
	313, 313, 313, 313, 313, 313, 313, 313, 
	313, 313, 313, 313, 313, 313, 313, 313, 
	313, 313, 313, 313, 313, 313, -1, 313, 
	313, 313, 313, 313, -1, 313, -1, 313, 
	313, 313, 313, -1, 313, -1, 313, 313, 
	313, -1, 313, 313, 313, 313, 313, 313, 
	313, 313, 313, 313, 313, 313, -1, 313, 
	313, 313, 313, 313, 313, 313, 313, 313, 
	313, 313, 313, 313, 313, 313, -1, 313, 
	-1, -1, -1, -1, 313, 313, 313, 313, 
	313, -1, -1, 313, 313, 313, 313, 313, 
	313, 313, 313, 313, 313, 313, 313, 313, 
	313, 313, 313, -1, -1, -1, -1, -1, 
	313, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 311, -1, -1, -1, 
	-1, -1, -1, -1, -1, 313, 313, 313, 
	313, -1, -1, 313, 313, 313, 313, 313, 
	313, -1, -1, -1, -1, 313, 313, 313, 
	313, 313, 313, 313, -1, -1, -1, -1, 
	313, -1, -1, -1, -1, 313, 313, -1, 
	-1, 313, 313, 313, -1, 313, 313, -1, 
	-1, 313, -1, -1, -1, -1, -1, -1, 
	-1, -1, 313, 313, 313, 313, 313, 313, 
	313, -1, -1, -1, 313, 313, 313, -1, 
	-1, 313, 313, 313, 313, 313, 313, 313, 
	313, -1, 313, 313, 313, -1, -1, -1, 
	313, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 313, 313, 313, -1, -1, 
	313, -1, -1, -1, -1, 313, -1, -1, 
	-1, -1, 313, -1, 313, 313, 313, 313, 
	313, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 313, -1, 313, -1, -1, 
	313, -1, 313, 313, -1, -1, -1, 313, 
	-1, 313, -1, 313, 314, 314, 314, 314, 
	314, 314, 314, 314, 314, 314, 314, 314, 
	314, 314, 314, 314, 314, 314, 314, 314, 
	314, 314, 314, 314, 314, 314, 314, -1, 
	314, 314, 314, 314, 314, -1, 314, -1, 
	314, 314, 314, 314, -1, 314, -1, 314, 
	314, 314, 314, 314, 314, 314, 314, 314, 
	314, 314, 314, 314, 314, 314, 314, -1, 
	314, 314, 314, 314, 314, 314, 314, 314, 
	314, 314, 314, 314, 314, 314, 314, -1, 
	314, -1, -1, 314, -1, 314, 314, 314, 
	314, 314, -1, -1, 314, 314, 314, 314, 
	314, 314, 314, 314, 314, 314, 314, 314, 
	314, 314, 314, 314, -1, -1, -1, -1, 
	-1, 314, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 313, -1, -1, 
	-1, -1, -1, -1, -1, -1, 314, 314, 
	314, 314, -1, -1, 314, 314, 314, 314, 
	314, 314, -1, -1, -1, -1, 314, 314, 
	314, 314, 314, 314, 314, -1, -1, -1, 
	-1, 314, -1, -1, -1, -1, 314, 314, 
	-1, -1, 314, 314, 314, -1, 314, 314, 
	-1, -1, 314, -1, -1, -1, -1, -1, 
	-1, -1, -1, 314, 314, 314, 314, 314, 
	314, 314, -1, -1, -1, 314, 314, 314, 
	314, -1, 314, 314, 314, 314, 314, 314, 
	314, 314, 314, 314, 314, 314, -1, -1, 
	-1, 314, 314, -1, -1, -1, 314, 314, 
	-1, 314, -1, -1, 314, 314, 314, -1, 
	-1, 314, -1, 314, 314, -1, 314, -1, 
	314, 314, -1, 314, -1, 314, 314, 314, 
	314, 314, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 314, -1, 314, -1, 
	-1, 314, -1, 314, 314, -1, 314, -1, 
	314, -1, 314, -1, 314, 315, 315, 315, 
	315, 315, 315, 315, 315, 315, 315, 315, 
	315, 315, 315, 315, 315, 315, 315, 315, 
	315, 315, 315, 315, 315, 315, 315, 315, 
	-1, 315, 315, 315, 315, 315, -1, 315, 
	-1, 315, 315, 315, 315, -1, 315, -1, 
	315, 315, 315, 315, 315, 315, 315, 315, 
	315, 315, 315, 315, 315, 315, 315, 315, 
	-1, 315, 315, 315, 315, 315, 315, 315, 
	315, 315, 315, 315, 315, 315, 315, 315, 
	-1, 315, -1, -1, 315, -1, 315, 315, 
	315, 315, 315, -1, -1, 315, 315, 315, 
	315, 315, 315, 315, 315, 315, 315, 315, 
	315, 315, 315, 315, 315, -1, -1, -1, 
	-1, -1, 315, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 314, -1, 
	-1, -1, -1, -1, -1, -1, -1, 315, 
	315, 315, 315, -1, -1, 315, 315, 315, 
	315, 315, 315, -1, -1, -1, -1, 315, 
	315, 315, 315, 315, 315, 315, -1, -1, 
	-1, -1, 315, -1, -1, -1, -1, 315, 
	315, -1, -1, 315, 315, 315, -1, 315, 
	315, -1, -1, 315, -1, -1, -1, -1, 
	-1, -1, -1, -1, 315, 315, 315, 315, 
	315, 315, 315, -1, -1, -1, 315, 315, 
	315, 315, -1, 315, 315, 315, 315, 315, 
	315, 315, 315, 315, 315, 315, 315, -1, 
	-1, -1, 315, 315, -1, -1, -1, 315, 
	315, -1, 315, -1, -1, 315, 315, 315, 
	-1, -1, 315, -1, 315, 315, -1, 315, 
	-1, 315, 315, -1, 315, -1, 315, 315, 
	315, 315, 315, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 315, -1, 315, 
	-1, -1, 315, -1, 315, 315, -1, 315, 
	-1, 315, -1, 315, -1, 315, 316, 316, 
	316, 316, 316, 316, 316, 316, 316, 316, 
	316, 316, 316, 316, 316, 316, 316, 316, 
	316, 316, 316, 316, 316, 316, 316, 316, 
	316, -1, 316, 316, 316, 316, 316, -1, 
	316, -1, 316, 316, 316, 316, -1, 316, 
	-1, 316, 316, 316, -1, 316, 316, 316, 
	316, 316, 316, 316, 316, 316, 316, 316, 
	316, -1, 316, 316, 316, 316, 316, 316, 
	316, 316, 316, 316, 316, 316, 316, 316, 
	316, -1, 316, -1, -1, -1, -1, 316, 
	316, 316, 316, 316, -1, -1, 316, 316, 
	316, 316, 316, 316, 316, 316, 316, 316, 
	316, 316, 316, 316, 316, 316, -1, -1, 
	-1, -1, -1, 316, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 315, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	316, 316, 316, 316, -1, -1, 316, 316, 
	316, 316, 316, 316, -1, -1, -1, -1, 
	316, 316, 316, 316, 316, 316, 316, -1, 
	-1, -1, -1, 316, -1, -1, -1, -1, 
	316, 316, -1, -1, 316, 316, 316, -1, 
	316, 316, -1, -1, 316, -1, -1, -1, 
	-1, -1, -1, -1, -1, 316, 316, 316, 
	316, 316, 316, 316, -1, -1, -1, 316, 
	316, 316, -1, -1, 316, 316, 316, 316, 
	316, 316, 316, 316, -1, 316, 316, 316, 
	-1, -1, -1, 316, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 316, 316, 
	316, -1, -1, 316, -1, -1, -1, -1, 
	316, -1, -1, -1, -1, 316, -1, 316, 
	316, 316, 316, 316, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 316, -1, 
	316, -1, -1, 316, -1, 316, 316, -1, 
	-1, -1, 316, -1, 316, -1, 316, 320, 
	320, 320, 320, 320, 320, -1, 320, 320, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 320, 320, 320, 320, 320, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	320, -1, -1, -1, 320, -1, -1, -1, 
	320, 320, 320, 320, 320, -1, -1, -1, 
	-1, 320, 320, 320, -1, -1, -1, -1, 
	320, 320, -1, 320, 320, 320, 320, -1, 
	-1, -1, -1, -1, -1, -1, 320, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 320, 320, 320, -1, 
	320, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 323, 323, 323, 323, 323, 323, 
	323, 323, 323, 323, 323, 323, 323, 323, 
	323, 323, 323, 323, 323, 323, 323, 323, 
	323, 323, 323, 323, 323, -1, 323, 323, 
	323, 323, 323, -1, 323, -1, 323, 323, 
	323, 323, -1, 323, -1, 323, 323, 323, 
	316, 323, 323, 323, 323, 323, 323, 323, 
	323, 323, 323, 323, 323, -1, 323, 323, 
	323, 323, 323, 323, 323, 323, 323, 323, 
	323, 323, 323, 323, 323, -1, 323, -1, 
	-1, -1, -1, 323, 323, 323, 323, 323, 
	-1, -1, 323, 323, 323, 323, 323, 323, 
	323, 323, 323, 323, 323, 323, 323, 323, 
	323, 323, -1, -1, -1, -1, -1, 323, 
	-1, -1, -1, -1, -1, -1, 320, 320, 
	320, 320, 320, -1, 320, 320, 320, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 320, 320, 
	320, 320, 320, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 323, 323, 323, 323, 
	-1, -1, 323, 323, 323, 323, 323, 323, 
	-1, -1, -1, -1, 323, 323, 323, 323, 
	323, 323, 323, -1, -1, -1, -1, 323, 
	-1, -1, -1, -1, 323, 323, -1, -1, 
	323, 323, 323, -1, 323, 323, -1, -1, 
	323, -1, -1, -1, -1, -1, -1, -1, 
	-1, 323, 323, 323, 323, 323, 323, 323, 
	-1, -1, -1, 323, 323, 323, -1, -1, 
	323, 323, 323, 323, 323, 323, 323, 323, 
	-1, 323, 323, 323, -1, -1, -1, 323, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 323, 323, 323, -1, -1, 323, 
	-1, -1, -1, -1, 323, -1, -1, -1, 
	-1, 323, -1, 323, 323, 323, 323, 323, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 323, -1, 323, -1, -1, 323, 
	-1, 323, 323, -1, -1, -1, 323, -1, 
	323, -1, 323, 324, 324, 324, 324, 324, 
	324, 324, 324, 324, 324, 324, 324, 324, 
	324, 324, 324, 324, 324, 324, 324, 324, 
	324, 324, 324, 324, 324, 324, -1, 324, 
	324, 324, 324, 324, -1, 324, -1, 324, 
	324, 324, 324, -1, 324, -1, 324, 324, 
	324, -1, 324, 324, 324, 324, 324, 324, 
	324, 324, 324, 324, 324, 324, -1, 324, 
	324, 324, 324, 324, 324, 324, 324, 324, 
	324, 324, 324, 324, 324, 324, -1, 324, 
	-1, -1, -1, -1, 324, 324, 324, 324, 
	324, -1, -1, 324, 324, 324, 324, 324, 
	324, 324, 324, 324, 324, 324, 324, 324, 
	324, 324, 324, -1, -1, -1, -1, -1, 
	324, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 323, -1, -1, -1, 
	-1, -1, -1, -1, -1, 324, 324, 324, 
	324, -1, -1, 324, 324, 324, 324, 324, 
	324, -1, -1, -1, -1, 324, 324, 324, 
	324, 324, 324, 324, -1, -1, -1, -1, 
	324, -1, -1, -1, -1, 324, 324, -1, 
	-1, 324, 324, 324, -1, 324, 324, -1, 
	-1, 324, -1, -1, -1, -1, -1, -1, 
	-1, -1, 324, 324, 324, 324, 324, 324, 
	324, -1, -1, -1, 324, 324, 324, -1, 
	-1, 324, 324, 324, 324, 324, 324, 324, 
	324, -1, 324, 324, 324, -1, -1, -1, 
	324, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 324, 324, 324, -1, -1, 
	324, -1, -1, -1, -1, 324, -1, -1, 
	-1, -1, 324, -1, 324, 324, 324, 324, 
	324, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 324, -1, 324, -1, -1, 
	324, -1, 324, 324, -1, -1, -1, 324, 
	-1, 324, -1, 324, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 320, 320, 
	320, 320, 320, -1, 320, 320, 320, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 320, 320, 
	320, 320, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 324, 325, 325, 
	325, 325, 325, 325, 325, 325, 325, 325, 
	325, 325, 325, 325, 325, 325, 325, 325, 
	325, 325, 325, 325, 325, 325, 325, 325, 
	325, -1, 325, 325, 325, 325, 325, -1, 
	325, -1, 325, 325, 325, 325, -1, 325, 
	-1, 325, 325, 325, -1, 325, 325, 325, 
	325, 325, 325, 325, 325, 325, 325, 325, 
	325, -1, 325, 325, 325, 325, 325, 325, 
	325, 325, 325, 325, 325, 325, 325, 325, 
	325, -1, 325, -1, -1, -1, -1, 325, 
	325, 325, 325, 325, -1, -1, 325, 325, 
	325, 325, 325, 325, 325, 325, 325, 325, 
	325, 325, 325, 325, 325, 325, -1, -1, 
	-1, -1, -1, 325, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	325, 325, 325, 325, -1, -1, 325, 325, 
	325, 325, 325, 325, -1, -1, -1, -1, 
	325, 325, 325, 325, 325, 325, 325, -1, 
	-1, -1, -1, 325, -1, -1, -1, -1, 
	325, 325, -1, -1, 325, 325, 325, -1, 
	325, 325, -1, -1, 325, -1, -1, -1, 
	-1, -1, -1, -1, -1, 325, 325, 325, 
	325, 325, 325, 325, -1, -1, -1, 325, 
	325, 325, -1, -1, 325, 325, 325, 325, 
	325, 325, 325, 325, -1, 325, 325, 325, 
	-1, -1, -1, 325, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 325, 325, 
	325, -1, -1, 325, -1, -1, -1, -1, 
	325, -1, -1, -1, -1, 325, -1, 325, 
	325, 325, 325, 325, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 325, -1, 
	325, -1, -1, 325, -1, 325, 325, -1, 
	-1, -1, 325, -1, 325, -1, 325, 327, 
	327, 327, 327, 327, 327, 327, 327, 327, 
	327, 327, 327, 327, 327, 327, 327, -1, 
	327, 327, 327, 327, 327, 327, 327, 327, 
	-1, -1, -1, 327, 327, 327, 327, 327, 
	-1, 327, -1, 327, 327, 327, 327, -1, 
	327, -1, 327, 327, 327, -1, 327, 327, 
	-1, -1, 327, 327, 327, 327, 327, 327, 
	327, 327, -1, 327, 327, 327, 327, 327, 
	327, 327, 327, 327, -1, 327, 327, 327, 
	327, -1, -1, -1, -1, 327, -1, -1, 
	327, -1, 331, 331, 331, 331, 331, 331, 
	-1, 327, -1, -1, -1, -1, 327, 327, 
	327, -1, 327, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 331, 331, 
	331, 331, 331, -1, 331, -1, 331, -1, 
	-1, -1, -1, 331, -1, -1, 331, -1, 
	-1, -1, -1, -1, -1, 331, 331, -1, 
	-1, -1, 331, 331, 331, -1, -1, -1, 
	-1, 331, 331, 331, -1, 331, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	325, -1, -1, -1, -1, -1, -1, -1, 
	-1, 327, 327, 327, 327, -1, -1, 327, 
	327, 327, 327, 327, 327, -1, -1, -1, 
	-1, 327, 327, 327, 327, 327, 327, 327, 
	-1, -1, -1, -1, 327, -1, -1, -1, 
	-1, 327, 327, -1, -1, 327, 327, 327, 
	-1, 327, 327, -1, -1, 327, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 327, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 327, 327, 327, 
	327, 327, 327, 327, 327, -1, 327, 327, 
	327, -1, -1, -1, -1, -1, 331, 331, 
	-1, -1, 331, 331, 331, 331, -1, 331, 
	-1, -1, -1, -1, 331, 331, 331, 331, 
	331, 331, 331, -1, -1, -1, -1, -1, 
	327, 327, 327, 327, 327, -1, -1, -1, 
	331, 331, 331, -1, 331, 331, -1, 327, 
	331, 327, -1, -1, 327, -1, -1, -1, 
	328, 328, 328, 328, 328, 328, 328, 328, 
	328, 328, 328, 328, 328, 328, 328, 328, 
	331, 328, 328, 328, 328, 328, 328, 328, 
	328, -1, 331, 331, 328, 328, 328, 328, 
	328, -1, 328, -1, 328, 328, 328, 328, 
	-1, 328, -1, 328, 328, 328, -1, 328, 
	328, -1, -1, 328, 328, 328, 328, 328, 
	328, 328, 328, -1, 328, 328, 328, 328, 
	328, 328, 328, 328, 328, -1, 328, 328, 
	328, 328, -1, -1, 331, -1, -1, -1, 
	-1, 328, -1, 334, 334, 334, 334, 334, 
	334, -1, 328, -1, -1, -1, -1, 328, 
	328, 328, -1, 328, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 334, 
	334, 334, 334, 334, -1, 334, -1, 334, 
	-1, -1, -1, -1, 334, -1, -1, 334, 
	-1, -1, -1, -1, -1, -1, 334, 334, 
	-1, -1, -1, 334, 334, 334, -1, -1, 
	-1, -1, 334, 334, 334, -1, 334, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 327, 328, 328, 328, 328, -1, -1, 
	328, 328, 328, 328, 328, 328, -1, -1, 
	-1, -1, 328, 328, 328, 328, 328, 328, 
	328, -1, -1, -1, -1, 328, -1, -1, 
	-1, -1, 328, 328, -1, -1, 328, 328, 
	328, -1, 328, 328, -1, -1, 328, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 328, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 328, 328, 
	328, 328, 328, 328, 328, 328, -1, 328, 
	328, 328, -1, -1, -1, -1, -1, 334, 
	334, -1, -1, 334, 334, 334, 334, -1, 
	334, -1, -1, -1, -1, 334, 334, 334, 
	334, 334, 334, 334, -1, -1, -1, -1, 
	-1, 328, 328, 328, 328, 328, -1, -1, 
	-1, 334, 334, 334, -1, 334, 334, -1, 
	328, 334, 328, -1, -1, 328, -1, -1, 
	-1, 335, 335, 335, 335, 335, 335, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 334, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 334, 334, 335, 335, 335, 
	335, 335, -1, 335, -1, 335, -1, -1, 
	-1, -1, 335, -1, -1, 335, -1, -1, 
	-1, -1, -1, -1, 335, 335, -1, -1, 
	-1, 335, 335, 335, -1, -1, -1, -1, 
	335, 335, 335, -1, 335, -1, -1, -1, 
	-1, -1, -1, -1, -1, 334, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 328, -1, -1, 335, 335, -1, 
	-1, 335, 335, 335, 335, -1, 335, -1, 
	-1, -1, -1, 335, 335, 335, 335, 335, 
	335, 335, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 335, 
	335, 335, -1, 335, 335, -1, -1, 335, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 335, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 335, 335, -1, -1, -1, 331, 331, 
	-1, -1, 331, 331, 331, 331, -1, 331, 
	-1, -1, -1, -1, 331, 331, 331, 331, 
	331, 331, 331, 336, 336, 336, 336, 336, 
	336, -1, -1, -1, -1, -1, -1, -1, 
	331, 331, 331, -1, 331, 331, -1, -1, 
	331, -1, -1, 335, -1, -1, -1, 336, 
	336, 336, 336, 336, -1, 336, -1, 336, 
	-1, -1, -1, -1, 336, -1, -1, 336, 
	331, -1, -1, -1, -1, -1, 336, 336, 
	-1, -1, -1, 336, 336, 336, -1, -1, 
	-1, -1, 336, 336, 336, -1, 336, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 337, 337, 337, 337, 337, 337, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 331, 337, 337, 337, 
	337, 337, -1, 337, -1, 337, -1, -1, 
	-1, -1, 337, -1, -1, 337, -1, -1, 
	-1, -1, -1, -1, 337, 337, -1, -1, 
	-1, 337, 337, 337, -1, -1, -1, -1, 
	337, 337, 337, -1, 337, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 336, 
	336, -1, -1, 336, 336, 336, 336, -1, 
	336, -1, -1, -1, -1, 336, 336, 336, 
	336, 336, 336, 336, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 336, 336, 336, -1, 336, 336, -1, 
	-1, 336, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 336, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 336, 336, 337, 337, -1, 
	-1, 337, 337, 337, 337, -1, 337, -1, 
	-1, -1, -1, 337, 337, 337, 337, 337, 
	337, 337, -1, -1, 338, 338, 338, 338, 
	338, 338, -1, -1, -1, -1, -1, 337, 
	337, 337, -1, 337, 337, -1, -1, 337, 
	-1, -1, -1, -1, -1, 336, -1, -1, 
	338, 338, 338, 338, 338, -1, 338, -1, 
	338, -1, -1, -1, -1, 338, -1, 337, 
	338, -1, -1, -1, -1, -1, -1, 338, 
	338, 337, 337, -1, 338, 338, 338, -1, 
	-1, -1, -1, 338, 338, 338, -1, 338, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 339, 339, 339, 339, 339, 339, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 337, -1, -1, 339, 339, 
	339, 339, 339, -1, 339, -1, 339, -1, 
	-1, -1, -1, 339, -1, -1, 339, -1, 
	-1, -1, -1, -1, -1, 339, 339, -1, 
	-1, -1, 339, 339, 339, -1, -1, -1, 
	-1, 339, 339, 339, -1, 339, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	338, 338, -1, -1, 338, 338, 338, 338, 
	-1, 338, -1, -1, -1, -1, 338, 338, 
	338, 338, 338, 338, 338, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 338, 338, 338, -1, 338, 338, 
	-1, -1, 338, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 338, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 338, 338, 339, 339, 
	-1, -1, 339, 339, 339, 339, -1, 339, 
	-1, -1, -1, -1, 339, 339, 339, 339, 
	339, 339, 339, -1, -1, 340, 340, 340, 
	340, 340, 340, -1, -1, -1, -1, -1, 
	339, 339, 339, -1, 339, 339, -1, -1, 
	339, -1, -1, -1, -1, -1, 338, -1, 
	-1, 340, 340, 340, 340, 340, -1, 340, 
	-1, 340, -1, -1, -1, -1, 340, -1, 
	339, 340, -1, -1, -1, -1, -1, -1, 
	340, 340, 339, 339, -1, 340, 340, 340, 
	-1, -1, -1, -1, 340, 340, 340, -1, 
	340, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 341, 341, 341, 341, 341, 
	341, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 339, -1, -1, 341, 
	341, 341, 341, 341, -1, 341, -1, 341, 
	-1, -1, -1, -1, 341, -1, -1, 341, 
	-1, -1, -1, -1, -1, -1, 341, 341, 
	-1, -1, -1, 341, 341, 341, -1, -1, 
	-1, -1, 341, 341, 341, -1, 341, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 340, 340, -1, -1, 340, 340, 340, 
	340, -1, 340, -1, -1, -1, -1, 340, 
	340, 340, 340, 340, 340, 340, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 340, 340, 340, -1, 340, 
	340, -1, -1, 340, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 340, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 340, 340, 341, 
	341, -1, -1, 341, 341, 341, 341, -1, 
	341, -1, -1, -1, -1, 341, 341, 341, 
	341, 341, 341, 341, -1, -1, 342, 342, 
	342, 342, 342, 342, -1, -1, -1, -1, 
	-1, 341, 341, 341, -1, 341, 341, -1, 
	-1, 341, -1, -1, -1, -1, -1, 340, 
	-1, -1, 342, 342, 342, 342, 342, -1, 
	342, -1, 342, -1, -1, -1, -1, 342, 
	-1, 341, 342, -1, -1, -1, -1, -1, 
	-1, 342, 342, 341, 341, -1, 342, 342, 
	342, -1, -1, -1, -1, 342, 342, 342, 
	-1, 342, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 343, 343, 343, 343, 
	343, 343, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 341, -1, -1, 
	343, 343, 343, 343, 343, -1, 343, -1, 
	343, -1, -1, -1, -1, 343, -1, -1, 
	343, -1, -1, -1, -1, -1, -1, 343, 
	343, -1, -1, -1, 343, 343, 343, -1, 
	-1, -1, -1, 343, 343, 343, -1, 343, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 342, 342, -1, -1, 342, 342, 
	342, 342, -1, 342, -1, -1, -1, -1, 
	342, 342, 342, 342, 342, 342, 342, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 342, 342, 342, -1, 
	342, 342, -1, -1, 342, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 342, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 342, 342, 
	343, 343, -1, -1, 343, 343, 343, 343, 
	-1, 343, -1, -1, -1, -1, 343, 343, 
	343, 343, 343, 343, 343, -1, -1, 344, 
	344, 344, 344, 344, 344, -1, -1, -1, 
	-1, -1, 343, 343, 343, -1, 343, 343, 
	-1, -1, 343, -1, -1, -1, -1, -1, 
	342, -1, -1, 344, 344, 344, 344, 344, 
	-1, 344, -1, 344, -1, -1, -1, -1, 
	344, -1, 343, 344, -1, -1, -1, -1, 
	-1, -1, 344, 344, 343, 343, -1, 344, 
	344, 344, -1, -1, -1, -1, 344, 344, 
	344, -1, 344, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 345, 345, 345, 
	345, 345, 345, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 343, -1, 
	-1, 345, 345, 345, 345, 345, -1, 345, 
	-1, 345, -1, -1, -1, -1, 345, -1, 
	-1, 345, -1, -1, -1, -1, -1, -1, 
	345, 345, -1, -1, -1, 345, 345, 345, 
	-1, -1, -1, -1, 345, 345, 345, -1, 
	345, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 344, 344, -1, -1, 344, 
	344, 344, 344, -1, 344, -1, -1, -1, 
	-1, 344, 344, 344, 344, 344, 344, 344, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 344, 344, 344, 
	-1, 344, 344, -1, -1, 344, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 344, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 344, 
	344, 345, 345, -1, -1, 345, 345, 345, 
	345, -1, 345, -1, -1, -1, -1, 345, 
	345, 345, 345, 345, 345, 345, -1, -1, 
	346, 346, 346, 346, 346, 346, -1, -1, 
	-1, -1, -1, 345, 345, 345, -1, 345, 
	345, -1, -1, 345, -1, -1, -1, -1, 
	-1, 344, -1, -1, 346, 346, 346, 346, 
	346, -1, 346, -1, 346, -1, -1, -1, 
	-1, 346, -1, 345, 346, -1, -1, -1, 
	-1, -1, -1, 346, 346, 345, 345, -1, 
	346, 346, 346, -1, -1, -1, -1, 346, 
	346, 346, -1, 346, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 347, 347, 
	347, 347, 347, 347, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 345, 
	-1, -1, 347, 347, 347, 347, 347, -1, 
	347, -1, 347, -1, -1, -1, -1, 347, 
	-1, -1, 347, -1, -1, -1, -1, -1, 
	-1, 347, 347, -1, -1, -1, 347, 347, 
	347, -1, -1, -1, -1, 347, 347, 347, 
	-1, 347, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 346, 346, -1, -1, 
	346, 346, 346, 346, -1, 346, -1, -1, 
	-1, -1, 346, 346, 346, 346, 346, 346, 
	346, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 346, 346, 
	346, -1, 346, 346, -1, -1, 346, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 346, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	346, 346, 347, 347, -1, -1, 347, 347, 
	347, 347, -1, 347, -1, -1, -1, -1, 
	347, 347, 347, 347, 347, 347, 347, -1, 
	-1, 348, 348, 348, 348, 348, 348, -1, 
	-1, -1, -1, -1, 347, 347, 347, -1, 
	347, 347, -1, -1, 347, -1, -1, -1, 
	-1, -1, 346, -1, -1, 348, 348, 348, 
	348, 348, -1, 348, -1, 348, -1, -1, 
	-1, -1, 348, -1, 347, 348, -1, -1, 
	-1, -1, -1, -1, 348, 348, 347, 347, 
	-1, 348, 348, 348, -1, -1, -1, -1, 
	348, 348, 348, -1, 348, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	347, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 348, 348, -1, 
	-1, 348, 348, 348, 348, -1, 348, -1, 
	-1, -1, -1, 348, 348, 348, 348, 348, 
	348, 348, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 348, 
	348, 348, -1, 348, 348, -1, -1, 348, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 348, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 348, 348, -1, -1, 349, 349, 349, 
	349, 349, 349, 349, 349, 349, 349, 349, 
	349, 349, 349, 349, 349, 349, 349, 349, 
	349, 349, 349, 349, 349, 349, 349, 349, 
	-1, 349, 349, 349, 349, 349, -1, 349, 
	-1, 349, 349, 349, 349, -1, 349, -1, 
	349, 349, 349, 348, 349, 349, 349, 349, 
	349, 349, 349, 349, 349, 349, 349, 349, 
	-1, 349, 349, 349, 349, 349, 349, 349, 
	349, 349, -1, 349, 349, 349, 349, -1, 
	-1, -1, -1, -1, -1, -1, 349, -1, 
	-1, 349, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 349, 349, 349, -1, 
	349, -1, -1, 349, 349, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 349, 
	349, 349, 349, -1, -1, 349, 349, 349, 
	349, 349, 349, -1, -1, -1, -1, 349, 
	349, 349, 349, 349, 349, 349, -1, -1, 
	-1, -1, 349, -1, -1, -1, -1, 349, 
	349, -1, -1, 349, 349, 349, -1, 349, 
	349, -1, -1, 349, -1, -1, -1, -1, 
	-1, -1, -1, -1, 349, 349, 349, 349, 
	349, 349, 349, -1, -1, -1, -1, 349, 
	349, -1, -1, 349, 349, 349, 349, 349, 
	349, 349, 349, -1, 349, 349, 349, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 349, 349, 
	349, 349, 349, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 349, -1, 349, 
	-1, -1, 349, -1, 349, -1, 350, 350, 
	350, 350, 350, 350, 350, 350, 350, 350, 
	350, 350, 350, 350, 350, 350, 350, 350, 
	350, 350, 350, 350, 350, 350, 350, 350, 
	350, -1, 350, 350, 350, 350, 350, -1, 
	350, -1, 350, 350, 350, 350, -1, 350, 
	-1, 350, 350, 350, -1, 350, 350, 350, 
	350, 350, 350, 350, 350, 350, 350, 350, 
	350, -1, 350, 350, 350, 350, 350, 350, 
	350, 350, 350, 350, 350, 350, 350, 350, 
	350, -1, -1, -1, -1, -1, -1, 350, 
	350, 350, 350, -1, -1, -1, 350, 350, 
	350, 350, 350, 350, 350, 350, 350, 350, 
	350, 350, -1, -1, 350, 350, -1, -1, 
	-1, -1, -1, 350, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 349, 
	350, 350, 350, 350, -1, -1, 350, 350, 
	350, 350, 350, 350, -1, -1, -1, -1, 
	350, 350, 350, 350, 350, 350, 350, -1, 
	-1, -1, -1, 350, -1, -1, -1, -1, 
	350, 350, -1, -1, 350, 350, 350, -1, 
	350, 350, -1, -1, 350, -1, -1, -1, 
	-1, -1, -1, -1, -1, 350, 350, 350, 
	350, 350, 350, 350, -1, -1, -1, 350, 
	350, 350, -1, -1, 350, 350, 350, 350, 
	350, 350, 350, 350, -1, 350, 350, 350, 
	-1, -1, -1, 350, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 350, 350, 
	350, -1, -1, 350, -1, -1, -1, -1, 
	350, -1, -1, -1, -1, 350, -1, 350, 
	350, 350, 350, 350, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 350, -1, 
	350, -1, -1, 350, -1, 350, 350, -1, 
	-1, -1, 350, -1, 350, -1, 350, 351, 
	351, 351, 351, 351, 351, 351, 351, 351, 
	351, 351, 351, 351, 351, 351, 351, 351, 
	351, 351, 351, 351, 351, 351, 351, 351, 
	351, 351, -1, 351, 351, 351, 351, 351, 
	-1, 351, -1, 351, 351, 351, 351, -1, 
	351, -1, 351, 351, 351, -1, 351, 351, 
	351, 351, 351, 351, 351, 351, 351, 351, 
	351, 351, -1, 351, 351, 351, 351, 351, 
	351, 351, 351, 351, 351, 351, 351, 351, 
	351, 351, -1, -1, -1, -1, -1, -1, 
	351, 351, 351, 351, -1, -1, -1, 351, 
	351, 351, 351, 351, 351, 351, 351, 351, 
	351, 351, 351, -1, -1, 351, 351, -1, 
	-1, -1, -1, -1, 351, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	350, -1, -1, -1, -1, -1, -1, -1, 
	-1, 351, 351, 351, 351, -1, -1, 351, 
	351, 351, 351, 351, 351, -1, -1, -1, 
	-1, 351, 351, 351, 351, 351, 351, 351, 
	-1, -1, -1, -1, 351, -1, -1, -1, 
	-1, 351, 351, -1, -1, 351, 351, 351, 
	-1, 351, 351, -1, -1, 351, -1, -1, 
	-1, -1, -1, -1, -1, -1, 351, 351, 
	351, 351, 351, 351, 351, -1, -1, -1, 
	351, 351, 351, -1, -1, 351, 351, 351, 
	351, 351, 351, 351, 351, -1, 351, 351, 
	351, -1, -1, -1, 351, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 351, 
	351, 351, -1, -1, 351, -1, -1, -1, 
	-1, 351, -1, -1, -1, -1, 351, -1, 
	351, 351, 351, 351, 351, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 351, 
	-1, 351, -1, -1, 351, -1, 351, 351, 
	-1, -1, -1, 351, -1, 351, -1, 351, 
	352, 352, 352, 352, 352, 352, 352, 352, 
	352, 352, 352, 352, 352, 352, 352, 352, 
	352, 352, 352, 352, 352, 352, 352, 352, 
	352, 352, 352, -1, 352, 352, 352, 352, 
	352, -1, 352, -1, 352, 352, 352, 352, 
	-1, 352, -1, 352, 352, 352, -1, 352, 
	352, 352, 352, 352, 352, 352, 352, 352, 
	352, 352, 352, -1, 352, 352, 352, 352, 
	352, 352, 352, 352, 352, 352, 352, 352, 
	352, 352, 352, -1, -1, -1, -1, -1, 
	-1, 352, 352, 352, 352, -1, -1, -1, 
	352, 352, 352, 352, 352, 352, 352, 352, 
	352, 352, 352, 352, 352, 352, 352, 352, 
	-1, -1, -1, -1, -1, 352, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 351, -1, -1, -1, -1, -1, -1, 
	-1, -1, 352, 352, 352, 352, -1, -1, 
	352, 352, 352, 352, 352, 352, -1, -1, 
	-1, -1, 352, 352, 352, 352, 352, 352, 
	352, -1, -1, -1, -1, 352, -1, -1, 
	-1, -1, 352, 352, -1, -1, 352, 352, 
	352, -1, 352, 352, -1, -1, 352, -1, 
	-1, -1, -1, -1, -1, -1, -1, 352, 
	352, 352, 352, 352, 352, 352, -1, -1, 
	-1, 352, 352, 352, -1, -1, 352, 352, 
	352, 352, 352, 352, 352, 352, -1, 352, 
	352, 352, -1, -1, -1, 352, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	352, 352, 352, -1, -1, 352, -1, -1, 
	-1, -1, 352, -1, -1, -1, -1, 352, 
	-1, 352, 352, 352, 352, 352, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	352, -1, 352, -1, -1, 352, -1, 352, 
	352, -1, -1, -1, 352, -1, 352, -1, 
	352, 353, 353, 353, 353, 353, 353, 353, 
	353, 353, 353, 353, 353, 353, 353, 353, 
	353, 353, 353, 353, 353, 353, 353, 353, 
	353, 353, 353, 353, -1, 353, 353, 353, 
	353, 353, -1, 353, -1, 353, 353, 353, 
	353, -1, 353, -1, 353, 353, 353, -1, 
	353, 353, 353, 353, 353, 353, 353, 353, 
	353, 353, 353, 353, -1, 353, 353, 353, 
	353, 353, 353, 353, 353, 353, 353, 353, 
	353, 353, 353, 353, -1, -1, -1, -1, 
	-1, -1, 353, 353, 353, 353, -1, -1, 
	-1, 353, 353, 353, 353, 353, 353, 353, 
	353, 353, 353, 353, 353, 353, 353, 353, 
	353, -1, -1, -1, -1, -1, 353, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 352, -1, -1, -1, -1, -1, 
	-1, -1, -1, 353, 353, 353, 353, -1, 
	-1, 353, 353, 353, 353, 353, 353, -1, 
	-1, -1, -1, 353, 353, 353, 353, 353, 
	353, 353, -1, -1, -1, -1, 353, -1, 
	-1, -1, -1, 353, 353, -1, -1, 353, 
	353, 353, -1, 353, 353, -1, -1, 353, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	353, 353, 353, 353, 353, 353, 353, -1, 
	-1, -1, 353, 353, 353, -1, -1, 353, 
	353, 353, 353, 353, 353, 353, 353, -1, 
	353, 353, 353, -1, -1, -1, 353, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 353, 353, 353, -1, -1, 353, -1, 
	-1, -1, -1, 353, -1, -1, -1, -1, 
	353, -1, 353, 353, 353, 353, 353, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 353, -1, 353, -1, -1, 353, -1, 
	353, 353, -1, -1, -1, 353, -1, 353, 
	-1, 353, 354, 354, 354, 354, 354, 354, 
	354, 354, 354, 354, 354, 354, 354, 354, 
	354, 354, 354, 354, 354, 354, 354, 354, 
	354, 354, 354, 354, 354, -1, 354, 354, 
	354, 354, 354, -1, 354, -1, 354, 354, 
	354, 354, -1, 354, -1, 354, 354, 354, 
	-1, 354, 354, 354, 354, 354, 354, 354, 
	354, 354, 354, 354, 354, -1, 354, 354, 
	354, 354, 354, 354, 354, 354, 354, 354, 
	354, 354, 354, 354, 354, -1, -1, -1, 
	-1, -1, -1, 354, 354, 354, 354, -1, 
	-1, -1, 354, 354, 354, 354, 354, 354, 
	354, 354, 354, 354, 354, 354, 354, 354, 
	354, 354, -1, -1, -1, -1, -1, 354, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 353, -1, -1, -1, -1, 
	-1, -1, -1, -1, 354, 354, 354, 354, 
	-1, -1, 354, 354, 354, 354, 354, 354, 
	-1, -1, -1, -1, 354, 354, 354, 354, 
	354, 354, 354, -1, -1, -1, -1, 354, 
	-1, -1, -1, -1, 354, 354, -1, -1, 
	354, 354, 354, -1, 354, 354, -1, -1, 
	354, -1, -1, -1, -1, -1, -1, -1, 
	-1, 354, 354, 354, 354, 354, 354, 354, 
	-1, -1, -1, 354, 354, 354, -1, -1, 
	354, 354, 354, 354, 354, 354, 354, 354, 
	-1, 354, 354, 354, -1, -1, -1, 354, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 354, 354, 354, -1, -1, 354, 
	-1, -1, -1, -1, 354, -1, -1, -1, 
	-1, 354, -1, 354, 354, 354, 354, 354, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 354, -1, 354, -1, -1, 354, 
	-1, 354, 354, -1, -1, -1, 354, -1, 
	354, -1, 354, 355, 355, 355, 355, 355, 
	355, 355, 355, 355, 355, 355, 355, 355, 
	355, 355, 355, 355, 355, 355, 355, 355, 
	355, 355, 355, 355, 355, 355, -1, 355, 
	355, 355, 355, 355, -1, 355, -1, 355, 
	355, 355, 355, -1, 355, -1, 355, 355, 
	355, -1, 355, 355, 355, 355, 355, 355, 
	355, 355, 355, 355, 355, 355, -1, 355, 
	355, 355, 355, 355, 355, 355, 355, 355, 
	355, 355, 355, 355, 355, 355, -1, -1, 
	-1, -1, -1, -1, 355, 355, 355, 355, 
	-1, -1, -1, 355, 355, 355, 355, 355, 
	355, 355, 355, 355, 355, 355, 355, 355, 
	355, 355, 355, -1, -1, -1, -1, -1, 
	355, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 354, -1, -1, -1, 
	-1, -1, -1, -1, -1, 355, 355, 355, 
	355, -1, -1, 355, 355, 355, 355, 355, 
	355, -1, -1, -1, -1, 355, 355, 355, 
	355, 355, 355, 355, -1, -1, -1, -1, 
	355, -1, -1, -1, -1, 355, 355, -1, 
	-1, 355, 355, 355, -1, 355, 355, -1, 
	-1, 355, -1, -1, -1, -1, -1, -1, 
	-1, -1, 355, 355, 355, 355, 355, 355, 
	355, -1, -1, -1, 355, 355, 355, -1, 
	-1, 355, 355, 355, 355, 355, 355, 355, 
	355, -1, 355, 355, 355, -1, -1, -1, 
	355, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 355, 355, 355, -1, -1, 
	355, -1, -1, -1, -1, 355, -1, -1, 
	-1, -1, 355, -1, 355, 355, 355, 355, 
	355, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 355, -1, 355, -1, -1, 
	355, -1, 355, 355, -1, -1, -1, 355, 
	-1, 355, -1, 355, 356, 356, 356, 356, 
	356, 356, 356, 356, 356, 356, 356, 356, 
	356, 356, 356, 356, 356, 356, 356, 356, 
	356, 356, 356, 356, 356, 356, 356, -1, 
	356, 356, 356, 356, 356, -1, 356, -1, 
	356, 356, 356, 356, -1, 356, -1, 356, 
	356, 356, -1, 356, 356, 356, 356, 356, 
	356, 356, 356, 356, 356, 356, 356, -1, 
	356, 356, 356, 356, 356, 356, 356, 356, 
	356, 356, 356, 356, 356, 356, 356, -1, 
	-1, -1, -1, -1, -1, 356, 356, 356, 
	356, -1, -1, -1, 356, 356, 356, 356, 
	356, 356, 356, 356, 356, 356, 356, 356, 
	356, 356, 356, 356, -1, -1, -1, -1, 
	-1, 356, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 355, -1, -1, 
	-1, -1, -1, -1, -1, -1, 356, 356, 
	356, 356, -1, -1, 356, 356, 356, 356, 
	356, 356, -1, -1, -1, -1, 356, 356, 
	356, 356, 356, 356, 356, -1, -1, -1, 
	-1, 356, -1, -1, -1, -1, 356, 356, 
	-1, -1, 356, 356, 356, -1, 356, 356, 
	-1, -1, 356, -1, -1, -1, -1, -1, 
	-1, -1, -1, 356, 356, 356, 356, 356, 
	356, 356, -1, -1, -1, 356, 356, 356, 
	-1, -1, 356, 356, 356, 356, 356, 356, 
	356, 356, -1, 356, 356, 356, -1, -1, 
	-1, 356, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 356, 356, 356, -1, 
	-1, 356, -1, -1, -1, -1, 356, -1, 
	-1, -1, -1, 356, -1, 356, 356, 356, 
	356, 356, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 356, -1, 356, -1, 
	-1, 356, -1, 356, 356, -1, -1, -1, 
	356, -1, 356, -1, 356, 357, 357, 357, 
	357, 357, 357, 357, 357, 357, 357, 357, 
	357, 357, 357, 357, 357, 357, 357, 357, 
	357, 357, 357, 357, 357, 357, 357, 357, 
	-1, 357, 357, 357, 357, 357, -1, 357, 
	-1, 357, 357, 357, 357, -1, 357, -1, 
	357, 357, 357, -1, 357, 357, 357, 357, 
	357, 357, 357, 357, 357, 357, 357, 357, 
	-1, 357, 357, 357, 357, 357, 357, 357, 
	357, 357, 357, 357, 357, 357, 357, 357, 
	-1, -1, -1, -1, -1, -1, 357, 357, 
	357, 357, -1, -1, -1, 357, 357, 357, 
	357, 357, 357, 357, 357, 357, 357, 357, 
	357, 357, 357, 357, 357, -1, -1, -1, 
	-1, -1, 357, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 356, -1, 
	-1, -1, -1, -1, -1, -1, -1, 357, 
	357, 357, 357, -1, -1, 357, 357, 357, 
	357, 357, 357, -1, -1, -1, -1, 357, 
	357, 357, 357, 357, 357, 357, -1, -1, 
	-1, -1, 357, -1, -1, -1, -1, 357, 
	357, -1, -1, 357, 357, 357, -1, 357, 
	357, -1, -1, 357, -1, -1, -1, -1, 
	-1, -1, -1, -1, 357, 357, 357, 357, 
	357, 357, 357, -1, -1, -1, 357, 357, 
	357, -1, -1, 357, 357, 357, 357, 357, 
	357, 357, 357, -1, 357, 357, 357, -1, 
	-1, -1, 357, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 357, 357, 357, 
	-1, -1, 357, -1, -1, -1, -1, 357, 
	-1, -1, -1, -1, 357, -1, 357, 357, 
	357, 357, 357, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 357, -1, 357, 
	-1, -1, 357, -1, 357, 357, -1, -1, 
	-1, 357, -1, 357, -1, 357, 358, 358, 
	358, 358, 358, 358, 358, 358, 358, 358, 
	358, 358, 358, 358, 358, 358, 358, 358, 
	358, 358, 358, 358, 358, 358, 358, 358, 
	358, -1, 358, 358, 358, 358, 358, -1, 
	358, -1, 358, 358, 358, 358, -1, 358, 
	-1, 358, 358, 358, -1, 358, 358, 358, 
	358, 358, 358, 358, 358, 358, 358, 358, 
	358, -1, 358, 358, 358, 358, 358, 358, 
	358, 358, 358, 358, 358, 358, 358, 358, 
	358, -1, 358, -1, -1, -1, -1, 358, 
	358, 358, 358, 358, -1, -1, 358, 358, 
	358, 358, 358, 358, 358, 358, 358, 358, 
	358, 358, 358, 358, 358, 358, -1, -1, 
	-1, -1, -1, 358, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 357, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	358, 358, 358, 358, -1, -1, 358, 358, 
	358, 358, 358, 358, -1, -1, -1, -1, 
	358, 358, 358, 358, 358, 358, 358, -1, 
	-1, -1, -1, 358, -1, -1, -1, -1, 
	358, 358, -1, -1, 358, 358, 358, -1, 
	358, 358, -1, -1, 358, -1, -1, -1, 
	-1, -1, -1, -1, -1, 358, 358, 358, 
	358, 358, 358, 358, -1, -1, -1, 358, 
	358, 358, -1, -1, 358, 358, 358, 358, 
	358, 358, 358, 358, -1, 358, 358, 358, 
	-1, -1, -1, 358, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 358, 358, 
	358, -1, -1, 358, -1, -1, -1, -1, 
	358, -1, -1, -1, -1, 358, -1, 358, 
	358, 358, 358, 358, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 358, -1, 
	358, -1, -1, 358, -1, 358, 358, -1, 
	-1, -1, 358, -1, 358, -1, 358, 359, 
	359, 359, 359, 359, 359, 359, 359, 359, 
	359, 359, 359, 359, 359, 359, 359, 359, 
	359, 359, 359, 359, 359, 359, 359, 359, 
	359, 359, -1, 359, 359, 359, 359, 359, 
	-1, 359, -1, 359, 359, 359, 359, -1, 
	359, -1, 359, 359, 359, -1, 359, 359, 
	359, 359, 359, 359, 359, 359, 359, 359, 
	359, 359, -1, 359, 359, 359, 359, 359, 
	359, 359, 359, 359, 359, 359, 359, 359, 
	359, 359, -1, 359, -1, -1, -1, -1, 
	359, 359, 359, 359, 359, -1, -1, 359, 
	359, 359, 359, 359, 359, 359, 359, 359, 
	359, 359, 359, 359, 359, 359, 359, -1, 
	-1, -1, -1, -1, 359, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	358, -1, -1, -1, -1, -1, -1, -1, 
	-1, 359, 359, 359, 359, -1, -1, 359, 
	359, 359, 359, 359, 359, -1, -1, -1, 
	-1, 359, 359, 359, 359, 359, 359, 359, 
	-1, -1, -1, -1, 359, -1, -1, -1, 
	-1, 359, 359, -1, -1, 359, 359, 359, 
	-1, 359, 359, -1, -1, 359, -1, -1, 
	-1, -1, -1, -1, -1, -1, 359, 359, 
	359, 359, 359, 359, 359, -1, -1, -1, 
	359, 359, 359, -1, -1, 359, 359, 359, 
	359, 359, 359, 359, 359, -1, 359, 359, 
	359, -1, -1, -1, 359, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 359, 
	359, 359, -1, -1, 359, -1, -1, -1, 
	-1, 359, -1, -1, -1, -1, 359, -1, 
	359, 359, 359, 359, 359, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 359, 
	-1, 359, -1, -1, 359, -1, 359, 359, 
	-1, -1, -1, 359, -1, 359, -1, 359, 
	360, 360, 360, 360, 360, 360, 360, 360, 
	360, 360, 360, 360, 360, 360, 360, 360, 
	360, 360, 360, 360, 360, 360, 360, 360, 
	360, 360, 360, -1, 360, 360, 360, 360, 
	360, -1, 360, -1, 360, 360, 360, 360, 
	-1, 360, -1, 360, 360, 360, -1, 360, 
	360, 360, 360, 360, 360, 360, 360, 360, 
	360, 360, 360, -1, 360, 360, 360, 360, 
	360, 360, 360, 360, 360, 360, 360, 360, 
	360, 360, 360, -1, 360, -1, -1, -1, 
	-1, 360, 360, 360, 360, 360, -1, -1, 
	360, 360, 360, 360, 360, 360, 360, 360, 
	360, 360, 360, 360, 360, 360, 360, 360, 
	-1, -1, -1, -1, -1, 360, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 359, -1, -1, -1, -1, -1, -1, 
	-1, -1, 360, 360, 360, 360, -1, -1, 
	360, 360, 360, 360, 360, 360, -1, -1, 
	-1, -1, 360, 360, 360, 360, 360, 360, 
	360, -1, -1, -1, -1, 360, -1, -1, 
	-1, -1, 360, 360, -1, -1, 360, 360, 
	360, -1, 360, 360, -1, -1, 360, -1, 
	-1, -1, -1, -1, -1, -1, -1, 360, 
	360, 360, 360, 360, 360, 360, -1, -1, 
	-1, 360, 360, 360, -1, -1, 360, 360, 
	360, 360, 360, 360, 360, 360, -1, 360, 
	360, 360, -1, -1, -1, 360, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	360, 360, 360, -1, -1, 360, -1, -1, 
	-1, -1, 360, -1, -1, -1, -1, 360, 
	-1, 360, 360, 360, 360, 360, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	360, -1, 360, -1, -1, 360, -1, 360, 
	360, -1, -1, -1, 360, -1, 360, -1, 
	360, 361, 361, 361, 361, 361, 361, 361, 
	361, 361, 361, 361, 361, 361, 361, 361, 
	361, 361, 361, 361, 361, 361, 361, 361, 
	361, 361, 361, 361, -1, 361, 361, 361, 
	361, 361, -1, 361, -1, 361, 361, 361, 
	361, -1, 361, -1, 361, 361, 361, -1, 
	361, 361, 361, 361, 361, 361, 361, 361, 
	361, 361, 361, 361, -1, 361, 361, 361, 
	361, 361, 361, 361, 361, 361, 361, 361, 
	361, 361, 361, 361, -1, 361, -1, -1, 
	-1, -1, 361, 361, 361, 361, 361, -1, 
	-1, 361, 361, 361, 361, 361, 361, 361, 
	361, 361, 361, 361, 361, 361, 361, 361, 
	361, -1, -1, -1, -1, -1, 361, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 360, -1, -1, -1, -1, -1, 
	-1, -1, -1, 361, 361, 361, 361, -1, 
	-1, 361, 361, 361, 361, 361, 361, -1, 
	-1, -1, -1, 361, 361, 361, 361, 361, 
	361, 361, -1, -1, -1, -1, 361, -1, 
	-1, -1, -1, 361, 361, -1, -1, 361, 
	361, 361, -1, 361, 361, -1, -1, 361, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	361, 361, 361, 361, 361, 361, 361, -1, 
	-1, -1, 361, 361, 361, -1, -1, 361, 
	361, 361, 361, 361, 361, 361, 361, -1, 
	361, 361, 361, -1, -1, -1, 361, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 361, 361, 361, -1, -1, 361, -1, 
	-1, -1, -1, 361, -1, -1, -1, -1, 
	361, -1, 361, 361, 361, 361, 361, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 361, -1, 361, -1, -1, 361, -1, 
	361, 361, -1, -1, -1, 361, -1, 361, 
	-1, 361, 362, 362, 362, 362, 362, 362, 
	362, 362, 362, 362, 362, 362, 362, 362, 
	362, 362, 362, 362, 362, 362, 362, 362, 
	362, 362, 362, 362, 362, -1, 362, 362, 
	362, 362, 362, -1, 362, -1, 362, 362, 
	362, 362, -1, 362, -1, 362, 362, 362, 
	-1, 362, 362, 362, 362, 362, 362, 362, 
	362, 362, 362, 362, 362, -1, 362, 362, 
	362, 362, 362, 362, 362, 362, 362, 362, 
	362, 362, 362, 362, 362, -1, 362, -1, 
	-1, -1, -1, 362, 362, 362, 362, 362, 
	-1, -1, 362, 362, 362, 362, 362, 362, 
	362, 362, 362, 362, 362, 362, 362, 362, 
	362, 362, -1, -1, -1, -1, -1, 362, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 361, -1, -1, -1, -1, 
	-1, -1, -1, -1, 362, 362, 362, 362, 
	-1, -1, 362, 362, 362, 362, 362, 362, 
	-1, -1, -1, -1, 362, 362, 362, 362, 
	362, 362, 362, -1, -1, -1, -1, 362, 
	-1, -1, -1, -1, 362, 362, -1, -1, 
	362, 362, 362, -1, 362, 362, -1, -1, 
	362, -1, -1, -1, -1, -1, -1, -1, 
	-1, 362, 362, 362, 362, 362, 362, 362, 
	-1, -1, -1, 362, 362, 362, -1, -1, 
	362, 362, 362, 362, 362, 362, 362, 362, 
	-1, 362, 362, 362, -1, -1, -1, 362, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 362, 362, 362, -1, -1, 362, 
	-1, -1, -1, -1, 362, -1, -1, -1, 
	-1, 362, -1, 362, 362, 362, 362, 362, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 362, -1, 362, -1, -1, 362, 
	-1, 362, 362, -1, -1, -1, 362, -1, 
	362, -1, 362, 363, 363, 363, 363, 363, 
	363, 363, 363, 363, 363, 363, 363, 363, 
	363, 363, 363, 363, 363, 363, 363, 363, 
	363, 363, 363, 363, 363, 363, 363, 363, 
	363, 363, 363, 363, -1, 363, -1, 363, 
	363, 363, 363, 363, 363, -1, 363, 363, 
	363, -1, 363, 363, 363, 363, 363, 363, 
	363, 363, 363, 363, 363, 363, 363, 363, 
	363, 363, 363, 363, 363, 363, 363, 363, 
	-1, 363, 363, 363, 363, -1, -1, -1, 
	363, -1, -1, -1, 363, 363, -1, 363, 
	-1, -1, 363, -1, -1, 363, -1, 363, 
	-1, -1, 363, 363, 363, -1, 363, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 363, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 363, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 362, -1, -1, -1, 
	-1, -1, -1, -1, -1, 363, 363, 363, 
	363, -1, -1, 363, 363, 363, 363, 363, 
	363, -1, -1, -1, -1, 363, 363, 363, 
	363, 363, 363, 363, -1, -1, 363, -1, 
	363, -1, -1, -1, -1, 363, 363, -1, 
	363, 363, 363, 363, -1, 363, 363, -1, 
	-1, 363, -1, -1, -1, -1, -1, 363, 
	-1, 363, 363, 363, 363, 363, 363, 363, 
	363, -1, -1, -1, -1, 363, 363, -1, 
	363, 363, 363, 363, 363, 363, 363, 363, 
	363, -1, 363, 363, 363, -1, -1, 363, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 363, 363, 363, -1, -1, 363, 
	363, 363, -1, -1, 363, 363, 363, 363, 
	363, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 363, -1, 363, -1, -1, 
	363, 363, 363, -1, 365, 365, 365, 365, 
	365, 365, 365, 365, 365, 365, 365, 365, 
	365, 365, 365, 365, 365, 365, 365, 365, 
	365, 365, 365, 365, 365, 365, 365, 365, 
	365, 365, 365, 365, 365, -1, 365, -1, 
	365, 365, 365, 365, 365, 365, -1, 365, 
	365, 365, -1, 365, 365, 365, 365, 365, 
	365, 365, 365, 365, 365, 365, 365, 365, 
	365, 365, 365, 365, 365, 365, 365, 365, 
	365, 365, 365, 365, 365, 365, 365, -1, 
	-1, 365, -1, -1, -1, 365, 365, -1, 
	365, -1, -1, 365, -1, -1, 365, -1, 
	365, -1, -1, 365, 365, 365, -1, 365, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 365, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 365, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 365, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 363, 365, 365, 
	365, 365, -1, -1, 365, 365, 365, 365, 
	365, 365, -1, -1, -1, -1, 365, 365, 
	365, 365, 365, 365, 365, -1, -1, 365, 
	-1, 365, -1, -1, -1, -1, 365, 365, 
	-1, 365, 365, 365, 365, -1, 365, 365, 
	-1, -1, 365, 365, 365, -1, -1, -1, 
	365, -1, 365, 365, 365, 365, 365, 365, 
	365, 365, -1, -1, -1, -1, 365, 365, 
	-1, 365, 365, 365, 365, 365, 365, 365, 
	365, 365, -1, 365, 365, 365, -1, -1, 
	365, -1, 365, -1, -1, -1, 365, 365, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 365, 365, 365, -1, -1, 
	365, 365, 365, -1, -1, 365, 365, 365, 
	365, 365, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 365, -1, 365, -1, 
	-1, 365, 365, 365, -1, -1, 365, 366, 
	366, 366, 366, 366, 366, 366, 366, 366, 
	366, 366, 366, 366, 366, 366, 366, 366, 
	366, 366, 366, 366, 366, 366, 366, 366, 
	366, 366, 366, 366, 366, 366, 366, 366, 
	-1, 366, -1, 366, 366, 366, 366, 366, 
	366, -1, 366, 366, 366, -1, 366, 366, 
	366, 366, 366, 366, 366, 366, 366, 366, 
	366, 366, 366, 366, 366, 366, 366, 366, 
	366, 366, 366, 366, 366, 366, 366, 366, 
	366, 366, -1, -1, 366, -1, -1, -1, 
	366, 366, -1, 366, -1, -1, 366, -1, 
	-1, 366, -1, 366, -1, -1, 366, 366, 
	366, -1, 366, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 366, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 366, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 366, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 365, -1, 
	-1, 366, 366, 366, 366, -1, -1, 366, 
	366, 366, 366, 366, 366, -1, -1, -1, 
	-1, 366, 366, 366, 366, 366, 366, 366, 
	-1, -1, 366, -1, 366, -1, -1, -1, 
	-1, 366, 366, -1, 366, 366, 366, 366, 
	-1, 366, 366, -1, -1, 366, 366, 366, 
	-1, -1, -1, 366, -1, 366, 366, 366, 
	366, 366, 366, 366, 366, -1, -1, -1, 
	-1, 366, 366, -1, 366, 366, 366, 366, 
	366, 366, 366, 366, 366, -1, 366, 366, 
	366, -1, -1, 366, -1, 366, -1, -1, 
	-1, 366, 366, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 366, 366, 
	366, -1, -1, 366, 366, 366, -1, -1, 
	366, 366, 366, 366, 366, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 366, 
	-1, 366, -1, -1, 366, 366, 366, -1, 
	-1, 366, 367, 367, 367, 367, 367, 367, 
	367, 367, 367, 367, 367, 367, 367, 367, 
	367, 367, 367, 367, 367, 367, 367, 367, 
	367, 367, 367, 367, 367, 367, 367, 367, 
	367, 367, 367, -1, 367, -1, 367, 367, 
	367, 367, 367, 367, -1, 367, 367, 367, 
	-1, 367, 367, 367, 367, 367, 367, 367, 
	367, 367, 367, 367, 367, 367, 367, 367, 
	367, 367, 367, 367, 367, 367, 367, 367, 
	367, 367, 367, 367, 367, -1, -1, 367, 
	-1, -1, -1, 367, 367, -1, 367, -1, 
	-1, 367, -1, -1, 367, -1, 367, -1, 
	-1, 367, 367, 367, -1, 367, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 367, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	367, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 367, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 366, -1, -1, 367, 367, 367, 367, 
	-1, -1, 367, 367, 367, 367, 367, 367, 
	-1, -1, -1, -1, 367, 367, 367, 367, 
	367, 367, 367, -1, -1, 367, -1, 367, 
	-1, -1, -1, -1, 367, 367, -1, 367, 
	367, 367, 367, -1, 367, 367, -1, -1, 
	367, 367, 367, -1, -1, -1, 367, -1, 
	367, 367, 367, 367, 367, 367, 367, 367, 
	-1, -1, -1, -1, 367, 367, -1, 367, 
	367, 367, 367, 367, 367, 367, 367, 367, 
	-1, 367, 367, 367, -1, -1, 367, -1, 
	367, -1, -1, -1, 367, 367, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 367, 367, 367, -1, -1, 367, 367, 
	367, -1, -1, 367, 367, 367, 367, 367, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 367, -1, 367, -1, -1, 367, 
	367, 367, -1, -1, 367, 368, 368, 368, 
	368, 368, 368, 368, 368, 368, 368, 368, 
	368, 368, 368, 368, 368, 368, 368, 368, 
	368, 368, 368, 368, 368, 368, 368, 368, 
	-1, 368, 368, 368, 368, 368, -1, 368, 
	-1, 368, 368, 368, 368, -1, 368, -1, 
	368, 368, 368, -1, 368, 368, 368, 368, 
	368, 368, 368, 368, 368, 368, 368, 368, 
	-1, 368, 368, 368, 368, 368, 368, 368, 
	368, 368, 368, 368, 368, 368, 368, 368, 
	-1, 368, -1, -1, 368, 368, 368, 368, 
	368, 368, 368, -1, 368, 368, 368, 368, 
	368, 368, 368, 368, 368, 368, 368, 368, 
	368, 368, 368, 368, 368, -1, -1, -1, 
	-1, -1, 368, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 367, -1, -1, 368, 
	368, 368, 368, -1, -1, 368, 368, 368, 
	368, 368, 368, -1, -1, -1, -1, 368, 
	368, 368, 368, 368, 368, 368, -1, -1, 
	-1, -1, 368, -1, -1, -1, -1, 368, 
	368, -1, -1, 368, 368, 368, -1, 368, 
	368, -1, -1, 368, -1, -1, -1, -1, 
	-1, -1, -1, -1, 368, 368, 368, 368, 
	368, 368, 368, -1, -1, -1, 368, 368, 
	368, -1, -1, 368, 368, 368, 368, 368, 
	368, 368, 368, -1, 368, 368, 368, -1, 
	-1, -1, 368, -1, -1, -1, -1, -1, 
	-1, -1, 368, 368, 368, 368, 368, 368, 
	-1, -1, 368, -1, -1, -1, -1, 368, 
	-1, 368, 368, 368, 368, -1, 368, 368, 
	368, 368, 368, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 368, -1, 368, 
	-1, -1, 368, -1, 368, 368, -1, -1, 
	-1, 368, -1, 368, -1, 368, 370, 370, 
	370, 370, 370, 370, 370, 370, 370, 370, 
	370, 370, 370, 370, 370, 370, 370, 370, 
	370, 370, 370, 370, 370, 370, 370, 370, 
	370, -1, 370, 370, 370, 370, 370, -1, 
	370, -1, 370, 370, 370, 370, -1, 370, 
	-1, 370, 370, 370, -1, 370, 370, 370, 
	370, 370, 370, 370, 370, 370, 370, 370, 
	370, -1, 370, 370, 370, 370, 370, 370, 
	370, 370, 370, -1, 370, 370, 370, 370, 
	-1, -1, -1, -1, -1, -1, -1, 370, 
	-1, -1, 370, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 370, 370, 370, 
	-1, 370, -1, -1, 370, 370, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 368, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	370, 370, 370, 370, -1, -1, 370, 370, 
	-1, 370, 370, 370, -1, -1, -1, -1, 
	370, 370, 370, -1, 370, 370, 370, -1, 
	-1, -1, -1, 370, -1, -1, -1, -1, 
	370, -1, -1, -1, 370, 370, 370, -1, 
	370, 370, -1, -1, 370, -1, -1, -1, 
	-1, -1, -1, -1, -1, 370, 370, 370, 
	370, 370, 370, 370, -1, -1, -1, -1, 
	370, 370, -1, -1, 370, 370, 370, 370, 
	370, 370, 370, 370, -1, 370, 370, 370, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 370, 
	370, 370, 370, 370, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 370, -1, 
	-1, -1, -1, -1, -1, 370, -1, 394, 
	394, 394, 394, 394, 394, 394, 394, 394, 
	394, 394, 394, 394, 394, 394, 394, 394, 
	394, 394, 394, 394, 394, 394, 394, 394, 
	394, 394, -1, 394, 394, 394, 394, 394, 
	-1, 394, -1, 394, 394, 394, 394, -1, 
	394, -1, 394, 394, 394, 394, 394, 394, 
	394, 394, 394, 394, 394, 394, 394, 394, 
	394, 394, -1, 394, 394, 394, 394, 394, 
	394, 394, 394, 394, 394, 394, 394, 394, 
	394, 394, -1, 394, -1, -1, 394, -1, 
	394, 394, 394, 394, 394, -1, -1, 394, 
	394, 394, 394, 394, 394, 394, 394, 394, 
	394, 394, 394, 394, 394, 394, 394, -1, 
	-1, -1, -1, -1, 394, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	370, 394, 394, 394, 394, -1, -1, 394, 
	394, 394, 394, 394, 394, -1, -1, -1, 
	-1, 394, 394, 394, 394, 394, 394, 394, 
	-1, -1, -1, -1, 394, -1, -1, -1, 
	-1, 394, 394, -1, -1, 394, 394, 394, 
	-1, 394, 394, -1, -1, 394, -1, -1, 
	-1, -1, -1, -1, -1, -1, 394, 394, 
	394, 394, 394, 394, 394, -1, -1, -1, 
	394, 394, 394, -1, -1, 394, 394, 394, 
	394, 394, 394, 394, 394, 394, 394, 394, 
	394, -1, -1, -1, 394, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 394, 
	394, 394, -1, -1, 394, -1, -1, -1, 
	-1, 394, -1, 394, 394, -1, 394, -1, 
	394, 394, 394, 394, 394, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 394, 
	-1, 394, -1, -1, 394, -1, 394, 394, 
	-1, -1, -1, 394, -1, 394, -1, 394, 
	395, 395, 395, 395, 395, 395, 395, 395, 
	395, 395, 395, 395, 395, 395, 395, 395, 
	395, 395, 395, 395, 395, 395, 395, 395, 
	395, 395, 395, -1, 395, 395, 395, 395, 
	395, -1, 395, -1, 395, 395, 395, 395, 
	-1, 395, -1, 395, 395, 395, 395, 395, 
	395, 395, 395, 395, 395, 395, 395, 395, 
	395, 395, 395, -1, 395, 395, 395, 395, 
	395, 395, 395, 395, 395, 395, 395, 395, 
	395, 395, 395, -1, 395, -1, -1, 395, 
	-1, 395, 395, 395, 395, 395, -1, -1, 
	395, 395, 395, 395, 395, 395, 395, 395, 
	395, 395, 395, 395, 395, 395, 395, 395, 
	-1, -1, -1, -1, -1, 395, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 394, -1, -1, -1, -1, -1, -1, 
	-1, -1, 395, 395, 395, 395, -1, -1, 
	395, 395, 395, 395, 395, 395, -1, -1, 
	-1, -1, 395, 395, 395, 395, 395, 395, 
	395, -1, -1, -1, -1, 395, -1, -1, 
	-1, -1, 395, 395, -1, -1, 395, 395, 
	395, -1, 395, 395, -1, -1, 395, -1, 
	-1, -1, -1, -1, -1, -1, -1, 395, 
	395, 395, 395, 395, 395, 395, -1, -1, 
	-1, 395, 395, 395, -1, -1, 395, 395, 
	395, 395, 395, 395, 395, 395, 395, 395, 
	395, 395, -1, -1, -1, 395, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	395, 395, 395, -1, -1, 395, -1, -1, 
	-1, -1, 395, -1, 395, 395, -1, 395, 
	-1, 395, 395, 395, 395, 395, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	395, -1, 395, -1, -1, 395, -1, 395, 
	395, -1, -1, -1, 395, -1, 395, -1, 
	395, 396, 396, 396, 396, 396, 396, 396, 
	396, 396, 396, 396, 396, 396, 396, 396, 
	396, 396, 396, 396, 396, 396, 396, 396, 
	396, 396, 396, 396, -1, 396, 396, 396, 
	396, 396, -1, 396, -1, 396, 396, 396, 
	396, -1, 396, -1, 396, 396, 396, 396, 
	396, 396, 396, 396, 396, 396, 396, 396, 
	396, 396, 396, 396, -1, 396, 396, 396, 
	396, 396, 396, 396, 396, 396, 396, 396, 
	396, 396, 396, 396, -1, 396, -1, -1, 
	396, -1, 396, 396, 396, 396, 396, -1, 
	-1, 396, 396, 396, 396, 396, 396, 396, 
	396, 396, 396, 396, 396, 396, 396, 396, 
	396, -1, -1, -1, -1, -1, 396, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 395, -1, -1, -1, -1, -1, 
	-1, -1, -1, 396, 396, 396, 396, -1, 
	-1, 396, 396, 396, 396, 396, 396, -1, 
	-1, -1, -1, 396, 396, 396, 396, 396, 
	396, 396, -1, -1, -1, -1, 396, -1, 
	-1, -1, -1, 396, 396, -1, -1, 396, 
	396, 396, -1, 396, 396, -1, -1, 396, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	396, 396, 396, 396, 396, 396, 396, -1, 
	-1, -1, 396, 396, 396, -1, -1, 396, 
	396, 396, 396, 396, 396, 396, 396, 396, 
	396, 396, 396, -1, -1, -1, 396, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 396, 396, 396, -1, -1, 396, -1, 
	-1, -1, -1, 396, -1, 396, 396, -1, 
	396, -1, 396, 396, 396, 396, 396, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 396, -1, 396, -1, -1, 396, -1, 
	396, 396, -1, -1, -1, 396, -1, 396, 
	-1, 396, 400, 400, 400, 400, 400, 400, 
	-1, 400, 400, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 400, 400, 400, 400, 
	400, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 400, -1, -1, -1, 400, 
	-1, -1, -1, 400, 400, 400, 400, 400, 
	-1, -1, -1, -1, 400, 400, 400, -1, 
	-1, -1, -1, 400, 400, -1, 400, 400, 
	400, 400, -1, -1, -1, -1, -1, -1, 
	-1, 400, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 400, 
	400, 400, -1, 400, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 402, 402, 402, 402, 402, 402, 402, 
	402, 402, 402, 402, 402, 402, 402, 402, 
	402, 402, 402, 402, 402, 402, 402, 402, 
	402, 402, 402, 402, -1, 402, 402, 402, 
	402, 402, -1, 402, -1, 402, 402, 402, 
	402, -1, 402, 396, 402, 402, 402, 402, 
	402, 402, 402, 402, 402, 402, 402, 402, 
	402, 402, 402, 402, -1, 402, 402, 402, 
	402, 402, 402, 402, 402, 402, 402, 402, 
	402, 402, 402, 402, -1, 402, -1, -1, 
	402, -1, 402, 402, 402, 402, 402, -1, 
	-1, 402, 402, 402, 402, 402, 402, 402, 
	402, 402, 402, 402, 402, 402, 402, 402, 
	402, -1, -1, -1, -1, -1, 402, -1, 
	-1, 400, 400, 400, 400, 400, -1, 400, 
	400, 400, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 400, 400, 400, 400, 400, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 402, 402, 402, 402, -1, 
	-1, 402, 402, 402, 402, 402, 402, -1, 
	-1, -1, -1, 402, 402, 402, 402, 402, 
	402, 402, -1, -1, -1, -1, 402, -1, 
	-1, -1, -1, 402, 402, -1, -1, 402, 
	402, 402, -1, 402, 402, -1, -1, 402, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	402, 402, 402, 402, 402, 402, 402, -1, 
	-1, -1, 402, 402, 402, -1, -1, 402, 
	402, 402, 402, 402, 402, 402, 402, 402, 
	402, 402, 402, -1, -1, -1, 402, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 402, 402, 402, -1, -1, 402, -1, 
	-1, -1, -1, 402, -1, 402, 402, -1, 
	402, -1, 402, 402, 402, 402, 402, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 402, -1, 402, -1, -1, 402, -1, 
	402, 402, -1, -1, -1, 402, -1, 402, 
	-1, 402, 403, 403, 403, 403, 403, 403, 
	403, 403, 403, 403, 403, 403, 403, 403, 
	403, 403, 403, 403, 403, 403, 403, 403, 
	403, 403, 403, 403, 403, -1, 403, 403, 
	403, 403, 403, -1, 403, -1, 403, 403, 
	403, 403, -1, 403, -1, 403, 403, 403, 
	-1, 403, 403, 403, 403, 403, 403, 403, 
	403, 403, 403, 403, 403, -1, 403, 403, 
	403, 403, 403, 403, 403, 403, 403, -1, 
	403, 403, 403, 403, -1, -1, -1, -1, 
	-1, -1, -1, 403, -1, -1, 403, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 403, 403, 403, -1, 403, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 402, -1, -1, -1, -1, 
	-1, -1, -1, -1, 403, 403, 403, 403, 
	-1, -1, 403, 403, -1, 403, 403, 403, 
	-1, -1, -1, -1, 403, 403, 403, -1, 
	403, 403, 403, -1, -1, -1, -1, 403, 
	-1, -1, -1, -1, 403, -1, -1, -1, 
	403, 403, 403, -1, 403, 403, -1, -1, 
	403, -1, -1, -1, -1, -1, -1, -1, 
	-1, 403, 403, 403, 403, 403, 403, 403, 
	-1, -1, -1, -1, 403, 403, -1, -1, 
	403, 403, 403, 403, 403, 403, 403, 403, 
	-1, 403, 403, 403, -1, -1, -1, -1, 
	-1, -1, 404, 404, 404, 404, 404, 404, 
	-1, 404, 404, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 404, 404, 404, 404, 
	404, -1, -1, 403, 403, 403, 403, 403, 
	-1, -1, -1, 404, -1, -1, -1, 404, 
	-1, -1, 403, 404, 404, 404, 404, 404, 
	-1, 403, -1, -1, 404, 404, 404, -1, 
	-1, -1, -1, 404, 404, -1, 404, 404, 
	404, 404, -1, -1, -1, -1, -1, -1, 
	-1, 404, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 404, 
	404, 404, -1, 404, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 400, 400, 400, 400, 400, -1, 400, 
	400, 400, -1, -1, -1, -1, -1, 443, 
	443, 443, 443, 443, 443, -1, 443, 443, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 443, 443, 443, 443, 443, -1, -1, 
	-1, 400, 400, 400, 400, -1, -1, -1, 
	443, -1, -1, -1, 443, -1, -1, -1, 
	443, 443, 443, 443, 443, -1, -1, -1, 
	-1, 443, 443, 443, 403, -1, 404, -1, 
	443, 443, -1, 443, 443, 443, 443, -1, 
	-1, 404, 404, 404, 404, 404, 443, 404, 
	404, 404, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 443, 443, 443, -1, 
	443, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 404, 404, 404, 404, 404, 405, 405, 
	405, 405, 405, 405, 405, 405, 405, 405, 
	405, 405, 405, 405, 405, 405, 405, 405, 
	405, 405, 405, 405, 405, 405, 405, 405, 
	405, -1, 405, 405, 405, 405, 405, -1, 
	405, -1, 405, 405, 405, 405, -1, 405, 
	-1, 405, 405, 405, -1, 405, 405, 405, 
	405, 405, 405, 405, 405, 405, 405, 405, 
	405, -1, 405, 405, 405, 405, 405, 405, 
	405, 405, 405, -1, 405, 405, 405, 405, 
	-1, -1, -1, -1, -1, -1, -1, 405, 
	-1, -1, 405, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 405, 405, 405, 
	-1, 405, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 443, 443, 
	443, 443, 443, -1, 443, 443, 443, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 443, 443, 
	443, 443, 443, -1, -1, -1, -1, -1, 
	405, 405, 405, 405, -1, -1, 405, 405, 
	-1, 405, 405, 405, -1, -1, -1, -1, 
	405, 405, 405, -1, 405, 405, 405, -1, 
	-1, -1, -1, 405, -1, -1, -1, -1, 
	405, -1, -1, -1, 405, 405, 405, -1, 
	405, 405, -1, -1, 405, -1, -1, -1, 
	-1, -1, -1, -1, -1, 405, 405, 405, 
	405, 405, 405, 405, -1, -1, -1, -1, 
	405, 405, -1, -1, 405, 405, 405, 405, 
	405, 405, 405, 405, -1, 405, 405, 405, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 405, 
	405, 405, 405, 405, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 405, -1, 
	-1, -1, -1, -1, -1, 405, -1, -1, 
	406, 406, 406, 406, 406, 406, 406, 406, 
	406, 406, 406, 406, 406, 406, 406, 406, 
	406, 406, 406, 406, 406, 406, 406, 406, 
	406, 406, 406, -1, 406, 406, 406, 406, 
	406, -1, 406, -1, 406, 406, 406, 406, 
	-1, 406, -1, 406, 406, 406, -1, 406, 
	406, 406, 406, 406, 406, 406, 406, 406, 
	406, 406, 406, -1, 406, 406, 406, 406, 
	406, 406, 406, 406, 406, -1, 406, 406, 
	406, 406, -1, -1, -1, -1, -1, -1, 
	-1, 406, -1, -1, 406, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 406, 
	406, 406, -1, 406, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	405, -1, 406, 406, 406, 406, -1, -1, 
	406, 406, -1, 406, 406, 406, -1, -1, 
	-1, -1, 406, 406, 406, -1, 406, 406, 
	406, -1, -1, -1, -1, 406, -1, -1, 
	-1, -1, 406, -1, -1, -1, 406, 406, 
	406, -1, 406, 406, -1, -1, 406, -1, 
	-1, -1, -1, -1, -1, -1, -1, 406, 
	406, 406, 406, 406, 406, 406, -1, -1, 
	-1, -1, 406, 406, -1, -1, 406, 406, 
	406, 406, 406, 406, 406, 406, 404, 406, 
	406, 406, -1, -1, -1, -1, -1, -1, 
	-1, 404, 404, 404, 404, 404, -1, 404, 
	404, 404, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 406, 406, 406, 406, 406, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	406, 404, 404, 404, 404, -1, -1, 406, 
	-1, 407, 407, 407, 407, 407, 407, 407, 
	407, 407, 407, 407, 407, 407, 407, 407, 
	407, 407, 407, 407, 407, 407, 407, 407, 
	407, 407, 407, 407, -1, 407, 407, 407, 
	407, 407, -1, 407, -1, 407, 407, 407, 
	407, -1, 407, -1, 407, 407, 407, -1, 
	407, 407, 407, 407, 407, 407, 407, 407, 
	407, 407, 407, 407, -1, 407, 407, 407, 
	407, 407, 407, 407, 407, 407, -1, 407, 
	407, 407, 407, -1, -1, -1, -1, -1, 
	-1, -1, 407, -1, -1, 407, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	407, 407, 407, -1, 407, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 443, 443, 
	443, 443, 443, -1, 443, 443, 443, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 443, 443, 
	443, 443, -1, -1, -1, -1, -1, -1, 
	-1, -1, 406, 407, 407, 407, 407, -1, 
	-1, 407, 407, -1, 407, 407, 407, -1, 
	-1, -1, -1, 407, 407, 407, -1, 407, 
	407, 407, -1, -1, -1, -1, 407, -1, 
	-1, -1, -1, 407, -1, -1, -1, 407, 
	407, 407, -1, 407, 407, -1, -1, 407, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	407, 407, 407, 407, 407, 407, 407, -1, 
	-1, -1, -1, 407, 407, -1, -1, 407, 
	407, 407, 407, 407, 407, 407, 407, -1, 
	407, 407, 407, -1, -1, -1, -1, -1, 
	-1, 409, 409, 409, 409, 409, 409, -1, 
	409, 409, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 409, 409, 409, 409, 409, 
	-1, -1, 407, 407, 407, 407, 407, -1, 
	-1, -1, 409, -1, -1, -1, 409, -1, 
	-1, 407, 409, 409, 409, 409, 409, -1, 
	407, -1, -1, 409, 409, 409, -1, -1, 
	-1, -1, 409, 409, -1, 409, 409, 409, 
	409, -1, -1, -1, -1, -1, -1, -1, 
	409, 409, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 409, 409, 
	409, -1, 409, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 427, 
	427, 427, 427, 427, 427, 427, 427, 427, 
	427, 427, 427, 427, 427, 427, 427, 427, 
	427, 427, 427, 427, 427, 427, 427, 427, 
	427, 427, -1, 427, 427, 427, 427, 427, 
	-1, 427, -1, 427, 427, 427, 427, -1, 
	427, -1, 427, 427, 427, -1, 427, 427, 
	427, 427, 427, 427, 427, 427, 427, 427, 
	427, 427, -1, 427, 427, 427, 427, 427, 
	427, 427, 427, 427, 427, 427, 427, 427, 
	427, 427, -1, 427, -1, -1, -1, -1, 
	427, 427, 427, 427, 427, -1, -1, 427, 
	427, 427, 427, 427, 427, 427, 427, 427, 
	427, 427, 427, 427, 427, 427, 427, -1, 
	-1, -1, -1, 407, 427, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	409, 409, 409, 409, 409, -1, 409, 409, 
	409, -1, -1, -1, 409, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	409, 409, 409, 409, 409, -1, -1, -1, 
	-1, 427, 427, 427, 427, -1, -1, 427, 
	427, 427, 427, 427, 427, -1, -1, 409, 
	-1, 427, 427, 427, 427, 427, 427, 427, 
	-1, -1, -1, -1, 427, -1, -1, -1, 
	-1, 427, 427, -1, -1, 427, 427, 427, 
	-1, 427, 427, -1, -1, 427, -1, -1, 
	-1, -1, -1, -1, -1, -1, 427, 427, 
	427, 427, 427, 427, 427, -1, -1, -1, 
	427, 427, 427, 427, -1, 427, 427, 427, 
	427, 427, 427, 427, 427, -1, 427, 427, 
	427, -1, -1, -1, 427, -1, -1, -1, 
	-1, -1, -1, -1, 427, -1, -1, 427, 
	427, 427, -1, -1, 427, -1, -1, -1, 
	-1, 427, -1, -1, -1, -1, 427, -1, 
	427, 427, 427, 427, 427, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 427, 
	-1, 427, -1, -1, 427, -1, 427, 427, 
	-1, -1, -1, 427, -1, 427, -1, 427, 
	428, 428, 428, 428, 428, 428, 428, 428, 
	428, 428, 428, 428, 428, 428, 428, 428, 
	428, 428, 428, 428, 428, 428, 428, 428, 
	428, 428, 428, -1, 428, 428, 428, 428, 
	428, -1, 428, -1, 428, 428, 428, 428, 
	-1, 428, -1, 428, 428, 428, -1, 428, 
	428, 428, 428, 428, 428, 428, 428, 428, 
	428, 428, 428, -1, 428, 428, 428, 428, 
	428, 428, 428, 428, 428, 428, 428, 428, 
	428, 428, 428, -1, 428, -1, -1, -1, 
	-1, 428, 428, 428, 428, 428, -1, -1, 
	428, 428, 428, 428, 428, 428, 428, 428, 
	428, 428, 428, 428, 428, 428, 428, 428, 
	-1, -1, -1, -1, -1, 428, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 427, -1, -1, -1, -1, -1, -1, 
	-1, -1, 428, 428, 428, 428, -1, -1, 
	428, 428, 428, 428, 428, 428, -1, -1, 
	-1, -1, 428, 428, 428, 428, 428, 428, 
	428, -1, -1, -1, -1, 428, -1, -1, 
	-1, -1, 428, 428, -1, -1, 428, 428, 
	428, -1, 428, 428, -1, -1, 428, -1, 
	-1, -1, -1, -1, -1, -1, -1, 428, 
	428, 428, 428, 428, 428, 428, -1, -1, 
	-1, 428, 428, 428, -1, -1, 428, 428, 
	428, 428, 428, 428, 428, 428, -1, 428, 
	428, 428, -1, -1, -1, 428, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	428, 428, 428, -1, -1, 428, -1, -1, 
	-1, -1, 428, -1, -1, -1, -1, 428, 
	-1, 428, 428, 428, 428, 428, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	428, -1, 428, -1, -1, 428, -1, 428, 
	428, -1, -1, -1, 428, -1, 428, -1, 
	428, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	409, 409, 409, 409, 409, -1, 409, 409, 
	409, -1, -1, -1, 409, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	409, 409, 409, 409, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 428, -1, -1, -1, -1, 409, 
	429, 429, 429, 429, 429, 429, 429, 429, 
	429, 429, 429, 429, 429, 429, 429, 429, 
	429, 429, 429, 429, 429, 429, 429, 429, 
	429, 429, 429, -1, 429, 429, 429, 429, 
	429, -1, 429, -1, 429, 429, 429, 429, 
	-1, 429, -1, 429, 429, 429, -1, 429, 
	429, 429, 429, 429, 429, 429, 429, 429, 
	429, 429, 429, -1, 429, 429, 429, 429, 
	429, 429, 429, 429, 429, 429, 429, 429, 
	429, 429, 429, -1, 429, -1, -1, -1, 
	-1, 429, 429, 429, 429, 429, -1, -1, 
	429, 429, 429, 429, 429, 429, 429, 429, 
	429, 429, 429, 429, 429, 429, 429, 429, 
	-1, -1, -1, -1, -1, 429, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 429, 429, 429, 429, -1, -1, 
	429, 429, 429, 429, 429, 429, -1, -1, 
	-1, -1, 429, 429, 429, 429, 429, 429, 
	429, -1, -1, -1, -1, 429, -1, -1, 
	-1, -1, 429, 429, -1, -1, 429, 429, 
	429, -1, 429, 429, -1, -1, 429, -1, 
	-1, -1, -1, -1, -1, -1, -1, 429, 
	429, 429, 429, 429, 429, 429, -1, -1, 
	-1, 429, 429, 429, -1, -1, 429, 429, 
	429, 429, 429, 429, 429, 429, -1, 429, 
	429, 429, -1, -1, -1, 429, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	429, 429, 429, -1, -1, 429, -1, -1, 
	-1, -1, 429, -1, -1, -1, -1, 429, 
	-1, 429, 429, 429, 429, 429, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	429, -1, 429, -1, -1, 429, -1, 429, 
	429, -1, -1, -1, 429, -1, 429, -1, 
	429, 430, 430, 430, 430, 430, 430, 430, 
	430, 430, 430, 430, 430, 430, 430, 430, 
	430, 430, 430, 430, 430, 430, 430, 430, 
	430, 430, 430, 430, -1, 430, 430, 430, 
	430, 430, -1, 430, -1, 430, 430, 430, 
	430, -1, 430, -1, 430, 430, 430, -1, 
	430, 430, 430, 430, 430, 430, 430, 430, 
	430, 430, 430, 430, -1, 430, 430, 430, 
	430, 430, 430, 430, 430, 430, 430, 430, 
	430, 430, 430, 430, -1, 430, -1, -1, 
	-1, -1, 430, 430, 430, 430, 430, -1, 
	-1, 430, 430, 430, 430, 430, 430, 430, 
	430, 430, 430, 430, 430, 430, 430, 430, 
	430, -1, -1, -1, -1, -1, 430, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 429, -1, -1, -1, -1, -1, 
	-1, -1, -1, 430, 430, 430, 430, -1, 
	-1, 430, 430, 430, 430, 430, 430, -1, 
	-1, -1, -1, 430, 430, 430, 430, 430, 
	430, 430, -1, -1, -1, -1, 430, -1, 
	-1, -1, -1, 430, 430, -1, -1, 430, 
	430, 430, -1, 430, 430, -1, -1, 430, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	430, 430, 430, 430, 430, 430, 430, -1, 
	-1, -1, 430, 430, 430, -1, -1, 430, 
	430, 430, 430, 430, 430, 430, 430, -1, 
	430, 430, 430, -1, -1, -1, 430, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 430, 430, 430, -1, -1, 430, -1, 
	-1, -1, -1, 430, -1, -1, -1, -1, 
	430, -1, 430, 430, 430, 430, 430, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 430, -1, 430, -1, -1, 430, -1, 
	430, 430, -1, -1, -1, 430, -1, 430, 
	-1, 430, 431, 431, 431, 431, 431, 431, 
	431, 431, 431, 431, 431, 431, 431, 431, 
	431, 431, 431, 431, 431, 431, 431, 431, 
	431, 431, 431, 431, 431, -1, 431, 431, 
	431, 431, 431, -1, 431, -1, 431, 431, 
	431, 431, -1, 431, -1, 431, 431, 431, 
	-1, 431, 431, 431, 431, 431, 431, 431, 
	431, 431, 431, 431, 431, -1, 431, 431, 
	431, 431, 431, 431, 431, 431, 431, 431, 
	431, 431, 431, 431, 431, -1, 431, -1, 
	-1, -1, -1, 431, 431, 431, 431, 431, 
	-1, -1, 431, 431, 431, 431, 431, 431, 
	431, 431, 431, 431, 431, 431, 431, 431, 
	431, 431, -1, -1, -1, -1, -1, 431, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 430, -1, -1, -1, -1, 
	-1, -1, -1, -1, 431, 431, 431, 431, 
	-1, -1, 431, 431, 431, 431, 431, 431, 
	-1, -1, -1, -1, 431, 431, 431, 431, 
	431, 431, 431, -1, -1, -1, -1, 431, 
	-1, -1, -1, -1, 431, 431, -1, -1, 
	431, 431, 431, -1, 431, 431, -1, -1, 
	431, -1, -1, -1, -1, -1, -1, -1, 
	-1, 431, 431, 431, 431, 431, 431, 431, 
	-1, -1, -1, 431, 431, 431, -1, -1, 
	431, 431, 431, 431, 431, 431, 431, 431, 
	-1, 431, 431, 431, -1, -1, -1, 431, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 431, 431, 431, -1, -1, 431, 
	-1, -1, -1, -1, 431, -1, -1, -1, 
	-1, 431, -1, 431, 431, 431, 431, 431, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 431, -1, 431, -1, -1, 431, 
	-1, 431, 431, -1, -1, -1, 431, -1, 
	431, -1, 431, 433, 433, 433, 433, 433, 
	433, 433, 433, 433, 433, 433, 433, 433, 
	433, 433, 433, -1, 433, 433, 433, 433, 
	433, 433, 433, 433, -1, -1, -1, 433, 
	433, 433, 433, 433, -1, 433, -1, 433, 
	433, 433, 433, -1, 433, -1, 433, 433, 
	433, -1, 433, 433, -1, -1, 433, 433, 
	433, 433, 433, 433, 433, 433, -1, 433, 
	433, 433, 433, 433, 433, 433, 433, 433, 
	-1, 433, 433, 433, 433, -1, -1, -1, 
	-1, -1, -1, -1, 433, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 433, 433, 433, -1, 433, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 431, -1, -1, -1, 
	-1, -1, -1, -1, -1, 433, 433, 433, 
	433, -1, -1, 433, 433, -1, 433, 433, 
	433, -1, -1, -1, -1, 433, 433, 433, 
	-1, 433, 433, 433, -1, -1, -1, -1, 
	433, -1, -1, -1, -1, 433, 433, -1, 
	-1, 433, 433, 433, -1, 433, 433, -1, 
	-1, 433, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 433, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 433, 433, 433, 433, 433, 433, 433, 
	433, -1, 433, 433, 433, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 433, 433, 433, 433, 
	433, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 433, -1, -1, -1, -1, 
	433, -1, -1, -1, 437, 437, 437, 437, 
	437, 437, 437, 437, 437, 437, 437, 437, 
	437, 437, 437, 437, -1, 437, 437, 437, 
	437, 437, 437, 437, 437, -1, -1, -1, 
	437, 437, 437, 437, 437, -1, 437, -1, 
	437, 437, 437, 437, -1, 437, -1, 437, 
	437, 437, -1, 437, 437, -1, -1, 437, 
	437, 437, 437, 437, 437, 437, 437, -1, 
	437, 437, 437, 437, 437, 437, 437, 437, 
	437, -1, 437, 437, 437, 437, -1, -1, 
	-1, -1, -1, -1, -1, 437, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 437, 437, 437, -1, 437, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 433, 437, 437, 
	437, 437, -1, -1, 437, 437, -1, 437, 
	437, 437, -1, -1, -1, -1, 437, 437, 
	437, -1, 437, 437, 437, -1, -1, -1, 
	-1, 437, -1, -1, -1, -1, 437, -1, 
	-1, -1, 437, 437, 437, -1, 437, 437, 
	-1, -1, 437, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 437, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 437, 437, 437, 437, 437, 437, 
	437, 437, -1, 437, 437, 437, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 437, 437, 437, 
	437, 437, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 437, -1, -1, 440, 
	440, 440, 440, 440, 440, 440, 440, 440, 
	440, 440, 440, 440, 440, 440, 440, 440, 
	440, 440, 440, 440, 440, 440, 440, 440, 
	440, 440, -1, 440, 440, 440, 440, 440, 
	-1, 440, -1, 440, 440, 440, 440, -1, 
	440, -1, 440, 440, 440, -1, 440, 440, 
	440, 440, 440, 440, 440, 440, 440, 440, 
	440, 440, -1, 440, 440, 440, 440, 440, 
	440, 440, 440, 440, -1, 440, 440, 440, 
	440, -1, -1, -1, -1, -1, -1, -1, 
	440, -1, -1, 440, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 440, 440, 
	440, -1, 440, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 440, 440, 440, 440, -1, 437, 440, 
	440, -1, 440, 440, 440, -1, -1, -1, 
	-1, 440, 440, 440, -1, 440, 440, 440, 
	-1, -1, -1, -1, 440, -1, -1, -1, 
	-1, 440, -1, -1, -1, 440, 440, 440, 
	-1, 440, 440, -1, -1, 440, -1, -1, 
	-1, -1, -1, -1, -1, -1, 440, 440, 
	440, 440, 440, 440, 440, -1, -1, -1, 
	-1, 440, 440, -1, -1, 440, 440, 440, 
	440, 440, 440, 440, 440, -1, 440, 440, 
	440, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	440, 440, 440, 440, 440, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 440, 
	-1, -1, -1, -1, -1, -1, 440, -1, 
	441, 441, 441, 441, 441, 441, 441, 441, 
	441, 441, 441, 441, 441, 441, 441, 441, 
	441, 441, 441, 441, 441, 441, 441, 441, 
	441, 441, 441, -1, 441, 441, 441, 441, 
	441, -1, 441, -1, 441, 441, 441, 441, 
	-1, 441, -1, 441, 441, 441, -1, 441, 
	441, 441, 441, 441, 441, 441, 441, 441, 
	441, 441, 441, -1, 441, 441, 441, 441, 
	441, 441, 441, 441, 441, -1, 441, 441, 
	441, 441, -1, -1, -1, -1, -1, -1, 
	-1, 441, -1, -1, 441, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 441, 
	441, 441, -1, 441, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 440, 441, 441, 441, 441, -1, -1, 
	441, 441, -1, 441, 441, 441, -1, -1, 
	-1, -1, 441, 441, 441, -1, 441, 441, 
	441, -1, -1, -1, -1, 441, -1, -1, 
	-1, -1, 441, -1, -1, -1, 441, 441, 
	441, -1, 441, 441, -1, -1, 441, -1, 
	-1, -1, -1, -1, -1, -1, -1, 441, 
	441, 441, 441, 441, 441, 441, -1, -1, 
	-1, -1, 441, 441, -1, -1, 441, 441, 
	441, 441, 441, 441, 441, 441, -1, 441, 
	441, 441, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 441, 441, 441, 441, 441, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	441, -1, -1, -1, -1, -1, -1, 441, 
	-1, 442, 442, 442, 442, 442, 442, 442, 
	442, 442, 442, 442, 442, 442, 442, 442, 
	442, 442, 442, 442, 442, 442, 442, 442, 
	442, 442, 442, 442, -1, 442, 442, 442, 
	442, 442, -1, 442, -1, 442, 442, 442, 
	442, -1, 442, -1, 442, 442, 442, -1, 
	442, 442, 442, 442, 442, 442, 442, 442, 
	442, 442, 442, 442, -1, 442, 442, 442, 
	442, 442, 442, 442, 442, 442, -1, 442, 
	442, 442, 442, -1, -1, -1, -1, -1, 
	-1, -1, 442, -1, -1, 442, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	442, 442, 442, -1, 442, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 441, 442, 442, 442, 442, -1, 
	-1, 442, 442, -1, 442, 442, 442, -1, 
	-1, -1, -1, 442, 442, 442, -1, 442, 
	442, 442, -1, -1, -1, -1, 442, -1, 
	-1, -1, -1, 442, -1, -1, -1, 442, 
	442, 442, -1, 442, 442, -1, -1, 442, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	442, 442, 442, 442, 442, 442, 442, -1, 
	-1, -1, -1, 442, 442, -1, -1, 442, 
	442, 442, 442, 442, 442, 442, 442, -1, 
	442, 442, 442, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 442, 442, 442, 442, 442, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 442, -1, -1, -1, -1, -1, -1, 
	442, -1, -1, 444, 444, 444, 444, 444, 
	444, 444, 444, 444, 444, -1, 444, 444, 
	-1, -1, 444, 444, 444, 444, -1, -1, 
	-1, 444, 444, 444, 444, 444, -1, -1, 
	-1, -1, 444, 444, 444, -1, -1, -1, 
	444, -1, -1, -1, 444, 444, -1, -1, 
	444, 444, 444, 444, 444, -1, -1, -1, 
	-1, 444, 444, 444, -1, -1, -1, -1, 
	444, 444, -1, 444, 444, 444, 444, -1, 
	-1, -1, -1, -1, -1, -1, 444, -1, 
	444, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 444, 444, 444, -1, 
	444, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 445, 445, 445, 
	445, 445, 445, 445, 445, 445, 445, 445, 
	445, 445, 445, 445, 445, 445, 445, 445, 
	445, 445, 445, 445, 445, 445, 445, 445, 
	445, 445, 445, 445, 445, 445, -1, 445, 
	-1, 445, 445, 445, 445, 445, 445, -1, 
	445, 445, 445, 442, 445, 445, 445, 445, 
	445, 445, 445, 445, 445, 445, 445, 445, 
	445, 445, 445, 445, 445, 445, 445, 445, 
	445, 445, -1, 445, 445, 445, 445, -1, 
	-1, -1, 445, -1, -1, -1, 445, 445, 
	-1, 445, -1, -1, 445, -1, -1, 445, 
	-1, 445, -1, -1, 445, 445, 445, 444, 
	445, -1, -1, 441, 441, 441, 444, -1, 
	-1, -1, -1, 444, 444, 444, 444, 444, 
	444, 444, 444, -1, 444, 444, 444, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 445, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 445, -1, -1, 
	-1, -1, -1, -1, -1, -1, 444, 444, 
	444, 444, 444, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 445, 
	445, 445, 445, -1, -1, 445, 445, 445, 
	445, 445, 445, -1, -1, -1, -1, 445, 
	445, 445, 445, 445, 445, 445, -1, -1, 
	445, -1, 445, -1, -1, -1, -1, 445, 
	445, -1, 445, 445, 445, 445, -1, 445, 
	445, -1, -1, 445, -1, -1, -1, -1, 
	-1, 445, -1, 445, 445, 445, 445, 445, 
	445, 445, 445, -1, -1, -1, -1, 445, 
	445, -1, 445, 445, 445, 445, 445, 445, 
	445, 445, 445, -1, 445, 445, 445, -1, 
	-1, 445, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 445, 445, 445, -1, 
	-1, 445, 445, 445, -1, -1, 445, 445, 
	445, 445, 445, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 445, -1, 445, 
	-1, -1, 445, 445, 445, -1, 446, 446, 
	446, 446, 446, 446, 446, 446, 446, 446, 
	446, 446, 446, 446, 446, 446, 446, 446, 
	446, 446, 446, 446, 446, 446, 446, 446, 
	446, 446, 446, 446, 446, 446, 446, -1, 
	446, -1, 446, 446, 446, 446, 446, 446, 
	-1, 446, 446, 446, -1, 446, 446, 446, 
	446, 446, 446, 446, 446, 446, 446, 446, 
	446, 446, 446, 446, 446, 446, 446, 446, 
	446, 446, 446, -1, 446, 446, 446, 446, 
	-1, -1, -1, 446, -1, -1, -1, 446, 
	446, -1, 446, -1, -1, 446, -1, -1, 
	446, -1, 446, -1, -1, 446, 446, 446, 
	-1, 446, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 446, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 446, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 445, 
	446, 446, 446, 446, -1, -1, 446, 446, 
	446, 446, 446, 446, -1, -1, -1, -1, 
	446, 446, 446, 446, 446, 446, 446, -1, 
	-1, 446, -1, 446, -1, -1, -1, -1, 
	446, 446, -1, 446, 446, 446, 446, -1, 
	446, 446, -1, -1, 446, -1, -1, -1, 
	-1, -1, 446, -1, 446, 446, 446, 446, 
	446, 446, 446, 446, -1, -1, -1, -1, 
	446, 446, -1, 446, 446, 446, 446, 446, 
	446, 446, 446, 446, -1, 446, 446, 446, 
	-1, -1, 446, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 446, 446, 446, 
	-1, -1, 446, 446, 446, -1, -1, 446, 
	446, 446, 446, 446, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 446, -1, 
	446, -1, -1, 446, 446, 446, -1, -1, 
	-1, 447, 447, 447, 447, 447, 447, 447, 
	447, 447, 447, 447, 447, 447, 447, 447, 
	447, 447, 447, 447, 447, 447, 447, 447, 
	447, 447, 447, 447, 447, 447, 447, 447, 
	447, 447, -1, 447, -1, 447, 447, 447, 
	447, 447, 447, -1, 447, 447, 447, -1, 
	447, 447, 447, 447, 447, 447, 447, 447, 
	447, 447, 447, 447, 447, 447, 447, 447, 
	447, 447, 447, 447, 447, 447, -1, 447, 
	447, 447, 447, -1, -1, -1, 447, -1, 
	-1, -1, 447, 447, -1, 447, -1, -1, 
	447, -1, -1, 447, -1, 447, -1, 444, 
	447, 447, 447, -1, 447, -1, 444, -1, 
	-1, -1, -1, 444, 444, 444, 444, 444, 
	444, 444, 444, -1, 444, 444, 444, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 447, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 447, -1, -1, -1, -1, 444, 444, 
	444, 444, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	446, -1, -1, 447, 447, 447, 447, -1, 
	-1, 447, 447, 447, 447, 447, 447, -1, 
	-1, -1, -1, 447, 447, 447, 447, 447, 
	447, 447, -1, -1, 447, -1, 447, -1, 
	-1, -1, -1, 447, 447, -1, 447, 447, 
	447, 447, -1, 447, 447, -1, -1, 447, 
	-1, -1, -1, -1, -1, 447, -1, 447, 
	447, 447, 447, 447, 447, 447, 447, -1, 
	-1, -1, -1, 447, 447, -1, 447, 447, 
	447, 447, 447, 447, 447, 447, 447, -1, 
	447, 447, 447, -1, -1, 447, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	447, 447, 447, -1, -1, 447, 447, 447, 
	-1, -1, 447, 447, 447, 447, 447, 454, 
	454, 454, 454, 454, 454, -1, 454, 454, 
	-1, 447, -1, 447, -1, -1, 447, 447, 
	447, 454, 454, 454, 454, 454, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	454, -1, -1, -1, 454, -1, -1, -1, 
	454, 454, 454, 454, 454, -1, -1, -1, 
	-1, 454, 454, 454, -1, -1, -1, -1, 
	454, 454, -1, 454, 454, 454, 454, -1, 
	-1, -1, -1, -1, -1, -1, 454, 454, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 454, 454, 454, -1, 
	454, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 456, 456, 456, 456, 
	456, 456, 456, 456, 456, 456, 456, 456, 
	456, 456, 456, 456, -1, 456, 456, 456, 
	456, 456, 456, 456, 456, -1, -1, -1, 
	456, 456, 456, 456, 456, -1, 456, -1, 
	456, 456, 456, 456, -1, 456, -1, 456, 
	456, 456, -1, 456, 456, -1, -1, 456, 
	456, 456, 456, 456, 456, 456, 456, -1, 
	456, 456, 456, 456, 456, 456, 456, 456, 
	456, -1, 456, 456, 456, 456, -1, -1, 
	-1, -1, -1, 447, -1, 456, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 456, 456, 456, -1, 456, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 454, 454, 
	454, 454, 454, -1, 454, 454, 454, -1, 
	-1, -1, 454, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 454, 454, 
	454, 454, 454, -1, -1, -1, 456, 456, 
	456, 456, -1, -1, 456, 456, 456, 456, 
	456, 456, -1, -1, -1, 454, 456, 456, 
	456, 456, 456, 456, 456, -1, -1, -1, 
	-1, 456, -1, -1, -1, -1, 456, 456, 
	-1, -1, 456, 456, 456, -1, 456, 456, 
	-1, -1, 456, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 456, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 456, 456, 456, 456, 456, 456, 
	456, 456, -1, 456, 456, 456, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 456, 456, 456, 
	456, 456, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 456, -1, 456, -1, 
	-1, 456, 458, 458, 458, 458, 458, 458, 
	458, 458, 458, 458, 458, 458, 458, -1, 
	-1, 458, 458, 458, 458, -1, -1, -1, 
	458, 458, 458, 458, 458, -1, -1, -1, 
	-1, 458, 458, 458, -1, -1, -1, 458, 
	-1, -1, -1, 458, 458, -1, -1, 458, 
	458, 458, 458, 458, -1, -1, -1, -1, 
	458, 458, 458, -1, -1, -1, -1, 458, 
	458, -1, 458, 458, 458, 458, -1, -1, 
	-1, -1, -1, -1, -1, 458, -1, -1, 
	458, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 458, 458, 458, -1, 458, 
	461, 461, 461, 461, 461, 461, 461, 461, 
	461, 461, -1, 461, 461, -1, -1, 461, 
	461, 461, 461, -1, -1, -1, 461, 461, 
	461, 461, 461, -1, -1, -1, -1, 461, 
	461, 461, -1, -1, -1, 461, -1, -1, 
	-1, 461, 461, -1, -1, 461, 461, 461, 
	461, 461, -1, -1, -1, -1, 461, 461, 
	461, -1, -1, -1, -1, 461, 461, -1, 
	461, 461, 461, 461, -1, -1, -1, -1, 
	-1, -1, -1, 461, -1, 461, 456, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 461, 461, 461, -1, 461, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 458, -1, 
	-1, -1, -1, -1, -1, -1, 458, 458, 
	458, -1, 458, 458, 458, 458, 458, 458, 
	458, 458, -1, 458, 458, 458, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 458, 458, 458, 
	458, 458, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 458, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 461, -1, -1, -1, 
	-1, -1, -1, 461, -1, -1, -1, -1, 
	461, 461, 461, 461, 461, 461, 461, 461, 
	-1, 461, 461, 461, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 461, 461, 461, 461, 461, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 454, 454, 
	454, 454, 454, -1, 454, 454, 454, -1, 
	-1, -1, 454, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 454, 454, 
	454, 454, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 454, 462, 462, 
	462, 462, 462, 462, 462, 462, 462, 462, 
	462, 462, 462, 462, 462, 462, 462, 462, 
	462, 462, 462, 462, 462, 462, 462, 462, 
	462, -1, 462, 462, 462, 462, 462, -1, 
	462, -1, 462, 462, 462, 462, -1, 462, 
	-1, 462, 462, 462, -1, 462, 462, 462, 
	462, 462, 462, 462, 462, 462, 462, 462, 
	462, -1, 462, 462, 462, 462, 462, 462, 
	462, 462, 462, -1, 462, 462, 462, 462, 
	-1, -1, -1, -1, -1, -1, -1, 462, 
	-1, -1, 462, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 462, 462, 462, 
	-1, 462, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	462, 462, 462, 462, -1, -1, 462, 462, 
	-1, 462, 462, 462, -1, -1, -1, -1, 
	462, 462, 462, -1, 462, 462, 462, -1, 
	-1, -1, -1, 462, -1, -1, -1, -1, 
	462, -1, -1, -1, 462, 462, 462, -1, 
	462, 462, -1, -1, 462, -1, -1, -1, 
	-1, -1, -1, -1, -1, 462, 462, 462, 
	462, 462, 462, 462, -1, -1, -1, -1, 
	462, 462, -1, -1, 462, 462, 462, 462, 
	462, 462, 462, 462, -1, 462, 462, 462, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 462, 
	462, 462, 462, 462, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 462, -1, 
	-1, -1, -1, -1, -1, 462, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 458, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	458, -1, 458, 458, 458, 458, 458, 458, 
	458, 458, -1, 458, 458, 458, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 458, 458, 458, 
	458, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 458, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 461, -1, -1, -1, 
	-1, -1, -1, 461, -1, -1, -1, -1, 
	461, 461, 461, 461, 461, 461, 461, 461, 
	-1, 461, 461, 461, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	462, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 461, 461, 461, 461, 464, 
	464, 464, 464, 464, 464, 464, 464, 464, 
	464, 464, 464, 464, 464, 464, 464, 464, 
	464, 464, 464, 464, 464, 464, 464, 464, 
	464, 464, -1, 464, 464, 464, 464, 464, 
	-1, 464, -1, 464, 464, 464, 464, -1, 
	464, -1, 464, 464, 464, -1, 464, 464, 
	464, 464, 464, 464, 464, 464, 464, 464, 
	464, 464, -1, 464, 464, 464, 464, 464, 
	464, 464, 464, 464, -1, 464, 464, 464, 
	464, -1, -1, -1, -1, -1, -1, -1, 
	464, -1, -1, 464, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 464, 464, 
	464, -1, 464, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 464, 464, 464, 464, -1, -1, 464, 
	464, -1, 464, 464, 464, -1, -1, -1, 
	-1, 464, 464, 464, -1, 464, 464, 464, 
	-1, -1, -1, -1, 464, -1, -1, -1, 
	-1, 464, -1, -1, -1, 464, 464, 464, 
	-1, 464, 464, -1, -1, 464, -1, -1, 
	-1, -1, -1, -1, -1, -1, 464, 464, 
	464, 464, 464, 464, 464, -1, -1, -1, 
	-1, 464, 464, -1, -1, 464, 464, 464, 
	464, 464, 464, 464, 464, -1, 464, 464, 
	464, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	464, 464, 464, 464, 464, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 464, 
	-1, -1, -1, -1, -1, -1, 464, -1, 
	465, 465, 465, 465, 465, 465, 465, 465, 
	465, 465, 465, 465, 465, 465, 465, 465, 
	465, 465, 465, 465, 465, 465, 465, 465, 
	465, 465, 465, -1, 465, 465, 465, 465, 
	465, -1, 465, -1, 465, 465, 465, 465, 
	-1, 465, -1, 465, 465, 465, -1, 465, 
	465, 465, 465, 465, 465, 465, 465, 465, 
	465, 465, 465, -1, 465, 465, 465, 465, 
	465, 465, 465, 465, 465, 465, 465, 465, 
	465, 465, 465, -1, 465, -1, -1, -1, 
	-1, 465, 465, 465, 465, 465, -1, -1, 
	465, 465, 465, 465, 465, 465, 465, 465, 
	465, 465, 465, 465, 465, 465, 465, 465, 
	-1, -1, -1, -1, -1, 465, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 464, 465, 465, 465, 465, -1, -1, 
	465, 465, 465, 465, 465, 465, -1, -1, 
	-1, -1, 465, 465, 465, 465, 465, 465, 
	465, -1, -1, -1, -1, 465, -1, -1, 
	-1, -1, 465, 465, -1, -1, 465, 465, 
	465, -1, 465, 465, -1, -1, 465, -1, 
	-1, -1, -1, -1, -1, -1, -1, 465, 
	465, 465, 465, 465, 465, 465, -1, -1, 
	-1, 465, 465, 465, -1, -1, 465, 465, 
	465, 465, 465, 465, 465, 465, -1, 465, 
	465, 465, -1, -1, -1, 465, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	465, 465, 465, -1, -1, 465, -1, -1, 
	-1, -1, 465, -1, -1, -1, -1, 465, 
	-1, 465, 465, 465, 465, 465, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	465, -1, 465, -1, -1, 465, -1, 465, 
	465, -1, -1, -1, 465, -1, 465, -1, 
	465, 466, 466, 466, 466, 466, 466, 466, 
	466, 466, 466, 466, 466, 466, 466, 466, 
	466, 466, 466, 466, 466, 466, 466, 466, 
	466, 466, 466, 466, -1, 466, 466, 466, 
	466, 466, -1, 466, -1, 466, 466, 466, 
	466, -1, 466, -1, 466, 466, 466, -1, 
	466, 466, 466, 466, 466, 466, 466, 466, 
	466, 466, 466, 466, -1, 466, 466, 466, 
	466, 466, 466, 466, 466, 466, 466, 466, 
	466, 466, 466, 466, -1, 466, -1, -1, 
	-1, -1, 466, 466, 466, 466, 466, -1, 
	-1, 466, 466, 466, 466, 466, 466, 466, 
	466, 466, 466, 466, 466, 466, 466, 466, 
	466, -1, -1, -1, -1, -1, 466, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 465, -1, -1, -1, -1, -1, 
	-1, -1, -1, 466, 466, 466, 466, -1, 
	-1, 466, 466, 466, 466, 466, 466, -1, 
	-1, -1, -1, 466, 466, 466, 466, 466, 
	466, 466, -1, -1, -1, -1, 466, -1, 
	-1, -1, -1, 466, 466, -1, -1, 466, 
	466, 466, -1, 466, 466, -1, -1, 466, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	466, 466, 466, 466, 466, 466, 466, -1, 
	-1, -1, 466, 466, 466, -1, -1, 466, 
	466, 466, 466, 466, 466, 466, 466, -1, 
	466, 466, 466, -1, -1, -1, 466, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 466, 466, 466, -1, -1, 466, -1, 
	-1, -1, -1, 466, -1, -1, -1, -1, 
	466, -1, 466, 466, 466, 466, 466, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 466, -1, 466, -1, -1, 466, -1, 
	466, 466, -1, -1, -1, 466, -1, 466, 
	-1, 466, 467, 467, 467, 467, 467, 467, 
	467, 467, 467, 467, 467, 467, 467, 467, 
	467, 467, 467, 467, 467, 467, 467, 467, 
	467, 467, 467, 467, 467, -1, 467, 467, 
	467, 467, 467, -1, 467, -1, 467, 467, 
	467, 467, -1, 467, -1, 467, 467, 467, 
	-1, 467, 467, 467, 467, 467, 467, 467, 
	467, 467, 467, 467, 467, -1, 467, 467, 
	467, 467, 467, 467, 467, 467, 467, 467, 
	467, 467, 467, 467, 467, -1, 467, -1, 
	-1, -1, -1, 467, 467, 467, 467, 467, 
	-1, -1, 467, 467, 467, 467, 467, 467, 
	467, 467, 467, 467, 467, 467, 467, 467, 
	467, 467, -1, -1, -1, -1, -1, 467, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 466, -1, -1, -1, -1, 
	-1, -1, -1, -1, 467, 467, 467, 467, 
	-1, -1, 467, 467, 467, 467, 467, 467, 
	-1, -1, -1, -1, 467, 467, 467, 467, 
	467, 467, 467, -1, -1, -1, -1, 467, 
	-1, -1, -1, -1, 467, 467, -1, -1, 
	467, 467, 467, -1, 467, 467, -1, -1, 
	467, -1, -1, -1, -1, -1, -1, -1, 
	-1, 467, 467, 467, 467, 467, 467, 467, 
	-1, -1, -1, 467, 467, 467, -1, -1, 
	467, 467, 467, 467, 467, 467, 467, 467, 
	-1, 467, 467, 467, -1, -1, -1, 467, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 467, 467, 467, -1, -1, 467, 
	-1, -1, -1, -1, 467, -1, -1, -1, 
	-1, 467, -1, 467, 467, 467, 467, 467, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 467, -1, 467, -1, -1, 467, 
	-1, 467, 467, -1, -1, -1, 467, -1, 
	467, -1, 467, 468, 468, 468, 468, 468, 
	468, 468, 468, 468, 468, 468, 468, 468, 
	468, 468, 468, -1, 468, 468, 468, 468, 
	468, 468, 468, 468, -1, -1, -1, 468, 
	468, 468, 468, 468, -1, 468, -1, 468, 
	468, 468, 468, -1, 468, -1, 468, 468, 
	468, -1, 468, 468, -1, -1, 468, 468, 
	468, 468, 468, 468, 468, 468, 468, 468, 
	468, 468, 468, 468, 468, 468, 468, 468, 
	468, 468, 468, 468, 468, -1, -1, -1, 
	-1, -1, -1, -1, 468, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 468, 468, 468, -1, 468, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 467, -1, -1, -1, 
	-1, -1, -1, -1, -1, 468, 468, 468, 
	468, -1, -1, 468, 468, 468, 468, 468, 
	468, -1, -1, -1, -1, 468, 468, 468, 
	468, 468, 468, 468, -1, 468, 468, -1, 
	468, -1, -1, -1, -1, 468, 468, -1, 
	-1, 468, 468, 468, -1, 468, 468, -1, 
	-1, 468, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 468, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 468, 468, 468, 468, 468, 468, 468, 
	468, -1, 468, 468, 468, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 468, 468, 468, 468, 
	468, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 468, -1, 468, -1, -1, 
	468, -1, -1, -1, 470, 470, 470, 470, 
	470, 470, 470, 470, 470, 470, 470, 470, 
	470, 470, 470, 470, -1, 470, 470, 470, 
	470, 470, 470, 470, 470, -1, -1, -1, 
	470, 470, 470, 470, 470, -1, 470, -1, 
	470, 470, 470, 470, -1, 470, -1, 470, 
	470, 470, -1, 470, 470, -1, -1, 470, 
	470, 470, 470, 470, 470, 470, 470, -1, 
	470, 470, 470, 470, 470, 470, 470, 470, 
	470, -1, 470, 470, 470, 470, -1, -1, 
	-1, -1, -1, -1, -1, 470, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 470, 470, 470, -1, 470, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 468, 470, 470, 
	470, 470, -1, -1, 470, 470, -1, 470, 
	470, 470, -1, -1, -1, -1, 470, 470, 
	470, -1, 470, 470, 470, -1, -1, -1, 
	-1, 470, -1, -1, -1, -1, 470, 470, 
	-1, -1, 470, 470, 470, -1, 470, 470, 
	-1, -1, 470, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 470, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 470, 470, 470, 470, 470, 470, 
	470, 470, -1, 470, 470, 470, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 475, 475, 475, 475, 475, 475, -1, 
	475, 475, -1, -1, -1, 470, 470, 470, 
	470, 470, -1, 475, 475, 475, 475, 475, 
	-1, -1, -1, -1, 470, -1, -1, -1, 
	-1, 470, 475, -1, -1, -1, 475, -1, 
	-1, -1, 475, 475, 475, 475, 475, -1, 
	-1, -1, -1, 475, 475, 475, -1, -1, 
	-1, -1, 475, 475, -1, 475, 475, 475, 
	475, 475, -1, -1, -1, -1, -1, -1, 
	475, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 475, 475, 
	475, 475, 475, -1, -1, 475, 475, -1, 
	-1, -1, -1, -1, 475, -1, -1, -1, 
	-1, -1, -1, -1, 476, 476, 476, 476, 
	476, 476, 476, 476, 476, 476, 476, 476, 
	476, 476, 476, 476, -1, 476, 476, 476, 
	476, 476, 476, 476, 476, -1, -1, -1, 
	476, 476, 476, 476, 476, -1, 476, -1, 
	476, 476, 476, 476, -1, 476, -1, 476, 
	476, 476, -1, 476, 476, -1, -1, 476, 
	476, 476, 476, 476, 476, 476, 476, -1, 
	476, 476, 476, 476, 476, 476, 476, 476, 
	476, -1, 476, 476, 476, 476, -1, -1, 
	-1, -1, -1, -1, -1, 476, -1, -1, 
	-1, -1, -1, -1, -1, -1, 476, -1, 
	-1, -1, -1, 476, 476, 476, 470, 476, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	475, 475, 475, 475, 475, -1, 475, 475, 
	475, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 475, 
	475, 475, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 475, -1, 
	475, 475, 475, 475, 475, -1, 476, 476, 
	476, 476, -1, -1, 476, 476, 476, 476, 
	476, 476, -1, -1, -1, -1, 476, 476, 
	476, 476, 476, 476, 476, -1, -1, 475, 
	-1, 476, -1, -1, -1, -1, 476, 476, 
	-1, -1, 476, 476, 476, -1, 476, 476, 
	-1, -1, 476, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 476, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 476, 476, 476, 476, 476, 476, 
	476, 476, -1, 476, 476, 476, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 476, 476, 476, 
	476, 476, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 476, -1, 476, -1, 
	-1, 476, -1, -1, -1, 479, 479, 479, 
	479, 479, 479, 479, 479, 479, 479, 479, 
	479, 479, 479, 479, 479, -1, 479, 479, 
	479, 479, 479, 479, 479, 479, -1, -1, 
	-1, 479, 479, 479, 479, 479, -1, 479, 
	-1, 479, 479, 479, 479, -1, 479, -1, 
	479, 479, 479, -1, 479, 479, -1, -1, 
	479, 479, 479, 479, 479, 479, 479, 479, 
	-1, 479, 479, 479, 479, 479, 479, 479, 
	479, 479, -1, 479, 479, 479, 479, -1, 
	-1, -1, -1, -1, -1, -1, 479, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 479, 479, 479, -1, 
	479, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 476, 479, 
	479, 479, 479, -1, -1, 479, 479, 479, 
	479, 479, 479, -1, -1, -1, -1, 479, 
	479, 479, 479, 479, 479, 479, -1, -1, 
	-1, -1, 479, -1, -1, -1, -1, 479, 
	479, -1, -1, 479, 479, 479, -1, 479, 
	479, -1, -1, 479, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 479, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 479, 479, 479, 479, 479, 
	479, 479, 479, -1, 479, 479, 479, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 479, 479, 
	479, 479, 479, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 479, -1, 479, 
	-1, -1, 479, -1, -1, -1, 482, 482, 
	482, 482, 482, 482, 482, 482, 482, 482, 
	482, 482, 482, 482, 482, 482, 482, 482, 
	482, 482, 482, 482, 482, 482, 482, 482, 
	482, -1, 482, 482, 482, 482, 482, -1, 
	482, -1, 482, 482, 482, 482, -1, 482, 
	-1, 482, 482, 482, -1, 482, 482, 482, 
	482, 482, 482, 482, 482, 482, 482, 482, 
	482, -1, 482, 482, 482, 482, 482, 482, 
	482, 482, 482, 482, 482, 482, 482, 482, 
	482, -1, 482, -1, -1, -1, -1, 482, 
	482, 482, 482, 482, -1, -1, 482, 482, 
	482, 482, 482, 482, 482, 482, 482, 482, 
	482, 482, 482, 482, 482, 482, -1, -1, 
	-1, -1, -1, 482, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 479, 
	482, 482, 482, 482, -1, -1, 482, 482, 
	482, 482, 482, 482, -1, -1, -1, -1, 
	482, 482, 482, 482, 482, 482, 482, -1, 
	-1, -1, -1, 482, -1, -1, -1, -1, 
	482, 482, -1, -1, 482, 482, 482, -1, 
	482, 482, -1, -1, 482, -1, -1, -1, 
	-1, -1, -1, -1, -1, 482, 482, 482, 
	482, 482, 482, 482, -1, -1, -1, 482, 
	482, 482, -1, -1, 482, 482, 482, 482, 
	482, 482, 482, 482, -1, 482, 482, 482, 
	-1, -1, -1, 482, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 482, 482, 
	482, -1, -1, 482, -1, -1, -1, -1, 
	482, -1, -1, -1, -1, 482, -1, 482, 
	482, 482, 482, 482, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 482, -1, 
	482, -1, -1, 482, -1, 482, 482, -1, 
	-1, -1, 482, -1, 482, -1, 482, 483, 
	483, 483, 483, 483, 483, 483, 483, 483, 
	483, 483, 483, 483, 483, 483, 483, -1, 
	483, 483, 483, 483, 483, 483, 483, 483, 
	-1, -1, -1, 483, 483, 483, 483, 483, 
	-1, 483, -1, 483, 483, 483, 483, -1, 
	483, -1, 483, 483, 483, -1, 483, 483, 
	-1, -1, 483, 483, 483, 483, 483, 483, 
	483, 483, -1, 483, 483, 483, 483, 483, 
	483, 483, 483, 483, -1, 483, 483, 483, 
	483, -1, 483, -1, -1, -1, -1, -1, 
	483, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 483, 483, 
	483, -1, 483, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	482, -1, -1, -1, -1, -1, -1, -1, 
	-1, 483, 483, 483, 483, -1, -1, 483, 
	483, 483, 483, 483, 483, -1, -1, -1, 
	-1, 483, 483, 483, 483, 483, 483, 483, 
	-1, -1, -1, -1, 483, -1, -1, -1, 
	-1, 483, 483, -1, -1, 483, 483, 483, 
	-1, 483, 483, -1, -1, 483, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 483, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 483, 483, 483, 
	483, 483, 483, 483, 483, -1, 483, 483, 
	483, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	483, 483, 483, 483, 483, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 483, 
	-1, 483, -1, -1, 483, -1, -1, -1, 
	484, 484, 484, 484, 484, 484, 484, 484, 
	484, 484, 484, 484, 484, 484, 484, 484, 
	-1, 484, 484, 484, 484, 484, 484, 484, 
	484, -1, -1, -1, 484, 484, 484, 484, 
	484, -1, 484, -1, 484, 484, 484, 484, 
	-1, 484, -1, 484, 484, 484, -1, 484, 
	484, -1, -1, 484, 484, 484, 484, 484, 
	484, 484, 484, -1, 484, 484, 484, 484, 
	484, 484, 484, 484, 484, -1, 484, 484, 
	484, 484, -1, 484, -1, -1, -1, -1, 
	-1, 484, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 484, 
	484, 484, -1, 484, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 483, 484, 484, 484, 484, -1, -1, 
	484, 484, 484, 484, 484, 484, -1, -1, 
	-1, -1, 484, 484, 484, 484, 484, 484, 
	484, -1, -1, -1, -1, 484, -1, -1, 
	-1, -1, 484, 484, -1, -1, 484, 484, 
	484, -1, 484, 484, -1, -1, 484, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 484, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 484, 484, 
	484, 484, 484, 484, 484, 484, -1, 484, 
	484, 484, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 484, 484, 484, 484, 484, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	484, -1, 484, -1, -1, 484, -1, -1, 
	-1, 491, 491, 491, 491, 491, 491, 491, 
	491, 491, 491, 491, 491, 491, 491, 491, 
	491, -1, 491, 491, 491, 491, 491, 491, 
	491, 491, -1, -1, -1, 491, 491, 491, 
	491, 491, -1, 491, -1, 491, 491, 491, 
	491, -1, 491, -1, 491, 491, 491, -1, 
	491, 491, -1, -1, 491, 491, 491, 491, 
	491, 491, 491, 491, -1, 491, 491, 491, 
	491, 491, 491, 491, 491, 491, -1, 491, 
	491, 491, 491, -1, -1, -1, -1, -1, 
	-1, -1, 491, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	491, 491, 491, -1, 491, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 484, 491, 491, 491, 491, -1, 
	-1, 491, 491, 491, 491, 491, 491, -1, 
	-1, -1, -1, 491, 491, 491, 491, 491, 
	491, 491, -1, -1, -1, -1, 491, -1, 
	-1, -1, -1, 491, 491, -1, -1, 491, 
	491, 491, -1, 491, 491, -1, -1, 491, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 491, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 491, 
	491, 491, 491, 491, 491, 491, 491, -1, 
	491, 491, 491, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 491, 491, 491, 491, 491, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 491, -1, 491, -1, -1, 491, -1, 
	-1, -1, 507, 507, 507, 507, 507, 507, 
	507, 507, 507, 507, 507, 507, 507, 507, 
	507, 507, -1, 507, 507, 507, 507, 507, 
	507, 507, 507, -1, -1, -1, 507, 507, 
	507, 507, 507, -1, 507, -1, 507, 507, 
	507, 507, -1, 507, -1, 507, 507, 507, 
	-1, 507, 507, -1, -1, 507, 507, 507, 
	507, 507, 507, 507, 507, -1, 507, 507, 
	507, 507, 507, 507, 507, 507, 507, -1, 
	507, 507, 507, 507, -1, -1, -1, -1, 
	-1, -1, -1, 507, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 507, 507, 507, -1, 507, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 491, 507, 507, 507, 507, 
	-1, -1, 507, 507, 507, 507, 507, 507, 
	-1, -1, -1, -1, 507, 507, 507, 507, 
	507, 507, 507, -1, -1, -1, -1, 507, 
	-1, -1, -1, -1, 507, 507, -1, -1, 
	507, 507, 507, -1, 507, 507, -1, -1, 
	507, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 507, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	507, 507, 507, 507, 507, 507, 507, 507, 
	-1, 507, 507, 507, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 512, 
	512, 512, 512, 512, 512, -1, 512, 512, 
	-1, -1, -1, 507, 507, 507, 507, 507, 
	-1, 512, 512, 512, 512, 512, -1, -1, 
	-1, -1, 507, -1, 507, -1, -1, 507, 
	512, -1, -1, -1, 512, -1, -1, -1, 
	512, 512, 512, 512, 512, -1, -1, -1, 
	-1, 512, 512, 512, -1, -1, -1, -1, 
	512, 512, -1, 512, 512, 512, 512, 512, 
	-1, -1, -1, -1, -1, -1, 512, -1, 
	-1, -1, -1, 515, 515, 515, 515, 515, 
	515, -1, 515, 515, 512, 512, 512, 512, 
	512, -1, -1, 512, 512, 515, 515, 515, 
	515, 515, 512, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 515, -1, -1, -1, 
	515, -1, -1, -1, 515, 515, 515, 515, 
	515, -1, -1, -1, -1, 515, 515, 515, 
	-1, -1, -1, -1, 515, 515, -1, 515, 
	515, 515, 515, -1, -1, -1, -1, -1, 
	-1, -1, 515, 515, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	515, 515, 515, -1, 515, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 507, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 512, 512, 
	512, 512, 512, -1, 512, 512, 512, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 512, 512, 512, 
	-1, -1, -1, -1, -1, -1, -1, 512, 
	-1, -1, -1, -1, -1, -1, 512, 512, 
	512, 512, 512, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 512, -1, -1, -1, -1, 
	-1, -1, 515, 515, 515, 515, 515, -1, 
	515, 515, 515, -1, -1, -1, 515, -1, 
	516, 516, 516, 516, 516, 516, -1, 516, 
	516, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 516, 516, 516, 516, 516, -1, 
	-1, -1, 515, 515, 515, 515, 515, -1, 
	-1, 516, -1, -1, -1, 516, -1, -1, 
	-1, 516, 516, 516, 516, 516, -1, -1, 
	-1, 515, 516, 516, 516, -1, -1, -1, 
	-1, 516, 516, -1, 516, 516, 516, 516, 
	-1, -1, -1, -1, -1, -1, -1, 516, 
	516, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 516, 516, 516, 
	-1, 516, -1, -1, 516, 516, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 517, 517, 517, 
	517, 517, 517, 517, 517, 517, 517, 517, 
	517, 517, 517, 517, 517, 517, 517, 517, 
	517, 517, 517, 517, 517, 517, 517, 517, 
	-1, 517, 517, 517, 517, 517, -1, 517, 
	-1, 517, 517, 517, 517, -1, 517, -1, 
	517, 517, 517, -1, 517, 517, 517, 517, 
	517, 517, 517, 517, 517, 517, 517, 517, 
	-1, 517, 517, 517, 517, 517, 517, 517, 
	517, 517, 517, 517, 517, 517, 517, 517, 
	-1, 517, -1, -1, -1, -1, 517, 517, 
	517, 517, 517, -1, -1, 517, 517, 517, 
	517, 517, 517, 517, 517, 517, 517, 517, 
	517, 517, 517, 517, 517, -1, -1, -1, 
	-1, -1, 517, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 516, 
	516, 516, 516, 516, -1, 516, 516, 516, 
	-1, -1, -1, 516, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 516, 
	516, 516, 516, 516, -1, -1, -1, 517, 
	517, 517, 517, -1, -1, 517, 517, 517, 
	517, 517, 517, -1, -1, -1, 516, 517, 
	517, 517, 517, 517, 517, 517, -1, -1, 
	-1, -1, 517, -1, -1, -1, -1, 517, 
	517, -1, -1, 517, 517, 517, -1, 517, 
	517, -1, -1, 517, -1, -1, -1, -1, 
	-1, -1, -1, -1, 517, 517, 517, 517, 
	517, 517, 517, -1, -1, -1, 517, 517, 
	517, -1, -1, 517, 517, 517, 517, 517, 
	517, 517, 517, -1, 517, 517, 517, -1, 
	-1, -1, 517, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 517, 517, 517, 
	-1, -1, 517, -1, -1, -1, -1, 517, 
	-1, -1, -1, -1, 517, -1, 517, 517, 
	517, 517, 517, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 517, -1, 517, 
	-1, -1, 517, -1, 517, 517, -1, -1, 
	-1, 517, -1, 517, -1, 517, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 518, 518, 518, 518, 518, 518, 518, 
	518, 518, 518, 518, 518, 518, 518, 518, 
	518, 518, 518, 518, 518, 518, 518, 518, 
	518, 518, 518, 518, -1, 518, 518, 518, 
	518, 518, -1, 518, -1, 518, 518, 518, 
	518, -1, 518, -1, 518, 518, 518, -1, 
	518, 518, 518, 518, 518, 518, 518, 518, 
	518, 518, 518, 518, -1, 518, 518, 518, 
	518, 518, 518, 518, 518, 518, 518, 518, 
	518, 518, 518, 518, -1, 518, -1, -1, 
	-1, -1, 518, 518, 518, 518, 518, -1, 
	-1, 518, 518, 518, 518, 518, 518, 518, 
	518, 518, 518, 518, 518, 518, 518, 518, 
	518, -1, -1, -1, -1, -1, 518, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 517, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 515, 515, 515, 515, 515, -1, 
	515, 515, 515, -1, -1, -1, 515, -1, 
	-1, -1, -1, 518, 518, 518, 518, -1, 
	-1, 518, 518, 518, 518, 518, 518, -1, 
	-1, -1, -1, 518, 518, 518, 518, 518, 
	518, 518, 515, 515, 515, 515, 518, -1, 
	-1, -1, -1, 518, 518, -1, -1, 518, 
	518, 518, -1, 518, 518, -1, -1, 518, 
	-1, 515, -1, -1, -1, -1, -1, -1, 
	518, 518, 518, 518, 518, 518, 518, -1, 
	-1, -1, 518, 518, 518, -1, -1, 518, 
	518, 518, 518, 518, 518, 518, 518, -1, 
	518, 518, 518, -1, -1, -1, 518, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 518, 518, 518, -1, -1, 518, -1, 
	-1, -1, -1, 518, -1, -1, -1, -1, 
	518, -1, 518, 518, 518, 518, 518, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 518, -1, 518, -1, -1, 518, -1, 
	518, 518, -1, -1, -1, 518, -1, 518, 
	-1, 518, 519, 519, 519, 519, 519, 519, 
	519, 519, 519, 519, 519, 519, 519, 519, 
	519, 519, 519, 519, 519, 519, 519, 519, 
	519, 519, 519, 519, 519, -1, 519, 519, 
	519, 519, 519, -1, 519, -1, 519, 519, 
	519, 519, -1, 519, -1, 519, 519, 519, 
	-1, 519, 519, 519, 519, 519, 519, 519, 
	519, 519, 519, 519, 519, -1, 519, 519, 
	519, 519, 519, 519, 519, 519, 519, 519, 
	519, 519, 519, 519, 519, -1, 519, -1, 
	-1, -1, -1, 519, 519, 519, 519, 519, 
	-1, -1, 519, 519, 519, 519, 519, 519, 
	519, 519, 519, 519, 519, 519, 519, 519, 
	519, 519, -1, -1, -1, -1, -1, 519, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 518, -1, -1, -1, -1, 
	-1, -1, -1, -1, 519, 519, 519, 519, 
	-1, -1, 519, 519, 519, 519, 519, 519, 
	-1, -1, -1, -1, 519, 519, 519, 519, 
	519, 519, 519, -1, -1, -1, -1, 519, 
	-1, -1, -1, -1, 519, 519, -1, -1, 
	519, 519, 519, -1, 519, 519, -1, -1, 
	519, -1, -1, -1, -1, -1, -1, -1, 
	-1, 519, 519, 519, 519, 519, 519, 519, 
	-1, -1, -1, 519, 519, 519, -1, -1, 
	519, 519, 519, 519, 519, 519, 519, 519, 
	-1, 519, 519, 519, -1, -1, -1, 519, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 519, 519, 519, -1, -1, 519, 
	-1, -1, -1, -1, 519, -1, -1, -1, 
	-1, 519, -1, 519, 519, 519, 519, 519, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 519, -1, 519, -1, -1, 519, 
	-1, 519, 519, -1, -1, -1, 519, -1, 
	519, -1, 519, 520, 520, 520, 520, 520, 
	520, 520, 520, 520, 520, 520, 520, 520, 
	520, 520, 520, 520, 520, 520, 520, 520, 
	520, 520, 520, 520, 520, 520, -1, 520, 
	520, 520, 520, 520, -1, 520, -1, 520, 
	520, 520, 520, -1, 520, -1, 520, 520, 
	520, -1, 520, 520, 520, 520, 520, 520, 
	520, 520, 520, 520, 520, 520, -1, 520, 
	520, 520, 520, 520, 520, 520, 520, 520, 
	520, 520, 520, 520, 520, 520, -1, 520, 
	-1, -1, -1, -1, 520, 520, 520, 520, 
	520, -1, -1, 520, 520, 520, 520, 520, 
	520, 520, 520, 520, 520, 520, 520, 520, 
	520, 520, 520, -1, -1, -1, -1, -1, 
	520, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 519, -1, -1, -1, 
	-1, -1, -1, -1, -1, 520, 520, 520, 
	520, -1, -1, 520, 520, 520, 520, 520, 
	520, -1, -1, -1, -1, 520, 520, 520, 
	520, 520, 520, 520, -1, -1, -1, -1, 
	520, -1, -1, -1, -1, 520, 520, -1, 
	-1, 520, 520, 520, -1, 520, 520, -1, 
	-1, 520, -1, -1, -1, -1, -1, -1, 
	-1, -1, 520, 520, 520, 520, 520, 520, 
	520, -1, -1, -1, 520, 520, 520, -1, 
	-1, 520, 520, 520, 520, 520, 520, 520, 
	520, -1, 520, 520, 520, -1, -1, -1, 
	520, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 520, 520, 520, -1, -1, 
	520, -1, -1, -1, -1, 520, -1, -1, 
	-1, -1, 520, -1, 520, 520, 520, 520, 
	520, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 520, -1, 520, -1, -1, 
	520, -1, 520, 520, -1, -1, -1, 520, 
	-1, 520, -1, 520, 521, 521, 521, 521, 
	521, 521, 521, 521, 521, 521, 521, 521, 
	521, 521, 521, 521, 521, 521, 521, 521, 
	521, 521, 521, 521, 521, 521, 521, -1, 
	521, 521, 521, 521, 521, -1, 521, -1, 
	521, 521, 521, 521, -1, 521, -1, 521, 
	521, 521, -1, 521, 521, 521, 521, 521, 
	521, 521, 521, 521, 521, 521, 521, -1, 
	521, 521, 521, 521, 521, 521, 521, 521, 
	521, 521, 521, 521, 521, 521, 521, -1, 
	521, -1, -1, -1, -1, 521, 521, 521, 
	521, 521, -1, -1, 521, 521, 521, 521, 
	521, 521, 521, 521, 521, 521, 521, 521, 
	521, 521, 521, 521, -1, -1, -1, -1, 
	-1, 521, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 520, -1, -1, 
	-1, -1, -1, -1, -1, -1, 521, 521, 
	521, 521, -1, -1, 521, 521, 521, 521, 
	521, 521, -1, -1, -1, -1, 521, 521, 
	521, 521, 521, 521, 521, -1, -1, -1, 
	-1, 521, -1, -1, -1, -1, 521, 521, 
	-1, -1, 521, 521, 521, -1, 521, 521, 
	-1, -1, 521, -1, -1, -1, -1, -1, 
	-1, -1, -1, 521, 521, 521, 521, 521, 
	521, 521, -1, -1, -1, 521, 521, 521, 
	-1, -1, 521, 521, 521, 521, 521, 521, 
	521, 521, -1, 521, 521, 521, -1, -1, 
	-1, 521, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 521, 521, 521, -1, 
	-1, 521, -1, -1, -1, -1, 521, -1, 
	-1, -1, -1, 521, -1, 521, 521, 521, 
	521, 521, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 521, -1, 521, -1, 
	-1, 521, -1, 521, 521, -1, -1, -1, 
	521, -1, 521, -1, 521, 522, 522, 522, 
	522, 522, 522, 522, 522, 522, 522, 522, 
	522, 522, 522, 522, 522, 522, 522, 522, 
	522, 522, 522, 522, 522, 522, 522, 522, 
	-1, 522, 522, 522, 522, 522, -1, 522, 
	-1, 522, 522, 522, 522, -1, 522, -1, 
	522, 522, 522, -1, 522, 522, 522, 522, 
	522, 522, 522, 522, 522, 522, 522, 522, 
	-1, 522, 522, 522, 522, 522, 522, 522, 
	522, 522, 522, 522, 522, 522, 522, 522, 
	-1, 522, -1, -1, -1, -1, 522, 522, 
	522, 522, 522, -1, -1, 522, 522, 522, 
	522, 522, 522, 522, 522, 522, 522, 522, 
	522, 522, 522, 522, 522, -1, -1, -1, 
	-1, -1, 522, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 521, -1, 
	-1, -1, -1, -1, -1, -1, -1, 522, 
	522, 522, 522, -1, -1, 522, 522, 522, 
	522, 522, 522, -1, -1, -1, -1, 522, 
	522, 522, 522, 522, 522, 522, -1, -1, 
	-1, -1, 522, -1, -1, -1, -1, 522, 
	522, -1, -1, 522, 522, 522, -1, 522, 
	522, -1, -1, 522, -1, -1, -1, -1, 
	-1, -1, -1, -1, 522, 522, 522, 522, 
	522, 522, 522, -1, -1, -1, 522, 522, 
	522, -1, -1, 522, 522, 522, 522, 522, 
	522, 522, 522, -1, 522, 522, 522, -1, 
	-1, -1, 522, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 522, 522, 522, 
	-1, -1, 522, -1, -1, -1, -1, 522, 
	-1, -1, -1, -1, 522, -1, 522, 522, 
	522, 522, 522, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 522, -1, 522, 
	-1, -1, 522, -1, 522, 522, -1, -1, 
	-1, 522, -1, 522, -1, 522, 523, 523, 
	523, 523, 523, 523, 523, 523, 523, 523, 
	523, 523, 523, 523, 523, 523, 523, 523, 
	523, 523, 523, 523, 523, 523, 523, 523, 
	523, -1, 523, 523, 523, 523, 523, -1, 
	523, -1, 523, 523, 523, 523, -1, 523, 
	-1, 523, 523, 523, -1, 523, 523, 523, 
	523, 523, 523, 523, 523, 523, 523, 523, 
	523, -1, 523, 523, 523, 523, 523, 523, 
	523, 523, 523, 523, 523, 523, 523, 523, 
	523, -1, 523, -1, -1, -1, -1, 523, 
	523, 523, 523, 523, -1, -1, 523, 523, 
	523, 523, 523, 523, 523, 523, 523, 523, 
	523, 523, 523, 523, 523, 523, -1, -1, 
	-1, -1, -1, 523, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 522, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	523, 523, 523, 523, -1, -1, 523, 523, 
	523, 523, 523, 523, -1, -1, -1, -1, 
	523, 523, 523, 523, 523, 523, 523, -1, 
	-1, -1, -1, 523, -1, -1, -1, -1, 
	523, 523, -1, -1, 523, 523, 523, -1, 
	523, 523, -1, -1, 523, -1, -1, -1, 
	-1, -1, -1, -1, -1, 523, 523, 523, 
	523, 523, 523, 523, -1, -1, -1, 523, 
	523, 523, -1, -1, 523, 523, 523, 523, 
	523, 523, 523, 523, -1, 523, 523, 523, 
	-1, -1, -1, 523, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 523, 523, 
	523, -1, -1, 523, -1, 523, 523, -1, 
	523, -1, -1, -1, -1, 523, -1, 523, 
	523, 523, 523, 523, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 523, -1, 
	523, -1, -1, 523, -1, 523, 523, -1, 
	-1, -1, 523, -1, 523, -1, 523, 527, 
	527, 527, 527, 527, 527, -1, 527, 527, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 527, 527, 527, 527, 527, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	527, -1, -1, -1, 527, -1, -1, -1, 
	527, 527, 527, 527, 527, -1, -1, -1, 
	-1, 527, 527, 527, -1, -1, -1, -1, 
	527, 527, 527, 527, 527, 527, 527, 527, 
	-1, -1, -1, -1, -1, -1, 527, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 527, 527, 527, 527, 
	527, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 530, 530, 530, 530, 530, 530, 
	530, 530, 530, 530, 530, 530, 530, 530, 
	530, 530, 530, 530, 530, 530, 530, 530, 
	530, 530, 530, 530, 530, -1, 530, 530, 
	530, 530, 530, -1, 530, -1, 530, 530, 
	530, 530, -1, 530, -1, 530, 530, 530, 
	523, 530, 530, 530, 530, 530, 530, 530, 
	530, 530, 530, 530, 530, -1, 530, 530, 
	530, 530, 530, 530, 530, 530, 530, 530, 
	530, 530, 530, 530, 530, -1, 530, -1, 
	-1, -1, -1, 530, 530, 530, 530, 530, 
	-1, -1, 530, 530, 530, 530, 530, 530, 
	530, 530, 530, 530, 530, 530, 530, 530, 
	530, 530, -1, -1, -1, -1, -1, 530, 
	-1, -1, -1, -1, -1, -1, 527, 527, 
	527, 527, 527, -1, 527, 527, 527, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 527, 527, 527, 
	-1, -1, 527, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 527, 527, 
	527, 527, 527, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 530, 530, 530, 530, 
	-1, -1, 530, 530, 530, 530, 530, 530, 
	-1, 527, -1, -1, 530, 530, 530, 530, 
	530, 530, 530, -1, -1, -1, -1, 530, 
	-1, -1, -1, -1, 530, 530, -1, -1, 
	530, 530, 530, -1, 530, 530, -1, -1, 
	530, -1, -1, -1, -1, -1, -1, -1, 
	-1, 530, 530, 530, 530, 530, 530, 530, 
	-1, -1, -1, 530, 530, 530, 530, -1, 
	530, 530, 530, 530, 530, 530, 530, 530, 
	-1, 530, 530, 530, -1, -1, -1, 530, 
	-1, -1, -1, -1, -1, -1, -1, 530, 
	-1, -1, 530, 530, 530, -1, -1, 530, 
	-1, -1, -1, -1, 530, -1, -1, -1, 
	-1, 530, -1, 530, 530, 530, 530, 530, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 530, -1, 530, -1, -1, 530, 
	-1, 530, 530, -1, -1, -1, 530, -1, 
	530, -1, 530, 531, 531, 531, 531, 531, 
	531, 531, 531, 531, 531, 531, 531, 531, 
	531, 531, 531, 531, 531, 531, 531, 531, 
	531, 531, 531, 531, 531, 531, -1, 531, 
	531, 531, 531, 531, -1, 531, -1, 531, 
	531, 531, 531, -1, 531, -1, 531, 531, 
	531, -1, 531, 531, 531, 531, 531, 531, 
	531, 531, 531, 531, 531, 531, -1, 531, 
	531, 531, 531, 531, 531, 531, 531, 531, 
	531, 531, 531, 531, 531, 531, -1, 531, 
	-1, -1, -1, -1, 531, 531, 531, 531, 
	531, -1, -1, 531, 531, 531, 531, 531, 
	531, 531, 531, 531, 531, 531, 531, 531, 
	531, 531, 531, -1, -1, -1, -1, -1, 
	531, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 523, 523, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 530, -1, -1, -1, 
	-1, -1, -1, -1, -1, 531, 531, 531, 
	531, -1, -1, 531, 531, 531, 531, 531, 
	531, -1, -1, -1, -1, 531, 531, 531, 
	531, 531, 531, 531, -1, -1, -1, -1, 
	531, -1, -1, -1, -1, 531, 531, -1, 
	-1, 531, 531, 531, -1, 531, 531, -1, 
	-1, 531, -1, -1, -1, -1, -1, -1, 
	-1, -1, 531, 531, 531, 531, 531, 531, 
	531, -1, -1, -1, 531, 531, 531, 531, 
	-1, 531, 531, 531, 531, 531, 531, 531, 
	531, -1, 531, 531, 531, -1, -1, -1, 
	531, -1, -1, -1, -1, -1, -1, -1, 
	531, -1, -1, 531, 531, 531, -1, -1, 
	531, -1, -1, -1, -1, 531, -1, -1, 
	-1, -1, 531, -1, 531, 531, 531, 531, 
	531, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 531, -1, 531, -1, -1, 
	531, -1, 531, 531, -1, -1, -1, 531, 
	-1, 531, -1, 531, 532, 532, 532, 532, 
	532, 532, 532, 532, 532, 532, 532, 532, 
	532, 532, 532, 532, 532, 532, 532, 532, 
	532, 532, 532, 532, 532, 532, 532, -1, 
	532, 532, 532, 532, 532, -1, 532, -1, 
	532, 532, 532, 532, -1, 532, -1, 532, 
	532, 532, -1, 532, 532, 532, 532, 532, 
	532, 532, 532, 532, 532, 532, 532, -1, 
	532, 532, 532, 532, 532, 532, 532, 532, 
	532, 532, 532, 532, 532, 532, 532, -1, 
	532, -1, -1, -1, -1, 532, 532, 532, 
	532, 532, -1, -1, 532, 532, 532, 532, 
	532, 532, 532, 532, 532, 532, 532, 532, 
	532, 532, 532, 532, -1, -1, -1, -1, 
	-1, 532, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 527, 527, 
	-1, -1, 527, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 531, -1, -1, 
	-1, 527, -1, -1, -1, -1, 532, 532, 
	532, 532, -1, -1, 532, 532, 532, 532, 
	532, 532, -1, -1, -1, -1, 532, 532, 
	532, 532, 532, 532, 532, -1, -1, -1, 
	-1, 532, -1, -1, -1, -1, 532, 532, 
	-1, -1, 532, 532, 532, -1, 532, 532, 
	-1, -1, 532, -1, -1, -1, -1, -1, 
	-1, -1, -1, 532, 532, 532, 532, 532, 
	532, 532, -1, -1, -1, 532, 532, 532, 
	532, -1, 532, 532, 532, 532, 532, 532, 
	532, 532, -1, 532, 532, 532, -1, -1, 
	-1, 532, -1, -1, -1, -1, -1, -1, 
	-1, 532, -1, -1, 532, 532, 532, -1, 
	-1, 532, -1, -1, -1, -1, 532, -1, 
	-1, -1, -1, 532, -1, 532, 532, 532, 
	532, 532, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 532, -1, 532, -1, 
	-1, 532, -1, 532, 532, -1, -1, -1, 
	532, -1, 532, -1, 532, 540, 540, 540, 
	540, 540, 540, 540, 540, 540, 540, 540, 
	540, 540, 540, 540, 540, 540, 540, 540, 
	540, 540, 540, 540, 540, 540, 540, 540, 
	-1, 540, 540, 540, 540, 540, -1, 540, 
	-1, 540, 540, 540, 540, -1, 540, -1, 
	540, 540, 540, -1, 540, 540, 540, 540, 
	540, 540, 540, 540, 540, 540, 540, 540, 
	-1, 540, 540, 540, 540, 540, 540, 540, 
	540, 540, 540, 540, 540, 540, 540, 540, 
	-1, 540, -1, -1, -1, -1, 540, 540, 
	540, 540, 540, -1, -1, 540, 540, 540, 
	540, 540, 540, 540, 540, 540, 540, 540, 
	540, 540, 540, 540, 540, -1, -1, -1, 
	-1, -1, 540, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 532, -1, 
	-1, -1, -1, -1, -1, -1, -1, 540, 
	540, 540, 540, -1, -1, 540, 540, 540, 
	540, 540, 540, -1, -1, -1, -1, 540, 
	540, 540, 540, 540, 540, 540, -1, -1, 
	-1, -1, 540, -1, -1, -1, -1, 540, 
	540, -1, -1, 540, 540, 540, -1, 540, 
	540, -1, -1, 540, -1, -1, -1, -1, 
	-1, -1, -1, -1, 540, 540, 540, 540, 
	540, 540, 540, -1, -1, -1, 540, 540, 
	540, 540, -1, 540, 540, 540, 540, 540, 
	540, 540, 540, -1, 540, 540, 540, -1, 
	-1, -1, 540, -1, -1, -1, -1, -1, 
	-1, -1, 540, -1, -1, 540, 540, 540, 
	-1, -1, 540, -1, -1, -1, -1, 540, 
	-1, -1, -1, -1, 540, -1, 540, 540, 
	540, 540, 540, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 540, -1, 540, 
	-1, -1, 540, -1, 540, 540, -1, -1, 
	-1, 540, -1, 540, -1, 540, 555, 555, 
	555, 555, 555, 555, -1, 555, 555, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	555, 555, 555, 555, 555, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 555, 
	-1, -1, -1, 555, -1, -1, -1, 555, 
	555, 555, 555, 555, -1, -1, -1, -1, 
	555, 555, 555, -1, -1, -1, -1, 555, 
	555, -1, 555, 555, 555, 555, -1, -1, 
	-1, -1, -1, -1, -1, 555, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 555, 555, 555, -1, 555, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 556, 556, 556, 556, 556, 556, 556, 
	556, 556, 556, 556, 556, 556, 556, 556, 
	556, 556, 556, 556, 556, 556, 556, 556, 
	556, 556, 556, 556, -1, 556, 556, 556, 
	556, 556, -1, 556, -1, 556, 556, 556, 
	556, -1, 556, -1, 556, 556, 556, 540, 
	556, 556, 556, 556, 556, 556, 556, 556, 
	556, 556, 556, 556, -1, 556, 556, 556, 
	556, 556, 556, 556, 556, 556, -1, 556, 
	556, 556, 556, -1, -1, -1, -1, -1, 
	-1, -1, 556, -1, -1, 556, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	556, 556, 556, -1, 556, -1, -1, -1, 
	-1, -1, -1, -1, 555, -1, -1, -1, 
	-1, -1, -1, -1, -1, 555, 555, 555, 
	555, 555, -1, 555, 555, 555, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 555, 555, 555, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 555, 555, 555, 
	555, 555, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 556, 556, 556, 556, -1, 
	-1, 556, 556, -1, 556, 556, 556, -1, 
	-1, -1, -1, 556, 556, 556, -1, 556, 
	556, 556, -1, -1, -1, -1, 556, -1, 
	-1, -1, -1, 556, -1, -1, -1, 556, 
	556, 556, -1, 556, 556, -1, -1, 556, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	556, 556, 556, 556, 556, 556, 556, -1, 
	-1, -1, -1, 556, 556, -1, -1, 556, 
	556, 556, 556, 556, 556, 556, 556, -1, 
	556, 556, 556, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 556, 556, 556, 556, 556, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 556, -1, -1, -1, -1, -1, -1, 
	556, 557, 557, 557, 557, 557, 557, 557, 
	557, 557, 557, -1, 557, 557, -1, -1, 
	557, 557, 557, 557, -1, -1, -1, 557, 
	557, 557, 557, 557, -1, -1, -1, -1, 
	557, 557, 557, -1, -1, -1, 557, -1, 
	-1, -1, 557, 557, -1, -1, 557, 557, 
	557, 557, 557, -1, -1, -1, -1, 557, 
	557, 557, -1, -1, -1, -1, 557, 557, 
	-1, 557, 557, 557, 557, -1, -1, -1, 
	-1, -1, -1, -1, 557, -1, 557, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 557, 557, 557, -1, 557, -1, 
	-1, 557, 557, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	558, 558, 558, 558, 558, 558, 558, 558, 
	558, 558, 558, 558, 558, 558, 558, 558, 
	558, 558, 558, 558, 558, 558, 558, 558, 
	558, 558, 558, -1, 558, 558, 558, 558, 
	558, -1, 558, -1, 558, 558, 558, 558, 
	-1, 558, -1, 558, 558, 558, -1, 558, 
	558, 558, 558, 558, 558, 558, 558, 558, 
	558, 558, 558, 556, 558, 558, 558, 558, 
	558, 558, 558, 558, 558, -1, 558, 558, 
	558, 558, -1, -1, -1, -1, -1, -1, 
	-1, 558, -1, -1, 558, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 558, 
	558, 558, -1, 558, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 557, -1, -1, 
	-1, -1, -1, -1, 557, -1, -1, -1, 
	-1, 557, 557, 557, 557, 557, 557, 557, 
	557, -1, 557, 557, 557, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 557, 557, 557, 557, 
	557, -1, 558, 558, 558, 558, -1, -1, 
	558, 558, -1, 558, 558, 558, -1, -1, 
	-1, -1, 558, 558, 558, -1, 558, 558, 
	558, -1, -1, -1, -1, 558, -1, -1, 
	-1, -1, 558, -1, -1, -1, 558, 558, 
	558, -1, 558, 558, -1, -1, 558, -1, 
	-1, -1, -1, -1, -1, -1, -1, 558, 
	558, 558, 558, 558, 558, 558, -1, -1, 
	-1, -1, 558, 558, -1, -1, 558, 558, 
	558, 558, 558, 558, 558, 558, -1, 558, 
	558, 558, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 558, 558, 558, 558, 558, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	558, -1, -1, -1, 555, -1, -1, 558, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 555, 555, 555, 
	559, 559, 559, 559, 559, 559, 559, 559, 
	559, 559, 559, 559, 559, 559, 559, 559, 
	559, 559, 559, 559, 559, 559, 559, 559, 
	559, 559, 559, -1, 559, 559, 559, 559, 
	559, -1, 559, -1, 559, 559, 559, 559, 
	-1, 559, -1, 559, 559, 559, -1, 559, 
	559, 559, 559, 559, 559, 559, 559, 559, 
	559, 559, 559, -1, 559, 559, 559, 559, 
	559, 559, 559, 559, 559, -1, 559, 559, 
	559, 559, -1, -1, -1, -1, -1, -1, 
	-1, 559, -1, -1, 559, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 559, 
	559, 559, -1, 559, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 558, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 559, 559, 559, 559, -1, -1, 
	559, 559, -1, 559, 559, 559, -1, -1, 
	-1, -1, 559, 559, 559, -1, 559, 559, 
	559, -1, -1, -1, -1, 559, -1, -1, 
	-1, -1, 559, -1, -1, -1, 559, 559, 
	559, -1, 559, 559, -1, -1, 559, -1, 
	-1, -1, -1, -1, -1, -1, -1, 559, 
	559, 559, 559, 559, 559, 559, -1, -1, 
	-1, -1, 559, 559, -1, -1, 559, 559, 
	559, 559, 559, 559, 559, 559, -1, 559, 
	559, 559, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 559, 559, 559, 559, 559, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	559, -1, -1, -1, -1, -1, -1, 559, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 557, -1, -1, 
	-1, -1, -1, -1, 557, -1, -1, -1, 
	-1, 557, 557, 557, 557, 557, 557, 557, 
	557, -1, 557, 557, 557, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 557, 557, 557, 557, 
	-1, 568, 568, 568, 568, 568, 568, 568, 
	568, 568, 568, 568, 568, 568, 568, 568, 
	568, 568, 568, 568, 568, 568, 568, 568, 
	568, 568, 568, 568, -1, 568, 568, 568, 
	568, 568, 559, 568, -1, 568, 568, 568, 
	568, -1, 568, -1, 568, 568, 568, -1, 
	568, 568, 568, 568, 568, 568, 568, 568, 
	568, 568, 568, 568, -1, 568, 568, 568, 
	568, 568, 568, 568, 568, 568, 568, 568, 
	568, 568, 568, 568, -1, 568, -1, -1, 
	-1, -1, 568, 568, 568, 568, 568, -1, 
	-1, 568, 568, 568, 568, 568, 568, 568, 
	568, 568, 568, 568, 568, 568, 568, 568, 
	568, -1, -1, -1, -1, -1, 568, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 568, 568, 568, 568, -1, 
	-1, 568, 568, 568, 568, 568, 568, -1, 
	-1, -1, -1, 568, 568, 568, 568, 568, 
	568, 568, -1, -1, -1, -1, 568, -1, 
	-1, -1, -1, 568, 568, -1, -1, 568, 
	568, 568, -1, 568, 568, -1, -1, 568, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	568, 568, 568, 568, 568, 568, 568, -1, 
	-1, -1, 568, 568, 568, -1, -1, 568, 
	568, 568, 568, 568, 568, 568, 568, -1, 
	568, 568, 568, -1, -1, -1, 568, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 568, 568, 568, -1, -1, 568, -1, 
	-1, -1, -1, 568, -1, -1, -1, -1, 
	568, -1, 568, 568, 568, 568, 568, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 568, -1, 568, -1, -1, 568, -1, 
	568, 568, -1, -1, -1, 568, -1, 568, 
	-1, 568, 569, 569, 569, 569, 569, 569, 
	569, 569, 569, 569, 569, 569, 569, 569, 
	569, 569, 569, 569, 569, 569, 569, 569, 
	569, 569, 569, 569, 569, -1, 569, 569, 
	569, 569, 569, -1, 569, -1, 569, 569, 
	569, 569, -1, 569, -1, 569, 569, 569, 
	-1, 569, 569, 569, 569, 569, 569, 569, 
	569, 569, 569, 569, 569, -1, 569, 569, 
	569, 569, 569, 569, 569, 569, 569, -1, 
	569, 569, 569, 569, -1, -1, -1, -1, 
	-1, -1, -1, 569, -1, -1, 569, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 569, 569, 569, -1, 569, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 568, -1, -1, -1, -1, 
	-1, -1, -1, -1, 569, 569, 569, 569, 
	-1, -1, 569, 569, -1, 569, 569, 569, 
	-1, -1, -1, -1, 569, 569, 569, -1, 
	569, 569, 569, -1, -1, -1, -1, 569, 
	-1, -1, -1, -1, 569, -1, -1, -1, 
	569, 569, 569, -1, 569, 569, -1, -1, 
	569, -1, -1, -1, -1, -1, -1, -1, 
	-1, 569, 569, 569, 569, 569, 569, 569, 
	-1, -1, -1, -1, 569, 569, -1, -1, 
	569, 569, 569, 569, 569, 569, 569, 569, 
	-1, 569, 569, 569, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 569, 569, 569, 569, 569, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 569, -1, -1, -1, -1, -1, 
	-1, 569, -1, 570, 570, 570, 570, 570, 
	570, 570, 570, 570, 570, 570, 570, 570, 
	570, 570, 570, 570, 570, 570, 570, 570, 
	570, 570, 570, 570, 570, 570, -1, 570, 
	570, 570, 570, 570, -1, 570, -1, 570, 
	570, 570, 570, -1, 570, -1, 570, 570, 
	570, -1, 570, 570, 570, 570, 570, 570, 
	570, 570, 570, 570, 570, 570, -1, 570, 
	570, 570, 570, 570, 570, 570, 570, 570, 
	-1, 570, 570, 570, 570, -1, -1, -1, 
	-1, -1, -1, -1, 570, -1, -1, 570, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 570, 570, 570, -1, 570, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 569, 570, 570, 570, 
	570, -1, -1, 570, 570, -1, 570, 570, 
	570, -1, -1, -1, -1, 570, 570, 570, 
	-1, 570, 570, 570, -1, -1, -1, -1, 
	570, -1, -1, -1, -1, 570, -1, -1, 
	-1, 570, 570, 570, -1, 570, 570, -1, 
	-1, 570, -1, -1, -1, -1, -1, -1, 
	-1, -1, 570, 570, 570, 570, 570, 570, 
	570, -1, -1, -1, -1, 570, 570, -1, 
	-1, 570, 570, 570, 570, 570, 570, 570, 
	570, -1, 570, 570, 570, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 570, 570, 570, 570, 
	570, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 570, -1, -1, -1, -1, 
	-1, -1, 570, -1, 571, 571, 571, 571, 
	571, 571, 571, 571, 571, 571, 571, 571, 
	571, 571, 571, 571, -1, 571, 571, 571, 
	571, 571, 571, 571, 571, -1, -1, -1, 
	571, 571, 571, 571, 571, -1, 571, -1, 
	571, 571, 571, 571, -1, 571, -1, 571, 
	571, 571, -1, 571, 571, -1, -1, 571, 
	571, 571, 571, 571, 571, 571, 571, 571, 
	571, 571, 571, 571, 571, 571, 571, 571, 
	571, 571, 571, 571, 571, 571, -1, -1, 
	-1, -1, -1, -1, -1, 571, -1, 571, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 571, 571, 571, -1, 571, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 570, 571, 571, 
	571, 571, -1, -1, 571, 571, 571, 571, 
	571, 571, -1, -1, -1, -1, 571, 571, 
	571, 571, 571, 571, 571, -1, 571, 571, 
	-1, 571, -1, -1, -1, -1, 571, 571, 
	-1, -1, 571, 571, 571, -1, 571, 571, 
	571, -1, 571, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 571, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 571, 571, 571, 571, 571, 571, 
	571, 571, -1, 571, 571, 571, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 572, 572, 572, 572, 572, 572, -1, 
	572, 572, -1, -1, -1, 571, 571, 571, 
	571, 571, -1, 572, 572, 572, 572, 572, 
	-1, -1, -1, -1, 571, -1, 571, -1, 
	-1, 571, 572, -1, -1, -1, 572, -1, 
	-1, -1, 572, 572, 572, 572, 572, -1, 
	-1, -1, -1, 572, 572, 572, -1, -1, 
	-1, -1, 572, 572, -1, 572, 572, 572, 
	572, 572, -1, -1, -1, -1, -1, -1, 
	572, 573, 573, 573, 573, 573, 573, -1, 
	573, 573, -1, -1, -1, -1, 572, 572, 
	572, 572, 572, 573, 573, 573, 573, 573, 
	-1, -1, -1, -1, 572, -1, -1, -1, 
	-1, -1, 573, -1, -1, -1, 573, -1, 
	-1, -1, 573, 573, 573, 573, 573, -1, 
	-1, -1, -1, 573, 573, 573, -1, -1, 
	-1, -1, 573, 573, -1, 573, 573, 573, 
	573, 573, -1, -1, -1, -1, -1, -1, 
	573, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 573, 573, 
	573, 573, 573, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 573, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 571, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	572, 572, 572, 572, 572, -1, 572, 572, 
	572, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 572, 
	572, 572, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 572, -1, 
	572, 572, 572, 572, 572, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 572, 
	573, 573, 573, 573, 573, -1, 573, 573, 
	573, -1, -1, -1, 574, 574, 574, 574, 
	574, 574, -1, 574, 574, -1, -1, 573, 
	573, 573, -1, -1, -1, -1, 574, 574, 
	574, 574, 574, -1, -1, -1, 573, -1, 
	573, 573, 573, 573, 573, 574, -1, -1, 
	-1, 574, -1, -1, -1, 574, 574, 574, 
	574, 574, -1, -1, -1, -1, 574, 574, 
	574, -1, -1, -1, -1, 574, 574, 573, 
	574, 574, 574, 574, 574, -1, -1, -1, 
	-1, -1, -1, 574, 598, 598, 598, 598, 
	598, 598, -1, 598, 598, -1, -1, -1, 
	-1, 574, 574, 574, 574, 574, 598, 598, 
	598, 598, 598, -1, -1, -1, -1, 574, 
	-1, -1, -1, -1, -1, 598, -1, -1, 
	-1, 598, -1, -1, -1, 598, 598, 598, 
	598, 598, -1, -1, -1, -1, 598, 598, 
	598, -1, -1, -1, -1, 598, 598, -1, 
	598, 598, 598, 598, 598, -1, -1, -1, 
	-1, -1, -1, 598, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 598, 598, 598, 598, 598, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 598, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 574, 574, 574, 574, 574, 
	-1, 574, 574, 574, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 574, 574, 574, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 574, -1, 574, 574, 574, 574, 574, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 574, 598, 598, 598, 598, 598, 
	-1, 598, 598, 598, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 598, 598, 598, -1, -1, -1, 
	-1, -1, -1, -1, 598, -1, -1, -1, 
	-1, -1, -1, 598, 598, 598, 598, 598, 
	599, 599, 599, 599, 599, 599, -1, 599, 
	599, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 599, 599, 599, 599, 599, -1, 
	598, -1, -1, -1, -1, -1, -1, -1, 
	-1, 599, -1, -1, -1, 599, -1, -1, 
	-1, 599, 599, 599, 599, 599, -1, -1, 
	-1, -1, 599, 599, 599, -1, -1, -1, 
	-1, 599, 599, -1, 599, 599, 599, 599, 
	599, -1, -1, -1, -1, -1, -1, 599, 
	600, 600, 600, 600, 600, 600, -1, 600, 
	600, -1, -1, -1, -1, 599, 599, 599, 
	599, 599, 600, 600, 600, 600, 600, -1, 
	-1, -1, -1, 599, -1, -1, -1, -1, 
	-1, 600, -1, -1, -1, 600, -1, -1, 
	-1, 600, 600, 600, 600, 600, -1, -1, 
	-1, -1, 600, 600, 600, -1, -1, -1, 
	-1, 600, 600, -1, 600, 600, 600, 600, 
	600, -1, -1, -1, -1, -1, -1, 600, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 600, 600, 600, 
	600, 600, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 600, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 599, 
	599, 599, 599, 599, -1, 599, 599, 599, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 599, 599, 
	599, -1, -1, -1, -1, -1, -1, -1, 
	599, -1, -1, -1, -1, -1, -1, 599, 
	599, 599, 599, 599, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 599, -1, -1, 600, 
	600, 600, 600, 600, -1, 600, 600, 600, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 600, 600, 
	600, -1, -1, -1, -1, -1, -1, -1, 
	600, -1, -1, -1, -1, -1, -1, 600, 
	600, 600, 600, 600, 606, 606, 606, 606, 
	606, 606, -1, 606, 606, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 606, 606, 
	606, 606, 606, -1, 600, -1, -1, -1, 
	-1, -1, -1, -1, -1, 606, -1, -1, 
	-1, 606, -1, -1, -1, 606, 606, 606, 
	606, 606, -1, -1, -1, -1, 606, 606, 
	606, -1, -1, -1, -1, 606, 606, 606, 
	606, 606, 606, 606, -1, -1, -1, -1, 
	-1, -1, -1, 606, 610, 610, 610, 610, 
	610, 610, -1, 610, 610, -1, -1, -1, 
	-1, 606, 606, 606, 606, 606, 610, 610, 
	610, 610, 610, -1, -1, -1, -1, 606, 
	-1, -1, -1, -1, -1, 610, -1, -1, 
	-1, 610, -1, -1, -1, 610, 610, 610, 
	610, 610, -1, -1, -1, -1, 610, 610, 
	610, -1, -1, -1, -1, 610, 610, 610, 
	610, 610, 610, 610, 610, -1, -1, -1, 
	-1, -1, -1, 610, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 610, 610, 610, 610, 610, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 610, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 606, 606, 606, 606, 606, 
	-1, 606, 606, 606, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 606, 606, 606, -1, -1, 606, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 606, 606, 606, 606, 606, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 606, -1, 
	-1, -1, -1, 610, 610, 610, 610, 610, 
	-1, 610, 610, 610, -1, -1, -1, 612, 
	612, 612, 612, 612, 612, -1, 612, 612, 
	-1, -1, 610, 610, 610, -1, -1, 610, 
	-1, 612, 612, 612, 612, 612, -1, -1, 
	-1, -1, -1, 610, 610, 610, 610, 610, 
	612, -1, -1, -1, 612, -1, -1, -1, 
	612, 612, 612, 612, 612, -1, -1, -1, 
	-1, 612, 612, 612, -1, -1, 610, -1, 
	612, 612, -1, 612, 612, 612, 612, -1, 
	-1, -1, -1, -1, -1, -1, 612, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 612, 612, 612, 612, 
	612, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 613, 613, 613, 613, 613, 613, 613, 
	613, 613, 613, 613, 613, 613, 613, 613, 
	613, 613, 613, 613, 613, 613, 613, 613, 
	613, 613, 613, 613, -1, 613, 613, 613, 
	613, 613, -1, 613, -1, 613, 613, 613, 
	613, -1, 613, -1, 613, 613, 613, -1, 
	613, 613, 613, 613, 613, 613, 613, 613, 
	613, 613, 613, 613, -1, 613, 613, 613, 
	613, 613, 613, 613, 613, 613, 613, 613, 
	613, 613, 613, 613, -1, 613, -1, -1, 
	-1, -1, 613, 613, 613, 613, 613, -1, 
	-1, 613, 613, 613, 613, 613, 613, 613, 
	613, 613, 613, 613, 613, 613, 613, 613, 
	613, -1, -1, -1, -1, -1, 613, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 612, 612, 
	612, 612, 612, -1, 612, 612, 612, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 612, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 612, 612, 
	612, 612, 612, 613, 613, 613, 613, -1, 
	-1, 613, 613, 613, 613, 613, 613, -1, 
	-1, -1, -1, 613, 613, 613, 613, 613, 
	613, 613, -1, -1, -1, -1, 613, -1, 
	-1, -1, -1, 613, 613, -1, -1, 613, 
	613, 613, -1, 613, 613, -1, -1, 613, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	613, 613, 613, 613, 613, 613, 613, -1, 
	-1, -1, 613, 613, 613, -1, -1, 613, 
	613, 613, 613, 613, 613, 613, 613, -1, 
	613, 613, 613, -1, -1, -1, 613, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 613, 613, 613, -1, -1, 613, -1, 
	-1, -1, -1, 613, -1, -1, -1, -1, 
	613, -1, 613, 613, 613, 613, 613, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 613, -1, 613, -1, -1, 613, -1, 
	613, 613, -1, -1, -1, 613, -1, 613, 
	-1, 613, 624, 624, 624, 624, 624, 624, 
	624, 624, 624, 624, -1, 624, 624, -1, 
	-1, 624, 624, 624, 624, -1, -1, -1, 
	624, 624, 624, 624, 624, -1, -1, -1, 
	-1, 624, 624, 624, -1, -1, -1, 624, 
	-1, -1, -1, 624, 624, -1, -1, 624, 
	624, 624, 624, 624, -1, -1, -1, -1, 
	624, 624, 624, -1, -1, -1, -1, 624, 
	624, -1, 624, 624, 624, 624, -1, -1, 
	-1, -1, -1, -1, -1, 624, -1, 624, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 624, 624, 624, -1, 624, 
	627, 627, 627, 627, 627, 627, -1, 627, 
	627, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 627, 627, 627, 627, 627, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 627, -1, 606, 606, 627, -1, 606, 
	-1, 627, 627, 627, 627, 627, -1, -1, 
	-1, -1, 627, 627, 627, -1, -1, -1, 
	-1, 627, 627, -1, 627, 627, 627, 627, 
	-1, -1, -1, 613, -1, -1, -1, 627, 
	-1, -1, -1, -1, -1, -1, 606, -1, 
	-1, -1, -1, -1, -1, 627, 627, 627, 
	-1, 627, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 610, 610, -1, -1, 610, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 624, -1, 
	-1, -1, -1, -1, -1, 624, -1, -1, 
	-1, -1, 624, 624, 624, 624, 624, 624, 
	624, 624, -1, 624, 624, 624, 610, -1, 
	-1, -1, -1, 658, 658, 658, 658, 658, 
	658, -1, 658, 658, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 658, 658, 658, 
	658, 658, -1, -1, -1, 624, 624, 624, 
	624, 624, -1, -1, 658, -1, -1, -1, 
	658, -1, -1, -1, 658, 658, 658, 658, 
	658, -1, -1, -1, -1, 658, 658, 658, 
	-1, -1, -1, -1, 658, 658, -1, 658, 
	658, 658, 658, -1, -1, -1, -1, -1, 
	-1, -1, 658, -1, -1, -1, -1, 627, 
	627, 627, 627, 627, -1, 627, 627, 627, 
	658, 658, 658, -1, 658, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 627, 
	627, 627, 627, 627, -1, -1, -1, -1, 
	628, 628, 628, 628, 628, 628, 628, 628, 
	628, 628, 628, 628, 628, 628, 628, 628, 
	628, 628, 628, 628, 628, 628, 628, 628, 
	628, 628, 628, -1, 628, 628, 628, 628, 
	628, -1, 628, -1, 628, 628, 628, 628, 
	-1, 628, -1, 628, 628, 628, -1, 628, 
	628, 628, 628, 628, 628, 628, 628, 628, 
	628, 628, 628, -1, 628, 628, 628, 628, 
	628, 628, 628, 628, 628, 612, 628, 628, 
	628, 628, -1, -1, -1, -1, -1, -1, 
	-1, 628, -1, -1, 628, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 628, 
	628, 628, -1, 628, -1, -1, -1, -1, 
	-1, -1, 658, 658, 658, 658, 658, -1, 
	658, 658, 658, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 658, 658, 658, 658, 658, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 628, 628, 628, 628, -1, -1, 
	628, 628, -1, 628, 628, 628, -1, -1, 
	-1, -1, 628, 628, 628, -1, 628, 628, 
	628, -1, -1, -1, -1, 628, -1, -1, 
	-1, -1, 628, -1, -1, -1, 628, 628, 
	628, -1, 628, 628, -1, -1, 628, -1, 
	-1, -1, -1, -1, -1, -1, -1, 628, 
	628, 628, 628, 628, 628, 628, -1, -1, 
	-1, -1, 628, 628, -1, -1, 628, 628, 
	628, 628, 628, 628, 628, 628, -1, 628, 
	628, 628, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 628, 628, 628, 628, 628, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	628, -1, -1, -1, -1, -1, -1, 628, 
	667, 667, 667, 667, 667, 667, 667, 667, 
	667, 667, -1, 667, 667, -1, -1, 667, 
	667, 667, 667, -1, -1, -1, 667, 667, 
	667, 667, 667, -1, -1, -1, -1, 667, 
	667, 667, -1, -1, -1, 667, -1, -1, 
	-1, 667, 667, -1, -1, 667, 667, 667, 
	667, 667, -1, -1, -1, -1, 667, 667, 
	667, -1, -1, -1, -1, 667, 667, -1, 
	667, 667, 667, 667, -1, -1, -1, -1, 
	-1, -1, -1, 667, -1, 667, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 667, 667, 667, -1, 667, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 624, -1, 
	-1, -1, -1, -1, -1, 624, -1, -1, 
	-1, -1, 624, 624, 624, 624, 624, 624, 
	624, 624, 628, 624, 624, 624, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 624, 624, 624, 
	624, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 667, -1, -1, -1, 
	-1, -1, -1, 667, -1, -1, -1, -1, 
	667, 667, 667, 667, 667, 667, 667, 667, 
	-1, 667, 667, 667, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 627, 
	627, 627, 627, 627, -1, 627, 627, 627, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 667, 667, 667, 667, 667, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 627, 
	627, 627, 627, 629, 629, 629, 629, 629, 
	629, 629, 629, 629, 629, 629, 629, 629, 
	629, 629, 629, 629, 629, 629, 629, 629, 
	629, 629, 629, 629, 629, 629, 629, 629, 
	629, 629, 629, 629, -1, 629, -1, 629, 
	629, 629, 629, 629, 629, -1, 629, 629, 
	629, -1, 629, 629, 629, 629, 629, 629, 
	629, 629, 629, 629, 629, 629, 629, 629, 
	629, 629, 629, 629, 629, 629, 629, 629, 
	-1, 629, 629, 629, 629, -1, -1, -1, 
	629, -1, -1, -1, 629, 629, -1, 629, 
	-1, -1, 629, -1, -1, 629, -1, 629, 
	-1, -1, 629, 629, 629, -1, 629, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 658, 658, 658, 658, 658, -1, 
	658, 658, 658, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 629, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 629, -1, -1, -1, -1, 
	-1, -1, 658, 658, 658, 658, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 629, 629, 629, 
	629, -1, -1, 629, 629, 629, 629, 629, 
	629, -1, -1, -1, -1, 629, 629, 629, 
	629, 629, 629, 629, -1, -1, 629, -1, 
	629, -1, -1, -1, -1, 629, 629, -1, 
	629, 629, 629, 629, -1, 629, 629, -1, 
	-1, 629, -1, -1, -1, -1, -1, 629, 
	-1, 629, 629, 629, 629, 629, 629, 629, 
	629, -1, -1, -1, -1, 629, 629, -1, 
	629, 629, 629, 629, 629, 629, 629, 629, 
	629, -1, 629, 629, 629, -1, -1, 629, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 629, 629, 629, -1, -1, 629, 
	629, 629, -1, -1, 629, 629, 629, 629, 
	629, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 629, -1, 629, -1, -1, 
	629, 629, 629, -1, 630, 630, 630, 630, 
	630, 630, 630, 630, 630, 630, 630, 630, 
	630, 630, 630, 630, 630, 630, 630, 630, 
	630, 630, 630, 630, 630, 630, 630, 630, 
	630, 630, 630, 630, 630, -1, 630, -1, 
	630, 630, 630, 630, 630, 630, -1, 630, 
	630, 630, -1, 630, 630, 630, 630, 630, 
	630, 630, 630, 630, 630, 630, 630, 630, 
	630, 630, 630, 630, 630, 630, 630, 630, 
	630, -1, 630, 630, 630, 630, -1, -1, 
	-1, 630, -1, -1, -1, 630, 630, -1, 
	630, -1, -1, 630, -1, -1, 630, -1, 
	630, -1, -1, 630, 630, 630, -1, 630, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 630, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 630, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 629, 630, 630, 
	630, 630, -1, -1, 630, 630, 630, 630, 
	630, 630, -1, -1, -1, -1, 630, 630, 
	630, 630, 630, 630, 630, -1, -1, 630, 
	-1, 630, -1, -1, -1, -1, 630, 630, 
	-1, 630, 630, 630, 630, -1, 630, 630, 
	-1, -1, 630, -1, -1, -1, -1, -1, 
	630, -1, 630, 630, 630, 630, 630, 630, 
	630, 630, -1, -1, -1, -1, 630, 630, 
	-1, 630, 630, 630, 630, 630, 630, 630, 
	630, 630, -1, 630, 630, 630, -1, -1, 
	630, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 630, 630, 630, -1, -1, 
	630, 630, 630, -1, -1, 630, 630, 630, 
	630, 630, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 630, -1, 630, -1, 
	-1, 630, 630, 630, 634, 634, 634, 634, 
	634, 634, 634, 634, 634, 634, 634, 634, 
	634, -1, -1, 634, 634, 634, 634, -1, 
	-1, -1, 634, 634, 634, 634, 634, -1, 
	-1, -1, -1, 634, 634, 634, -1, -1, 
	-1, 634, -1, -1, -1, 634, 634, -1, 
	-1, 634, 634, 634, 634, 634, -1, -1, 
	-1, -1, 634, 634, 634, -1, -1, -1, 
	-1, 634, 634, -1, 634, 634, 634, 634, 
	-1, -1, -1, -1, -1, -1, -1, 634, 
	-1, -1, 634, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 634, 634, 634, 
	-1, 634, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 630, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	634, -1, -1, -1, -1, -1, -1, -1, 
	634, 634, 634, -1, 634, 634, 634, 634, 
	634, 634, 634, 634, -1, 634, 634, 634, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 634, 
	634, 634, 634, 634, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 634, 636, 636, 
	636, 636, 636, 636, 636, 636, 636, 636, 
	636, 636, 636, 636, 636, 636, 636, 636, 
	636, 636, 636, 636, 636, 636, 636, 636, 
	636, -1, 636, 636, 636, 636, 636, -1, 
	636, -1, 636, 636, 636, 636, -1, 636, 
	-1, 636, 636, 636, -1, 636, 636, 636, 
	636, 636, 636, 636, 636, 636, 636, 636, 
	636, -1, 636, 636, 636, 636, 636, 636, 
	636, 636, 636, 636, 636, 636, 636, 636, 
	636, -1, 636, -1, -1, -1, -1, 636, 
	636, 636, 636, 636, -1, -1, 636, 636, 
	636, 636, 636, 636, 636, 636, 636, 636, 
	636, 636, 636, 636, 636, 636, -1, -1, 
	-1, -1, -1, 636, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	636, 636, 636, 636, -1, -1, 636, 636, 
	636, 636, 636, 636, -1, -1, -1, -1, 
	636, 636, 636, 636, 636, 636, 636, -1, 
	-1, -1, -1, 636, -1, -1, -1, -1, 
	636, 636, -1, -1, 636, 636, 636, -1, 
	636, 636, -1, -1, 636, -1, -1, -1, 
	-1, -1, -1, -1, -1, 636, 636, 636, 
	636, 636, 636, 636, -1, -1, -1, 636, 
	636, 636, -1, -1, 636, 636, 636, 636, 
	636, 636, 636, 636, -1, 636, 636, 636, 
	-1, -1, -1, 636, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 636, 636, 
	636, -1, -1, 636, -1, -1, -1, -1, 
	636, -1, -1, -1, -1, 636, -1, 636, 
	636, 636, 636, 636, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 636, -1, 
	636, -1, -1, 636, -1, 636, 636, -1, 
	-1, -1, 636, -1, 636, -1, 636, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 637, 637, 637, 637, 
	637, 637, 637, 637, 637, 637, 637, 637, 
	637, -1, -1, 637, 637, 637, 637, -1, 
	-1, -1, 637, 637, 637, 637, 637, -1, 
	-1, -1, -1, 637, 637, 637, -1, -1, 
	-1, 637, -1, -1, -1, 637, 637, -1, 
	-1, 637, 637, 637, 637, 637, -1, -1, 
	-1, -1, 637, 637, 637, -1, -1, -1, 
	-1, 637, 637, -1, 637, 637, 637, 637, 
	-1, -1, -1, -1, -1, -1, -1, 637, 
	-1, -1, 637, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 637, 637, 637, 
	-1, 637, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	636, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	634, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 634, -1, 634, 634, 634, 634, 
	634, 634, 634, 634, -1, 634, 634, 634, 
	637, -1, -1, -1, -1, -1, -1, -1, 
	637, 637, 637, -1, 637, 637, 637, 637, 
	637, 637, 637, 637, -1, 637, 637, 637, 
	-1, -1, -1, -1, -1, -1, -1, 634, 
	634, 634, 634, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 634, -1, 637, 
	637, 637, 637, 637, -1, 640, 640, 640, 
	640, 640, 640, 640, 640, 640, 640, 640, 
	640, 640, 640, 640, 640, 637, 640, 640, 
	640, 640, 640, 640, 640, 640, -1, -1, 
	-1, 640, 640, 640, 640, 640, -1, 640, 
	-1, 640, 640, 640, 640, -1, 640, 640, 
	640, 640, 640, -1, 640, 640, -1, -1, 
	640, 640, 640, 640, 640, 640, 640, 640, 
	-1, 640, 640, 640, 640, 640, 640, 640, 
	640, 640, -1, 640, 640, 640, 640, -1, 
	640, -1, 640, -1, -1, -1, 640, -1, 
	640, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 640, 640, 640, -1, 
	640, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 640, 
	640, 640, 640, -1, -1, 640, 640, 640, 
	640, 640, 640, -1, -1, -1, -1, 640, 
	640, 640, 640, 640, 640, 640, -1, -1, 
	-1, -1, 640, -1, -1, -1, -1, 640, 
	640, -1, -1, 640, 640, 640, -1, 640, 
	640, -1, -1, 640, -1, -1, -1, 640, 
	640, -1, 640, -1, -1, -1, -1, 640, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 640, 640, 640, 640, 640, 
	640, 640, 640, -1, 640, 640, 640, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 640, 640, 
	640, 640, 640, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 640, -1, 640, 
	-1, -1, 640, -1, -1, -1, 643, 643, 
	643, 643, 643, 643, 643, 643, 643, 643, 
	643, 643, 643, 643, 643, 643, -1, 643, 
	643, 643, 643, 643, 643, 643, 643, -1, 
	-1, -1, 643, 643, 643, 643, 643, -1, 
	643, -1, 643, 643, 643, 643, -1, 643, 
	-1, 643, 643, 643, -1, 643, 643, -1, 
	-1, 643, 643, 643, 643, 643, 643, 643, 
	643, -1, 643, 643, 643, 643, 643, 643, 
	643, 643, 643, -1, 643, 643, 643, 643, 
	-1, 643, -1, -1, -1, -1, -1, 643, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 643, 643, 643, 
	-1, 643, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 640, 
	643, 643, 643, 643, -1, -1, 643, 643, 
	643, 643, 643, 643, -1, -1, -1, -1, 
	643, 643, 643, 643, 643, 643, 643, -1, 
	-1, -1, -1, 643, -1, -1, -1, -1, 
	643, 643, -1, -1, 643, 643, 643, -1, 
	643, 643, -1, -1, 643, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	643, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 643, 643, 643, 643, 
	643, 643, 643, 643, -1, 643, 643, 643, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 643, 
	643, 643, 643, 643, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 643, -1, 
	643, -1, -1, 643, -1, -1, -1, 644, 
	644, 644, 644, 644, 644, 644, 644, 644, 
	644, 644, 644, 644, 644, 644, 644, -1, 
	644, 644, 644, 644, 644, 644, 644, 644, 
	-1, -1, -1, 644, 644, 644, 644, 644, 
	-1, 644, -1, 644, 644, 644, 644, -1, 
	644, -1, 644, 644, 644, -1, 644, 644, 
	-1, -1, 644, 644, 644, 644, 644, 644, 
	644, 644, -1, 644, 644, 644, 644, 644, 
	644, 644, 644, 644, -1, 644, 644, 644, 
	644, -1, -1, -1, -1, -1, -1, -1, 
	644, -1, 644, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 644, 644, 
	644, -1, 644, -1, 644, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	643, 644, 644, 644, 644, -1, -1, 644, 
	644, 644, 644, 644, 644, -1, -1, -1, 
	-1, 644, 644, 644, 644, 644, 644, 644, 
	-1, -1, -1, 644, 644, -1, -1, -1, 
	-1, 644, 644, -1, -1, 644, 644, 644, 
	-1, 644, 644, 644, -1, 644, -1, -1, 
	640, -1, -1, -1, -1, -1, -1, -1, 
	-1, 644, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 644, 644, 644, 
	644, 644, 644, 644, 644, -1, 644, 644, 
	644, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	644, 644, 644, 644, 644, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 644, 
	-1, 644, -1, -1, 644, -1, -1, -1, 
	651, 651, 651, 651, 651, 651, 651, 651, 
	651, 651, 651, 651, 651, 651, 651, 651, 
	651, 651, 651, 651, 651, 651, 651, 651, 
	651, 651, 651, -1, 651, 651, 651, 651, 
	651, -1, 651, -1, 651, 651, 651, 651, 
	-1, 651, -1, 651, 651, 651, -1, 651, 
	651, 651, 651, 651, 651, 651, 651, 651, 
	651, 651, 651, -1, 651, 651, 651, 651, 
	651, 651, 651, 651, 651, 651, 651, 651, 
	651, 651, 651, -1, 651, -1, -1, -1, 
	-1, 651, 651, 651, 651, 651, -1, -1, 
	651, 651, 651, 651, 651, 651, 651, 651, 
	651, 651, 651, 651, 651, 651, 651, 651, 
	-1, -1, -1, -1, -1, 651, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 644, 651, 651, 651, 651, -1, -1, 
	651, 651, 651, 651, 651, 651, -1, -1, 
	-1, -1, 651, 651, 651, 651, 651, 651, 
	651, -1, -1, -1, -1, 651, -1, -1, 
	-1, -1, 651, 651, -1, -1, 651, 651, 
	651, -1, 651, 651, -1, -1, 651, -1, 
	-1, -1, -1, -1, -1, -1, -1, 651, 
	651, 651, 651, 651, 651, 651, -1, -1, 
	-1, 651, 651, 651, -1, -1, 651, 651, 
	651, 651, 651, 651, 651, 651, -1, 651, 
	651, 651, -1, -1, -1, 651, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	651, 651, 651, -1, -1, 651, -1, 651, 
	651, -1, 651, -1, -1, -1, -1, 651, 
	-1, 651, 651, 651, 651, 651, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	651, -1, 651, -1, -1, 651, -1, 651, 
	651, -1, -1, -1, 651, -1, 651, -1, 
	651, -1, 652, 652, 652, 652, 652, 652, 
	652, 652, 652, 652, 652, 652, 652, 652, 
	652, 652, 652, 652, 652, 652, 652, 652, 
	652, 652, 652, 652, 652, -1, 652, 652, 
	652, 652, 652, -1, 652, -1, 652, 652, 
	652, 652, -1, 652, -1, 652, 652, 652, 
	-1, 652, 652, 652, 652, 652, 652, 652, 
	652, 652, 652, 652, 652, -1, 652, 652, 
	652, 652, 652, 652, 652, 652, 652, 652, 
	652, 652, 652, 652, 652, -1, 652, -1, 
	-1, -1, -1, 652, 652, 652, 652, 652, 
	-1, -1, 652, 652, 652, 652, 652, 652, 
	652, 652, 652, 652, 652, 652, 652, 652, 
	652, 652, -1, -1, -1, -1, -1, 652, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 651, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 652, 652, 652, 652, 
	-1, -1, 652, 652, 652, 652, 652, 652, 
	-1, -1, -1, 644, 652, 652, 652, 652, 
	652, 652, 652, -1, -1, -1, -1, 652, 
	-1, -1, -1, -1, 652, 652, -1, -1, 
	652, 652, 652, -1, 652, 652, -1, -1, 
	652, -1, -1, -1, -1, -1, -1, -1, 
	-1, 652, 652, 652, 652, 652, 652, 652, 
	-1, -1, -1, 652, 652, 652, -1, -1, 
	652, 652, 652, 652, 652, 652, 652, 652, 
	-1, 652, 652, 652, -1, -1, -1, 652, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 652, 652, 652, -1, -1, 652, 
	-1, 652, 652, -1, 652, -1, -1, -1, 
	-1, 652, -1, 652, 652, 652, 652, 652, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 652, -1, 652, -1, -1, 652, 
	-1, 652, 652, -1, -1, -1, 652, -1, 
	652, -1, 652, 653, 653, 653, 653, 653, 
	653, 653, 653, 653, 653, 653, 653, 653, 
	653, 653, 653, 653, 653, 653, 653, 653, 
	653, 653, 653, 653, 653, 653, -1, 653, 
	653, 653, 653, 653, -1, 653, -1, 653, 
	653, 653, 653, -1, 653, -1, 653, 653, 
	653, -1, 653, 653, 653, 653, 653, 653, 
	653, 653, 653, 653, 653, 653, -1, 653, 
	653, 653, 653, 653, 653, 653, 653, 653, 
	653, 653, 653, 653, 653, 653, -1, 653, 
	-1, -1, -1, -1, 653, 653, 653, 653, 
	653, -1, -1, 653, 653, 653, 653, 653, 
	653, 653, 653, 653, 653, 653, 653, 653, 
	653, 653, 653, -1, -1, -1, -1, -1, 
	653, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 652, -1, -1, -1, 
	-1, -1, -1, -1, -1, 653, 653, 653, 
	653, -1, -1, 653, 653, 653, 653, 653, 
	653, -1, -1, -1, -1, 653, 653, 653, 
	653, 653, 653, 653, -1, -1, -1, -1, 
	653, -1, -1, -1, -1, 653, 653, -1, 
	-1, 653, 653, 653, -1, 653, 653, -1, 
	-1, 653, -1, -1, -1, -1, -1, -1, 
	-1, -1, 653, 653, 653, 653, 653, 653, 
	653, -1, -1, -1, 653, 653, 653, -1, 
	-1, 653, 653, 653, 653, 653, 653, 653, 
	653, -1, 653, 653, 653, -1, -1, -1, 
	653, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 653, 653, 653, -1, -1, 
	653, -1, 653, 653, -1, 653, -1, -1, 
	-1, -1, 653, -1, 653, 653, 653, 653, 
	653, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 653, -1, 653, -1, -1, 
	653, -1, 653, 653, -1, -1, -1, 653, 
	-1, 653, -1, 653, 660, 660, 660, 660, 
	660, 660, 660, 660, 660, 660, 660, 660, 
	660, 660, 660, 660, 660, 660, 660, 660, 
	660, 660, 660, 660, 660, 660, 660, -1, 
	660, 660, 660, 660, 660, -1, 660, -1, 
	660, 660, 660, 660, -1, 660, -1, 660, 
	660, 660, -1, 660, 660, 660, 660, 660, 
	660, 660, 660, 660, 660, 660, 660, -1, 
	660, 660, 660, 660, 660, 660, 660, 660, 
	660, 660, 660, 660, 660, 660, 660, -1, 
	660, -1, -1, -1, -1, 660, 660, 660, 
	660, 660, -1, -1, 660, 660, 660, 660, 
	660, 660, 660, 660, 660, 660, 660, 660, 
	660, 660, 660, 660, -1, -1, -1, -1, 
	-1, 660, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 653, -1, -1, 
	-1, -1, -1, -1, -1, -1, 660, 660, 
	660, 660, -1, -1, 660, 660, 660, 660, 
	660, 660, -1, -1, -1, -1, 660, 660, 
	660, 660, 660, 660, 660, -1, -1, -1, 
	-1, 660, -1, -1, -1, -1, 660, 660, 
	-1, -1, 660, 660, 660, -1, 660, 660, 
	-1, -1, 660, -1, -1, -1, -1, -1, 
	-1, -1, -1, 660, 660, 660, 660, 660, 
	660, 660, -1, -1, -1, 660, 660, 660, 
	-1, -1, 660, 660, 660, 660, 660, 660, 
	660, 660, -1, 660, 660, 660, -1, -1, 
	-1, 660, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 660, 660, 660, -1, 
	-1, 660, -1, 660, 660, -1, 660, -1, 
	-1, -1, -1, 660, -1, 660, 660, 660, 
	660, 660, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 660, -1, 660, -1, 
	-1, 660, -1, 660, 660, -1, -1, -1, 
	660, -1, 660, -1, 660, 665, 665, 665, 
	665, 665, 665, 665, 665, 665, 665, 665, 
	665, 665, 665, 665, 665, 665, 665, 665, 
	665, 665, 665, 665, 665, 665, 665, 665, 
	-1, 665, 665, 665, 665, 665, -1, 665, 
	-1, 665, 665, 665, 665, -1, 665, -1, 
	665, 665, 665, -1, 665, 665, 665, 665, 
	665, 665, 665, 665, 665, 665, 665, 665, 
	-1, 665, 665, 665, 665, 665, 665, 665, 
	665, 665, -1, 665, 665, 665, 665, -1, 
	-1, -1, -1, -1, -1, -1, 665, -1, 
	-1, 665, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 665, 665, 665, -1, 
	665, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 660, -1, 
	-1, -1, -1, -1, -1, -1, -1, 665, 
	665, 665, 665, -1, -1, 665, 665, -1, 
	665, 665, 665, -1, -1, -1, -1, 665, 
	665, 665, -1, 665, 665, 665, -1, -1, 
	-1, -1, 665, -1, -1, -1, -1, 665, 
	-1, -1, -1, 665, 665, 665, -1, 665, 
	665, -1, -1, 665, -1, -1, -1, -1, 
	-1, -1, -1, -1, 665, 665, 665, 665, 
	665, 665, 665, -1, -1, -1, -1, 665, 
	665, -1, -1, 665, 665, 665, 665, 665, 
	665, 665, 665, -1, 665, 665, 665, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 665, 665, 
	665, 665, 665, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 665, -1, -1, 
	-1, -1, -1, -1, 665, 668, 668, 668, 
	668, 668, 668, 668, 668, 668, 668, -1, 
	668, 668, -1, -1, 668, 668, 668, 668, 
	-1, -1, -1, 668, 668, 668, 668, 668, 
	-1, -1, -1, -1, 668, 668, 668, -1, 
	-1, -1, 668, -1, -1, -1, 668, 668, 
	-1, -1, 668, 668, 668, 668, 668, -1, 
	-1, -1, -1, 668, 668, 668, -1, -1, 
	-1, -1, 668, 668, -1, 668, 668, 668, 
	668, -1, -1, -1, -1, -1, -1, -1, 
	668, -1, 668, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 668, 668, 
	668, -1, 668, -1, -1, 668, 668, 671, 
	671, 671, 671, 671, 671, 671, 671, 671, 
	671, 671, 671, 671, -1, -1, 671, 671, 
	671, 671, -1, -1, -1, 671, 671, 671, 
	671, 671, -1, -1, -1, -1, 671, 671, 
	671, -1, -1, -1, 671, -1, -1, -1, 
	671, 671, -1, -1, 671, 671, 671, 671, 
	671, -1, -1, -1, -1, 671, 671, 671, 
	-1, -1, -1, -1, 671, 671, -1, 671, 
	671, 671, 671, -1, -1, -1, -1, 665, 
	-1, -1, 671, -1, -1, 671, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	671, 671, 671, -1, 671, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 668, -1, -1, -1, -1, -1, -1, 
	668, -1, -1, -1, -1, 668, 668, 668, 
	668, 668, 668, 668, 668, -1, 668, 668, 
	668, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	668, 668, 668, 668, 668, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 671, -1, -1, -1, -1, 
	-1, -1, -1, 671, 671, 671, -1, 671, 
	671, 671, 671, 671, 671, 671, 671, -1, 
	671, 671, 671, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 671, 671, 671, 671, 671, -1, 
	674, 674, 674, 674, 674, 674, 674, 674, 
	674, 674, 674, 674, 674, 674, 674, 674, 
	671, 674, 674, 674, 674, 674, 674, 674, 
	674, -1, -1, -1, 674, 674, 674, 674, 
	674, -1, 674, -1, 674, 674, 674, 674, 
	-1, 674, 674, 674, 674, 674, -1, 674, 
	674, -1, -1, 674, 674, 674, 674, 674, 
	674, 674, 674, -1, 674, 674, 674, 674, 
	674, 674, 674, 674, 674, -1, 674, 674, 
	674, 674, -1, 674, -1, -1, -1, -1, 
	-1, 674, -1, 674, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 674, 
	674, 674, -1, 674, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 674, 674, 674, 674, -1, -1, 
	674, 674, 674, 674, 674, 674, -1, -1, 
	-1, -1, 674, 674, 674, 674, 674, 674, 
	674, -1, -1, -1, -1, 674, -1, -1, 
	-1, -1, 674, 674, -1, -1, 674, 674, 
	674, -1, 674, 674, -1, -1, 674, -1, 
	-1, -1, 674, -1, -1, 674, -1, -1, 
	-1, -1, 674, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 674, 674, 
	674, 674, 674, 674, 674, 674, -1, 674, 
	674, 674, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 674, 674, 674, 674, 674, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	674, -1, 674, -1, -1, 674, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 689, 
	689, 689, 689, 689, 689, -1, 689, 689, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 689, 689, 689, 689, 689, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	689, -1, -1, -1, 689, -1, -1, -1, 
	689, 689, 689, 689, 689, -1, -1, -1, 
	-1, 689, 689, 689, -1, -1, -1, -1, 
	689, 689, -1, 689, 689, 689, 689, -1, 
	-1, -1, -1, -1, -1, -1, 689, 689, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 689, 689, 689, -1, 
	689, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 677, 
	677, 677, 677, 677, 677, 677, 677, 677, 
	677, 677, 677, 677, 677, 677, 677, -1, 
	677, 677, 677, 677, 677, 677, 677, 677, 
	-1, -1, -1, 677, 677, 677, 677, 677, 
	-1, 677, 674, 677, 677, 677, 677, -1, 
	677, -1, 677, 677, 677, -1, 677, 677, 
	-1, -1, 677, 677, 677, 677, 677, 677, 
	677, 677, -1, 677, 677, 677, 677, 677, 
	677, 677, 677, 677, -1, 677, 677, 677, 
	677, -1, -1, -1, -1, -1, -1, -1, 
	677, -1, 677, -1, -1, -1, -1, -1, 
	-1, -1, -1, 689, 689, -1, 677, 677, 
	677, -1, 677, -1, -1, -1, 689, 689, 
	689, 689, 689, 671, 689, 689, 689, -1, 
	-1, -1, -1, -1, -1, 671, -1, 671, 
	671, 671, 671, 671, 671, 671, 671, -1, 
	671, 671, 671, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 689, 689, 
	689, 689, 689, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 671, 671, 671, 671, -1, -1, 
	-1, 677, 677, 677, 677, -1, -1, 677, 
	677, 677, 677, 677, 677, -1, -1, -1, 
	671, 677, 677, 677, 677, 677, 677, 677, 
	-1, -1, -1, -1, 677, -1, -1, -1, 
	-1, 677, 677, -1, -1, 677, 677, 677, 
	-1, 677, 677, 677, -1, 677, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 677, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 677, 677, 677, 
	677, 677, 677, 677, 677, -1, 677, 677, 
	677, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 686, 686, 686, 686, 
	686, 686, -1, 686, 686, -1, -1, -1, 
	677, 677, 677, 677, 677, -1, 686, 686, 
	686, 686, 686, -1, -1, -1, -1, 677, 
	-1, 677, -1, -1, 677, 686, -1, -1, 
	-1, 686, -1, -1, -1, 686, 686, 686, 
	686, 686, -1, -1, -1, -1, 686, 686, 
	686, -1, -1, -1, -1, 686, 686, 686, 
	686, 686, 686, 686, 686, -1, -1, -1, 
	-1, -1, -1, 686, 687, 687, 687, 687, 
	687, 687, -1, 687, 687, -1, -1, -1, 
	-1, 686, 686, 686, 686, 686, 687, 687, 
	687, 687, 687, -1, -1, -1, -1, 686, 
	-1, -1, -1, -1, -1, 687, -1, -1, 
	-1, 687, -1, -1, -1, 687, 687, 687, 
	687, 687, 674, -1, -1, -1, 687, 687, 
	687, -1, -1, -1, -1, 687, 687, 687, 
	687, 687, 687, 687, 687, -1, -1, -1, 
	-1, -1, -1, 687, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 687, 687, 687, 687, 687, -1, -1, 
	687, 687, -1, -1, -1, -1, -1, 687, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 677, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 686, 686, 686, 686, 686, 
	-1, 686, 686, 686, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 686, 686, 686, -1, -1, 686, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 686, 686, 686, 686, 686, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 686, -1, 
	-1, -1, -1, 687, 687, 687, 687, 687, 
	-1, 687, 687, 687, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 687, 687, 687, -1, -1, 687, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 687, 687, 687, 687, 687, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 687, -1, 
	-1, -1, -1, -1, 702, 702, 702, 702, 
	702, 702, -1, 702, 702, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 702, 702, 
	702, 702, 702, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 702, -1, -1, 
	-1, 702, -1, -1, -1, 702, 702, 702, 
	702, 702, -1, -1, -1, -1, 702, 702, 
	702, -1, -1, 689, 689, 702, 702, 702, 
	702, 702, 702, 702, 702, -1, 689, 689, 
	689, 689, 689, 702, 689, 689, 689, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 702, 702, 702, 702, 702, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 702, 
	-1, -1, -1, -1, -1, -1, 689, 689, 
	689, 689, -1, -1, -1, -1, -1, -1, 
	691, 691, 691, 691, 691, 691, 691, 691, 
	691, 691, 691, 691, 691, 691, 691, 691, 
	-1, 691, 691, 691, 691, 691, 691, 691, 
	691, -1, -1, -1, 691, 691, 691, 691, 
	691, -1, 691, -1, 691, 691, 691, 691, 
	-1, 691, -1, 691, 691, 691, -1, 691, 
	691, -1, -1, 691, 691, 691, 691, 691, 
	691, 691, 691, 677, 691, 691, 691, 691, 
	691, 691, 691, 691, 691, -1, 691, 691, 
	691, 691, -1, -1, -1, -1, -1, -1, 
	-1, 691, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 691, 
	691, 691, -1, 691, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 702, 702, 702, 702, 702, 
	-1, 702, 702, 702, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 702, 702, 702, -1, -1, 702, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 702, 702, 702, 702, 702, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 691, 691, 691, 691, -1, -1, 
	691, 691, 691, 691, 691, 691, 702, -1, 
	-1, -1, 691, 691, 691, 691, 691, 691, 
	691, -1, -1, -1, -1, 691, -1, -1, 
	-1, -1, 691, 691, -1, -1, 691, 691, 
	691, -1, 691, 691, -1, -1, 691, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 691, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 691, 691, 
	691, 691, 691, 691, 691, 691, -1, 691, 
	691, 691, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 691, 691, 691, 691, 691, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	691, -1, 691, -1, -1, 691, -1, -1, 
	-1, 693, 693, 693, 693, 693, 693, 693, 
	693, 693, 693, 693, 693, 693, 693, 693, 
	693, -1, 693, 693, 693, 693, 693, 693, 
	693, 693, -1, -1, -1, 693, 693, 693, 
	693, 693, -1, 693, -1, 693, 693, 693, 
	693, -1, 693, -1, 693, 693, 693, -1, 
	693, 693, -1, -1, 693, 693, 693, 693, 
	693, 693, 693, 693, -1, 693, 693, 693, 
	693, 693, 693, 693, 693, 693, -1, 693, 
	693, 693, 693, -1, -1, -1, -1, -1, 
	-1, -1, 693, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	693, 693, 693, -1, 693, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 691, 693, 693, 693, 693, -1, 
	-1, 693, 693, 693, 693, 693, 693, -1, 
	-1, -1, -1, 693, 693, 693, 693, 693, 
	693, 693, -1, -1, -1, -1, 693, -1, 
	-1, -1, -1, 693, 693, -1, -1, 693, 
	693, 693, -1, 693, 693, -1, -1, 693, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 693, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 693, 
	693, 693, 693, 693, 693, 693, 693, -1, 
	693, 693, 693, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 693, 693, 693, 693, 693, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 693, -1, 693, -1, -1, 693, -1, 
	-1, -1, 694, 694, 694, 694, 694, 694, 
	694, 694, 694, 694, 694, 694, 694, 694, 
	694, 694, -1, 694, 694, 694, 694, 694, 
	694, 694, 694, -1, -1, -1, 694, 694, 
	694, 694, 694, -1, 694, -1, 694, 694, 
	694, 694, -1, 694, 694, 694, 694, 694, 
	-1, 694, 694, -1, -1, 694, 694, 694, 
	694, 694, 694, 694, 694, -1, 694, 694, 
	694, 694, 694, 694, 694, 694, 694, -1, 
	694, 694, 694, 694, -1, 694, -1, -1, 
	-1, -1, -1, 694, -1, 694, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 694, 694, 694, -1, 694, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 693, 694, 694, 694, 694, 
	-1, -1, 694, 694, 694, 694, 694, 694, 
	-1, -1, -1, -1, 694, 694, 694, 694, 
	694, 694, 694, -1, -1, -1, -1, 694, 
	-1, -1, -1, -1, 694, 694, -1, -1, 
	694, 694, 694, -1, 694, 694, -1, -1, 
	694, -1, -1, -1, 694, -1, -1, 694, 
	-1, -1, -1, -1, 694, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	694, 694, 694, 694, 694, 694, 694, 694, 
	-1, 694, 694, 694, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 694, 694, 694, 694, 694, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 694, -1, 694, -1, -1, 694, 
	-1, -1, -1, 695, 695, 695, 695, 695, 
	695, 695, 695, 695, 695, 695, 695, 695, 
	695, 695, 695, -1, 695, 695, 695, 695, 
	695, 695, 695, 695, -1, -1, -1, 695, 
	695, 695, 695, 695, -1, 695, -1, 695, 
	695, 695, 695, -1, 695, -1, 695, 695, 
	695, -1, 695, 695, -1, -1, 695, 695, 
	695, 695, 695, 695, 695, 695, -1, 695, 
	695, 695, 695, 695, 695, 695, 695, 695, 
	-1, 695, 695, 695, 695, -1, 695, -1, 
	-1, -1, -1, -1, 695, -1, 695, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 695, 695, 695, -1, 695, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 694, 695, 695, 695, 
	695, -1, -1, 695, 695, 695, 695, 695, 
	695, -1, -1, -1, -1, 695, 695, 695, 
	695, 695, 695, 695, -1, -1, -1, -1, 
	695, -1, -1, -1, -1, 695, 695, -1, 
	-1, 695, 695, 695, -1, 695, 695, -1, 
	-1, 695, -1, -1, -1, -1, -1, -1, 
	695, -1, -1, -1, -1, 695, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 695, 695, 695, 695, 695, 695, 695, 
	695, -1, 695, 695, 695, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 695, 695, 695, 695, 
	695, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 695, -1, 695, -1, -1, 
	695, -1, -1, -1, 696, 696, 696, 696, 
	696, 696, 696, 696, 696, 696, 696, 696, 
	696, 696, 696, 696, -1, 696, 696, 696, 
	696, 696, 696, 696, 696, -1, -1, -1, 
	696, 696, 696, 696, 696, -1, 696, -1, 
	696, 696, 696, 696, -1, 696, -1, 696, 
	696, 696, -1, 696, 696, -1, -1, 696, 
	696, 696, 696, 696, 696, 696, 696, -1, 
	696, 696, 696, 696, 696, 696, 696, 696, 
	696, -1, 696, 696, 696, 696, -1, 696, 
	-1, -1, -1, -1, -1, 696, -1, 696, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 696, 696, 696, -1, 696, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 695, 696, 696, 
	696, 696, -1, -1, 696, 696, 696, 696, 
	696, 696, -1, -1, -1, -1, 696, 696, 
	696, 696, 696, 696, 696, -1, -1, -1, 
	-1, 696, -1, -1, -1, -1, 696, 696, 
	-1, -1, 696, 696, 696, -1, 696, 696, 
	-1, -1, 696, -1, -1, -1, -1, -1, 
	-1, 696, -1, -1, -1, -1, 696, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 696, 696, 696, 696, 696, 696, 
	696, 696, -1, 696, 696, 696, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 696, 696, 696, 
	696, 696, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 696, -1, 696, -1, 
	-1, 696, -1, -1, -1, 699, 699, 699, 
	699, 699, 699, 699, 699, 699, 699, 699, 
	699, 699, 699, 699, 699, -1, 699, 699, 
	699, 699, 699, 699, 699, 699, -1, -1, 
	-1, 699, 699, 699, 699, 699, -1, 699, 
	-1, 699, 699, 699, 699, -1, 699, -1, 
	699, 699, 699, -1, 699, 699, -1, -1, 
	699, 699, 699, 699, 699, 699, 699, 699, 
	-1, 699, 699, 699, 699, 699, 699, 699, 
	699, 699, -1, 699, 699, 699, 699, -1, 
	-1, -1, -1, -1, -1, -1, 699, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 699, 699, 699, -1, 
	699, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 696, 699, 
	699, 699, 699, -1, -1, 699, 699, 699, 
	699, 699, 699, -1, -1, -1, -1, 699, 
	699, 699, 699, 699, 699, 699, -1, -1, 
	-1, -1, 699, -1, -1, -1, -1, 699, 
	699, -1, -1, 699, 699, 699, -1, 699, 
	699, -1, -1, 699, -1, -1, -1, -1, 
	695, -1, -1, -1, -1, -1, -1, 699, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 699, 699, 699, 699, 699, 
	699, 699, 699, -1, 699, 699, 699, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 699, 699, 
	699, 699, 699, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 699, -1, 699, 
	-1, -1, 699, 700, 700, 700, 700, 700, 
	700, 700, 700, 700, 700, 700, 700, 700, 
	-1, -1, 700, 700, 700, 700, -1, -1, 
	-1, 700, 700, 700, 700, 700, -1, -1, 
	-1, -1, 700, 700, 700, -1, -1, -1, 
	700, -1, -1, -1, 700, 700, -1, -1, 
	700, 700, 700, 700, 700, -1, -1, -1, 
	-1, 700, 700, 700, -1, -1, -1, -1, 
	700, 700, -1, 700, 700, 700, 700, -1, 
	-1, -1, -1, -1, -1, -1, 700, -1, 
	-1, 700, 703, 703, 703, 703, 703, 703, 
	-1, 703, 703, -1, 700, 700, 700, -1, 
	700, -1, -1, -1, 703, 703, 703, 703, 
	703, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 703, -1, -1, -1, 703, 
	-1, -1, -1, 703, 703, 703, 703, 703, 
	-1, -1, -1, -1, 703, 703, 703, -1, 
	-1, -1, -1, 703, 703, 703, 703, 703, 
	703, 703, 703, -1, -1, -1, -1, -1, 
	-1, 703, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 703, 
	703, 703, 703, 703, -1, -1, -1, 699, 
	-1, -1, -1, -1, -1, 703, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 700, 
	-1, -1, -1, -1, -1, -1, -1, 700, 
	700, 700, -1, 700, 700, 700, 700, 700, 
	700, 700, 700, -1, 700, 700, 700, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 700, 700, 
	700, 700, 700, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 700, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 703, 703, 703, 703, 703, -1, 703, 
	703, 703, -1, -1, -1, 704, 704, 704, 
	704, 704, 704, -1, 704, 704, -1, -1, 
	703, 703, 703, -1, -1, 703, -1, 704, 
	704, 704, 704, 704, -1, -1, -1, -1, 
	-1, 703, 703, 703, 703, 703, 704, -1, 
	-1, -1, 704, -1, -1, -1, 704, 704, 
	704, 704, 704, -1, -1, -1, -1, 704, 
	704, 704, -1, -1, 703, -1, 704, 704, 
	704, 704, 704, 704, 704, 704, -1, -1, 
	-1, -1, -1, -1, 704, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 704, 704, 704, 704, 704, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	704, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 707, 707, 
	707, 707, 707, 707, 707, 707, 707, 707, 
	707, 707, 707, 707, 707, 707, -1, 707, 
	707, 707, 707, 707, 707, 707, 707, -1, 
	-1, -1, 707, 707, 707, 707, 707, -1, 
	707, -1, 707, 707, 707, 707, -1, 707, 
	-1, 707, 707, 707, -1, 707, 707, -1, 
	-1, 707, 707, 707, 707, 707, 707, 707, 
	707, -1, 707, 707, 707, 707, 707, 707, 
	707, 707, 707, -1, 707, 707, 707, 707, 
	-1, -1, -1, -1, -1, -1, -1, 707, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 707, 707, 707, 
	-1, 707, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 704, 704, 704, 704, 
	704, -1, 704, 704, 704, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 704, 704, 704, -1, -1, 
	704, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 704, 704, 704, 704, 
	704, -1, -1, -1, -1, -1, -1, -1, 
	707, 707, 707, 707, -1, -1, 707, 707, 
	707, 707, 707, 707, -1, -1, -1, 704, 
	707, 707, 707, 707, 707, 707, 707, -1, 
	-1, -1, -1, 707, -1, -1, -1, -1, 
	707, 707, -1, -1, 707, 707, 707, -1, 
	707, 707, -1, -1, 707, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	707, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 707, 707, 707, 707, 
	707, 707, 707, 707, -1, 707, 707, 707, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 707, 
	707, 707, 707, 707, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 707, -1, 
	707, -1, -1, 707, -1, -1, -1, 708, 
	708, 708, 708, 708, 708, 708, 708, 708, 
	708, 708, 708, 708, 708, 708, 708, -1, 
	708, 708, 708, 708, 708, 708, 708, 708, 
	-1, -1, -1, 708, 708, 708, 708, 708, 
	-1, 708, -1, 708, 708, 708, 708, -1, 
	708, -1, 708, 708, 708, -1, 708, 708, 
	-1, -1, 708, 708, 708, 708, 708, 708, 
	708, 708, -1, 708, 708, 708, 708, 708, 
	708, 708, 708, 708, -1, 708, 708, 708, 
	708, -1, 708, -1, -1, -1, -1, -1, 
	708, -1, -1, -1, -1, -1, -1, 700, 
	-1, -1, -1, -1, -1, -1, 708, 708, 
	708, 700, 708, 700, 700, 700, 700, 700, 
	700, 700, 700, -1, 700, 700, 700, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 700, 700, 
	700, 700, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 700, -1, -1, -1, 
	707, 708, 708, 708, 708, -1, -1, 708, 
	708, 708, 708, 708, 708, -1, -1, -1, 
	-1, 708, 708, 708, 708, 708, 708, 708, 
	-1, -1, -1, -1, 708, -1, -1, -1, 
	-1, 708, 708, -1, -1, 708, 708, 708, 
	-1, 708, 708, -1, -1, 708, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 708, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 708, 708, 708, 
	708, 708, 708, 708, 708, -1, 708, 708, 
	708, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	708, 708, 708, 708, 708, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 708, 
	-1, 708, -1, -1, 708, 709, 709, 709, 
	709, 709, 709, 709, 709, 709, 709, 709, 
	709, 709, -1, -1, 709, 709, 709, 709, 
	-1, -1, -1, 709, 709, 709, 709, 709, 
	-1, -1, -1, -1, 709, 709, 709, -1, 
	-1, -1, 709, -1, -1, -1, 709, 709, 
	-1, -1, 709, 709, 709, 709, 709, -1, 
	-1, -1, -1, 709, 709, 709, -1, -1, 
	-1, -1, 709, 709, -1, 709, 709, 709, 
	709, -1, -1, -1, -1, -1, -1, -1, 
	709, -1, -1, 709, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 709, 709, 
	709, -1, 709, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, -1, 713, 713, 
	-1, -1, 713, 713, 713, 713, -1, -1, 
	-1, 713, 713, 713, 713, 713, -1, -1, 
	-1, -1, 713, 713, 713, -1, -1, -1, 
	713, -1, -1, -1, 713, 713, -1, -1, 
	713, 713, 713, 713, 713, -1, -1, -1, 
	-1, 713, 713, 713, -1, -1, -1, -1, 
	713, 713, -1, 713, 713, 713, 713, -1, 
	-1, -1, -1, -1, -1, -1, 713, -1, 
	713, 708, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 713, 713, 713, -1, 
	713, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 709, -1, -1, -1, -1, -1, -1, 
	-1, 709, 709, 709, -1, 709, 709, 709, 
	709, 709, 709, 709, 709, -1, 709, 709, 
	709, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	709, 709, 709, 709, 709, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 709, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 713, 
	-1, -1, -1, -1, -1, -1, 713, -1, 
	-1, -1, -1, 713, 713, 713, 713, 713, 
	713, 713, 713, -1, 713, 713, 713, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 713, 713, 
	713, 713, 713, 715, 715, 715, 715, 715, 
	715, 715, 715, 715, 715, 715, 715, 715, 
	715, 715, 715, -1, 715, 715, 715, 715, 
	715, 715, 715, 715, -1, -1, -1, 715, 
	715, 715, 715, 715, -1, 715, -1, 715, 
	715, 715, 715, -1, 715, -1, 715, 715, 
	715, -1, 715, 715, -1, -1, 715, 715, 
	715, 715, 715, 715, 715, 715, -1, 715, 
	715, 715, 715, 715, 715, 715, 715, 715, 
	-1, 715, 715, 715, 715, -1, -1, -1, 
	-1, -1, -1, -1, 715, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 715, 715, 715, -1, 715, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 715, 715, 715, 
	715, -1, -1, 715, 715, 715, 715, 715, 
	715, -1, -1, -1, -1, 715, 715, 715, 
	715, 715, 715, 715, -1, -1, -1, -1, 
	715, -1, -1, -1, -1, 715, 715, -1, 
	-1, 715, 715, 715, -1, 715, 715, -1, 
	-1, 715, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 715, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 715, 715, 715, 715, 715, 715, 715, 
	715, -1, 715, 715, 715, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 715, 715, 715, 715, 
	715, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 715, -1, 715, -1, -1, 
	715, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 716, 716, 716, 716, 716, 716, 
	716, 716, 716, 716, 716, 716, 716, 716, 
	716, 716, -1, 716, 716, 716, 716, 716, 
	716, 716, 716, -1, -1, -1, 716, 716, 
	716, 716, 716, -1, 716, -1, 716, 716, 
	716, 716, -1, 716, -1, 716, 716, 716, 
	-1, 716, 716, -1, -1, 716, 716, 716, 
	716, 716, 716, 716, 716, -1, 716, 716, 
	716, 716, 716, 716, 716, 716, 716, -1, 
	716, 716, 716, 716, -1, 716, -1, -1, 
	-1, -1, -1, 716, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 716, 716, 716, -1, 716, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 709, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 709, -1, 709, 709, 709, 
	709, 709, 709, 709, 709, 715, 709, 709, 
	709, -1, -1, -1, 716, 716, 716, 716, 
	-1, -1, 716, 716, 716, 716, 716, 716, 
	-1, -1, -1, -1, 716, 716, 716, 716, 
	716, 716, 716, -1, -1, -1, -1, 716, 
	709, 709, 709, 709, 716, 716, -1, -1, 
	716, 716, 716, -1, 716, 716, -1, -1, 
	716, -1, -1, -1, -1, -1, 709, -1, 
	-1, -1, -1, -1, 716, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	716, 716, 716, 716, 716, 716, 716, 716, 
	-1, 716, 716, 716, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 716, 716, 716, 716, 716, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 716, -1, 716, -1, -1, 716, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 716
};

static int pid_0_parser_keys[] = {
	5, 909, 479, 479, 479, 479, 5, 909, 
	5, 479, 5, 479, 5, 479, 5, 479, 
	5, 479, 5, 479, 5, 479, 5, 479, 
	5, 479, 5, 479, 5, 479, 5, 479, 
	5, 479, 5, 479, 5, 479, 5, 479, 
	5, 479, 5, 479, 5, 479, 5, 479, 
	72, 72, 64, 808, 72, 72, 72, 826, 
	72, 72, 5, 909, 72, 72, 72, 72, 
	33, 862, 72, 72, 5, 479, 5, 479, 
	5, 850, 72, 72, 15, 897, 72, 897, 
	15, 897, 5, 479, 72, 897, 15, 897, 
	5, 479, 5, 479, 72, 851, 33, 851, 
	88, 88, 72, 862, 72, 72, 76, 76, 
	72, 72, 72, 72, 72, 72, 75, 891, 
	86, 86, 86, 86, 86, 86, 5, 479, 
	82, 82, 72, 898, 72, 254, 72, 254, 
	72, 254, 5, 479, 5, 479, 5, 479, 
	5, 479, 15, 897, 15, 897, 15, 897, 
	15, 897, 5, 479, 5, 479, 5, 479, 
	5, 479, 5, 479, 15, 897, 72, 897, 
	72, 897, 33, 864, 33, 864, 33, 864, 
	72, 72, 33, 864, 72, 897, 5, 479, 
	32, 32, 86, 86, 86, 86, 96, 96, 
	33, 864, 96, 96, 5, 479, 5, 479, 
	5, 479, 96, 96, 96, 96, 96, 96, 
	96, 96, 96, 96, 5, 895, 111, 924, 
	116, 910, 119, 870, 15, 925, 45, 915, 
	7, 7, 64, 915, 139, 139, 139, 139, 
	139, 139, 15, 897, 5, 479, 5, 479, 
	5, 890, 111, 922, 116, 910, 119, 870, 
	15, 923, 15, 897, 15, 897, 15, 897, 
	33, 862, 82, 82, 33, 862, 33, 862, 
	33, 862, 33, 862, 75, 876, 72, 898, 
	75, 891, 75, 891, 5, 914, 7, 912, 
	82, 82, 11, 897, 5, 479, 5, 479, 
	11, 897, 33, 862, 33, 862, 33, 862, 
	33, 862, 33, 862, 86, 86, 5, 850, 
	5, 479, 33, 862, 33, 862, 11, 916, 
	5, 850, 33, 862, 54, 838, 15, 897, 
	15, 897, 33, 862, 5, 808, 5, 479, 
	74, 74, 106, 106, 116, 910, 33, 862, 
	111, 868, 111, 924, 111, 316, 15, 925, 
	116, 869, 116, 910, 119, 119, 119, 119, 
	79, 79, 15, 925, 75, 77, 15, 877, 
	87, 108, 5, 479, 5, 479, 15, 897, 
	5, 479, 5, 479, 7, 479, 5, 479, 
	5, 479, 72, 74, 72, 72, 72, 72, 
	5, 911, 5, 479, 15, 897, 15, 897, 
	15, 897, 15, 897, 15, 897, 15, 897, 
	15, 897, 15, 897, 15, 897, 15, 897, 
	15, 897, 15, 897, 15, 897, 72, 897, 
	5, 863, 72, 72, 5, 479, 15, 897, 
	15, 897, 45, 818, 45, 915, 5, 479, 
	64, 808, 5, 479, 121, 906, 121, 906, 
	111, 868, 111, 922, 111, 314, 15, 923, 
	116, 869, 119, 119, 79, 79, 15, 923, 
	75, 77, 15, 877, 87, 87, 87, 87, 
	87, 108, 5, 479, 87, 87, 87, 87, 
	87, 87, 33, 254, 75, 865, 75, 865, 
	75, 865, 75, 865, 75, 865, 83, 83, 
	5, 479, 5, 874, 5, 479, 111, 918, 
	116, 910, 119, 870, 72, 919, 5, 859, 
	5, 859, 7, 7, 5, 914, 5, 306, 
	5, 306, 5, 306, 5, 306, 5, 306, 
	5, 306, 5, 306, 5, 306, 5, 306, 
	5, 306, 5, 306, 5, 306, 5, 306, 
	5, 306, 5, 306, 5, 306, 5, 306, 
	33, 254, 7, 7, 7, 912, 7, 304, 
	7, 304, 82, 149, 33, 862, 5, 842, 
	11, 916, 5, 479, 5, 479, 97, 97, 
	97, 97, 97, 97, 95, 95, 95, 95, 
	72, 798, 5, 479, 5, 479, 86, 86, 
	89, 89, 21, 848, 11, 916, 5, 479, 
	97, 97, 5, 479, 54, 838, 5, 838, 
	5, 479, 75, 876, 11, 897, 87, 87, 
	87, 87, 97, 97, 74, 139, 5, 479, 
	5, 809, 116, 869, 5, 479, 114, 114, 
	111, 260, 5, 479, 5, 479, 5, 479, 
	116, 261, 5, 479, 5, 479, 5, 479, 
	5, 479, 111, 924, 116, 910, 119, 870, 
	15, 897, 15, 290, 79, 114, 5, 479, 
	5, 479, 5, 479, 72, 862, 5, 479, 
	5, 479, 86, 86, 7, 7, 5, 911, 
	5, 303, 5, 303, 5, 303, 5, 303, 
	5, 303, 5, 303, 5, 303, 5, 303, 
	5, 303, 5, 303, 5, 303, 5, 303, 
	5, 303, 5, 303, 5, 303, 5, 303, 
	5, 303, 5, 479, 5, 479, 5, 479, 
	5, 479, 5, 479, 5, 479, 5, 479, 
	5, 479, 5, 479, 5, 479, 5, 479, 
	5, 479, 5, 479, 5, 479, 5, 479, 
	72, 290, 5, 479, 5, 479, 5, 479, 
	5, 479, 87, 87, 5, 479, 45, 227, 
	78, 835, 78, 227, 139, 139, 126, 140, 
	121, 900, 88, 298, 88, 298, 121, 906, 
	88, 298, 88, 298, 88, 298, 88, 298, 
	88, 298, 136, 136, 147, 907, 147, 907, 
	121, 906, 88, 298, 139, 139, 126, 140, 
	114, 114, 111, 260, 5, 479, 5, 479, 
	5, 479, 111, 922, 116, 910, 119, 870, 
	15, 897, 79, 114, 5, 479, 5, 479, 
	15, 897, 5, 479, 5, 479, 5, 479, 
	75, 891, 15, 917, 75, 891, 75, 891, 
	75, 891, 75, 886, 111, 868, 111, 918, 
	111, 310, 72, 919, 116, 869, 119, 119, 
	79, 79, 72, 919, 72, 871, 111, 918, 
	116, 910, 119, 870, 82, 82, 5, 479, 
	5, 479, 5, 479, 5, 479, 5, 479, 
	7, 7, 5, 479, 7, 7, 149, 913, 
	72, 72, 5, 479, 32, 32, 89, 89, 
	5, 479, 5, 842, 5, 479, 15, 897, 
	11, 897, 5, 479, 5, 479, 5, 479, 
	33, 862, 33, 862, 87, 87, 87, 87, 
	87, 95, 82, 82, 15, 917, 21, 240, 
	5, 479, 89, 89, 11, 916, 72, 897, 
	15, 897, 11, 897, 5, 479, 89, 89, 
	5, 479, 5, 479, 5, 479, 5, 479, 
	5, 479, 64, 64, 5, 479, 111, 316, 
	111, 868, 116, 869, 119, 119, 15, 317, 
	5, 479, 72, 798, 7, 7, 5, 479, 
	72, 72, 72, 72, 5, 479, 5, 479, 
	5, 479, 72, 830, 121, 906, 126, 140, 
	88, 298, 147, 908, 147, 908, 5, 479, 
	121, 906, 121, 906, 121, 906, 121, 906, 
	121, 906, 121, 906, 121, 906, 121, 906, 
	121, 298, 88, 298, 88, 298, 88, 298, 
	88, 298, 95, 122, 122, 905, 5, 479, 
	111, 314, 111, 868, 116, 869, 119, 119, 
	15, 315, 87, 87, 87, 87, 15, 917, 
	15, 309, 5, 479, 5, 479, 5, 479, 
	5, 479, 5, 479, 5, 479, 5, 885, 
	111, 920, 116, 910, 119, 870, 15, 921, 
	114, 114, 111, 260, 5, 479, 5, 479, 
	5, 479, 72, 263, 111, 868, 116, 869, 
	119, 119, 72, 311, 72, 74, 79, 114, 
	5, 479, 149, 149, 150, 150, 149, 913, 
	149, 305, 149, 305, 149, 305, 149, 305, 
	149, 305, 149, 305, 149, 305, 149, 305, 
	149, 305, 149, 305, 149, 913, 15, 880, 
	5, 479, 11, 897, 5, 479, 5, 479, 
	97, 97, 97, 97, 33, 862, 88, 88, 
	72, 798, 87, 87, 75, 876, 89, 89, 
	5, 479, 5, 479, 5, 479, 5, 479, 
	15, 317, 15, 317, 15, 317, 87, 87, 
	72, 829, 78, 833, 139, 139, 88, 298, 
	88, 298, 147, 300, 146, 300, 88, 298, 
	121, 900, 121, 900, 121, 900, 121, 900, 
	88, 298, 88, 298, 88, 298, 88, 298, 
	89, 95, 122, 122, 88, 298, 88, 298, 
	88, 298, 88, 298, 15, 315, 15, 315, 
	15, 315, 87, 87, 75, 283, 111, 868, 
	111, 920, 111, 312, 15, 921, 116, 869, 
	119, 119, 79, 79, 15, 921, 72, 862, 
	15, 877, 5, 479, 111, 310, 72, 311, 
	72, 311, 72, 311, 72, 863, 72, 863, 
	149, 913, 150, 150, 150, 150, 7, 304, 
	11, 897, 72, 897, 72, 72, 15, 897, 
	5, 479, 5, 479, 5, 479, 87, 95, 
	87, 95, 96, 96, 11, 916, 87, 87, 
	5, 479, 11, 308, 88, 92, 72, 254, 
	5, 832, 72, 862, 82, 82, 5, 479, 
	5, 809, 147, 147, 89, 89, 88, 298, 
	89, 122, 114, 114, 111, 260, 5, 479, 
	5, 479, 5, 479, 72, 74, 111, 920, 
	116, 910, 119, 870, 15, 897, 79, 114, 
	5, 479, 72, 311, 72, 311, 150, 150, 
	149, 305, 5, 479, 86, 86, 11, 290, 
	11, 290, 33, 862, 89, 89, 11, 916, 
	72, 72, 72, 254, 5, 831, 72, 72, 
	72, 74, 5, 825, 147, 300, 88, 298, 
	88, 298, 89, 89, 111, 312, 111, 868, 
	116, 869, 119, 119, 15, 313, 15, 313, 
	7, 304, 15, 897, 97, 97, 5, 479, 
	89, 89, 5, 479, 5, 479, 5, 834, 
	5, 479, 72, 863, 72, 863, 5, 479, 
	11, 916, 88, 298, 15, 313, 15, 313, 
	15, 313, 87, 87, 87, 95, 5, 479, 
	5, 479, 11, 916, 72, 254, 72, 254, 
	89, 89, 11, 290, 89, 89, 5, 479, 
	5, 479, 0, 0
};

static unsigned int pid_0_parser_offsets[] = {
	0, 2, 16, 299, 1204, 1503, 1802, 2101, 
	2400, 2699, 2998, 3297, 3596, 3895, 4194, 4493, 
	4792, 5091, 5390, 5689, 5988, 6287, 6586, 6885, 
	25, 49, 26, 50, 27, 7184, 33, 35, 
	104, 40, 7481, 8089, 8394, 42, 893, 46, 
	7812, 8699, 74, 9012, 9127, 9432, 75, 229, 
	69, 87, 76, 77, 78, 79, 80, 198, 
	82, 83, 84, 9737, 85, 114, 111, 116, 
	152, 10042, 10355, 10668, 10981, 11294, 11359, 11431, 
	11542, 11818, 12425, 12738, 13051, 13364, 11707, 159, 
	167, 389, 399, 442, 86, 459, 193, 13677, 
	88, 90, 91, 92, 526, 93, 13990, 14303, 
	14608, 94, 98, 100, 101, 102, 14913, 515, 
	129, 119, 15226, 425, 103, 492, 109, 110, 
	112, 15299, 15581, 16182, 16495, 552, 234, 122, 
	16808, 16881, 17124, 17197, 645, 115, 654, 837, 
	965, 972, 520, 121, 287, 557, 17271, 1112, 
	124, 17532, 18217, 18530, 18834, 1066, 1365, 1431, 
	1436, 2029, 125, 18945, 19250, 2034, 2328, 19559, 
	19840, 2333, 387, 20109, 20199, 2561, 20484, 20823, 
	126, 132, 270, 2627, 145, 569, 429, 21092, 
	133, 531, 135, 136, 137, 21164, 138, 15837, 
	141, 21467, 21828, 12319, 22141, 22454, 142, 22767, 
	23072, 147, 144, 148, 22850, 23377, 23681, 23757, 
	23888, 23964, 24095, 24171, 24264, 24340, 24622, 24829, 
	24902, 25147, 25223, 237, 26106, 150, 26411, 26000, 
	26724, 407, 723, 25515, 273, 27000, 1463, 2655, 
	275, 1493, 758, 17888, 434, 151, 153, 26851, 
	155, 17644, 158, 160, 577, 27607, 163, 164, 
	165, 1607, 1397, 1720, 1753, 1757, 629, 166, 
	27920, 28233, 28546, 1423, 697, 254, 2019, 28865, 
	29178, 168, 27261, 29468, 29549, 29743, 29813, 30007, 
	30077, 30271, 30341, 30535, 30605, 30799, 30869, 31063, 
	31133, 31327, 31397, 31591, 1906, 174, 2904, 2479, 
	3203, 212, 3458, 31846, 32150, 32278, 32589, 175, 
	178, 182, 189, 203, 591, 33064, 33363, 204, 
	205, 467, 33665, 33778, 213, 34083, 998, 34388, 
	34693, 1157, 34997, 215, 216, 217, 221, 35117, 
	35422, 447, 35727, 220, 417, 36032, 36345, 36658, 
	373, 36971, 37284, 37597, 37910, 2320, 736, 601, 
	38223, 27497, 222, 38338, 38651, 39126, 700, 39439, 
	39744, 225, 227, 39522, 20567, 33446, 39827, 40049, 
	40323, 40401, 40596, 40674, 40869, 40947, 41142, 41220, 
	41415, 41493, 41688, 41766, 41961, 42213, 42518, 42831, 
	43144, 43457, 43770, 44083, 44396, 44709, 45022, 45335, 
	45648, 45961, 46274, 46587, 381, 46892, 47199, 47506, 
	47813, 250, 48126, 826, 267, 427, 251, 624, 
	2217, 3514, 3813, 2360, 4112, 4411, 4710, 5009, 
	5308, 258, 660, 732, 2949, 5607, 261, 690, 
	266, 502, 48431, 48744, 49057, 2001, 1281, 666, 
	49370, 453, 49489, 49802, 50058, 50334, 50640, 50945, 
	1134, 51201, 1725, 1789, 2078, 2177, 672, 2369, 
	1942, 2617, 652, 277, 280, 5904, 825, 2689, 
	1706, 725, 295, 51311, 51624, 52104, 52417, 52730, 
	297, 53043, 326, 5789, 345, 53348, 358, 368, 
	53647, 53952, 54257, 50223, 54563, 54685, 54990, 55297, 
	4056, 4355, 378, 382, 504, 386, 55583, 477, 
	55692, 408, 55994, 828, 16954, 56088, 56486, 426, 
	56975, 57280, 57593, 57906, 58219, 432, 58524, 2487, 
	924, 908, 436, 58793, 58900, 1229, 437, 59205, 
	441, 451, 59510, 59823, 60128, 2990, 6243, 727, 
	5914, 617, 775, 60433, 3248, 3270, 6371, 6549, 
	3699, 3998, 4297, 4596, 4892, 6803, 7253, 7401, 
	7579, 457, 1702, 60738, 1765, 958, 916, 464, 
	61007, 468, 473, 61083, 61328, 61437, 61769, 62082, 
	62395, 62708, 63021, 63334, 2093, 1880, 843, 63647, 
	497, 641, 63762, 64075, 64388, 681, 962, 918, 
	499, 2972, 586, 600, 64701, 508, 511, 6100, 
	3104, 3735, 4034, 4331, 4630, 4929, 5228, 5523, 
	5822, 6125, 6399, 65014, 65129, 65433, 65544, 65880, 
	514, 524, 4654, 536, 636, 551, 2060, 555, 
	66321, 66634, 66939, 67244, 67513, 67585, 67828, 564, 
	2205, 568, 575, 7698, 8158, 615, 1029, 8306, 
	7100, 8814, 9086, 9377, 9523, 9954, 10440, 11470, 
	621, 593, 12209, 15358, 15506, 15909, 67900, 68176, 
	68248, 594, 2881, 1143, 3217, 3428, 68524, 1194, 
	596, 604, 68596, 1302, 68839, 68945, 2918, 5364, 
	5496, 6514, 14411, 11619, 6991, 608, 611, 6664, 
	69258, 833, 613, 69352, 69632, 70235, 70540, 706, 
	716, 633, 70844, 639, 71142, 71476, 670, 1614, 
	71757, 1106, 643, 72062, 72367, 644, 650, 15965, 
	734, 659, 782, 72672, 72986, 73299, 751, 3516, 
	1903, 1020, 69507, 675, 73612, 7754, 7769, 688, 
	6424, 73925, 694, 69936, 74229, 4953, 705, 74327, 
	719, 867, 74608, 722, 769, 75047, 970, 17804, 
	18132, 730, 3524, 1181, 1312, 739, 75316, 75388, 
	11935, 74919, 740, 75808, 745, 76113, 76418, 76723, 
	77028, 8500, 7694, 77333, 77635, 18599, 75692, 77714, 
	77957, 748, 879, 78070, 78375, 78677, 2811, 3259, 
	757, 78771, 761, 79051, 79362, 0
};

static unsigned int pid_0_parser_targs[] = {
	1, 2, 3, 4, 5, 6, 7, 8, 
	9, 10, 11, 12, 13, 14, 15, 16, 
	17, 18, 19, 20, 21, 22, 23, 24, 
	25, 26, 27, 28, 29, 30, 31, 32, 
	33, 34, 35, 36, 37, 38, 39, 40, 
	41, 42, 43, 44, 45, 46, 47, 48, 
	49, 50, 51, 52, 53, 54, 55, 56, 
	57, 58, 59, 60, 60, 60, 60, 60, 
	61, 61, 62, 63, 64, 65, 66, 67, 
	68, 69, 70, 71, 72, 73, 74, 75, 
	76, 77, 78, 79, 80, 81, 82, 83, 
	84, 85, 86, 87, 88, 88, 89, 90, 
	91, 92, 93, 94, 95, 95, 96, 96, 
	97, 97, 98, 98, 99, 99, 100, 100, 
	101, 101, 102, 102, 103, 103, 104, 104, 
	105, 105, 106, 106, 107, 108, 109, 110, 
	111, 112, 113, 114, 115, 116, 117, 117, 
	118, 118, 119, 119, 120, 120, 121, 122, 
	123, 124, 125, 126, 127, 128, 129, 130, 
	131, 132, 133, 134, 135, 136, 137, 138, 
	139, 140, 141, 142, 143, 144, 145, 146, 
	147, 148, 149, 150, 151, 152, 153, 154, 
	155, 156, 157, 158, 159, 160, 161, 162, 
	163, 164, 165, 166, 167, 168, 169, 170, 
	171, 172, 173, 174, 175, 176, 177, 178, 
	179, 180, 181, 182, 183, 184, 185, 186, 
	187, 188, 189, 190, 191, 192, 193, 194, 
	195, 196, 197, 198, 199, 200, 201, 202, 
	203, 204, 204, 205, 206, 206, 207, 208, 
	209, 210, 211, 212, 213, 214, 215, 216, 
	217, 218, 219, 220, 221, 222, 223, 224, 
	225, 226, 227, 228, 229, 230, 231, 232, 
	233, 234, 235, 236, 237, 238, 239, 239, 
	240, 241, 242, 243, 243, 244, 244, 245, 
	245, 246, 246, 247, 248, 249, 250, 251, 
	252, 253, 254, 255, 256, 257, 258, 259, 
	260, 261, 262, 263, 264, 265, 266, 267, 
	268, 269, 270, 271, 272, 273, 274, 275, 
	276, 277, 278, 279, 280, 281, 282, 283, 
	284, 285, 286, 287, 288, 289, 290, 291, 
	292, 293, 294, 295, 295, 296, 296, 297, 
	297, 298, 298, 299, 300, 301, 302, 303, 
	304, 305, 306, 307, 308, 309, 310, 311, 
	312, 313, 314, 315, 316, 317, 318, 319, 
	320, 321, 322, 323, 324, 325, 326, 327, 
	328, 329, 330, 331, 332, 333, 334, 335, 
	336, 337, 338, 339, 340, 341, 342, 343, 
	344, 345, 346, 347, 348, 349, 350, 351, 
	352, 353, 354, 355, 356, 357, 358, 359, 
	360, 361, 362, 363, 364, 365, 366, 367, 
	368, 369, 370, 371, 372, 373, 374, 375, 
	376, 377, 378, 379, 380, 381, 382, 383, 
	384, 385, 386, 387, 388, 389, 390, 391, 
	392, 393, 394, 395, 396, 397, 398, 399, 
	400, 401, 402, 403, 404, 405, 406, 407, 
	408, 409, 410, 411, 412, 413, 414, 415, 
	416, 417, 418, 419, 420, 421, 422, 423, 
	424, 425, 426, 427, 428, 429, 430, 431, 
	432, 433, 434, 435, 436, 437, 438, 439, 
	440, 440, 441, 441, 442, 442, 443, 444, 
	445, 446, 447, 448, 449, 450, 451, 452, 
	453, 454, 455, 456, 457, 458, 459, 460, 
	461, 462, 463, 464, 464, 465, 466, 467, 
	468, 469, 470, 471, 472, 473, 474, 475, 
	476, 477, 478, 479, 480, 481, 482, 483, 
	484, 485, 486, 487, 488, 489, 490, 491, 
	492, 493, 494, 495, 496, 497, 498, 499, 
	500, 501, 502, 503, 504, 505, 506, 507, 
	508, 509, 510, 511, 512, 513, 514, 515, 
	516, 517, 518, 519, 520, 521, 522, 523, 
	524, 524, 525, 525, 526, 526, 527, 527, 
	528, 529, 530, 531, 532, 533, 534, 535, 
	536, 537, 538, 539, 540, 541, 542, 543, 
	544, 545, 546, 547, 548, 549, 550, 551, 
	552, 553, 554, 555, 556, 557, 558, 559, 
	559, 560, 561, 562, 563, 564, 565, 566, 
	567, 568, 569, 570, 571, 572, 573, 574, 
	575, 576, 577, 578, 579, 580, 581, 582, 
	583, 584, 585, 586, 587, 588, 589, 590, 
	591, 592, 593, 594, 595, 596, 597, 598, 
	599, 600, 601, 602, 603, 604, 605, 606, 
	607, 608, 609, 610, 611, 612, 613, 614, 
	615, 616, 617, 618, 619, 620, 621, 622, 
	623, 624, 625, 626, 627, 628, 629, 630, 
	631, 632, 633, 634, 635, 636, 637, 638, 
	639, 640, 641, 642, 643, 644, 645, 646, 
	647, 648, 649, 650, 651, 652, 653, 654, 
	655, 656, 657, 658, 659, 660, 661, 662, 
	663, 664, 665, 666, 667, 668, 669, 670, 
	671, 672, 673, 674, 675, 676, 677, 678, 
	679, 680, 681, 682, 683, 684, 685, 686, 
	687, 688, 689, 690, 691, 692, 693, 694, 
	695, 696, 697, 698, 699, 700, 701, 702, 
	703, 704, 705, 706, 707, 708, 709, 710, 
	711, 712, 713, 714, 715, 716, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, 717
};

static unsigned int pid_0_parser_actInds[] = {
	0, 2, 4, 6, 8, 10, 12, 14, 
	16, 18, 20, 22, 24, 26, 28, 30, 
	32, 34, 36, 38, 40, 42, 44, 46, 
	48, 50, 52, 54, 56, 58, 60, 62, 
	64, 66, 68, 70, 72, 74, 76, 78, 
	80, 82, 84, 86, 88, 90, 92, 94, 
	96, 98, 100, 102, 104, 106, 108, 110, 
	112, 114, 116, 118, 120, 123, 126, 129, 
	133, 135, 138, 140, 142, 144, 146, 148, 
	150, 152, 154, 156, 158, 160, 162, 164, 
	166, 168, 170, 172, 174, 176, 178, 180, 
	182, 184, 186, 188, 190, 192, 195, 197, 
	199, 201, 203, 205, 207, 209, 212, 214, 
	217, 219, 222, 224, 227, 229, 232, 234, 
	237, 239, 242, 244, 247, 249, 252, 254, 
	257, 259, 262, 264, 267, 269, 271, 273, 
	275, 277, 279, 281, 283, 285, 287, 289, 
	292, 294, 297, 299, 302, 304, 307, 309, 
	311, 313, 315, 318, 320, 322, 324, 326, 
	328, 330, 332, 334, 336, 338, 340, 342, 
	344, 346, 348, 350, 352, 354, 356, 358, 
	360, 362, 364, 366, 368, 370, 372, 374, 
	376, 378, 380, 382, 384, 386, 388, 390, 
	392, 394, 396, 398, 400, 402, 404, 406, 
	408, 410, 412, 414, 416, 418, 420, 422, 
	424, 426, 428, 430, 432, 434, 436, 438, 
	440, 442, 444, 446, 448, 450, 452, 454, 
	456, 458, 460, 462, 464, 466, 468, 470, 
	472, 474, 476, 479, 481, 483, 486, 488, 
	491, 493, 495, 497, 499, 501, 503, 505, 
	507, 509, 511, 513, 515, 517, 519, 521, 
	523, 525, 527, 529, 531, 533, 535, 537, 
	539, 541, 543, 545, 547, 549, 551, 553, 
	556, 558, 560, 562, 564, 567, 569, 572, 
	574, 577, 579, 582, 584, 586, 588, 590, 
	592, 594, 596, 598, 600, 602, 604, 606, 
	608, 610, 612, 614, 616, 618, 620, 622, 
	624, 626, 628, 630, 632, 634, 636, 638, 
	640, 642, 644, 646, 648, 650, 652, 654, 
	656, 658, 660, 662, 664, 666, 668, 670, 
	672, 674, 676, 678, 680, 683, 685, 688, 
	690, 693, 695, 698, 700, 702, 704, 706, 
	708, 710, 712, 714, 716, 718, 720, 722, 
	724, 726, 728, 730, 732, 734, 736, 738, 
	740, 742, 744, 746, 748, 750, 752, 754, 
	756, 758, 760, 762, 764, 766, 768, 770, 
	772, 774, 776, 778, 780, 782, 784, 786, 
	788, 790, 792, 794, 796, 798, 800, 802, 
	804, 806, 808, 810, 812, 814, 816, 818, 
	820, 822, 824, 826, 828, 830, 832, 834, 
	836, 838, 840, 842, 844, 846, 848, 850, 
	852, 854, 856, 858, 860, 862, 864, 866, 
	868, 870, 872, 874, 876, 878, 880, 882, 
	884, 886, 888, 890, 892, 894, 896, 898, 
	900, 902, 904, 906, 908, 910, 912, 914, 
	916, 918, 920, 922, 924, 926, 928, 930, 
	932, 934, 936, 938, 940, 942, 944, 946, 
	948, 950, 952, 955, 957, 959, 961, 963, 
	965, 967, 969, 971, 973, 975, 977, 979, 
	981, 983, 986, 988, 991, 993, 996, 999, 
	1002, 1004, 1006, 1008, 1010, 1012, 1014, 1016, 
	1018, 1020, 1022, 1024, 1026, 1028, 1030, 1032, 
	1034, 1036, 1038, 1040, 1042, 1045, 1047, 1049, 
	1051, 1053, 1055, 1057, 1059, 1061, 1063, 1065, 
	1067, 1069, 1071, 1073, 1075, 1077, 1079, 1081, 
	1083, 1085, 1087, 1089, 1091, 1093, 1095, 1097, 
	1099, 1101, 1103, 1105, 1107, 1109, 1111, 1113, 
	1115, 1117, 1119, 1121, 1123, 1125, 1127, 1129, 
	1131, 1133, 1135, 1137, 1139, 1141, 1143, 1145, 
	1147, 1149, 1151, 1153, 1155, 1157, 1159, 1161, 
	1163, 1165, 1168, 1170, 1173, 1175, 1178, 1180, 
	1183, 1185, 1187, 1189, 1191, 1193, 1195, 1197, 
	1199, 1201, 1203, 1205, 1207, 1209, 1211, 1213, 
	1215, 1217, 1219, 1221, 1223, 1225, 1227, 1229, 
	1231, 1233, 1235, 1237, 1239, 1241, 1243, 1245, 
	1247, 1250, 1252, 1254, 1256, 1258, 1260, 1262, 
	1264, 1266, 1268, 1270, 1272, 1274, 1276, 1278, 
	1280, 1282, 1284, 1286, 1288, 1290, 1292, 1294, 
	1296, 1298, 1300, 1302, 1304, 1306, 1308, 1310, 
	1312, 1314, 1316, 1318, 1320, 1322, 1324, 1326, 
	1328, 1330, 1332, 1334, 1336, 1338, 1340, 1342, 
	1344, 1346, 1348, 1350, 1352, 1354, 1356, 1358, 
	1360, 1362, 1364, 1366, 1368, 1370, 1372, 1374, 
	1376, 1378, 1380, 1382, 1384, 1386, 1388, 1390, 
	1392, 1394, 1396, 1398, 1400, 1402, 1404, 1406, 
	1408, 1410, 1412, 1414, 1417, 1419, 1421, 1423, 
	1425, 1427, 1429, 1431, 1433, 1435, 1437, 1439, 
	1441, 1443, 1445, 1447, 1449, 1451, 1453, 1455, 
	1457, 1459, 1461, 1463, 1465, 1467, 1469, 1471, 
	1473, 1475, 1477, 1479, 1481, 1483, 1485, 1487, 
	1489, 1491, 1493, 1495, 1497, 1499, 1501, 1503, 
	1505, 1507, 1509, 1511, 1513, 1515, 1517, 1519, 
	1521, 1523, 1525, 1527, 1529, 1531, 1533, 1535, 
	1537, 1539, 1541, 1543, 1545, 1547, 1549, 1551, 
	1553, 1555, 1557, 1559, 1561, 1563, 1565, 1567, 
	1569, 1571, 1573, 1575, 1577, 1579, 1581, 1583, 
	1585, 1587, 1589, 1591, 1593, 1595, 1597, 1599, 
	1601, 1603, 1605, 1607, 1609, 1611, 1613, 1615, 
	1617, 1619, 1621, 1623, 1625, 1627, 1629, 1631, 
	1633, 1635, 1637, 1639, 1641, 1643, 1645, 1647, 
	1649, 1651, 1653, 1655, 1657, 1659, 1661, 1663, 
	1665, 1667, 1669, 1671, 1673, 1675, 1677, 1679, 
	1681, 1683, 1685, 1687, 1689, 1691, 1693, 1695, 
	1697, 1699, 1701, 1703, 1705, 1707, 1709, 1711, 
	1713, 1715, 1717, 1719, 1721, 1723, 1725, 1727, 
	1729, 1731, 1733, 1735, 1737, 1739, 1741, 1743, 
	1745, 1747, 1749, 1751, 1753, 1755, 1757, 1759, 
	1761, 1763, 1765, 1767, 1769, 1771, 1773, 1775, 
	1777, 1779, 1781, 1783, 1785, 1787, 1789, 1791, 
	1793, 1795, 1797, 1799, 1801, 1803, 1805, 1807, 
	1809, 1811, 1813, 1815, 1817, 1819, 1821, 1823, 
	1825, 1827, 1829, 1831, 1833, 1835, 1837, 1839, 
	1841, 1843, 1845, 1847, 1849, 1851, 1853, 1855, 
	1857, 1859, 1861, 1863, 1865, 1867, 1869, 1871, 
	1873, 1875, 1877, 1879, 1881, 1883, 1885, 1887, 
	1889, 1891, 1893, 1895, 1897, 1899, 1901, 1903, 
	1905, 1907, 1909, 1911, 1913, 1915, 1917, 1919, 
	1921, 1923, 1925, 1927, 1929, 1931, 1933, 1935, 
	1937, 1939, 1941, 1943, 1945, 1947, 1949, 1951, 
	1953, 1955, 1957, 1959, 1961, 1963, 1965, 1967, 
	1969, 1971, 1973, 1975, 1977, 1979, 1981, 1983, 
	1985, 1987, 1989, 1991, 1993, 1995, 1997, 1999, 
	2001, 2003, 2005, 2007, 2009, 2011, 2013, 2015, 
	2017, 2019, 2021, 2023, 2025, 2027, 2029, 2031, 
	2033, 2035, 2037, 2039, 2041, 2043, 2045, 2047, 
	2049, 2051, 2053, 2055, 2057, 2059, 2061, 2063, 
	2065, 2067, 2069, 2071, 2073, 2075, 2077, 2079, 
	2081, 2083, 2085, 2087, 2089, 2091, 2093, 2095, 
	2097, 2099, 2101, 2103, 2105, 2107, 2109, 2111, 
	2113, 2115, 2117, 2119, 2121, 2123, 2125, 2127, 
	2129, 2131, 2133, 2135, 2137, 2139, 2141, 2143, 
	2145, 2147, 2149, 2151, 2153, 2155, 2157, 2159, 
	2161, 2163, 2165, 2167, 2169, 2171, 2173, 2175, 
	2177, 2179, 2181, 2183, 2185, 2187, 2189, 2191, 
	2193, 2195, 2197, 2199, 2201, 2203, 2205, 2207, 
	2209, 2211, 2213, 2215, 2217, 2219, 2221, 2223, 
	2225, 2227, 2229, 2231, 2233, 2235, 2237, 2239, 
	2241, 2243, 2245, 2247, 2249, 2251, 2253, 2255, 
	2257, 2259, 2261, 2263, 2265, 2267, 2269, 2271, 
	2273, 2275, 2277, 2279, 2281, 2283, 2285, 2287, 
	2289, 2291, 2293, 2295, 2297, 2299, 2301, 2303, 
	2305, 2307, 2309, 2311, 2313, 2315, 2317, 2319, 
	2321, 2323, 2325, 2327, 2329, 2331, 2333, 2335, 
	2337, 2339, 2341, 2343, 2345, 2347, 2350, 2353, 
	2356, 2359
};

static unsigned int pid_0_parser_actions[] = {
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 238, 0, 234, 1, 0, 958, 1, 
	0, 238, 958, 1, 0, 1, 0, 238, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	238, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 238, 1, 0, 1, 0, 238, 1, 
	0, 1, 0, 238, 1, 0, 1, 0, 
	238, 1, 0, 1, 0, 238, 1, 0, 
	1, 0, 238, 1, 0, 1, 0, 238, 
	1, 0, 1, 0, 1, 1266, 0, 1, 
	0, 1, 1266, 0, 1, 0, 1, 1266, 
	0, 1, 0, 1, 1266, 0, 1, 0, 
	1, 1266, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 1214, 0, 1, 0, 1, 1214, 
	0, 1, 0, 1, 1214, 0, 1, 0, 
	1, 1214, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 982, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 1286, 0, 1, 
	0, 1, 0, 1266, 1, 0, 1, 0, 
	1, 842, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 1286, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 1086, 0, 1, 
	0, 1, 1086, 0, 1, 0, 1, 1086, 
	0, 1, 0, 1, 1086, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 566, 0, 1, 0, 566, 1, 0, 
	1, 0, 1, 566, 0, 1, 0, 566, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 1002, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 642, 
	1, 0, 1, 0, 1, 642, 0, 1, 
	0, 642, 1, 0, 1, 642, 0, 1, 
	642, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 566, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 1162, 0, 
	1, 0, 1, 1162, 0, 1, 0, 1, 
	1162, 0, 1, 0, 1, 1162, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 642, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 506, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 586, 0, 590, 
	0, 554, 0, 602, 0, 606, 0, 558, 
	0, 582, 0, 610, 0, 614, 0, 6, 
	0, 10, 0, 14, 0, 18, 0, 22, 
	0, 26, 0, 30, 0, 34, 0, 38, 
	0, 42, 0, 46, 0, 50, 0, 54, 
	0, 58, 0, 62, 0, 66, 0, 70, 
	0, 74, 0, 78, 0, 82, 0, 130, 
	0, 134, 0, 138, 0, 142, 0, 146, 
	0, 150, 0, 154, 0, 158, 0, 162, 
	0, 166, 0, 170, 0, 174, 0, 178, 
	0, 182, 0, 186, 0, 190, 0, 354, 
	0, 358, 0, 366, 0, 370, 0, 374, 
	0, 378, 0, 382, 0, 386, 0, 390, 
	0, 394, 0, 398, 0, 402, 0, 406, 
	0, 410, 0, 414, 0, 418, 0, 422, 
	0, 426, 0, 430, 0, 574, 0, 578, 
	0, 618, 0, 622, 0, 1, 0, 2, 
	0, 86, 0, 90, 0, 94, 0, 98, 
	0, 102, 0, 106, 0, 110, 0, 114, 
	0, 118, 0, 122, 0, 126, 0, 194, 
	0, 198, 0, 202, 0, 206, 0, 210, 
	0, 214, 0, 218, 0, 222, 0, 226, 
	0, 230, 0, 234, 0, 238, 0, 242, 
	0, 246, 0, 250, 0, 254, 0, 258, 
	0, 262, 0, 266, 0, 270, 0, 274, 
	0, 278, 0, 282, 0, 286, 0, 290, 
	0, 294, 0, 298, 0, 302, 0, 306, 
	0, 310, 0, 314, 0, 318, 0, 322, 
	0, 326, 0, 330, 0, 334, 0, 338, 
	0, 342, 0, 346, 0, 350, 0, 362, 
	0, 438, 0, 442, 0, 446, 0, 450, 
	0, 454, 0, 458, 0, 462, 0, 466, 
	0, 470, 0, 474, 0, 478, 0, 482, 
	0, 486, 0, 490, 0, 494, 0, 498, 
	0, 502, 0, 506, 0, 510, 0, 514, 
	0, 518, 0, 522, 0, 526, 0, 530, 
	0, 534, 0, 538, 0, 542, 0, 546, 
	0, 550, 0, 562, 0, 566, 0, 570, 
	0, 594, 0, 598, 0, 626, 0, 630, 
	0, 634, 0, 638, 0, 642, 0, 646, 
	0, 650, 0, 654, 0, 658, 0, 662, 
	0, 666, 0, 670, 0, 674, 0, 678, 
	0, 682, 0, 686, 0, 690, 0, 694, 
	0, 698, 0, 702, 0, 706, 0, 710, 
	0, 714, 0, 718, 0, 722, 0, 726, 
	0, 730, 0, 734, 0, 738, 0, 742, 
	0, 746, 0, 750, 0, 754, 0, 758, 
	0, 762, 0, 766, 0, 770, 0, 774, 
	0, 778, 0, 782, 0, 786, 0, 790, 
	0, 794, 0, 798, 0, 802, 0, 806, 
	0, 810, 0, 814, 0, 818, 0, 822, 
	0, 826, 0, 830, 0, 834, 0, 838, 
	0, 842, 0, 846, 0, 850, 0, 854, 
	0, 858, 0, 862, 0, 866, 0, 870, 
	0, 874, 0, 878, 0, 882, 0, 886, 
	0, 890, 0, 894, 0, 898, 0, 902, 
	0, 906, 0, 910, 0, 914, 0, 918, 
	0, 922, 0, 926, 0, 930, 0, 934, 
	0, 938, 0, 942, 0, 946, 0, 950, 
	0, 954, 0, 958, 0, 962, 0, 966, 
	0, 970, 0, 974, 0, 978, 0, 982, 
	0, 986, 0, 990, 0, 994, 0, 998, 
	0, 1002, 0, 1006, 0, 1010, 0, 1014, 
	0, 1018, 0, 1022, 0, 1026, 0, 1030, 
	0, 1034, 0, 1038, 0, 1042, 0, 1046, 
	0, 1050, 0, 1054, 0, 1058, 0, 1062, 
	0, 1066, 0, 1070, 0, 1074, 0, 1078, 
	0, 1082, 0, 1086, 0, 1090, 0, 1094, 
	0, 1098, 0, 1102, 0, 1106, 0, 1114, 
	0, 1118, 0, 1122, 0, 1126, 0, 1130, 
	0, 1134, 0, 1138, 0, 1142, 0, 1146, 
	0, 1150, 0, 1154, 0, 1158, 0, 1162, 
	0, 1166, 0, 1170, 0, 1174, 0, 1178, 
	0, 1182, 0, 1186, 0, 1190, 0, 1194, 
	0, 1198, 0, 1202, 0, 1206, 0, 1210, 
	0, 1214, 0, 1218, 0, 1222, 0, 1226, 
	0, 1230, 0, 1234, 0, 1238, 0, 1242, 
	0, 1246, 0, 1250, 0, 1254, 0, 1258, 
	0, 1262, 0, 1266, 0, 1270, 0, 1274, 
	0, 1278, 0, 1282, 0, 1290, 0, 1294, 
	0, 1298, 0, 1302, 0, 1306, 0, 1310, 
	0, 1314, 0, 1318, 0, 1322, 0, 1326, 
	0, 1330, 0, 1334, 0, 1338, 0, 1342, 
	0, 1346, 0, 1350, 0, 1354, 0, 1358, 
	0, 1362, 0, 1366, 0, 1370, 0, 1374, 
	0, 1378, 0, 1382, 0, 1386, 0, 1390, 
	0, 1394, 0, 1398, 0, 1402, 0, 1414, 
	0, 1418, 0, 1422, 0, 1426, 0, 1430, 
	0, 1434, 0, 1438, 0, 1442, 0, 1446, 
	0, 1450, 0, 1454, 0, 1458, 0, 1462, 
	0, 1466, 0, 1470, 0, 1474, 0, 1478, 
	0, 1482, 0, 1486, 0, 1490, 0, 1494, 
	0, 1498, 0, 1502, 0, 1506, 0, 1510, 
	0, 1514, 0, 1518, 0, 1522, 0, 1526, 
	0, 1530, 0, 1534, 0, 1538, 0, 1542, 
	0, 1546, 0, 1550, 0, 1554, 0, 1558, 
	0, 1562, 0, 1566, 0, 1570, 0, 1574, 
	0, 1578, 0, 1098, 1102, 0, 1098, 1106, 
	0, 1406, 1390, 0, 1410, 1394, 0, 1098, 
	1102, 1106, 0
};

static int pid_0_parser_commitLen[] = {
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, -7, -4, 
	-3, -3, -3, -2, -2, -2, -2, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0
};

static int pid_0_parser_tokenRegionInds[] = {
	1, 3, 5, 7, 9, 11, 13, 15, 
	17, 19, 21, 23, 25, 27, 29, 31, 
	33, 35, 37, 39, 41, 43, 45, 47, 
	49, 51, 53, 55, 58, 60, 62, 64, 
	66, 68, 70, 72, 74, 76, 78, 80, 
	82, 84, 87, 89, 91, 93, 95, 97, 
	99, 101, 103, 105, 107, 109, 111, 113, 
	115, 117, 119, 121, 123, 125, 127, 129, 
	131, 133, 136, 139, 142, 145, 147, 149, 
	151, 153, 156, 159, 162, 165, 168, 170, 
	172, 174, 176, 178, 180, 182, 184, 186, 
	189, 191, 193, 195, 197, 199, 201, 204, 
	208, 212, 214, 216, 218, 220, 222, 225, 
	227, 229, 231, 233, 235, 237, 240, 242, 
	244, 246, 248, 250, 253, 256, 258, 260, 
	262, 264, 266, 268, 270, 272, 274, 276, 
	278, 280, 282, 284, 286, 288, 290, 292, 
	294, 296, 298, 301, 303, 305, 307, 309, 
	311, 313, 315, 317, 319, 321, 323, 325, 
	327, 329, 331, 333, 335, 337, 339, 341, 
	343, 345, 347, 349, 351, 353, 355, 357, 
	360, 362, 364, 366, 368, 370, 373, 375, 
	377, 379, 382, 385, 387, 390, 393, 395, 
	397, 399, 401, 403, 405, 407, 409, 411, 
	413, 415, 417, 419, 421, 423, 425, 427, 
	429, 431, 433, 435, 437, 441, 443, 446, 
	448, 450, 452, 455, 457, 460, 462, 464, 
	466, 468, 470, 472, 475, 477, 479, 481, 
	484, 486, 488, 490, 492, 494, 497, 499, 
	501, 503, 505, 507, 509, 511, 513, 515, 
	517, 520, 523, 526, 528, 530, 532, 534, 
	537, 540, 542, 544, 546, 548, 550, 552, 
	554, 556, 558, 560, 562, 564, 566, 568, 
	570, 572, 574, 576, 578, 580, 582, 584, 
	586, 588, 591, 593, 595, 597, 599, 601, 
	603, 605, 607, 609, 611, 613, 615, 617, 
	619, 621, 623, 625, 627, 629, 631, 633, 
	635, 637, 639, 641, 643, 645, 647, 650, 
	652, 654, 656, 659, 661, 663, 666, 669, 
	672, 674, 677, 680, 683, 686, 688, 690, 
	692, 694, 696, 699, 702, 705, 708, 710, 
	712, 714, 716, 718, 720, 722, 724, 726, 
	728, 730, 732, 734, 736, 738, 740, 742, 
	744, 746, 748, 750, 752, 754, 756, 759, 
	762, 765, 768, 771, 774, 777, 780, 783, 
	786, 789, 792, 795, 799, 801, 806, 811, 
	816, 819, 821, 823, 826, 828, 830, 832, 
	834, 836, 839, 842, 844, 847, 850, 853, 
	856, 859, 861, 863, 865, 867, 870, 872, 
	874, 876, 878, 881, 884, 887, 889, 891, 
	893, 895, 898, 901, 903, 905, 907, 909, 
	911, 913, 915, 917, 919, 921, 923, 925, 
	927, 929, 932, 934, 936, 938, 941, 943, 
	945, 947, 949, 951, 954, 957, 960, 963, 
	966, 968, 970, 972, 974, 976, 978, 980, 
	982, 984, 986, 988, 990, 992, 996, 1000, 
	1004, 1006, 1008, 1010, 1012, 1014, 1016, 1018, 
	1020, 1022, 1024, 1026, 1028, 1030, 1032, 1034, 
	1036, 1038, 1041, 1044, 1047, 1049, 1051, 1053, 
	1055, 1057, 1059, 1061, 1064, 1066, 1068, 1070, 
	1072, 1074, 1076, 1079, 1081, 1083, 1085, 1087, 
	1089, 1092, 1094, 1096, 1098, 1100, 1102, 1104, 
	1106, 1108, 1110, 1112, 1114, 1116, 1119, 1122, 
	1125, 1128, 1131, 1133, 1135, 1137, 1139, 1141, 
	1143, 1146, 1148, 1150, 1152, 1154, 1157, 1160, 
	1163, 1166, 1169, 1172, 1175, 1177, 1179, 1181, 
	1183, 1185, 1187, 1190, 1193, 1196, 1198, 1200, 
	1202, 1204, 1207, 1209, 1212, 1215, 1217, 1219, 
	1221, 1223, 1225, 1227, 1229, 1231, 1233, 1235, 
	1237, 1239, 1241, 1243, 1245, 1247, 1249, 1251, 
	1253, 1255, 1257, 1259, 1261, 1263, 1265, 1267, 
	1269, 1272, 1274, 1276, 1278, 1281, 1284, 1287, 
	1289, 1291, 1293, 1295, 1298, 1301, 1303, 1305, 
	1308, 1310, 1312, 1314, 1316, 1319, 1322, 1325, 
	1328, 1330, 1332, 1335, 1338, 1341, 1344, 1347, 
	1350, 1353, 1355, 1357, 1359, 1361, 1363, 1366, 
	1368, 1370, 1372, 1375, 1377, 1379, 1382, 1384, 
	1387, 1390, 1393, 1396, 1399, 1401, 1403, 1405, 
	1407, 1409, 1411, 1413, 1415, 1417, 1421, 1425, 
	1427, 1429, 1431, 1433, 1435, 1438, 1440, 1442, 
	1444, 1446, 1448, 1450, 1452, 1454, 1456, 1458, 
	1461, 1464, 1466, 1468, 1471, 1474, 1477, 1479, 
	1481, 1483, 1485, 1487, 1490, 1493, 1496, 1499, 
	1501, 1503, 1505, 1507, 1509, 1511, 1513, 1515, 
	1517, 1519, 1521, 1523, 1525, 1527, 1529, 1531, 
	1534, 1537, 1539, 1541, 1543, 1545, 1547, 1550, 
	1553, 1555, 1557, 1559, 1561, 1563, 1565, 1567, 
	1569, 1571, 1573, 1575, 1577, 1579, 1582, 1585, 
	1588, 1591, 1593, 1595, 1597, 1599, 1601, 1603, 
	1605, 1607, 1609, 1611, 1613, 1615
};

static int pid_0_parser_tokenRegions[] = {
	0, 1, 0, 0, 0, 0, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	17, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 5, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 5, 0, 
	1, 5, 0, 1, 5, 0, 1, 5, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 5, 0, 1, 5, 0, 1, 
	5, 0, 1, 5, 0, 1, 5, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 5, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 5, 0, 1, 17, 25, 0, 
	1, 17, 25, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 5, 
	0, 5, 0, 9, 0, 13, 0, 1, 
	0, 1, 0, 1, 0, 1, 17, 0, 
	17, 0, 17, 0, 17, 0, 1, 0, 
	1, 0, 1, 5, 0, 1, 5, 0, 
	5, 0, 9, 0, 13, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 5, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 9, 0, 1, 0, 5, 
	0, 5, 0, 5, 0, 1, 5, 0, 
	9, 0, 9, 0, 13, 0, 13, 0, 
	1, 0, 1, 5, 0, 1, 0, 1, 
	0, 1, 0, 1, 5, 0, 1, 5, 
	0, 1, 0, 1, 5, 0, 1, 5, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 17, 25, 
	0, 1, 0, 1, 5, 0, 1, 0, 
	1, 0, 1, 0, 1, 17, 0, 1, 
	0, 1, 17, 0, 1, 0, 17, 0, 
	17, 0, 5, 0, 5, 0, 5, 0, 
	1, 5, 0, 9, 0, 13, 0, 1, 
	0, 1, 5, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 5, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 5, 0, 
	1, 5, 0, 1, 5, 0, 5, 0, 
	9, 0, 13, 0, 1, 0, 1, 5, 
	0, 1, 5, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 25, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	17, 0, 1, 0, 1, 0, 9, 0, 
	1, 17, 0, 5, 0, 5, 0, 1, 
	5, 0, 1, 5, 0, 1, 5, 0, 
	9, 0, 1, 5, 0, 1, 5, 0, 
	1, 5, 0, 1, 5, 0, 5, 0, 
	9, 0, 13, 0, 1, 0, 1, 0, 
	1, 5, 0, 1, 5, 0, 1, 5, 
	0, 1, 5, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 5, 0, 1, 
	5, 0, 1, 5, 0, 1, 5, 0, 
	1, 5, 0, 1, 5, 0, 1, 5, 
	0, 1, 5, 0, 1, 5, 0, 1, 
	5, 0, 1, 5, 0, 1, 5, 0, 
	1, 5, 0, 1, 17, 25, 0, 1, 
	0, 1, 17, 25, 5, 0, 1, 17, 
	25, 5, 0, 1, 17, 25, 5, 0, 
	1, 5, 0, 1, 0, 1, 0, 1, 
	17, 0, 1, 0, 1, 0, 17, 0, 
	17, 0, 17, 0, 1, 17, 0, 1, 
	17, 0, 17, 0, 1, 17, 0, 1, 
	17, 0, 1, 17, 0, 1, 17, 0, 
	1, 17, 0, 17, 0, 21, 0, 21, 
	0, 17, 0, 17, 1, 0, 17, 0, 
	17, 0, 5, 0, 5, 0, 1, 5, 
	0, 1, 5, 0, 1, 5, 0, 5, 
	0, 9, 0, 13, 0, 1, 0, 1, 
	5, 0, 1, 5, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 5, 0, 5, 0, 5, 
	0, 1, 5, 0, 9, 0, 13, 0, 
	1, 0, 1, 5, 0, 1, 0, 5, 
	0, 9, 0, 13, 0, 1, 0, 1, 
	5, 0, 1, 5, 0, 1, 5, 0, 
	1, 5, 0, 1, 5, 0, 1, 0, 
	1, 0, 1, 0, 25, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 17, 25, 0, 1, 17, 25, 0, 
	1, 17, 25, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 5, 
	0, 1, 5, 0, 1, 5, 0, 1, 
	0, 1, 0, 1, 0, 5, 0, 5, 
	0, 9, 0, 13, 0, 1, 5, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 5, 0, 1, 
	0, 1, 0, 1, 0, 17, 0, 17, 
	0, 1, 17, 0, 21, 0, 21, 0, 
	1, 0, 17, 0, 17, 0, 17, 0, 
	17, 0, 17, 0, 17, 0, 17, 0, 
	17, 0, 17, 0, 17, 1, 0, 17, 
	1, 0, 17, 1, 0, 17, 1, 0, 
	17, 1, 0, 17, 0, 1, 0, 5, 
	0, 5, 0, 9, 0, 13, 0, 1, 
	5, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 5, 0, 1, 5, 0, 
	1, 5, 0, 1, 5, 0, 1, 5, 
	0, 1, 5, 0, 1, 5, 0, 5, 
	0, 9, 0, 13, 0, 1, 0, 5, 
	0, 5, 0, 1, 5, 0, 1, 5, 
	0, 1, 5, 0, 1, 0, 5, 0, 
	9, 0, 13, 0, 1, 5, 0, 1, 
	0, 1, 5, 0, 1, 5, 0, 25, 
	0, 25, 0, 25, 0, 25, 0, 25, 
	0, 25, 0, 25, 0, 25, 0, 25, 
	0, 25, 0, 25, 0, 25, 0, 25, 
	0, 25, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 5, 0, 
	1, 0, 1, 0, 1, 0, 1, 5, 
	0, 1, 5, 0, 1, 5, 0, 1, 
	0, 1, 0, 1, 0, 17, 0, 1, 
	17, 0, 1, 17, 0, 21, 0, 21, 
	0, 1, 17, 0, 17, 0, 17, 0, 
	17, 0, 17, 0, 17, 1, 0, 17, 
	1, 0, 17, 1, 0, 17, 1, 0, 
	1, 0, 17, 0, 1, 17, 0, 1, 
	17, 0, 1, 17, 0, 1, 17, 0, 
	1, 5, 0, 1, 5, 0, 1, 5, 
	0, 1, 0, 1, 0, 5, 0, 5, 
	0, 5, 0, 1, 5, 0, 9, 0, 
	13, 0, 1, 0, 1, 5, 0, 1, 
	0, 1, 0, 1, 5, 0, 5, 0, 
	1, 5, 0, 1, 5, 0, 1, 5, 
	0, 1, 5, 0, 1, 5, 0, 25, 
	0, 25, 0, 25, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 17, 25, 0, 1, 17, 25, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 5, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 21, 0, 
	1, 0, 1, 17, 0, 17, 1, 0, 
	5, 0, 5, 0, 1, 5, 0, 1, 
	5, 0, 1, 5, 0, 1, 0, 5, 
	0, 9, 0, 13, 0, 1, 0, 1, 
	5, 0, 1, 5, 0, 1, 5, 0, 
	1, 5, 0, 25, 0, 25, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 21, 0, 1, 17, 0, 1, 17, 
	0, 1, 0, 5, 0, 5, 0, 9, 
	0, 13, 0, 1, 5, 0, 1, 5, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 17, 0, 1, 5, 
	0, 1, 5, 0, 1, 5, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 0
};

static int pid_0_parser_tokenPreRegions[] = {
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	3, 0, 3, 0, 3, 0, -1, 0, 
	3, 0, -1, 0, 3, 0, -1, 0, 
	-1, 0, -1, 0, 3, 0, 3, 0, 
	3, 0, 3, 0, -1, -1, 0, 3, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	0, 3, 0, 3, 0, -1, 0, 3, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	0, -1, 0, 3, 0, -1, 0, 3, 
	0, 3, 0, 3, 0, -1, -1, 0, 
	-1, -1, 0, -1, -1, 0, -1, -1, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	0, -1, -1, 0, 3, 3, 0, 3, 
	3, 0, 3, 3, 0, 3, 3, 0, 
	3, 0, 3, 0, 3, 0, 3, 0, 
	3, 0, 3, 0, 3, 0, 3, 0, 
	3, 0, -1, -1, 0, -1, 0, 3, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	0, -1, -1, 0, 3, 3, 3, 0, 
	3, 3, 3, 0, 3, 0, 3, 0, 
	3, 0, 3, 0, 3, 0, -1, -1, 
	0, -1, 0, -1, 0, -1, 0, 3, 
	0, 3, 0, -1, 0, 3, 3, 0, 
	3, 0, -1, 0, 3, 0, 3, 0, 
	-1, 0, -1, -1, 0, -1, -1, 0, 
	-1, 0, -1, 0, -1, 0, 3, 0, 
	3, 0, 3, 0, 3, 0, -1, 0, 
	3, 0, 3, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, 3, 0, 3, 0, 3, 0, 
	-1, 0, -1, -1, 0, -1, 0, -1, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	0, 3, 0, 3, 0, -1, 0, -1, 
	0, 3, 0, -1, 0, 3, 0, -1, 
	0, 3, 0, -1, 0, 3, 0, 3, 
	0, 3, 0, -1, 0, -1, 0, -1, 
	0, 3, 0, -1, 0, 3, 0, -1, 
	0, -1, 0, -1, 0, -1, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, -1, 0, -1, -1, 
	0, 3, 0, -1, -1, 0, -1, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, 3, 0, -1, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	0, 3, 0, 3, 0, 3, 3, 3, 
	0, -1, 0, -1, -1, 0, 3, 0, 
	3, 0, -1, 0, -1, -1, 0, 3, 
	0, -1, -1, 0, 3, 0, 19, 0, 
	19, 0, -1, 0, -1, 0, -1, 0, 
	-1, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, -1, 
	0, -1, 0, -1, 0, -1, 0, 3, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, 3, 0, -1, -1, 0, 
	-1, -1, 0, -1, -1, 0, -1, 0, 
	-1, 0, -1, 0, 3, 0, -1, -1, 
	0, -1, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, 3, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, -1, 0, 3, 
	0, -1, 0, 3, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, 3, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, 3, 
	0, -1, 0, -1, 0, 3, 0, 3, 
	0, -1, 0, -1, 0, -1, 0, 3, 
	3, 0, -1, 0, 3, 0, -1, 0, 
	-1, -1, 0, -1, 0, -1, 0, -1, 
	-1, 0, -1, -1, 0, -1, -1, 0, 
	-1, 0, -1, -1, 0, -1, -1, 0, 
	-1, -1, 0, -1, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, 3, 0, 
	-1, -1, 0, 3, 3, 0, 3, 3, 
	0, -1, -1, 0, 3, 0, 3, 0, 
	3, 0, 3, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, -1, 0, -1, 
	-1, 0, -1, -1, 0, -1, -1, 0, 
	-1, -1, 0, -1, -1, 0, -1, -1, 
	0, -1, -1, 0, -1, -1, 0, -1, 
	-1, 0, -1, -1, 0, -1, -1, 0, 
	-1, -1, 0, -1, -1, -1, 0, 3, 
	0, 3, 3, 3, 3, 0, 3, 3, 
	3, 3, 0, 3, 3, 3, 3, 0, 
	3, 3, 0, -1, 0, -1, 0, -1, 
	-1, 0, -1, 0, 3, 0, -1, 0, 
	-1, 0, -1, 0, -1, -1, 0, -1, 
	-1, 0, 19, 0, -1, -1, 0, 19, 
	19, 0, 19, 19, 0, 19, 19, 0, 
	19, 19, 0, -1, 0, -1, 0, -1, 
	0, 19, 0, -1, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, -1, 
	0, -1, -1, 0, -1, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	-1, 0, 3, 3, 0, 3, 0, 3, 
	0, 3, 0, 3, 0, 3, 0, -1, 
	0, 3, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, 3, 0, -1, 
	-1, 0, -1, -1, 0, 3, 3, 0, 
	3, 3, 0, -1, -1, 0, -1, 0, 
	3, 0, -1, 0, -1, 0, 3, 0, 
	3, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, 3, 0, 3, 0, 
	3, 3, 3, 0, 3, 3, 3, 0, 
	3, 3, 3, 0, 3, 0, 3, 0, 
	-1, 0, -1, 0, -1, 0, 3, 0, 
	3, 0, -1, 0, 3, 0, -1, 0, 
	-1, 0, 3, 0, 3, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, 3, 3, 
	0, 3, 3, 0, 3, 3, 0, -1, 
	0, 3, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, -1, 0, 
	-1, 0, 3, 0, -1, 0, 3, 0, 
	3, 0, 3, 0, 3, 3, 0, -1, 
	0, -1, 0, 3, 0, 19, 0, -1, 
	0, -1, -1, 0, -1, 0, -1, 0, 
	19, 0, 19, 0, 19, 0, 19, 0, 
	19, 0, -1, 0, 19, 0, 19, 0, 
	19, 0, 19, 0, 19, 19, 0, 19, 
	19, 0, 19, 19, 0, 19, 19, 0, 
	3, 3, 0, 19, 0, 19, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, -1, 0, -1, -1, 0, 
	-1, -1, 0, -1, -1, 0, -1, -1, 
	0, -1, -1, 0, -1, -1, 0, -1, 
	0, -1, 0, -1, 0, 3, 0, -1, 
	0, -1, 0, -1, -1, 0, -1, -1, 
	0, -1, -1, 0, 3, 0, -1, 0, 
	-1, 0, -1, 0, -1, -1, 0, -1, 
	0, -1, -1, 0, 3, 3, 0, 3, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, 3, 0, 3, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, 3, 0, 3, 0, 3, 0, -1, 
	0, -1, 0, -1, 0, -1, -1, 0, 
	-1, 0, 3, 0, 3, 0, -1, -1, 
	0, -1, -1, 0, -1, -1, 0, -1, 
	0, -1, 0, 3, 0, -1, 0, 19, 
	19, 0, -1, -1, 0, -1, 0, -1, 
	0, -1, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, -1, 0, -1, 
	-1, 0, -1, -1, 0, -1, -1, 0, 
	19, 0, 3, 0, -1, -1, 0, 19, 
	19, 0, 19, 19, 0, 19, 19, 0, 
	-1, -1, 0, -1, -1, 0, -1, -1, 
	0, -1, 0, 3, 0, -1, 0, -1, 
	0, -1, 0, -1, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, -1, 0, -1, 
	0, -1, 0, -1, -1, 0, -1, 0, 
	-1, -1, 0, -1, -1, 0, -1, -1, 
	0, 3, 3, 0, 3, 3, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, 3, 3, 3, 0, 3, 3, 3, 
	0, -1, 0, -1, 0, 3, 0, 3, 
	0, -1, 0, 3, 3, 0, -1, 0, 
	3, 0, -1, 0, 3, 0, -1, 0, 
	3, 0, -1, 0, 19, 0, -1, 0, 
	19, 0, 3, 3, 0, 3, 3, 0, 
	-1, 0, -1, 0, -1, -1, 0, -1, 
	-1, 0, -1, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	-1, 0, 3, 3, 0, -1, -1, 0, 
	-1, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, 3, 0, -1, 0, 3, 
	0, -1, 0, 3, 0, 3, 0, 3, 
	0, -1, 0, 3, 0, -1, 0, -1, 
	0, -1, 0, 3, 3, 0, 3, 3, 
	0, 19, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, 3, 3, 0, -1, -1, 
	0, -1, 0, 3, 0, -1, 0, 3, 
	0, -1, 0, 3, 0, 3, 0, -1, 
	0, 3, 0, 3, 0, 3, 0, -1, 
	0, 3, 0, 3, 3, 0, -1, -1, 
	0, -1, -1, 0, -1, -1, 0, -1, 
	0, 3, 0, 3, 0, -1, 0, 3, 
	0, -1, 0, -1, 0, -1, 0, 3, 
	0, -1, 0, 3, 0, 3, 0, 0
};

static struct pda_tables pid_0_pdaTables =
{
	pid_0_parser_indicies,
	pid_0_parser_owners,
	pid_0_parser_keys,
	pid_0_parser_offsets,
	pid_0_parser_targs,
	pid_0_parser_actInds,
	pid_0_parser_actions,
	pid_0_parser_commitLen,
	pid_0_parser_tokenRegionInds,
	pid_0_parser_tokenRegions,
	pid_0_parser_tokenPreRegions,

	79837,
	1436,
	718,
	1154,
	1154,
	2363,
	1154,
	1616,
	1616
};

static struct local_info locals_0[] = {
	{ 1, -1 }, { 1, -2 }
};

static unsigned char copy_0[] = {
	0, 0
};

static unsigned char copy_1[] = {
	0, 0
};

static unsigned char copy_2[] = {
	0, 0
};

static unsigned char copy_3[] = {
	0, 0
};

static unsigned char copy_4[] = {
	0, 0
};

static unsigned char copy_5[] = {
	0, 0
};

static unsigned char copy_6[] = {
	0, 0
};

static unsigned char copy_7[] = {
	0, 0
};

static unsigned char copy_8[] = {
	0, 0
};

static unsigned char copy_9[] = {
	0, 0
};

static unsigned char copy_10[] = {
	0, 0
};

static unsigned char copy_11[] = {
	0, 0
};

static unsigned char copy_12[] = {
	0, 0
};

static unsigned char copy_13[] = {
	0, 0
};

static unsigned char copy_14[] = {
	0, 0
};

static unsigned char copy_15[] = {
	0, 0
};

static unsigned char copy_16[] = {
	0, 0
};

static unsigned char copy_17[] = {
	0, 0
};

static unsigned char copy_18[] = {
	0, 0
};

static unsigned char copy_19[] = {
	0, 0
};

static unsigned char copy_20[] = {
	0, 0
};

static unsigned char copy_21[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_22[] = {
	0, 0, 0, 1
};

static unsigned char copy_23[] = {
	0, 0
};

static unsigned char copy_24[] = {
	0, 0
};

static unsigned char copy_25[] = {
	0, 0
};

static unsigned char copy_26[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_27[] = {
	0, 0
};

static unsigned char copy_28[] = {
	0, 0, 0, 1
};

static unsigned char copy_29[] = {
	0, 0, 0, 1
};

static unsigned char copy_30[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_31[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_32[] = {
	0, 0
};

static unsigned char copy_33[] = {
	0, 0
};

static unsigned char copy_34[] = {
	0, 0
};

static unsigned char copy_35[] = {
	0, 0
};

static unsigned char copy_36[] = {
	0, 0
};

static unsigned char copy_37[] = {
	0, 0
};

static unsigned char copy_38[] = {
	0, 0
};

static unsigned char copy_39[] = {
	0, 0
};

static unsigned char copy_40[] = {
	0, 0
};

static unsigned char copy_41[] = {
	0, 0
};

static unsigned char copy_42[] = {
	0, 0
};

static unsigned char copy_43[] = {
	0, 0
};

static unsigned char copy_44[] = {
	0, 0
};

static unsigned char copy_45[] = {
	0, 0
};

static unsigned char copy_46[] = {
	0, 0
};

static unsigned char copy_47[] = {
	0, 0
};

static unsigned char copy_48[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_49[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_50[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5, 0, 6, 0, 7
};

static unsigned char copy_51[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_52[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_53[] = {
	0, 0
};

static unsigned char copy_54[] = {
	0, 0
};

static unsigned char copy_56[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_57[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_58[] = {
	0, 0
};

static unsigned char copy_60[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5, 0, 6, 0, 7, 
	0, 8
};

static unsigned char copy_61[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5, 0, 6, 0, 7
};

static unsigned char copy_62[] = {
	0, 0
};

static unsigned char copy_63[] = {
	0, 0
};

static unsigned char copy_64[] = {
	0, 0
};

static unsigned char copy_65[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_66[] = {
	0, 0, 0, 1
};

static unsigned char copy_67[] = {
	0, 0, 0, 1
};

static unsigned char copy_68[] = {
	0, 0
};

static unsigned char copy_69[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_70[] = {
	0, 0, 0, 1
};

static unsigned char copy_72[] = {
	0, 0, 0, 1
};

static unsigned char copy_74[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_75[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_76[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5
};

static unsigned char copy_77[] = {
	0, 0
};

static unsigned char copy_78[] = {
	0, 0
};

static unsigned char copy_79[] = {
	0, 0
};

static unsigned char copy_80[] = {
	0, 0
};

static unsigned char copy_81[] = {
	0, 0
};

static unsigned char copy_82[] = {
	0, 0
};

static unsigned char copy_83[] = {
	0, 0
};

static unsigned char copy_84[] = {
	0, 0
};

static unsigned char copy_85[] = {
	0, 0
};

static unsigned char copy_86[] = {
	0, 0
};

static unsigned char copy_87[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_88[] = {
	0, 0
};

static unsigned char copy_89[] = {
	0, 0
};

static unsigned char copy_90[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_91[] = {
	0, 0
};

static unsigned char copy_92[] = {
	0, 0
};

static unsigned char copy_93[] = {
	0, 0
};

static unsigned char copy_94[] = {
	0, 0
};

static unsigned char copy_95[] = {
	0, 0
};

static unsigned char copy_96[] = {
	0, 0
};

static unsigned char copy_97[] = {
	0, 0
};

static unsigned char copy_98[] = {
	0, 0
};

static unsigned char copy_99[] = {
	0, 0
};

static unsigned char copy_100[] = {
	0, 0
};

static unsigned char copy_101[] = {
	0, 0
};

static unsigned char copy_102[] = {
	0, 0
};

static unsigned char copy_103[] = {
	0, 0
};

static unsigned char copy_104[] = {
	0, 0
};

static unsigned char copy_105[] = {
	0, 0
};

static unsigned char copy_106[] = {
	0, 0
};

static unsigned char copy_107[] = {
	0, 0
};

static unsigned char copy_109[] = {
	0, 0
};

static unsigned char copy_111[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_112[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_113[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_114[] = {
	0, 0
};

static unsigned char copy_116[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5, 0, 6, 0, 7, 
	0, 8
};

static unsigned char copy_117[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_118[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_120[] = {
	0, 0
};

static unsigned char copy_122[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_123[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_124[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_125[] = {
	0, 0, 0, 1
};

static unsigned char copy_127[] = {
	0, 0, 0, 1
};

static unsigned char copy_129[] = {
	0, 0
};

static unsigned char copy_131[] = {
	0, 0, 0, 1
};

static unsigned char copy_133[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5
};

static unsigned char copy_134[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_136[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_137[] = {
	0, 0
};

static unsigned char copy_138[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_139[] = {
	0, 0, 0, 1
};

static unsigned char copy_140[] = {
	0, 0, 0, 1
};

static unsigned char copy_141[] = {
	0, 0
};

static unsigned char copy_142[] = {
	0, 0
};

static unsigned char copy_143[] = {
	0, 0
};

static unsigned char copy_144[] = {
	0, 0
};

static unsigned char copy_145[] = {
	0, 0, 0, 1
};

static unsigned char copy_146[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5, 0, 6
};

static unsigned char copy_147[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_148[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_149[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_150[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_151[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_152[] = {
	0, 0, 0, 1
};

static unsigned char copy_153[] = {
	0, 0, 0, 1
};

static unsigned char copy_154[] = {
	0, 0
};

static unsigned char copy_155[] = {
	0, 0
};

static unsigned char copy_156[] = {
	0, 0, 0, 1
};

static unsigned char copy_157[] = {
	0, 0
};

static unsigned char copy_158[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_159[] = {
	0, 0, 0, 1
};

static unsigned char copy_161[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_162[] = {
	0, 0
};

static unsigned char copy_163[] = {
	0, 0
};

static unsigned char copy_165[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_166[] = {
	0, 0, 0, 1
};

static unsigned char copy_167[] = {
	0, 0, 0, 1
};

static unsigned char copy_168[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_169[] = {
	0, 0
};

static unsigned char copy_170[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_171[] = {
	0, 0, 0, 1
};

static unsigned char copy_173[] = {
	0, 0, 0, 1
};

static unsigned char copy_174[] = {
	0, 0, 0, 1
};

static unsigned char copy_176[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_177[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_178[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_179[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_180[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_181[] = {
	0, 0, 0, 1
};

static unsigned char copy_182[] = {
	0, 0
};

static unsigned char copy_183[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_184[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_185[] = {
	0, 0
};

static unsigned char copy_186[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_187[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_188[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_189[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_190[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_191[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_192[] = {
	0, 0
};

static unsigned char copy_193[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_194[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_195[] = {
	0, 0
};

static unsigned char copy_196[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_197[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_198[] = {
	0, 0
};

static unsigned char copy_199[] = {
	0, 0, 0, 1
};

static unsigned char copy_200[] = {
	0, 0, 0, 1
};

static unsigned char copy_201[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_202[] = {
	0, 0, 0, 1
};

static unsigned char copy_203[] = {
	0, 0, 0, 1
};

static unsigned char copy_204[] = {
	0, 0
};

static unsigned char copy_205[] = {
	0, 0
};

static unsigned char copy_206[] = {
	0, 0
};

static unsigned char copy_208[] = {
	0, 0
};

static unsigned char copy_209[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_210[] = {
	0, 0
};

static unsigned char copy_211[] = {
	0, 0
};

static unsigned char copy_212[] = {
	0, 0
};

static unsigned char copy_213[] = {
	0, 0
};

static unsigned char copy_214[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_215[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_216[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_217[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_218[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_219[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_220[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_221[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_222[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_223[] = {
	0, 0
};

static unsigned char copy_224[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_225[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_226[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_227[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_228[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5
};

static unsigned char copy_229[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_230[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_231[] = {
	0, 0
};

static unsigned char copy_232[] = {
	0, 0
};

static unsigned char copy_233[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_234[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_235[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5
};

static unsigned char copy_236[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_237[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5
};

static unsigned char copy_238[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_240[] = {
	0, 0
};

static unsigned char copy_241[] = {
	0, 0
};

static unsigned char copy_242[] = {
	0, 0
};

static unsigned char copy_244[] = {
	0, 0, 0, 1
};

static unsigned char copy_246[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_248[] = {
	0, 0
};

static unsigned char copy_249[] = {
	0, 0, 0, 1
};

static unsigned char copy_251[] = {
	0, 0
};

static unsigned char copy_252[] = {
	0, 0
};

static unsigned char copy_253[] = {
	0, 0
};

static unsigned char copy_254[] = {
	0, 0
};

static unsigned char copy_255[] = {
	0, 0
};

static unsigned char copy_257[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_258[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_259[] = {
	0, 0, 0, 1
};

static unsigned char copy_260[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_261[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_262[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_263[] = {
	0, 0
};

static unsigned char copy_264[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_265[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_266[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_267[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_268[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_269[] = {
	0, 0, 0, 1
};

static unsigned char copy_270[] = {
	0, 0
};

static unsigned char copy_271[] = {
	0, 0
};

static unsigned char copy_272[] = {
	0, 0
};

static unsigned char copy_278[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_279[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_280[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_281[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_282[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_283[] = {
	0, 0
};

static unsigned char copy_284[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_285[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_286[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_287[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_288[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_289[] = {
	0, 0, 0, 1
};

static unsigned char copy_290[] = {
	0, 0
};

static unsigned char copy_291[] = {
	0, 0
};

static unsigned char copy_292[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_293[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_294[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_295[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_296[] = {
	0, 0
};

static unsigned char copy_297[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_298[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_299[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_300[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_301[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_302[] = {
	0, 0, 0, 1
};

static unsigned char copy_303[] = {
	0, 0
};

static unsigned char copy_304[] = {
	0, 0
};

static unsigned char copy_305[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_306[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_307[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_308[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_309[] = {
	0, 0
};

static unsigned char copy_310[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_311[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_312[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_313[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_314[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_315[] = {
	0, 0, 0, 1
};

static unsigned char copy_316[] = {
	0, 0
};

static unsigned char copy_317[] = {
	0, 0
};

static unsigned char copy_318[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_319[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_320[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_322[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_323[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_324[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_325[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_326[] = {
	0, 0
};

static unsigned char copy_327[] = {
	0, 0
};

static unsigned char copy_329[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_330[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_331[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_332[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_333[] = {
	0, 0
};

static unsigned char copy_334[] = {
	0, 0, 0, 1
};

static unsigned char copy_335[] = {
	0, 0, 0, 1
};

static unsigned char copy_336[] = {
	0, 0, 0, 1
};

static unsigned char copy_337[] = {
	0, 0, 0, 1
};

static unsigned char copy_338[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_339[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_340[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_341[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5
};

static unsigned char copy_342[] = {
	0, 0
};

static unsigned char copy_343[] = {
	0, 0, 0, 1
};

static unsigned char copy_344[] = {
	0, 0
};

static unsigned char copy_345[] = {
	0, 0
};

static unsigned char copy_346[] = {
	0, 0
};

static unsigned char copy_347[] = {
	0, 0
};

static unsigned char copy_348[] = {
	0, 0
};

static unsigned char copy_349[] = {
	0, 0
};

static unsigned char copy_350[] = {
	0, 0
};

static unsigned char copy_351[] = {
	0, 0
};

static unsigned char copy_352[] = {
	0, 0
};

static unsigned char copy_353[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_354[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_355[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_356[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_357[] = {
	0, 0, 0, 1
};

static unsigned char copy_359[] = {
	0, 0
};

static unsigned char copy_360[] = {
	0, 0, 0, 1, 0, 2
};

static code_t parser_rootCode[] = {
	255, 8, 3, 0, 255, 7, 2, 0, 
	85, 147, 2, 0, 255, 52, 2, 0, 
	39, 255, 255, 241, 1, 0, 37, 255, 
	255, 2, 1, 0, 0, 0, 0, 0, 
	0, 0, 180, 150, 160, 162, 0, 0, 
	177, 163, 160, 171, 0, 0, 177, 172, 
	31, 91, 1, 0, 226, 91, 0, 0, 
	242, 39, 254, 255, 29, 37, 254, 255, 
	87, 251, 0, 0, 85, 204, 87, 251, 
	1, 0, 255, 10
};

static struct lang_el_info parser_lelInfo[] = {
	{ "__UNUSED",  "__UNUSED", 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0 },
	{ "ptr",  "ptr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_void",  "void", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "str",  "str", 0, 0, 0, 0, -1, 288, 0, 0, 0, -1, 0, 0 },
	{ "il",  "il", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "DEF",  "DEF", 0, 0, 0, 0, -1, 4, 0, 0, 0, -1, 0, 0 },
	{ "LEX",  "LEX", 0, 0, 0, 0, -1, 5, 0, 0, 0, -1, 0, 0 },
	{ "END",  "END", 0, 0, 0, 0, -1, 6, 0, 0, 0, -1, 0, 0 },
	{ "TOKEN",  "TOKEN", 0, 0, 0, 0, -1, 7, 0, 0, 0, -1, 0, 0 },
	{ "RL",  "RL", 0, 0, 0, 0, -1, 8, 0, 0, 0, -1, 0, 0 },
	{ "IGNORE",  "IGNORE", 0, 0, 0, 0, -1, 9, 0, 0, 0, -1, 0, 0 },
	{ "PRINT",  "PRINT", 0, 0, 0, 0, -1, 10, 0, 0, 0, -1, 0, 0 },
	{ "PRINTS",  "PRINTS", 0, 0, 0, 0, -1, 11, 0, 0, 0, -1, 0, 0 },
	{ "PRINT_XML",  "PRINT_XML", 0, 0, 0, 0, -1, 12, 0, 0, 0, -1, 0, 0 },
	{ "PRINT_XML_AC",  "PRINT_XML_AC", 0, 0, 0, 0, -1, 13, 0, 0, 0, -1, 0, 0 },
	{ "PARSE",  "PARSE", 0, 0, 0, 0, -1, 14, 0, 0, 0, -1, 0, 0 },
	{ "REDUCE",  "REDUCE", 0, 0, 0, 0, -1, 15, 0, 0, 0, -1, 0, 0 },
	{ "PARSE_TREE",  "PARSE_TREE", 0, 0, 0, 0, -1, 16, 0, 0, 0, -1, 0, 0 },
	{ "PARSE_STOP",  "PARSE_STOP", 0, 0, 0, 0, -1, 17, 0, 0, 0, -1, 0, 0 },
	{ "CONS",  "CONS", 0, 0, 0, 0, -1, 18, 0, 0, 0, -1, 0, 0 },
	{ "MATCH",  "MATCH", 0, 0, 0, 0, -1, 19, 0, 0, 0, -1, 0, 0 },
	{ "REQUIRE",  "REQUIRE", 0, 0, 0, 0, -1, 20, 0, 0, 0, -1, 0, 0 },
	{ "SEND",  "SEND", 0, 0, 0, 0, -1, 21, 0, 0, 0, -1, 0, 0 },
	{ "SEND_TREE",  "SEND_TREE", 0, 0, 0, 0, -1, 22, 0, 0, 0, -1, 0, 0 },
	{ "NAMESPACE",  "NAMESPACE", 0, 0, 0, 0, -1, 23, 0, 0, 0, -1, 0, 0 },
	{ "REDUCTION",  "REDUCTION", 0, 0, 0, 0, -1, 24, 0, 0, 0, -1, 0, 0 },
	{ "FOR",  "FOR", 0, 0, 0, 0, -1, 25, 0, 0, 0, -1, 0, 0 },
	{ "IF",  "IF", 0, 0, 0, 0, -1, 26, 0, 0, 0, -1, 0, 0 },
	{ "YIELD",  "YIELD", 0, 0, 0, 0, -1, 27, 0, 0, 0, -1, 0, 0 },
	{ "WHILE",  "WHILE", 0, 0, 0, 0, -1, 28, 0, 0, 0, -1, 0, 0 },
	{ "ELSIF",  "ELSIF", 0, 0, 0, 0, -1, 29, 0, 0, 0, -1, 0, 0 },
	{ "ELSE",  "ELSE", 0, 0, 0, 0, -1, 30, 0, 0, 0, -1, 0, 0 },
	{ "IN",  "IN", 0, 0, 0, 0, -1, 31, 0, 0, 0, -1, 0, 0 },
	{ "PARSER",  "PARSER", 0, 0, 0, 0, -1, 32, 0, 0, 0, -1, 0, 0 },
	{ "LIST",  "LIST", 0, 0, 0, 0, -1, 33, 0, 0, 0, -1, 0, 0 },
	{ "LIST_EL",  "LIST_EL", 0, 0, 0, 0, -1, 34, 0, 0, 0, -1, 0, 0 },
	{ "MAP",  "MAP", 0, 0, 0, 0, -1, 35, 0, 0, 0, -1, 0, 0 },
	{ "MAP_EL",  "MAP_EL", 0, 0, 0, 0, -1, 36, 0, 0, 0, -1, 0, 0 },
	{ "PTR",  "PTR", 0, 0, 0, 0, -1, 37, 0, 0, 0, -1, 0, 0 },
	{ "ITER",  "ITER", 0, 0, 0, 0, -1, 38, 0, 0, 0, -1, 0, 0 },
	{ "REF",  "REF", 0, 0, 0, 0, -1, 39, 0, 0, 0, -1, 0, 0 },
	{ "EXPORT",  "EXPORT", 0, 0, 0, 0, -1, 40, 0, 0, 0, -1, 0, 0 },
	{ "RETURN",  "RETURN", 0, 0, 0, 0, -1, 41, 0, 0, 0, -1, 0, 0 },
	{ "BREAK",  "BREAK", 0, 0, 0, 0, -1, 42, 0, 0, 0, -1, 0, 0 },
	{ "REJECT",  "REJECT", 0, 0, 0, 0, -1, 43, 0, 0, 0, -1, 0, 0 },
	{ "REDUCEFIRST",  "REDUCEFIRST", 0, 0, 0, 0, -1, 44, 0, 0, 0, -1, 0, 0 },
	{ "ALIAS",  "ALIAS", 0, 0, 0, 0, -1, 45, 0, 0, 0, -1, 0, 0 },
	{ "COMMIT",  "COMMIT", 0, 0, 0, 0, -1, 46, 0, 0, 0, -1, 0, 0 },
	{ "NEW",  "NEW", 0, 0, 0, 0, -1, 47, 0, 0, 0, -1, 0, 0 },
	{ "PREEOF",  "PREEOF", 0, 0, 0, 0, -1, 48, 0, 0, 0, -1, 0, 0 },
	{ "GLOBAL",  "GLOBAL", 0, 0, 0, 0, -1, 49, 0, 0, 0, -1, 0, 0 },
	{ "EOS",  "EOS", 0, 0, 0, 0, -1, 50, 0, 0, 0, -1, 0, 0 },
	{ "CAST",  "CAST", 0, 0, 0, 0, -1, 51, 0, 0, 0, -1, 0, 0 },
	{ "SWITCH",  "SWITCH", 0, 0, 0, 0, -1, 52, 0, 0, 0, -1, 0, 0 },
	{ "CASE",  "CASE", 0, 0, 0, 0, -1, 53, 0, 0, 0, -1, 0, 0 },
	{ "DEFAULT",  "DEFAULT", 0, 0, 0, 0, -1, 54, 0, 0, 0, -1, 0, 0 },
	{ "INT",  "INT", 0, 0, 0, 0, -1, 55, 0, 0, 0, -1, 0, 0 },
	{ "BOOL",  "BOOL", 0, 0, 0, 0, -1, 56, 0, 0, 0, -1, 0, 0 },
	{ "MAKE_TOKEN",  "MAKE_TOKEN", 0, 0, 0, 0, -1, 57, 0, 0, 0, -1, 0, 0 },
	{ "MAKE_TREE",  "MAKE_TREE", 0, 0, 0, 0, -1, 58, 0, 0, 0, -1, 0, 0 },
	{ "TYPEID",  "TYPEID", 0, 0, 0, 0, -1, 59, 0, 0, 0, -1, 0, 0 },
	{ "LITERAL",  "LITERAL", 0, 0, 0, 0, -1, 60, 0, 0, 0, -1, 0, 0 },
	{ "CONTEXT",  "CONTEXT", 0, 0, 0, 0, -1, 61, 0, 0, 0, -1, 0, 0 },
	{ "STRUCT",  "STRUCT", 0, 0, 0, 0, -1, 62, 0, 0, 0, -1, 0, 0 },
	{ "NI",  "NI", 0, 0, 0, 0, -1, 63, 0, 0, 0, -1, 0, 0 },
	{ "NIL",  "NIL", 0, 0, 0, 0, -1, 64, 0, 0, 0, -1, 0, 0 },
	{ "TRUE",  "TRUE", 0, 0, 0, 0, -1, 65, 0, 0, 0, -1, 0, 0 },
	{ "FALSE",  "FALSE", 0, 0, 0, 0, -1, 66, 0, 0, 0, -1, 0, 0 },
	{ "LEFT",  "LEFT", 0, 0, 0, 0, -1, 67, 0, 0, 0, -1, 0, 0 },
	{ "RIGHT",  "RIGHT", 0, 0, 0, 0, -1, 68, 0, 0, 0, -1, 0, 0 },
	{ "NONASSOC",  "NONASSOC", 0, 0, 0, 0, -1, 69, 0, 0, 0, -1, 0, 0 },
	{ "INCLUDE",  "INCLUDE", 0, 0, 0, 0, -1, 70, 0, 0, 0, -1, 0, 0 },
	{ "id",  "id", 0, 0, 0, 0, -1, 71, 0, 0, 0, -1, 0, 0 },
	{ "number",  "number", 0, 0, 0, 0, -1, 72, 0, 0, 0, -1, 0, 0 },
	{ "backtick_lit",  "backtick_lit", 0, 0, 0, 0, -1, 73, 0, 0, 0, -1, 0, 0 },
	{ "DQ",  "DQ", 0, 0, 0, 0, -1, 74, 0, 0, 0, -1, 0, 0 },
	{ "SQ",  "SQ", 0, 0, 0, 0, -1, 75, 0, 0, 0, -1, 0, 0 },
	{ "TILDE",  "TILDE", 0, 0, 0, 0, -1, 76, 0, 0, 0, -1, 0, 0 },
	{ "SQOPEN",  "SQOPEN", 0, 0, 0, 0, -1, 77, 0, 0, 0, -1, 0, 0 },
	{ "SQCLOSE",  "SQCLOSE", 0, 0, 0, 0, -1, 78, 0, 0, 0, -1, 0, 0 },
	{ "BAR",  "BAR", 0, 0, 0, 0, -1, 79, 0, 0, 0, -1, 0, 0 },
	{ "FSLASH",  "FSLASH", 0, 0, 0, 0, -1, 80, 0, 0, 0, -1, 0, 0 },
	{ "COLON",  "COLON", 0, 0, 0, 0, -1, 81, 0, 0, 0, -1, 0, 0 },
	{ "DOUBLE_COLON",  "DOUBLE_COLON", 0, 0, 0, 0, -1, 82, 0, 0, 0, -1, 0, 0 },
	{ "DOT",  "DOT", 0, 0, 0, 0, -1, 83, 0, 0, 0, -1, 0, 0 },
	{ "ARROW",  "ARROW", 0, 0, 0, 0, -1, 84, 0, 0, 0, -1, 0, 0 },
	{ "POPEN",  "POPEN", 0, 0, 0, 0, -1, 85, 0, 0, 0, -1, 0, 0 },
	{ "PCLOSE",  "PCLOSE", 0, 0, 0, 0, -1, 86, 0, 0, 0, -1, 0, 0 },
	{ "COPEN",  "COPEN", 0, 0, 0, 0, -1, 87, 0, 0, 0, -1, 0, 0 },
	{ "CCLOSE",  "CCLOSE", 0, 0, 0, 0, -1, 88, 0, 0, 0, -1, 0, 0 },
	{ "STAR",  "STAR", 0, 0, 0, 0, -1, 89, 0, 0, 0, -1, 0, 0 },
	{ "QUESTION",  "QUESTION", 0, 0, 0, 0, -1, 90, 0, 0, 0, -1, 0, 0 },
	{ "EQUALS",  "EQUALS", 0, 0, 0, 0, -1, 91, 0, 0, 0, -1, 0, 0 },
	{ "EQEQ",  "EQEQ", 0, 0, 0, 0, -1, 92, 0, 0, 0, -1, 0, 0 },
	{ "NEQ",  "NEQ", 0, 0, 0, 0, -1, 93, 0, 0, 0, -1, 0, 0 },
	{ "COMMA",  "COMMA", 0, 0, 0, 0, -1, 94, 0, 0, 0, -1, 0, 0 },
	{ "LT",  "LT", 0, 0, 0, 0, -1, 95, 0, 0, 0, -1, 0, 0 },
	{ "GT",  "GT", 0, 0, 0, 0, -1, 96, 0, 0, 0, -1, 0, 0 },
	{ "LTEQ",  "LTEQ", 0, 0, 0, 0, -1, 97, 0, 0, 0, -1, 0, 0 },
	{ "GTEQ",  "GTEQ", 0, 0, 0, 0, -1, 98, 0, 0, 0, -1, 0, 0 },
	{ "BANG",  "BANG", 0, 0, 0, 0, -1, 99, 0, 0, 0, -1, 0, 0 },
	{ "DOLLAR",  "DOLLAR", 0, 0, 0, 0, -1, 100, 0, 0, 0, -1, 0, 0 },
	{ "CARET",  "CARET", 0, 0, 0, 0, -1, 101, 0, 0, 0, -1, 0, 0 },
	{ "AT",  "AT", 0, 0, 0, 0, -1, 102, 0, 0, 0, -1, 0, 0 },
	{ "PERCENT",  "PERCENT", 0, 0, 0, 0, -1, 103, 0, 0, 0, -1, 0, 0 },
	{ "PLUS",  "PLUS", 0, 0, 0, 0, -1, 104, 0, 0, 0, -1, 0, 0 },
	{ "MINUS",  "MINUS", 0, 0, 0, 0, -1, 105, 0, 0, 0, -1, 0, 0 },
	{ "AMPAMP",  "AMPAMP", 0, 0, 0, 0, -1, 106, 0, 0, 0, -1, 0, 0 },
	{ "BARBAR",  "BARBAR", 0, 0, 0, 0, -1, 107, 0, 0, 0, -1, 0, 0 },
	{ "_ignore_00d1",  "_ignore_00d1", 0, 0, 0, 1, -1, 108, 0, 0, 0, -1, 0, 0 },
	{ "_ignore_00d3",  "_ignore_00d3", 0, 0, 0, 1, -1, 109, 0, 0, 0, -1, 0, 0 },
	{ "LIT_DQ",  "LIT_DQ", 0, 0, 0, 0, -1, 110, 0, 0, 0, -1, 0, 0 },
	{ "LIT_DQ_NL",  "LIT_DQ_NL", 0, 0, 0, 0, -1, 111, 0, 0, 0, -1, 0, 0 },
	{ "LIT_SQOPEN",  "LIT_SQOPEN", 0, 0, 0, 0, -1, 112, 0, 0, 0, -1, 0, 0 },
	{ "LIT_SQCLOSE",  "LIT_SQCLOSE", 0, 0, 0, 0, -1, 113, 0, 0, 0, -1, 0, 0 },
	{ "lit_dq_data",  "lit_dq_data", 0, 0, 0, 0, -1, 114, 0, 0, 0, -1, 0, 0 },
	{ "CONS_SQ",  "CONS_SQ", 0, 0, 0, 0, -1, 115, 0, 0, 0, -1, 0, 0 },
	{ "CONS_SQ_NL",  "CONS_SQ_NL", 0, 0, 0, 0, -1, 116, 0, 0, 0, -1, 0, 0 },
	{ "sq_cons_data",  "sq_cons_data", 0, 0, 0, 0, -1, 117, 0, 0, 0, -1, 0, 0 },
	{ "TILDE_NL",  "TILDE_NL", 0, 0, 0, 0, -1, 118, 0, 0, 0, -1, 0, 0 },
	{ "tilde_data",  "tilde_data", 0, 0, 0, 0, -1, 119, 0, 0, 0, -1, 0, 0 },
	{ "lex_id",  "lex_id", 0, 0, 0, 0, -1, 120, 0, 0, 0, -1, 0, 0 },
	{ "lex_uint",  "lex_uint", 0, 0, 0, 0, -1, 121, 0, 0, 0, -1, 0, 0 },
	{ "lex_hex",  "lex_hex", 0, 0, 0, 0, -1, 122, 0, 0, 0, -1, 0, 0 },
	{ "lex_lit",  "lex_lit", 0, 0, 0, 0, -1, 123, 0, 0, 0, -1, 0, 0 },
	{ "LEX_DOT",  "LEX_DOT", 0, 0, 0, 0, -1, 124, 0, 0, 0, -1, 0, 0 },
	{ "LEX_BAR",  "LEX_BAR", 0, 0, 0, 0, -1, 125, 0, 0, 0, -1, 0, 0 },
	{ "LEX_AMP",  "LEX_AMP", 0, 0, 0, 0, -1, 126, 0, 0, 0, -1, 0, 0 },
	{ "LEX_DASH",  "LEX_DASH", 0, 0, 0, 0, -1, 127, 0, 0, 0, -1, 0, 0 },
	{ "LEX_POPEN",  "LEX_POPEN", 0, 0, 0, 0, -1, 128, 0, 0, 0, -1, 0, 0 },
	{ "LEX_PCLOSE",  "LEX_PCLOSE", 0, 0, 0, 0, -1, 129, 0, 0, 0, -1, 0, 0 },
	{ "LEX_STAR",  "LEX_STAR", 0, 0, 0, 0, -1, 130, 0, 0, 0, -1, 0, 0 },
	{ "LEX_STARSTAR",  "LEX_STARSTAR", 0, 0, 0, 0, -1, 131, 0, 0, 0, -1, 0, 0 },
	{ "LEX_QUESTION",  "LEX_QUESTION", 0, 0, 0, 0, -1, 132, 0, 0, 0, -1, 0, 0 },
	{ "LEX_PLUS",  "LEX_PLUS", 0, 0, 0, 0, -1, 133, 0, 0, 0, -1, 0, 0 },
	{ "LEX_CARET",  "LEX_CARET", 0, 0, 0, 0, -1, 134, 0, 0, 0, -1, 0, 0 },
	{ "LEX_DOTDOT",  "LEX_DOTDOT", 0, 0, 0, 0, -1, 135, 0, 0, 0, -1, 0, 0 },
	{ "LEX_SQOPEN_POS",  "LEX_SQOPEN_POS", 0, 0, 0, 0, -1, 136, 0, 0, 0, -1, 0, 0 },
	{ "LEX_SQOPEN_NEG",  "LEX_SQOPEN_NEG", 0, 0, 0, 0, -1, 137, 0, 0, 0, -1, 0, 0 },
	{ "LEX_FSLASH",  "LEX_FSLASH", 0, 0, 0, 0, -1, 138, 0, 0, 0, -1, 0, 0 },
	{ "LEX_DASHDASH",  "LEX_DASHDASH", 0, 0, 0, 0, -1, 139, 0, 0, 0, -1, 0, 0 },
	{ "LEX_COLON_GT",  "LEX_COLON_GT", 0, 0, 0, 0, -1, 140, 0, 0, 0, -1, 0, 0 },
	{ "LEX_COLON_GTGT",  "LEX_COLON_GTGT", 0, 0, 0, 0, -1, 141, 0, 0, 0, -1, 0, 0 },
	{ "LEX_LT_COLON",  "LEX_LT_COLON", 0, 0, 0, 0, -1, 142, 0, 0, 0, -1, 0, 0 },
	{ "_ignore_0117",  "_ignore_0117", 0, 0, 0, 1, -1, 143, 0, 0, 0, -1, 0, 0 },
	{ "_ignore_0119",  "_ignore_0119", 0, 0, 0, 1, -1, 144, 0, 0, 0, -1, 0, 0 },
	{ "RE_DASH",  "RE_DASH", 0, 0, 0, 0, -1, 145, 0, 0, 0, -1, 0, 0 },
	{ "RE_CHAR",  "RE_CHAR", 0, 0, 0, 0, -1, 146, 0, 0, 0, -1, 0, 0 },
	{ "RE_SQCLOSE",  "RE_SQCLOSE", 0, 0, 0, 0, -1, 147, 0, 0, 0, -1, 0, 0 },
	{ "RED_OPEN",  "RED_OPEN", 0, 0, 0, 0, -1, 177, 0, 0, 0, -1, 0, 0 },
	{ "RED_CLOSE",  "RED_CLOSE", 0, 0, 0, 0, -1, 178, 0, 0, 0, -1, 0, 0 },
	{ "red_id",  "red_id", 0, 0, 0, 0, -1, 179, 0, 0, 0, -1, 0, 0 },
	{ "red_comment",  "red_comment", 0, 0, 0, 0, -1, 180, 0, 0, 0, -1, 0, 0 },
	{ "red_ws",  "red_ws", 0, 0, 0, 0, -1, 181, 0, 0, 0, -1, 0, 0 },
	{ "red_lit",  "red_lit", 0, 0, 0, 0, -1, 182, 0, 0, 0, -1, 0, 0 },
	{ "RED_LHS",  "RED_LHS", 0, 0, 0, 0, -1, 183, 0, 0, 0, -1, 0, 0 },
	{ "RED_RHS_REF",  "RED_RHS_REF", 0, 0, 0, 0, -1, 184, 0, 0, 0, -1, 0, 0 },
	{ "RED_RHS_LOC",  "RED_RHS_LOC", 0, 0, 0, 0, -1, 185, 0, 0, 0, -1, 0, 0 },
	{ "RED_RHS_NREF",  "RED_RHS_NREF", 0, 0, 0, 0, -1, 186, 0, 0, 0, -1, 0, 0 },
	{ "RED_RHS_NLOC",  "RED_RHS_NLOC", 0, 0, 0, 0, -1, 187, 0, 0, 0, -1, 0, 0 },
	{ "red_any",  "red_any", 0, 0, 0, 0, -1, 188, 0, 0, 0, -1, 0, 0 },
	{ "_ign_0x55e16ea22130",  "_ign_0x55e16ea22130", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_ign_0x55e16ea570b0",  "_ign_0x55e16ea570b0", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_ign_0x55e16ea59bc0",  "_ign_0x55e16ea59bc0", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_ign_0x55e16ea5b8b0",  "_ign_0x55e16ea5b8b0", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_ign_0x55e16ea5c850",  "_ign_0x55e16ea5c850", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_ign_0x55e16ea69ac0",  "_ign_0x55e16ea69ac0", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_ign_0x55e16ea89460",  "_ign_0x55e16ea89460", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "__0x55e16ea57150_DEF_PAT_1",  "__0x55e16ea57150_DEF_PAT_1", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "__0x55e16ea59c60_DEF_PAT_2",  "__0x55e16ea59c60_DEF_PAT_2", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "__0x55e16ea5b950_DEF_PAT_3",  "__0x55e16ea5b950_DEF_PAT_3", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "__0x55e16ea69b60_DEF_PAT_4",  "__0x55e16ea69b60_DEF_PAT_4", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "__0x55e16ea89500_DEF_PAT_5",  "__0x55e16ea89500_DEF_PAT_5", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_T_any",  "_T_any", 0, 0, 0, 0, -1, 0, 0, 0, 781, -1, 0, 0 },
	{ "_T_start",  "_T_start", 0, 0, 0, 0, -1, 148, 0, 0, 782, -1, 0, 0 },
	{ "_T_root_item",  "_T_root_item", 0, 0, 0, 0, -1, 149, 0, 0, 783, -1, 0, 0 },
	{ "_T_include",  "_T_include", 0, 0, 0, 0, -1, 150, 0, 0, 784, -1, 0, 0 },
	{ "_T_precedence_def",  "_T_precedence_def", 0, 0, 0, 0, -1, 151, 0, 0, 785, -1, 0, 0 },
	{ "_T_pred_type",  "_T_pred_type", 0, 0, 0, 0, -1, 152, 0, 0, 786, -1, 0, 0 },
	{ "_T_pred_token_list",  "_T_pred_token_list", 0, 0, 0, 0, -1, 153, 0, 0, 787, -1, 0, 0 },
	{ "_T_pred_token",  "_T_pred_token", 0, 0, 0, 0, -1, 154, 0, 0, 788, -1, 0, 0 },
	{ "_T_pre_eof_def",  "_T_pre_eof_def", 0, 0, 0, 0, -1, 155, 0, 0, 789, -1, 0, 0 },
	{ "_T_alias_def",  "_T_alias_def", 0, 0, 0, 0, -1, 156, 0, 0, 790, -1, 0, 0 },
	{ "_T_struct_item",  "_T_struct_item", 0, 0, 0, 0, -1, 157, 0, 0, 791, -1, 0, 0 },
	{ "_T_export_def",  "_T_export_def", 0, 0, 0, 0, -1, 158, 0, 0, 792, -1, 0, 0 },
	{ "_T_global_def",  "_T_global_def", 0, 0, 0, 0, -1, 159, 0, 0, 793, -1, 0, 0 },
	{ "_T_iter_def",  "_T_iter_def", 0, 0, 0, 0, -1, 160, 0, 0, 794, -1, 0, 0 },
	{ "_T_reference_type_ref",  "_T_reference_type_ref", 0, 0, 0, 0, -1, 161, 0, 0, 795, -1, 0, 0 },
	{ "_T_param_var_def_seq",  "_T_param_var_def_seq", 0, 0, 0, 0, -1, 162, 0, 0, 796, -1, 0, 0 },
	{ "_T_param_var_def_list",  "_T_param_var_def_list", 0, 0, 0, 0, -1, 163, 0, 0, 797, -1, 0, 0 },
	{ "_T_param_var_def",  "_T_param_var_def", 0, 0, 0, 0, -1, 164, 0, 0, 798, -1, 0, 0 },
	{ "_T_opt_export",  "_T_opt_export", 0, 0, 0, 0, -1, 165, 0, 0, 799, -1, 0, 0 },
	{ "_T_function_def",  "_T_function_def", 0, 0, 0, 0, -1, 166, 0, 0, 800, -1, 0, 0 },
	{ "_T_in_host_def",  "_T_in_host_def", 0, 0, 0, 0, -1, 167, 0, 0, 801, -1, 0, 0 },
	{ "_T_struct_var_def",  "_T_struct_var_def", 0, 0, 0, 0, -1, 168, 0, 0, 802, -1, 0, 0 },
	{ "_T_struct_key",  "_T_struct_key", 0, 0, 0, 0, -1, 169, 0, 0, 803, -1, 0, 0 },
	{ "_T_struct_def",  "_T_struct_def", 0, 0, 0, 0, -1, 170, 0, 0, 804, -1, 0, 0 },
	{ "_T_literal_def",  "_T_literal_def", 0, 0, 0, 0, -1, 171, 0, 0, 805, -1, 0, 0 },
	{ "_T_literal_list",  "_T_literal_list", 0, 0, 0, 0, -1, 172, 0, 0, 806, -1, 0, 0 },
	{ "_T_literal_item",  "_T_literal_item", 0, 0, 0, 0, -1, 173, 0, 0, 807, -1, 0, 0 },
	{ "_T_no_ignore_left",  "_T_no_ignore_left", 0, 0, 0, 0, -1, 174, 0, 0, 808, -1, 0, 0 },
	{ "_T_no_ignore_right",  "_T_no_ignore_right", 0, 0, 0, 0, -1, 175, 0, 0, 809, -1, 0, 0 },
	{ "_T_reduction_def",  "_T_reduction_def", 0, 0, 0, 0, -1, 176, 0, 0, 810, -1, 0, 0 },
	{ "_T_red_nonterm",  "_T_red_nonterm", 0, 0, 0, 0, -1, 189, 0, 0, 811, -1, 0, 0 },
	{ "_T_red_action",  "_T_red_action", 0, 0, 0, 0, -1, 190, 0, 0, 812, -1, 0, 0 },
	{ "_T_host_item",  "_T_host_item", 0, 0, 0, 0, -1, 191, 0, 0, 813, -1, 0, 0 },
	{ "_T_reduction_item",  "_T_reduction_item", 0, 0, 0, 0, -1, 192, 0, 0, 814, -1, 0, 0 },
	{ "_T_namespace_def",  "_T_namespace_def", 0, 0, 0, 0, -1, 193, 0, 0, 815, -1, 0, 0 },
	{ "_T_namespace_item",  "_T_namespace_item", 0, 0, 0, 0, -1, 194, 0, 0, 816, -1, 0, 0 },
	{ "_T_obj_var_list",  "_T_obj_var_list", 0, 0, 0, 0, -1, 195, 0, 0, 817, -1, 0, 0 },
	{ "_T_opt_reduce_first",  "_T_opt_reduce_first", 0, 0, 0, 0, -1, 196, 0, 0, 818, -1, 0, 0 },
	{ "_T_cfl_def",  "_T_cfl_def", 0, 0, 0, 0, -1, 197, 0, 0, 819, -1, 0, 0 },
	{ "_T_region_def",  "_T_region_def", 0, 0, 0, 0, -1, 198, 0, 0, 820, -1, 0, 0 },
	{ "_T_rl_def",  "_T_rl_def", 0, 0, 0, 0, -1, 199, 0, 0, 821, -1, 0, 0 },
	{ "_T_opt_lex_expr",  "_T_opt_lex_expr", 0, 0, 0, 0, -1, 200, 0, 0, 822, -1, 0, 0 },
	{ "_T_token_def",  "_T_token_def", 0, 0, 0, 0, -1, 201, 0, 0, 823, -1, 0, 0 },
	{ "_T_ic_def",  "_T_ic_def", 0, 0, 0, 0, -1, 202, 0, 0, 824, -1, 0, 0 },
	{ "_T_opt_translate",  "_T_opt_translate", 0, 0, 0, 0, -1, 203, 0, 0, 825, -1, 0, 0 },
	{ "_T_opt_id",  "_T_opt_id", 0, 0, 0, 0, -1, 204, 0, 0, 826, -1, 0, 0 },
	{ "_T_ignore_def",  "_T_ignore_def", 0, 0, 0, 0, -1, 205, 0, 0, 827, -1, 0, 0 },
	{ "_T_prod_el",  "_T_prod_el", 0, 0, 0, 0, -1, 206, 0, 0, 828, -1, 0, 0 },
	{ "_T_opt_prod_el_name",  "_T_opt_prod_el_name", 0, 0, 0, 0, -1, 207, 0, 0, 829, -1, 0, 0 },
	{ "_T_prod_el_list",  "_T_prod_el_list", 0, 0, 0, 0, -1, 208, 0, 0, 830, -1, 0, 0 },
	{ "_T_opt_commit",  "_T_opt_commit", 0, 0, 0, 0, -1, 209, 0, 0, 831, -1, 0, 0 },
	{ "_T_opt_prod_name",  "_T_opt_prod_name", 0, 0, 0, 0, -1, 210, 0, 0, 832, -1, 0, 0 },
	{ "_T_prod",  "_T_prod", 0, 0, 0, 0, -1, 211, 0, 0, 833, -1, 0, 0 },
	{ "_T_opt_reduce",  "_T_opt_reduce", 0, 0, 0, 0, -1, 212, 0, 0, 834, -1, 0, 0 },
	{ "_T_prod_list",  "_T_prod_list", 0, 0, 0, 0, -1, 213, 0, 0, 835, -1, 0, 0 },
	{ "_T_case_clause",  "_T_case_clause", 0, 0, 0, 0, -1, 214, 0, 0, 836, -1, 0, 0 },
	{ "_T_default_clause",  "_T_default_clause", 0, 0, 0, 0, -1, 215, 0, 0, 837, -1, 0, 0 },
	{ "_T_case_clause_list",  "_T_case_clause_list", 0, 0, 0, 0, -1, 216, 0, 0, 838, -1, 0, 0 },
	{ "_T_statement",  "_T_statement", 0, 0, 0, 0, -1, 217, 0, 0, 839, -1, 0, 0 },
	{ "_T_elsif_list",  "_T_elsif_list", 0, 0, 0, 0, -1, 218, 0, 0, 840, -1, 0, 0 },
	{ "_T_elsif_clause",  "_T_elsif_clause", 0, 0, 0, 0, -1, 219, 0, 0, 841, -1, 0, 0 },
	{ "_T_optional_else",  "_T_optional_else", 0, 0, 0, 0, -1, 220, 0, 0, 842, -1, 0, 0 },
	{ "_T_call_arg_seq",  "_T_call_arg_seq", 0, 0, 0, 0, -1, 221, 0, 0, 843, -1, 0, 0 },
	{ "_T_call_arg_list",  "_T_call_arg_list", 0, 0, 0, 0, -1, 222, 0, 0, 844, -1, 0, 0 },
	{ "_T_iter_call",  "_T_iter_call", 0, 0, 0, 0, -1, 223, 0, 0, 845, -1, 0, 0 },
	{ "_T_block_or_single",  "_T_block_or_single", 0, 0, 0, 0, -1, 224, 0, 0, 846, -1, 0, 0 },
	{ "_T_require_pattern",  "_T_require_pattern", 0, 0, 0, 0, -1, 225, 0, 0, 847, -1, 0, 0 },
	{ "_T_opt_require_stmt",  "_T_opt_require_stmt", 0, 0, 0, 0, -1, 226, 0, 0, 848, -1, 0, 0 },
	{ "_T_lang_stmt_list",  "_T_lang_stmt_list", 0, 0, 0, 0, -1, 227, 0, 0, 849, -1, 0, 0 },
	{ "_T_opt_def_init",  "_T_opt_def_init", 0, 0, 0, 0, -1, 228, 0, 0, 850, -1, 0, 0 },
	{ "_T_var_def",  "_T_var_def", 0, 0, 0, 0, -1, 229, 0, 0, 851, -1, 0, 0 },
	{ "_T_print_stmt",  "_T_print_stmt", 0, 0, 0, 0, -1, 230, 0, 0, 852, -1, 0, 0 },
	{ "_T_expr_stmt",  "_T_expr_stmt", 0, 0, 0, 0, -1, 231, 0, 0, 853, -1, 0, 0 },
	{ "_T_code_expr",  "_T_code_expr", 0, 0, 0, 0, -1, 232, 0, 0, 854, -1, 0, 0 },
	{ "_T_code_relational",  "_T_code_relational", 0, 0, 0, 0, -1, 233, 0, 0, 855, -1, 0, 0 },
	{ "_T_code_additive",  "_T_code_additive", 0, 0, 0, 0, -1, 234, 0, 0, 856, -1, 0, 0 },
	{ "_T_code_multiplicitive",  "_T_code_multiplicitive", 0, 0, 0, 0, -1, 235, 0, 0, 857, -1, 0, 0 },
	{ "_T_code_unary",  "_T_code_unary", 0, 0, 0, 0, -1, 236, 0, 0, 858, -1, 0, 0 },
	{ "_T_opt_eos",  "_T_opt_eos", 0, 0, 0, 0, -1, 237, 0, 0, 859, -1, 0, 0 },
	{ "_T_code_factor",  "_T_code_factor", 0, 0, 0, 0, -1, 238, 0, 0, 860, -1, 0, 0 },
	{ "_T_type_ref",  "_T_type_ref", 0, 0, 0, 0, -1, 239, 0, 0, 861, -1, 0, 0 },
	{ "_T_region_qual",  "_T_region_qual", 0, 0, 0, 0, -1, 240, 0, 0, 862, -1, 0, 0 },
	{ "_T_opt_repeat",  "_T_opt_repeat", 0, 0, 0, 0, -1, 241, 0, 0, 863, -1, 0, 0 },
	{ "_T_opt_capture",  "_T_opt_capture", 0, 0, 0, 0, -1, 242, 0, 0, 864, -1, 0, 0 },
	{ "_T_opt_field_init",  "_T_opt_field_init", 0, 0, 0, 0, -1, 243, 0, 0, 865, -1, 0, 0 },
	{ "_T_field_init",  "_T_field_init", 0, 0, 0, 0, -1, 244, 0, 0, 866, -1, 0, 0 },
	{ "_T_opt_label",  "_T_opt_label", 0, 0, 0, 0, -1, 245, 0, 0, 867, -1, 0, 0 },
	{ "_T_dq_lit_term",  "_T_dq_lit_term", 0, 0, 0, 0, -1, 246, 0, 0, 868, -1, 0, 0 },
	{ "_T_sq_lit_term",  "_T_sq_lit_term", 0, 0, 0, 0, -1, 247, 0, 0, 869, -1, 0, 0 },
	{ "_T_opt_tilde_data",  "_T_opt_tilde_data", 0, 0, 0, 0, -1, 248, 0, 0, 870, -1, 0, 0 },
	{ "_T_pattern_el_lel",  "_T_pattern_el_lel", 0, 0, 0, 0, -1, 249, 0, 0, 871, -1, 0, 0 },
	{ "_T_pattern_el",  "_T_pattern_el", 0, 0, 0, 0, -1, 250, 0, 0, 872, -1, 0, 0 },
	{ "_T_litpat_el",  "_T_litpat_el", 0, 0, 0, 0, -1, 251, 0, 0, 873, -1, 0, 0 },
	{ "_T_pattern_top_el",  "_T_pattern_top_el", 0, 0, 0, 0, -1, 252, 0, 0, 874, -1, 0, 0 },
	{ "_T_pattern_list",  "_T_pattern_list", 0, 0, 0, 0, -1, 253, 0, 0, 875, -1, 0, 0 },
	{ "_T_pattern",  "_T_pattern", 0, 0, 0, 0, -1, 254, 0, 0, 876, -1, 0, 0 },
	{ "_T_opt_no_trim",  "_T_opt_no_trim", 0, 0, 0, 0, -1, 255, 0, 0, 877, -1, 0, 0 },
	{ "_T_E1",  "_T_E1", 0, 0, 0, 0, -1, 256, 0, 0, 878, -1, 0, 0 },
	{ "_T_E2",  "_T_E2", 0, 0, 0, 0, -1, 257, 0, 0, 879, -1, 0, 0 },
	{ "_T_E3",  "_T_E3", 0, 0, 0, 0, -1, 258, 0, 0, 880, -1, 0, 0 },
	{ "_T_E4",  "_T_E4", 0, 0, 0, 0, -1, 259, 0, 0, 881, -1, 0, 0 },
	{ "_T_cons_el",  "_T_cons_el", 0, 0, 0, 0, -1, 260, 0, 0, 882, -1, 0, 0 },
	{ "_T_lit_cons_el",  "_T_lit_cons_el", 0, 0, 0, 0, -1, 261, 0, 0, 883, -1, 0, 0 },
	{ "_T_cons_top_el",  "_T_cons_top_el", 0, 0, 0, 0, -1, 262, 0, 0, 884, -1, 0, 0 },
	{ "_T_cons_list",  "_T_cons_list", 0, 0, 0, 0, -1, 263, 0, 0, 885, -1, 0, 0 },
	{ "_T_constructor",  "_T_constructor", 0, 0, 0, 0, -1, 264, 0, 0, 886, -1, 0, 0 },
	{ "_T_accum_el",  "_T_accum_el", 0, 0, 0, 0, -1, 265, 0, 0, 887, -1, 0, 0 },
	{ "_T_lit_accum_el",  "_T_lit_accum_el", 0, 0, 0, 0, -1, 266, 0, 0, 888, -1, 0, 0 },
	{ "_T_accum_top_el",  "_T_accum_top_el", 0, 0, 0, 0, -1, 267, 0, 0, 889, -1, 0, 0 },
	{ "_T_accum_list",  "_T_accum_list", 0, 0, 0, 0, -1, 268, 0, 0, 890, -1, 0, 0 },
	{ "_T_accumulate",  "_T_accumulate", 0, 0, 0, 0, -1, 269, 0, 0, 891, -1, 0, 0 },
	{ "_T_string_el",  "_T_string_el", 0, 0, 0, 0, -1, 270, 0, 0, 892, -1, 0, 0 },
	{ "_T_lit_string_el",  "_T_lit_string_el", 0, 0, 0, 0, -1, 271, 0, 0, 893, -1, 0, 0 },
	{ "_T_string_top_el",  "_T_string_top_el", 0, 0, 0, 0, -1, 272, 0, 0, 894, -1, 0, 0 },
	{ "_T_string_list",  "_T_string_list", 0, 0, 0, 0, -1, 273, 0, 0, 895, -1, 0, 0 },
	{ "_T_string",  "_T_string", 0, 0, 0, 0, -1, 274, 0, 0, 896, -1, 0, 0 },
	{ "_T_var_ref",  "_T_var_ref", 0, 0, 0, 0, -1, 275, 0, 0, 897, -1, 0, 0 },
	{ "_T_qual",  "_T_qual", 0, 0, 0, 0, -1, 276, 0, 0, 898, -1, 0, 0 },
	{ "_T_lex_expr",  "_T_lex_expr", 0, 0, 0, 0, -1, 277, 0, 0, 899, -1, 0, 0 },
	{ "_T_opt_lex_dot",  "_T_opt_lex_dot", 0, 0, 0, 0, -1, 278, 0, 0, 900, -1, 0, 0 },
	{ "_T_lex_term",  "_T_lex_term", 0, 0, 0, 0, -1, 279, 0, 0, 901, -1, 0, 0 },
	{ "_T_lex_factor_rep",  "_T_lex_factor_rep", 0, 0, 0, 0, -1, 280, 0, 0, 902, -1, 0, 0 },
	{ "_T_lex_factor_neg",  "_T_lex_factor_neg", 0, 0, 0, 0, -1, 281, 0, 0, 903, -1, 0, 0 },
	{ "_T_lex_range_lit",  "_T_lex_range_lit", 0, 0, 0, 0, -1, 282, 0, 0, 904, -1, 0, 0 },
	{ "_T_lex_num",  "_T_lex_num", 0, 0, 0, 0, -1, 283, 0, 0, 905, -1, 0, 0 },
	{ "_T_lex_factor",  "_T_lex_factor", 0, 0, 0, 0, -1, 284, 0, 0, 906, -1, 0, 0 },
	{ "_T_reg_or_data",  "_T_reg_or_data", 0, 0, 0, 0, -1, 285, 0, 0, 907, -1, 0, 0 },
	{ "_T_reg_or_char",  "_T_reg_or_char", 0, 0, 0, 0, -1, 286, 0, 0, 908, -1, 0, 0 },
	{ "_T__repeat_root_item",  "_T__repeat_root_item", 0, 0, 0, 0, -1, 0, 0, 0, 909, -1, 0, 0 },
	{ "_T__repeat_sq_cons_data",  "_T__repeat_sq_cons_data", 0, 0, 0, 0, -1, 0, 0, 0, 910, -1, 0, 0 },
	{ "_T__repeat_struct_item",  "_T__repeat_struct_item", 0, 0, 0, 0, -1, 0, 0, 0, 911, -1, 0, 0 },
	{ "_T__repeat_reduction_item",  "_T__repeat_reduction_item", 0, 0, 0, 0, -1, 0, 0, 0, 912, -1, 0, 0 },
	{ "_T__repeat_host_item",  "_T__repeat_host_item", 0, 0, 0, 0, -1, 0, 0, 0, 913, -1, 0, 0 },
	{ "_T__repeat_namespace_item",  "_T__repeat_namespace_item", 0, 0, 0, 0, -1, 0, 0, 0, 914, -1, 0, 0 },
	{ "_T__repeat_var_def",  "_T__repeat_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 915, -1, 0, 0 },
	{ "_T__repeat_statement",  "_T__repeat_statement", 0, 0, 0, 0, -1, 0, 0, 0, 916, -1, 0, 0 },
	{ "_T__repeat_field_init",  "_T__repeat_field_init", 0, 0, 0, 0, -1, 0, 0, 0, 917, -1, 0, 0 },
	{ "_T__repeat_litpat_el",  "_T__repeat_litpat_el", 0, 0, 0, 0, -1, 0, 0, 0, 918, -1, 0, 0 },
	{ "_T__repeat_pattern_el",  "_T__repeat_pattern_el", 0, 0, 0, 0, -1, 0, 0, 0, 919, -1, 0, 0 },
	{ "_T__repeat_lit_cons_el",  "_T__repeat_lit_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 920, -1, 0, 0 },
	{ "_T__repeat_cons_el",  "_T__repeat_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 921, -1, 0, 0 },
	{ "_T__repeat_lit_accum_el",  "_T__repeat_lit_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 922, -1, 0, 0 },
	{ "_T__repeat_accum_el",  "_T__repeat_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 923, -1, 0, 0 },
	{ "_T__repeat_lit_string_el",  "_T__repeat_lit_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 924, -1, 0, 0 },
	{ "_T__repeat_string_el",  "_T__repeat_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 925, -1, 0, 0 },
	{ "_eof_ptr",  "_eof_ptr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_void",  "_eof_void", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_str",  "_eof_str", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_il",  "_eof_il", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_any",  "_eof_any", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_DEF",  "_eof_DEF", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX",  "_eof_LEX", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_END",  "_eof_END", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_TOKEN",  "_eof_TOKEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RL",  "_eof_RL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_IGNORE",  "_eof_IGNORE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PRINT",  "_eof_PRINT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PRINTS",  "_eof_PRINTS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PRINT_XML",  "_eof_PRINT_XML", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PRINT_XML_AC",  "_eof_PRINT_XML_AC", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PARSE",  "_eof_PARSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_REDUCE",  "_eof_REDUCE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PARSE_TREE",  "_eof_PARSE_TREE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PARSE_STOP",  "_eof_PARSE_STOP", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CONS",  "_eof_CONS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_MATCH",  "_eof_MATCH", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_REQUIRE",  "_eof_REQUIRE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_SEND",  "_eof_SEND", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_SEND_TREE",  "_eof_SEND_TREE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_NAMESPACE",  "_eof_NAMESPACE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_REDUCTION",  "_eof_REDUCTION", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_FOR",  "_eof_FOR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_IF",  "_eof_IF", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_YIELD",  "_eof_YIELD", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_WHILE",  "_eof_WHILE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_ELSIF",  "_eof_ELSIF", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_ELSE",  "_eof_ELSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_IN",  "_eof_IN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PARSER",  "_eof_PARSER", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LIST",  "_eof_LIST", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LIST_EL",  "_eof_LIST_EL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_MAP",  "_eof_MAP", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_MAP_EL",  "_eof_MAP_EL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PTR",  "_eof_PTR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_ITER",  "_eof_ITER", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_REF",  "_eof_REF", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_EXPORT",  "_eof_EXPORT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RETURN",  "_eof_RETURN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_BREAK",  "_eof_BREAK", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_REJECT",  "_eof_REJECT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_REDUCEFIRST",  "_eof_REDUCEFIRST", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_ALIAS",  "_eof_ALIAS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_COMMIT",  "_eof_COMMIT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_NEW",  "_eof_NEW", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PREEOF",  "_eof_PREEOF", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_GLOBAL",  "_eof_GLOBAL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_EOS",  "_eof_EOS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CAST",  "_eof_CAST", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_SWITCH",  "_eof_SWITCH", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CASE",  "_eof_CASE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_DEFAULT",  "_eof_DEFAULT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_INT",  "_eof_INT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_BOOL",  "_eof_BOOL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_MAKE_TOKEN",  "_eof_MAKE_TOKEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_MAKE_TREE",  "_eof_MAKE_TREE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_TYPEID",  "_eof_TYPEID", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LITERAL",  "_eof_LITERAL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CONTEXT",  "_eof_CONTEXT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_STRUCT",  "_eof_STRUCT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_NI",  "_eof_NI", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_NIL",  "_eof_NIL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_TRUE",  "_eof_TRUE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_FALSE",  "_eof_FALSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEFT",  "_eof_LEFT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RIGHT",  "_eof_RIGHT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_NONASSOC",  "_eof_NONASSOC", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_INCLUDE",  "_eof_INCLUDE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_id",  "_eof_id", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_number",  "_eof_number", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_backtick_lit",  "_eof_backtick_lit", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_DQ",  "_eof_DQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_SQ",  "_eof_SQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_TILDE",  "_eof_TILDE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_SQOPEN",  "_eof_SQOPEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_SQCLOSE",  "_eof_SQCLOSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_BAR",  "_eof_BAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_FSLASH",  "_eof_FSLASH", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_COLON",  "_eof_COLON", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_DOUBLE_COLON",  "_eof_DOUBLE_COLON", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_DOT",  "_eof_DOT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_ARROW",  "_eof_ARROW", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_POPEN",  "_eof_POPEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PCLOSE",  "_eof_PCLOSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_COPEN",  "_eof_COPEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CCLOSE",  "_eof_CCLOSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_STAR",  "_eof_STAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_QUESTION",  "_eof_QUESTION", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_EQUALS",  "_eof_EQUALS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_EQEQ",  "_eof_EQEQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_NEQ",  "_eof_NEQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_COMMA",  "_eof_COMMA", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LT",  "_eof_LT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_GT",  "_eof_GT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LTEQ",  "_eof_LTEQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_GTEQ",  "_eof_GTEQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_BANG",  "_eof_BANG", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_DOLLAR",  "_eof_DOLLAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CARET",  "_eof_CARET", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_AT",  "_eof_AT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PERCENT",  "_eof_PERCENT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PLUS",  "_eof_PLUS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_MINUS",  "_eof_MINUS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_AMPAMP",  "_eof_AMPAMP", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_BARBAR",  "_eof_BARBAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ignore_00d1",  "_eof__ignore_00d1", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ignore_00d3",  "_eof__ignore_00d3", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LIT_DQ",  "_eof_LIT_DQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LIT_DQ_NL",  "_eof_LIT_DQ_NL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LIT_SQOPEN",  "_eof_LIT_SQOPEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LIT_SQCLOSE",  "_eof_LIT_SQCLOSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lit_dq_data",  "_eof_lit_dq_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CONS_SQ",  "_eof_CONS_SQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CONS_SQ_NL",  "_eof_CONS_SQ_NL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_sq_cons_data",  "_eof_sq_cons_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_TILDE_NL",  "_eof_TILDE_NL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_tilde_data",  "_eof_tilde_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_id",  "_eof_lex_id", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_uint",  "_eof_lex_uint", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_hex",  "_eof_lex_hex", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_lit",  "_eof_lex_lit", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_DOT",  "_eof_LEX_DOT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_BAR",  "_eof_LEX_BAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_AMP",  "_eof_LEX_AMP", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_DASH",  "_eof_LEX_DASH", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_POPEN",  "_eof_LEX_POPEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_PCLOSE",  "_eof_LEX_PCLOSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_STAR",  "_eof_LEX_STAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_STARSTAR",  "_eof_LEX_STARSTAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_QUESTION",  "_eof_LEX_QUESTION", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_PLUS",  "_eof_LEX_PLUS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_CARET",  "_eof_LEX_CARET", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_DOTDOT",  "_eof_LEX_DOTDOT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_SQOPEN_POS",  "_eof_LEX_SQOPEN_POS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_SQOPEN_NEG",  "_eof_LEX_SQOPEN_NEG", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_FSLASH",  "_eof_LEX_FSLASH", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_DASHDASH",  "_eof_LEX_DASHDASH", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_COLON_GT",  "_eof_LEX_COLON_GT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_COLON_GTGT",  "_eof_LEX_COLON_GTGT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_LT_COLON",  "_eof_LEX_LT_COLON", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ignore_0117",  "_eof__ignore_0117", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ignore_0119",  "_eof__ignore_0119", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RE_DASH",  "_eof_RE_DASH", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RE_CHAR",  "_eof_RE_CHAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RE_SQCLOSE",  "_eof_RE_SQCLOSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RED_OPEN",  "_eof_RED_OPEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RED_CLOSE",  "_eof_RED_CLOSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_red_id",  "_eof_red_id", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_red_comment",  "_eof_red_comment", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_red_ws",  "_eof_red_ws", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_red_lit",  "_eof_red_lit", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RED_LHS",  "_eof_RED_LHS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RED_RHS_REF",  "_eof_RED_RHS_REF", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RED_RHS_LOC",  "_eof_RED_RHS_LOC", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RED_RHS_NREF",  "_eof_RED_RHS_NREF", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RED_RHS_NLOC",  "_eof_RED_RHS_NLOC", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_red_any",  "_eof_red_any", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_start",  "_eof_start", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_root_item",  "_eof_root_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_include",  "_eof_include", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_precedence_def",  "_eof_precedence_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pred_type",  "_eof_pred_type", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pred_token_list",  "_eof_pred_token_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pred_token",  "_eof_pred_token", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pre_eof_def",  "_eof_pre_eof_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_alias_def",  "_eof_alias_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_struct_item",  "_eof_struct_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_export_def",  "_eof_export_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_global_def",  "_eof_global_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_iter_def",  "_eof_iter_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_reference_type_ref",  "_eof_reference_type_ref", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_param_var_def_seq",  "_eof_param_var_def_seq", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_param_var_def_list",  "_eof_param_var_def_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_param_var_def",  "_eof_param_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_export",  "_eof_opt_export", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_function_def",  "_eof_function_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_in_host_def",  "_eof_in_host_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_struct_var_def",  "_eof_struct_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_struct_key",  "_eof_struct_key", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_struct_def",  "_eof_struct_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_literal_def",  "_eof_literal_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_literal_list",  "_eof_literal_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_literal_item",  "_eof_literal_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_no_ignore_left",  "_eof_no_ignore_left", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_no_ignore_right",  "_eof_no_ignore_right", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_reduction_def",  "_eof_reduction_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_red_nonterm",  "_eof_red_nonterm", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_red_action",  "_eof_red_action", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_host_item",  "_eof_host_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_reduction_item",  "_eof_reduction_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_namespace_def",  "_eof_namespace_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_namespace_item",  "_eof_namespace_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_obj_var_list",  "_eof_obj_var_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_reduce_first",  "_eof_opt_reduce_first", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_cfl_def",  "_eof_cfl_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_region_def",  "_eof_region_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_rl_def",  "_eof_rl_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_lex_expr",  "_eof_opt_lex_expr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_token_def",  "_eof_token_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_ic_def",  "_eof_ic_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_translate",  "_eof_opt_translate", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_id",  "_eof_opt_id", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_ignore_def",  "_eof_ignore_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_prod_el",  "_eof_prod_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_prod_el_name",  "_eof_opt_prod_el_name", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_prod_el_list",  "_eof_prod_el_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_commit",  "_eof_opt_commit", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_prod_name",  "_eof_opt_prod_name", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_prod",  "_eof_prod", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_reduce",  "_eof_opt_reduce", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_prod_list",  "_eof_prod_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_case_clause",  "_eof_case_clause", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_default_clause",  "_eof_default_clause", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_case_clause_list",  "_eof_case_clause_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_statement",  "_eof_statement", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_elsif_list",  "_eof_elsif_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_elsif_clause",  "_eof_elsif_clause", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_optional_else",  "_eof_optional_else", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_call_arg_seq",  "_eof_call_arg_seq", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_call_arg_list",  "_eof_call_arg_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_iter_call",  "_eof_iter_call", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_block_or_single",  "_eof_block_or_single", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_require_pattern",  "_eof_require_pattern", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_require_stmt",  "_eof_opt_require_stmt", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lang_stmt_list",  "_eof_lang_stmt_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_def_init",  "_eof_opt_def_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_var_def",  "_eof_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_print_stmt",  "_eof_print_stmt", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_expr_stmt",  "_eof_expr_stmt", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_code_expr",  "_eof_code_expr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_code_relational",  "_eof_code_relational", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_code_additive",  "_eof_code_additive", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_code_multiplicitive",  "_eof_code_multiplicitive", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_code_unary",  "_eof_code_unary", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_eos",  "_eof_opt_eos", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_code_factor",  "_eof_code_factor", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_type_ref",  "_eof_type_ref", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_region_qual",  "_eof_region_qual", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_repeat",  "_eof_opt_repeat", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_capture",  "_eof_opt_capture", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_field_init",  "_eof_opt_field_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_field_init",  "_eof_field_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_label",  "_eof_opt_label", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_dq_lit_term",  "_eof_dq_lit_term", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_sq_lit_term",  "_eof_sq_lit_term", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_tilde_data",  "_eof_opt_tilde_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pattern_el_lel",  "_eof_pattern_el_lel", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pattern_el",  "_eof_pattern_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_litpat_el",  "_eof_litpat_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pattern_top_el",  "_eof_pattern_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pattern_list",  "_eof_pattern_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pattern",  "_eof_pattern", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_no_trim",  "_eof_opt_no_trim", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_E1",  "_eof_E1", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_E2",  "_eof_E2", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_E3",  "_eof_E3", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_E4",  "_eof_E4", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_cons_el",  "_eof_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lit_cons_el",  "_eof_lit_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_cons_top_el",  "_eof_cons_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_cons_list",  "_eof_cons_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_constructor",  "_eof_constructor", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_accum_el",  "_eof_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lit_accum_el",  "_eof_lit_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_accum_top_el",  "_eof_accum_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_accum_list",  "_eof_accum_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_accumulate",  "_eof_accumulate", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_string_el",  "_eof_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lit_string_el",  "_eof_lit_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_string_top_el",  "_eof_string_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_string_list",  "_eof_string_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_string",  "_eof_string", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_var_ref",  "_eof_var_ref", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_qual",  "_eof_qual", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_expr",  "_eof_lex_expr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_lex_dot",  "_eof_opt_lex_dot", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_term",  "_eof_lex_term", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_factor_rep",  "_eof_lex_factor_rep", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_factor_neg",  "_eof_lex_factor_neg", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_range_lit",  "_eof_lex_range_lit", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_num",  "_eof_lex_num", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_factor",  "_eof_lex_factor", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_reg_or_data",  "_eof_reg_or_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_reg_or_char",  "_eof_reg_or_char", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ign_0x55e16ea22130",  "_eof__ign_0x55e16ea22130", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ign_0x55e16ea570b0",  "_eof__ign_0x55e16ea570b0", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ign_0x55e16ea59bc0",  "_eof__ign_0x55e16ea59bc0", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ign_0x55e16ea5b8b0",  "_eof__ign_0x55e16ea5b8b0", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ign_0x55e16ea5c850",  "_eof__ign_0x55e16ea5c850", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ign_0x55e16ea69ac0",  "_eof__ign_0x55e16ea69ac0", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ign_0x55e16ea89460",  "_eof__ign_0x55e16ea89460", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof___0x55e16ea57150_DEF_PAT_1",  "_eof___0x55e16ea57150_DEF_PAT_1", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof___0x55e16ea59c60_DEF_PAT_2",  "_eof___0x55e16ea59c60_DEF_PAT_2", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof___0x55e16ea5b950_DEF_PAT_3",  "_eof___0x55e16ea5b950_DEF_PAT_3", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof___0x55e16ea69b60_DEF_PAT_4",  "_eof___0x55e16ea69b60_DEF_PAT_4", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof___0x55e16ea89500_DEF_PAT_5",  "_eof___0x55e16ea89500_DEF_PAT_5", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_root_item",  "_eof__repeat_root_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_sq_cons_data",  "_eof__repeat_sq_cons_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_struct_item",  "_eof__repeat_struct_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_reduction_item",  "_eof__repeat_reduction_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_host_item",  "_eof__repeat_host_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_namespace_item",  "_eof__repeat_namespace_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_var_def",  "_eof__repeat_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_statement",  "_eof__repeat_statement", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_field_init",  "_eof__repeat_field_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_litpat_el",  "_eof__repeat_litpat_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_pattern_el",  "_eof__repeat_pattern_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_lit_cons_el",  "_eof__repeat_lit_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_cons_el",  "_eof__repeat_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_lit_accum_el",  "_eof__repeat_lit_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_accum_el",  "_eof__repeat_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_lit_string_el",  "_eof__repeat_lit_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_string_el",  "_eof__repeat_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_any",  "_eof__T_any", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_start",  "_eof__T_start", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_root_item",  "_eof__T_root_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_include",  "_eof__T_include", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_precedence_def",  "_eof__T_precedence_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pred_type",  "_eof__T_pred_type", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pred_token_list",  "_eof__T_pred_token_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pred_token",  "_eof__T_pred_token", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pre_eof_def",  "_eof__T_pre_eof_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_alias_def",  "_eof__T_alias_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_struct_item",  "_eof__T_struct_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_export_def",  "_eof__T_export_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_global_def",  "_eof__T_global_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_iter_def",  "_eof__T_iter_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_reference_type_ref",  "_eof__T_reference_type_ref", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_param_var_def_seq",  "_eof__T_param_var_def_seq", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_param_var_def_list",  "_eof__T_param_var_def_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_param_var_def",  "_eof__T_param_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_export",  "_eof__T_opt_export", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_function_def",  "_eof__T_function_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_in_host_def",  "_eof__T_in_host_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_struct_var_def",  "_eof__T_struct_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_struct_key",  "_eof__T_struct_key", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_struct_def",  "_eof__T_struct_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_literal_def",  "_eof__T_literal_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_literal_list",  "_eof__T_literal_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_literal_item",  "_eof__T_literal_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_no_ignore_left",  "_eof__T_no_ignore_left", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_no_ignore_right",  "_eof__T_no_ignore_right", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_reduction_def",  "_eof__T_reduction_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_red_nonterm",  "_eof__T_red_nonterm", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_red_action",  "_eof__T_red_action", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_host_item",  "_eof__T_host_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_reduction_item",  "_eof__T_reduction_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_namespace_def",  "_eof__T_namespace_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_namespace_item",  "_eof__T_namespace_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_obj_var_list",  "_eof__T_obj_var_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_reduce_first",  "_eof__T_opt_reduce_first", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_cfl_def",  "_eof__T_cfl_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_region_def",  "_eof__T_region_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_rl_def",  "_eof__T_rl_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_lex_expr",  "_eof__T_opt_lex_expr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_token_def",  "_eof__T_token_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_ic_def",  "_eof__T_ic_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_translate",  "_eof__T_opt_translate", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_id",  "_eof__T_opt_id", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_ignore_def",  "_eof__T_ignore_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_prod_el",  "_eof__T_prod_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_prod_el_name",  "_eof__T_opt_prod_el_name", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_prod_el_list",  "_eof__T_prod_el_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_commit",  "_eof__T_opt_commit", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_prod_name",  "_eof__T_opt_prod_name", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_prod",  "_eof__T_prod", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_reduce",  "_eof__T_opt_reduce", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_prod_list",  "_eof__T_prod_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_case_clause",  "_eof__T_case_clause", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_default_clause",  "_eof__T_default_clause", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_case_clause_list",  "_eof__T_case_clause_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_statement",  "_eof__T_statement", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_elsif_list",  "_eof__T_elsif_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_elsif_clause",  "_eof__T_elsif_clause", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_optional_else",  "_eof__T_optional_else", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_call_arg_seq",  "_eof__T_call_arg_seq", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_call_arg_list",  "_eof__T_call_arg_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_iter_call",  "_eof__T_iter_call", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_block_or_single",  "_eof__T_block_or_single", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_require_pattern",  "_eof__T_require_pattern", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_require_stmt",  "_eof__T_opt_require_stmt", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lang_stmt_list",  "_eof__T_lang_stmt_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_def_init",  "_eof__T_opt_def_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_var_def",  "_eof__T_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_print_stmt",  "_eof__T_print_stmt", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_expr_stmt",  "_eof__T_expr_stmt", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_code_expr",  "_eof__T_code_expr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_code_relational",  "_eof__T_code_relational", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_code_additive",  "_eof__T_code_additive", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_code_multiplicitive",  "_eof__T_code_multiplicitive", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_code_unary",  "_eof__T_code_unary", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_eos",  "_eof__T_opt_eos", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_code_factor",  "_eof__T_code_factor", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_type_ref",  "_eof__T_type_ref", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_region_qual",  "_eof__T_region_qual", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_repeat",  "_eof__T_opt_repeat", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_capture",  "_eof__T_opt_capture", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_field_init",  "_eof__T_opt_field_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_field_init",  "_eof__T_field_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_label",  "_eof__T_opt_label", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_dq_lit_term",  "_eof__T_dq_lit_term", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_sq_lit_term",  "_eof__T_sq_lit_term", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_tilde_data",  "_eof__T_opt_tilde_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pattern_el_lel",  "_eof__T_pattern_el_lel", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pattern_el",  "_eof__T_pattern_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_litpat_el",  "_eof__T_litpat_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pattern_top_el",  "_eof__T_pattern_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pattern_list",  "_eof__T_pattern_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pattern",  "_eof__T_pattern", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_no_trim",  "_eof__T_opt_no_trim", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_E1",  "_eof__T_E1", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_E2",  "_eof__T_E2", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_E3",  "_eof__T_E3", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_E4",  "_eof__T_E4", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_cons_el",  "_eof__T_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lit_cons_el",  "_eof__T_lit_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_cons_top_el",  "_eof__T_cons_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_cons_list",  "_eof__T_cons_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_constructor",  "_eof__T_constructor", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_accum_el",  "_eof__T_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lit_accum_el",  "_eof__T_lit_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_accum_top_el",  "_eof__T_accum_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_accum_list",  "_eof__T_accum_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_accumulate",  "_eof__T_accumulate", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_string_el",  "_eof__T_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lit_string_el",  "_eof__T_lit_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_string_top_el",  "_eof__T_string_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_string_list",  "_eof__T_string_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_string",  "_eof__T_string", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_var_ref",  "_eof__T_var_ref", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_qual",  "_eof__T_qual", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lex_expr",  "_eof__T_lex_expr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_lex_dot",  "_eof__T_opt_lex_dot", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lex_term",  "_eof__T_lex_term", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lex_factor_rep",  "_eof__T_lex_factor_rep", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lex_factor_neg",  "_eof__T_lex_factor_neg", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lex_range_lit",  "_eof__T_lex_range_lit", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lex_num",  "_eof__T_lex_num", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lex_factor",  "_eof__T_lex_factor", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_reg_or_data",  "_eof__T_reg_or_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_reg_or_char",  "_eof__T_reg_or_char", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_root_item",  "_eof__T__repeat_root_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_sq_cons_data",  "_eof__T__repeat_sq_cons_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_struct_item",  "_eof__T__repeat_struct_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_reduction_item",  "_eof__T__repeat_reduction_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_host_item",  "_eof__T__repeat_host_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_namespace_item",  "_eof__T__repeat_namespace_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_var_def",  "_eof__T__repeat_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_statement",  "_eof__T__repeat_statement", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_field_init",  "_eof__T__repeat_field_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_litpat_el",  "_eof__T__repeat_litpat_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_pattern_el",  "_eof__T__repeat_pattern_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_lit_cons_el",  "_eof__T__repeat_lit_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_cons_el",  "_eof__T__repeat_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_lit_accum_el",  "_eof__T__repeat_lit_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_accum_el",  "_eof__T__repeat_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_lit_string_el",  "_eof__T__repeat_lit_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_string_el",  "_eof__T__repeat_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_notoken",  "_notoken", 0, 0, 0, 1, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "any",  "any", 0, 0, 0, 0, -1, 0, 0, 0, 173, -1, 0, 0 },
	{ "start",  "start", 0, 0, 0, 0, -1, 148, 0, 0, 174, -1, 0, 0 },
	{ "root_item",  "root_item", 0, 0, 0, 0, -1, 149, 0, 0, 175, -1, 0, 0 },
	{ "include",  "include", 0, 0, 0, 0, -1, 150, 0, 0, 176, -1, 0, 0 },
	{ "precedence_def",  "precedence_def", 0, 0, 0, 0, -1, 151, 0, 0, 177, -1, 0, 0 },
	{ "pred_type",  "pred_type", 0, 0, 0, 0, -1, 152, 0, 0, 178, -1, 0, 0 },
	{ "pred_token_list",  "pred_token_list", 0, 0, 0, 0, -1, 153, 0, 0, 179, -1, 0, 0 },
	{ "pred_token",  "pred_token", 0, 0, 0, 0, -1, 154, 0, 0, 180, -1, 0, 0 },
	{ "pre_eof_def",  "pre_eof_def", 0, 0, 0, 0, -1, 155, 0, 0, 181, -1, 0, 0 },
	{ "alias_def",  "alias_def", 0, 0, 0, 0, -1, 156, 0, 0, 182, -1, 0, 0 },
	{ "struct_item",  "struct_item", 0, 0, 0, 0, -1, 157, 0, 0, 183, -1, 0, 0 },
	{ "export_def",  "export_def", 0, 0, 0, 0, -1, 158, 0, 0, 184, -1, 0, 0 },
	{ "global_def",  "global_def", 0, 0, 0, 0, -1, 159, 0, 0, 185, -1, 0, 0 },
	{ "iter_def",  "iter_def", 0, 0, 0, 0, -1, 160, 0, 0, 186, -1, 0, 0 },
	{ "reference_type_ref",  "reference_type_ref", 0, 0, 0, 0, -1, 161, 0, 0, 187, -1, 0, 0 },
	{ "param_var_def_seq",  "param_var_def_seq", 0, 0, 0, 0, -1, 162, 0, 0, 188, -1, 0, 0 },
	{ "param_var_def_list",  "param_var_def_list", 0, 0, 0, 0, -1, 163, 0, 0, 189, -1, 0, 0 },
	{ "param_var_def",  "param_var_def", 0, 0, 0, 0, -1, 164, 0, 0, 190, -1, 0, 0 },
	{ "opt_export",  "opt_export", 0, 0, 0, 0, -1, 165, 0, 0, 191, -1, 0, 0 },
	{ "function_def",  "function_def", 0, 0, 0, 0, -1, 166, 0, 0, 192, -1, 0, 0 },
	{ "in_host_def",  "in_host_def", 0, 0, 0, 0, -1, 167, 0, 0, 193, -1, 0, 0 },
	{ "struct_var_def",  "struct_var_def", 0, 0, 0, 0, -1, 168, 0, 0, 194, -1, 0, 0 },
	{ "struct_key",  "struct_key", 0, 0, 0, 0, -1, 169, 0, 0, 195, -1, 0, 0 },
	{ "struct_def",  "struct_def", 0, 0, 0, 0, -1, 170, 0, 0, 196, -1, 0, 0 },
	{ "literal_def",  "literal_def", 0, 0, 0, 0, -1, 171, 0, 0, 197, -1, 0, 0 },
	{ "literal_list",  "literal_list", 0, 0, 0, 0, -1, 172, 0, 0, 198, -1, 0, 0 },
	{ "literal_item",  "literal_item", 0, 0, 0, 0, -1, 173, 0, 0, 199, -1, 0, 0 },
	{ "no_ignore_left",  "no_ignore_left", 0, 0, 0, 0, -1, 174, 0, 0, 200, -1, 0, 0 },
	{ "no_ignore_right",  "no_ignore_right", 0, 0, 0, 0, -1, 175, 0, 0, 201, -1, 0, 0 },
	{ "reduction_def",  "reduction_def", 0, 0, 0, 0, -1, 176, 0, 0, 202, -1, 0, 0 },
	{ "red_nonterm",  "red_nonterm", 0, 0, 0, 0, -1, 189, 0, 0, 203, -1, 0, 0 },
	{ "red_action",  "red_action", 0, 0, 0, 0, -1, 190, 0, 0, 204, -1, 0, 0 },
	{ "host_item",  "host_item", 0, 0, 0, 0, -1, 191, 0, 0, 205, -1, 0, 0 },
	{ "reduction_item",  "reduction_item", 0, 0, 0, 0, -1, 192, 0, 0, 206, -1, 0, 0 },
	{ "namespace_def",  "namespace_def", 0, 0, 0, 0, -1, 193, 0, 0, 207, -1, 0, 0 },
	{ "namespace_item",  "namespace_item", 0, 0, 0, 0, -1, 194, 0, 0, 208, -1, 0, 0 },
	{ "obj_var_list",  "obj_var_list", 0, 0, 0, 0, -1, 195, 0, 0, 209, -1, 0, 0 },
	{ "opt_reduce_first",  "opt_reduce_first", 0, 0, 0, 0, -1, 196, 0, 0, 210, -1, 0, 0 },
	{ "cfl_def",  "cfl_def", 0, 0, 0, 0, -1, 197, 0, 0, 211, -1, 0, 0 },
	{ "region_def",  "region_def", 0, 0, 0, 0, -1, 198, 0, 0, 212, -1, 0, 0 },
	{ "rl_def",  "rl_def", 0, 0, 0, 0, -1, 199, 0, 0, 213, -1, 0, 0 },
	{ "opt_lex_expr",  "opt_lex_expr", 0, 0, 0, 0, -1, 200, 0, 0, 214, -1, 0, 0 },
	{ "token_def",  "token_def", 0, 0, 0, 0, -1, 201, 0, 0, 215, -1, 0, 0 },
	{ "ic_def",  "ic_def", 0, 0, 0, 0, -1, 202, 0, 0, 216, -1, 0, 0 },
	{ "opt_translate",  "opt_translate", 0, 0, 0, 0, -1, 203, 0, 0, 217, -1, 0, 0 },
	{ "opt_id",  "opt_id", 0, 0, 0, 0, -1, 204, 0, 0, 218, -1, 0, 0 },
	{ "ignore_def",  "ignore_def", 0, 0, 0, 0, -1, 205, 0, 0, 219, -1, 0, 0 },
	{ "prod_el",  "prod_el", 0, 0, 0, 0, -1, 206, 0, 0, 220, -1, 0, 0 },
	{ "opt_prod_el_name",  "opt_prod_el_name", 0, 0, 0, 0, -1, 207, 0, 0, 221, -1, 0, 0 },
	{ "prod_el_list",  "prod_el_list", 0, 0, 0, 0, -1, 208, 0, 0, 222, -1, 0, 0 },
	{ "opt_commit",  "opt_commit", 0, 0, 0, 0, -1, 209, 0, 0, 223, -1, 0, 0 },
	{ "opt_prod_name",  "opt_prod_name", 0, 0, 0, 0, -1, 210, 0, 0, 224, -1, 0, 0 },
	{ "prod",  "prod", 0, 0, 0, 0, -1, 211, 0, 0, 225, -1, 0, 0 },
	{ "opt_reduce",  "opt_reduce", 0, 0, 0, 0, -1, 212, 0, 0, 226, -1, 0, 0 },
	{ "prod_list",  "prod_list", 0, 0, 0, 0, -1, 213, 0, 0, 227, -1, 0, 0 },
	{ "case_clause",  "case_clause", 0, 0, 0, 0, -1, 214, 0, 0, 228, -1, 0, 0 },
	{ "default_clause",  "default_clause", 0, 0, 0, 0, -1, 215, 0, 0, 229, -1, 0, 0 },
	{ "case_clause_list",  "case_clause_list", 0, 0, 0, 0, -1, 216, 0, 0, 230, -1, 0, 0 },
	{ "statement",  "statement", 0, 0, 0, 0, -1, 217, 0, 0, 231, -1, 0, 0 },
	{ "elsif_list",  "elsif_list", 0, 0, 0, 0, -1, 218, 0, 0, 232, -1, 0, 0 },
	{ "elsif_clause",  "elsif_clause", 0, 0, 0, 0, -1, 219, 0, 0, 233, -1, 0, 0 },
	{ "optional_else",  "optional_else", 0, 0, 0, 0, -1, 220, 0, 0, 234, -1, 0, 0 },
	{ "call_arg_seq",  "call_arg_seq", 0, 0, 0, 0, -1, 221, 0, 0, 235, -1, 0, 0 },
	{ "call_arg_list",  "call_arg_list", 0, 0, 0, 0, -1, 222, 0, 0, 236, -1, 0, 0 },
	{ "iter_call",  "iter_call", 0, 0, 0, 0, -1, 223, 0, 0, 237, -1, 0, 0 },
	{ "block_or_single",  "block_or_single", 0, 0, 0, 0, -1, 224, 0, 0, 238, -1, 0, 0 },
	{ "require_pattern",  "require_pattern", 0, 0, 0, 0, -1, 225, 0, 0, 239, -1, 0, 0 },
	{ "opt_require_stmt",  "opt_require_stmt", 0, 0, 0, 0, -1, 226, 0, 0, 240, -1, 0, 0 },
	{ "lang_stmt_list",  "lang_stmt_list", 0, 0, 0, 0, -1, 227, 0, 0, 241, -1, 0, 0 },
	{ "opt_def_init",  "opt_def_init", 0, 0, 0, 0, -1, 228, 0, 0, 242, -1, 0, 0 },
	{ "var_def",  "var_def", 0, 0, 0, 0, -1, 229, 0, 0, 243, -1, 0, 0 },
	{ "print_stmt",  "print_stmt", 0, 0, 0, 0, -1, 230, 0, 0, 244, -1, 0, 0 },
	{ "expr_stmt",  "expr_stmt", 0, 0, 0, 0, -1, 231, 0, 0, 245, -1, 0, 0 },
	{ "code_expr",  "code_expr", 0, 0, 0, 0, -1, 232, 0, 0, 246, -1, 0, 0 },
	{ "code_relational",  "code_relational", 0, 0, 0, 0, -1, 233, 0, 0, 247, -1, 0, 0 },
	{ "code_additive",  "code_additive", 0, 0, 0, 0, -1, 234, 0, 0, 248, -1, 0, 0 },
	{ "code_multiplicitive",  "code_multiplicitive", 0, 0, 0, 0, -1, 235, 0, 0, 249, -1, 0, 0 },
	{ "code_unary",  "code_unary", 0, 0, 0, 0, -1, 236, 0, 0, 250, -1, 0, 0 },
	{ "opt_eos",  "opt_eos", 0, 0, 0, 0, -1, 237, 0, 0, 251, -1, 0, 0 },
	{ "code_factor",  "code_factor", 0, 0, 0, 0, -1, 238, 0, 0, 252, -1, 0, 0 },
	{ "type_ref",  "type_ref", 0, 0, 0, 0, -1, 239, 0, 0, 253, -1, 0, 0 },
	{ "region_qual",  "region_qual", 0, 0, 0, 0, -1, 240, 0, 0, 254, -1, 0, 0 },
	{ "opt_repeat",  "opt_repeat", 0, 0, 0, 0, -1, 241, 0, 0, 255, -1, 0, 0 },
	{ "opt_capture",  "opt_capture", 0, 0, 0, 0, -1, 242, 0, 0, 256, -1, 0, 0 },
	{ "opt_field_init",  "opt_field_init", 0, 0, 0, 0, -1, 243, 0, 0, 257, -1, 0, 0 },
	{ "field_init",  "field_init", 0, 0, 0, 0, -1, 244, 0, 0, 258, -1, 0, 0 },
	{ "opt_label",  "opt_label", 0, 0, 0, 0, -1, 245, 0, 0, 259, -1, 0, 0 },
	{ "dq_lit_term",  "dq_lit_term", 0, 0, 0, 0, -1, 246, 0, 0, 260, -1, 0, 0 },
	{ "sq_lit_term",  "sq_lit_term", 0, 0, 0, 0, -1, 247, 0, 0, 261, -1, 0, 0 },
	{ "opt_tilde_data",  "opt_tilde_data", 0, 0, 0, 0, -1, 248, 0, 0, 262, -1, 0, 0 },
	{ "pattern_el_lel",  "pattern_el_lel", 0, 0, 0, 0, -1, 249, 0, 0, 263, -1, 0, 0 },
	{ "pattern_el",  "pattern_el", 0, 0, 0, 0, -1, 250, 0, 0, 264, -1, 0, 0 },
	{ "litpat_el",  "litpat_el", 0, 0, 0, 0, -1, 251, 0, 0, 265, -1, 0, 0 },
	{ "pattern_top_el",  "pattern_top_el", 0, 0, 0, 0, -1, 252, 0, 0, 266, -1, 0, 0 },
	{ "pattern_list",  "pattern_list", 0, 0, 0, 0, -1, 253, 0, 0, 267, -1, 0, 0 },
	{ "pattern",  "pattern", 0, 0, 0, 0, -1, 254, 0, 0, 268, -1, 0, 0 },
	{ "opt_no_trim",  "opt_no_trim", 0, 0, 0, 0, -1, 255, 0, 0, 269, -1, 0, 0 },
	{ "E1",  "E1", 0, 0, 0, 0, -1, 256, 0, 0, 270, -1, 0, 0 },
	{ "E2",  "E2", 0, 0, 0, 0, -1, 257, 0, 0, 271, -1, 0, 0 },
	{ "E3",  "E3", 0, 0, 0, 0, -1, 258, 0, 0, 272, -1, 0, 0 },
	{ "E4",  "E4", 0, 0, 0, 0, -1, 259, 0, 0, 273, -1, 0, 0 },
	{ "cons_el",  "cons_el", 0, 0, 0, 0, -1, 260, 0, 0, 274, -1, 0, 0 },
	{ "lit_cons_el",  "lit_cons_el", 0, 0, 0, 0, -1, 261, 0, 0, 275, -1, 0, 0 },
	{ "cons_top_el",  "cons_top_el", 0, 0, 0, 0, -1, 262, 0, 0, 276, -1, 0, 0 },
	{ "cons_list",  "cons_list", 0, 0, 0, 0, -1, 263, 0, 0, 277, -1, 0, 0 },
	{ "constructor",  "constructor", 0, 0, 0, 0, -1, 264, 0, 0, 278, -1, 0, 0 },
	{ "accum_el",  "accum_el", 0, 0, 0, 0, -1, 265, 0, 0, 279, -1, 0, 0 },
	{ "lit_accum_el",  "lit_accum_el", 0, 0, 0, 0, -1, 266, 0, 0, 280, -1, 0, 0 },
	{ "accum_top_el",  "accum_top_el", 0, 0, 0, 0, -1, 267, 0, 0, 281, -1, 0, 0 },
	{ "accum_list",  "accum_list", 0, 0, 0, 0, -1, 268, 0, 0, 282, -1, 0, 0 },
	{ "accumulate",  "accumulate", 0, 0, 0, 0, -1, 269, 0, 0, 283, -1, 0, 0 },
	{ "string_el",  "string_el", 0, 0, 0, 0, -1, 270, 0, 0, 284, -1, 0, 0 },
	{ "lit_string_el",  "lit_string_el", 0, 0, 0, 0, -1, 271, 0, 0, 285, -1, 0, 0 },
	{ "string_top_el",  "string_top_el", 0, 0, 0, 0, -1, 272, 0, 0, 286, -1, 0, 0 },
	{ "string_list",  "string_list", 0, 0, 0, 0, -1, 273, 0, 0, 287, -1, 0, 0 },
	{ "string",  "string", 0, 0, 0, 0, -1, 274, 0, 0, 288, -1, 0, 0 },
	{ "var_ref",  "var_ref", 0, 0, 0, 0, -1, 275, 0, 0, 289, -1, 0, 0 },
	{ "qual",  "qual", 0, 0, 0, 0, -1, 276, 0, 0, 290, -1, 0, 0 },
	{ "lex_expr",  "lex_expr", 0, 0, 0, 0, -1, 277, 0, 0, 291, -1, 0, 0 },
	{ "opt_lex_dot",  "opt_lex_dot", 0, 0, 0, 0, -1, 278, 0, 0, 292, -1, 0, 0 },
	{ "lex_term",  "lex_term", 0, 0, 0, 0, -1, 279, 0, 0, 293, -1, 0, 0 },
	{ "lex_factor_rep",  "lex_factor_rep", 0, 0, 0, 0, -1, 280, 0, 0, 294, -1, 0, 0 },
	{ "lex_factor_neg",  "lex_factor_neg", 0, 0, 0, 0, -1, 281, 0, 0, 295, -1, 0, 0 },
	{ "lex_range_lit",  "lex_range_lit", 0, 0, 0, 0, -1, 282, 0, 0, 296, -1, 0, 0 },
	{ "lex_num",  "lex_num", 0, 0, 0, 0, -1, 283, 0, 0, 297, -1, 0, 0 },
	{ "lex_factor",  "lex_factor", 0, 0, 0, 0, -1, 284, 0, 0, 298, -1, 0, 0 },
	{ "reg_or_data",  "reg_or_data", 0, 0, 0, 0, -1, 285, 0, 0, 299, -1, 0, 0 },
	{ "reg_or_char",  "reg_or_char", 0, 0, 0, 0, -1, 286, 0, 0, 300, -1, 0, 0 },
	{ "_repeat_root_item",  "_repeat_root_item", 1, 0, 0, 0, -1, 0, 0, 0, 301, -1, 0, 0 },
	{ "_repeat_sq_cons_data",  "_repeat_sq_cons_data", 1, 0, 0, 0, -1, 0, 0, 0, 302, -1, 0, 0 },
	{ "_repeat_struct_item",  "_repeat_struct_item", 1, 0, 0, 0, -1, 0, 0, 0, 303, -1, 0, 0 },
	{ "_repeat_reduction_item",  "_repeat_reduction_item", 1, 0, 0, 0, -1, 0, 0, 0, 304, -1, 0, 0 },
	{ "_repeat_host_item",  "_repeat_host_item", 1, 0, 0, 0, -1, 0, 0, 0, 305, -1, 0, 0 },
	{ "_repeat_namespace_item",  "_repeat_namespace_item", 1, 0, 0, 0, -1, 0, 0, 0, 306, -1, 0, 0 },
	{ "_repeat_var_def",  "_repeat_var_def", 1, 0, 0, 0, -1, 0, 0, 0, 307, -1, 0, 0 },
	{ "_repeat_statement",  "_repeat_statement", 1, 0, 0, 0, -1, 0, 0, 0, 308, -1, 0, 0 },
	{ "_repeat_field_init",  "_repeat_field_init", 1, 0, 0, 0, -1, 0, 0, 0, 309, -1, 0, 0 },
	{ "_repeat_litpat_el",  "_repeat_litpat_el", 1, 0, 0, 0, -1, 0, 0, 0, 310, -1, 0, 0 },
	{ "_repeat_pattern_el",  "_repeat_pattern_el", 1, 0, 0, 0, -1, 0, 0, 0, 311, -1, 0, 0 },
	{ "_repeat_lit_cons_el",  "_repeat_lit_cons_el", 1, 0, 0, 0, -1, 0, 0, 0, 312, -1, 0, 0 },
	{ "_repeat_cons_el",  "_repeat_cons_el", 1, 0, 0, 0, -1, 0, 0, 0, 313, -1, 0, 0 },
	{ "_repeat_lit_accum_el",  "_repeat_lit_accum_el", 1, 0, 0, 0, -1, 0, 0, 0, 314, -1, 0, 0 },
	{ "_repeat_accum_el",  "_repeat_accum_el", 1, 0, 0, 0, -1, 0, 0, 0, 315, -1, 0, 0 },
	{ "_repeat_lit_string_el",  "_repeat_lit_string_el", 1, 0, 0, 0, -1, 0, 0, 0, 316, -1, 0, 0 },
	{ "_repeat_string_el",  "_repeat_string_el", 1, 0, 0, 0, -1, 0, 0, 0, 317, -1, 0, 0 },
	{ "_root",  "_root", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 }
};

static short struct_trees_0[] = {
	0, 1, 3, 
};

static short struct_trees_2[] = {
	0, 
};

static struct struct_el_info parser_selInfo[] = {
	{ 4, struct_trees_0, 3,  },
	{ 0, 0, 0,  },
	{ 3, struct_trees_2, 1,  },

};

static struct frame_info parser_frameInfo[] = {
	{ "", 0, 0, 0, 0, locals_0, 2, 0, 2 }
};

static struct prod_info parser_prodInfo[] = {
	{ 782, 0, 1, "start-1", -1, 1, copy_0, 1,  },
	{ 783, 0, 1, "root_item-1", -1, 1, copy_1, 1,  },
	{ 783, 1, 1, "root_item-2", -1, 1, copy_2, 1,  },
	{ 783, 2, 1, "root_item-3", -1, 1, copy_3, 1,  },
	{ 783, 3, 1, "root_item-4", -1, 1, copy_4, 1,  },
	{ 783, 4, 1, "root_item-5", -1, 1, copy_5, 1,  },
	{ 783, 5, 1, "root_item-6", -1, 1, copy_6, 1,  },
	{ 783, 6, 1, "root_item-7", -1, 1, copy_7, 1,  },
	{ 783, 7, 1, "root_item-8", -1, 1, copy_8, 1,  },
	{ 783, 8, 1, "root_item-9", -1, 1, copy_9, 1,  },
	{ 783, 9, 1, "root_item-10", -1, 1, copy_10, 1,  },
	{ 783, 10, 1, "root_item-11", -1, 1, copy_11, 1,  },
	{ 783, 11, 1, "root_item-12", -1, 1, copy_12, 1,  },
	{ 783, 12, 1, "root_item-13", -1, 1, copy_13, 1,  },
	{ 783, 13, 1, "root_item-14", -1, 1, copy_14, 1,  },
	{ 783, 14, 1, "root_item-15", -1, 1, copy_15, 1,  },
	{ 783, 15, 1, "root_item-16", -1, 1, copy_16, 1,  },
	{ 783, 16, 1, "root_item-17", -1, 1, copy_17, 1,  },
	{ 783, 17, 1, "root_item-18", -1, 1, copy_18, 1,  },
	{ 783, 18, 1, "root_item-19", -1, 1, copy_19, 1,  },
	{ 783, 19, 1, "root_item-20", -1, 1, copy_20, 1,  },
	{ 784, 0, 4, "include-1", -1, 1, copy_21, 4,  },
	{ 785, 0, 2, "precedence_def-1", -1, 1, copy_22, 2,  },
	{ 786, 0, 1, "pred_type-1", -1, 1, copy_23, 1,  },
	{ 786, 1, 1, "pred_type-2", -1, 1, copy_24, 1,  },
	{ 786, 2, 1, "pred_type-3", -1, 1, copy_25, 1,  },
	{ 787, 0, 3, "pred_token_list-1", -1, 1, copy_26, 3,  },
	{ 787, 1, 1, "pred_token_list-2", -1, 1, copy_27, 1,  },
	{ 788, 0, 2, "pred_token-1", -1, 1, copy_28, 2,  },
	{ 788, 1, 2, "pred_token-2", -1, 1, copy_29, 2,  },
	{ 789, 0, 4, "pre_eof_def-1", -1, 1, copy_30, 4,  },
	{ 790, 0, 3, "alias_def-1", -1, 1, copy_31, 3,  },
	{ 791, 0, 1, "struct_item-1", -1, 1, copy_32, 1,  },
	{ 791, 1, 1, "struct_item-2", -1, 1, copy_33, 1,  },
	{ 791, 2, 1, "struct_item-3", -1, 1, copy_34, 1,  },
	{ 791, 3, 1, "struct_item-4", -1, 1, copy_35, 1,  },
	{ 791, 4, 1, "struct_item-5", -1, 1, copy_36, 1,  },
	{ 791, 5, 1, "struct_item-6", -1, 1, copy_37, 1,  },
	{ 791, 6, 1, "struct_item-7", -1, 1, copy_38, 1,  },
	{ 791, 7, 1, "struct_item-8", -1, 1, copy_39, 1,  },
	{ 791, 8, 1, "struct_item-9", -1, 1, copy_40, 1,  },
	{ 791, 9, 1, "struct_item-10", -1, 1, copy_41, 1,  },
	{ 791, 10, 1, "struct_item-11", -1, 1, copy_42, 1,  },
	{ 791, 11, 1, "struct_item-12", -1, 1, copy_43, 1,  },
	{ 791, 12, 1, "struct_item-13", -1, 1, copy_44, 1,  },
	{ 791, 13, 1, "struct_item-14", -1, 1, copy_45, 1,  },
	{ 791, 14, 1, "struct_item-15", -1, 1, copy_46, 1,  },
	{ 791, 15, 1, "struct_item-16", -1, 1, copy_47, 1,  },
	{ 792, 0, 3, "export_def-1", -1, 1, copy_48, 3,  },
	{ 793, 0, 3, "global_def-1", -1, 1, copy_49, 3,  },
	{ 794, 0, 8, "iter_def-1", -1, 1, copy_50, 8,  },
	{ 795, 0, 4, "reference_type_ref-1", -1, 1, copy_51, 4,  },
	{ 796, 0, 3, "param_var_def_seq-1", -1, 1, copy_52, 3,  },
	{ 796, 1, 1, "param_var_def_seq-2", -1, 1, copy_53, 1,  },
	{ 797, 0, 1, "param_var_def_list-1", -1, 1, copy_54, 1,  },
	{ 797, 1, 0, "param_var_def_list-2", -1, 1, 0, 0,  },
	{ 798, 0, 3, "param_var_def-1", -1, 1, copy_56, 3,  },
	{ 798, 1, 3, "param_var_def-2", -1, 1, copy_57, 3,  },
	{ 799, 0, 1, "opt_export-1", -1, 1, copy_58, 1,  },
	{ 799, 1, 0, "opt_export-2", -1, 1, 0, 0,  },
	{ 800, 0, 9, "function_def-1", -1, 1, copy_60, 9,  },
	{ 801, 0, 8, "in_host_def-1", -1, 1, copy_61, 8,  },
	{ 802, 0, 1, "struct_var_def-1", -1, 1, copy_62, 1,  },
	{ 803, 0, 1, "struct_key-1", -1, 1, copy_63, 1,  },
	{ 803, 1, 1, "struct_key-2", -1, 1, copy_64, 1,  },
	{ 804, 0, 4, "struct_def-1", -1, 1, copy_65, 4,  },
	{ 805, 0, 2, "literal_def-1", -1, 1, copy_66, 2,  },
	{ 806, 0, 2, "literal_list-1", -1, 1, copy_67, 2,  },
	{ 806, 1, 1, "literal_list-2", -1, 1, copy_68, 1,  },
	{ 807, 0, 3, "literal_item-1", -1, 1, copy_69, 3,  },
	{ 808, 0, 2, "no_ignore_left-1", -1, 1, copy_70, 2,  },
	{ 808, 1, 0, "no_ignore_left-2", -1, 1, 0, 0,  },
	{ 809, 0, 2, "no_ignore_right-1", -1, 1, copy_72, 2,  },
	{ 809, 1, 0, "no_ignore_right-2", -1, 1, 0, 0,  },
	{ 810, 0, 4, "reduction_def-1", -1, 1, copy_74, 4,  },
	{ 811, 0, 4, "red_nonterm-1", -1, 1, copy_75, 4,  },
	{ 812, 0, 6, "red_action-1", -1, 1, copy_76, 6,  },
	{ 813, 0, 1, "host_item-1", -1, 1, copy_77, 1,  },
	{ 813, 1, 1, "host_item-2", -1, 1, copy_78, 1,  },
	{ 813, 2, 1, "host_item-3", -1, 1, copy_79, 1,  },
	{ 813, 3, 1, "host_item-4", -1, 1, copy_80, 1,  },
	{ 813, 4, 1, "host_item-5", -1, 1, copy_81, 1,  },
	{ 813, 5, 1, "host_item-6", -1, 1, copy_82, 1,  },
	{ 813, 6, 1, "host_item-7", -1, 1, copy_83, 1,  },
	{ 813, 7, 1, "host_item-8", -1, 1, copy_84, 1,  },
	{ 813, 8, 1, "host_item-9", -1, 1, copy_85, 1,  },
	{ 813, 9, 1, "host_item-10", -1, 1, copy_86, 1,  },
	{ 813, 10, 3, "host_item-11", -1, 1, copy_87, 3,  },
	{ 814, 0, 1, "reduction_item-1", -1, 1, copy_88, 1,  },
	{ 814, 1, 1, "reduction_item-2", -1, 1, copy_89, 1,  },
	{ 815, 0, 4, "namespace_def-1", -1, 1, copy_90, 4,  },
	{ 816, 0, 1, "namespace_item-1", -1, 1, copy_91, 1,  },
	{ 816, 1, 1, "namespace_item-2", -1, 1, copy_92, 1,  },
	{ 816, 2, 1, "namespace_item-3", -1, 1, copy_93, 1,  },
	{ 816, 3, 1, "namespace_item-4", -1, 1, copy_94, 1,  },
	{ 816, 4, 1, "namespace_item-5", -1, 1, copy_95, 1,  },
	{ 816, 5, 1, "namespace_item-6", -1, 1, copy_96, 1,  },
	{ 816, 6, 1, "namespace_item-7", -1, 1, copy_97, 1,  },
	{ 816, 7, 1, "namespace_item-8", -1, 1, copy_98, 1,  },
	{ 816, 8, 1, "namespace_item-9", -1, 1, copy_99, 1,  },
	{ 816, 9, 1, "namespace_item-10", -1, 1, copy_100, 1,  },
	{ 816, 10, 1, "namespace_item-11", -1, 1, copy_101, 1,  },
	{ 816, 11, 1, "namespace_item-12", -1, 1, copy_102, 1,  },
	{ 816, 12, 1, "namespace_item-13", -1, 1, copy_103, 1,  },
	{ 816, 13, 1, "namespace_item-14", -1, 1, copy_104, 1,  },
	{ 816, 14, 1, "namespace_item-15", -1, 1, copy_105, 1,  },
	{ 816, 15, 1, "namespace_item-16", -1, 1, copy_106, 1,  },
	{ 816, 16, 1, "namespace_item-17", -1, 1, copy_107, 1,  },
	{ 817, 0, 0, "obj_var_list-1", -1, 1, 0, 0,  },
	{ 818, 0, 1, "opt_reduce_first-1", -1, 1, copy_109, 1,  },
	{ 818, 1, 0, "opt_reduce_first-2", -1, 1, 0, 0,  },
	{ 819, 0, 5, "cfl_def-1", -1, 1, copy_111, 5,  },
	{ 820, 0, 3, "region_def-1", -1, 1, copy_112, 3,  },
	{ 821, 0, 5, "rl_def-1", -1, 1, copy_113, 5,  },
	{ 822, 0, 1, "opt_lex_expr-1", -1, 1, copy_114, 1,  },
	{ 822, 1, 0, "opt_lex_expr-2", -1, 1, 0, 0,  },
	{ 823, 0, 9, "token_def-1", -1, 1, copy_116, 9,  },
	{ 824, 0, 3, "ic_def-1", -1, 1, copy_117, 3,  },
	{ 825, 0, 3, "opt_translate-1", -1, 1, copy_118, 3,  },
	{ 825, 1, 0, "opt_translate-2", -1, 1, 0, 0,  },
	{ 826, 0, 1, "opt_id-1", -1, 1, copy_120, 1,  },
	{ 826, 1, 0, "opt_id-2", -1, 1, 0, 0,  },
	{ 827, 0, 5, "ignore_def-1", -1, 1, copy_122, 5,  },
	{ 828, 0, 4, "prod_el-1", -1, 1, copy_123, 4,  },
	{ 828, 1, 4, "prod_el-2", -1, 1, copy_124, 4,  },
	{ 829, 0, 2, "opt_prod_el_name-1", -1, 1, copy_125, 2,  },
	{ 829, 1, 0, "opt_prod_el_name-2", -1, 1, 0, 0,  },
	{ 830, 0, 2, "prod_el_list-1", -1, 1, copy_127, 2,  },
	{ 830, 1, 0, "prod_el_list-2", -1, 1, 0, 0,  },
	{ 831, 0, 1, "opt_commit-1", -1, 1, copy_129, 1,  },
	{ 831, 1, 0, "opt_commit-2", -1, 1, 0, 0,  },
	{ 832, 0, 2, "opt_prod_name-1", -1, 1, copy_131, 2,  },
	{ 832, 1, 0, "opt_prod_name-2", -1, 1, 0, 0,  },
	{ 833, 0, 6, "prod-1", -1, 1, copy_133, 6,  },
	{ 834, 0, 3, "opt_reduce-1", -1, 1, copy_134, 3,  },
	{ 834, 1, 0, "opt_reduce-2", -1, 1, 0, 0,  },
	{ 835, 0, 3, "prod_list-1", -1, 1, copy_136, 3,  },
	{ 835, 1, 1, "prod_list-2", -1, 1, copy_137, 1,  },
	{ 836, 0, 3, "case_clause-1", -1, 1, copy_138, 3,  },
	{ 837, 0, 2, "default_clause-1", -1, 1, copy_139, 2,  },
	{ 838, 0, 2, "case_clause_list-1", -1, 1, copy_140, 2,  },
	{ 838, 1, 1, "case_clause_list-2", -1, 1, copy_141, 1,  },
	{ 838, 2, 1, "case_clause_list-3", -1, 1, copy_142, 1,  },
	{ 839, 0, 1, "statement-1", -1, 1, copy_143, 1,  },
	{ 839, 1, 1, "statement-2", -1, 1, copy_144, 1,  },
	{ 839, 2, 2, "statement-3", -1, 1, copy_145, 2,  },
	{ 839, 3, 7, "statement-4", -1, 1, copy_146, 7,  },
	{ 839, 4, 4, "statement-5", -1, 1, copy_147, 4,  },
	{ 839, 5, 3, "statement-6", -1, 1, copy_148, 3,  },
	{ 839, 6, 5, "statement-7", -1, 1, copy_149, 5,  },
	{ 839, 7, 3, "statement-8", -1, 1, copy_150, 3,  },
	{ 839, 8, 3, "statement-9", -1, 1, copy_151, 3,  },
	{ 839, 9, 2, "statement-10", -1, 1, copy_152, 2,  },
	{ 839, 10, 2, "statement-11", -1, 1, copy_153, 2,  },
	{ 839, 11, 1, "statement-12", -1, 1, copy_154, 1,  },
	{ 839, 12, 1, "statement-13", -1, 1, copy_155, 1,  },
	{ 840, 0, 2, "elsif_list-1", -1, 1, copy_156, 2,  },
	{ 840, 1, 1, "elsif_list-2", -1, 1, copy_157, 1,  },
	{ 841, 0, 3, "elsif_clause-1", -1, 1, copy_158, 3,  },
	{ 842, 0, 2, "optional_else-1", -1, 1, copy_159, 2,  },
	{ 842, 1, 0, "optional_else-2", -1, 1, 0, 0,  },
	{ 843, 0, 3, "call_arg_seq-1", -1, 1, copy_161, 3,  },
	{ 843, 1, 1, "call_arg_seq-2", -1, 1, copy_162, 1,  },
	{ 844, 0, 1, "call_arg_list-1", -1, 1, copy_163, 1,  },
	{ 844, 1, 0, "call_arg_list-2", -1, 1, 0, 0,  },
	{ 845, 0, 5, "iter_call-1", -1, 1, copy_165, 5,  },
	{ 845, 1, 2, "iter_call-2", -1, 1, copy_166, 2,  },
	{ 845, 2, 2, "iter_call-3", -1, 1, copy_167, 2,  },
	{ 846, 0, 3, "block_or_single-1", -1, 1, copy_168, 3,  },
	{ 846, 1, 1, "block_or_single-2", -1, 1, copy_169, 1,  },
	{ 847, 0, 3, "require_pattern-1", -1, 1, copy_170, 3,  },
	{ 848, 0, 2, "opt_require_stmt-1", -1, 1, copy_171, 2,  },
	{ 848, 1, 0, "opt_require_stmt-2", -1, 1, 0, 0,  },
	{ 849, 0, 2, "lang_stmt_list-1", -1, 1, copy_173, 2,  },
	{ 850, 0, 2, "opt_def_init-1", -1, 1, copy_174, 2,  },
	{ 850, 1, 0, "opt_def_init-2", -1, 1, 0, 0,  },
	{ 851, 0, 3, "var_def-1", -1, 1, copy_176, 3,  },
	{ 852, 0, 4, "print_stmt-1", -1, 1, copy_177, 4,  },
	{ 852, 1, 4, "print_stmt-2", -1, 1, copy_178, 4,  },
	{ 852, 2, 4, "print_stmt-3", -1, 1, copy_179, 4,  },
	{ 852, 3, 4, "print_stmt-4", -1, 1, copy_180, 4,  },
	{ 852, 4, 2, "print_stmt-5", -1, 1, copy_181, 2,  },
	{ 853, 0, 1, "expr_stmt-1", -1, 1, copy_182, 1,  },
	{ 854, 0, 3, "code_expr-1", -1, 1, copy_183, 3,  },
	{ 854, 1, 3, "code_expr-2", -1, 1, copy_184, 3,  },
	{ 854, 2, 1, "code_expr-3", -1, 1, copy_185, 1,  },
	{ 855, 0, 3, "code_relational-1", -1, 1, copy_186, 3,  },
	{ 855, 1, 3, "code_relational-2", -1, 1, copy_187, 3,  },
	{ 855, 2, 3, "code_relational-3", -1, 1, copy_188, 3,  },
	{ 855, 3, 3, "code_relational-4", -1, 1, copy_189, 3,  },
	{ 855, 4, 3, "code_relational-5", -1, 1, copy_190, 3,  },
	{ 855, 5, 3, "code_relational-6", -1, 1, copy_191, 3,  },
	{ 855, 6, 1, "code_relational-7", -1, 1, copy_192, 1,  },
	{ 856, 0, 3, "code_additive-1", -1, 1, copy_193, 3,  },
	{ 856, 1, 3, "code_additive-2", -1, 1, copy_194, 3,  },
	{ 856, 2, 1, "code_additive-3", -1, 1, copy_195, 1,  },
	{ 857, 0, 3, "code_multiplicitive-1", -1, 1, copy_196, 3,  },
	{ 857, 1, 3, "code_multiplicitive-2", -1, 1, copy_197, 3,  },
	{ 857, 2, 1, "code_multiplicitive-3", -1, 1, copy_198, 1,  },
	{ 858, 0, 2, "code_unary-1", -1, 1, copy_199, 2,  },
	{ 858, 1, 2, "code_unary-2", -1, 1, copy_200, 2,  },
	{ 858, 2, 3, "code_unary-3", -1, 1, copy_201, 3,  },
	{ 858, 3, 2, "code_unary-4", -1, 1, copy_202, 2,  },
	{ 858, 4, 2, "code_unary-5", -1, 1, copy_203, 2,  },
	{ 858, 5, 1, "code_unary-6", -1, 1, copy_204, 1,  },
	{ 859, 0, 1, "opt_eos-1", -1, 1, copy_205, 1,  },
	{ 859, 1, 1, "opt_eos-2", -1, 1, copy_206, 1,  },
	{ 859, 2, 0, "opt_eos-3", -1, 1, 0, 0,  },
	{ 860, 0, 1, "code_factor-1", -1, 1, copy_208, 1,  },
	{ 860, 1, 4, "code_factor-2", -1, 1, copy_209, 4,  },
	{ 860, 2, 1, "code_factor-3", -1, 1, copy_210, 1,  },
	{ 860, 3, 1, "code_factor-4", -1, 1, copy_211, 1,  },
	{ 860, 4, 1, "code_factor-5", -1, 1, copy_212, 1,  },
	{ 860, 5, 1, "code_factor-6", -1, 1, copy_213, 1,  },
	{ 860, 6, 3, "code_factor-7", -1, 1, copy_214, 3,  },
	{ 860, 7, 4, "code_factor-8", -1, 1, copy_215, 4,  },
	{ 860, 8, 4, "code_factor-9", -1, 1, copy_216, 4,  },
	{ 860, 9, 5, "code_factor-10", -1, 1, copy_217, 5,  },
	{ 860, 10, 5, "code_factor-11", -1, 1, copy_218, 5,  },
	{ 860, 11, 5, "code_factor-12", -1, 1, copy_219, 5,  },
	{ 860, 12, 5, "code_factor-13", -1, 1, copy_220, 5,  },
	{ 860, 13, 5, "code_factor-14", -1, 1, copy_221, 5,  },
	{ 860, 14, 3, "code_factor-15", -1, 1, copy_222, 3,  },
	{ 860, 15, 1, "code_factor-16", -1, 1, copy_223, 1,  },
	{ 860, 16, 3, "code_factor-17", -1, 1, copy_224, 3,  },
	{ 860, 17, 4, "code_factor-18", -1, 1, copy_225, 4,  },
	{ 860, 18, 4, "code_factor-19", -1, 1, copy_226, 4,  },
	{ 860, 19, 4, "code_factor-20", -1, 1, copy_227, 4,  },
	{ 860, 20, 6, "code_factor-21", -1, 1, copy_228, 6,  },
	{ 860, 21, 5, "code_factor-22", -1, 1, copy_229, 5,  },
	{ 861, 0, 3, "type_ref-1", -1, 1, copy_230, 3,  },
	{ 861, 1, 1, "type_ref-2", -1, 1, copy_231, 1,  },
	{ 861, 2, 1, "type_ref-3", -1, 1, copy_232, 1,  },
	{ 861, 3, 4, "type_ref-4", -1, 1, copy_233, 4,  },
	{ 861, 4, 4, "type_ref-5", -1, 1, copy_234, 4,  },
	{ 861, 5, 6, "type_ref-6", -1, 1, copy_235, 6,  },
	{ 861, 6, 4, "type_ref-7", -1, 1, copy_236, 4,  },
	{ 861, 7, 6, "type_ref-8", -1, 1, copy_237, 6,  },
	{ 862, 0, 3, "region_qual-1", -1, 1, copy_238, 3,  },
	{ 862, 1, 0, "region_qual-2", -1, 1, 0, 0,  },
	{ 863, 0, 1, "opt_repeat-1", -1, 1, copy_240, 1,  },
	{ 863, 1, 1, "opt_repeat-2", -1, 1, copy_241, 1,  },
	{ 863, 2, 1, "opt_repeat-3", -1, 1, copy_242, 1,  },
	{ 863, 3, 0, "opt_repeat-4", -1, 1, 0, 0,  },
	{ 864, 0, 2, "opt_capture-1", -1, 1, copy_244, 2,  },
	{ 864, 1, 0, "opt_capture-2", -1, 1, 0, 0,  },
	{ 865, 0, 3, "opt_field_init-1", -1, 1, copy_246, 3,  },
	{ 865, 1, 0, "opt_field_init-2", -1, 1, 0, 0,  },
	{ 866, 0, 1, "field_init-1", -1, 1, copy_248, 1,  },
	{ 867, 0, 2, "opt_label-1", -1, 1, copy_249, 2,  },
	{ 867, 1, 0, "opt_label-2", -1, 1, 0, 0,  },
	{ 868, 0, 1, "dq_lit_term-1", -1, 1, copy_251, 1,  },
	{ 868, 1, 1, "dq_lit_term-2", -1, 1, copy_252, 1,  },
	{ 869, 0, 1, "sq_lit_term-1", -1, 1, copy_253, 1,  },
	{ 869, 1, 1, "sq_lit_term-2", -1, 1, copy_254, 1,  },
	{ 870, 0, 1, "opt_tilde_data-1", -1, 1, copy_255, 1,  },
	{ 870, 1, 0, "opt_tilde_data-2", -1, 1, 0, 0,  },
	{ 871, 0, 3, "pattern_el_lel-1", -1, 1, copy_257, 3,  },
	{ 871, 1, 3, "pattern_el_lel-2", -1, 1, copy_258, 3,  },
	{ 872, 0, 2, "pattern_el-1", -1, 1, copy_259, 2,  },
	{ 872, 1, 3, "pattern_el-2", -1, 1, copy_260, 3,  },
	{ 872, 2, 3, "pattern_el-3", -1, 1, copy_261, 3,  },
	{ 872, 3, 3, "pattern_el-4", -1, 1, copy_262, 3,  },
	{ 873, 0, 1, "litpat_el-1", -1, 1, copy_263, 1,  },
	{ 873, 1, 3, "litpat_el-2", -1, 1, copy_264, 3,  },
	{ 874, 0, 3, "pattern_top_el-1", -1, 1, copy_265, 3,  },
	{ 874, 1, 3, "pattern_top_el-2", -1, 1, copy_266, 3,  },
	{ 874, 2, 3, "pattern_top_el-3", -1, 1, copy_267, 3,  },
	{ 874, 3, 3, "pattern_top_el-4", -1, 1, copy_268, 3,  },
	{ 875, 0, 2, "pattern_list-1", -1, 1, copy_269, 2,  },
	{ 875, 1, 1, "pattern_list-2", -1, 1, copy_270, 1,  },
	{ 876, 0, 1, "pattern-1", -1, 1, copy_271, 1,  },
	{ 877, 0, 1, "opt_no_trim-1", -1, 1, copy_272, 1,  },
	{ 877, 1, 0, "opt_no_trim-2", -1, 1, 0, 0,  },
	{ 878, 0, 0, "E1-1", -1, 1, 0, 0,  },
	{ 879, 0, 0, "E2-1", -1, 1, 0, 0,  },
	{ 880, 0, 0, "E3-1", -1, 1, 0, 0,  },
	{ 881, 0, 0, "E4-1", -1, 1, 0, 0,  },
	{ 882, 0, 3, "cons_el-1", -1, 1, copy_278, 3,  },
	{ 882, 1, 4, "cons_el-2", -1, 1, copy_279, 4,  },
	{ 882, 2, 4, "cons_el-3", -1, 1, copy_280, 4,  },
	{ 882, 3, 4, "cons_el-4", -1, 1, copy_281, 4,  },
	{ 882, 4, 3, "cons_el-5", -1, 1, copy_282, 3,  },
	{ 883, 0, 1, "lit_cons_el-1", -1, 1, copy_283, 1,  },
	{ 883, 1, 3, "lit_cons_el-2", -1, 1, copy_284, 3,  },
	{ 884, 0, 3, "cons_top_el-1", -1, 1, copy_285, 3,  },
	{ 884, 1, 3, "cons_top_el-2", -1, 1, copy_286, 3,  },
	{ 884, 2, 3, "cons_top_el-3", -1, 1, copy_287, 3,  },
	{ 884, 3, 3, "cons_top_el-4", -1, 1, copy_288, 3,  },
	{ 885, 0, 2, "cons_list-1", -1, 1, copy_289, 2,  },
	{ 885, 1, 1, "cons_list-2", -1, 1, copy_290, 1,  },
	{ 886, 0, 1, "constructor-1", -1, 1, copy_291, 1,  },
	{ 887, 0, 4, "accum_el-1", -1, 1, copy_292, 4,  },
	{ 887, 1, 4, "accum_el-2", -1, 1, copy_293, 4,  },
	{ 887, 2, 4, "accum_el-3", -1, 1, copy_294, 4,  },
	{ 887, 3, 3, "accum_el-4", -1, 1, copy_295, 3,  },
	{ 888, 0, 1, "lit_accum_el-1", -1, 1, copy_296, 1,  },
	{ 888, 1, 3, "lit_accum_el-2", -1, 1, copy_297, 3,  },
	{ 889, 0, 3, "accum_top_el-1", -1, 1, copy_298, 3,  },
	{ 889, 1, 3, "accum_top_el-2", -1, 1, copy_299, 3,  },
	{ 889, 2, 3, "accum_top_el-3", -1, 1, copy_300, 3,  },
	{ 889, 3, 3, "accum_top_el-4", -1, 1, copy_301, 3,  },
	{ 890, 0, 2, "accum_list-1", -1, 1, copy_302, 2,  },
	{ 890, 1, 1, "accum_list-2", -1, 1, copy_303, 1,  },
	{ 891, 0, 1, "accumulate-1", -1, 1, copy_304, 1,  },
	{ 892, 0, 4, "string_el-1", -1, 1, copy_305, 4,  },
	{ 892, 1, 4, "string_el-2", -1, 1, copy_306, 4,  },
	{ 892, 2, 4, "string_el-3", -1, 1, copy_307, 4,  },
	{ 892, 3, 3, "string_el-4", -1, 1, copy_308, 3,  },
	{ 893, 0, 1, "lit_string_el-1", -1, 1, copy_309, 1,  },
	{ 893, 1, 3, "lit_string_el-2", -1, 1, copy_310, 3,  },
	{ 894, 0, 3, "string_top_el-1", -1, 1, copy_311, 3,  },
	{ 894, 1, 3, "string_top_el-2", -1, 1, copy_312, 3,  },
	{ 894, 2, 3, "string_top_el-3", -1, 1, copy_313, 3,  },
	{ 894, 3, 3, "string_top_el-4", -1, 1, copy_314, 3,  },
	{ 895, 0, 2, "string_list-1", -1, 1, copy_315, 2,  },
	{ 895, 1, 1, "string_list-2", -1, 1, copy_316, 1,  },
	{ 896, 0, 1, "string-1", -1, 1, copy_317, 1,  },
	{ 897, 0, 3, "var_ref-1", -1, 1, copy_318, 3,  },
	{ 898, 0, 3, "qual-1", -1, 1, copy_319, 3,  },
	{ 898, 1, 3, "qual-2", -1, 1, copy_320, 3,  },
	{ 898, 2, 0, "qual-3", -1, 1, 0, 0,  },
	{ 899, 0, 3, "lex_expr-1", -1, 1, copy_322, 3,  },
	{ 899, 1, 3, "lex_expr-2", -1, 1, copy_323, 3,  },
	{ 899, 2, 3, "lex_expr-3", -1, 1, copy_324, 3,  },
	{ 899, 3, 3, "lex_expr-4", -1, 1, copy_325, 3,  },
	{ 899, 4, 1, "lex_expr-5", -1, 1, copy_326, 1,  },
	{ 900, 0, 1, "opt_lex_dot-1", -1, 1, copy_327, 1,  },
	{ 900, 1, 0, "opt_lex_dot-2", -1, 1, 0, 0,  },
	{ 901, 0, 3, "lex_term-1", -1, 1, copy_329, 3,  },
	{ 901, 1, 3, "lex_term-2", -1, 1, copy_330, 3,  },
	{ 901, 2, 3, "lex_term-3", -1, 1, copy_331, 3,  },
	{ 901, 3, 3, "lex_term-4", -1, 1, copy_332, 3,  },
	{ 901, 4, 1, "lex_term-5", -1, 1, copy_333, 1,  },
	{ 902, 0, 2, "lex_factor_rep-1", -1, 1, copy_334, 2,  },
	{ 902, 1, 2, "lex_factor_rep-2", -1, 1, copy_335, 2,  },
	{ 902, 2, 2, "lex_factor_rep-3", -1, 1, copy_336, 2,  },
	{ 902, 3, 2, "lex_factor_rep-4", -1, 1, copy_337, 2,  },
	{ 902, 4, 4, "lex_factor_rep-5", -1, 1, copy_338, 4,  },
	{ 902, 5, 5, "lex_factor_rep-6", -1, 1, copy_339, 5,  },
	{ 902, 6, 5, "lex_factor_rep-7", -1, 1, copy_340, 5,  },
	{ 902, 7, 6, "lex_factor_rep-8", -1, 1, copy_341, 6,  },
	{ 902, 8, 1, "lex_factor_rep-9", -1, 1, copy_342, 1,  },
	{ 903, 0, 2, "lex_factor_neg-1", -1, 1, copy_343, 2,  },
	{ 903, 1, 1, "lex_factor_neg-2", -1, 1, copy_344, 1,  },
	{ 904, 0, 1, "lex_range_lit-1", -1, 1, copy_345, 1,  },
	{ 904, 1, 1, "lex_range_lit-2", -1, 1, copy_346, 1,  },
	{ 905, 0, 1, "lex_num-1", -1, 1, copy_347, 1,  },
	{ 905, 1, 1, "lex_num-2", -1, 1, copy_348, 1,  },
	{ 906, 0, 1, "lex_factor-1", -1, 1, copy_349, 1,  },
	{ 906, 1, 1, "lex_factor-2", -1, 1, copy_350, 1,  },
	{ 906, 2, 1, "lex_factor-3", -1, 1, copy_351, 1,  },
	{ 906, 3, 1, "lex_factor-4", -1, 1, copy_352, 1,  },
	{ 906, 4, 3, "lex_factor-5", -1, 1, copy_353, 3,  },
	{ 906, 5, 3, "lex_factor-6", -1, 1, copy_354, 3,  },
	{ 906, 6, 3, "lex_factor-7", -1, 1, copy_355, 3,  },
	{ 906, 7, 3, "lex_factor-8", -1, 1, copy_356, 3,  },
	{ 907, 0, 2, "reg_or_data-1", -1, 1, copy_357, 2,  },
	{ 907, 1, 0, "reg_or_data-2", -1, 1, 0, 0,  },
	{ 908, 0, 1, "reg_or_char-1", -1, 1, copy_359, 1,  },
	{ 908, 1, 3, "reg_or_char-2", -1, 1, copy_360, 3,  },
	{ 909, 0, 2, "_repeat_root_item-1", -1, 1, 0, 0,  },
	{ 909, 1, 0, "_repeat_root_item-2", -1, 1, 0, 0,  },
	{ 910, 0, 2, "_repeat_sq_cons_data-1", -1, 1, 0, 0,  },
	{ 910, 1, 0, "_repeat_sq_cons_data-2", -1, 1, 0, 0,  },
	{ 911, 0, 2, "_repeat_struct_item-1", -1, 1, 0, 0,  },
	{ 911, 1, 0, "_repeat_struct_item-2", -1, 1, 0, 0,  },
	{ 912, 0, 2, "_repeat_reduction_item-1", -1, 1, 0, 0,  },
	{ 912, 1, 0, "_repeat_reduction_item-2", -1, 1, 0, 0,  },
	{ 913, 0, 2, "_repeat_host_item-1", -1, 1, 0, 0,  },
	{ 913, 1, 0, "_repeat_host_item-2", -1, 1, 0, 0,  },
	{ 914, 0, 2, "_repeat_namespace_item-1", -1, 1, 0, 0,  },
	{ 914, 1, 0, "_repeat_namespace_item-2", -1, 1, 0, 0,  },
	{ 915, 0, 2, "_repeat_var_def-1", -1, 1, 0, 0,  },
	{ 915, 1, 0, "_repeat_var_def-2", -1, 1, 0, 0,  },
	{ 916, 0, 2, "_repeat_statement-1", -1, 1, 0, 0,  },
	{ 916, 1, 0, "_repeat_statement-2", -1, 1, 0, 0,  },
	{ 917, 0, 2, "_repeat_field_init-1", -1, 1, 0, 0,  },
	{ 917, 1, 0, "_repeat_field_init-2", -1, 1, 0, 0,  },
	{ 918, 0, 2, "_repeat_litpat_el-1", -1, 1, 0, 0,  },
	{ 918, 1, 0, "_repeat_litpat_el-2", -1, 1, 0, 0,  },
	{ 919, 0, 2, "_repeat_pattern_el-1", -1, 1, 0, 0,  },
	{ 919, 1, 0, "_repeat_pattern_el-2", -1, 1, 0, 0,  },
	{ 920, 0, 2, "_repeat_lit_cons_el-1", -1, 1, 0, 0,  },
	{ 920, 1, 0, "_repeat_lit_cons_el-2", -1, 1, 0, 0,  },
	{ 921, 0, 2, "_repeat_cons_el-1", -1, 1, 0, 0,  },
	{ 921, 1, 0, "_repeat_cons_el-2", -1, 1, 0, 0,  },
	{ 922, 0, 2, "_repeat_lit_accum_el-1", -1, 1, 0, 0,  },
	{ 922, 1, 0, "_repeat_lit_accum_el-2", -1, 1, 0, 0,  },
	{ 923, 0, 2, "_repeat_accum_el-1", -1, 1, 0, 0,  },
	{ 923, 1, 0, "_repeat_accum_el-2", -1, 1, 0, 0,  },
	{ 924, 0, 2, "_repeat_lit_string_el-1", -1, 1, 0, 0,  },
	{ 924, 1, 0, "_repeat_lit_string_el-2", -1, 1, 0, 0,  },
	{ 925, 0, 2, "_repeat_string_el-1", -1, 1, 0, 0,  },
	{ 925, 1, 0, "_repeat_string_el-2", -1, 1, 0, 0,  },
	{ 926, 0, 1, "_root-1", -1, 1, 0, 0,  },
	{ 926, 1, 1, "_root-2", -1, 1, 0, 0,  },
	{ 926, 2, 1, "_root-3", -1, 1, 0, 0,  },
	{ 926, 3, 1, "_root-4", -1, 1, 0, 0,  },
	{ 926, 4, 1, "_root-5", -1, 1, 0, 0,  },
	{ 926, 5, 1, "_root-6", -1, 1, 0, 0,  },
	{ 926, 6, 1, "_root-7", -1, 1, 0, 0,  },
	{ 926, 7, 1, "_root-8", -1, 1, 0, 0,  },
	{ 926, 8, 1, "_root-9", -1, 1, 0, 0,  },
	{ 926, 9, 1, "_root-10", -1, 1, 0, 0,  },
	{ 926, 10, 1, "_root-11", -1, 1, 0, 0,  },
	{ 926, 11, 1, "_root-12", -1, 1, 0, 0,  },
	{ 926, 12, 1, "_root-13", -1, 1, 0, 0,  },
	{ 926, 13, 1, "_root-14", -1, 1, 0, 0,  },
	{ 926, 14, 1, "_root-15", -1, 1, 0, 0,  },
	{ 926, 15, 1, "_root-16", -1, 1, 0, 0,  },
	{ 926, 16, 1, "_root-17", -1, 1, 0, 0,  },
	{ 926, 17, 1, "_root-18", -1, 1, 0, 0,  },
	{ 926, 18, 1, "_root-19", -1, 1, 0, 0,  },
	{ 926, 19, 1, "_root-20", -1, 1, 0, 0,  },
	{ 926, 20, 1, "_root-21", -1, 1, 0, 0,  },
	{ 926, 21, 1, "_root-22", -1, 1, 0, 0,  },
	{ 926, 22, 1, "_root-23", -1, 1, 0, 0,  },
	{ 926, 23, 1, "_root-24", -1, 1, 0, 0,  },
	{ 926, 24, 1, "_root-25", -1, 1, 0, 0,  },
	{ 926, 25, 1, "_root-26", -1, 1, 0, 0,  },
	{ 926, 26, 1, "_root-27", -1, 1, 0, 0,  },
	{ 926, 27, 1, "_root-28", -1, 1, 0, 0,  },
	{ 926, 28, 1, "_root-29", -1, 1, 0, 0,  },
	{ 926, 29, 1, "_root-30", -1, 1, 0, 0,  },
	{ 926, 30, 1, "_root-31", -1, 1, 0, 0,  },
	{ 926, 31, 1, "_root-32", -1, 1, 0, 0,  },
	{ 926, 32, 1, "_root-33", -1, 1, 0, 0,  },
	{ 926, 33, 1, "_root-34", -1, 1, 0, 0,  },
	{ 926, 34, 1, "_root-35", -1, 1, 0, 0,  },
	{ 926, 35, 1, "_root-36", -1, 1, 0, 0,  },
	{ 926, 36, 1, "_root-37", -1, 1, 0, 0,  },
	{ 926, 37, 1, "_root-38", -1, 1, 0, 0,  },
	{ 926, 38, 1, "_root-39", -1, 1, 0, 0,  },
	{ 926, 39, 1, "_root-40", -1, 1, 0, 0,  },
	{ 926, 40, 1, "_root-41", -1, 1, 0, 0,  },
	{ 926, 41, 1, "_root-42", -1, 1, 0, 0,  },
	{ 926, 42, 1, "_root-43", -1, 1, 0, 0,  },
	{ 926, 43, 1, "_root-44", -1, 1, 0, 0,  },
	{ 926, 44, 1, "_root-45", -1, 1, 0, 0,  },
	{ 926, 45, 1, "_root-46", -1, 1, 0, 0,  },
	{ 926, 46, 1, "_root-47", -1, 1, 0, 0,  },
	{ 926, 47, 1, "_root-48", -1, 1, 0, 0,  },
	{ 926, 48, 1, "_root-49", -1, 1, 0, 0,  },
	{ 926, 49, 1, "_root-50", -1, 1, 0, 0,  },
	{ 926, 50, 1, "_root-51", -1, 1, 0, 0,  },
	{ 926, 51, 1, "_root-52", -1, 1, 0, 0,  },
	{ 926, 52, 1, "_root-53", -1, 1, 0, 0,  },
	{ 926, 53, 1, "_root-54", -1, 1, 0, 0,  },
	{ 926, 54, 1, "_root-55", -1, 1, 0, 0,  },
	{ 926, 55, 1, "_root-56", -1, 1, 0, 0,  },
	{ 926, 56, 1, "_root-57", -1, 1, 0, 0,  },
	{ 926, 57, 1, "_root-58", -1, 1, 0, 0,  },
	{ 926, 58, 1, "_root-59", -1, 1, 0, 0,  },
	{ 926, 59, 1, "_root-60", -1, 1, 0, 0,  },
	{ 926, 60, 1, "_root-61", -1, 1, 0, 0,  },
	{ 926, 61, 1, "_root-62", -1, 1, 0, 0,  },
	{ 926, 62, 1, "_root-63", -1, 1, 0, 0,  },
	{ 926, 63, 1, "_root-64", -1, 1, 0, 0,  },
	{ 926, 64, 1, "_root-65", -1, 1, 0, 0,  },
	{ 926, 65, 1, "_root-66", -1, 1, 0, 0,  },
	{ 926, 66, 1, "_root-67", -1, 1, 0, 0,  },
	{ 926, 67, 1, "_root-68", -1, 1, 0, 0,  },
	{ 926, 68, 1, "_root-69", -1, 1, 0, 0,  },
	{ 926, 69, 1, "_root-70", -1, 1, 0, 0,  },
	{ 926, 70, 1, "_root-71", -1, 1, 0, 0,  },
	{ 926, 71, 1, "_root-72", -1, 1, 0, 0,  },
	{ 926, 72, 1, "_root-73", -1, 1, 0, 0,  },
	{ 926, 73, 1, "_root-74", -1, 1, 0, 0,  },
	{ 926, 74, 1, "_root-75", -1, 1, 0, 0,  },
	{ 926, 75, 1, "_root-76", -1, 1, 0, 0,  },
	{ 926, 76, 1, "_root-77", -1, 1, 0, 0,  },
	{ 926, 77, 1, "_root-78", -1, 1, 0, 0,  },
	{ 926, 78, 1, "_root-79", -1, 1, 0, 0,  },
	{ 926, 79, 1, "_root-80", -1, 1, 0, 0,  },
	{ 926, 80, 1, "_root-81", -1, 1, 0, 0,  },
	{ 926, 81, 1, "_root-82", -1, 1, 0, 0,  },
	{ 926, 82, 1, "_root-83", -1, 1, 0, 0,  },
	{ 926, 83, 1, "_root-84", -1, 1, 0, 0,  },
	{ 926, 84, 1, "_root-85", -1, 1, 0, 0,  },
	{ 926, 85, 1, "_root-86", -1, 1, 0, 0,  },
	{ 926, 86, 1, "_root-87", -1, 1, 0, 0,  },
	{ 926, 87, 1, "_root-88", -1, 1, 0, 0,  },
	{ 926, 88, 1, "_root-89", -1, 1, 0, 0,  },
	{ 926, 89, 1, "_root-90", -1, 1, 0, 0,  },
	{ 926, 90, 1, "_root-91", -1, 1, 0, 0,  },
	{ 926, 91, 1, "_root-92", -1, 1, 0, 0,  },
	{ 926, 92, 1, "_root-93", -1, 1, 0, 0,  },
	{ 926, 93, 1, "_root-94", -1, 1, 0, 0,  },
	{ 926, 94, 1, "_root-95", -1, 1, 0, 0,  },
	{ 926, 95, 1, "_root-96", -1, 1, 0, 0,  },
	{ 926, 96, 1, "_root-97", -1, 1, 0, 0,  },
	{ 926, 97, 1, "_root-98", -1, 1, 0, 0,  },
	{ 926, 98, 1, "_root-99", -1, 1, 0, 0,  },
	{ 926, 99, 1, "_root-100", -1, 1, 0, 0,  },
	{ 926, 100, 1, "_root-101", -1, 1, 0, 0,  },
	{ 926, 101, 1, "_root-102", -1, 1, 0, 0,  },
	{ 926, 102, 1, "_root-103", -1, 1, 0, 0,  },
	{ 926, 103, 1, "_root-104", -1, 1, 0, 0,  },
	{ 926, 104, 1, "_root-105", -1, 1, 0, 0,  },
	{ 926, 105, 1, "_root-106", -1, 1, 0, 0,  },
	{ 926, 106, 1, "_root-107", -1, 1, 0, 0,  },
	{ 926, 107, 1, "_root-108", -1, 1, 0, 0,  },
	{ 926, 108, 1, "_root-109", -1, 1, 0, 0,  },
	{ 926, 109, 1, "_root-110", -1, 1, 0, 0,  },
	{ 926, 110, 1, "_root-111", -1, 1, 0, 0,  },
	{ 926, 111, 1, "_root-112", -1, 1, 0, 0,  },
	{ 926, 112, 1, "_root-113", -1, 1, 0, 0,  },
	{ 926, 113, 1, "_root-114", -1, 1, 0, 0,  },
	{ 926, 114, 1, "_root-115", -1, 1, 0, 0,  },
	{ 926, 115, 1, "_root-116", -1, 1, 0, 0,  },
	{ 926, 116, 1, "_root-117", -1, 1, 0, 0,  },
	{ 926, 117, 1, "_root-118", -1, 1, 0, 0,  },
	{ 926, 118, 1, "_root-119", -1, 1, 0, 0,  },
	{ 926, 119, 1, "_root-120", -1, 1, 0, 0,  },
	{ 926, 120, 1, "_root-121", -1, 1, 0, 0,  },
	{ 926, 121, 1, "_root-122", -1, 1, 0, 0,  },
	{ 926, 122, 1, "_root-123", -1, 1, 0, 0,  },
	{ 926, 123, 1, "_root-124", -1, 1, 0, 0,  },
	{ 926, 124, 1, "_root-125", -1, 1, 0, 0,  },
	{ 926, 125, 1, "_root-126", -1, 1, 0, 0,  },
	{ 926, 126, 1, "_root-127", -1, 1, 0, 0,  },
	{ 926, 127, 1, "_root-128", -1, 1, 0, 0,  },
	{ 926, 128, 1, "_root-129", -1, 1, 0, 0,  },
	{ 926, 129, 1, "_root-130", -1, 1, 0, 0,  },
	{ 926, 130, 1, "_root-131", -1, 1, 0, 0,  },
	{ 926, 131, 1, "_root-132", -1, 1, 0, 0,  },
	{ 926, 132, 1, "_root-133", -1, 1, 0, 0,  },
	{ 926, 133, 1, "_root-134", -1, 1, 0, 0,  },
	{ 926, 134, 1, "_root-135", -1, 1, 0, 0,  },
	{ 926, 135, 1, "_root-136", -1, 1, 0, 0,  },
	{ 926, 136, 1, "_root-137", -1, 1, 0, 0,  },
	{ 926, 137, 1, "_root-138", -1, 1, 0, 0,  },
	{ 926, 138, 1, "_root-139", -1, 1, 0, 0,  },
	{ 926, 139, 1, "_root-140", -1, 1, 0, 0,  },
	{ 926, 140, 1, "_root-141", -1, 1, 0, 0,  },
	{ 926, 141, 1, "_root-142", -1, 1, 0, 0,  },
	{ 926, 142, 1, "_root-143", -1, 1, 0, 0,  },
	{ 926, 143, 1, "_root-144", -1, 1, 0, 0,  },
	{ 926, 144, 1, "_root-145", -1, 1, 0, 0,  },
	{ 926, 145, 1, "_root-146", -1, 1, 0, 0,  },
	{ 926, 146, 1, "_root-147", -1, 1, 0, 0,  },
	{ 926, 147, 1, "_root-148", -1, 1, 0, 0,  },
	{ 926, 148, 1, "_root-149", -1, 1, 0, 0,  },
	{ 926, 149, 1, "_root-150", -1, 1, 0, 0,  },
	{ 926, 150, 1, "_root-151", -1, 1, 0, 0,  },
	{ 926, 151, 1, "_root-152", -1, 1, 0, 0,  },
	{ 926, 152, 1, "_root-153", -1, 1, 0, 0,  },
	{ 926, 153, 1, "_root-154", -1, 1, 0, 0,  },
	{ 926, 154, 1, "_root-155", -1, 1, 0, 0,  },
	{ 926, 155, 1, "_root-156", -1, 1, 0, 0,  },
	{ 926, 156, 1, "_root-157", -1, 1, 0, 0,  },
	{ 926, 157, 1, "_root-158", -1, 1, 0, 0,  },
	{ 926, 158, 1, "_root-159", -1, 1, 0, 0,  },
	{ 926, 159, 1, "_root-160", -1, 1, 0, 0,  },
	{ 926, 160, 1, "_root-161", -1, 1, 0, 0,  },
	{ 926, 161, 1, "_root-162", -1, 1, 0, 0,  },
	{ 926, 162, 1, "_root-163", -1, 1, 0, 0,  },
	{ 926, 163, 1, "_root-164", -1, 1, 0, 0,  },
	{ 926, 164, 1, "_root-165", -1, 1, 0, 0,  },
	{ 926, 165, 1, "_root-166", -1, 1, 0, 0,  },
	{ 926, 166, 1, "_root-167", -1, 1, 0, 0,  },
	{ 926, 167, 1, "_root-168", -1, 1, 0, 0,  },
	{ 926, 168, 1, "_root-169", -1, 1, 0, 0,  },
	{ 926, 169, 1, "_root-170", -1, 1, 0, 0,  },
	{ 926, 170, 1, "_root-171", -1, 1, 0, 0,  },
	{ 926, 171, 1, "_root-172", -1, 1, 0, 0,  },
	{ 926, 172, 1, "_root-173", -1, 1, 0, 0,  },
	{ 926, 173, 1, "_root-174", -1, 1, 0, 0,  },
	{ 926, 174, 1, "_root-175", -1, 1, 0, 0,  },
	{ 926, 175, 1, "_root-176", -1, 1, 0, 0,  },
	{ 926, 176, 1, "_root-177", -1, 1, 0, 0,  },
	{ 926, 177, 1, "_root-178", -1, 1, 0, 0,  },
	{ 926, 178, 1, "_root-179", -1, 1, 0, 0,  },
	{ 926, 179, 1, "_root-180", -1, 1, 0, 0,  },
	{ 926, 180, 1, "_root-181", -1, 1, 0, 0,  },
	{ 926, 181, 1, "_root-182", -1, 1, 0, 0,  },
	{ 926, 182, 1, "_root-183", -1, 1, 0, 0,  },
	{ 926, 183, 1, "_root-184", -1, 1, 0, 0,  },
	{ 926, 184, 1, "_root-185", -1, 1, 0, 0,  },
	{ 926, 185, 1, "_root-186", -1, 1, 0, 0,  },
	{ 926, 186, 1, "_root-187", -1, 1, 0, 0,  },
	{ 926, 187, 1, "_root-188", -1, 1, 0, 0,  },
	{ 926, 188, 1, "_root-189", -1, 1, 0, 0,  },
	{ 926, 189, 1, "_root-190", -1, 1, 0, 0,  },
	{ 926, 190, 1, "_root-191", -1, 1, 0, 0,  },
	{ 926, 191, 1, "_root-192", -1, 1, 0, 0,  },
	{ 926, 192, 1, "_root-193", -1, 1, 0, 0,  },
	{ 926, 193, 1, "_root-194", -1, 1, 0, 0,  },
	{ 926, 194, 1, "_root-195", -1, 1, 0, 0,  },
	{ 926, 195, 1, "_root-196", -1, 1, 0, 0,  },
	{ 926, 196, 1, "_root-197", -1, 1, 0, 0,  },
	{ 926, 197, 1, "_root-198", -1, 1, 0, 0,  },
	{ 926, 198, 1, "_root-199", -1, 1, 0, 0,  },
	{ 926, 199, 1, "_root-200", -1, 1, 0, 0,  },
	{ 926, 200, 1, "_root-201", -1, 1, 0, 0,  },
	{ 926, 201, 1, "_root-202", -1, 1, 0, 0,  },
	{ 926, 202, 1, "_root-203", -1, 1, 0, 0,  },
	{ 926, 203, 1, "_root-204", -1, 1, 0, 0,  },
	{ 926, 204, 1, "_root-205", -1, 1, 0, 0,  },
	{ 926, 205, 1, "_root-206", -1, 1, 0, 0,  },
	{ 926, 206, 1, "_root-207", -1, 1, 0, 0,  },
	{ 926, 207, 1, "_root-208", -1, 1, 0, 0,  },
	{ 926, 208, 1, "_root-209", -1, 1, 0, 0,  },
	{ 926, 209, 1, "_root-210", -1, 1, 0, 0,  },
	{ 926, 210, 1, "_root-211", -1, 1, 0, 0,  },
	{ 926, 211, 1, "_root-212", -1, 1, 0, 0,  },
	{ 926, 212, 1, "_root-213", -1, 1, 0, 0,  },
	{ 926, 213, 1, "_root-214", -1, 1, 0, 0,  },
	{ 926, 214, 1, "_root-215", -1, 1, 0, 0,  },
	{ 926, 215, 1, "_root-216", -1, 1, 0, 0,  },
	{ 926, 216, 1, "_root-217", -1, 1, 0, 0,  },
	{ 926, 217, 1, "_root-218", -1, 1, 0, 0,  },
	{ 926, 218, 1, "_root-219", -1, 1, 0, 0,  },
	{ 926, 219, 1, "_root-220", -1, 1, 0, 0,  },
	{ 926, 220, 1, "_root-221", -1, 1, 0, 0,  },
	{ 926, 221, 1, "_root-222", -1, 1, 0, 0,  },
	{ 926, 222, 1, "_root-223", -1, 1, 0, 0,  },
	{ 926, 223, 1, "_root-224", -1, 1, 0, 0,  },
	{ 926, 224, 1, "_root-225", -1, 1, 0, 0,  },
	{ 926, 225, 1, "_root-226", -1, 1, 0, 0,  },
	{ 926, 226, 1, "_root-227", -1, 1, 0, 0,  },
	{ 926, 227, 1, "_root-228", -1, 1, 0, 0,  },
	{ 926, 228, 1, "_root-229", -1, 1, 0, 0,  },
	{ 926, 229, 1, "_root-230", -1, 1, 0, 0,  },
	{ 926, 230, 1, "_root-231", -1, 1, 0, 0,  },
	{ 926, 231, 1, "_root-232", -1, 1, 0, 0,  },
	{ 926, 232, 1, "_root-233", -1, 1, 0, 0,  },
	{ 926, 233, 1, "_root-234", -1, 1, 0, 0,  },
	{ 926, 234, 1, "_root-235", -1, 1, 0, 0,  },
	{ 926, 235, 1, "_root-236", -1, 1, 0, 0,  },
	{ 926, 236, 1, "_root-237", -1, 1, 0, 0,  },
	{ 926, 237, 1, "_root-238", -1, 1, 0, 0,  },
	{ 926, 238, 1, "_root-239", -1, 1, 0, 0,  },
	{ 926, 239, 1, "_root-240", -1, 1, 0, 0,  },
	{ 926, 240, 1, "_root-241", -1, 1, 0, 0,  },
	{ 926, 241, 1, "_root-242", -1, 1, 0, 0,  },
	{ 926, 242, 1, "_root-243", -1, 1, 0, 0,  },
	{ 926, 243, 1, "_root-244", -1, 1, 0, 0,  },
	{ 926, 244, 1, "_root-245", -1, 1, 0, 0,  },
	{ 926, 245, 1, "_root-246", -1, 1, 0, 0,  },
	{ 926, 246, 1, "_root-247", -1, 1, 0, 0,  },
	{ 926, 247, 1, "_root-248", -1, 1, 0, 0,  },
	{ 926, 248, 1, "_root-249", -1, 1, 0, 0,  },
	{ 926, 249, 1, "_root-250", -1, 1, 0, 0,  },
	{ 926, 250, 1, "_root-251", -1, 1, 0, 0,  },
	{ 926, 251, 1, "_root-252", -1, 1, 0, 0,  },
	{ 926, 252, 1, "_root-253", -1, 1, 0, 0,  },
	{ 926, 253, 1, "_root-254", -1, 1, 0, 0,  },
	{ 926, 254, 1, "_root-255", -1, 1, 0, 0,  },
	{ 926, 255, 1, "_root-256", -1, 1, 0, 0,  },
	{ 926, 256, 1, "_root-257", -1, 1, 0, 0,  },
	{ 926, 257, 1, "_root-258", -1, 1, 0, 0,  },
	{ 926, 258, 1, "_root-259", -1, 1, 0, 0,  },
	{ 926, 259, 1, "_root-260", -1, 1, 0, 0,  },
	{ 926, 260, 1, "_root-261", -1, 1, 0, 0,  },
	{ 926, 261, 1, "_root-262", -1, 1, 0, 0,  },
	{ 926, 262, 1, "_root-263", -1, 1, 0, 0,  },
	{ 926, 263, 1, "_root-264", -1, 1, 0, 0,  },
	{ 926, 264, 1, "_root-265", -1, 1, 0, 0,  },
	{ 926, 265, 1, "_root-266", -1, 1, 0, 0,  },
	{ 926, 266, 1, "_root-267", -1, 1, 0, 0,  },
	{ 926, 267, 1, "_root-268", -1, 1, 0, 0,  },
	{ 926, 268, 1, "_root-269", -1, 1, 0, 0,  },
	{ 926, 269, 1, "_root-270", -1, 1, 0, 0,  },
	{ 926, 270, 1, "_root-271", -1, 1, 0, 0,  },
	{ 926, 271, 1, "_root-272", -1, 1, 0, 0,  },
	{ 926, 272, 1, "_root-273", -1, 1, 0, 0,  },
	{ 926, 273, 1, "_root-274", -1, 1, 0, 0,  },
	{ 926, 274, 1, "_root-275", -1, 1, 0, 0,  },
	{ 926, 275, 1, "_root-276", -1, 1, 0, 0,  },
	{ 926, 276, 1, "_root-277", -1, 1, 0, 0,  },
	{ 926, 277, 1, "_root-278", -1, 1, 0, 0,  },
	{ 926, 278, 1, "_root-279", -1, 1, 0, 0,  },
	{ 926, 279, 1, "_root-280", -1, 1, 0, 0,  },
	{ 926, 280, 1, "_root-281", -1, 1, 0, 0,  },
	{ 926, 281, 1, "_root-282", -1, 1, 0, 0,  },
	{ 926, 282, 1, "_root-283", -1, 1, 0, 0,  },
	{ 926, 283, 1, "_root-284", -1, 1, 0, 0,  },
	{ 926, 284, 1, "_root-285", -1, 1, 0, 0,  },
	{ 926, 285, 1, "_root-286", -1, 1, 0, 0,  },
	{ 926, 286, 1, "_root-287", -1, 1, 0, 0,  },
	{ 926, 287, 1, "_root-288", -1, 1, 0, 0,  },
	{ 926, 288, 1, "_root-289", -1, 1, 0, 0,  },
	{ 926, 289, 1, "_root-290", -1, 1, 0, 0,  },
	{ 926, 290, 1, "_root-291", -1, 1, 0, 0,  },
	{ 926, 291, 1, "_root-292", -1, 1, 0, 0,  },
	{ 926, 292, 1, "_root-293", -1, 1, 0, 0,  },
	{ 926, 293, 1, "_root-294", -1, 1, 0, 0,  },
	{ 926, 294, 1, "_root-295", -1, 1, 0, 0,  },
	{ 926, 295, 1, "_root-296", -1, 1, 0, 0,  },
	{ 926, 296, 1, "_root-297", -1, 1, 0, 0,  },
	{ 926, 297, 1, "_root-298", -1, 1, 0, 0,  },
	{ 926, 298, 1, "_root-299", -1, 1, 0, 0,  },
	{ 926, 299, 1, "_root-300", -1, 1, 0, 0,  },
	{ 926, 300, 1, "_root-301", -1, 1, 0, 0,  },
	{ 926, 301, 1, "_root-302", -1, 1, 0, 0,  },
	{ 926, 302, 1, "_root-303", -1, 1, 0, 0,  },
	{ 926, 303, 1, "_root-304", -1, 1, 0, 0,  },
	{ 926, 304, 1, "_root-305", -1, 1, 0, 0,  },
	{ 926, 305, 1, "_root-306", -1, 1, 0, 0,  },
	{ 926, 306, 1, "_root-307", -1, 1, 0, 0,  },
	{ 926, 307, 1, "_root-308", -1, 1, 0, 0,  },
	{ 926, 308, 1, "_root-309", -1, 1, 0, 0,  },
	{ 926, 309, 1, "_root-310", -1, 1, 0, 0,  },
	{ 926, 310, 1, "_root-311", -1, 1, 0, 0,  },
	{ 926, 311, 1, "_root-312", -1, 1, 0, 0,  },
	{ 926, 312, 1, "_root-313", -1, 1, 0, 0,  },
	{ 926, 313, 1, "_root-314", -1, 1, 0, 0,  },
	{ 926, 314, 1, "_root-315", -1, 1, 0, 0,  },
	{ 926, 315, 1, "_root-316", -1, 1, 0, 0,  },
	{ 926, 316, 1, "_root-317", -1, 1, 0, 0,  },
	{ 926, 317, 1, "_root-318", -1, 1, 0, 0,  },
	{ 926, 318, 1, "_root-319", -1, 1, 0, 0,  },
	{ 926, 319, 1, "_root-320", -1, 1, 0, 0,  },
	{ 926, 320, 1, "_root-321", -1, 1, 0, 0,  },
	{ 926, 321, 1, "_root-322", -1, 1, 0, 0,  },
	{ 926, 322, 1, "_root-323", -1, 1, 0, 0,  },
	{ 926, 323, 1, "_root-324", -1, 1, 0, 0,  },
	{ 926, 324, 1, "_root-325", -1, 1, 0, 0,  },
	{ 926, 325, 1, "_root-326", -1, 1, 0, 0,  },
	{ 926, 326, 1, "_root-327", -1, 1, 0, 0,  },
	{ 926, 327, 1, "_root-328", -1, 1, 0, 0,  },
	{ 926, 328, 1, "_root-329", -1, 1, 0, 0,  },
	{ 926, 329, 1, "_root-330", -1, 1, 0, 0,  },
	{ 926, 330, 1, "_root-331", -1, 1, 0, 0,  },
	{ 926, 331, 1, "_root-332", -1, 1, 0, 0,  },
	{ 926, 332, 1, "_root-333", -1, 1, 0, 0,  },
	{ 926, 333, 1, "_root-334", -1, 1, 0, 0,  },
	{ 926, 334, 1, "_root-335", -1, 1, 0, 0,  },
	{ 926, 335, 1, "_root-336", -1, 1, 0, 0,  },
	{ 926, 336, 1, "_root-337", -1, 1, 0, 0,  },
	{ 926, 337, 1, "_root-338", -1, 1, 0, 0,  },
	{ 926, 338, 1, "_root-339", -1, 1, 0, 0,  },
	{ 926, 339, 1, "_root-340", -1, 1, 0, 0,  },
	{ 926, 340, 1, "_root-341", -1, 1, 0, 0,  },
	{ 926, 341, 1, "_root-342", -1, 1, 0, 0,  },
	{ 926, 342, 1, "_root-343", -1, 1, 0, 0,  },
	{ 926, 343, 1, "_root-344", -1, 1, 0, 0,  },
	{ 926, 344, 1, "_root-345", -1, 1, 0, 0,  },
	{ 926, 345, 1, "_root-346", -1, 1, 0, 0,  },
	{ 926, 346, 1, "_root-347", -1, 1, 0, 0,  },
	{ 926, 347, 1, "_root-348", -1, 1, 0, 0,  },
	{ 926, 348, 1, "_root-349", -1, 1, 0, 0,  },
	{ 926, 349, 1, "_root-350", -1, 1, 0, 0,  },
	{ 926, 350, 1, "_root-351", -1, 1, 0, 0,  },
	{ 926, 351, 1, "_root-352", -1, 1, 0, 0,  },
	{ 926, 352, 1, "_root-353", -1, 1, 0, 0,  },
	{ 926, 353, 1, "_root-354", -1, 1, 0, 0,  },
	{ 926, 354, 1, "_root-355", -1, 1, 0, 0,  },
	{ 926, 355, 1, "_root-356", -1, 1, 0, 0,  },
	{ 926, 356, 1, "_root-357", -1, 1, 0, 0,  },
	{ 926, 357, 1, "_root-358", -1, 1, 0, 0,  },
	{ 926, 358, 1, "_root-359", -1, 1, 0, 0,  },
	{ 926, 359, 1, "_root-360", -1, 1, 0, 0,  },
	{ 926, 360, 1, "_root-361", -1, 1, 0, 0,  },
	{ 926, 361, 1, "_root-362", -1, 1, 0, 0,  },
	{ 926, 362, 1, "_root-363", -1, 1, 0, 0,  },
	{ 926, 363, 1, "_root-364", -1, 1, 0, 0,  },
	{ 926, 364, 1, "_root-365", -1, 1, 0, 0,  },
	{ 926, 365, 1, "_root-366", -1, 1, 0, 0,  },
	{ 926, 366, 1, "_root-367", -1, 1, 0, 0,  },
	{ 926, 367, 1, "_root-368", -1, 1, 0, 0,  },
	{ 926, 368, 1, "_root-369", -1, 1, 0, 0,  },
	{ 926, 369, 1, "_root-370", -1, 1, 0, 0,  },
	{ 926, 370, 1, "_root-371", -1, 1, 0, 0,  },
	{ 926, 371, 1, "_root-372", -1, 1, 0, 0,  },
	{ 926, 372, 1, "_root-373", -1, 1, 0, 0,  },
	{ 926, 373, 1, "_root-374", -1, 1, 0, 0,  },
	{ 926, 374, 1, "_root-375", -1, 1, 0, 0,  },
	{ 926, 375, 1, "_root-376", -1, 1, 0, 0,  },
	{ 926, 376, 1, "_root-377", -1, 1, 0, 0,  },
	{ 926, 377, 1, "_root-378", -1, 1, 0, 0,  },
	{ 926, 378, 1, "_root-379", -1, 1, 0, 0,  },
	{ 926, 379, 1, "_root-380", -1, 1, 0, 0,  },
	{ 926, 380, 1, "_root-381", -1, 1, 0, 0,  },
	{ 926, 381, 1, "_root-382", -1, 1, 0, 0,  },
	{ 926, 382, 1, "_root-383", -1, 1, 0, 0,  },
	{ 926, 383, 1, "_root-384", -1, 1, 0, 0,  },
	{ 926, 384, 1, "_root-385", -1, 1, 0, 0,  },
	{ 926, 385, 1, "_root-386", -1, 1, 0, 0,  },
	{ 926, 386, 1, "_root-387", -1, 1, 0, 0,  },
	{ 926, 387, 1, "_root-388", -1, 1, 0, 0,  },
	{ 926, 388, 1, "_root-389", -1, 1, 0, 0,  },
	{ 926, 389, 1, "_root-390", -1, 1, 0, 0,  },
	{ 926, 390, 1, "_root-391", -1, 1, 0, 0,  },
	{ 926, 391, 1, "_root-392", -1, 1, 0, 0,  },
	{ 926, 392, 1, "_root-393", -1, 1, 0, 0,  },
	{ 926, 393, 1, "_root-394", -1, 1, 0, 0,  },
	{ 926, 394, 1, "_root-395", -1, 1, 0, 0,  },
	{ 926, 395, 1, "_root-396", -1, 1, 0, 0,  },
	{ 926, 396, 1, "_root-397", -1, 1, 0, 0,  },
	{ 926, 397, 1, "_root-398", -1, 1, 0, 0,  },
	{ 926, 398, 1, "_root-399", -1, 1, 0, 0,  },
	{ 926, 399, 1, "_root-400", -1, 1, 0, 0,  },
	{ 926, 400, 1, "_root-401", -1, 1, 0, 0,  },
	{ 926, 401, 1, "_root-402", -1, 1, 0, 0,  },
	{ 926, 402, 1, "_root-403", -1, 1, 0, 0,  },
	{ 926, 403, 1, "_root-404", -1, 1, 0, 0,  },
	{ 926, 404, 1, "_root-405", -1, 1, 0, 0,  },
	{ 926, 405, 1, "_root-406", -1, 1, 0, 0,  },
	{ 926, 406, 1, "_root-407", -1, 1, 0, 0,  },
	{ 926, 407, 1, "_root-408", -1, 1, 0, 0,  },
	{ 926, 408, 1, "_root-409", -1, 1, 0, 0,  },
	{ 926, 409, 1, "_root-410", -1, 1, 0, 0,  },
	{ 926, 410, 1, "_root-411", -1, 1, 0, 0,  },
	{ 926, 411, 1, "_root-412", -1, 1, 0, 0,  },
	{ 926, 412, 1, "_root-413", -1, 1, 0, 0,  },
	{ 926, 413, 1, "_root-414", -1, 1, 0, 0,  },
	{ 926, 414, 1, "_root-415", -1, 1, 0, 0,  },
	{ 926, 415, 1, "_root-416", -1, 1, 0, 0,  },
	{ 926, 416, 1, "_root-417", -1, 1, 0, 0,  },
	{ 926, 417, 1, "_root-418", -1, 1, 0, 0,  },
	{ 926, 418, 1, "_root-419", -1, 1, 0, 0,  },
	{ 926, 419, 1, "_root-420", -1, 1, 0, 0,  },
	{ 926, 420, 1, "_root-421", -1, 1, 0, 0,  },
	{ 926, 421, 1, "_root-422", -1, 1, 0, 0,  },
	{ 926, 422, 1, "_root-423", -1, 1, 0, 0,  },
	{ 926, 423, 1, "_root-424", -1, 1, 0, 0,  },
	{ 926, 424, 1, "_root-425", -1, 1, 0, 0,  },
	{ 926, 425, 1, "_root-426", -1, 1, 0, 0,  },
	{ 926, 426, 1, "_root-427", -1, 1, 0, 0,  },
	{ 926, 427, 1, "_root-428", -1, 1, 0, 0,  },
	{ 926, 428, 1, "_root-429", -1, 1, 0, 0,  },
	{ 926, 429, 1, "_root-430", -1, 1, 0, 0,  },
	{ 926, 430, 1, "_root-431", -1, 1, 0, 0,  },
	{ 926, 431, 1, "_root-432", -1, 1, 0, 0,  },
	{ 926, 432, 1, "_root-433", -1, 1, 0, 0,  },
	{ 926, 433, 1, "_root-434", -1, 1, 0, 0,  },
	{ 926, 434, 1, "_root-435", -1, 1, 0, 0,  },
	{ 926, 435, 1, "_root-436", -1, 1, 0, 0,  },
	{ 926, 436, 1, "_root-437", -1, 1, 0, 0,  },
	{ 926, 437, 1, "_root-438", -1, 1, 0, 0,  },
	{ 926, 438, 1, "_root-439", -1, 1, 0, 0,  },
	{ 926, 439, 1, "_root-440", -1, 1, 0, 0,  },
	{ 926, 440, 1, "_root-441", -1, 1, 0, 0,  },
	{ 926, 441, 1, "_root-442", -1, 1, 0, 0,  },
	{ 926, 442, 1, "_root-443", -1, 1, 0, 0,  },
	{ 926, 443, 1, "_root-444", -1, 1, 0, 0,  },
	{ 926, 444, 1, "_root-445", -1, 1, 0, 0,  },
	{ 926, 445, 1, "_root-446", -1, 1, 0, 0,  },
	{ 926, 446, 1, "_root-447", -1, 1, 0, 0,  },
	{ 926, 447, 1, "_root-448", -1, 1, 0, 0,  },
	{ 926, 448, 1, "_root-449", -1, 1, 0, 0,  },
	{ 926, 449, 1, "_root-450", -1, 1, 0, 0,  },
	{ 926, 450, 1, "_root-451", -1, 1, 0, 0,  },
	{ 926, 451, 1, "_root-452", -1, 1, 0, 0,  },
	{ 926, 452, 1, "_root-453", -1, 1, 0, 0,  },
	{ 926, 453, 1, "_root-454", -1, 1, 0, 0,  },
	{ 926, 454, 1, "_root-455", -1, 1, 0, 0,  },
	{ 926, 455, 1, "_root-456", -1, 1, 0, 0,  },
	{ 926, 456, 1, "_root-457", -1, 1, 0, 0,  },
	{ 926, 457, 1, "_root-458", -1, 1, 0, 0,  },
	{ 926, 458, 1, "_root-459", -1, 1, 0, 0,  },
	{ 926, 459, 1, "_root-460", -1, 1, 0, 0,  },
	{ 926, 460, 1, "_root-461", -1, 1, 0, 0,  },
	{ 926, 461, 1, "_root-462", -1, 1, 0, 0,  },
	{ 926, 462, 1, "_root-463", -1, 1, 0, 0,  },
	{ 926, 463, 1, "_root-464", -1, 1, 0, 0,  },
	{ 926, 464, 1, "_root-465", -1, 1, 0, 0,  },
	{ 926, 465, 1, "_root-466", -1, 1, 0, 0,  },
	{ 926, 466, 1, "_root-467", -1, 1, 0, 0,  },
	{ 926, 467, 1, "_root-468", -1, 1, 0, 0,  },
	{ 926, 468, 1, "_root-469", -1, 1, 0, 0,  },
	{ 926, 469, 1, "_root-470", -1, 1, 0, 0,  },
	{ 926, 470, 1, "_root-471", -1, 1, 0, 0,  },
	{ 926, 471, 1, "_root-472", -1, 1, 0, 0,  },
	{ 926, 472, 1, "_root-473", -1, 1, 0, 0,  },
	{ 926, 473, 1, "_root-474", -1, 1, 0, 0,  },
	{ 926, 474, 1, "_root-475", -1, 1, 0, 0,  },
	{ 926, 475, 1, "_root-476", -1, 1, 0, 0,  },
	{ 926, 476, 1, "_root-477", -1, 1, 0, 0,  },
	{ 926, 477, 1, "_root-478", -1, 1, 0, 0,  },
	{ 926, 478, 1, "_root-479", -1, 1, 0, 0,  },
	{ 926, 479, 1, "_root-480", -1, 1, 0, 0,  },
	{ 926, 480, 1, "_root-481", -1, 1, 0, 0,  },
	{ 926, 481, 1, "_root-482", -1, 1, 0, 0,  },
	{ 926, 482, 1, "_root-483", -1, 1, 0, 0,  },
	{ 926, 483, 1, "_root-484", -1, 1, 0, 0,  },
	{ 926, 484, 1, "_root-485", -1, 1, 0, 0,  },
	{ 926, 485, 1, "_root-486", -1, 1, 0, 0,  },
	{ 926, 486, 1, "_root-487", -1, 1, 0, 0,  },
	{ 926, 487, 1, "_root-488", -1, 1, 0, 0,  },
	{ 926, 488, 1, "_root-489", -1, 1, 0, 0,  },
	{ 926, 489, 1, "_root-490", -1, 1, 0, 0,  },
	{ 926, 490, 1, "_root-491", -1, 1, 0, 0,  },
	{ 926, 491, 1, "_root-492", -1, 1, 0, 0,  },
	{ 926, 492, 1, "_root-493", -1, 1, 0, 0,  },
	{ 926, 493, 1, "_root-494", -1, 1, 0, 0,  },
	{ 926, 494, 1, "_root-495", -1, 1, 0, 0,  },
	{ 926, 495, 1, "_root-496", -1, 1, 0, 0,  },
	{ 926, 496, 1, "_root-497", -1, 1, 0, 0,  },
	{ 926, 497, 1, "_root-498", -1, 1, 0, 0,  },
	{ 926, 498, 1, "_root-499", -1, 1, 0, 0,  },
	{ 926, 499, 1, "_root-500", -1, 1, 0, 0,  },
	{ 926, 500, 1, "_root-501", -1, 1, 0, 0,  },
	{ 926, 501, 1, "_root-502", -1, 1, 0, 0,  },
	{ 926, 502, 1, "_root-503", -1, 1, 0, 0,  },
	{ 926, 503, 1, "_root-504", -1, 1, 0, 0,  },
	{ 926, 504, 1, "_root-505", -1, 1, 0, 0,  },
	{ 926, 505, 1, "_root-506", -1, 1, 0, 0,  },
	{ 926, 506, 1, "_root-507", -1, 1, 0, 0,  },
	{ 926, 507, 1, "_root-508", -1, 1, 0, 0,  },
	{ 926, 508, 1, "_root-509", -1, 1, 0, 0,  },
	{ 926, 509, 1, "_root-510", -1, 1, 0, 0,  },
	{ 926, 510, 1, "_root-511", -1, 1, 0, 0,  },
	{ 926, 511, 1, "_root-512", -1, 1, 0, 0,  },
	{ 926, 512, 1, "_root-513", -1, 1, 0, 0,  },
	{ 926, 513, 1, "_root-514", -1, 1, 0, 0,  },
	{ 926, 514, 1, "_root-515", -1, 1, 0, 0,  },
	{ 926, 515, 1, "_root-516", -1, 1, 0, 0,  },
	{ 926, 516, 1, "_root-517", -1, 1, 0, 0,  },
	{ 926, 517, 1, "_root-518", -1, 1, 0, 0,  },
	{ 926, 518, 1, "_root-519", -1, 1, 0, 0,  },
	{ 926, 519, 1, "_root-520", -1, 1, 0, 0,  },
	{ 926, 520, 1, "_root-521", -1, 1, 0, 0,  },
	{ 926, 521, 1, "_root-522", -1, 1, 0, 0,  },
	{ 926, 522, 1, "_root-523", -1, 1, 0, 0,  },
	{ 926, 523, 1, "_root-524", -1, 1, 0, 0,  },
	{ 926, 524, 1, "_root-525", -1, 1, 0, 0,  },
	{ 926, 525, 1, "_root-526", -1, 1, 0, 0,  },
	{ 926, 526, 1, "_root-527", -1, 1, 0, 0,  },
	{ 926, 527, 1, "_root-528", -1, 1, 0, 0,  },
	{ 926, 528, 1, "_root-529", -1, 1, 0, 0,  },
	{ 926, 529, 1, "_root-530", -1, 1, 0, 0,  },
	{ 926, 530, 1, "_root-531", -1, 1, 0, 0,  },
	{ 926, 531, 1, "_root-532", -1, 1, 0, 0,  },
	{ 926, 532, 1, "_root-533", -1, 1, 0, 0,  },
	{ 926, 533, 1, "_root-534", -1, 1, 0, 0,  },
	{ 926, 534, 1, "_root-535", -1, 1, 0, 0,  },
	{ 926, 535, 1, "_root-536", -1, 1, 0, 0,  },
	{ 926, 536, 1, "_root-537", -1, 1, 0, 0,  },
	{ 926, 537, 1, "_root-538", -1, 1, 0, 0,  },
	{ 926, 538, 1, "_root-539", -1, 1, 0, 0,  },
	{ 926, 539, 1, "_root-540", -1, 1, 0, 0,  },
	{ 926, 540, 1, "_root-541", -1, 1, 0, 0,  },
	{ 926, 541, 1, "_root-542", -1, 1, 0, 0,  },
	{ 926, 542, 1, "_root-543", -1, 1, 0, 0,  },
	{ 926, 543, 1, "_root-544", -1, 1, 0, 0,  },
	{ 926, 544, 1, "_root-545", -1, 1, 0, 0,  },
	{ 926, 545, 1, "_root-546", -1, 1, 0, 0,  },
	{ 926, 546, 1, "_root-547", -1, 1, 0, 0,  },
	{ 926, 547, 1, "_root-548", -1, 1, 0, 0,  },
	{ 926, 548, 1, "_root-549", -1, 1, 0, 0,  },
	{ 926, 549, 1, "_root-550", -1, 1, 0, 0,  },
	{ 926, 550, 1, "_root-551", -1, 1, 0, 0,  },
	{ 926, 551, 1, "_root-552", -1, 1, 0, 0,  },
	{ 926, 552, 1, "_root-553", -1, 1, 0, 0,  },
	{ 926, 553, 1, "_root-554", -1, 1, 0, 0,  },
	{ 926, 554, 1, "_root-555", -1, 1, 0, 0,  },
	{ 926, 555, 1, "_root-556", -1, 1, 0, 0,  },
	{ 926, 556, 1, "_root-557", -1, 1, 0, 0,  },
	{ 926, 557, 1, "_root-558", -1, 1, 0, 0,  },
	{ 926, 558, 1, "_root-559", -1, 1, 0, 0,  },
	{ 926, 559, 1, "_root-560", -1, 1, 0, 0,  },
	{ 926, 560, 1, "_root-561", -1, 1, 0, 0,  },
	{ 926, 561, 1, "_root-562", -1, 1, 0, 0,  },
	{ 926, 562, 1, "_root-563", -1, 1, 0, 0,  },
	{ 926, 563, 1, "_root-564", -1, 1, 0, 0,  },
	{ 926, 564, 1, "_root-565", -1, 1, 0, 0,  },
	{ 926, 565, 1, "_root-566", -1, 1, 0, 0,  },
	{ 926, 566, 1, "_root-567", -1, 1, 0, 0,  },
	{ 926, 567, 1, "_root-568", -1, 1, 0, 0,  },
	{ 926, 568, 1, "_root-569", -1, 1, 0, 0,  },
	{ 926, 569, 1, "_root-570", -1, 1, 0, 0,  },
	{ 926, 570, 1, "_root-571", -1, 1, 0, 0,  },
	{ 926, 571, 1, "_root-572", -1, 1, 0, 0,  },
	{ 926, 572, 1, "_root-573", -1, 1, 0, 0,  },
	{ 926, 573, 1, "_root-574", -1, 1, 0, 0,  },
	{ 926, 574, 1, "_root-575", -1, 1, 0, 0,  },
	{ 926, 575, 1, "_root-576", -1, 1, 0, 0,  },
	{ 926, 576, 1, "_root-577", -1, 1, 0, 0,  },
	{ 926, 577, 1, "_root-578", -1, 1, 0, 0,  },
	{ 926, 578, 1, "_root-579", -1, 1, 0, 0,  },
	{ 926, 579, 1, "_root-580", -1, 1, 0, 0,  },
	{ 926, 580, 1, "_root-581", -1, 1, 0, 0,  },
	{ 926, 581, 1, "_root-582", -1, 1, 0, 0,  },
	{ 926, 582, 1, "_root-583", -1, 1, 0, 0,  },
	{ 926, 583, 1, "_root-584", -1, 1, 0, 0,  },
	{ 926, 584, 1, "_root-585", -1, 1, 0, 0,  },
	{ 926, 585, 1, "_root-586", -1, 1, 0, 0,  },
	{ 926, 586, 1, "_root-587", -1, 1, 0, 0,  },
	{ 926, 587, 1, "_root-588", -1, 1, 0, 0,  },
	{ 926, 588, 1, "_root-589", -1, 1, 0, 0,  },
	{ 926, 589, 1, "_root-590", -1, 1, 0, 0,  },
	{ 926, 590, 1, "_root-591", -1, 1, 0, 0,  },
	{ 926, 591, 1, "_root-592", -1, 1, 0, 0,  },
	{ 926, 592, 1, "_root-593", -1, 1, 0, 0,  },
	{ 926, 593, 1, "_root-594", -1, 1, 0, 0,  },
	{ 926, 594, 1, "_root-595", -1, 1, 0, 0,  },
	{ 926, 595, 1, "_root-596", -1, 1, 0, 0,  },
	{ 926, 596, 1, "_root-597", -1, 1, 0, 0,  },
	{ 926, 597, 1, "_root-598", -1, 1, 0, 0,  },
	{ 926, 598, 1, "_root-599", -1, 1, 0, 0,  },
	{ 926, 599, 1, "_root-600", -1, 1, 0, 0,  },
	{ 926, 600, 1, "_root-601", -1, 1, 0, 0,  },
	{ 926, 601, 1, "_root-602", -1, 1, 0, 0,  },
	{ 926, 602, 1, "_root-603", -1, 1, 0, 0,  },
	{ 926, 603, 1, "_root-604", -1, 1, 0, 0,  },
	{ 926, 604, 1, "_root-605", -1, 1, 0, 0,  },
	{ 926, 605, 1, "_root-606", -1, 1, 0, 0,  },
	{ 926, 606, 1, "_root-607", -1, 1, 0, 0,  },
	{ 926, 607, 1, "_root-608", -1, 1, 0, 0,  },
	{ 926, 608, 1, "_root-609", -1, 1, 0, 0,  },
	{ 926, 609, 1, "_root-610", -1, 1, 0, 0,  },
	{ 926, 610, 1, "_root-611", -1, 1, 0, 0,  },
	{ 926, 611, 1, "_root-612", -1, 1, 0, 0,  },
	{ 926, 612, 1, "_root-613", -1, 1, 0, 0,  },
	{ 926, 613, 1, "_root-614", -1, 1, 0, 0,  },
	{ 926, 614, 1, "_root-615", -1, 1, 0, 0,  },
	{ 926, 615, 1, "_root-616", -1, 1, 0, 0,  },
	{ 926, 616, 1, "_root-617", -1, 1, 0, 0,  },
	{ 926, 617, 1, "_root-618", -1, 1, 0, 0,  },
	{ 926, 618, 1, "_root-619", -1, 1, 0, 0,  },
	{ 926, 619, 1, "_root-620", -1, 1, 0, 0,  },
	{ 926, 620, 1, "_root-621", -1, 1, 0, 0,  },
	{ 926, 621, 1, "_root-622", -1, 1, 0, 0,  },
	{ 926, 622, 1, "_root-623", -1, 1, 0, 0,  },
	{ 926, 623, 1, "_root-624", -1, 1, 0, 0,  },
	{ 926, 624, 1, "_root-625", -1, 1, 0, 0,  },
	{ 926, 625, 1, "_root-626", -1, 1, 0, 0,  },
	{ 926, 626, 1, "_root-627", -1, 1, 0, 0,  },
	{ 926, 627, 1, "_root-628", -1, 1, 0, 0,  },
	{ 926, 628, 1, "_root-629", -1, 1, 0, 0,  },
	{ 926, 629, 1, "_root-630", -1, 1, 0, 0,  },
	{ 926, 630, 1, "_root-631", -1, 1, 0, 0,  },
	{ 926, 631, 1, "_root-632", -1, 1, 0, 0,  },
	{ 926, 632, 1, "_root-633", -1, 1, 0, 0,  },
	{ 926, 633, 1, "_root-634", -1, 1, 0, 0,  },
	{ 926, 634, 1, "_root-635", -1, 1, 0, 0,  },
	{ 926, 635, 1, "_root-636", -1, 1, 0, 0,  },
	{ 926, 636, 1, "_root-637", -1, 1, 0, 0,  },
	{ 926, 637, 1, "_root-638", -1, 1, 0, 0,  },
	{ 926, 638, 1, "_root-639", -1, 1, 0, 0,  },
	{ 926, 639, 1, "_root-640", -1, 1, 0, 0,  },
	{ 926, 640, 1, "_root-641", -1, 1, 0, 0,  },
	{ 926, 641, 1, "_root-642", -1, 1, 0, 0,  },
	{ 926, 642, 1, "_root-643", -1, 1, 0, 0,  },
	{ 926, 643, 1, "_root-644", -1, 1, 0, 0,  },
	{ 926, 644, 1, "_root-645", -1, 1, 0, 0,  },
	{ 926, 645, 1, "_root-646", -1, 1, 0, 0,  },
	{ 926, 646, 1, "_root-647", -1, 1, 0, 0,  },
	{ 926, 647, 1, "_root-648", -1, 1, 0, 0,  },
	{ 926, 648, 1, "_root-649", -1, 1, 0, 0,  },
	{ 926, 649, 1, "_root-650", -1, 1, 0, 0,  },
	{ 926, 650, 1, "_root-651", -1, 1, 0, 0,  },
	{ 926, 651, 1, "_root-652", -1, 1, 0, 0,  },
	{ 926, 652, 1, "_root-653", -1, 1, 0, 0,  },
	{ 926, 653, 1, "_root-654", -1, 1, 0, 0,  },
	{ 926, 654, 1, "_root-655", -1, 1, 0, 0,  },
	{ 926, 655, 1, "_root-656", -1, 1, 0, 0,  },
	{ 926, 656, 1, "_root-657", -1, 1, 0, 0,  },
	{ 926, 657, 1, "_root-658", -1, 1, 0, 0,  },
	{ 926, 658, 1, "_root-659", -1, 1, 0, 0,  },
	{ 926, 659, 1, "_root-660", -1, 1, 0, 0,  },
	{ 926, 660, 1, "_root-661", -1, 1, 0, 0,  },
	{ 926, 661, 1, "_root-662", -1, 1, 0, 0,  },
	{ 926, 662, 1, "_root-663", -1, 1, 0, 0,  },
	{ 926, 663, 1, "_root-664", -1, 1, 0, 0,  },
	{ 926, 664, 1, "_root-665", -1, 1, 0, 0,  },
	{ 926, 665, 1, "_root-666", -1, 1, 0, 0,  },
	{ 926, 666, 1, "_root-667", -1, 1, 0, 0,  },
	{ 926, 667, 1, "_root-668", -1, 1, 0, 0,  },
	{ 926, 668, 1, "_root-669", -1, 1, 0, 0,  },
	{ 926, 669, 1, "_root-670", -1, 1, 0, 0,  },
	{ 926, 670, 1, "_root-671", -1, 1, 0, 0,  },
	{ 926, 671, 1, "_root-672", -1, 1, 0, 0,  },
	{ 926, 672, 1, "_root-673", -1, 1, 0, 0,  },
	{ 926, 673, 1, "_root-674", -1, 1, 0, 0,  },
	{ 926, 674, 1, "_root-675", -1, 1, 0, 0,  },
	{ 926, 675, 1, "_root-676", -1, 1, 0, 0,  },
	{ 926, 676, 1, "_root-677", -1, 1, 0, 0,  },
	{ 926, 677, 1, "_root-678", -1, 1, 0, 0,  },
	{ 926, 678, 1, "_root-679", -1, 1, 0, 0,  },
	{ 926, 679, 1, "_root-680", -1, 1, 0, 0,  },
	{ 926, 680, 1, "_root-681", -1, 1, 0, 0,  },
	{ 926, 681, 1, "_root-682", -1, 1, 0, 0,  },
	{ 926, 682, 1, "_root-683", -1, 1, 0, 0,  },
	{ 926, 683, 1, "_root-684", -1, 1, 0, 0,  },
	{ 926, 684, 1, "_root-685", -1, 1, 0, 0,  },
	{ 926, 685, 1, "_root-686", -1, 1, 0, 0,  },
	{ 926, 686, 1, "_root-687", -1, 1, 0, 0,  },
	{ 926, 687, 1, "_root-688", -1, 1, 0, 0,  },
	{ 926, 688, 1, "_root-689", -1, 1, 0, 0,  },
	{ 926, 689, 1, "_root-690", -1, 1, 0, 0,  },
	{ 926, 690, 1, "_root-691", -1, 1, 0, 0,  },
	{ 926, 691, 1, "_root-692", -1, 1, 0, 0,  },
	{ 926, 692, 1, "_root-693", -1, 1, 0, 0,  },
	{ 926, 693, 1, "_root-694", -1, 1, 0, 0,  },
	{ 926, 694, 1, "_root-695", -1, 1, 0, 0,  },
	{ 926, 695, 1, "_root-696", -1, 1, 0, 0,  },
	{ 926, 696, 1, "_root-697", -1, 1, 0, 0,  },
	{ 926, 697, 1, "_root-698", -1, 1, 0, 0,  },
	{ 926, 698, 1, "_root-699", -1, 1, 0, 0,  },
	{ 926, 699, 1, "_root-700", -1, 1, 0, 0,  },
	{ 926, 700, 1, "_root-701", -1, 1, 0, 0,  },
	{ 926, 701, 1, "_root-702", -1, 1, 0, 0,  },
	{ 926, 702, 1, "_root-703", -1, 1, 0, 0,  },
	{ 926, 703, 1, "_root-704", -1, 1, 0, 0,  },
	{ 926, 704, 1, "_root-705", -1, 1, 0, 0,  },
	{ 926, 705, 1, "_root-706", -1, 1, 0, 0,  },
	{ 926, 706, 1, "_root-707", -1, 1, 0, 0,  },
	{ 926, 707, 1, "_root-708", -1, 1, 0, 0,  },
	{ 926, 708, 1, "_root-709", -1, 1, 0, 0,  },
	{ 926, 709, 1, "_root-710", -1, 1, 0, 0,  },
	{ 926, 710, 1, "_root-711", -1, 1, 0, 0,  },
	{ 926, 711, 1, "_root-712", -1, 1, 0, 0,  },
	{ 926, 712, 1, "_root-713", -1, 1, 0, 0,  },
	{ 926, 713, 1, "_root-714", -1, 1, 0, 0,  },
	{ 926, 714, 1, "_root-715", -1, 1, 0, 0,  },
	{ 926, 715, 1, "_root-716", -1, 1, 0, 0,  },
	{ 926, 716, 1, "_root-717", -1, 1, 0, 0,  },
	{ 926, 717, 1, "_root-718", -1, 1, 0, 0,  },
	{ 926, 718, 1, "_root-719", -1, 1, 0, 0,  },
	{ 926, 719, 1, "_root-720", -1, 1, 0, 0,  },
	{ 926, 720, 1, "_root-721", -1, 1, 0, 0,  },
	{ 926, 721, 1, "_root-722", -1, 1, 0, 0,  },
	{ 926, 722, 1, "_root-723", -1, 1, 0, 0,  },
	{ 926, 723, 1, "_root-724", -1, 1, 0, 0,  },
	{ 926, 724, 1, "_root-725", -1, 1, 0, 0,  },
	{ 926, 725, 1, "_root-726", -1, 1, 0, 0,  },
	{ 926, 726, 1, "_root-727", -1, 1, 0, 0,  },
	{ 926, 727, 1, "_root-728", -1, 1, 0, 0,  },
	{ 926, 728, 1, "_root-729", -1, 1, 0, 0,  },
	{ 926, 729, 1, "_root-730", -1, 1, 0, 0,  },
	{ 926, 730, 1, "_root-731", -1, 1, 0, 0,  },
	{ 926, 731, 1, "_root-732", -1, 1, 0, 0,  },
	{ 926, 732, 1, "_root-733", -1, 1, 0, 0,  },
	{ 926, 733, 1, "_root-734", -1, 1, 0, 0,  },
	{ 926, 734, 1, "_root-735", -1, 1, 0, 0,  },
	{ 926, 735, 1, "_root-736", -1, 1, 0, 0,  },
	{ 926, 736, 1, "_root-737", -1, 1, 0, 0,  },
	{ 926, 737, 1, "_root-738", -1, 1, 0, 0,  },
	{ 926, 738, 1, "_root-739", -1, 1, 0, 0,  },
	{ 926, 739, 1, "_root-740", -1, 1, 0, 0,  },
	{ 926, 740, 1, "_root-741", -1, 1, 0, 0,  },
	{ 926, 741, 1, "_root-742", -1, 1, 0, 0,  },
	{ 926, 742, 1, "_root-743", -1, 1, 0, 0,  },
	{ 926, 743, 1, "_root-744", -1, 1, 0, 0,  },
	{ 926, 744, 1, "_root-745", -1, 1, 0, 0,  },
	{ 926, 745, 1, "_root-746", -1, 1, 0, 0,  },
	{ 926, 746, 1, "_root-747", -1, 1, 0, 0,  },
	{ 926, 747, 1, "_root-748", -1, 1, 0, 0,  },
	{ 926, 748, 1, "_root-749", -1, 1, 0, 0,  },
	{ 926, 749, 1, "_root-750", -1, 1, 0, 0,  },
	{ 926, 750, 1, "_root-751", -1, 1, 0, 0,  },
	{ 926, 751, 1, "_root-752", -1, 1, 0, 0,  },
	{ 926, 752, 1, "_root-753", -1, 1, 0, 0,  },
	{ 926, 753, 1, "_root-754", -1, 1, 0, 0,  },
	{ 926, 754, 1, "_root-755", -1, 1, 0, 0,  },
	{ 926, 755, 1, "_root-756", -1, 1, 0, 0,  },
	{ 926, 756, 1, "_root-757", -1, 1, 0, 0,  },
	{ 926, 757, 1, "_root-758", -1, 1, 0, 0,  },
	{ 926, 758, 1, "_root-759", -1, 1, 0, 0,  },
	{ 926, 759, 1, "_root-760", -1, 1, 0, 0,  },
	{ 926, 760, 1, "_root-761", -1, 1, 0, 0,  },
	{ 926, 761, 1, "_root-762", -1, 1, 0, 0,  },
	{ 926, 762, 1, "_root-763", -1, 1, 0, 0,  },
	{ 926, 763, 1, "_root-764", -1, 1, 0, 0,  },
	{ 926, 764, 1, "_root-765", -1, 1, 0, 0,  },
	{ 926, 765, 1, "_root-766", -1, 1, 0, 0,  },
	{ 926, 766, 1, "_root-767", -1, 1, 0, 0,  },
	{ 926, 767, 1, "_root-768", -1, 1, 0, 0,  },
	{ 926, 768, 1, "_root-769", -1, 1, 0, 0,  },
	{ 926, 769, 1, "_root-770", -1, 1, 0, 0,  },
	{ 926, 770, 1, "_root-771", -1, 1, 0, 0,  },
	{ 926, 771, 1, "_root-772", -1, 1, 0, 0,  },
	{ 926, 772, 1, "_root-773", -1, 1, 0, 0,  },
	{ 926, 773, 1, "_root-774", -1, 1, 0, 0,  },
	{ 926, 774, 1, "_root-775", -1, 1, 0, 0,  },
	{ 926, 775, 1, "_root-776", -1, 1, 0, 0,  },
	{ 926, 776, 1, "_root-777", -1, 1, 0, 0,  },
	{ 926, 777, 1, "_root-778", -1, 1, 0, 0,  },
	{ 926, 778, 1, "_root-779", -1, 1, 0, 0,  },
	{ 926, 779, 1, "_root-780", -1, 1, 0, 0,  },
	{ 926, 780, 1, "_root-781", -1, 1, 0, 0,  },
	{ 926, 781, 1, "_root-782", -1, 1, 0, 0,  },
	{ 926, 782, 1, "_root-783", -1, 1, 0, 0,  },
	{ 926, 783, 1, "_root-784", -1, 1, 0, 0,  },
	{ 926, 784, 1, "_root-785", -1, 1, 0, 0,  },
	{ 926, 785, 1, "_root-786", -1, 1, 0, 0,  },
	{ 926, 786, 1, "_root-787", -1, 1, 0, 0,  },
	{ 926, 787, 1, "_root-788", -1, 1, 0, 0,  },
	{ 926, 788, 1, "_root-789", -1, 1, 0, 0,  },
	{ 926, 789, 1, "_root-790", -1, 1, 0, 0,  },
	{ 926, 790, 1, "_root-791", -1, 1, 0, 0,  },
	{ 926, 791, 1, "_root-792", -1, 1, 0, 0,  },
	{ 926, 792, 1, "_root-793", -1, 1, 0, 0,  },
	{ 926, 793, 1, "_root-794", -1, 1, 0, 0,  },
	{ 926, 794, 1, "_root-795", -1, 1, 0, 0,  },
	{ 926, 795, 1, "_root-796", -1, 1, 0, 0,  },
	{ 926, 796, 1, "_root-797", -1, 1, 0, 0,  },
	{ 926, 797, 1, "_root-798", -1, 1, 0, 0,  },
	{ 926, 798, 1, "_root-799", -1, 1, 0, 0,  },
	{ 926, 799, 1, "_root-800", -1, 1, 0, 0,  },
	{ 926, 800, 1, "_root-801", -1, 1, 0, 0,  },
	{ 926, 801, 1, "_root-802", -1, 1, 0, 0,  },
	{ 926, 802, 1, "_root-803", -1, 1, 0, 0,  },
	{ 926, 803, 1, "_root-804", -1, 1, 0, 0,  },
	{ 926, 804, 1, "_root-805", -1, 1, 0, 0,  },
	{ 926, 805, 1, "_root-806", -1, 1, 0, 0,  },
	{ 926, 806, 1, "_root-807", -1, 1, 0, 0,  },
	{ 926, 807, 1, "_root-808", -1, 1, 0, 0,  },
	{ 926, 808, 1, "_root-809", -1, 1, 0, 0,  },
	{ 926, 809, 1, "_root-810", -1, 1, 0, 0,  },
	{ 926, 810, 1, "_root-811", -1, 1, 0, 0,  },
	{ 926, 811, 1, "_root-812", -1, 1, 0, 0,  },
	{ 926, 812, 1, "_root-813", -1, 1, 0, 0,  },
	{ 926, 813, 1, "_root-814", -1, 1, 0, 0,  },
	{ 926, 814, 1, "_root-815", -1, 1, 0, 0,  },
	{ 926, 815, 1, "_root-816", -1, 1, 0, 0,  },
	{ 926, 816, 1, "_root-817", -1, 1, 0, 0,  },
	{ 926, 817, 1, "_root-818", -1, 1, 0, 0,  },
	{ 926, 818, 1, "_root-819", -1, 1, 0, 0,  },
	{ 926, 819, 1, "_root-820", -1, 1, 0, 0,  },
	{ 926, 820, 1, "_root-821", -1, 1, 0, 0,  },
	{ 926, 821, 1, "_root-822", -1, 1, 0, 0,  },
	{ 926, 822, 1, "_root-823", -1, 1, 0, 0,  },
	{ 926, 823, 1, "_root-824", -1, 1, 0, 0,  },
	{ 926, 824, 1, "_root-825", -1, 1, 0, 0,  },
	{ 926, 825, 1, "_root-826", -1, 1, 0, 0,  },
	{ 926, 826, 1, "_root-827", -1, 1, 0, 0,  },
	{ 926, 827, 1, "_root-828", -1, 1, 0, 0,  },
	{ 926, 828, 1, "_root-829", -1, 1, 0, 0,  },
	{ 926, 829, 1, "_root-830", -1, 1, 0, 0,  },
	{ 926, 830, 1, "_root-831", -1, 1, 0, 0,  },
	{ 926, 831, 1, "_root-832", -1, 1, 0, 0,  },
	{ 926, 832, 1, "_root-833", -1, 1, 0, 0,  },
	{ 926, 833, 1, "_root-834", -1, 1, 0, 0,  },
	{ 926, 834, 1, "_root-835", -1, 1, 0, 0,  },
	{ 926, 835, 1, "_root-836", -1, 1, 0, 0,  },
	{ 926, 836, 1, "_root-837", -1, 1, 0, 0,  },
	{ 926, 837, 1, "_root-838", -1, 1, 0, 0,  },
	{ 926, 838, 1, "_root-839", -1, 1, 0, 0,  },
	{ 926, 839, 1, "_root-840", -1, 1, 0, 0,  },
	{ 926, 840, 1, "_root-841", -1, 1, 0, 0,  },
	{ 926, 841, 1, "_root-842", -1, 1, 0, 0,  },
	{ 926, 842, 1, "_root-843", -1, 1, 0, 0,  },
	{ 926, 843, 1, "_root-844", -1, 1, 0, 0,  },
	{ 926, 844, 1, "_root-845", -1, 1, 0, 0,  },
	{ 926, 845, 1, "_root-846", -1, 1, 0, 0,  },
	{ 926, 846, 1, "_root-847", -1, 1, 0, 0,  },
	{ 926, 847, 1, "_root-848", -1, 1, 0, 0,  },
	{ 926, 848, 1, "_root-849", -1, 1, 0, 0,  },
	{ 926, 849, 1, "_root-850", -1, 1, 0, 0,  },
	{ 926, 850, 1, "_root-851", -1, 1, 0, 0,  },
	{ 926, 851, 1, "_root-852", -1, 1, 0, 0,  },
	{ 926, 852, 1, "_root-853", -1, 1, 0, 0,  },
	{ 926, 853, 1, "_root-854", -1, 1, 0, 0,  },
	{ 926, 854, 1, "_root-855", -1, 1, 0, 0,  },
	{ 926, 855, 1, "_root-856", -1, 1, 0, 0,  },
	{ 926, 856, 1, "_root-857", -1, 1, 0, 0,  },
	{ 926, 857, 1, "_root-858", -1, 1, 0, 0,  },
	{ 926, 858, 1, "_root-859", -1, 1, 0, 0,  },
	{ 926, 859, 1, "_root-860", -1, 1, 0, 0,  },
	{ 926, 860, 1, "_root-861", -1, 1, 0, 0,  },
	{ 926, 861, 1, "_root-862", -1, 1, 0, 0,  },
	{ 926, 862, 1, "_root-863", -1, 1, 0, 0,  },
	{ 926, 863, 1, "_root-864", -1, 1, 0, 0,  },
	{ 926, 864, 1, "_root-865", -1, 1, 0, 0,  },
	{ 926, 865, 1, "_root-866", -1, 1, 0, 0,  },
	{ 926, 866, 1, "_root-867", -1, 1, 0, 0,  },
	{ 926, 867, 1, "_root-868", -1, 1, 0, 0,  },
	{ 926, 868, 1, "_root-869", -1, 1, 0, 0,  },
	{ 926, 869, 1, "_root-870", -1, 1, 0, 0,  },
	{ 926, 870, 1, "_root-871", -1, 1, 0, 0,  },
	{ 926, 871, 1, "_root-872", -1, 1, 0, 0,  },
	{ 926, 872, 1, "_root-873", -1, 1, 0, 0,  },
	{ 926, 873, 1, "_root-874", -1, 1, 0, 0,  },
	{ 926, 874, 1, "_root-875", -1, 1, 0, 0,  },
	{ 926, 875, 1, "_root-876", -1, 1, 0, 0,  },
	{ 926, 876, 1, "_root-877", -1, 1, 0, 0,  },
	{ 926, 877, 1, "_root-878", -1, 1, 0, 0,  },
	{ 926, 878, 1, "_root-879", -1, 1, 0, 0,  },
	{ 926, 879, 1, "_root-880", -1, 1, 0, 0,  },
	{ 926, 880, 1, "_root-881", -1, 1, 0, 0,  },
	{ 926, 881, 1, "_root-882", -1, 1, 0, 0,  },
	{ 926, 882, 1, "_root-883", -1, 1, 0, 0,  },
	{ 926, 883, 1, "_root-884", -1, 1, 0, 0,  },
	{ 926, 884, 1, "_root-885", -1, 1, 0, 0,  },
	{ 926, 885, 1, "_root-886", -1, 1, 0, 0,  },
	{ 926, 886, 1, "_root-887", -1, 1, 0, 0,  },
	{ 926, 887, 1, "_root-888", -1, 1, 0, 0,  },
	{ 926, 888, 1, "_root-889", -1, 1, 0, 0,  },
	{ 926, 889, 1, "_root-890", -1, 1, 0, 0,  },
	{ 926, 890, 1, "_root-891", -1, 1, 0, 0,  },
	{ 926, 891, 1, "_root-892", -1, 1, 0, 0,  },
	{ 926, 892, 1, "_root-893", -1, 1, 0, 0,  },
	{ 926, 893, 1, "_root-894", -1, 1, 0, 0,  },
	{ 926, 894, 1, "_root-895", -1, 1, 0, 0,  },
	{ 926, 895, 1, "_root-896", -1, 1, 0, 0,  },
	{ 926, 896, 1, "_root-897", -1, 1, 0, 0,  },
	{ 926, 897, 1, "_root-898", -1, 1, 0, 0,  },
	{ 926, 898, 1, "_root-899", -1, 1, 0, 0,  },
	{ 926, 899, 1, "_root-900", -1, 1, 0, 0,  },
	{ 926, 900, 1, "_root-901", -1, 1, 0, 0,  },
	{ 926, 901, 1, "_root-902", -1, 1, 0, 0,  },
	{ 926, 902, 1, "_root-903", -1, 1, 0, 0,  },
	{ 926, 903, 1, "_root-904", -1, 1, 0, 0,  },
	{ 926, 904, 1, "_root-905", -1, 1, 0, 0,  },
	{ 926, 905, 1, "_root-906", -1, 1, 0, 0,  },
	{ 926, 906, 1, "_root-907", -1, 1, 0, 0,  },
	{ 926, 907, 1, "_root-908", -1, 1, 0, 0,  },
	{ 926, 908, 1, "_root-909", -1, 1, 0, 0,  },
	{ 926, 909, 1, "_root-910", -1, 1, 0, 0,  },
	{ 926, 910, 1, "_root-911", -1, 1, 0, 0,  },
	{ 926, 911, 1, "_root-912", -1, 1, 0, 0,  },
	{ 926, 912, 1, "_root-913", -1, 1, 0, 0,  },
	{ 926, 913, 1, "_root-914", -1, 1, 0, 0,  },
	{ 926, 914, 1, "_root-915", -1, 1, 0, 0,  },
	{ 926, 915, 1, "_root-916", -1, 1, 0, 0,  },
	{ 926, 916, 1, "_root-917", -1, 1, 0, 0,  },
	{ 926, 917, 1, "_root-918", -1, 1, 0, 0,  },
	{ 926, 918, 1, "_root-919", -1, 1, 0, 0,  },
	{ 926, 919, 1, "_root-920", -1, 1, 0, 0,  },
	{ 926, 920, 1, "_root-921", -1, 1, 0, 0,  },
	{ 926, 921, 1, "_root-922", -1, 1, 0, 0,  },
	{ 926, 922, 1, "_root-923", -1, 1, 0, 0,  },
	{ 926, 923, 1, "_root-924", -1, 1, 0, 0,  },
	{ 926, 924, 1, "_root-925", -1, 1, 0, 0,  },
	{ 926, 925, 1, "_root-926", -1, 1, 0, 0,  }
};

static struct pat_cons_info parser_patReplInfo[] = {
};

static struct pat_cons_node parser_patReplNodes[] = {
};

static struct function_info parser_functionInfo[] = {

};

static struct region_info parser_regionInfo[] = {
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 161 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 162 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 163 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 164 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 165 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 166 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 167 }
};

static struct generic_info parser_genericInfo[] = {
	{ 0, 0, 0, 0, 0, 0, 0, 0 },
	{ 20, -1, -1, 0, 0, 0, 0, 0 },
	{ 21, 2, 1, 0, 0, 2, 0, -1 },
};

static const char *parser_litdata[] = {
	"unwind code\n",
	"r",
};

static long parser_litlen[] = {
	12, 1, };

static head_t *parser_literals[] = {
	0, 0, };

static int startStates[] = {
	0, };

static int eofLelIds[] = {
	479, };

static int parserLelIds[] = {
	782, };

static CaptureAttr captureAttr[] = {
};

tree_t **colm_object_host_call( program_t *prg, long code, tree_t **sp );
void colm_object_commit_reduce_forward( program_t *prg, tree_t **root,
		struct pda_run *pda_run, parse_tree_t *pt );
long colm_object_commit_union_sz( int reducer );
void colm_object_init_need();
int colm_object_reducer_need_tok( program_t *prg, struct pda_run *pda_run, int id );
int colm_object_reducer_need_ign( program_t *prg, struct pda_run *pda_run );

struct colm_sections colm_object = 
{
	parser_lelInfo,
	927,

	parser_selInfo,
	3,

	parser_prodInfo,
	1321,

	parser_regionInfo,
	29,

	parser_rootCode,
	76,
	0,

	parser_frameInfo,
	1,

	parser_functionInfo,
	0,

	parser_patReplInfo,
	0,

	parser_patReplNodes,
	0,

	parser_genericInfo,
	3,
	2,

	parser_litdata,
	parser_litlen,
	parser_literals,
	2,

	captureAttr,
	0,

	&fsmTables_start,
	&pid_0_pdaTables,
	startStates, eofLelIds, parserLelIds, 1,

	4,

	781,
	-1,
	3,
	781,
	0,
	780,
	0,
	2,
	&fsm_execute,
	&sendNamedLangEl,
	&initBindings,
	&popBinding,
	&colm_object_host_call,
	&colm_object_commit_reduce_forward,
	&colm_object_commit_union_sz,
	&colm_object_init_need,
	&colm_object_reducer_need_tok,
	&colm_object_reducer_need_ign,
};

tree_t **colm_object_host_call( program_t *prg, long code, tree_t **sp )
{
	value_t rtn = 0;
	switch ( code ) {
	}
	vm_push_value( rtn );
	return sp;
}
void colm_object_commit_reduce_forward( program_t *prg, tree_t **root,
		struct pda_run *pda_run, parse_tree_t *pt )
{
	commit_clear_parse_tree( prg, root, pda_run, pt->child );
}

long colm_object_commit_union_sz( int reducer ) { return 0; }
void colm_object_init_need() {}
int colm_object_reducer_need_tok( program_t *prg, struct pda_run *pda_run, int id ) { return COLM_RN_BOTH; }
int colm_object_reducer_need_ign( program_t *prg, struct pda_run *pda_run ) { return COLM_RN_BOTH; }

